What's New in SharePoint Portal Server "v2.0" Beta 2

What's New in SharePoint Portal Server "v2.0" Beta 2

Learn about the new features in Microsoft SharePoint Portal Server "v2.0" Beta 2 and all Microsoft SharePoint Products and Technologies.

Key new features in SharePoint Portal Server "v2.0" Beta 2

  • Search Search for an image, see a thumbnail; search for people, see personal profiles
  • Lists From Microsoft Windows SharePoint Services Beta 2, SharePoint Portal Server adds pre-designed and custom lists to all SharePoint sites.
  • Site Directory A collection of links to important sites... if one is missing, submit it for inclusion in the collection
  • News Stay tuned to News on the home page and the News category of the portal for announcements and other key company information

More new features in SharePoint Portal Server

  • Approval Routing for Categories Is a link missing from the Human Resources topic? Submit a new link and see if it gets approved by the category manager
  • Create a Site From the Site Directory you can create a SharePoint site, ask to add it to the site directory and request for it to be included in the index for searching
  • Personal Sites On My Site, add your picture, update personal information, add links to My Links and share them with, put up pictures in your own picture library list, and more

New features in SharePoint Products and Technologies

  • SharePoint sites Create different types of SharePoint sites using site templates
  • Alerts Get alert e-mail when someone you’ve added alert for writes a document
©2003 Microsoft Corporation. All rights reserved.


Microsoft SharePoint Portal Server "v2.0" Beta 2 Resource Map

Microsoft SharePoint Portal Server 2001

Microsoft Resource Map

Microsoft SharePoint Portal Server "v2.0" Beta 2 Resource Map

Microsoft SharePoint Portal Server Help Resources


Using SharePoint Portal Server and SharePoint Team Services Together

Using SharePoint Portal Server and SharePoint Team Services Together

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Using the Administration Tools

Using the Administration Tools

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Use SharePoint Central Administration

On the task bar, click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Central Administration.

Alternatively, on the Site Settings page for a portal, in the Manage General Portal Settings section, click Go to SharePoint Portal Server Central Administration.

Use SharePoint Portal Server Data Backup and Restore

On the task bar, click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Portal Server Data Backup and Restore.

Use SharePoint Portal Server Single Sign-on Administration

On the task bar, click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Portal Server Single Sign-On Administration.

Alternatively, on the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration sectin, click Configure the Single Sign-on component and manage enterprise application definitions for portals.

List of server farm-level adminstrative actions

List of portal-level administrative actions


System Requirements

System Requirements

Before you install Microsoft SharePoint Portal Server "v2.0" Beta 2, ensure that you have installed the required hardware and software.

Server Requirements

Hardware Requirements

The following are recommended minimum hardware requirements for the server:

  • Intel Pentium III–compatible processor
  • 256 megabytes (MB) of random access memory (RAM)
  • 550 MB free hard disk space

    Important The disk must be formatted as NTFS file system.

  • Program and data file paths cannot be to removable or networked storage. Setup verifies this.

Software Requirements

The server must be running one of the following operating systems:

Note For Microsoft SharePoint Portal Server "v2.0" Beta 2, only Windows Server 2003 Release Candidate 2 is supported.

  • Windows Server 2003, Standard Edition, plus the latest service pack
  • Windows Server 2003, Enterprise Edition, plus the latest service pack
  • Windows Server 2003, Datacenter Edition, plus the latest service pack
  • Windows Server 2003, Web Edition, plus the latest service pack

In addition to the operating system, the following operating system components must be installed:

  • Application Server with the following components:
    • ASP.NET
    • Internet Information Services (IIS) with the following components:
      • Common Files
      • Internet Information Services Manager
      • SMTP Service
      • World Wide Web Service with the following components:
        • Active Server Pages
        • World Wide Web Service

All servers in a server farm must run the same version and language of the operating system, and (where applicable) the same version and language of Microsoft SQL Server 2000, with the following exception—the configuration database can run Windows 2000 Datacenter Server or Windows Server 2003, Datacenter Edition, regardless of what other servers in the farm are running. Setup does not verify this.

Software Coexistence Issues

The document library server component of Microsoft SharePoint Portal Server "v2.0" Beta 2 cannot run on servers on which the following are installed:

  • Microsoft Exchange Server (any version)
  • Microsoft Site Server (any version)
  • Microsoft Office Server Extensions
  • Microsoft Web Storage System (any version)
  • Microsoft SharePoint Portal Server 2001

Database Requirements

The configuration database can be installed on the following:

  • SQL Server 2000, plus the latest service pack
  • SQL Server 2000 Enterprise Edition, plus the latest service pack
  • SQL Server 2000 Desktop Engine (MSDE 2000)

The server on which the configuration database is installed must be running one of the following operating systems:

  • Windows Server 2003, Standard Edition, plus the latest service pack
  • Windows Server 2003, Enterprise Edition, plus the latest service pack
  • Windows Server 2003, Datacenter Edition, plus the latest service pack
  • Windows Server 2003, Web Edition, plus the latest service pack
  • Windows 2000 Datacenter Server

Network Requirements

Multiple-server configurations are supported only on servers that are members of a Windows NT 4.0, Windows 2000, or Windows Server 2003 domain.

Client Requirements

Hardware Requirements

The following are recommended minimum hardware requirements for client computers:

  • Intel Pentium III–compatible 200 Mhz processor
  • 64 MB of RAM
  • 50 MB hard disk space on Windows 98 and Windows NT 4.0, 30 MB disk space on Windows 2000 and Windows XP

    Note The disk can be formatted as NTFS, FAT, or FAT32.

Software Requirements

Client computers must be running one of the following operating systems:

  • Windows 98
  • Windows NT 4, plus the latest service pack
  • Windows 2000 Professional, Server, or Advanced Server, plus the latest service pack
  • Windows XP Professional, plus the latest service pack

    Note Windows XP Home Edition is not supported.

  • Windows Server 2003, plus the latest service pack

    Note For Microsoft SharePoint Portal Server "v2.0" Beta 2, only Windows Server 2003 Release Candidate 2 is supported.

Note Computers that document library coordinators use must be running Windows 2000 Professional, Server, or Advanced Server, Windows XP Professional, or Windows Server 2003.

In addition to the operating system, client computers must have the following installed:

  • Outlook Express 5.01 or later

Browser Requirements

Client computers must also have one of the following Web browsers installed:

  • Microsoft Internet Explorer 5.01 with Service Pack 2 and Q324929. Microsoft Visual Basic Scripting support is required. This is included in the default installation of Internet Explorer 5.
  • Internet Explorer 5.5 with Service Pack 2 and Q324929. Microsoft Visual Basic Scripting support is required.
  • Internet Explorer 6.0 with Q324929. Microsoft Visual Basic Scripting support is required.
  • Netscape Navigator 6.02 or later.


Coexisting with Previous Versions

Coexisting with Previous Versions

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Coexisting with Microsoft SharePoint Portal Server 2001 Portals

Coexisting with Team Sites Created by Using SharePoint Team Services from Microsoft

©2003 Microsoft Corporation. All rights reserved.


Upgrade Considerations

Upgrade Considerations

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Upgrading from Microsoft SharePoint Portal Server 2001

Migrating Data

Moving Personal Dashboards and Web Parts

Upgrading Microsoft SharePoint Portal Server 2001 Client Components

©2003 Microsoft Corporation. All rights reserved.


SharePoint Portal Server Architecture

SharePoint Portal Server Architecture

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Security Planning

Security Planning

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Security is essential, both for document management tasks and for searching. In document management, it is important to restrict access to sensitive information. In some cases, it is important to restrict the viewing of a document to those who edit or approve it, until it is ready for a larger audience. Security is also important to prevent users from finding documents to which they have no access when they perform searches on the dashboard site.

In Microsoft SharePoint Portal Server "v2.0" Beta 2, site groups offer a flexible and secure method to control access to documents. A site group is a way to configure rights for users based on the kinds of tasks they perform. SharePoint Portal Server recognizes security policies in use on your organization’s servers, file shares, and databases during searches.

On the portal site, SharePoint Portal Server uses default site groups to group users with a specific set of customizable rights. You can also create a custom site group for a specific area or list and assign a specific set of rights to it. In addition, by default, SharePoint Portal Server uses the default site groups included with Windows SharePoint Services Beta 2.

In the portal document library, SharePoint Portal Server roles add actions such as check-in, check-out, publish, and approve to traditional file-access permissions, such as Read, Write, and Change. Each role identifies a specific set of permissions: coordinators handle management tasks, authors add and update files, and readers have read-only access to published documents. Access permissions for the three roles are fixed and cannot be modified. SharePoint Portal Server also offers the option of denying users access to specific documents. Roles are usually specified at the folder level, although you can add coordinators at the workspace level for management tasks.

Security Site Groups and Windows Groups

Authentication and Multiple Domains

SQL Server Security Issues

Connections between the Web front end server and the SQL Server computer are not encrypted. It is recommended that you implement Secure Socket Layer (SSL) or otherwise encrypt server-to-server communications.


Server Topology

Server Topology

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

This section will cover the following topics:

  • Physical versus logical architecture.
  • How do I identify a problem in my deployment plan?
  • How do I resolve a problem in my deployment plan?
  • What should I plan for load balancing?
  • How can I integrate with existing infrastructure (domain, authentication, network)?


Capacity Planning

Capacity Planning

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

This section will document software boundaries such as the number of documents you can store in a document library and the number of sites you can have on a server farm.

This section will cover the following topics:

  • How much hardware do I need?
  • What are my storage requirements?
  • When do I scale up (i.e., buy bigger hardware)?
  • When do I scale out (i.e., buy more hardware)?
  • Why would I scale up instead of out or vice versa?


Network Considerations

Network Considerations

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

This section will cover the following topics:

  • What type of demand do I expect for my site (bandwidth)?
  • LAN issues, such as asynchronous administration issues.
  • WAN issues, such as end user latency issues.


Planning Your Document Management Solution

Planning Your Document Management Solution

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Data Recovery Planning

Data Recovery Planning

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Back Up Tools

Configuration Replication

©2003 Microsoft Corporation. All rights reserved.


Enterprise Application Integration Planning

Enterprise Application Integration Planning

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Plan for the Web Services Adaptor for BizTalk

©2003 Microsoft Corporation. All rights reserved.


Tools and Monitoring

Tools and Monitoring

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

This section will cover the following areas:

  • What type of training does the administrator need?
  • Do I need to set up automatic administrator alert mail and performance counters?
  • How can I use automated monitoring?
  • What tools are needed?
  • How do I tune performance?


Language Considerations

Language Considerations

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Search, Word Breakers, and Stemmers

Operating System Locale vs. Language of Portals and Sites

SharePoint Portal Server supports one language per server farm. The same language of SharePoint Portal Server must be installed on servers in the server farm.

All portals on the server farm must be in the same language. However, non-portal Web sites can be in different languages.

Specific Considerations for SharePoint Team Services

For more information, see Language Considerations.


Accessibility

Accessibility

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Product-Specific Accessibility Features

Microsoft-General Accessibility Features

©2003 Microsoft Corporation. All rights reserved.


Single Server Deployments

Single Server Deployments

You can deploy two single-server configurations:

  • Standalone One computer running the Web component, index component, and search component. This computer does not have SQL Server 2000 installed. SharePoint Portal Server setup installs the SQL Server Desktop Engine to store the databases. This computer can optionally run the components for backward-compatibility with Microsoft SharePoint Portal Server 2001 document libraries.
  • Single server with SQL Server One computer running the Web component, index component, and search component. This computer has SQL Server 2000 installed. SQL Server is used to store the databases. This computer can optionally run the components for backward-compatibility with Microsoft SharePoint Portal Server 2001 document libraries.

For procedures to install these configurations, see Deploying a Single Server Configuration.

Related Topics

Server Farm Deployments
Shared Services Deployments


Server Farm Deployments

Server Farm Deployments

You can deploy three server farm configurations:

  • Small server farm You must configure the servers in the small server farm as follows:
    • 1 computer running the Web component, index component, and search component. This computer can optionally run the components for backward-compatibility with Microsoft SharePoint Portal Server 2001 document libraries.
    • 1 computer running SQL Server 2000.

    For the procedure to install a small server farm, see Deploying a Small Server Farm.

  • Medium server farm You must configure the servers in the medium server farm as follows:
    • 2 Web front end servers with the search component enabled (the Web front end and search servers).
    • 1 index management and job server.
    • 1 computer running SQL Server 2000.
    • Optional: 1 computer running the components for backward-compatibility with Microsoft SharePoint Portal Server 2001 document libraries.

    For the procedure to install a medium server farm, see Deploying a Medium Server Farm.

  • Large server farm You must configure the servers in the large server farm as follows:
    • 2 Web front end servers
    • 1 search server
    • 1 index management and job server.
    • 1 computer running SQL Server 2000.
    • Optional: 1 computer running the components for backward-compatibility with Microsoft SharePoint Portal Server 2001 document libraries.

    For the procedure to install a large server farm, see Deploying a Large Server Farm.

Related Topics

Single Server Deployments
Shared Services Deployments


Shared Services Deployments

Shared Services Deployments

You must configure the servers in your deployment as follows:

  • One large server farm to provide the shared services.
  • One medium server farm, without the index management and job server, and without the search component on the front-end Web servers, to use as the child server farm that uses shared services. You can add more front-end Web servers to the child server farm that uses shared services.

For the procedure required to install this configuration, see Deploying a Shared Services Scenario.

Related Topics

Single Server Deployments
Server Farm Deployments


About deploying SharePoint Portal Server

About deploying SharePoint Portal Server

You can install Microsoft SharePoint Portal Server "v2.0" Beta 2 on one or more servers to provide a scalable, customized solution for your organization. SharePoint Portal Server is flexible, offering a variety of deployment configuration options. The configuration you choose depends on a number of factors, including your hardware and your performance, expansion, and scalability needs.

Single-server configurations

There are two single-server configurations you can use — standalone or single server with SQL. Both configurations use one computer to run the Web component, index component, and search component. The difference is that the standalone configuration does not have SQL Server 2000 installed.

Server farm configurations

A server farm is a centralized grouping of network servers that provide a network with load balancing, scalability, and fault tolerance. Individual servers may be connected in such a way that they appear to represent a single resource. A server farm allows you to provide the best combination of performance and reliability for your deployment.

SharePoint Portal Server enables you to choose from three configurations: small server farm, medium server farm, and large server farm.

The following image shows a typical large server farm deployment.

Large farm deployment configuration

To consolidate resources, you can customize your SharePoint Portal Server deployment to share services across multiple server farms. Shared services consolidates the common services of search, indexing, alerts, and user profile management onto a parent portal. The services are centrally managed from a single server for two or more server farms. The child portals in the organization can then provide content based on division or application without using up resources on the technical details of import and crawl. Only large server farms can provide shared services, which can then be used by any of these configurations: single server with SQL, small server farm, or child farm. The following image shows a server farm deployment with multiple servers performing different functions.

Typical SharePoint Portal Server deployment

Large SharePoint Portal Server deployment

From the logical view, during installation SharePoint Portal Server creates a portal site. The portal site provides a Web-based view of the portal and its services. You can create additional portal sites as well as other types of SharePoint sites. The following image shows a typical logical deployment which may extend over one or more servers in a server farm.

Logical view of SharePoint Portal Server installation

Related Topics

About the portal
About integrated enterprise
About index and search services
Server Topology
Server Farm Deployments
Shared Services Deployments
About Windows SharePoint Services
??About audiences??


Deploying a Single Server Configuration

Deploying a Single Server Configuration

You can deploy two single-server configurations: standalone, and single server with Microsoft SQL Server. For more information about single server deployments, see Single Server Deployments.

Operating System and Setup Requirements

Ensure that you have installed Windows Server 2003 before you install Microsoft SharePoint Portal Server "v2.0" Beta 2.

Deploy a standalone configuration

  1. Install SharePoint Portal Server "v2.0" Beta 2 with the database engine on the server.

    Follow the procedures in the Installing SharePoint Portal Server with the Database Engine section.

  2. Optional: Install the components for backward-compatible document libraries on the server.

    Follow the procedures in the Installing the Document Management Component of SharePoint Portal Server section.

Deploy a single server with SQL Server configuration

  1. Install SharePoint Portal Server without the database engine on the server.

    Follow the procedures in the Installing SharePoint Portal Server without the Database Engine section, with the following settings:

    1. On the Specify Configuration Database Settings for Server server_name page, click Create configuration database.
    2. On the Change Component Assignments page, select the Web, Search, and Index check boxes. In the Job server box, select the server you are configuring as the job server.

  2. Optional: Install the components for backward-compatible document libraries on the server.

    Follow the procedures in the Installing the Document Management Component of SharePoint Portal Server section.


Deploying a Small Server Farm

Deploying a Small Server Farm

For Microsoft SharePoint Portal Server "v2.0" Beta 2, you must set up and configure a small server farm according to the specific following instructions. Following these steps ensures a supported configuration.

You must configure the servers in your small server farm as follows:

  • One computer running the Web component, index component, and search component. This computer can also run the components for the optional backward-compatible document libraries.
  • One computer running Microsoft SQL Server 2000.

Operating System and Setup Requirements

Ensure that you have installed Microsoft Windows Server 2003 before you install SharePoint Portal Server "v2.0" Beta 2.

Perform all pre-setup server farm workarounds

  1. Add a domain account to the local Administrators group on each computer in the server farm.
  2. Log on to each server by using the the account you added to the servers.
  3. On the computer running SQL Server, do the following:
    1. Configure the MSSQLSERVER service and the SQLSERVERAGENT service to start automatically, and confirm that both services start successfully at startup.
    2. Configure the service accounts for the MSSQLSERVER service and the SQLSERVERAGENT service to run as the domain account you added to the server farm computers on the services corresponding to the instance of SQL Server you want to use.
  4. On the server that will have SharePoint Portal Server "v2.0" Beta 2 installed, do the following:
    1. On the taskbar, click Start, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
    2. On the Internet Information Services (IIS) Manager management console, expand the tree view.
    3. Click Web Service Extensions.
    4. Ensure that Active Server Pages and ASP.NET are set to Allowed.
    5. Close the management console.
    6. Open command prompt and type iisreset

Install Microsoft SharePoint Portal Server "v2.0" Beta 2

  1. Log on to the computer running Windows Server 2003 as a local or domain administrator.
  2. Insert the SharePoint Portal Server CD into your CD-ROM drive.
  3. Click Install Microsoft SharePoint Portal Server "v2.0" Beta 2 components.
  4. On the Install Microsoft SharePoint Portal Server "v2.0" Beta 2 page, click Next.

    Setup installs Windows SharePoint Services Beta 2, and then the Welcome to the Microsoft SharePoint Portal Server "v2.0" Beta 2 Setup Wizard page appears.

  5. On the Welcome to the Microsoft SharePoint Portal Server "v2.0" Beta 2 Setup Wizard page, click Next.
  6. On the End-User License Agreement page, select the I accept all of the terms in the license agreement. check box, and then click Next.
  7. On the Product Identification page, type the product key in the spaces provided, and then click Next.

    The product key is located on the back of your SharePoint Portal Server CD case or on your Certificate of Authenticity. If the number you type is not accepted, check the following:

    • If you are using the numeric keypad on your keyboard, ensure that NUM LOCK is on.
    • Ensure that you are not using the letter I for the number one.
    • Ensure that you are not using the letter O for the number zero.

  8. On the Installation Type and File Location page, do the following:
    1. Click Install without database engine.
    2. To specify file locations, click Browse, and then specify a location.
    3. Click Next.
  9. On the successful completion message box, click OK.
  10. On the Microsoft SharePoint Portal Server "v2.0" Beta 2 page requesting account information, do the following:
    1. In the Account name box, type the account name to be used for access to the configuration database for administrative operations.

      The account must have database creation permissions on this SQL Server instance, and it must be a member of the local Administrators group.

      Enter the account in the format DOMAIN\user_name.

    2. In the Password box, type the password for the account.
    3. Click Next.
  11. On the Install Microsoft SharePoint Portal Server "v2.0" Beta 2 page, click Next.
  12. On the Completing the Microsoft SharePoint Portal Server "v2.0" Beta 2 Setup Wizard page, click Finish.

Configure SharePoint Portal Server

After you click Finish on the Completing the Microsoft SharePoint Portal Server "v2.0" Beta 2 Setup Wizard page, the Specify Configuration Database Settings for Server server_name page appears.

  1. On the Specify Configuration Database Settings for Server server_name page, do the following:
    1. In the Database Connections section, click Create configuration database.
    2. In the Server for Configuration Database section, in the Database server box, type the name of the computer running Microsoft SQL Server.

      This is the server on which the configuration database will be stored.

      Note If you have multiple SQL Server instance names, specify both the name of the computer running SQL Server and the SQL Server instance name in the format server_name\SQL_Server_instance_name.

    3. In the Name for Configuration Database section, do one of the following:
      • If you want to use the default database name that is displayed, click Use default name.
      • If you want to specify a name for the database, click Specify custom name, and then in the Custom Name box, type a name for the database.
    4. Click OK.
  2. On the Configure Server Topology and Component Assignments page, click Change Components.
  3. On the Change Component Assignments page, do the following:
    1. In the Component Assignment section, select the Web, Search, and Index check boxes.
    2. In the Job server box, select the server you are configuring as the job server.
    3. Click OK.
  4. On the Configure Server Farm Account Settings page, do the following:
    1. In the Contact E-mail Address section, in the E-mail address box, type the e-mail address that an external site administrator can contact if problems occur when SharePoint Portal Server crawls the external site.
    2. In the Configuration Database Administration Account section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.
      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    3. In the Default Content Access Account section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.
      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    4. In the Proxy Server Settings section, do one of the following:
      • Click Do not connect using a proxy server.
      • Click Use the proxy server specified below, and then specify the following:
        1. In the Address box, type the address of the proxy server that you want SharePoint Portal Server to use while creating content indexes.
        2. In the Port box, type the port number for the proxy server that you want SharePoint Portal Server "v2.0" Beta 2 to use while creating indexes of sites and servers.
        3. If you do not want SharePoint Portal Server "v2.0" Beta 2 to use the proxy server when creating an index of local addresses, select the Bypass proxy server for local (intranet) addresses check box.
        4. If you have specific addresses for which you do not want to use the proxy server, in the Do not use proxy server for addresses beginning with box, type the addresses.
    5. Click Save.
    6. On the message box that appears, click OK.
    7. On the Configure Server Topology and Component Assignments page, click Close.

Create a portal

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Virtual Server and Portal Site Configuration section, click Create a portal site.
  2. On the Create Portal for Server server_name page, do the following:
    1. In the Portal Creation Options section, click Create a portal.
    2. In the Portal Title section, in the Portal Title box, type a title for the portal site.

      This title appears at the top of most portal site pages.

    3. In the Portal Address section, do the following:
      1. In the Virtual Server list, click the virtual server for this portal site.
      2. In the URL address box, type the URL that users will use to connect to the portal site.

        By default, this URL is http://server_name/. If you are not creating the portal site on the Default Web Site but on another virtual server, the URL includes the port number, for example, http://server_name:port_number/.

    4. In the Default Portal Owner section, do the following:
      1. In the Account name box, type the account name for the portal site owner in the format DOMAIN\user_name.

        The portal site owner manages portal site content and user access.

      2. In the E-mail address box, type the e-mail address for the portal site owner.
    5. Click OK.
  3. On the Portal Creation - Application Pool Account for Server server_name page, do the following:
    1. In the Account name box, type the default Windows domain account to use for hosting the application pool of the virtual server.
    2. In the Password box, type the password to use with this account.
    3. In the Confirm password box, type the password again.
    4. Click Next.
  4. On the Create Portal Confirmation for Server server_name page, click OK to begin creating the portal site.

    The Operation Status page appears.

    At the end of successful portal site creation, the Operation Successful page appears. You can then further configure the portal site.

Optional: Install and configure the components for backward-compatible document libraries

You can install the components for backward-compatible document libraries on the computer running the Web, index, and search components.

Install the components for backward-compatible document libraries

  1. Log on to the computer running Windows Server 2003 as a local or domain administrator.
  2. Do the following to ensure that the proxy server settings for Internet access are specified correctly:
    1. Click Start, point to Control Panel, and then click Internet Options.
    2. In the Internet Properties dialog box, click the Connections tab.
    3. Click LAN Settings.
    4. In the Local Area Network (LAN) Settings dialog box, in the Automatic configuration section, ensure that both check boxes are cleared.
    5. If you use a proxy server, in the Proxy server section, do the following:
      1. Select the Use a proxy server for your LAN (These settings will not apply to dial-up or VPN connections). check box.
      2. Select the Bypass proxy server for local addresses check box.
      3. In the Address box, type a valid proxy server address.
      4. In the Port box, type the port number for the proxy server.
      5. Click Advanced.
      6. In the Proxy Settings dialog box, select the Use the same proxy server for all protocols check box, and then click OK.
    6. Click OK to close the Local Area Network (LAN) Settings dialog box.
    7. Click OK to close the Internet Options dialog box.
  3. Insert the SharePoint Portal Server CD into your CD-ROM drive.
  4. Click Install Document Management components.

    The installation page for document management appears.

  5. Click Install server and client components.
  6. On the Welcome to the Document Library Setup Wizard page, click Next.
  7. On the License Agreement page, click I agree, and then click Next.
  8. On the Product Identification page, type the product key in the spaces provided, and then click Next.

    The product key is located on the back of your SharePoint Portal Server CD case or on your Certificate of Authenticity. If the number you type is not accepted, check the following:

    • If you are using the numeric keypad on your keyboard, ensure that NUM LOCK is on.
    • Ensure that you are not using the letter I for the number one.
    • Ensure that you are not using the letter O for the number zero.

  9. On the Document library component of SharePoint Portal Server "v2.0" Beta 2 Setup page, specify the location on the server disk where you want to install the data files for the document library component.

    You can change the installation location for these files by clicking Change Folder.

    SharePoint Portal Server also installs additional required files on the operating system drive. Click Disk Information for information about the amount of disk space required and the amount remaining. If there are existing files in the installation paths, setup removes these files.

    Note The path must meet the following restrictions:

    • The path name can have a maximum length of 100 characters.
    • The path name can contain only characters in the lower ASCII range.
    • The path cannot point to a root directory. For example, E:\ is not allowed, but E:\Installation is allowed.

  10. Click Next.

    The Component Progress page appears.

  11. On the Completing the Document Library Setup Wizard page, click Finish.

Configure the components for backward-compatible document libraries

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Server Configuration section, click Configure server topology and component assignments.
  2. On the Configure Server Topology and Component Assignments page, click Change Components.
  3. On the Change Component Assignments page, in the Document Library Server Component section, in the Document library server box, type the name of the server that you are configuring as the document library server.
  4. Click OK.
  5. On the Configure Server Topology and Component Assignments page, click Close.

Create a document library

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure document libraries (Web Storage System-based).
  2. On the List and Manage Document Libraries page, do the following:
    1. If you have previously specified an SMTP server (by using the Configure e-mail server settings link on the SharePoint Portal Server Central Administration for Server server_name page), you might need to synchronize the settings for the portal server and the document library server. To do this, click Synchronize.
    2. Click Create document library.
  3. On the Create Document Library page, in the Name and Description section, do the following:
    1. In the Document library friendly name box, type the friendly name for the library that you are creating.

      Note The friendly name cannot exceed 100 characters in length.

    2. In the Document library description box, type the description for the document library.
    3. In the Document library name box, type a word that will be used in the URL of the document library after the server name.

      For example, for a URL of http://AdventureWorks/Adventure, you would type Adventure.

  4. In the Associated Portal Site section, in the Portal site list, select the portal site to associate with this document library.

    The portal site provides search capability and the ability to personalize alerts for users of the document library. Users can get to the document library from the Document Library area on the home page of the portal site.

  5. In the Document Library Contact section, do the following:
    1. In the Contact name box, type the name of the user or group to which you are assigning overall responsibility for the document library.
    2. In Contact e-mail address box, type the e-mail address for the contact.

      The contact e-mail address can be that of an individual user or a group. This e-mail address will be used as the reply-to address for e-mail messages sent by the document library during document approval routes.

  6. To limit the number of previous major versions of a document to retain when the document is approved, in the Document Versions section, select the Specify version limit check box, and then type a limit in the Number of versions to retain box.

    Note This setting does not affect the number of minor versions retained.

  7. Click OK.

    The Operation Status page appears. After the document library is successfully created, the List and Manage Document Libraries page appears.

Related Topics

Server Farm Deployments


Deploying a Medium Server Farm

Deploying a Medium Server Farm

For Microsoft SharePoint Portal Server "v2.0" Beta 2, you must set up and configure a medium server farm according to the specific following instructions. Following these steps ensures a supported configuration.

You must configure the servers in your server farm as follows:

  • Two front-end Web servers with the search component enabled (the front-end Web and search servers).
  • One index management and job server.
  • One computer running Microsoft SQL Server 2000.
  • Optional: One computer running the components for backward-compatible document libraries.

Operating System and Setup Requirements

Ensure that you have installed Microsoft Windows Server 2003 before you install SharePoint Portal Server.

Set up Windows Network Load Balancing

  1. Set a Static IP on the front-end network interface card (NIC). To do this:
    1. Click Start, point to Control Panel, and then click Network Connections.
    2. Right-click Front-End NIC and select properties.
    3. Select Internet Protocol (TCP/IP) from the This connection uses the following items: area.
    4. Click Properties.
    5. Select Use the following IP address.
      1. Fill in IP Address with your assigned front-end Static IP.
      2. Fill in the Subnet Mask with your assigned front-end subnet mask, if needed.
      3. Fill in the Default Gateway with your assigned front-end gateway, if needed.
    6. Select Use the following DNS server addresses. Fill in the Preferred and Alternate DNS Server IPs.
    7. Click Advanced.
    8. On the IP Settings tab, click Add.
    9. Type the virtual IP address and subnet mask.
    10. Click OK, and then click OK again.

    Note The virtual IP address is the “fake” IP address that is the entry point to your server farm.

  2. On the LAN Connection Properties page in the This connection uses the following Items: area, select the Network Load Balancing check box.
  3. Check Network Load Balancing and ensure that Network Load Balancing is selected.
  4. Click Properties.
  5. On the Cluster Parameters tab, do the following:
    1. Type the Cluster IP for IP Address — Cluster IP is the virtual IP address that is the entry point to your server farm. This IP address will need to be mapped to a DNS entry so that you can type the name of the cluster from Internet Explorer instead of typing the IP address.
    2. Enter the subnet mask — use the same subnet mask for this NIC as reported by IPCONFIG /ALL for this NIC.
    3. The Full Internet Name is the DNS Name.

      Note If you are using Microsoft Windows Internet Name Service (WINS) resolution, enter the WINS name without the domain extension. For example, enter MyServerFarm instead of MyServerFarm.MyCorporation.com.

    4. Leave the Cluster operation mode at its default Unicast setting.
    5. Leave the Allow remote control property at its default (unchecked) setting.
  6. On the Host Parameters tab, do the following:
    1. Enter Priority 1 on your first front-end Web and search server and Priority 2 on your second Web front end and search server.
    2. In the Dedicated IP Configuration area, type the address and subnet mask originally assigned to this front-end NIC.

      Note You are assigning two IP addresses to the front-end NIC.

    3. Do not change any of the Initial host state settings.
  7. On the Port Rules tab, in the Filtering mode section, ensure that Multiple host is set and that Affinity is set to None.
  8. Click OK, and then click OK again.

    Note If you see a dialog box stating that you must enter the new address in the TCP/IP component, you have not completed all of the previous steps. Click OK, and then do the following before you proceed:

    1. On TCP/IP, select Properties.
    2. Click Advanced.
    3. On the IP Settings tab, click Add.
    4. Type the virtual IP address and subnet mask.
    5. Click OK, and then click OK again.
  9. Restart the server.
  10. Repeat the previous steps on all front-end Web and search servers. Ensure that you change the Priority on each to be unique.
  11. Test NLB before installing SharePoint Portal Server:
    1. Open command prompt, and then ping the virtual name of the server farm from a client computer that is not part of the server farm. For example, if MyServerFarm is the name you entered as the full Internet name or you are using WINS, you would type ping MyServerFarm. MyServerFarm is the virtual server farm name in this example.
    2. Ensure that you receive a reply.
      • If you receive no reply, ping your server farm by using the virtual IP address for the server farm. The virtual IP address is the cluster IP address that you specified in a previous step.
      • If you receive no reply, contact your network operations contact for DNS/WINS, routing, and static IP support.
    3. Type ping VirtualServerFarmName -t

      This performs a continuous ping. For example, type ping MyServerFarm -t

    4. On the first front-end Web and search server, do the following:
      1. On the taskbar, click Start, point to Control Panel, point to Network Connections, and then click Local Area Connection for the NIC associated with NLB.
      2. On the General tab, click Disable.
    5. On Web front end and search server 2, do the following:
      1. On the taskbar, click Start, point to Control Panel, point to Network Connections, and then click Local Area Connection for the NIC associated with network load balancing (NLB).
      2. On the General tab, click Disable.
    6. On the client computer that is continuously pinging the virtual name of the server farm, you should see a message that the request timed out.
    7. On the first front-end Web and search server, on the taskbar, click Start, point to Control Panel, point to Network Connections, right-click Local Area Connection for the NIC associated with NLB, and then click Enable.
    8. On the client computer that is continuously pinging the virtual name of the server farm, you should see a reply to the ping within 10 seconds. If you do not see a reply, ensure that your NLB configuration and your network configuration are correct.
    9. On the first front-end Web and search server, do the following:
      1. On the taskbar, click Start, point to Control Panel, point to Network Connections, and then click Local Area Connection for the NIC associated with NLB.
      2. On the General tab, click Disable.
    10. On the client computer that is continuously pinging the virtual name of the server farm, you should see a message that the request timed out.
    11. On the second front-end Web and search server, on the taskbar, click Start, point to Control Panel, point to Network Connections, right-click Local Area Connection for the NIC associated with NLB, and then click Enable.
    12. On the client computer that is continuously pinging the virtual name of the server farm, you should see a reply to the ping within 10 seconds. If you do not see a reply, ensure that your NLB configuration and your network configuration are correct.
    13. On the second front-end Web and search server, do the following:
      1. On the taskbar, click Start, point to Control Panel, point to Network Connections, and then click Local Area Connection for the NIC associated with NLB.
      2. On the General tab, click Disable.
    14. On the client computer that is continuously pinging the virtual name of the server farm, you should see a message that the request timed out.
    15. On the first front-end Web and search server, on the taskbar, click Start, point to Control Panel, point to Network Connections, right-click Local Area Connection for the NIC associated with NLB, and then click Enable.
    16. On the second front-end Web and search server, on the taskbar, click Start, point to Control Panel, point to Network Connections, right-click Local Area Connection for the NIC associated with NLB, and then click Enable.
    17. On the client computer that is continuously pinging the virtual name of the server farm, press CTRL+C to break the ping cycle.

Perform all pre-setup server farm workarounds

Note Ensure that you use the same domain account (in the form DOMAIN\domain_account) wherever you see domain account in the server farm instructions. Do not use different accounts for each instance of the domain account.

  1. Add the domain account to the local Administrators group on each computer in the farm.
  2. Log on to all servers by using the domain account.
  3. On the computer running SQL Server, do the following:
    1. Configure the MSSQLSERVER service and the SQLSERVERAGENT service to start automatically, and confirm that both services start successfully at startup.
    2. Configure the service accounts for the MSSQLSERVER service and the SQLSERVERAGENT service to run as DOMAIN\domain_account on the services corresponding to the instance of SQL Server you want to use.
  4. On all servers that will have Microsoft SharePoint Portal Server "v2.0" Beta 2 installed, do the following:

    Note Usually this does not include the computer running SQL Server or the computer running the components for backward-compatible document libraries.

    1. On the taskbar, click Start, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
    2. On the Internet Information Services (IIS) Manager management console, expand the tree view.
    3. Click Web Service Extensions.
    4. Ensure that Active Server Pages and ASP.NET are set to Allowed.
    5. Close the management console.
    6. Open command prompt and type iisreset

Install Microsoft SharePoint Portal Server "v2.0" Beta 2

On the two front-end Web and search servers and on the index management and job server, do the following:

  1. Log on to the computer running Windows Server 2003 as a local or domain administrator.
  2. Insert the SharePoint Portal Server "v2.0" Beta 2CD into your CD-ROM drive.
  3. Click Install Microsoft SharePoint Portal Server "v2.0" Beta 2 components.
  4. On the Install Microsoft SharePoint Portal Server "v2.0" Beta 2 page, click Next.

    Setup installs Windows SharePoint Services Beta 2, and then the Welcome to the Microsoft SharePoint Portal Server "v2.0" Beta 2 Setup Wizard page appears.

  5. On the Welcome to the Microsoft SharePoint Portal Server "v2.0" Beta 2 Setup Wizard page, click Next.
  6. On the End-User License Agreement page, select the I accept all of the terms in the license agreement. check box, and then click Next.
  7. On the Product Identification page, type the product key in the spaces provided, and then click Next.

    The product key is located on the back of your SharePoint Portal Server "v2.0" Beta 2 CD case or on your Certificate of Authenticity. If the number you type is not accepted, check the following:

    • If you are using the numeric keypad on your keyboard, ensure that NUM LOCK is on.
    • Ensure that you are not using the letter I for the number one.
    • Ensure that you are not using the letter O for the number zero.

  8. On the Installation Type and File Location page, do the following:
    1. Click Install without database engine.
    2. To specify file locations, click Browse, and then specify a location.
    3. Click Next.
  9. On the successful completion message box, click OK.
  10. On the Microsoft SharePoint Portal Server "v2.0" Beta 2 page requesting account information, do the following:
    1. In the Account name box, type the account name to be used for access to the configuration database for administrative operations.

      The account must have database creation permissions on this SQL Server instance, and it must be a member of the local Administrators group.

      Enter the account in the format DOMAIN\user_name.

    2. In the Password box, type the password for the account.
    3. Click Next.
  11. On the Install Microsoft SharePoint Portal Server "v2.0" Beta 2 page, click Next.
  12. On the Completing the Microsoft SharePoint Portal Server "v2.0" Beta 2 Setup Wizard page, click Finish.

Configure first front-end Web and search server

On the first front-end Web and search server, after you click Finish on the Completing the Microsoft SharePoint Portal Server "v2.0" Beta 2 Setup Wizard page, the Specify Configuration Database Settings for Server server_name page appears.

Using an instance of Internet Explorer that is running on the computer that you have designated as the first front-end Web and search server, do the following steps:

  1. On the Specify Configuration Database Settings for Server server_name page, do the following:
    1. In the Database Connections section, click Create configuration database.
    2. In the Server for Configuration Database section, in the Database server box, type the name of the computer running Microsoft SQL Server.

      This is the server on which the configuration database will be stored.

      Note If you have multiple SQL Server instance names, specify both the name of the computer running Microsoft SQL Server and the SQL Server instance name in the format server_name\SQL_Server_instance_name.

    3. In the Name for Configuration Database section, do one of the following:
      • If you want to use the default database name that is displayed, click Use default name.
      • If you want to specify a name for the database, click Specify custom name, and then in the Custom Name box, type a name for the database.
    4. Click OK.
  2. On the Configure Server Topology and Component Assignments page, click Change Components.
  3. On the Change Component Assignments page, select the Web and Search check boxes for the first front-end Web and search server.

    Ensure that the Index check box in the row for the first front-end Web and search server is cleared, and ensure that the job server component is set to none and that the box for the document library server is empty.

  4. Click OK.
  5. On the Configure Server Farm Account Settings page, do the following:
    1. In the Contact E-mail Address section, in the E-mail address box, type the e-mail address that an external site administrator can contact if problems occur when SharePoint Portal Server crawls the external site.
    2. In the Configuration Database Administration Account section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.
      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    3. In the Default Content Access Account section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.
      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    4. In the Proxy Server Settings section, do one of the following:
      • Click Do not connect using a proxy server.
      • Click Use the proxy server specified below, and then specify the following:
        1. In the Address box, type the address of the proxy server that you want SharePoint Portal Server to use while creating content indexes.
        2. In the Port box, type the port number for the proxy server that you want SharePoint Portal Server to use while creating indexes of sites and servers.
        3. If you do not want SharePoint Portal Server to use the proxy server when creating an index of local addresses, select the Bypass proxy server for local (intranet) addresses check box.
        4. If you have specific addresses for which you do not want to use the proxy server, in the Do not use proxy server for addresses beginning with box, type the addresses.
    5. Click Save.
    6. On the message box that appears, click OK.
  6. On the Configure Server Topology and Component Assignments page, click Close.

Configure second front-end Web and search server

On the second front-end Web and search server, after you click Finish on the Completing the Microsoft SharePoint Portal Server "v2.0" Beta 2 Setup Wizard page, the Specify Configuration Database Settings for Server server_name page appears.

Using an instance of Internet Explorer that is running on the computer that you have designated as the second front-end Web and search server, do the following steps:

  1. On the Specify Configuration Database Settings for Server server_name page, do the following:
    1. In the Database Connections section, click Connect to existing configuration database.
    2. In the Server for Configuration Database section, in the Database server box, type the name of the computer running Microsoft SQL Server.

      This is the server on which the configuration database will be stored.

      Note If you have multiple SQL Server instance names, specify both the name of the computer running Microsoft SQL Server and the SQL Server instance name in the format server_name\SQL_Server_instance_name.

    3. In the Name for Configuration Database section, do one of the following:
      • If you want to use the default database name that is displayed, click Use default name.
      • If you want to specify a name for the database, click Specify custom name, and then in the Custom Name box, type a name for the database.
    4. Click OK.
  2. On the Configure Server Topology and Component Assignments page, click Change Components.
  3. On the Change Component Assignments page, select the Web and Search check boxes for the second front-end Web and search server.

    Ensure that the Index check box in the row for the second front-end Web and search server is cleared, and ensure that the job server component is set to none and that the box for the document library server is empty.

  4. Click OK.
  5. On the Configure Server Farm Account Settings page, do the following:
    1. In the Contact E-mail Address section, in the E-mail address box, type the e-mail address that an external site administrator can contact if problems occur when SharePoint Portal Server crawls the external site.
    2. In the Configuration Database Administration Account section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.
      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    3. In the Default Content Access Account section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.
      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    4. In the Proxy Server Settings section, do one of the following:
      • Click Do not connect using a proxy server.
      • Click Use the proxy server specified below, and then specify the following:
        1. In the Address box, type the address of the proxy server that you want SharePoint Portal Server to use while creating content indexes.
        2. In the Port box, type the port number for the proxy server that you want SharePoint Portal Server to use while creating indexes of sites and servers.
        3. If you do not want SharePoint Portal Server to use the proxy server when creating an index of local addresses, select the Bypass proxy server for local (intranet) addresses check box.
        4. If you have specific addresses for which you do not want to use the proxy server, in the Do not use proxy server for addresses beginning with box, type the addresses.
    5. Click Save.
    6. On the message box that appears, click OK.
  6. On the Configure Server Topology and Component Assignments page, click Close.

Configure the index management and job server

On the index management and job server, after you click Finish on the Completing the Microsoft SharePoint Portal Server "v2.0" Beta 2 Setup Wizard page, the Specify Configuration Database Settings for Server server_name page appears.

Using an instance of Internet Explorer that is running on the computer that you have designated as the index management and job server, do the following steps:

  1. On the Specify Configuration Database Settings for Server server_name page, do the following:
    1. In the Database Connections section, click Connect to existing configuration database.
    2. In the Server for Configuration Database section, in the Database server box, type the name of the computer running Microsoft SQL Server.

      This is the server on which the configuration database will be stored.

      Note If you have multiple SQL Server instance names, specify both the name of the computer running Microsoft SQL Server and the SQL Server instance name in the format server_name\SQL_Server_instance_name.

    3. In the Name for Configuration Database section, do one of the following:
      • If you want to use the default database name that is displayed, click Use default name.
      • If you want to specify a name for the database, click Specify custom name, and then in the Custom Name box, type a name for the database.
    4. Click OK.
  2. On the Configure Server Topology and Component Assignments page, click Change Components.
  3. On the Change Component Assignments page, do the following:
    1. Select the Index check box.

      Ensure that the Web and Search check boxes in the row for the index management and job server are cleared.

    2. In the Job server list, select this server as the job server.
    3. Ensure that the box for the document library server is empty.
    4. Click OK.
  4. On the Configure Server Farm Account Settings page, do the following:
    1. In the Contact E-mail Address section, in the E-mail address box, type the e-mail address that an external site administrator can contact if problems occur when SharePoint Portal Server crawls the external site.
    2. In the Configuration Database Administration Account section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.
      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    3. In the Default Content Access Account section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.
      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    4. In the Proxy Server Settings section, do one of the following:
      • Click Do not connect using a proxy server.
      • Click Use the proxy server specified below, and then specify the following:
        1. In the Address box, type the address of the proxy server that you want SharePoint Portal Server to use while creating content indexes.
        2. In the Port box, type the port number for the proxy server that you want SharePoint Portal Server to use while creating indexes of sites and servers.
        3. If you do not want SharePoint Portal Server to use the proxy server when creating an index of local addresses, select the Bypass proxy server for local (intranet) addresses check box.
        4. If you have specific addresses for which you do not want to use the proxy server, in the Do not use proxy server for addresses beginning with box, type the addresses.
    5. Click Save.
    6. On the message box that appears, click OK.
  5. On the Configure Server Topology and Component Assignments page, click Close.

Create a portal site from the first front-end Web and search server

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Virtual Server and Portal Site Configuration section, click Create a portal site.
  2. On the Create Portal for Server server_name page, do the following:
    1. In the Portal Creation Options section, click Create a portal.
    2. In the Portal Title section, in the Portal Title box, type a title for the portal site.

      This title appears at the top of most portal site pages.

    3. In the Portal Address section, do the following:
      1. In the Virtual Server list, click the virtual server for this portal.
      2. In the URL address box, type the URL that users will use to connect to the portal.

        Note It is recommended that you use a virtual name for the farm instead of the server name in the URL.

        By default, this URL is http://server_name/. If you are not creating the portal on the Default Web Site but on another virtual server, the URL includes the port number, for example, http://server_name:port_number/.

    4. In the Default Portal Owner section, do the following:
      1. In the Account name box, type the account name for the portal owner in the format DOMAIN\user_name.

        The portal owner manages portal content and user access.

      2. In the E-mail address box, type the e-mail address for the portal owner.
    5. Click OK.
  3. On the Portal Creation - Application Pool Account for Server server_name page, do the following:
    1. In the Account name box, type the default Windows domain account to use for hosting the application pool of the virtual server.
    2. In the Password box, type the password to use with this account.
    3. In the Confirm password box, type the password again.
    4. Click Next.
  4. On the Create Portal Confirmation for Server server_name page, click OK to begin creating the portal.

    The Operation Status page appears.

    At the end of successful portal creation, the Operation Successful page appears.

Extend the virtual server on the second front-end Web and search server

  1. On the task bar, click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Central Administration.
  2. On the SharePoint Portal Server Central Administration for Server server_name page, in the Virtual Server and Portal Site Configuration section, click Extend an existing virtual server from the Virtual Server List page.
  3. On the list of virtual servers, click Default Web Site.
  4. On the Extend Virtual Server with Windows SharePoint Services Beta 2 page, in the Provisioning Options section, click Extend and map to another virtual server.
  5. On the Extend and Map to Another Virtual Server page, in the Server Mapping section, select Default Web Site from the Host name or IIS virtual server name list.
  6. In the Application Pool section, do the following:
    1. Click Create a new Application Pool.
    2. In the Application pool name box, type the application pool name.

      Note A best practice is to name it the same as the portal title.

    3. Select a security account for this application pool. Specify the same credentials that you specified on the Application Pool Account Page when you created the portal.
  7. Click OK.
  8. On the Refresh Config Cache on Other Web front end servers page, click OK.

Optional: Install and configure the components for backward-compatible document libraries

You can install the components for backward-compatible document libraries on a separate computer.

Install the components for backward-compatible document libraries

  1. Log on to the computer running Windows Server 2003 as a local or domain administrator.
  2. Do the following to ensure that the proxy server settings for Internet access are specified correctly:
    1. Click Start, point to Control Panel, and then click Internet Options.
    2. In the Internet Properties dialog box, click the Connections tab.
    3. Click LAN Settings.
    4. In the Local Area Network (LAN) Settings dialog box, in the Automatic configuration section, ensure that both check boxes are cleared.
    5. If you use a proxy server, in the Proxy server section, do the following:
      1. Select the Use a proxy server for your LAN (These settings will not apply to dial-up or VPN connections). check box.
      2. Select the Bypass proxy server for local addresses check box.
      3. In the Address box, type a valid proxy server address.
      4. In the Port box, type the port number for the proxy server.
      5. Click Advanced.
      6. In the Proxy Settings dialog box, select the Use the same proxy server for all protocols check box, and then click OK.
    6. Click OK to close the Local Area Network (LAN) Settings dialog box.
    7. Click OK to close the Internet Options dialog box.
  3. Insert the SharePoint Portal Server CD into your CD-ROM drive.
  4. Click Install Document Management components.

    The installation page for document management appears.

  5. Click Install server and client components.
  6. On the Welcome to the Document Library Setup Wizard page, click Next.
  7. On the License Agreement page, click I agree, and then click Next.
  8. On the Product Identification page, type the product key in the spaces provided, and then click Next.

    The product key is located on the back of your SharePoint Portal Server "v2.0" Beta 2 CD case or on your Certificate of Authenticity. If the number you type is not accepted, check the following:

    • If you are using the numeric keypad on your keyboard, ensure that NUM LOCK is on.
    • Ensure that you are not using the letter I for the number one.
    • Ensure that you are not using the letter O for the number zero.

  9. On the Document library component of SharePoint Portal Server "v2.0" Beta 2 Setup page, specify the location on the server disk where you want to install the data files for the document library component.

    You can change the installation location for these files by clicking Change Folder.

    SharePoint Portal Server also installs additional required files on the operating system drive. Click Disk Information for information about the amount of disk space required and the amount remaining. If there are existing files in the installation paths, setup removes these files.

    Note The path must meet the following restrictions:

    • The path name can have a maximum length of 100 characters.
    • The path name can contain only characters in the lower ASCII range.
    • The path cannot point to a root directory. For example, E:\ is not allowed, but E:\Installation is allowed

  10. Click Next.

    The Component Progress page appears.

  11. On the Completing the Document Library Setup Wizard page, click Finish.

Use the first front-end Web and search server to configure the components for backward-compatible document libraries

  1. Log on to the first front-end Web and search server, and then go to the SharePoint Portal Server Central Administration for Server server_name page.
  2. On the SharePoint Portal Server Central Administration for Server server_name page, in the Server Configuration section, click Configure server topology and component assignments.
  3. On the Configure Server Topology and Component Assignments page, click Change Components.
  4. On the Change Component Assignments page, in the Document Library Server Component section, in the Document library server box, type the name of the server that you are configuring as the document library server.
  5. Click OK.
  6. On the Configure Server Topology and Component Assignments page, click Close.

Create a document library

  1. Log on to the first front-end Web and search server, and then go to the SharePoint Portal Server Central Administration for Server server_name page.
  2. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure document libraries (Web Storage System-based).
  3. On the List and Manage Document Libraries page, do the following:
    1. If you have previously specified an SMTP server (by using the Configure e-mail server settings link on the SharePoint Portal Server Central Administration for Server server_name page), you might need to synchronize the settings for the portal server and the document library server. To do this, click Synchronize.
    2. Click Create document library.
  4. On the Create Document Library page, in the Name and Description section, do the following:
    1. In the Document library friendly name box, type the friendly name for the library that you are creating.

      Note The friendly name cannot exceed 100 characters in length.

    2. In the Document library description box, type the description for the document library.
    3. In the Document library name box, type a word that will be used in the URL of the document library after the server name.

      For example, for a URL of http://AdventureWorks/Adventure, you would type Adventure.

  5. In the Associated Portal Site section, in the Portal site list, select the portal site to associate with this document library.

    The portal site provides search capability and the ability to personalize alerts for users of the document library. Users can get to the document library from the Document Library area on the home page of the portal.

  6. In the Document Library Contact section, do the following:
    1. In the Contact name box, type the name of the user or group to which you are assigning overall responsibility for the document library.
    2. In Contact e-mail address box, type the e-mail address for the contact.

      The contact e-mail address can be that of an individual user or a group. This e-mail address will be used as the reply-to address for e-mail messages sent by the document library during document approval routes.

  7. To limit the number of previous major versions of a document to retain when the document is approved, in the Document Versions section, select the Specify version limit check box, and then type a limit in the Number of versions to retain box.

    Note This setting does not affect the number of minor versions retained.

  8. Click OK.

    The Operation Status page appears. After the document library is successfully created, the List and Manage Document Libraries page appears.

Related Topics

Server Farm Deployments


Deploying a Large Server Farm

Deploying a Large Server Farm

For SharePoint Portal Server "v2.0" Beta 2, you must set up and configure a large server farm according to the specific following instructions. Following these steps ensures a supported configuration.

You must configure the servers in your server farm as follows:

  • 2 Web front end servers
  • 1 search server
  • 1 index management and job server.
  • 1 computer running SQL Server 2000.
  • Optional: 1 computer running the components for backward-compatibility with Microsoft SharePoint Portal Server 2001 document libraries.

Operating System and Setup Requirements

Ensure that you have installed Windows Server 2003 Release Candidate 2 before you install SharePoint Portal Server.

For Microsoft SharePoint Portal Server "v2.0" Beta 2, only Windows Server 2003 Release Candidate 2 is supported.

Set up Windows Network Load Balancing

  1. Set a Static IP on the Front-End Network Interface Card (NIC). To do this:
    1. Click Start, point to Control Panel, and then click Network Connections.
    2. Right-click Front-End NIC and select properties.
    3. Select Internet Protocol (TCP/IP) from the This connection uses the following items: area.
    4. Click Properties.
    5. Select Use the following IP address.
      1. Fill in IP Address with your assigned front-end Static IP.
      2. Fill in the Subnet Mask with your assigned front-end subnet mask, if needed.
      3. Fill in the Default Gateway with your assigned front-end gateway, if needed.
    6. Select Use the following DNS server addresses. Fill in the Preferred and Alternate DNS Server IPs.
    7. Click Advanced.
    8. On the IP Settings tab, click Add.
    9. Type the virtual IP address and subnet mask.
    10. Click OK, and then click OK again.

    Note The virtual IP is the “fake” IP that is the entry point to your server farm.

  2. On the LAN Connection Properties page in the This connection uses the following Items: area, select the Network Load Balancing check box.
  3. Check Network Load Balancing and ensure that Network Load Balancing is selected.
  4. Click Properties.
  5. On the Cluster Parameters tab, do the following:
    1. Type the Cluster IP for IP Address – Cluster IP is the virtual IP that is the entry point to your server farm. This IP will need to be mapped to a DNS entry so that you can type the name of the cluster from Internet Explorer instead of IP.
    2. Enter the subnet mask – use the same subnet mask for this NIC as reported by IPCONFIG /ALL for this NIC.
    3. The Full Internet Name is the DNS Name.

      Note If you are using Microsoft Windows Internet Name Service (WINS) resolution, enter the WINS name without the domain extension. For example, enter MyServerFarm instead of MyServerFarm.MyCorporation.com.

    4. Leave the Cluster operation mode at its default Unicast setting.
    5. Leave the Allow remote control property at its default (unchecked) setting.
  6. On the Host Parameters tab, do the following:
    1. Enter Priority 1 on your first Web front end server and Priority 2 on your second Web front end server.
    2. In the Dedicated IP Configuration area, type the address and subnet mask originally assigned to this front-end NIC.

      Note You are assigning two IP addresses to the front-end NIC.

    3. Do not change any of the Initial host state settings.
  7. On the Port Rules tab, in the Filtering mode section, ensure that Multiple host is set and that Affinity is set to None.
  8. Click OK, and then click OK again.

    Note If you see a dialog box stating that you must enter the new address in the TCP/IP component, you have not completed all of the previous steps. Click OK, and then do the following before you proceed:

    1. On TCP/IP, select Properties.
    2. Click Advanced.
    3. On the IP Settings tab, click Add.
    4. Type the virtual IP address and subnet mask.
    5. Click OK, and then click OK again.
  9. Restart the server.
  10. Repeat the previous steps on all Web front end servers. Ensure that you change the Priority on each to be unique.
  11. Test NLB before installing SharePoint Portal Server:
    1. Open command prompt, and then ping the virtual name of the server farm from a client computer that is not part of the server farm. For example, if MyServerFarm is the name you entered as the full Internet name or you are using WINS, you would type ping MyServerFarm. MyServerFarm is the virtual server farm name in this example.
    2. Ensure that you receive a reply.
      • If you receive no reply, ping MyServerFarm by using the virtual IP address for the server farm. The virtual IP address is the cluster IP address that you specified in a previous step.
      • If you receive no reply, contact your network operations contact for DNS/WINS, routing, and static IP support.
    3. Type ping VirtualServerFarmName -t

      This performs a continuous ping. For example, type ping MyServerFarm -t

    4. On Web front end server 1, do the following:
      1. On the taskbar, click Start, point to Control Panel, point to Network Connections, and then click Local Area Connection for the NIC associated with NLB.
      2. On the General tab, click Disable.
    5. On Web front end server 2, do the following:
      1. On the taskbar, click Start, point to Control Panel, point to Network Connections, and then click Local Area Connection for the NIC associated with NLB.
      2. On the General tab, click Disable.
    6. On the client computer that is continuously pinging the virtual name of the server farm, you should see a message that the request timed out.
    7. On Web front end server 1, on the taskbar, click Start, point to Control Panel, point to Network Connections, right-click Local Area Connection for the NIC associated with NLB, and then click Enable.
    8. On the client computer that is continuously pinging the virtual name of the server farm, you should see a reply to the ping within 10 seconds. If you do not see a reply, ensure that your NLB configuration and your network configuration are correct.
    9. On Web front end server 1, do the following:
      1. On the taskbar, click Start, point to Control Panel, point to Network Connections, and then click Local Area Connection for the NIC associated with NLB.
      2. On the General tab, click Disable.
    10. On the client computer that is continuously pinging the virtual name of the server farm, you should see a message that the request timed out.
    11. On Web front end server 2, on the taskbar, click Start, point to Control Panel, point to Network Connections, right-click Local Area Connection for the NIC associated with NLB, and then click Enable.
    12. On the client computer that is continuously pinging the virtual name of the server farm, you should see a reply to the ping within 10 seconds. If you do not see a reply, ensure that your NLB configuration and your network configuration are correct.
    13. On Web front end server 2, do the following:
      1. On the taskbar, click Start, point to Control Panel, point to Network Connections, and then click Local Area Connection for the NIC associated with NLB.
      2. On the General tab, click Disable.
    14. On the client computer that is continuously pinging the virtual name of the server farm, you should see a message that the request timed out.
    15. On Web front end server 1, on the taskbar, click Start, point to Control Panel, point to Network Connections, right-click Local Area Connection for the NIC associated with NLB, and then click Enable.
    16. On Web front end server 2, on the taskbar, click Start, point to Control Panel, point to Network Connections, right-click Local Area Connection for the NIC associated with NLB, and then click Enable.
    17. On the client computer that is continuously pinging the virtual name of the server farm, press CTRL C to break the ping cycle.

Perform all pre-setup server farm workarounds

Note Ensure that you use the same DOMAIN\domain_account wherever you see DOMAIN\domain_account in the server farm instructions. Do not use different accounts for each instance of DOMAIN\domain_account

  1. Add a DOMAIN\domain_account to the local Administrators group on each computer in the farm.
  2. Log on to all servers as DOMAIN\domain_account
  3. On the computer running SQL Server, do the following:
    1. Configure the MSSQLSERVER service and the SQLSERVERAGENT service to start automatically, and confirm that both services start successfully at startup.
    2. Configure the service accounts for the MSSQLSERVER service and the SQLSERVERAGENT service to run as DOMAIN\domain_account on the services corresponding to the instance of SQL Server you want to use.
  4. On all servers that will have Microsoft SharePoint Portal Server "v2.0" Beta 2 installed, do the following:

    Note Usually this does not include the computer running SQL Server or the computer running the components for backward-compatibility with Microsoft SharePoint Portal Server 2001 document libraries.

    1. On the taskbar, click Start, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
    2. On the Internet Information Services (IIS) Manager management console, expand the tree view.
    3. Click Web Service Extensions.
    4. Ensure that Active Server Pages and ASP.NET are set to Allowed.
    5. Close the management console.
    6. Open command prompt and type iisreset

Install Microsoft SharePoint Portal Server "v2.0" Beta 2

On the two Web front end servers, the search server, and on the index management and job server, do the following:

  1. Log on to the computer running Windows Server 2003 as a local or domain administrator.
  2. Insert the SharePoint Portal Server CD into your CD-ROM drive.
  3. Click Install Microsoft SharePoint Portal Server "v2.0" Beta 2 components.
  4. On the Install Microsoft SharePoint Portal Server "v2.0" Beta 2 page, click Next.

    Setup installs Windows SharePoint Services Beta 2, and then the Welcome to the Microsoft SharePoint Portal Server "v2.0" Beta 2 Setup Wizard page appears.

  5. On the Welcome to the Microsoft SharePoint Portal Server "v2.0" Beta 2 Setup Wizard page, click Next.
  6. On the End-User License Agreement page, select the I accept all of the terms in the license agreement. check box, and then click Next.
  7. On the Product Identification page, type the product key in the spaces provided, and then click Next.

    The product key is located on the back of your SharePoint Portal Server CD case or on your Certificate of Authenticity. If the number you type is not accepted, check the following:

    • If you are using the numeric keypad on your keyboard, ensure that NUM LOCK is on.
    • Ensure that you are not using the letter I for the number one.
    • Ensure that you are not using the letter O for the number zero.

  8. On the Installation Type and File Location page, do the following:
    1. Click Install without database engine.
    2. To specify file locations, click Browse, and then specify a location.
    3. Click Next.
  9. On the successful completion message box, click OK.
  10. On the Microsoft SharePoint Portal Server "v2.0" Beta 2 page requesting account information, do the following:
    1. In the Account name box, type the account name to be used for access to the configuration database for administrative operations.

      The account must have database creation permissions on this SQL instance, and it must be a member of the local Administrators group.

      Enter the account in the format DOMAIN\user_name.

    2. In the Password box, type the password for the account.
    3. Click Next.
  11. On the Install Microsoft SharePoint Portal Server "v2.0" Beta 2 page, click Next.
  12. On the Completing the Microsoft SharePoint Portal Server "v2.0" Beta 2 Setup Wizard page, click Finish.

Configure Web front end server 1

On Web front end server 1, after you click Finish on the Completing the Microsoft SharePoint Portal Server "v2.0" Beta 2 Setup Wizard page, the Specify Configuration Database Settings for Server server_name page appears.

Using an instance of Internet Explorer that is running on the computer that you have designated as Web front end server 1, do the following steps:

  1. On the Specify Configuration Database Settings for Server server_name page, do the following:
    1. In the Database Connections section, click Create configuration database.
    2. In the Server for Configuration Database section, in the Database server box, type the name of the computer running Microsoft SQL Server.

      This is the server on which the configuration database will be stored.

      Note If you have multiple SQL Server instance names, specify both the name of the computer running Microsoft SQL Server and the SQL Server instance name in the format server_name\SQL_instance_name.

    3. In the Name for Configuration Database section, do one of the following:
      • If you want to use the default database name that is displayed, click Use default name.
      • If you want to specify a name for the database, click Specify custom name, and then in the Custom Name box, type a name for the database.
    4. Click OK.
  2. On the Configure Server Topology and Component Assignments page, click Change Components.
  3. On the Change Component Assignments page, select the Web check box for Web front end server 1.

    Ensure that the Search and Index check boxes in the row for Web front end server 1 is cleared, and ensure that -none- shows for the job server component and that the box for the document library server is empty.

  4. Click OK.
  5. On the Configure Server Topology and Component Assignments page, click Close.

Configure Web front end server 2

On Web front end server 2, after you click Finish on the Completing the Microsoft SharePoint Portal Server "v2.0" Beta 2 Setup Wizard page, the Specify Configuration Database Settings for Server server_name page appears.

Using an instance of Internet Explorer that is running on the computer that you have designated as Web front end server 2, do the following steps:

  1. On the Specify Configuration Database Settings for Server server_name page, do the following:
    1. In the Database Connections section, click Connect to existing configuration database.
    2. In the Server for Configuration Database section, in the Database server box, type the name of the computer running Microsoft SQL Server.

      This is the server on which the configuration database will be stored.

      Note If you have multiple SQL Server instance names, specify both the name of the computer running Microsoft SQL Server and the SQL Server instance name in the format server_name\SQL_instance_name.

    3. In the Name for Configuration Database section, do one of the following:
      • If you want to use the default database name that is displayed, click Use default name.
      • If you want to specify a name for the database, click Specify custom name, and then in the Custom Name box, type a name for the database.
    4. Click OK.
  2. On the Configure Server Topology and Component Assignments page, click Change Components.
  3. On the Change Component Assignments page, select the Web check box for Web front end server 2.

    Ensure that the Search and Index check boxes in the row for Web front end server 2 is cleared, and ensure that -none- shows for the job server component and that the box for the document library server is empty.

  4. Click OK.
  5. On the Configure Server Topology and Component Assignments page, click Close.

Configure the index management and job server

On the index management and job server, after you click Finish on the Completing the Microsoft SharePoint Portal Server "v2.0" Beta 2 Setup Wizard page, the Specify Configuration Database Settings for Server server_name page appears.

Using an instance of Internet Explorer that is running on the computer that you have designated as the index management and job server, do the following steps:

  1. On the Specify Configuration Database Settings for Server server_name page, do the following:
    1. In the Database Connections section, click Connect to existing configuration database.
    2. In the Server for Configuration Database section, in the Database server box, type the name of the computer running Microsoft SQL Server.

      This is the server on which the configuration database will be stored.

      Note If you have multiple SQL Server instance names, specify both the name of the computer running Microsoft SQL Server and the SQL Server instance name in the format server_name\SQL_instance_name.

    3. In the Name for Configuration Database section, do one of the following:
      • If you want to use the default database name that is displayed, click Use default name.
      • If you want to specify a name for the database, click Specify custom name, and then in the Custom Name box, type a name for the database.
    4. Click OK.
  2. On the Configure Server Topology and Component Assignments page, click Change Components.
  3. On the Change Component Assignments page, do the following:
    1. Select the Index check box for the index management and job server.

      Ensure that the Web and Search check boxes in the row for the index management and job server are cleared.

    2. In the Job server list, select this server as the job server.
    3. Ensure that the box for the document library server is empty.
    4. Click OK.
  4. On the Configure Server Farm Account Settings page, do the following:
    1. In the Contact E-mail Address section, in the E-mail address box, type the e-mail address that an external site administrator can contact if problems occur when SharePoint Portal Server crawls the external site.
    2. In the Configuration Database Administration Account section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.
      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    3. In the Default Content Access Account section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.
      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    4. In the Proxy Server Settings section, do one of the following:
      • Click Do not connect using a proxy server.
      • Click Use the proxy server specified below, and then specify the following:
        1. In the Address box, type the address of the proxy server that you want SharePoint Portal Server to use while creating content indexes.
        2. In the Port box, type the port number for the proxy server that you want SharePoint Portal Server to use while creating indexes of sites and servers.
        3. If you do not want SharePoint Portal Server to use the proxy server when creating an index of local addresses, select the Bypass proxy server for local (intranet) addresses check box.
        4. If you have specific addresses for which you do not want to use the proxy server, in the Do not use proxy server for addresses beginning with box, type the addresses.
    5. Click Save.
    6. On the message box that appears, click OK.
  5. On the Configure Server Topology and Component Assignments page, click Close.

Configure the search server

On the search server, after you click Finish on the Completing the Microsoft SharePoint Portal Server "v2.0" Beta 2 Setup Wizard page, the Specify Configuration Database Settings for Server server_name page appears.

Using an instance of Internet Explorer that is running on the computer that you have designated as the search server, do the following steps:

  1. On the Specify Configuration Database Settings for Server server_name page, do the following:
    1. In the Database Connections section, click Connect to existing configuration database.
    2. In the Server for Configuration Database section, in the Database server box, type the name of the computer running Microsoft SQL Server.

      This is the server on which the configuration database will be stored.

      Note If you have multiple SQL Server instance names, specify both the name of the computer running Microsoft SQL Server and the SQL Server instance name in the format server_name\SQL_instance_name.

    3. In the Name for Configuration Database section, do one of the following:
      • If you want to use the default database name that is displayed, click Use default name.
      • If you want to specify a name for the database, click Specify custom name, and then in the Custom Name box, type a name for the database.
    4. Click OK.
  2. On the Configure Server Topology and Component Assignments page, click Change Components.
  3. On the Change Component Assignments page, do the following:
    1. Select the Search check box for the search server.

      Ensure that the Web and Index check boxes in the row for the search server are cleared.

    2. Ensure that the box for the document library server is empty.
    3. Click OK.
  4. On the Configure Server Farm Account Settings page, do the following:
    1. In the Contact E-mail Address section, in the E-mail address box, type the e-mail address that an external site administrator can contact if problems occur when SharePoint Portal Server crawls the external site.
    2. In the Configuration Database Administration Account section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.
      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    3. In the Default Content Access Account section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.
      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    4. In the Proxy Server Settings section, do one of the following:
      • Click Do not connect using a proxy server.
      • Click Use the proxy server specified below, and then specify the following:
        1. In the Address box, type the address of the proxy server that you want SharePoint Portal Server to use while creating content indexes.
        2. In the Port box, type the port number for the proxy server that you want SharePoint Portal Server to use while creating indexes of sites and servers.
        3. If you do not want SharePoint Portal Server to use the proxy server when creating an index of local addresses, select the Bypass proxy server for local (intranet) addresses check box.
        4. If you have specific addresses for which you do not want to use the proxy server, in the Do not use proxy server for addresses beginning with box, type the addresses.
    5. Click Save.
    6. On the message box that appears, click OK.
  5. On the Configure Server Topology and Component Assignments page, click Close.

Create a portal from Web front end server 1

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Virtual Server and Portal Site Configuration section, click Create a portal site.
  2. On the Create Portal for Server server_name page, do the following:
    1. In the Portal Creation Options section, click Create a portal.
    2. In the Portal Title section, in the Portal Title box, type a title for the portal.

      This title appears at the top of most portal pages.

    3. In the Portal Address section, do the following:
      1. In the Virtual Server list, click the virtual server for this portal.
      2. In the URL address box, type the URL that users will use to connect to the portal.

        Note It is recommended that you use a virtual name for the farm instead of the server name in the URL.

        By default, this URL is http://server_name/. If you are not creating the portal on the Default Web Site but on another virtual server, the URL includes the port number, for example, http://server_name:port_number/.

    4. In the Default Portal Owner section, do the following:
      1. In the Account name box, type the account name for the portal owner in the format DOMAIN\user_name.

        The portal owner manages portal content and user access.

      2. In the E-mail address box, type the e-mail address for the portal owner.
    5. Click OK.
  3. On the Portal Creation - Application Pool Account for Server server_name page, do the following:
    1. In the Account name box, type the default Windows domain account to use for hosting the application pool of the virtual server.
    2. In the Password box, type the password to use with this account.
    3. In the Confirm password box, type the password again.
    4. Click Next.
  4. On the Create Portal Confirmation for Server server_name page, click OK to begin creating the portal.

    The Operation Status page appears.

    At the end of successful portal creation, the Operation Successful page appears.

Extend the virtual server on Web front end server 2

  1. On the task bar, click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Central Administration.
  2. On the SharePoint Portal Server Central Administration for Server server_name page, in the Virtual Server and Portal Site Configuration section, click Extend an existing virtual server from the Virtual Server List page.
  3. On the list of virtual servers, click Default Web Site.
  4. On the Extend Virtual Server with Windows SharePoint Services Beta 2 page, in the Provisioning Options section, click Extend and map to another virtual server.
  5. On the Extend and Map to Another Virtual Server page, in the Server Mapping section, select Default Web Site from the Host name or IIS virtual server name list.
  6. In the Application Pool section, do the following:
    1. Click Create a new Application Pool.
    2. In the Application pool name box, type the application pool name.

      Note A best practice is to name it the same as the portal title.

    3. Select a security account for this application pool. Specify the same credentials that you specified on the Application Pool Account Page when you created the portal.
  7. Click OK.
  8. On the Refresh Config Cache on Other Web front end servers page, click OK.

Optional: Install and configure the components for backward-compatibility with Microsoft SharePoint Portal Server 2001 document libraries

You can install the components for backward-compatibility with Microsoft SharePoint Portal Server 2001 document libraries on a separate computer.

Install the components for backward-compatibility with Microsoft SharePoint Portal Server 2001 document libraries

  1. Log on to the computer running Windows Server 2003 as a local or domain administrator.

    Important For Microsoft SharePoint Portal Server "v2.0" Beta 2, only Windows Server 2003 Release Candidate 2 is supported.

  2. Do the following to ensure that the proxy server settings for Internet access are specified correctly:
    1. Click Start, point to Control Panel, and then click Internet Options.
    2. In the Internet Properties dialog box, click the Connections tab.
    3. Click LAN Settings.
    4. In the Local Area Network (LAN) Settings dialog box, in the Automatic configuration section, ensure that both check boxes are cleared.
    5. If you use a proxy server, in the Proxy server section, do the following:
      1. Select the Use a proxy server for your LAN (These settings will not apply to dial-up or VPN connections). check box.
      2. Select the Bypass proxy server for local addresses check box.
      3. In the Address box, type a valid proxy server address.
      4. In the Port box, type the port number for the proxy server.
      5. Click Advanced.
      6. In the Proxy Settings dialog box, select the Use the same proxy server for all protocols check box, and then click OK.
    6. Click OK to close the Local Area Network (LAN) Settings dialog box.
    7. Click OK to close the Internet Options dialog box.
  3. Insert the SharePoint Portal Server CD into your CD-ROM drive.
  4. Click Install Document Management components.

    The installation page for document management appears.

  5. Click Install server and client components.
  6. On the Welcome to the Document Library Setup Wizard page, click Next.
  7. On the License Agreement page, click I agree, and then click Next.
  8. On the Product Identification page, type the product key in the spaces provided, and then click Next.

    Note This page will not appear when installing Microsoft SharePoint Portal Server "v2.0" Beta 2.

    The product key is located on the back of your SharePoint Portal Server CD case or on your Certificate of Authenticity. If the number you type is not accepted, check the following:

    • If you are using the numeric keypad on your keyboard, ensure that NUM LOCK is on.
    • Ensure that you are not using the letter I for the number one.
    • Ensure that you are not using the letter O for the number zero.

  9. On the Document library component of SharePoint Portal Server "v2.0" Beta 2 Setup page, specify the location on the server disk where you want to install the data files for the document library component.

    You can change the installation location for these files by clicking Change Folder.

    SharePoint Portal Server also installs additional required files on the operating system drive. Click Disk Information for information about the amount of disk space required and the amount remaining. If there are existing files in the installation paths, setup removes these files.

    Note The path must meet the following restrictions:

    • The path name can have a maximum length of 100 characters.
    • The path name can contain only characters in the lower ASCII range.
    • The path cannot point to a root directory. For example, E:\ is not allowed, but E:\Installation is allowed

  10. Click Next.

    The Component Progress page appears.

  11. On the Completing the Document Library Setup Wizard page, click Finish.

Use Web front end server 1 to configure the components for backward-compatibility with Microsoft SharePoint Portal Server 2001 document libraries

  1. Log on to Web front end server 1, and then go to the SharePoint Portal Server Central Administration for Server server_name page.
  2. On the SharePoint Portal Server Central Administration for Server server_name page, in the Server Configuration section, click Configure server topology and component assignments.
  3. On the Configure Server Topology and Component Assignments page, click Change Components.
  4. On the Change Component Assignments page, in the Document Library Server Component section, in the Document library server box, type the name of the server that you are configuring as the document library server.
  5. Click OK.
  6. On the Configure Server Topology and Component Assignments page, click Close.

Create a document library

  1. Log on to Web front end server 1, and then go to the SharePoint Portal Server Central Administration for Server server_name page.
  2. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure document libraries (Web Storage System-based).
  3. On the List and Manage Document Libraries page, do the following:
    1. If you have previously specified an SMTP server (by using the Configure e-mail server settings link on the SharePoint Portal Server Central Administration for Server server_name page), you might need to synchronize the settings for the portal server and the document library server. To do this, click Synchronize.
    2. Click Create document library.
  4. On the Create Document Library page, in the Name and Description section, do the following:
    1. In the Document library friendly name box, type the friendly name for the library that you are creating.

      Note The friendly name cannot exceed 100 characters in length.

    2. In the Document library description box, type the description for the document library.
    3. In the Document library name box, type a word that will be used in the URL of the document library after the server name.

      For example, for a URL of http://AdventureWorks/Adventure, you would type Adventure.

  5. In the Associated Portal Site section, in the Portal site list, select the portal site to associate with this document library.

    The portal site provides search capability and the ability to personalize alerts for users of the document library. Users can get to the document library from the Document Library area on the home page of the portal.

  6. In the Document Library Contact section, do the following:
    1. In the Contact name box, type the name of the user or group to which you are assigning overall responsibility for the document library.
    2. In Contact e-mail address box, type the e-mail address for the contact.

      The contact e-mail address can be that of an individual user or a group. This e-mail address will be used as the reply-to address for e-mail messages sent by the document library during document approval routes.

  7. To limit the number of previous major versions of a document to retain when the document is approved, in the Document Versions section, select the Specify version limit check box, and then type a limit in the Number of versions to retain box.

    Note This setting does not affect the number of minor versions retained.

  8. Click OK.

    The Operation Status page appears. After the document library is successfully created, the List and Manage Document Libraries page appears.

Related Topics

Server Farm Deployments


Deploying a Shared Services Scenario

Deploying a Shared Services Scenario

Shared services are portal services that are shared across server farms. The services are centrally managed from a single server for two or more server farms.

For Microsoft SharePoint Portal Server "v2.0" Beta 2, you must set up and configure the shared services scenario according to the specific following instructions. Following these steps ensures a supported configuration.

You must configure the servers in your deployment as follows:

  • One large server farm to provide the shared services.
  • One medium server farm, without the index management and job server, and without the search component on the front-end Web servers, to use as the child server farm using shared services. You can add more front-end Web servers to the child server farm using shared services.

Operating System and Setup Requirements

Ensure that you have installed Microsoft Windows Server 2003 before you install SharePoint Portal Server.

Deploy shared services

  1. Deploy and configure a large server farm to use as the parent server farm. For more information, see Deploying a Large Server Farm.
  2. Deploy and configure a medium server farm to use as the child server farm. For more information, see Deploying a Medium Server Farm.

    Note When configuring the medium server farm, you do not need the index management and job server. In addition, you do not need the search component on the front-end Web servers.

  3. Configure the large server farm to provide shared services. For more information, see Providing Shared Services.
  4. Configure the child server farm to use shared services. For more information, see Using Shared Services.

Related Topics

Shared Services Deployments


Deploying SharePoint Portal Server on the Extranet

Deploying SharePoint Portal Server on the Extranet

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Configuring the Payroll Receipt Application

Configuring the Payroll Receipt Application

To configure the payroll receipt sample application, perform the following tasks in the order described.

Note The sample may not be globalized. The Actional adapter, which is a component upon which the sample application depends, is not fully globalized.

For Microsoft SharePoint Portal Server "v2.0" Beta 2, the payroll receipt application is available in English only.

Installing the SAP Remote Function Call

Set up the Transport Management System of Internet Demo and Evaluation System (IDES) system on the SAP server

  1. Log on as user DDIC in client 000.
  2. Enter transaction code STMS.

  3. If no dialog box appears prompting for transport domain and description, the Transport Management System is set up and you can omit the following steps.

    Otherwise, do the following:

    1. In Transport domain, type the system id of SAP IDES system.
    2. In Description, type Main transport domain
    3. Select Overview, and then click Systems.
    4. Select SAP System, point to Create, and then click Virtual system.
    5. In System, type DUM
    6. In Description, type Dummy system
    7. Select Extras, and then click Distribute and activate configuration.
    8. Select Environment, and then click Transport Routes.
    9. Select Configuration, point to Display, and then click Change.
    10. Select Configuration, point to Standard configuration, and then click Development and production system.
    11. In Source system, type the system id of the SAP IDES system.
    12. In Production system, type DUM
    13. Select Configuration, and then click Distribute and activate.

Install the pay slip extract function to an IDES system on the SAP server

  1. Copy R900006.SPS to /usr/sap/trans/data and copy K900006.SPS to /usr/sap/trans/cofiles. You can find this file on the Microsoft SharePoint Portal Server "v2.0" Beta 2 CD.
  2. Log on to the IDES client.
  3. Enter transaction code STMS.
  4. Select Overview, and then click Imports.
  5. To display the import queue, double-click the system id of the SAP IDES system.
  6. Add the new transport to the import queue. To do this:
    1. Select Extras, point to Other Requests, and then click Add.
    2. Select Enter, and then click Yes in the dialog box. The import queue is displayed again with the additional request as the last entry.
    3. Rest the pointer on the new request that you want to import, select Request, and then click Import.
    4. Enter the current client (800 for IDES) and confirm on the confirmation dialog box. The system imports the entered transport request and displays the Import Queue again when completed.

Installing and Configuring the Actional Adapter

Prerequisites

  • BizTalk 2002 (ensure that Message Queuing is installed)
  • If you are logged directly on the console of the target computer, proceed to the "Install the Actional Adapter on the BizTalk Server" section. Otherwise, do the following:
    1. Connect by using Remote Desktop Connection.
    2. On the task bar, click Start, point to All Programs, point to Administrative Tools, and then click Component Services.
    3. In the COM+ Applications folder, do the following:
      1. Open the Properties page for BizTalk Server Interchange Application.
      2. Click the Advanced tab, and then clear the Disable changes check box.
      3. Click OK, and then click Yes on the message box that appears.
      4. Open the Properties page for BizTalk Server Interchange Application again.
      5. Click the Identity tab, and then select This user.
      6. Type credentials for a user who is a member of the local Administrators group.
      7. Click OK, and then click Yes on the message box that appears.
      8. Repeat these previous steps for XLANG Scheduler Application.
      9. Test that the two applications can be started successfully. To do this, right-click each and then click Start. Click COM+ Applications and see if the “+” on the icons of the two applications is rolling. If yes, the applications are running.

Install the Actional Adapter on the BizTalk Server

You can obtain the Actional Adapter from ftp.actional.com. The user name is eval049, and the password is 5b974k5p.

  1. When you install Actional adapter, select all of the defaults except on the Would you like to install Control Broker as a service? page. On this page, click No.
  2. If you are logged directly on the console of the target computer, then proceed to the "Configure the Actional Adapter on the BizTalk Server" section. Otherwise, do the following:
    1. Connect by using Remote Desktop Connection.
    2. On the task bar, click Start, point to All Programs, point to Administrative Tools, and then click Component Services.
    3. In the COM+ Applications folder, do the following:
      1. Open the Properties page for ACBInvokerHost Application.
      2. Click the Advanced tab, and then clear the Disable changes check box.
      3. Click OK, and then click Yes on the message box that appears.
      4. Open the Properties page for ACBInvokerHost Application again.
      5. Click the Identity tab, and then select This user.
      6. Type credentials for a user who is a member of the local Administrators group.
      7. Click OK, and then click Yes on the message box that appears.

Configure the Actional Adapter on the BizTalk Server

Note The user who is configuring the Actional Adapter must have write access to the WebDav folders.

  1. Copy PayStub\SAPRFC\librfc32.dll to winnt\system32 folder, and then register it by using regsvr32.
  2. Open Actional Control Broker Administrator.
  3. On the View menu, click Profiles.
  4. In the Settings category, select SAP R/3, and then click Edit.
  5. Click the Default Login to R/3 tab.
  6. Clear the Use Global Settingsbox.
  7. Select the Enable login settingsbox.
  8. Add a user name and password that are valid credentials on the SAP system.
  9. Type 800 for Client.
  10. Click the … button, click Add, and then type SAP in the edit box that appears.
  11. In the Server Host box, type the name of the computer that runs the SAP system, and then set System Number to 00.
  12. Click Apply, and then click OK.
  13. Click the Reference Login to R/3 tab and repeat steps 6 through 12.
  14. Click OK.
  15. Click Done, and then restart the Administrator.
  16. On the File menu, click New Service.
  17. Type SPSDemo as the name of the new service.
  18. Select the BizTalkbox.
  19. On the View menu, click Browser.
  20. Open the R/3 node, and then open RFC – RFC Function Modules. Wait until all modules are loaded.
  21. Open the All Applications node.
  22. Select Search Group7004, and then click Add to Service.
  23. Select Search GroupRH65, and then click Add to Service.
  24. Select Search GroupZMSFT, and then click Add to Service.
  25. Close the page.
  26. On the Service menu, click Install Changes, and then click OK.
  27. On the Service menu, click Generate Bindings, and then click OK.
  28. Close the Administrator.
  29. To get data from SAP, use BizTalk schedules for additional calculations, and then get the results in a different form than that which the Actional adapter returns, you must perform the following steps:
    1. Go to the file RFC.GroupZMSFT.z_mssp_get_payroll_results.Reply.xml in the \\server_name\Program Files\Microsoft BizTalk Server\BizTalkServerRepository\DocSpecs\Actional\SPSDemo3\ directory.
    2. Open this file with BizTalk Editor.
    3. Open node Message/Body/RFC.GroupZMSFT.z_mssp_get_payroll_results.Reply/RFC.GroupZMSFT.z_mssp_get_payroll_results.subtotals_e.
    4. Create a subnode under this node named SUBTOTALS.
    5. Specify the following properties for the SUBTOTALS node:
      • Type = Element
      • Model = Closed
      • Content = Element Only
      • Order = Sequence
    6. Under the SUBTOTALS node, create the following new fields:
      • EARNINGS
      • PRETAX_DEDUCTIONS
      • TAXES
      • AFTERTAX_DEDUCTIONS
      • YTD_EARNINGS
      • YTD_PRETAX_DEDUCTIONS
      • YTD_TAXES
      • YTD_AFTERTAX_DEDUCTIONS
    7. For each new field, select the value Element for the Type property.
    8. Click in another section of the dialog box, and then click Yes on the confirmation message box.
    9. Save your changes and close BizTalk Editor.

Configuring BizTalk on the BizTalk Server

Configure BizTalk on the Biztalk Server

Copy the payroll receipt application files from the SPS\Samples\PayStub directory on the Microsoft SharePoint Portal Server "v2.0" Beta 2 CD to the computer on which BizTalk Server is installed, and then do the following:

  1. On the taskbar, click Start, click Run, type Regsvr32 \PayStub\BizTalkComponents\PayStubDemo.dll and then click OK.
  2. On the taskbar, click Start, click Run, type Regsvr32 \PayStub\BizTalkComponents\soc.dll and then click OK.
  3. On the taskbar, click Start, click Run, type 3. Regsvr32 \PayStub\BizTalkComponents\reqres.dll and then click OK.
  4. Copy \PayStub\BizTalkComponents\Biztalk_SyncOrchestration_1.asp and \PayStub\BizTalkComponents\Biztalk_SyncOrchestration_1_post.asp to \Program Files\Microsoft BizTalk Server\MessagingManager\pipeline.
  5. Open BizTalk Messaging Manager.
  6. On the File menu, point to New, and then click Organization.
  7. Type SPSDemoOrg as the name of the organization, and then click OK.
  8. Click Messaging ports, and then click Search Now.
  9. Delete the SPSDemo port. This port was created by Actional.
  10. On the File menu, point to New, point to Messaging Port, and then click To an Organization.
  11. Type SPSDemoPort as the name of the port, and then click Next.
  12. Click Browse for Organization, and then select SPSDemoOrg.
  13. Click Browse for Primary Transport.
  14. In the transport, select Application Integration Component.
  15. Click Browse, select ACBInvokerAIC, and then click OK.
  16. Click OK.
  17. Click Next, and then click Next again.
  18. Clear the Create a channelbox.
  19. Click Finish.
  20. On the File menu, point to New, point to Messaging Port, and then click To an Organization.
  21. Type SPSDemoPortOrc as the name of the port, and then click Next.
  22. Click Browse for Organization, and then select SPSDemoOrg.
  23. Click Browse for Primary Transport.
  24. In the transport, select Application Integration Component.
  25. Click Browse, select BizTalk SyncOrchestration, and then click OK.
  26. Click OK.
  27. Click Next, and then click Next again.
  28. Clear the Create a channel check box.
  29. Click Finish.
  30. Right-click SPSDemoPort, point to New Channel, and then click From an Organization.
  31. Type GetPersonnelNumber as the name of the channel, and then click Next.
  32. Browse for SPSDemoOrg as the organization.
  33. Click Next.
  34. Click Browse for Inbound Document Definition Name.
  35. Select SPSDemo2.bapi_employee_getdata.Request.
  36. Click Next.
  37. Click Browse for Outbound Document Definition Name.
  38. Select SPSDemo2.bapi_employee_getdata.Request.
  39. Click Next, and then click Next again.
  40. Click Advanced, and then click Properties.
  41. Type bapi_employee_getdata@SPSDemo2, click OK, and then click OK again.
  42. Click Finish.
  43. Right-click SPSDemoPort, point to New Channel, and then click From an Organization.
  44. Type GetPayStubsList as the name of the channel, and then click Next.
  45. Browse for SPSDemoOrg as the organization.
  46. Click Next.
  47. Click Browse for Inbound Document Definition Name.
  48. Select SPSDemo.bapi_get_payroll_result_list.Request.
  49. Click Next.
  50. Click Browse for Outbound Document Definition Name.
  51. Select SPSDemo.bapi_get_payroll_result_list.Request.
  52. Click Next, and then click Next again.
  53. Click Advanced, and then click Properties.
  54. Type bapi_get_payroll_result_list@SPSDemo, click OK, and then click OK again.
  55. Click Finish.
  56. Right-click SPSDemoPort, point to New Channel, and then click From an Organization.
  57. Type GetPaystubActional as the name of the channel, and then click Next.
  58. Browse for SPSDemoOrg as the organization.
  59. Click Next.
  60. Click Browse for Inbound Document Definition Name.
  61. Select SPSDemo3.z_mssp_get_payroll_results.Request.
  62. Click Next.
  63. Click Browse for Outbound Document Definition Name.
  64. Select SPSDemo3.z_mssp_get_payroll_results.Request.
  65. Click Next, and then click Next again.
  66. Click Advanced, and then click Properties.
  67. Type z_mssp_get_payroll_results@SPSDemo3, click OK, and then click OK.
  68. Click Finish.
  69. Right-click SPSDemoPortOrc, point to New Channel, and then click From an Organization.
  70. Type GetPayStub as the name of the channel, and then click Next.
  71. Browse for SPSDemoOrg as the organization.
  72. Click Next.
  73. Click Browse for Inbound Document Definition Name.
  74. Select SPSDemo3.z_mssp_get_payroll_results.Request.
  75. Click Next.
  76. Click Browse for Outbound Document Definition Name.
  77. Select SPSDemo3.z_mssp_get_payroll_results.Request.
  78. Click Next, and then click Next again.
  79. Click Advanced, and then click Properties.
  80. Type path_to_PayStub\PayStub\BizTalkComponents\getpaystub.skx in SkedPath. Replace path_to_PayStub with the parent folder for the PayStub folder.
  81. In SkedPort, type SyncPort.
  82. Click OK, and then click OK again.
  83. Click Finish.
  84. Close BizTalk Messaging Manager.

Installing and Configuring the Microsoft BizTalk Adapter for Web Services

Ensure that the single sign-on service is configured before installing and configuring the Microsoft BizTalk Adapter for Web Services.

Configure the single sign-on service on SharePoint Portal Server

  1. On the domain controller, do the following:

    Note The group names do not have to be those specified. You can choose your own group names, and the groups can be the same. The names specified are used throughout this documentation.

    1. Create three Windows NT groups:
      • SSOAdmin
      • SSOAffiliates
      • PayReceiptUsers
    2. Create one Windows NT user account named SSOUser.
    3. Add SSOUser to the SSOAdmin group.
    4. Add the local administrator user to the SSOUser group. The user who is configuring the single sign-on service must be a member of the SSOAdmin group and must be a member of the local Administrators group on the computer running SharePoint Portal Server.
    5. Add the account you are using to PayReceiptUsers.
  2. Log off of and log back on to the computer running SharePoint Portal Server so that the security changes you made take effect
  3. Configure the single sign-on service on the computer running SharePoint Portal Server:
    1. Go to http://server_name:port_number/SSO/ManageSSO.aspx, and then click Manage server settings for single sign-on and application definitions.
    2. Specify the following:
      • Account name for single sign on: specifyDOMAIN\SSOAdmin.
      • Account name application definition server: specify DOMAIN\SSOAffiliates.
      • E-mail address
      • Server name: specify the name of the computer running SQL Server.
      • Database name: specify the name of the single sign-on database.
      • Ticket time out: specify 10.
      • Purge audit log records older than: specify 10.
    3. Click OK.

      Note You must be a member of both the local Administrators group as well as the SSOAdmin group for this to complete successfully.

  4. Create the encryption key on http://server_name:port_number/SSO/ManageKey.aspx.
  5. Create an application definition for PayStubDataCacheModel:
    1. Go to http://server_name:port_number/SSO/ManageSSO.aspx, and then click Manage settings for application definitions.
    2. Click Add Item.
    3. Specify the following:
      • Display name: PayReceipt
      • Application name: PayStubDataCacheModel
      • Account type: Group
      • Field 1: Display name: SQL Server account name
      • Field 2: SQL Server password. Select Yes to mask this field.
    4. Click OK.
  6. Configure the account information for the payroll receipt application:
    1. Go to http://server_name:port_number/SSO/ManageSSO.aspx, and then click Manage account information for an application definition.
    2. Specify the following:
      • Application definition: specify PayReceipt.
      • Group account name: specify the group account name DOMAIN\PayReceiptUsers.
    3. Click OK.
    4. Enter the SQL Server or SQL Server Desktop Engine credentials, for example, sa and password. This is the name and password that has access to the SQL Server database called PayStubData where the payroll receipt application data is stored.This is the SQL account for the local computer.
  7. Create an application definition for R/3:
    1. Go to http://server_name:port_number/SSO/ManageSSO.aspx, and then click Manage settings for application definitions.
    2. Click Add Item.
    3. Specify the following:
      • Display name: R/3
      • Application name: R/3
      • Account type: Group
      • Field 1: Display name: SAP account name
      • Field 2: SAP password. Select Yes to mask this field.
    4. Click OK.
  8. Configure the account information for the R/3 application:
    1. Go to http://server_name:port_number/SSO/ManageSSO.aspx, and then click Manage account information for an application definition.
    2. Specify the following:
      • Application definition: specify R/3.
      • Group account name: specify the group account name DOMAIN\PayReceiptUsers.
    3. Click OK.
    4. Enter the SAP user name and password. This is the name and password that has access to the SAP server.
  9. For the user account profile that you are using, do the following:
    1. Create two user profile properties called PayReceiptDataCacheModel and PayReceiptSAPModel.
    2. Specify the length to be 255.
    3. Specify the data cache user name as David Daniels.
    4. Specify the SAP user name as Brian Smith.

Install the Microsoft BizTalk Adapter for Web Services on the BizTalk Server

Note You can download the Microsoft BizTalk Adapter for Web Services from http://www.microsoft.com/biztalk/webservices.

  1. When you install the Microsoft BizTalk Adapter for Web Services, select all of the defaults except on the Select Features page. On this page, choose to install the Single Sign-on Component.
  2. Click Next.
  3. Select the administration account that configured the single sign-on service on the computer running SharePoint Portal Server.

Configure the Microsoft BizTalk Adapter for Web Services on the BizTalk server

  1. Start Microsoft BizTalk Adapter for Web Services, and then click Web Services Single Sign-On Administration.
  2. Right-click Microsoft BizTalk Web Services Single Sign-On Configuration, and then click Edit Single Sign-On.
  3. If the error message "Failed to get the Single Sign-on SQL Server and database information" appears, click OK.
  4. In the Secret Server name box, type the name of the computer running SharePoint Portal Server and the single sign-on service.
  5. In the Database name box, type the name of the single sign-on database.
  6. Click Apply, and then click OK.
  7. Close the management console.
  8. Restart the server.
  9. Create a directory called SPSService on the operating system drive.
  10. On the task bar, click Start, point to Administrative Tools, and then click Internet Information Services (IIS).

    The Internet Information Services management console opens.

  11. Right-click Default Web Site, point to New, and then click Virtual Directory.
  12. Specify the name as SPSService.
  13. Select the SPSService directory that you created.
  14. Accept the default values on the remaining pages of the wizard.
  15. Start Microsoft BizTalk Adapter for Web Services, and then click Web Services Administration.
  16. Right-click BizTalk Adapter for Web Services, and click Create a Web Service.
  17. Click Next.
  18. Type SPSService as the name of the service.
  19. Type http://microsoft.com/spsdemo as the name of the namespace.
  20. Click Browse for the virtual root and select SPSService.
  21. Complete the remainder of the wizard.
  22. Right-click SPSService, and then click Create a Web Method.
  23. Click Next.
  24. In Name, type GetPersonnelNumber.
  25. Select the Must use SSO box.
  26. Select channel GetPersonnelNumber, click Next, and then click Next again.
  27. Click Browse for Request target schema.
  28. Select \Program Files\Microsoft BizTalk Server\BizTalkServerRepository\DocSpecs\Actional\SPSDemo2\RFC.GroupRH65.bapi_employee_getdata.Request.xml.
  29. Click Browse for Response target schema.
  30. Select \Program Files\Microsoft BizTalk Server\BizTalkServerRepository\DocSpecs\Actional\SPSDemo2\RFC.GroupRH65.bapi_employee_getdata.Reply.xml.
  31. Complete the remainder of the wizard.
  32. Right-click SPSService, and then click Create a Web Method.
  33. Click Next.
  34. In Name, type GetPayStubsList.
  35. Select the Must use SSO check box.
  36. Select channel GetPayStubsList, click Next, and then click Next again.
  37. Click Browse for Request target schema.
  38. Select \Program Files\Microsoft BizTalk Server\BizTalkServerRepository\DocSpecs\Actional\SPSDemo\RFC.Group7004.bapi_get_payroll_result_list.Request.xml.
  39. Click Browse for Response target schema.
  40. Select \Program Files\Microsoft BizTalk Server\BizTalkServerRepository\DocSpecs\Actional\SPSDemo\RFC.Group7004.bapi_get_payroll_result_list.Reply.xml.
  41. Complete the remainder of the wizard.
  42. Right-click SPSService, and then click Create a Web Method.
  43. Click Next.
  44. In Name, type GetPayStub.
  45. Select the Must use SSO box.
  46. Select channel GetPayStub, click Next, and then click Next again.
  47. Click Browse for Request target schema.
  48. Select \Program Files\Microsoft BizTalk Server\BizTalkServerRepository\DocSpecs\Actional\SPSDemo3\RFC.GroupZMSFT.z_mssp_get_payroll_results.Request.xml.
  49. Click Browse for Response target schema.
  50. Select \Program Files\Microsoft BizTalk Server\BizTalkServerRepository\DocSpecs\Actional\SPSDemo3\RFC.GroupZMSFT.z_mssp_get_payroll_results.Reply.xml.
  51. Complete the remainder of the wizard.

Integrating the Web Service in SharePoint Portal Server on the BizTalk Server

You can access the Web service by using http://server_name/spsservice/spsservice.asmx where server_name is the name of the server where the Microsoft BizTalk Adapter for Web Services is installed.

You can use wsdl.exe to generate a proxy from the Web service and the methods, that can be incorporated with the rest of the code and can be used to instantiate the Web service and call the Web methods.

Sample code of how to call the service is provided in the SPS\Samples\PayStub directory on the Microsoft SharePoint Portal Server "v2.0" Beta 2 CD.

Configuring the Payroll Receipt Application Web Part

Configure the payroll receipt application Web Part

  1. Turn off anonymous authentication on the computer running SharePoint Portal Server.
  2. Change the single sign-on service to run as SSOUser.
  3. Restart the single sign-on service.
  4. Copy the payroll receipt application files from the SPS\Samples\PayStub directory on the Microsoft SharePoint Portal Server "v2.0" Beta 2 CD to the computer on which SharePoint Portal Server is installed.
  5. On the computer running SharePoint Portal Server, add the payroll receipt application assembly to the global assembly cache (GAC). You can use Gacutil /if Microsoft.SharePoint.Portal.PayStub.dll, or you can use the Control Panel utility called Microsoft .Net Framework Configuration Utility.
  6. On the computer running SQL Server, open SQL Server Enterprise Managerand create a database called Payreceiptdata.
  7. On the computer running SQL Server, open SQL Query Analyzer, select Payreceiptdata as the database, and run the following two SQL scripts, in this order:
    1. DataCachePayStub_DBSetup.sql
    2. DataCachePayStub_DataSetup.sql
  8. On the computer running SharePoint Portal Server, copy the following files to \Program Files\Common Files\Microsoft Shared\Web Server Extensions\60\template\layouts\1033:
    • DataCachePayStub.aspx
    • SAPPayStub.aspx
    • PayStubStyle.css
  9. On the computer running SharePoint Portal Server, modify DataCachePayStub.aspx to change the existing SQL Server names and database names. Use the name of the computer running SQL Server and the database name of PayStubData.
  10. On the computer running SharePoint Portal Server, modify SAPPayStub.aspx to update the Web service name.
  11. On the computer running SharePoint Portal Server, modify web.config at \Program Files\Common Files\Microsoft Shared\Web Server Extensions\60\CONFIG to include the following lines with all the other safe controls:

    <SafeControl Assembly="Microsoft.SharePoint.Portal.PayStub Version=11.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c "
Namespace="Microsoft.SharePoint.Portal.PayStub"
TypeName="*"
/>

  12. On the computer running SharePoint Portal Server, add the following line in \Program Files\Common Files\Microsoft Shared\Web Server Extensions\60\template\layouts\web.config in the httpmodules section:

    <add name="Session" type="System.Web.SessionState.SessionStateModule" />

  13. On the computer running SharePoint Portal Server, open command prompt and type iisreset
  14. On the computer running SharePoint Portal Server, start a full update of the This Portal content source.


Quick Installation Guide

Quick Installation Guide

System Requirements

System Requirements

Installing SharePoint Portal Server on a Single Computer

Installing SharePoint Portal Server with the Database Engine
Installing SharePoint Portal Server Without the Database Engine
Installing the Document Management Component of SharePoint Portal Server

Installing SharePoint Portal Server on a Server Farm

Deploying a Single Server Configuration
Deploying a Small Server Farm
Deploying a Medium Server Farm
Deploying a Large Server Farm
Deploying a Shared Services Scenario

Installing the Document Library Client Components

Installing the Document Management Client Components of SharePoint Portal Server

Other Resources

Microsoft SharePoint Portal Server Administrator's Guide
Microsoft Help Resources


About the Expiration of Trial Software and the Server Date and Time

About the Expiration of Trial Software and the Server Date and Time

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Installing SharePoint Portal Server with the Database Engine

Installing SharePoint Portal Server with the Database Engine

If you do not want to use Microsoft SQL Server for the database storage, you can install Microsoft SharePoint Portal Server "v2.0" Beta 2 with the SQL Server Desktop Engine. Setup installs the following, in this order:

  • Microsoft Windows SharePoint Services Beta 2
  • SharePoint Portal Server "v2.0" Beta 2
  • SQL Server Desktop Engine

After you complete the setup wizard, a series of Web pages guides you through the initial configuration of the server.

Note Do not install SharePoint Portal Server "v2.0" Beta 2, Windows SharePoint Services Beta 2, or SQL Server Desktop Engine by double-clicking the respective .msi files on the SharePoint Portal Server CD. Instead, double-click the file Setup.exe on the root directory of the SharePoint Portal Server CD, or use the following procedure.

Install and initially configure SharePoint Portal Server with the database engine

  1. Log on to the computer running Microsoft Windows Server 2003 as a local or domain administrator.

    Important For SharePoint Portal Server "v2.0" Beta 2, only Windows Server 2003 Release Candidate 2 is supported.

  2. Insert the SharePoint Portal Server CD into your CD-ROM drive.
  3. Click Install Microsoft SharePoint Portal Server "v2.0" Beta 2 components.
  4. On the Install Microsoft SharePoint Portal Server "v2.0" Beta 2 page, click Next.

    Setup installs Windows SharePoint Services Beta 2, and then the Welcome to the Microsoft SharePoint Portal Server "v2.0" Beta 2 Setup Wizard page appears.

  5. On the Welcome to the Microsoft SharePoint Portal Server "v2.0" Beta 2 Setup Wizard page, click Next.
  6. On the End-User License Agreement page, select the I accept all of the terms in the license agreement. check box, and then click Next.
  7. On the Product Identification page, type the product key in the spaces provided, and then click Next.

    The product key is located on the back of your SharePoint Portal Server CD case or on your Certificate of Authenticity. If the number that you type is not accepted, check the following:

    • If you are using the numeric keypad on your keyboard, ensure that NUM LOCK is on.
    • Ensure that you are not using the letter I for the number one.
    • Ensure that you are not using the letter O for the number zero.

  8. On the Installation Type and File Location page, do the following:
    1. Click Install with database engine.
    2. To specify file locations, click Browse, and then specify a location.
    3. Click Next.
  9. In the successful completion message box, click OK.

    Setup installs the SQL Server Desktop Engine.

  10. On the Install Microsoft SharePoint Portal Server "v2.0" Beta 2 page, click Next.
  11. On the Completing the Microsoft SharePoint Portal Server "v2.0" Beta 2 Setup Wizard page, click Finish.
  12. On the Configure Server Farm Account Settings page, do the following:
    1. In the Contact E-mail Address section, in the E-mail address box, type the e-mail address that an external site administrator can contact if problems occur when SharePoint Portal Server crawls the external site.
    2. In the Default Content Access Account section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.
      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    3. In the Proxy Server Settings section, do one of the following:
      • Click Do not connect using a proxy server.
      • Click Use the proxy server specified below, and then specify the following:
        1. In the Address box, type the address of the proxy server that you want SharePoint Portal Server to use while creating content indexes.
        2. In the Port box, type the port number for the proxy server that you want SharePoint Portal Server to use while creating indexes of sites and servers.
        3. If you do not want SharePoint Portal Server to use the proxy server when creating an index of local addresses, select the Bypass proxy server for local (intranet) addresses check box.
        4. If you have specific addresses for which you do not want to use the proxy server, in the Do not use proxy server for addresses beginning with box, type the addresses.
    4. Click Save.
    5. In the message box that appears, click OK.
  13. On the Create Portal for Server server_name page, do the following:
    1. In the Portal Creation Options section, click Create a portal.
    2. In the Portal Title section, in the Portal Title box, type a title for the portal.

      This title appears at the top of most portal pages.

    3. In the Portal Address section, do the following:
      1. In the Virtual Server list, click the virtual server for this portal.
      2. In the URL address box, type the URL that users will use to connect to the portal.

        By default, this URL is http://server_name/. If you are not creating the portal on the Default Web Site but on another virtual server, the URL includes the port number, for example, http://server_name:port_number/.

    4. In the Default Portal Owner section, do the following:
      1. In the Account name box, type the account name for the portal owner in the format DOMAIN\username.

        The portal owner manages portal content and user access.

      2. In the E-mail address box, type the e-mail address for the portal owner.
    5. Click OK.
  14. On the Create Portal Confirmation for Server server_name page, click OK to begin creating the portal.

    The Operation Status page appears.

At the end of a successful portal creation, the Operation Successful page appears. You can then further configure the portal.

Related Topics

System Requirements


Installing SharePoint Portal Server without the Database Engine

Installing SharePoint Portal Server without the Database Engine

If you want to use Microsoft SQL Server for the database storage, you can install Microsoft SharePoint Portal Server without the SQL Server Desktop Engine. Setup installs the following, in this order:

  • Microsoft Windows SharePoint Services Beta 2
  • SharePoint Portal Server "v2.0" Beta 2

After you complete the setup wizard, a series of Web pages guides you through the initial configuration of the server.

Note Do not install SharePoint Portal Server "v2.0" Beta 2 or Windows SharePoint Services Beta 2 by double-clicking the respective .msi files on the SharePoint Portal Server CD. Instead, double-click the file Setup.exe on the root directory of the SharePoint Portal Server CD, or use the following procedure.

Install and initially configure SharePoint Portal Server without the database engine

  1. Log on to the computer running Microsoft Windows Server 2003 as a local or domain administrator.

    Important For SharePoint Portal Server "v2.0" Beta 2, only Windows Server 2003 Release Candidate 2 is supported.

  2. Insert the SharePoint Portal Server CD into your CD-ROM drive.
  3. Click Install Microsoft SharePoint Portal Server "v2.0" Beta 2 components.
  4. On the Install Microsoft SharePoint Portal Server "v2.0" Beta 2 page, click Next.

    Setup installs Windows SharePoint Services Beta 2, and then the Welcome to the Microsoft SharePoint Portal Server "v2.0" Beta 2 Setup Wizard page appears.

  5. On the Welcome to the Microsoft SharePoint Portal Server "v2.0" Beta 2 Setup Wizard page, click Next.
  6. On the End-User License Agreement page, select the I accept all of the terms in the license agreement. check box, and then click Next.
  7. On the Product Identification page, type the product key in the spaces provided, and then click Next.

    The product key is located on the back of your SharePoint Portal Server CD case or on your Certificate of Authenticity. If the number that you type is not accepted, check the following:

    • If you are using the numeric keypad on your keyboard, ensure that NUM LOCK is on.
    • Ensure that you are not using the letter I for the number one.
    • Ensure that you are not using the letter O for the number zero.

  8. On the Installation Type and File Location page, do the following:
    1. Click Install without database engine.
    2. To specify file locations, click Browse, and then specify a location.
    3. Click Next.
  9. In the successful completion message box, click OK.
  10. On the Microsoft SharePoint Portal Server "v2.0" Beta 2 page requesting account information, do the following:
    1. In the Account name box, type the account name to be used for access to the configuration database for administrative operations.

      The account must have database creation permissions on this SQL instance, and it must be a member of the local Administrators group.

      Type the account name in the format DOMAIN\user_name.

    2. In the Password box, type the password for the account.
    3. Click Next.
  11. On the Install Microsoft SharePoint Portal Server "v2.0" Beta 2 page, click Next.
  12. On the Completing the Microsoft SharePoint Portal Server "v2.0" Beta 2 Setup Wizard page, click Finish.
  13. On the Specify Configuration Database Settings for Server server_name page, do the following:
    1. In the Database Connections section, do one of the following:
      • If no configuration database exists, click Create configuration database.
      • If a configuration database already exists, click Connect to existing configuration database.
    2. In the Server for Configuration Database section, in the Database server box, type the name of the computer running Microsoft SQL Server.

      This is the server on which the configuration database will be stored.

      Note If you are expanding a single-server configuration to a multiple-server configuration, specify SHAREPOINT as the SQL Server instance name (for example, server_name\SHAREPOINT).

    3. In the Name for Configuration Database section, do one of the following:
      • If you want to use the default database name that is displayed, click Use default name.
      • If you want to specify a name for the database, click Specify custom name, and then in the Custom Name box, type a name for the database.
    4. Click OK.
  14. On the Configure Server Topology and Component Assignments page, click Change Components.
  15. On the Change Component Assignments page, do the following:
    1. In the Component Assignment section, select a check box to assign a component to a server.

      You can assign more than one component to each server.

    2. In the Job server box, select a server to run background tasks.
    3. If you have installed the document library server component, in the Document library server box, type the name of a server to run the document library server component.
    4. Click OK.
  16. On the Configure Server Farm Account Settings page, do the following:
    1. In the Contact E-mail Address section, in the E-mail address box, type the e-mail address that an external site administrator can contact if problems occur when SharePoint Portal Server crawls the external site.
    2. In the Configuration Database Administration Account section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.
      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    3. In the Default Content Access Account section, do the following:
      1. In the User name box, type the account name in the format DOMAIN\user_name.
      2. In the Password box, type the password for the account.
      3. In the Confirm Password box, type the password again.
    4. In the Proxy Server Settings section, do one of the following:
      • Click Do not connect using a proxy server.
      • Click Use the proxy server specified below, and then specify the following:
        1. In the Address box, type the address of the proxy server that you want SharePoint Portal Server to use while creating content indexes.
        2. In the Port box, type the port number for the proxy server that you want SharePoint Portal Server to use while creating indexes of sites and servers.
        3. If you do not want SharePoint Portal Server to use the proxy server when creating an index of local addresses, select the Bypass proxy server for local (intranet) addresses check box.
        4. If you have specific addresses for which you do not want to use the proxy server, in the Do not use proxy server for addresses beginning with box, type the addresses.
    5. Click Save.
    6. In the message box that appears, click OK.
  17. On the Configure Server Topology and Component Assignments page, click Close.
  18. On the SharePoint Portal Server Central Administration for Server server_name page, in the Virtual Server and Portal Site Configuration section, click Create a portal site.
  19. On the Create Portal for Server server_name page, do the following:
    1. In the Portal Creation Options section, click Create a portal.
    2. In the Portal Title section, in the Portal Title box, type a title for the portal.

      This title appears at the top of most portal pages.

    3. In the Portal Address section, do the following:
      1. In the Virtual Server list, click the virtual server for this portal.
      2. In the URL address box, type the URL that users will use to connect to the portal.

        By default, this URL is http://server_name/. If you are not creating the portal on the Default Web Site but on another virtual server, the URL includes the port number, for example, http://server_name:port_number/.

    4. In the Default Portal Owner section, do the following:
      1. In the Account name box, type the account name for the portal owner in the format DOMAIN\username.

        The portal owner manages portal content and user access.

      2. In the E-mail address box, type the e-mail address for the portal owner.
    5. Click OK.
  20. On the Portal Creation - Application Pool Account for Server server_name page, do the following:
    1. In the Account name box, type the default Windows domain account to use for hosting the application pool of the virtual server.
    2. In the Password box, type the password to use with this account.
    3. In the Confirm password box, type the password again.
    4. Click Next.
  21. On the Create Portal Confirmation for Server server_name page, click OK to begin creating the portal.

    The Operation Status page appears.

At the end of a successful portal creation, the Operation Successful page appears. You can then further configure the portal.

Related Topics

System Requirements


Installing the Document Management Component of SharePoint Portal Server

Installing the Document Management Component of SharePoint Portal Server

You can install the document management component of Microsoft SharePoint Portal Server "v2.0" Beta 2 on a computer that has SharePoint Portal Server installed or on a computer without SharePoint Portal Server installed.

Install the document management component of SharePoint Portal Server

  1. Log on to the computer running Microsoft Windows Server 2003 as a local or domain administrator.

    Important For SharePoint Portal Server "v2.0" Beta 2, only Windows Server 2003 Release Candidate 2 is supported.

  2. Do the following to ensure that the proxy server settings for Internet access are specified correctly:
    1. Click Start, point to Control Panel, and then click Internet Options.
    2. In the Internet Properties dialog box, click the Connections tab.
    3. Click LAN Settings.
    4. In the Local Area Network (LAN) Settings dialog box, in the Automatic configuration section, ensure that both check boxes are cleared.
    5. If you use a proxy server, in the Proxy server section, do the following:
      1. Select the Use a proxy server for your LAN (These settings will not apply to dial-up or VPN connections). check box.
      2. Select the Bypass proxy server for local addresses check box.
      3. In the Address box, type a valid proxy server address.
      4. In the Port box, type the port number for the proxy server.
      5. Click Advanced.
      6. In the Proxy Settings dialog box, select the Use the same proxy server for all protocols check box, and then click OK.
    6. Click OK to close the Local Area Network (LAN) Settings dialog box.
    7. Click OK to close the Internet Options dialog box.
  3. Insert the SharePoint Portal Server CD into your CD-ROM drive.
  4. Click Install optional components.
  5. On the installation page for optional components, click Install server and client components for backward-compatible document libraries.
  6. On the Welcome to the Document Library Setup Wizard page, click Next.
  7. On the License Agreement page, click I agree, and then click Next.
  8. On the Product Identification page, type the product key in the spaces provided, and then click Next.

    Note This page will not appear when installing SharePoint Portal Server "v2.0" Beta 2.

    The product key is located on the back of your SharePoint Portal Server CD case or on your Certificate of Authenticity. If the number you type is not accepted, check the following:

    • If you are using the numeric keypad on your keyboard, ensure that NUM LOCK is on.
    • Ensure that you are not using the letter I for the number one.
    • Ensure that you are not using the letter O for the number zero.

  9. On the Document library component of SharePoint Portal Server "v2.0" Beta 2 Setup page, specify the location on the server disk where you want to install the data files for the document library component.

    You can change the installation location for these files by clicking Change Folder.

    SharePoint Portal Server also installs additional required files on the operating system drive. Click Disk Information for information about the amount of disk space required and the amount remaining. If there are existing files in the installation paths, setup removes these files.

    Note The path must meet the following restrictions:

    • The path name can have a maximum length of 100 characters.
    • The path name can contain only characters in the lower ASCII range.
    • The path cannot point to a root directory. For example, E:\ is not allowed, but E:\Installation is allowed

  10. Click Next.

    The Component Progress page appears.

  11. On the Completing the Document Library Setup Wizard page, click Finish.

After the setup wizard completes the setup, you must perform the following steps to make the document management component functional.

  1. Change component assignments for the server farm.
  2. Create a document library.
  3. Configure security on the document library.

Related Topics

System Requirements


Installing the Document Management Client Components of SharePoint Portal Server

Installing the Document Management Client Components of SharePoint Portal Server

The client components are extensions to Microsoft Windows Explorer and Microsoft Office applications. There is no individual client application. These extensions integrate Microsoft SharePoint Portal Server commands with Windows Explorer and Office applications. Users can also access document libraries (Web Storage System-based) from the portal site without installing the client components, but they will not experience the integration with Windows Explorer and Office applications.

You can install the client components by running setup either from the server or from the SharePoint Portal Server CD. By default, the SharePoint Portal Server setup wizard installs client installation files to the following location on the server: Program Files\SharePoint Portal Server\ClientDrop\Languages\Language, where Language corresponds to the language of the client.

Install the document management client components of SharePoint Portal Server

  1. Log on to the client computer by using an account that is a member of the local Administrators group.
  2. Insert the SharePoint Portal Server CD into your CD-ROM drive.
  3. Click Install optional components.
  4. On the installation page for optional components, click Install client components for backward-compatible document libraries.
  5. On the Welcome to Client Components Setup Wizard page, click Next.

    The Install Client Components page appears. This page shows the progress of the installation.

  6. On the Completing the Client Components Setup Wizard page, click Finish.

After you have installed the client components, you must add a Web folder that points to the document library. The address of the document library is http://server_name/document_library_name.

The steps for adding a Web folder vary, depending on your operating system. See your operating system Help for detailed instructions. For example, in Microsoft Windows 2000 Professional or Microsoft Windows XP Professional, go to My Network Places and use the Add Network Place Wizard to add a Web folder. In Microsoft Windows 98, go to Web Folders in My Computer and use Add Web Folder to add a Web folder.

On a computer with the document management server components installed, there is a setup.ini file for the client components in Program Files\SharePoint Portal Server\ClientDrop\Languages\Lang. You can edit this file to specify the location of the SPSClient.msi file. You can also edit this file to disable the check for prerequisites (DISABLEPREREQ=1) and to specify the path and file name for the log file.

Related Links

System Requirements


Automated and Remote Installation

Automated and Remote Installation

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Repairing SharePoint Portal Server

Repairing SharePoint Portal Server

You can repair the installation of SharePoint Portal Server.

Repair SharePoint Portal Server

  1. Log on to the computer running Microsoft Windows Server 2003 as a local or domain administrator.
  2. Click Start, point to Control Panel, and then click Add or Remove Programs.

    The Add or Remove Programs dialog box appears and displays a list of currently installed programs.

  3. Click Microsoft SharePoint Portal Server "v2.0" Beta 2.
  4. Click Change.
  5. On the Welcome to the Microsoft SharePoint Portal Server "v2.0" Beta 2 Setup Wizard page, click Next.
  6. On the Maintenance Mode Options page, click Repair the server components of Microsoft SharePoint Portal Server "v2.0" Beta 2, and then click Next.

    Windows repairs SharePoint Portal Server.

  7. In the successful completion message box, click OK.


Repairing the Document Management Component of SharePoint Portal Server

Repairing the Document Management Component of SharePoint Portal Server

You can repair the installation of the document management component of SharePoint Portal Server. Repairing the document management component automatically repairs the client components as well.

Repair the document management component of SharePoint Portal Server

  1. Log on to the computer running Microsoft Windows Server 2003 as a local or domain administrator.
  2. Click Start, point to Control Panel, and then click Add or Remove Programs.

    The Add or Remove Programs dialog box appears and displays a list of currently installed programs.

  3. Click Microsoft SharePoint Portal Server "v2.0" Beta 2 Document Management Components.
  4. Click Change/Remove.
  5. On the Document management component of SharePoint Portal Server "v2.0" Beta 2 Maintenance page, click Repair, and then click Next.

    The Component Progress page appears, and Windows repairs SharePoint Portal Server.

  6. On the Completing the Document Management Setup Wizard page, click Finish.
  7. If you are prompted to restart the computer, click Yes.


Repairing the Document Management Client Components of SharePoint Portal Server

Repairing the Document Management Client Components of SharePoint Portal Server

You can repair the document management client components of SharePoint Portal Server by using Add/Remove Programs in Control Panel. You can also use the command line to repair client components.

Repair the document management client components by using Control Panel

  1. Log on to the client computer as a user with administrator privileges.
  2. Click Start, point to Control Panel, and then click Add or Remove Programs.

    The Add or Remove Programs dialog box appears and displays a list of currently installed programs.

  3. Click Client Components for Microsoft SharePoint Portal Server "v2.0" Beta 2.
  4. Click Change.
  5. On the Welcome to the Client Components Setup Wizard page, click Next.
  6. On the Maintenance Mode Options page, click Repair the client components of the document management components, and then click Next.
  7. On the Ready to Repair the Program page, click Install.

    The Install Client Components progress page appears, and and Windows repairs the client components.

  8. On the Completing the Client Components Setup Wizard page, click Finish.

Repair the document management client components from the command line

  1. Click Start, point to Programs, point to Accessories, and then click Command Prompt.
  2. Type "path\setup" /f "path\SPSClient.msi", where path is the path to the setup.exe and SPSClient.msi files.

    Include the switch /f to repair the client components.

    For example, to repair the client components, where setup.exe and SPSClient.msi are in E:\Client Files, you would type E:\Client Files\setup" /f "E:\Client Files\SPSClient.msi.

Note If you have removed one or more of the installation prerequisites, you cannot repair the client components unless you disable the prerequisite check. You can disable the prerequisite check by adding DISABLEPREREQ=1 to the command line. To disable the prerequisite check in the preceding example, you would type E:\Client Files\setup" /f "E:\Client Files\SPSClient.msi" DISABLEPREREQ=1.


Uninstalling SharePoint Portal Server

Uninstalling SharePoint Portal Server

You can uninstall Microsoft SharePoint Portal Server “v2.0” Beta 1. Uninstalling SharePoint Portal Server does not uninstall the document management component of SharePoint Portal Server.

Note For Microsoft SharePoint Portal Server "v2.0" Beta 2, uninstalling SharePoint Portal Server does not uninstall Microsoft Windows SharePoint Services Beta 2, or Microsoft SQL Server Desktop Engine (if installed). To fully uninstall SharePoint Portal Server, you must uninstall the following, in this order:

  • SharePoint Portal Server
  • SharePoint Team Services from Microsoft
  • SQL Server Desktop Engine (if installed)

Warning Most files and subfolders located in installation folders will be removed. All Microsoft SQL Server databases will be detached, but not removed, from the database server.

Uninstall SharePoint Portal Server

  1. Log on to the computer running Microsoft Windows Server 2003 as a local or domain administrator.
  2. Click Start, point to Control Panel, and then click Add or Remove Programs.

    The Add or Remove Programs dialog box appears and displays a list of currently installed programs.

  3. Click Microsoft SharePoint Portal Server "v2.0" Beta 2.
  4. Click Remove.
  5. In the confirmation message box, click Yes to uninstall SharePoint Portal Server.

    You can now use Windows Control Panel to uninstall SharePoint Team Services and SQL Server Desktop Engine (if installed).

    Optionally, after you have uninstalled SharePoint Portal Server, SharePoint Team Services from Microsoft, and SQL Server Desktop Engine (if installed), you can do the following:

    1. If your installation of SharePoint Portal server used SQL Server Desktop Engine, delete the folder \Program Files\Microsoft SQL Server\MSSQL$SHAREPOINT on the operating system drive.
    2. If your installation of SharePoint Portal server used Microsoft SQL Server, remove the following databases associated with SharePoint Portal Server:
      • site_name_PROFDB
      • site_name_SERVDB
      • site_name_SITEDB
      • SharePoint Portal Server configuration database. By default, this database is named SPS_Config_db.
    3. If your installation of SharePoint Portal server used SQL Server, remove all jobs for the SQL Server instance of SharePoint Portal Server. All relevant jobs are named site_name_SERVDB Subscription Cleanup.
    4. Remove any application pools that were created by SharePoint Portal Server.


Uninstalling the Document Management Component of SharePoint Portal Server

Uninstalling the Document Management Component of SharePoint Portal Server

You can uninstall the document management component of Microsoft SharePoint Portal Server.

The SharePoint Portal Server setup wizard automatically installs the client components of SharePoint Portal Server. If you uninstall the document management component of SharePoint Portal Server, it automatically removes the client components.

During the uninstallation process, SharePoint Portal Server requires access to the original installation point to uninstall the Microsoft Embedded Exchange files. If the original installation point has moved, you can insert the SharePoint Portal Server CD into the CD-ROM drive to continue uninstalling. You can also point to the \Server\Web Storage System directory at the installation point.

Before uninstalling the document management component of SharePoint Portal Server, you must:

  • Verify that all command prompts are closed.
  • Remove any additional virtual roots mapped to the Web Storage System drive. The Web Storage System is mapped to network drive M by default.

    Note If network drive M is already in use when you install SharePoint Portal Server, the Web Storage System is mapped to another network drive.

When you uninstall the document management component of SharePoint Portal Server, all files and folders located in the installation directories are removed, including any user-created or modified files. The uninstall process also removes all document libraries.

Uninstall the document management component of SharePoint Portal Server

  1. Log on to the computer running Microsoft Windows Server 2003 as a local or domain administrator.
  2. Click Start, point to Control Panel, and then click Add or Remove Programs.

    The Add or Remove Programs dialog box appears and displays a list of currently installed programs.

  3. Click Microsoft SharePoint Portal Server "v2.0" Beta 2 Document Management Components.
  4. Click Change/Remove.
  5. On the Document management component of SharePoint Portal Server "v2.0" Beta 2 Maintenance page, click Uninstall, and then click Next.
  6. In the confirmation message box that appears, click Yes to uninstall SharePoint Portal Server.

    The Component Progress page appears, and Windows uninstalls the document management component of SharePoint Portal Server.

  7. On the Completing the Document Management Setup Wizard page, click Finish.
  8. If prompted to restart the computer, click Yes.


Uninstalling the Document Management Client Components of SharePoint Portal Server

Uninstalling the Document Management Client Components of SharePoint Portal Server

You can uninstall document management client components of Microsoft SharePoint Portal Server by using Add/Remove Programs in Control Panel. You can also use the command line to uninstall client components.

When you uninstall the client components, the User's Help (webfoldr.chm) file remains. It replaces the original Web folders Help file.

Uninstall the document management client components by using Control Panel

  1. Log on to the client computer as a user with administrator privileges.
  2. Click Start, point to Control Panel, and then click Add or Remove Programs.

    The Add or Remove Programs dialog box appears and displays a list of currently installed programs.

  3. Click Client Components for Microsoft SharePoint Portal Server "v2.0" Beta 2.
  4. Click Remove.
  5. In the confirmation message box, click Yes to uninstall the client components.

Uninstall the document management client components by using the command line

  1. Click Start, point to Programs, point to Accessories, and then click Command Prompt.
  2. Type "path\setup" switch "path\SPSClient.msi" where path is the path to the setup.exe and SPSClient.msi files.

    Use the /x switch to uninstall the client components.

    For example, to uninstall the client components, where setup.exe and SPSClient.msi are in E:\Client Files, you would type E:\Client Files\setup" /x "E:\Client Files\SPSClient.msi.

Note If you have removed one or more of the installation prerequisites, you cannot uninstall the client components unless you disable the prerequisite check.

You disable the prerequisite check by adding DISABLEPREREQ=1 to the command line. To disable the prerequisite check in the preceding example, you would type E:\Client Files\setup" /x "E:\Client Files\SPSClient.msi" DISABLEPREREQ=1.


Upgrading to an Evaluation Copy

Upgrading to an Evaluation Copy

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Upgrading from an Evaluation Copy

Upgrading from an Evaluation Copy

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Upgrading from Microsoft SharePoint Portal Server 2001

Upgrading from Microsoft SharePoint Portal Server 2001

You can upgrade to MicrosoftSharePoint Portal Server "v2.0" Beta 2 from SharePoint Portal Server 2001 by using the upgrade tool provided on the product CD.

It is important to back up and restore the data on the SharePoint Portal Server 2001 computer to another computer before upgrading to SharePoint Portal Server "v2.0" Beta 2. This computer must have the same version of SharePoint Portal Server 2001, including service packs, updates, and language packs. Any differences between the two computers may result in a failed backup and restore.

The upgrade tool exports data from the SharePoint Portal Server 2001 computer. After installing Windows Server 2003 and taking other steps to upgrade your server, you run the upgrade tool again to make final changes.

You finish upgrading SharePoint Portal Server 2001 to SharePoint Portal Server "v2.0" Beta 2 by running the content import tool.

Important Upgrading from SharePoint Portal Server 2001 to a pre-release version of SharePoint Portal Server "v2.0" Beta 2 is not recommended for production servers, and upgrade to the release version of SharePoint Portal Server "v2.0" Beta 2 from a pre-release version is not supported.

Some data from SharePoint Portal Server 2001 is imported during upgrade, but cannot be used in SharePoint Portal Server "v2.0" Beta 2. This includes portal customization, and most SharePoint Portal Server 2001 custom Web Parts.

Upgrading from SharePoint Portal Server 2001 to SharePoint Portal Server "v2.0"

Backing up and restoring SharePoint Portal Server 2001

Before you upgrade to SharePoint Portal Server "v2.0" Beta 2, you must back up and restore the SharePoint Portal Server 2001 server computer's settings to another computer running SharePoint Portal Server 2001. For more information on backup and restore in SharePoint Portal Server 2001, see Administrator's Help for SharePoint Portal Server 2001.

Important Do not use the Windows Backup utility to back up the server. Although the backup process completes, the utility does not back up all required data for SharePoint Portal Server 2001. A subsequent restore using this utility fails.

  1. On the taskbar, click Start, point to Programs, point to Accessories, and then click Command Prompt.
  2. Change directories to the SharePoint Portal Server \Bin directory. The location of this directory depends on the location of the SharePoint Portal Server installation directory.
  3. Specify a network access account with rights to the computer to which you plan to restore this installation of SharePoint Portal 2001. To specify this account, type MSDMBack /a domain\user_password and then press ENTER. You need to specify this account only once.
  4. Type MSDMBack /b “path_to_backup_file_name” [password] and then press ENTER. The /b switch indicates that this is a backup procedure.

    For example, if you want to back up to the C:\DailyBackup directory, and you want the backup file name to be AdventureBackup1, the path_to_backup_file_name parameter is C:\BackupDaily\AdventureBackup1. The DailyBackup directory must exist and the AdventureBackup1 file must not exist before you run the script.

    The MSDMBack utility displays a dialog box with a status bar. If you want to cancel the backup process, click Abort.

  5. On the taskbar of the computer to which you are restoring SharePoint Portal 2001, click Start, select Programs, select Accessories, and then click Command Prompt.
  6. Change directories to the SharePoint Portal Server \Bin directory. The location of this directory depends on the location of the SharePoint Portal Server installation directory.
  7. Type MSDMBack /r “path_to_backup_file_name” [password] [/o]

    The /r switch indicates that this is a restore procedure. The optional /o switch indicates that the restoration should put the full-text indexes in the original location of the backup source, not in the current default location.

    For example, if you want to restore from the AdventureBackup1 file in the C:\DailyBackup directory, the path_to_backup_file_name parameter is C:\BackupDaily\AdventureBackup1.

    The MSDMBack utility displays a dialog box with a status bar. If you want to cancel the restore process, click Abort.

  8. Create scheduled content source updates. The backup image does not include any scheduled content source updates from Windows 2000 Scheduled Tasks. You must recreate these content sources on the restored server. You must also restore any shortcuts to workspaces in My Network Places.

Exporting data from SharePoint Portal Server 2001

  1. Create the folder that you want to use to store exported data from the SharePoint Portal Server 2001 computer.
  2. Insert the SharePoint Portal Server "v2.0" Beta 2 CD into your CD-ROM drive.
  3. Click Exit, and then browse to the root directory of the CD by using My Computer.
  4. On the root directory of the SharePoint Portal Server "v2.0" Beta 2 CD, double-click Upgrade.exe.
  5. On the Export Server Data page, type the location of the folder that you want to use to store exported data. If you want, you can help protect the security of this information by typing a password.
  6. Click Next.
  7. When your data is exported, a message appears telling you that you must install Windows Server 2003. Click OK.

Upgrading your server to Windows Server 2003 and installing related components.

  1. Install Windows Server 2003. For more information on installing Windows Server 2003, see the documentation for Windows Server 2003.
  2. On the taskbar, select Administrative Tools, and then click Computer Management.
  3. On the Computer Management page, click Services and Applications, and then click Services.
  4. In the Services list, right-click World Wide Web Publishing Service, click Properties, and then under Startup type click Automatic.
  5. In the Services list, right-click World Wide Web Publishing Service, and then click Start.
  6. On the taskbar, click Start, select Control Panel, and then click Add or Remove Programs.
  7. On the Add or Remove Programs page, click Add/Remove Windows Components.
  8. In the Windows Component Wizard, click Application Server in the components list, and then click Details.
  9. On the Application Server page, select ASP.NET, and then click OK.
  10. Click Next to begin installation of ASP.NET.
  11. After installation, click Finish and then close the Add or Remove Programs page.
  12. On the taskbar, select Administrative Tools, and then click Internet Information Services (IIS) Manager.
  13. On the IIS Manager page, click the server, and then click Web Service Extensions.
  14. In Web Service Extensions, click ASP.NET, and then click Allow.

Installing SharePoint Portal Server "v2.0"

  1. Insert the SharePoint Portal Server "v2.0" Beta 2 CD into your CD-ROM drive.
  2. At the message that appears that asks you to read this documentation before upgrading to SharePoint Portal Server "v2.0" Beta 2, click OK.
  3. Click Exit, and then browse to the root directory of the CD by using My Computer.
  4. On the root directory of the SharePoint Portal Server "v2.0" Beta 2 CD, double-click Upgrade.exe.
  5. The Upgrade Progress page shows the progress of installation. When the document management components are installed, a message appears asking if you want to restart your computer. Click No. Upgrade continues with the installation of SharePoint Portal Server "v2.0" Beta 2.

    Note It is strongly recommended that you monitor the progress of installation until it is complete. Delays during Setup can lead to errors in the installation. Also, to avoid errors, install SharePoint Portal Server "v2.0" Beta 2 to the default location.

  6. On the Configure Server Farm Account Settings page, under Default Content Access Account, select Configure Default Content Access Account, and then type a user name and password for an account to use when crawling content sources. The account must have rights to read the content being crawled.

    Note If this page does not appear correctly, click Start on the taskbar, click Run, type iisreset, and then click OK. Then refresh the page.

  7. Do not create a portal site. Upgrade will fail if you create a portal site before importing data from SharePoint Portal Server 2001.

Importing data from SharePoint Portal Server 2001

  1. For each workspace that you are importing from SharePoint Portal Server 2001, you must create a virtual server in the Internet Information Services (IIS) Manager.
  2. On the taskbar, click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Portal Content Import.
  3. In SharePoint Portal Content Import, a list of exported workspaces appears. Select the first workspace, and then click Edit.
  4. In Portal virtual server name, click on the list and then click the virtual server for this workspace.
  5. In Portal site URL, type the URL used to access this workspace in the format http://server:port. Each workspace that you add must have a distinct port number.
  6. In User ID, type an account in the format domain\user_name to use as the site administrator.
  7. In E-mail, the e-mail address used in SharePoint Portal 2001 is listed.

    Important Do not change this e-mail address.

  8. Clear Select crawling this workspace to reduce the time to import the workspace. You can always crawl the workspace later.
  9. Click OK.
  10. Click Import.
  11. At the confirmation message that appears, click OK.
  12. Repeat these steps for each workspace that you import. It is strongly recommended that you import the workspaces in order and one at a time, in case errors occur during import and to avoid importing a workspace that is already imported.

Related Topics

Upgrading from an Evaluation Copy
Upgrading to an Evaluation Copy
Upgrading from SharePoint Team Services
Quick Installation Guide


Upgrading from SharePoint Team Services

Upgrading from SharePoint Team Services

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Upgrading from the Previous Version of SharePoint Team Services

Upgrading from the Second Version of SharePoint Team Services

©2003 Microsoft Corporation. All rights reserved.


Migrating from MSDE to SQL Server

Migrating from MSDE to SQL Server

When you install Windows SharePoint Services Beta 2 on a single server using the defaults, you end up with an installation that uses Microsoft Data Engine (MSDE) for your databases. This is fine in a small-scalle environment, when you are hosting just a few Web sites, but if your server suddenly gets popular and you need to start hosting hundreds of sites, you may run into performance and storage problems. If you find yourself in this situation, and need to move to a more scaled out solution you can switch to using Microsoft SQL Server 2000 Service Pack 2 as your database backend. There are two methods you can use to swtich your databases to SQL Server 2000:

  • Upgrade the databases to SQL Server on the same computer.

    Use this option if you still want to run Windows SharePoint Services Beta 2 on a single server.

  • Migrate the databases to a separate server computer running SQL Server.

    Use this option if you want to expand your installation to a server farm, with at least one Web front-end server and at least one database backend server.

Upgrading the Databases to SQL Server on the Same Computer

If you want to continue using a single server for Windows SharePoint Services Beta 2, you can simply upgrade your database instance from MSDE to SQL Server. Because this process requires your sites to be offline while the databases are upgraded, it is recommended that you perform these steps at a time when usage of your sites is generally low, and also that you notify users that their sites will be offline for a time.

Note Before you upgrade your databases, it is a good idea to back them up. If you have the SQL Server client tools installed on your server or on another server, you can use them to back up an MSDE database. Otherwise, stop MSDE and make a copy of the database files before installing SQL Server.

Install SQL Server and upgrade your databases
  1. Run the SQL Server 2000 SP2 Setup program, and on the Autorun panel, click SQL Server 2000 Components.
  2. Click Install Database Server, and then on the Welcome panel, click Next.
  3. In the Computer Name box, select Local computer, and then click Next.
  4. On the Installation Selection pane, select Upgrade, remove, or add components to an existing instance of SQL Server, and then click Next.
  5. On the Instance Name pane, clear the Default checkbox, and then in the Instance name box, select SHAREPOINT, and click Next.
  6. On the Existing Installation pane, verify that Upgrade is selected, and then click Next.
  7. On the Upgrade pane, verify that the Yes, upgrade my programs checkbox is selected, and then click Next.
  8. On the Licensing Options pane, select your licensing options, and then click Next.
  9. On the Select Components pane, click Server Components, and then select the Full-text Search checkbox if you want to enable full-text searching.
  10. In the left pane, select the Management Tools checkbox and in the right pane, select the Enterprise Manager and Query Analyzer checkboxes.
  11. Select any other components you want, and then click Next.
  12. On the Start Copying Files pane, click Next, and then click Finish.

After the upgrade to SQL Server 2000 is complete, your SharePoint sites should work as usual.

Migrating the Databases to a Separate Server Running SQL Server

If you are moving to a larger scale environment, with one or many Web front-end servers and one or many database backend servers, the process is a more complicated. To switch from MSDE to SQL Server and move to a server farm, you must perform steps using the Internet Information Services, Windows SharePoint Services Beta 2, and SQL Server administration tools. You must also take your sites offline for a while. It is recommended that you perform these steps at a time when usage of your sites is generally low, and also that you notify users that their site will be offline for a time.

In general terms, the steps you take to move from a single-server MSDE installation to a server farm with SQL Server are:

  1. Install SQL Server 2000, SP2 on your current server computer, or on another server computer. For more information about installing SQL Server 2000, see the SQL Server 2000 documentation.
  2. Disconnect the content databases for your sites.
  3. Stop IIS and MSDE.
  4. Locate and copy the database files for the configuration database and any content databases.
    • If you are moving the databases to a new server computer, copy the files to your new server.
    • If you are using SQL Server on the same server computer, copy the files into the SQL Server directory.
  5. Use the SQL Server tools to backup the MDB files.
  6. Use the SQL Server tools to restore the MDB files to full SQL Server databases.
  7. Start IIS and unextend each virtual server.
  8. Connect to the restored SQL Server configuration database.
  9. Extend each virtual server and connect to the restored SQL Server content databases.

Installing SQL Server

Of course take a backup of the config and content databases (just to be on the safer side.

  1. Run the SQL Server 2000 setup.
  2. When Setup prompts you with an option to create a new instance or upgrade an existing one, choose to upgrade an existing one.
  3. In the next screen it will show you the instances of the MSDE and you will see SharePoint instance.
  4. Select the SharePoint instance and move to the next screen where you can now choose other components like Full Text Search, Client Management Tools, Books Online etc.
  5. After the installation is complete you should be able to access your STS site.
  6. You can enable Search on STS Admin UI and test if it works fine.

Disconnecting the Content Databases

You use the Manage Content Databases page to disconnect your content databases. If you have multiple virtual servers, you need to disconnect all content database for every virtual server. IIS and MSDE must still be running when you perform this step.

Disconnect a content database
  1. Click Start, point to Programs, point to Administration Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Manage Content Databases.
  5. On the Manage Content Databases page, under Content Databases, select the database you want to change.
  6. On the Manage Content Database Settings page, in the Remove Content Database section, select tje Remove content database checkbox.
  7. Click OK.

You must repeat these steps for each of your content databases, on each of your virtual servers.

Stopping IIS and MSDE

You must stop all of the IIS processes for Windows SharePoint Services Beta 2 and also the MSDE server for Windows SharePoint Services Beta 2 before you can copy the database files.

Stop IIS
  1. Click Start, point to Administrative Tools, and then click Internet Information Services.
  2. Click the plus sign (+) next to the server name.
  3. Click the plus sign (+) next to Web Sites.
  4. Right-click SharePoint Central Administration, and then click Stop.
  5. Right-click any other Web site (virtual servers) you are using for Windows SharePoint Services Beta 2, and then click Stop.

You can also stop all of the IIS processes at once by typing iisreset /stop on the command line. This stops not only the Windows SharePoint Services Beta 2 processes in IIS, but all processes in IIS.

Stop MSDE
  1. Right-click the MSDE icon in your system tray.
  2. Click MSSQLServer - Stop.

Locating and Copying the Database Files

In order to copy the database files, you must locate them on your server computer. Windows SharePoint Services Beta 2 has at least two database files by default: the configuration database file, and one content database file. You may have multiple content database files, depending on your configuration.

When you install Windows SharePoint Services Beta 2 using the default options, the configuration database is named sts_config.mdf. By default, content databases are created with names based on the server name. For example, STS_server_name_1.mdf, STS_server_name_2.mdf, and so on. If you have used other names for your databases, locate the files by their actual names. The configuration and content databases are stored under \Program Files\Microsoft SQL Server\MSSQL$SHAREPOINT\Data by default for MSDE.

Copy all of the database files for Windows SharePoint Services Beta 2 to the following directory on your new SQL Server computer or your existing server computer: \Program Files\Microsoft SQL Server\MSSQL\Data.

Backing up and Restoring the Database Files

Start IIS and Unextend the Virtual Servers

You must unextend each virtual server, so that you can extend them again, this time using the new configuration and content databases. Before you can unexted your virtual servers, however, you must restart IIS.

Start IIS
  1. Click Start, point to Administrative Tools, and then click Internet Information Services.
  2. Click the plus sign (+) next to the server name.
  3. Click the plus sign (+) next to Web Sites.
  4. Right-click SharePoint Central Administration, and then click Start.
  5. Right-click any Web site (virtual servers) you are using for Windows SharePoint Services Beta 2, and then click Start.

You can also start all of the IIS processes at once by typing iisreset /start on the command line. This starts not only the Windows SharePoint Services Beta 2 processes in IIS, but all processes in IIS.

Unextend the virtual servers
  1. Click Start, point to Programs, point to Administration Tools, and then click SharePoint Central Administration.
  2. Under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Remove SharePoint from virtual server.
  5. On the Remove SharePoint from Virtual Server page, select Remove without deleting content databases.
  6. Click OK.

Repeat these steps for any additional virtual servers that you have.

Connecting to the Restored Configuration Database

After you have restored the database files to full SQL Server database files, you can start reconnecting the databases. First, you must reconnect to the configuration database.

You can use either the SharePoint Central Administration pages to connect to the configuration database, or the command line. From the command line, use the setconfigdb operation with Stsadm.exe. For more information about using this operation, see Command-line Operations.

Connect to the configuration database
  1. Click Start, point to Programs, point to Administration Tools, and then click SharePoint Central Administration.
  2. Under Server Configuration, click Set configuration database server.
  3. In the Configuration Database section, enter the server name and database name for the existing configuration database.
  4. Under Database account user name, select Use Windows integrated authentication (more secure, recommended) or Use SQL authentication (less secure).

  5. If you selected Use SQL authentication (less secure), type the database account user name and password.

  6. Select the Connect to existing database check box.
  7. Click Submit.

Extending the Virtual Servers and Connecting to the Restored Content Databases

After you have connected to the configuration database, you can extend the virtual servers again and connect to the restored content databases.

Extend a virtual server and connect to a restored content database
  1. On the Central Administration page, under Virtual Server Configuration, click Extend virtual server.
  2. On the Virtual Server List page, click the virtual server you want to extend.
  3. On the Extend Virtual Server page, click Extend and connect to existing content database.
  4. On the Extend and Connect to Existing Content Database page, in the Server Mapping section, in the Host name or IIS virtual server name box, select the name of the host or virtual server that you want to use.
  5. In the Application Pool section, select either Use an existing application pool or Create a new application pool.
  6. If you selected Use an existing application pool, select the application pool to use. If you selected Create a new application pool, enter the new application pool name, account name, and password to use.
  7. Click OK.

You must repeat these steps for each of your virtual servers. If you have additional content databases for your virtual servers, you must reconnect them after the virtual server is extended.

Connect to additional content databases
  1. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  2. On the Virtual Server List page, select the virtual server you want to configure.
  3. On the Virtual Server Settings page, under Virtual Server Management, click Manage Content Databases.
  4. On the Manage Content Databases page, click Add a content database.
  5. In the Database Information section, click Specify database server settings.
  6. In the Database name: box, type the name of the restored database.
  7. In the Database Capacity Settings section, fill in the capacity settings you want to use.
  8. Click OK.

Related Topics

After you've switched to SQL Server, you must reset your default content database server. For more information, see Managing Content Databases.

For more information about managing the configuration database, see Managing the Configuration Database.

For more information about backing up and restoring the databases, see Backing Up and Restoring Web Sites.


Using the Import Tool

Using the Import Tool

The content import tool is used to import data from SharePoint Portal Server 2001 document libraries as part of the process of upgrading to SharePoint Portal Server "v2.0" Beta 2.

Before you can run the content import tool, you must complete the other steps of upgrading to SharePoint Portal Server "v2.0" Beta 2, including exporting data from SharePoint Portal Server 2001. For more information on upgrading from SharePoint Portal Server 2001 to SharePoint Portal Server "v2.0" Beta 2, see Upgrading from Microsoft SharePoint Portal Server 2001.

Some data from SharePoint Portal Server 2001 is imported during upgrade, but cannot be used in SharePoint Portal Server "v2.0" Beta 2. This includes portal customization, and most SharePoint Portal Server 2001 custom Web Parts.

To use the document management capabilities of SharePoint Portal Server 2001, you must install the optional components for backwards-compatible document libraries.

Note The backward-compatible document libraries that you import from SharePoint Portal Server 2001 are called workspaces in SharePoint Portal Server 2001. They are distinct from the document libraries provided by Windows SharePoint Services and SharePoint Portal Server "v2.0" Beta 2. References to "workspaces" while importing content refer to backward-compatible document libraries.

Importing data from SharePoint Portal Server 2001

  1. For each workspace that you are importing from SharePoint Portal Server 2001, you must create a virtual server in the Internet Information Services (IIS) Manager.
  2. On the taskbar, click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Portal Content Import.
  3. On the SharePoint Portal Content Import page, a list of exported workspaces appears. Select the first workspace you want to import, and then click Edit.
  4. In the Portal virtual server name list, click the list and then click the virtual server for this workspace.
  5. In the Portal site URL text box, type the URL used to access this workspace in the format http://server:port.

    Note Each workspace that you add must have a distinct port number.

  6. In the User ID text box, type an account in the format domain\user_name to use as the site administrator.
  7. In the E-mail field, the e-mail address used in SharePoint Portal Server 2001 is listed.

    Important Do not change this e-mail address.

  8. Clear the Select crawling this workspace check box to reduce the time to import the workspace. You can always crawl the workspace later.
  9. Click OK.
  10. Click Import.
  11. At the confirmation message that appears, click OK.
  12. Repeat these steps for each workspace that you import. It is strongly recommended that you import the workspaces in order and one at a time, in case errors occur during import and to avoid importing a workspace that is already imported.

Related Topics

Upgrading from Microsoft SharePoint Portal Server 2001


About Security Credentials Used in the Server Farm

About Security Credentials Used in the Server Farm

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Granting Administrative Access to the Server Farm

Granting Administrative Access to the Server Farm

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

To enable a user to be a server farm administrator for Microsoft SharePoint Portal Server "v2.0" Beta 2, you must add that user to the local Administrators group on each server in the server farm.

Grant administrative access to the server farm

  1. In the Windows Control Panel, double-click Administrative Tools, and then double-click Computer Management.

    The Computer Management dialog box appears.

  2. In System Tools, expand Local Users and Groups, and then click Groups.
  3. Right-click Administrators, and then click Add to Group.

    The Administrators Properties dialog box appears.

  4. Click Add.

    The Select Users, Computers, or Groups dialog box appears.

  5. In the Enter the object names to select box, type the name of the user account or group account that you want to add to the group, and then click OK.
  6. Click OK to close the Administrators Properties dialog box.


Managing the SharePoint Administrators Group

Managing the SharePoint Administrators Group

Two sets of users are allowed perform administrative functions for Microsoft Windows SharePoint Services Beta 2: members of the administrators group for the local server computer and members of the SharePoint administrators group. The SharePoint administrators group is a Microsoft Windows NT domain group that is registered with Windows SharePoint Services Beta 2. Members of this domain group can perform Central Administration tasks without having to be given administrator rights to the local server computer. This is particularly useful in a server farm, because you can grant rights across the server farm, rather than individually for each computer in the server farm. This is also useful for applications that call into the administrative object model for Windows SharePoint Services Beta 2. If the application process can be configured to run as a member of the SharePoint administrators group, then it can create new sites, modify quota values for sites, and so on.

Members of the SharePoint administrators group do not have access to the Internet Information Services (IIS) metabase or to the local server's file system, so they cannot perform the following actions for Windows SharePoint Services Beta 2:

  • Extend virtual servers (they can, however, create top-level Web sites or change settings for a virtual server).
  • Remove Windows SharePoint Services Beta 2 from a virtual server.
  • Manage paths.
  • Change the SharePoint administrators group.
  • Change the configuration database settings.
  • Use the Stsadm.exe command-line tool.

Members of the SharePoint administrators group can perform any other administrative action using the HTML Administration pages or object model for Windows SharePoint Services Beta 2. For example, members of the group can view and manage all sites created on their servers. This means that a member of the SharePoint administrators group can read documents or list items, change survey settings, delete a site, or perform any action on a site that the site administrator can perform.

Specify the SharePoint administrative group

  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Security Configuration, click Set SharePoint administrative group.
  3. Under Group account to register as SharePoint administrators, type the domain group you want to allow to administer Windows SharePoint Services Beta 2.
  4. Click OK.

Changing the Group or Changing Group Membership

You can only register one domain group as the SharePoint administrators group, so if you want to include other members, you must add them to the group using the user and group management tools for your domain. If you want to change which group is registered, you can follow the steps to specify a group and specify a different domain group. When you specify a new group, the old group's rights are removed, and the members of that group can no longer manage the servers running Windows SharePoint Services Beta 2.


Granting Access to the Portal

Granting Access to the Portal

After you have created a portal, you can give users access to the portal by assigning users to site groups. The following site groups are installed by default, and you can also create custom site groups.

  • Reader Allows users to search, view, and browse content in the document library to which they have been granted rights.
  • Contributor Allows users to submit content to categories to which they have been granted rights.
  • Web Designer Allows users to change layout and settings on a Web page to which they have been granted rights.
  • Administrator Allows users full control of the Web site.
  • Category Manager Allows users to manage all settings and content in a category to which they have been granted rights.
  • Member Allows users to be a member of a site.

Grant access to the portal

  1. On the Site Settings page, click Manage users.
  2. On the Manage Users page, click Add Users.
  3. On the Add Users: portal_name page, in the Step 1: Choose Users section, in the Users box, type an e-mail address, cross-site group name, or account name.

    Tips

    • Separate multiple entries with semicolons.
    • Type account names in the format DOMAIN\user_name.
    • To find users from the address book, click Address Book.
  4. In the Step 2: Choose Site Groups section, select the check box for each site group that you want to assign to a user, and then click Next.
  5. In the Step 3: Confirm Users section, verify the e-mail address, login name, and display name for each user that you entered in the Step 1: Choose Users section.
  6. In the Step 4: Send E-mail section, do the following:
    1. If you want to send an e-mail message to users telling them that they have been granted access, select the Send the following e-mail to let these users know they've been added. check box.
    2. If you want to customize the message, type your changes in the Subject and Body boxes.
  7. Click Finish.


Changing Access Accounts and Passwords

Changing Access Accounts and Passwords

SharePoint Portal Server uses the following accounts:

  • Configuration database administration account
  • Application pool account for virtual servers
  • Default content access account
  • Override account for crawling
  • User profile import account
  • Single sign-on service account
  • Audience calculation job account

Configuration Database Administration Account

This account is requested during setup when you select the Install without database engine option.

This account will be used by SharePoint Central Administration functions to access and modify settings in the configuration database.

Change the configuration database administration account

  1. Change the password for the application pool.

    Do this on each server that is running SharePoint Portal Server in your server farm.

    1. On the task bar, click Start, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
    2. On the Internet Information Services management console, expand the tree view.
    3. Expand Application Pools.
    4. Right-click CentralAdminAppPool, and then click Properties.
    5. Click the Identity tab.
    6. Click Configurable.
    7. In the Password box, type the new password, and then click OK.
    8. In the Confirm Password dialog box, type the password, and then click OK.
    9. Close the Internet Information Services management console.

  2. Change the password for the SharePoint Portal Alert service.

    Complete the following steps on each server that is running SharePoint Portal Server in your server farm.

    1. On the task bar, click Start, point to Administrative Tools, and then click Services.
    2. On the Services management console, double-click SharePoint Portal Alert.
    3. Click the Log On tab.
    4. Click This account.
    5. Type the new password in the Password and Confirm password boxes.
    6. Click OK.
    7. On the message box that appears, click OK.
    8. On the Services management console, right-click SharePoint Portal Alert, and then click Stop.
    9. Right-click SharePoint Portal Alert, and then click Start.
    10. Close the Services management console.

  3. Change the password for the search service.

    1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure search and indexing.
    2. On the Manage the Search Service for SharePoint Portal Server page, click Manage Search Service Settings.
    3. On the Search Service Management page, in the Search Service Account section, do the following:
      • Select the Configure Search Service Account check box.
      • In the Password box, type the password for the account.
      • In the Confirm Password box, type the password again.
    4. Click Save.

  4. If you are using SQL Server, change the password for the MSSQLSERVER service and the SQLSERVERAGENT service.

    1. On the task bar, click Start, point to Administrative Tools, and then click Services.
    2. On the Services management console, double-click MSSQLSERVER.
    3. Click the Log On tab.
    4. In the Password and Confirm password boxes, type the new password.
    5. Click OK.
    6. Click OK on the message box that appears.
    7. Right-click MSSQLSERVER, and then click Stop.
    8. Click Yes to stop the other services.
    9. Right-click MSSQLSERVER, and then click Start.
    10. Double-click SQLSERVERAGENT.
    11. Click the Log On tab.
    12. In the Password and Confirm password boxes, type the new password.
    13. Click OK.

Application Pool Account for Virtual Servers

This account is specified as the credentials of the user who creates the portal on a server farm. You must change the password on each virtual server on each Web server.

Change the application pool account for virtual servers

  1. On the task bar, click Start, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. On the Internet Information Services management console, expand the tree view.
  3. Expand Application Pools.
  4. Right-click portal_nameApplicationPool, and then click Properties.
  5. Click the Identity tab.
  6. In the Password box, type the new password, and then click OK.
  7. In the Confirm Password dialog box, type the password, and then click OK.
  8. Close the Internet Information Services management console.

Default Content Access Account

This account is the default account used when creating an index of content sources. The account must have read access to the content being crawled.

Change the default content access account

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure search and indexing.
  2. On the Manage the Search Service for SharePoint Portal Server page, click Manage Search Service Settings.
  3. On the Search Service Management page, in the Default Content Access Account section, do the following:
    • Select the Configure Default Content Access Account check box.
    • In the Password box, type the password for the account.
    • In the Confirm Password box, type the password again.
  4. Click Save.

Override Account for Crawling

This account can be specified for rules that include and exclude content to override the default content access account.

Change the override account for crawling

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure search and indexing page, in the General Content Settings and Indexing Status section, click Exclude and Include Content.
  3. On the Exclude and Include Content page, rest the pointer on the rule or group of rules, and then click the arrow that appears.
  4. On the menu that appears, click Edit.
  5. In the Specify Authentication section, click Specify crawling account.
  6. In the Password box, type the password for this user name.

    Your password is protected and can be used only to access the resources for the purpose of crawling content.

  7. In the Confirm password box, type the password for this user name again.
  8. To prevent Basic authentication from being used, select the Prohibit the server from passing plain text passwords check box.
  9. Click OK.

User Profile Import Account

This account is used for crawling the Active Directory to import people profiles.

Change the user profile import account

  1. On the Site Settings page, in the Manage User Profiles and Audiences section, click Manage user profiles.
  2. On the Manage Profile Database page appears, click Configure import settings.
  3. On the Configure Import Settings page, in the Active Directory Credentials section, do the following:
    • In the Password box, type the new password.
    • In the Confirm password box, type the new password again.
  4. Click OK.

Single Sign-On Service Account

This account is the account you specify when you configure the single sign-on service. You must change the password on each Web server and on the job server.

Change the single sign-on service account

  1. On the task bar, click Start, point to Administrative Tools, and then click Services.
  2. On the Services management console, double-click Microsoft Single Sign-on Service.
  3. Click the Log On tab.
  4. Type the new password in the Password and Confirm password boxes.
  5. Click OK.
  6. On the message box that appears, click OK.
  7. Right-click Microsoft Single Sign-on Service, and then click Stop.
  8. Right-click Microsoft Single Sign-on Service, and then click Start.
  9. Close the Services management console.

Audience Calculation Job Account

If the job server and the database server are different computers, you can change the password for the account used for the audience calculation job. You cannot change this account if you have a single server configuration.

Change the audience calculation job account

  1. On the Site Settings page, in the Manage User Profiles and Audiences section, click Manage audiences.
  2. On the Manage Audiences page, click Set compilation schedule.
  3. On the Set Compilation Schedule page, in the Account section, type the new password in the Password and Confirm password boxes.
  4. Click OK.


Enabling Secure Socket Layer

Enabling Secure Socket Layer

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Managing Users and Cross-Site Groups

Managing Users and Cross-Site Groups

Every Web site has users, and part of your job as administrator is to make sure the users of a Web site have the appropriate rights to use the site. To grant access to a site, users must be added to the site (either individually or as part of a cross-site group) and assigned to a site group. In Microsoft Windows SharePoint Services Beta 2, users and cross-site groups can be added by using one of two modes:

  • Domain account mode — Used inside organizations to grant access to users and groups with existing domain accounts
  • Active Directory account creation mode — Used by Internet service providers to create unique accounts for customers

You determine which mode to use when you first install and configure Windows SharePoint Services Beta 2, and you cannot switch between modes later. Whichever mode you use, you can add users and cross-site groups to your site by using either the command-line tool or HTML Administration pages for your Web site.

About Domain Account Mode

If you are using Windows SharePoint Services Beta 2 inside an organization that uses Microsoft Windows domain accounts, you can use domain account mode for user and cross-site group accounts. With domain account mode, you add users and cross-site groups to your site using their existing domain account information, including their account names and e-mail addresses. And you can add Windows NT domain groups to your site, which is not possible in Active Directory account creation mode. Domain account mode is the standard mode for Windows SharePoint Services Beta 2. Note that you can use Active Directory directory service to manage domain accounts — the difference between the modes is the type of account you use and when it is created, not the tool you use to manage them.

About Active Directory Account Creation Mode

If you host Web sites based on Windows SharePoint Services Beta 2 for customers on the World Wide Web, you can configure Windows SharePoint Services Beta 2 to automatically create Active Directory accounts for new users and cross-site groups. You must enable Active Directory account creation mode when you first configure Windows SharePoint Services Beta 2. When you use Active Directory account creation mode, you cannot use pre-existing domain accounts; instead new accounts are created whenever you add users.

Creating users and cross-site groups with Active Directory account creation mode is the same as creating users with domain account mode, except that you only enter the e-mail address or group name, not a domain account, when adding the user or cross-site group to a site. Windows SharePoint Services Beta 2 checks Active Directory to see if an account with that e-mail address or group name already exists. If the user or cross-site group already has an account in Active Directory, the account is used. If the user or cross-site group is new, an account is created for them in Active Directory, using the Windows SharePoint Services Beta 2 credentials, and they are notified of their account name and password through e-mail.

Note When you are in Active Directory account creation mode, there are certain administrative tasks that are unavailable in the HTML Administration pages. For example, you cannot create a top-level Web site, you cannot enable Self-Service Site Creation, and you cannot add a user to a site from the Central Administration pages. To perform these actions in Active Directory account creation mode, you must use the command line or the object model. For more information, see Using the Object Model to Manage Windows SharePoint Services.

Using HTML Administration Pages to Manage Users and Cross-site Groups

The steps for adding users and cross-site groups are the same, no matter which account mode you are using. Using either method, you can manage users and cross-site groups from the Site Settings page for your Web site.

To manage users and cross-site groups, you follow the Manage Users link on the Site Settings page to the Manage Users page. By using this page, you can view a list of users and cross-site groups, check which site group a user or cross-site group is assigned to, add new users and cross-site groups, delete users and cross-site groups, or assign users and cross-site groups to site groups. When you add new users or cross-site groups, you also have the option to send an e-mail message to them, inviting them to use the site. You can even include a custom message in the invitation e-mail message. For example, you can describe your site and what it should be used for, or add a personal message to the default e-mail invitation.

Note If you do not see the Manage Users option on your Site Settings page, you are probably in a subsite that uses the permission settings of a higher-level Web site of the server or virtual server. To work with user accounts and permissions, either go to the parent-level Web site, or change to using unique permissions for the subsite. For more information about subsite permissions, see Managing Site Groups and Permissions.

If you want to view which site groups a user is a member of, you use the Manage Users page.

View site group membership for a user or cross-site group
  • On the Web site you want to manage, click Site Settings.
  • On the Site Settings page, under Administration, click Manage Users.

    The users and cross-site groups added to the Web site and the site groups they are a member of are displayed on the Manage Users page.

From the Manage Users page, you can change which site group a user or cross-site group is a member of.

Change site group membership for a user or cross-site group
  1. On the Manage Users page, select the check box next to the user or cross-site group name you want to change.
  2. Click Edit Site Group of Selected Users and Groups.
  3. In the Site Group Membership area, select the site group you want the user or cross-site group to be a member of.
  4. Click OK.

You can also add new users and cross-site groups to your site from the Manage Users page.

Add a new user or cross-site group
  1. On the Manage Users page, click Add Users.
  2. In the Step 1: Choose Users section, in the text box, type the user's e-mail address or the cross-site group's name.
  3. In the Step 2: Choose Permissions section, select the site group that the user will belong to, and then click Next.
  4. In the Step 3: Confirm Users section, verify the e-mail address, user name, and display name information.
  5. In the Step 4: Send E-mail section, if you want to send an invitation, select Send the following e-mail to let these users know they've been added, and type the subject and body text information to send in the e-mail message.
  6. Click Finish.

You can delete users or cross-site groups from all site groups by using the Manage Users page. Note that this does not delete the user or cross-site group account, but does remove all rights to the Web site.

Delete a user or cross-site group from all site groups
  1. On the Manage Users page, select the check box next to the user or cross-site group you want to delete.
  2. Click Remove Selected Users.
  3. On the confirmation message that appears, click OK to remove the users.

Managing Users in a Site Collection

Every Web site with unique permissions has a Manage Users page that the site's administrator can use to add, modify, or delete users. In addition to this page, the top-level Web site in a Web site collection also includes a page that server administrators or the site collection administrator can use to view and delete users. This page lists all users for the site collection, including the users of the top-level Web site and users of any subsites in the site collection. When you remove a user from this list, the user is removed from all sites and subsites in the site collection.

Remove a user from a top-level Web site
  1. On the top-level Web site, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. On the Top-Level Site Administration page, under Site Collection Administration, click View site collection user information.
  4. Select the check box next to the user you want to remove, and then click Remove Selected Users.

Managing Users from SharePoint Central Administration

If you are an administrator on the server computer or a member of the SharePoint administrators group, you may have administrative rights to change settings on the Site Settings page for any individual site on your server. What happens when a top-level Web site owner leaves your organization, or a user must be added to or removed from a site that you do not have administrative rights for? The SharePoint Central Administration page includes a link for managing users for sites even if the administrator does not have rights to the site. You can add users or cross-site groups, remove users or cross-site groups, change site group membership, and change owners, without having to be an administrator on a specific site. You do, however, need to know the URL for the site, and the specific user name that you want to change.

Change the owner of a site collection
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, under Security Configuration, click Manage site collection owners.
  3. On the Manage Site Collection Owners page, in the Web site URL box, type the URL to the site, and then click View.

    The information for the current site owner and secondary owner is automatically filled in on the page when you click View.

  4. In the Site Owner section, in the User name box, type the account name for the new owner.
  5. If you have a new secondary contact name, type the account name in the Secondary Owner section.
  6. Click OK.

If you are an administrator on the server computer, and need to change the owner of a site that you do not have administrative access to, you can make the change from the SharePoint Central Administration page.

Add a new site user
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, under Security Configuration, click Manage Web site users.
  3. On the Manage Web Site Users page, in the Site URL box, type the URL to the site, and then click View.
  4. In the Add a User section, in the Account name box, type the account name for the new user.
  5. In the Display name box, type the full name for the new owner.
  6. In the E-mail address box, type the e-mail address for the new user.
  7. In the Site group box, select a site group to add the user to, and then click Update.

You can also delete a user or change a user's site group membership from this page.

Delete a site user or change site group membership
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, under Security, click Manage Web site users.
  3. On the Manage Web Site Users page, in the Site URL box, type the URL to the site, and then click View.
  4. In the Enter Site User section, in the Account name box, type the user account you want to change or delete, and then click View.
  5. To change site group membership, select the check box for the site group you want the user to be a member of, and then click Update.
  6. To remove the user from all site groups, select the Delete this user account check box, and then click Update.

Using the Command Line to Manage Users

You can add a user account to your site by using the adduser operation. The adduser operation takes the url, userlogin, useremail, username, and role parameters, plus the optional parameter siteadmin. You use the siteadmin parameter to specify that the user is the site collection administrator or owner of the site collection. Note that if you are using Active Directory account creation mode, you do not need to specify the userlogin parameter; you would use the useremail parameter to identify the user instead.

For example, to add User1 as an administrator for http://server1/site1 in domain account mode, you would type:

stsadm.exe -o adduser –url http://server1/site1
–userlogin DOMAIN1\User1 -useremail user1@domain.com
-username "User 1" -role administrator

You use the deleteuser operation to remove users from a site. The deleteuser operation takes the url and userlogin parameters. To remove User1 from http://server1/site1, you would type:

stsadm.exe -o deleteuser –url http://server1/site1
–userlogin DOMAIN1\User1

You can assign a user to a site group from the command line by using the userrole operation. The userrole operation takes the url, userlogin, role, and add or delete parameters. For example, to add the user User1 to the Contributor site group for site http://server1/site1, you would type:

stsadm.exe -o userrole –url http://server1/site1 –userlogin DOMAIN1\User1
-role contributor -add

Note that this does not remove the user from any site groups they were previously members of.

Related Links

For information about creating, editing, or deleting site groups and controlling Web site permissions, see Managing Site Groups and Permissions.

For more information about security, see Windows SharePoint Services Security Model.

With Windows SharePoint Services Beta 2, you can set quotas and determine how many new user accounts can be created for each virtual server. For more information about setting quotas, see Configuring Site Quotas and Locks.


Managing Site Groups and Permissions

Managing Site Groups and Permissions

When you set up a Web site, you need a way to specify who has access to it. For a typical Internet site, you probably want everyone who comes to the site to be able to view your content, but you don't want them to be able to change that content. For a company intranet site, you may want a few people controlling the structure of the site, but many more people who can add new content, or participate in group calendars or surveys. For an extranet, you want to carefully control which people can view the site at all. Generally, access to Web sites is controlled by combining user accounts with some sort of permissions structure that controls the specific actions users can perform.

Microsoft Windows SharePoint Services Beta 2 provides the ability to control site access through the following means:

  • Site groups

    Site groups let you specify which of your users can perform specific actions in your site. For example, a user who is a member of the Contributor site group can add content to Windows SharePoint Services Beta 2 lists, such as the Task list, or a document library.

  • Anonymous access control

    You can enable anonymous access to allow users to contribute anonymously to lists and surveys, or to view pages anonymously. Most Internet Web sites allow anonymous viewing of the site, but may ask for authentication when someone wants to edit the site or buy an item on a shopping site.

    Note You can also grant access to "all authenticated users" to allow all members of your domain to access a Web site, without having to enable anonymous access.

  • Per-list permissions

    You can manage permissions more finely by setting unique permissions on a per-list basis. For example, if you have a document library containing sensitive financial data for the next fiscal year, you can restrict access to that list so that only the appropriate users can view it. Per-list permissions override site-wide permissions for the lists.

  • Subsite permissions

    Subsites can either use the same permissions as the parent Web site (inheriting both the site groups and users available on the parent Web site), or use unique permissions (so you can create your own user accounts and add them to site groups).

  • Site creation rights

    There are two rights that control whether users can create top-level Web sites, subsites, or workspaces: Use Self-Service Site Creation and Create Subsites.

Defining Site Groups

Windows SharePoint Services Beta 2 uses site groups to manage site-wide security. Each user is a member of at least one site group. Each site group possesses corresponding rights. Rights are actions that users can perform, such as Manage Lists. With Windows SharePoint Services Beta 2, you can use the following default site groups: Guest, Reader, Contributor, Web Designer, and Administrator. In addition, Windows SharePoint Services Beta 2 allows you to edit the rights assigned to a site group, create a new site group, or delete an unused site group. You manage site groups in Windows SharePoint Services Beta 2 with either HTML Administration pages or the command-line administration tool. Note that you cannot change the rights assigned to the Guest and Administrator site groups, and you cannot assign users directly to the Guest site group.

Note It is possible to add user accounts to a Web site without assigning them to a site group. For example, if you are creating new user accounts for the Web site, you can create the user accounts and then assign the users to site groups later. You can also remove a member from all site groups. However, a user who is not assigned to a site group has no access to the Web site.

Windows SharePoint Services Beta 2 includes the following site groups by default:

  • Guest — Has limited rights to view pages and specific page elements. This site group is used for giving users access to a particular page, or list, without granting them rights to view the entire site. Users cannot be explicitly added to the Guest site group, rather users who are given access to lists or document libraries by way of per-list permissions are automatically added to the Guest site group. The Guest site group cannot be customized or deleted.
  • Reader — Has rights to view items, view pages, and create a top-level Web site using Self-Service Site Creation. Readers can only read a site; they cannot add content. Note that when a reader creates a site using Self-Service Site Creation, he or she becomes the site owner and a member of the Administrator site group for the new site. This does not affect the user's site group membership for any other site.
  • Contributor — Has Reader rights, plus rights to add, edit, and delete items, browse directories, manage personal views, add or remove personal Web Parts, update personal Web Parts, and create cross-site groups. Contributors cannot create new lists or document libraries, but they can add content to existing lists and document libraries.
  • Web Designer — Has Contributor rights, plus rights to cancel check-out, manage lists, add and customize pages, define and apply themes and borders, and apply style sheets. Web Designers can modify the structure of the site and create new lists or document libraries.
  • Administrator — Has all rights from other site groups, plus rights to manage site groups, manage list permissions, create sites and workspaces, and view usage analysis data. The Administrator site group cannot be customized or deleted, and there must always be at least one member of the Administrator site group. Members of the Administrator site group always have access to, or can grant themselves access to, any item in the Web site.

    Note The owner and secondary owner of a site collection are members of the Administrator site group for their site, but they are also identified separately in the configuration database as site collection owners. This owner flag can only be changed by using the Manage Site Collection Owners page in Central Administration or by using the siteowner operation with Stsadm.exe. If you remove an owner from the Administrator site group for the site, the owner retains the owner flag in the database, and can still perform Web site administrative tasks.

These site groups are defined per Web site. Users assigned to the Administrator site group are administrators only for a particular Web site. To perform any administrative tasks that affect settings for all Web sites and virtual servers on the server computer, a user must be an administrator for the server computer (also known as a local machine administrator) or a member of the SharePoint administrators group, rather than a member of a site's Administrator site group.

For a complete list of user rights and to see which are included in each site group by default, see User Rights and Site Groups.

Customizing Rights for Site Groups

You can create a new site group or customize an existing site group (except for the Guest and Administrator site groups, which cannot be customized) to include only the rights you want. For example, if you want only the Web Designers to be able to edit lists on the site, you can remove the Edit Items right from the Contributor site group.

Some rights depend on other rights. You must be able to view items before you can edit items. If a right is deleted from a site group, any rights dependent on that right are also deleted. For example, when the View Items right is deleted, the Add Items, Edit Items, and Delete Items rights are also deleted. In the same way, if you add a right that requires another right, the required right is also added. So, if you grant the Edit Items right to a user, the View Items right is granted automatically.

Note For more information about dependencies in user rights, see User Rights and Site Groups.

Security and User Rights

User rights grant users the ability to perform certain actions on a Web site, and restrict other users from performing those actions. Some rights do not completely restrict certain actions. The Apply Themes and Borders and Apply Style Sheets rights allow users to make changes to an entire Web site. Any user with the Add and Customize Pages right, however, can perform the same changes on a page-by-page basis in the actual HTML code. Be aware that if you give a user the Add and Customize Pages right (by assigning them to a site group that contains the right), you are also giving them the ability to change the theme, border, and style sheets for individual pages in your Web site.

When you assign rights to site groups, be sure that you assign the appropriate rights, and do not unintentionally allow members of the site group to perform more actions that you want on your Web site. Conversely, be sure that members of the site group are not unintentionally restricted from performing the actions they need to perform.

Using HTML Administration Pages to Manage Site Groups

You can manage site groups from the Site Administration page for your Web site. To manage site groups, follow the Manage site groups link on the Site Administration page to the Manage Site Groups page. On this page, you can view a list of site groups, change which rights are included in a site group, add a new site group, or delete a site group.

View a list of site groups
  1. On the Site Settings page for your Web site, under Administration, click Go to Site Administration.
  2. On the Site Administration page, under Users and Permissions, click Manage site groups.

    The site groups available for the Web site are displayed on the Manage Site Groups page.

You can add new site groups for use on your site from the Manage Site Groups page.

Add a new site group
  1. On the Manage Site Groups page, click Add a Site Group.
  2. In the Site Group Name and Description area, type the name and description for your new site group.
  3. In the Rights area, select the rights you want to include in the new site group.
  4. Click Create Site Group.

You can create a new site group based on an existing site group, and even copy the members of the existing site group into your new site group.

Copy an existing site group
  1. On the Manage Site Groups page, click the site group you want to copy.
  2. On the Members of "Site group name" page, click Edit Site Group Permissions.
  3. On the Edit Site Group "Site group name" page, click Copy Site Group.
  4. On the Copy the Site Group "Site group name" page, in the Site Group Name and Description area, type the name and description for your new site group.
  5. If you want to copy the users from the existing site group into your new site group, select the Copy users from "site group name" check box.
  6. In the Rights area, select any additional rights that you want the site group to contain, and clear any rights that you do not want the site group to contain.
  7. Click Create Site Group.

You can also edit an existing site group to change the rights assigned to that site group.

Edit an existing site group
  1. On the Manage Site Groups page, click the site group you want to change.
  2. On the Members of "Site group name" page, click Edit Site Group Permissions.
  3. On the Edit Site Group "Site group name" page, select the rights you want to include and clear any rights that you do not want.
  4. Click OK.

If you find that a site group is not used, you can delete the site group.

Delete an existing site group
  1. On the Manage Site Groups page, select the check box next to the site group you want to delete.
  2. Click Delete Selected Site groups.

Using the Command Line to View Site Groups

You can view the list of site groups from the command line in Windows SharePoint Services Beta 2 by using the enumroles operation. This operation takes the -url parameter, and then simply lists the names of the site groups for that URL, so you can use the correct site group name when assigning permissions to users. For example, to view the list of site groups for a site at http://myserver/site1, you would type the following command:

stsadm -o enumroles -url http://myserver/site1

Assigning Per-List Permissions

Windows SharePoint Services Beta 2 provides the ability to control permissions on a per-list basis. If you have sensitive information stored in a list, and you do not want to expose the information to all members of your site, you can set permissions for just that list to control which users can view, edit, or add items to that list. You can grant permissions to a list or document library to individual users, to groups of users, or to a site group. Per-list permissions work for any list or document library in a Web site based on Windows SharePoint Services Beta 2 (for example, Announcements, Tasks, Shared Documents, and so on).

List permissions can be changed by any user who has the Manage List Permissions right (by default, included in the Administrator site group) or Full Control permissions for that list. By default, all members of a Web site (all users assigned to a site group, except for the Guest site group) have access to all lists and document libraries on that Web site. Each site group has a predefined level of permissions for all lists and document libraries. The default list permissions are:

  • View items (given to the Reader site group by default)
  • View, insert, edit, delete items (given to the Contributor site group by default)
  • View, insert, edit, delete items; change list settings (given to the Web Designer site group by default)
  • View, insert, edit, delete items; change list settings; change list security

In addition, you can set advanced permissions, which allows you to grant any of the following rights for a user or site group:

  • Manage Lists (given to the Web Designer site group by default)
  • Manage List Permissions
  • Manage Personal Views (given to the Contributor site group by default)
  • Cancel Check-Out (applies only to document libraries; given to the Web Designer site group by default)
  • Add List Items, Edit List Items, and Delete List Items (given to the Contributor site group by default)
  • View List Items (given to the Reader site group by default)

Note Members of the Administrator site group always have the highest level of permissions for all lists and document libraries. You cannot change list or document library permissions for the Administrator site group. Also, any site group that has the View Lists Item right (such as Reader) can continue to see the list name, description, number of items, and time when the list was last modified, even though they cannot view the list contents directly.

To control permissions for a list, go to the list itself or to the Customize "Listname" page for the list.

View permissions for a list
  1. Navigate to the list, and then in the left pane, click Modify settings and columns.
  2. On the Customize "Listname" page, in the General Settings section, click Change permissions for this <list/document library>.

    The Change Permissions:"Listname" page displays the users and groups that have access to the list, and shows the permissions level each user or group is assigned.

You can change the list permissions for all members of a particular site group by modifying that site group's permissions.

Change list permissions for a particular site group
  1. Navigate to the list, and then in the left pane, click Modify settings and columns.
  2. On the Customize "Listname" page, in the General Settings section, click Change permissions for this <list/document library>.
  3. Select the check box next to the site group you want to change.

    For example, click the check box next to Web Designer to change the permissions for all members of the Web Designer site group.

  4. Click Edit Permissions of Selected Users.
  5. In the Choose Permissions section, select the level of permissions to allow, and then click OK.

You can also grant permissions to individual users, or to user groups, instead of to all members of a site group. Remember that when you grant a user or group permissions to a specific list in your site, they are added to the Guest site group if they are not already members of the site. Note that a member of the Guest site group cannot navigate to a page within the site unless you give them the exact page URL.

Assign list permissions to a specific user or group
  1. Navigate to the list, and then in the left pane, click Modify settings and columns.
  2. On the Customize "Listname" page, in the General Settings section, click Change permissions for this <list/document library>.
  3. On the list toolbar, click Add Users.
  4. In the Step 1: Choose Users section, in the Users area, in the text box, type the network domain name or e-mail address for the user or group you want to assign permissions.
  5. In the Step 2: Choose Permissions section, under Permissions, select the level of permissions for the user or group, and then click Next.
  6. In the Step 3: Confirm Users section, verify that the e-mail address, user name, and display name for the user or group are correct.
  7. If you want to notify the user or group of their permissions with an e-mail message, in the Step 4: Send E-Mail section, select the Send the following e-mail to let these users know they've been added check box, and fill in the text you want to send.
  8. Click Finish.

If you want to restrict your list to a specific set of users, you must both grant access to the individual users and remove access from other site members.

Remove list permissions for a user, group, or site group
  1. Navigate to the list, and then in the left pane, click Modify settings and columns.
  2. On the Customize "Listname" page, in the General Settings section, click Change permissions for this <list/document library>.
  3. Select the check box next to the site group, user, or group you want to remove permissions for, and then click Remove Selected Users.

If you no longer want to use unique permissions for a particular list, you can reset the permissions to use the Web site's general permissions.

Reset permissions to the default state
  1. Navigate to the list, and then in the left pane, click Modify settings and columns.
  2. On the Customize "Listname" page, in the General Settings section, click Change permissions for this <list/document library>.
  3. Click Inherit permissions from the parent Web site.
  4. Click OK to change to inherited permissions.

Note The Inherit permissions link does not appear unless the list permissions have already been customized.

Controlling Access for All Authenticated Users

If you want all authenticated users of your intranet to be able to access your Web site, rather than adding each user individually or in groups, you can configure your site to allow all users on your network rights to use the site. You can also specify which site group (either Reader or Contributor) to assign to all authenticated users.

Allow all authenticated users rights to a top-level Web site
  1. On your site, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. On the Site Administration page, under Users and Permissions, click Manage anonymous access.
  4. In the All Authenticated Users section, under Allow all authenticated users to access site, select Yes.
  5. Under Assign these users to the following site group, select a site group.
  6. Click OK.

Controlling Anonymous Access to a Web Site

If you want users to be able to contribute to your site anonymously, you can configure your site to allow anonymous access. Anonymous access is used to allow users to browse sites without authenticating (a standard Internet scenario), respond anonymously to surveys, or even contribute to a list or document library anonymously.

Anonymous access relies on the anonymous user account on your Web server. This account is created and maintained by your Web server (Internet Information Services (IIS)), not by Windows SharePoint Services Beta 2. On IIS, the anonymous user account is usually IUSR_ComputerName. When you enable anonymous access in Windows SharePoint Services Beta 2, you are enabling that user account for your Web site.

Enabling Anonymous Access

Anonymous access is disabled by default, and is controlled at the site level. If you want to allow anonymous access (such as for an Internet site, where you want visitors to be able to browse without authenticating), you must enable anonymous access by assigning rights to the anonymous user. To enable anonymous access, you must first be sure that IIS is configured to allow anonymous access, and then on the Site Settings pages for your Web site, you can enable anonymous access.

Allow anonymous access for a virtual server in Internet Information Services
  1. Click Start, point to All Programs, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. Right-click the virtual server you want to enable anonymous access for, and then click Properties.
  3. Click the Directory Security tab.
  4. In the Authentication and access control section, click Edit.

  5. The Authentication Methods dialog box appears.

  6. Select the Enable anonymous access check box.
  7. Click OK to close the Authentication Methods dialog box.
  8. Click OK to close the Properties dialog box.

You may need to restart IIS for this change to take effect. After anonymous access has been turned on for the virtual server in IIS, you can enable anonymous access for a specific top-level Web site.

Enable anonymous access for a top-level Web site
  1. On your site, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. On the Site Administration page, under Users and Permissions, click Manage anonymous access.
  4. In the Anonymous Access section, select a level of access to allow:
    • Entire Web site
    • Lists and libraries
    • Nothing
  5. Click OK.

Per-List Permissions and Anonymous Access

You can control anonymous access for your entire site by using the Manage Anonymous Access page, or you can control anonymous access for specific lists by using the per-list permissions feature. If anonymous access is disabled for your site, it cannot be enabled for a particular list in the site.

Enable anonymous access for a list
  1. Verify that anonymous access is enabled for your site.
  2. Navigate to the list, and then in the left pane, click Modify settings and columns.
  3. On the Customize "Listname" page, in the General Settings section, click Change permissions for this <list/document library>.
  4. On the list toolbar, click Add Users.
  5. In the Step 1: Choose Users section, type the anonymous user account for the virtual server, for example, IUSR_servername.
  6. In the Step 2: Choose Permissions section, select the level of permissions to give anonymous users, and then click Next.
  7. Verify the user information, and then click Finish.

Creating Unique Permissions for a Subsite

When you create a subsite, you can choose whether to inherit the permissions from the parent Web site or to create unique permissions for your subsite. Depending on your choice, you get different results:

  • If you choose unique permissions, the default site groups are created (Guest, Reader, Contributor, Web Designer), but are not populated. The Administrator site group is also created, and the subsite creator is assigned to this site group. You can add users to the subsite and assign them to site groups, and they will have permissions only on your subsite, not on the parent Web site.
  • If you choose to inherit permissions, all of the security from the parent Web site is used for the subsite, with the exception of per-list permissions. If you add a user to a list, the user is added to the parent Web site.

Switching to a Different Permissions Model

If you set up your subsite with unique permissions, but find that you need to share permissions with your parent Web site instead, you can switch to inherited permissions. There are some drawbacks to making this switch, however, such as:

  • Switching from unique to inherited permissions is not reversible. The users and site groups from your subsite are deleted when you switch to inherited, and your subsite reverts to the permissions set for the parent Web site.
  • Items that have per-list permissions set lose those permissions. All lists revert to the site-wide permissions.

You can also switch from using inherited permissions to using unique permissions. In this case, the transition is simpler. The current permissions are duplicated when you switch, and the link to the parent Web site's permissions structure is broken. From that point on any changes you make to the permissions affect only the subsite. When you switch from inherited to unique permissions, per-list permission settings remain intact.

Note Switching between permissions models can create some strange scenarios. For example, any user who has the Create Subsites right can create a subsite. By default this right is included only in the Administrator site group, but if you assign it to another site group, members of that group can create subsites with unique permissions and become administrators of the new subsites. If such a user then chooses to switch to using the parent Web site's permissions, the user will no longer be an administrator of the subsite.

You use the Site Settings page for your subsite to switch to a different permissions model.

Set unique permissions by using HTML Administration pages
  1. On the subsite, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. On the Site Administration page, under Users and Permissions, click Manage permission inheritance.
  4. In the Permissions section, select Use unique permissions.
  5. Click OK.

If you want to return to using the same permissions as the parent Web site, you can also change back by using HTML Administration pages.

Return to the parent Web site's permissions
  1. On the subsite, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. On the Site Administration page, under Users and Permissions, click Manage permission inheritance.
  4. In the Permissions section, select Use the same permissions as the parent site.
  5. Click OK.
  6. Click OK to verify the change of permissions.

Managing Site Creation Rights

By default, when Self-Service Site Creation is enabled, all members of the Reader, Contributor, Web Designer, and Administrator site groups have the Use Self-Service Site Creation right. They can use this right to create a top-level Web site on a virtual server from the Create Web Site page. Another right, the Create Subsites right, is available to members of the Administrator site group by default. This right allows the user to create a subsite or a workspace from the Create page or the Manage Sites and Workspaces page.

You control which users have the Use Self-Service Site Creation right by changing the rights in a site group. You can control which users have the ability to create sites and workspaces by changing which site groups have the Create Subsites right, or by using the Enable Site and Workspace Creation page in Site Settings. You must be a member of the Administrator site group for a site to control these rights.

Specify which users can create subsites
  1. On a site, click Site Settings.
  2. On the Site Settings page, click Allow site and workspace creation.
  3. On the Enable Site and Workspace Creation page, select the check boxes next to the site groups you want to be able to create subsites.
  4. Click OK.

Related Links

For information about assigning users to site groups, see Managing Users and Cross-Site Groups.

For more information about security, see Windows SharePoint Services Security Model.

For more information about Self-Service Site Creation, see Configuring Self-Service Site Creation.


Controlling User Rights and Assigning Tasks

Controlling User Rights and Assigning Tasks

As a server administrator, you have control over which actions users can perform for sites on your server, such as adding users to a Web site. You control their actions by controlling their rights. With Microsoft Windows SharePoint Services Beta 2, you control rights in the following ways:

  • Limit the rights available for any site group on the virtual server.

    You use a rights mask to specify which rights can be included in site groups.

  • Allow anonymous access.

    You can determine whether anonymous users can use a particular Web site.

  • Assign rights to customized site groups, and include users in those site groups.

    You can include a specific right, such as Manage Lists, in a custom site group for users.

Limiting Available Rights

As an administrator, if you want to allow or limit certain actions your users perform, you can disable or enable the associated right on the virtual server. For example, if you do not want users to be able to add pages to a Web site, you can disable the Add and Customize Pages right. When you disable a right on a virtual server, it cannot be assigned to any site group and, as a result, cannot be granted to any user of a site on the virtual server. Note that if a user already has a right, and you disable that right, the right is also disabled for that user.

Use the Manage User Rights for Virtual Server page in the Virtual Server Settings pages to specify which rights are available for site groups per virtual server.

Limit the rights for a virtual server
  1. On your server computer, click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Adminsitration.
  2. On the SharePoint Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server you want to affect.
  4. Under Security Settings, click Manage user rights for virtual server.
  5. Select the check boxes next to the rights you want to enable, and clear the check boxes next to those rights you want to disable.

    You can select all rights by selecting the Select All check box. You can clear all rights by clearing the Select All check box.

  6. Click OK.

Allowing Anonymous Access

You can control anonymous access at the virtual server level and at the Web site level. At the virtual server level, you can enable or disable anonymous access in IIS. For more information about configuring anonymous access in Internet Information Services (IIS), see Configuring Authentication.

If you have enabled anonymous access for a virtual server, you can configure anonymous access for each Web site on that virtual server. To do so, you use the Site Administration page for the Web site.

Change anonymous access for a Web site
  1. On your site, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Users and Permissions, click Manage anonymous access.
  4. To enable or disable anonymous access to the site, in the Anonymous Access section, under Anonymous users can access, select one of the following:
    • Entire Web site
    • Lists and libraries
    • Nothing
  5. Click OK.

Assigning Administration Tasks

If you administer multiple Web sites or virtual servers, you may find that performing tasks such as adding users, managing subsites, or managing check-in and check-out for each virtual server or Web site can become burdensome — especially if you manage more than five Web sites. With Windows SharePoint Services Beta 2, you can use site groups and rights to assign such administrative tasks to trusted users and keep server-level administrator tasks (such as extending a new virtual server or setting defaults) to yourself.

By default, a user who is a member of the Administrator site group can:

  • Manage the Web site
  • Create subsites.
  • Manage list permissions.
  • Manage site groups.
  • View usage data.

By default, a user who is a member of the Web Designer site group can:

  • Add and customize pages.
  • Manage lists.
  • Theme a site, add borders, and link style sheets.
  • Cancel check-outs.

If you want a user, such as a Contributor, to be able to perform a single Administrator or Web Designer task, you can either assign them to the Administrator or Web Designer site group, or assign them to another site group that has the user right needed to perform the task.

Although the simplest way to delegate Administrator or Web Designer rights is to make a user a member of the Administrator or Web Designer site group, this potentially allows the user more access than you intended. If you want to delegate only a few tasks or limit tasks, assign only the necessary user rights. To do this, create a custom site group with the necessary rights, or edit an existing site group to contain those rights.

For example, if you want a user to be able to approve items before they are added to lists, create a Moderator site group, add the Manage Lists right to that site group, and then assign the user to the site group.

Note Users can be members of more than one site group, so you do not need to remove their old site group membership before adding them to a new one. Neither do you have to replicate all of their existing rights in the new site group. So, Joe User can be a member of both the Contributor and Moderator site groups at the same time.

The following table lists some tasks you may want to delegate, as well as the user rights required to perform those tasks.

Task to delegate | User right required
Adding users to the site | Manage Site Groups
Changing user site groups | Manage Site Groups
Adding, editing, or removing lists | Manage Lists
Approving items to be added to a list | Manage Lists
Creating, deleting, or merging subsites | Create Subsites
Adding ASP, ASPx, or HTML pages to a site | Add and Customize Pages
Break a document check-out or force a check-in | Cancel Check-Out

Related Links

For information about creating, editing, and deleting site groups, see Managing Site Groups and Permissions.

For the complete list of rights available in Windows SharePoint Services Beta 2, see User Rights and Site Groups.


Editing Rights for a Site Group

Editing Rights for a Site Group

You can edit rights for a specific site group.

Important The View categories right must be assigned to the Reader site group if Readers are to be able to view the home page of the portal.

Edit rights for a site group

  1. On the Site Settings page, in the Manage General Settings section, click Manage security and additional settings.
  2. On the Manage Security and Additional Settings page, in the Users and Permissions section, click Manage site groups.
  3. On the Manage Site Groups page, click the site group for which you want to edit the rights.
  4. On the Members of "site_group" page, click Edit Site Group Permissions.
  5. On the Change Site Group Permissions page, select the rights for the site group, and then click OK.


Creating a Site Group

Creating a Site Group

You can create a site group.

If you are accessing the Create New Site Group page for a specific area, area rights apply to the specific area and to any categories that inherit from this area. To grant full control on this area, including the ability to customize Web Part pages and Web Parts, ensure that the user is also a member of the site-wide Contributor site group. If you are accessing this page for the portal site, area rights apply to all areas that inherit rights from the root of the portal site.

Create a site group

  1. On the Site Settings page, in the Manage General Settings section, click Manage security and additional settings.
  2. On the Manage Security and Additional Settings page, in the Users and Permissions section, click Manage site groups.
  3. On the Manage Site Groups page, click Add a Site Group.
  4. On the Create New Site Group page, in the Site Group Name and Description section, do the following:
    1. In the Site group name box, type a name for the new site group.
    2. In the Description box, type a description for the site group.
  5. In the Rights section, select the rights for this site group.
  6. Click OK.


Deleting a Site Group

Deleting a Site Group

You can delete a site group.

Delete a site group

  1. On the Site Settings page, in the Manage General Settings section, click Manage security and additional settings.
  2. On the Manage Security and Additional Settings page, in the Users and Permissions section, click Manage site groups.
  3. On the Manage Site Groups page, select the check box for the site group that you want to delete.
  4. Click Delete Selected Site Groups.
  5. On the confirmation message, click OK.


Modifying Membership of a Site Group

Modifying Membership of a Site Group

You can modify the membership for a specific site group.

Modify membership of a site group

  1. On the Site Settings page, in the Manage General Settings section, click Manage security and additional settings.
  2. On the Manage Security and Additional Settings page, in the Users and Permissions section, click Manage site groups.
  3. On the Manage Site Groups page, click the site group for which you want to modify the membership.
  4. On the Members of "site_group" page, click Add Members.
  5. On the Add Users: portal_name page, in the Step 1: Choose Users section, in the Users box, type an e-mail address, cross-site group name, or account name.

    Tips

    • Separate multiple entries with semicolons.
    • Type account names in the format DOMAIN\user_name.
    • To find users from the address book, click Address Book.
  6. In the Step 2: Choose Site Groups section, select the check box for each site group that you want to assign to a user, and then click Next.

    Note By default, the check box for the site group for which you are modifying the membership is selected.

  7. In the Step 3: Confirm Users section, verify the e-mail address, login name, and display name for each user that you entered in the Step 1: Choose Users section.
  8. In the Step 4: Send E-mail section, do the following:
    1. If you want to send an e-mail message to users telling them that they have been granted access, select the Send the following e-mail to let these users know they've been added. check box.
    2. If you want to customize the message, type your changes in the Subject and Body boxes.
  9. Click Finish.


Configuring the Topology of the Server Farm

Configuring the Topology of the Server Farm

For information about supported topologies for a server farm, see the following:

  • Server Farm Deployments
  • Single Server Deployments
  • Shared Services Deployments

For information about specifying database settings and component assignments for the server farm, see the following:

  • Specifying Configuration Database Settings
  • Specifying Content Database Settings
  • Specifying Settings for Component Settings Database
  • Specifying Settings for Single Sign-On and Application Definitions
  • Adding a Server to the Server Farm
  • Removing a Server from the Server Farm
  • Changing Component Assignments for the Server Farm


Configuring E-Mail Settings

Configuring E-Mail Settings

Windows SharePoint Services Beta 2 sends alerts and other administrator messages by using an SMTP server. You can specify which SMTP server to use and set the e-mail address to use for sending alerts and receiving replies for all sites by using the SharePoint Central Administration e-mail settings. You can also specify different settings for a specific virtual server. At either level, you can specify the following settings: outbound SMTP server, from address, reply-to address, and character set to use.

About Character Sets and E-mail

When you configure e-mail settings, one of the settings you specify is the character set to use in e-mail. The default character set is 65001 (Unicode UTF-8), a standard character set that works well for most languages. You can choose a specific language code to apply instead, such as 1256 (Arabic (Windows)), but be aware that changing to a specific language code may cause the e-mail messages to be unreadable to clients of other language codes, for example, 1252 (Western European (Windows)).

Configuring an SMTP Server in Internet Information Services

If you want to use an SMTP server in Internet Information Services (IIS) to send outbound e-mail messages from Windows SharePoint Services Beta 2, you must configure the SMTP Server to allow anonymous access and to allow e-mail messages to be relayed. Note that the SMTP server you use must have Internet access to be able to send messages to external e-mail addresses.

Note The SMTP Service for IIS is not installed by default. If you have not installed the SMTP Service, or you do not see the default SMTP virtual server in IIS, you must install the SMTP Service. For more information about installing, configuring, or managing the SMTP Service, see the Help system for Internet Information Services (IIS) Manager.

Configure an SMTP server in IIS for use with Windows SharePoint Services Beta 2
  1. Click Start, point to All Programs, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. Click the plus sign (+) next to the server name that contains the SMTP server you want to configure.
  3. Right-click the SMTP virtual server you want to configure, and then click Properties.
  4. On the Access tab, under Access control, click Authentication.
  5. On the Authentication dialog box, under Select acceptable authentication methos for this resource, verify that Anonymous access is selected.
  6. Click OK.
  7. On the Access tab, under Relay restrictions, click Relay.
  8. Under Select which computer may relay through this virtual server, select All except the list below.
  9. Click OK to close the Relay Restrictions dialog box.
  10. Click OK to close the Properties dialog box.

Using HTML Administration to Configure E-mail Settings

You use the Configure E-Mail Server Settings page to specify e-mail settings for your server.

Specify e-mail settings for a server or server farm
  1. On the SharePoint Central Administration page, under Server Configuration, click Configure e-mail server settings.
  2. In the Outbound SMTP server box, type the name of the SMTP mail server to use for sending messages.
  3. In the From address box, type the e-mail address to send e-mail messages from.

    This address appears in the From box of any e-mail messages from the server. No e-mail messages are sent to this address, so you can use an unmonitored e-mail address if you want.

  4. In the Reply-to address box, type the e-mail address that users can reply to.

    If a user replies to an e-mail message from the server, it will be sent to this address. You should use an address that is monitored for the reply-to address.

  5. In the Character set box, select the character set to use.
  6. Click OK.

You can also specify e-mail settings for a particular virtual server. The virtual server settings override the settings specified on the SharePoint Central Administration pages. Use these steps when you want a virtual server to use a different SMTP server for alerts than the one specified in the server settings.

Specify Mail Settings for a Virtual Server
  1. On the SharePoint Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  2. On the Virtual Server List page, click the name of the virtual server you want to configure.
  3. Under Virtual Server Management, click SharePoint e-mail configuration.
  4. In the Mail Settings section, in the Outbound SMTP server box, type the name of the SMTP mail server to use for sending messages.
  5. In the From address box, type the e-mail address to send e-mail messages from.

    This address appears in the From box of any e-mail messages from the server. No e-mail messages are sent to this address, so you can use an unmonitored e-mail address if you want.

  6. In the Reply-to address box, type the e-mail address that users can reply to.

    If a user replies to an e-mail message from the server, it will be sent to this address. You should use an address that is monitored for the reply-to address.

  7. In the Character set box, select the character set to use.
  8. Click OK.

Using the Command Line to Configure E-mail Settings

You can also configure e-mail settings from the command-line, by using the email operation with Stsadm.exe. The email operation takes the following required parameters: outsmtpserver (the out-going SMTP server), fromaddress (the e-mail address to send messages from - can be an unmonitored address), replytoaddress (the e-mail address to send replies to - must be a monitored address), and codepage (the codepage to use). In addition, you can use the optional url parameter to specify settings for a particular virtual server.

The email operation uses the following syntax:

stsadm.exe -o email -outsmtpserver <smtp server>
  -fromaddress <from address> -replytoaddress <reply-to address>
  -codepage <codepage> [-url <url>]

For example, to configure the e-mail settings to use the server \\SMTPServer, and to use someone@example.com as both the from and reply to address, you would use syntax similar to the following.

stsadm.exe -o email -outsmtpserver SMTPServer
  -fromaddress someone@example.com
  -replytoaddress someone@example.com

To set the http://myserver virtual server to use a different codepage, you would use syntax similar to the following.

stsadm.exe -o email -outsmtpserver SMTPServer
  -fromaddress someone@example.com -replytoaddress someone@example.com
  -codepage <codepage> -url http://myserver


Configuring Usage Analysis

Configuring Usage Analysis

Usage analysis allows you to track how Web sites on your server are being used. You configure the settings for processing the usage log by using commands in HTML Administration pages. From the SharePoint Central Administration page, you can control:

  • Whether or not to log usage data.

    Usage analysis is not enabled by default. If you want to use the usage analysis features for your server, you must enable the usage analysis logging process. Log files are created daily to track usage information. When the log file is processed, a flag is added to indicate that is has been processed. If you do not want to track usage analysis data and you want to conserve disk space, you can turn off data logging for usage analysis.

  • Where the log files are stored and how many log files to create.

    By default, the log files are in c:\Windows\system32\LogFiles\STS. Inside this folder is a folder for every virtual server, and under those folders, folders for each day. You can specify any other location you prefer. You can specify that up to 30 log files are created.

    Note If you choose a different log file location, you must be sure to give the STS_WPG user group Read, Write, and Update permissions to the directory. Without these permissions, the usage log files cannot be created or updated by Internet Information Services (IIS). For more information about setting permissions for a directory, see the Microsoft Windows Help system.

  • Whether or not to process the usage logs and when to do so.

    By default, the log files are set to be processed every day at 1:00 A.M. You can schedule the usage log to be processed at a more convenient downtime for your Web sites. You can also specify the end time for the usage log processing. If your Web sites are primarily used by internal employees, for example, you might schedule the log to be processed at night, when demand on the sites is lower than during working hours. If you have multiple servers, you can stagger the processing. For example, you can configure the processing to start at midnight, and stagger it by 15 minutes, so that server1 starts at 12:00, server2 starts at 12:15, server3 at 12:30, and so on.

In Microsoft Windows SharePoint Services Beta 2, usage analysis data is gathered from the front-end Web servers and collected into temporary files. When the daily log processing takes place, the data is merged into the content databases on the back-end servers. Usage data is collected for an entire site collection on a server at a time. Even though the data is logged and stored for an entire site collection, when you view the data in HTML Administration pages, you can see only the data for a particular Web site or subsite, not for the entire site collection.

Note Although you can see the total number of hits for a site collection on the Site Collection Usage Summary page, for detailed information you must use the Site Usage Report page for the individual site or subsite.

For more information about the type of data gathered in the usage analysis logs and how to view the usage analysis reports, see Analyzing Web Site Usage.

Usage data is kept for up to three months in the database for historical purposes. Daily information is stored for 31 days and monthly information for 24 months. Note that usage analysis processes rely on the Microsoft SharePoint Timer service to manage the timing of log processing. For more information about the SharePoint Timer service, see Scheduling Timed Jobs.

Note Because usage analysis processing runs only once a day, when you enable usage analysis processing, you will not see any data until the next day. Log processing is only done for a single day's worth of data. If you turn off the log processing for a week but leave the data logging turned on, the next time you turn on processing, it will only process one day's worth of log files. The log files for all of the days before that will remain unprocessed.

You control settings for usage analysis processing from the SharePoint Central Administration page. You must be an administrator of the local server computer or a member of the SharePoint administrators group to configure usage analysis settings.

Note When you configure usage analysis processing for a server, it takes effect for any existing virtual servers. If you later add a virtual server, you must configure usage analysis processing again to enable usage analysis for the new virtual server.

Configure usage analysis processing for a server
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Component Configuration, click Configure usage analysis processing.
  3. In the Logging Settings section, select the Enable logging check box.
  4. In the Log file location box, type the location to store the log file.

    The default location for the log file is c:\Windows\system32\LogFiles\STS.

  5. In the Number of log files to create box, type a number between 1 and 30.

    In general, you should use a number that is one to three times the number of database servers in your server farm, with a maximum number of 30 log files.

  6. In the Processing Settings section, select the Enable usage analysis processing check box.
  7. Under Run processing between these times daily, specify the range of times to start the usage analysis log processing. In the Start box, select the earliest time of day to begin running log processing. In the End box, select the latest time to begin running log processing.
  8. Click OK.

Related Topics

For more information about viewing usage reports, see Analyzing Web Site Usage.

For more information about configuring and viewing quota information, see Configuring Site Quotas and Locks.


Configuring Antivirus Protection

Configuring Antivirus Protection

Windows SharePoint Services Beta 2 now allows you to help protect your users from uploading or downloading files that contain viruses. When you have installed an antivirus scanner that is compatible with Windows SharePoint Services Beta 2, you can enable the antivirus protection feature for your server. When you enable the antivirus protection feature, files are checked for viruses when a user adds a document to a document library or list, or when a user views a document in a document library or list. If a virus is found, the scanner attempts to clean the file, or if the file cannot be cleaned, blocks the file from being added or viewed.

Note If a file is uploaded, and is later identified as containing a virus, the user will not be able to open the file. In this situation, however, the user may still be able to save the file locally and open it from their computer.

You enable and configure antivirus protection at the server level. When enabled, antivirus protection is available for all document libraries on all sites and subwebs on your server, or for all servers in your Web farm. You can use HTML Administration pages or the command line tool to configure antivirus protection.

You must install Windows SharePoint Services Beta 2-compatible antivirus software on any server computer running Windows SharePoint Services Beta 2 before you can enable antivirus protection in Windows SharePoint Services Beta 2. If you are in a server farm configuration, antivirus software must be installed on every Web front-end server in the server farm. Consult your antivirus software vendor to find out whether they offer a virus scanner for use with Windows SharePoint Services Beta 2 and for information about installing the virus scanner.

Note McAfee Security is providing a virus scanner for customers using Windows SharePoint Services Beta 2. For information about their virus scanner, go to the McAfee Beta Site. Or, for a list of antivirus software vendors that support antivirus protection for Windows SharePoint Services Beta 2, see the Windows SharePoint Services Partners Site.

Using HTML Administration Pages to Configure Antivirus Protection

You use the Configure Antivirus Protection page in the SharePoint Central Administration pages to enable and configure antivirus protection.

Enable Antivirus Protection for your Server or Web Farm
  1. Click Start, point to Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, under Security Configuration, click Configure antivirus protection.
  3. Select the Scan documents on download check box.
  4. Select the Scan documents on upload check box.
  5. If desired, select the Attempt to clean infected documents check box.
  6. In the Time out scanning after ___ seconds box, type the number of seconds to allow before timing out the scanning process.

    The default time is 300 seconds, or 5 minutes. This should be enough time to allow the antivirus processes to finish without affecting performance. The default time is recommended, but you can adjust this time if you are experiencing performance issues.

  7. In the Allow scanner to use up to ___ threads box, type the number of threads to allow the scanning process to take up.

    By default, the number of threads is set to 5, which should be sufficient for even a large number of sites. The default number of threads is recommended, but you can adjust the number of threads if you are experiencing performance issues.

  8. Click OK.

Using the Command Line to Configure Antivirus Protection

You can also configure antivirus protection by setting properties on the command line. To set a property, you use the Stsadm.exe tool with the setproperty operation. The following properties are available for use in configuring antivirus protection.

Property name | Description | Values
avcleaningenabled | Specifies whether antivirus cleaning is enabled or disabled. | yes/no
avdownloadscanenabled | Specifies whether documents are scanned on download. | yes/no
avnumberofthreads | Specifies the number of thread to use for antivirus processes. | A numerical value, the number of threads to use.
avtimeout | Specifies how long to wait before timing out an antivirus process. | A numerical value, in seconds.
avuploadscanenabled | Specifies whether documents are scanned on upload. | yes/no

The following example shows the syntax to use when setting an antivirus property:

stsadm.exe -o setproperty -pn <property name> -pv <property value>

For example, to set the avtimeout property to 200, you would use the following syntax:

stsadm.exe -o setproperty -pn avtimeout -pv 200

For more information about setting properties using the command line, see Introducing the Administration Tools for Windows SharePoint Services Beta 2.


Configuring Blocked File Extensions

Configuring Blocked File Extensions

Microsoft Windows SharePoint Services Beta 2 provides the ability to restrict certain kinds of files from being uploaded or retrieved, based on the file extension. For example, a file with the .exe file extension could potentially contain code that runs on client computers when it is downloaded. Because it has the .exe file extension, the file can be run on demand when it is downloaded. If files with the .exe file extension are blocked, users can neither upload nor download a file with the .exe extension, and potentially dangerous content in the .exe file cannot be downloaded. This feature does not prevent all exploits based on file types, nor is it designed to do so.

By default, several standard file extensions are blocked, including any file extensions that are treated as executable files by Windows Explorer. Files with curly braces { or } are also blocked automatically. The file extensions blocked by default are:

File extension | File type
.ade | Microsoft Access project extension
.adp | Microsoft Access project
.app | Application file
.bas | Microsoft Visual Basic class module
.bat | Batch file
.chm | Compiled HTML Help file
.cmd | Microsoft Windows NT Command Script
.com | Microsoft MS-DOS program
.cpl | Control Panel extension
.crt | Security certificate
.exe | Excutable program
.fxp | Microsoft Visual FoxPro compiled program
.hlp | Help file
.hta | HTML application
.ins | Internet Naming Service
.isp | Internet Communication settings
.jse | JScript Encoded Script file
.lnk | Shortcut
.mda | Microsoft Access add-in program
.mdb | Microsoft Access program
.mde | Microsoft Access MDE database
.mdt | Microsoft Access data file
.mdw | Microsoft Access workgroup
.mdz | Microsoft Access wizard program
.msc | Microsoft Common Console Document
.msi | Microsoft Windows Installer package
.msp | Windows Installer patch
.mst | Visual Test source files
.ops | Microsoft Office profile settings file
.pcd | Photo CD image or Microsoft Visual Test compiled script
.pif | Shortcut to MS-DOS program
.prf | System file
.prg | Program source file
.reg | Registration entries
.scf | Windows Explorer command file
.scr | Screen saver
.sct | Windows Script Component
.shb | Windows shortcut
.shs | Shell Scrap Object
.url | Uniform Resource Locator (Internet shortcut)
.vb | VBScript file
.vbe | VBScript Encoded Script file
.vbs | VBScript file
.wsc | Windows Script Component
.wsf | Windows Script file
.wsh | Windows Script Host Settings file

The list of file extensions is controlled for the entire server or server farm and is recorded in the configuration database. Because the list of blocked file types is maintained by file extension, all files that use a file extension on the list cannot be uploaded or downloaded, irrespective of the file's intended use. If .asp is on the list of extensions to block, the feature blocks all .asp files on the server, even if they're used to support Web site features on another server in the server farm. If a file ends in a period (.), the preceding characters are checked against the list of blocked file extensions as well. For example, if .exe is on the list of blocked file extensions, a file called "filename.exe." is also blocked. The following list shows different ways of representing the same file, all of which are blocked if the .hta extension is on the list of blocked file extensions:

  • filename.hta
  • filename.hta.
  • filename.hta.{3050F4D8-98B5-11CF-BB82-00AA00BDCE0B}
  • filename.hta::$DATA

You can determine which files are blocked for Web sites on your servers by modifying the list of blocked file extensions. You can block additional file extensions (up to 1024 file types) by adding them to the list in the SharePoint Central Administration pages, or remove a block by deleting the file extension from the list. When you change the list of file extensions, the change affects both new files being added to a Web site and files already posted to a Web site. For example, if a document library contains a .doc file, and you add the .doc file extension to the list of blocked file extensions, users will no longer be able to open the .doc file in the document library. Users will be able to rename or delete a file with a blocked file extension, but will not be able to perform any other actions.

Add or remove a file type from the list of blocked file extensions
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, under Security Configuration, click Manage blocked file types.
  3. On the Manage List of Blocked File Types page, perform one of the following actions:
    • To add a file type, click in the list and type the extension.
    • To delete a file type, delete the file extension from the list.
  4. Click OK.


Configuring Portal Security

Configuring Portal Security

The following are the recommended steps for configuring security on the portal:

  1. Create Windows NT groups Create Windows NT groups for users who will have the same set of rights. For example, you might create a group for all writers with one set of rights, and a group for the marketing department that has another set of rights.
  2. Assign groups to site groups Assign each of these groups to one of the five default SharePoint Portal Server site groups:
    • Reader Has rights to view items, personalize Web parts, use alerts, and create their own top-level Web site by using Self-Service Site Creation. Readers can only read a site, they cannot add content. This site group is named "reader" on the command line. Note that when a reader creates a site using Self-Service Site Creation, he or she becomes the site owner and a member of the Administrator site group for the new site. This does not affect the users site group assignments for any other site.
    • Contributor Has Reader rights, plus rights to add and edit items, manage list permissions, manage personal groups and views, and personalize SmartPages. Contributors cannot create new lists or document libraries, but they can add content to existing lists and document libraries.
    • Web Designer Has Contributor rights, plus rights to cancel checkout, delete items, manage lists, add and customize pages, define and apply themes and borders, and link style sheets. Web Designers can modify the structure of the site and create new lists or document libraries.
    • Administrator Has all rights from other site groups, plus rights to manage site groups and view usage analysis data. The Administrator site group cannot be customized or deleted, and there must always be at least one member of the Administrator site group. Members of the Administrator site group always have access to, or can grant themselves access to, any item in the Web site.
    • Category Manager Has rights to manage all settings or content in a category. A Category Manager can approve and reject submission requests, move content to the archive, and change security.
    Adding groups to a site group rather than adding individual users is a more flexible way of configuring security – as group membership changes, this will automatically be reflected in the site group membership. For more information, see Related Topics.
  3. Edit the rights on site groups Go to the site group management pages to ensure that the rights assigned to the default site groups are the rights that you want to assign to these respective groups. To go to these pages, do the following:

    To manage rights for lists, Web pages, personalization, and site creation

    1. On the Site Settings page, in the Manage General Settings section, click Manage detailed portal settings and advanced security.
    2. On the Manage Detailed Portal Settings and Advanced Security page, in the Users and Permissions section, click Manage roles - lists, web pages, personalization and site creation rights.

      The Manage Site Groups page appears, and you can edit the rights.

    To manage rights for categories, personal sites, audience targeting, alerts, and search

    1. On the Site Settings page, in the Manage General Settings section, click Manage detailed portal settings and advanced security.
    2. On the Manage Detailed Portal Settings and Advanced Security page, in the Users and Permissions section, click Manage roles - categories, personal sites, audience targeting, alerts and search rights.

      The Manage Security Settings for the Portal Site page appears, and you can edit the rights.

    For more information, see Related Topics.
  4. Customize security for categories You can customize security for each category. Administrators are advised to add groups to site groups before customizing category security to avoid a potentially inconsistent security policy. Setting security on a parent category will cause these settings to be applied to all of its subcategories. If you customize the security on a subcategory, you will break inheritance. The sub-category will no longer inherit changes made to the parent category.

    To grant full control on a category, including the ability to customize SmartPages and Web Parts, ensure that the user is also a member of the site-wide Contributor site group.

    The Manage Security page for each category explicitly states whether the category inherits permissions or if inheritance has been broken. Inheritance can be restored to a category and its subcategories by navigating to the Manage Security page for that category and clicking the Inherit permissions link.

    To go to the Manage Security page for a category, do the following:

    1. On the page, click Edit Page.

      The page appears in edit mode.

    2. Click Manage Security.

      The page to manage security settings appears.

  5. Prevent Readers from creating a personalized MySite By default, members of the Reader site group are given the right to create a personalized MySite. If you want to revoke this right, copy the rights from the Reader site group and create a new site group. Assign groups or individual users to this new site group to prevent them from creating a personalized MySite.

    To prevent users from creating a personalized site

    1. On the Site Settings page, in the Manage General Settings section, click Manage detailed portal settings and advanced security.
    2. On the Manage Detailed Portal Settings and Advanced Security page, in the Users and Permissions section, click Manage roles - lists, web pages, personalization and site creation rights.

      On the Manage Site Groups page, click Reader.

    3. On the Members of "Reader" page, click Edit Site Group Permissions.
    4. On the Edit Site Group "Reader" page, click Copy Site Group.
    5. On the Copy the Site Group "Reader" page, do the following:
      1. In the Site group name box, type a name for the site group.
      2. In the Description box, type a description for the site group.
      3. Ensure that only the following rights are selected:
        • View Items
        • View Pages
        DO NOT select the Create a Site right.
      4. Click Create Site Group.

        The Manage Site Groups page appears, showing the new site group.

    6. Return to the Site Settings page.
    7. On the Site Settings page, in the Manage General Settings section, click Manage detailed portal settings and advanced security.
    8. On the Manage Detailed Portal Settings and Advanced Security page, in the Users and Permissions section, click Manage roles - categories, personal sites, audience targeting, alerts and search rights.
    9. On the Manage Security Settings for the Portal Site page, select the site group you just created, and then click Edit.
    10. On the Change role permissions page, ensure that Create personal site is NOT selected. If it is NOT selected, click Cancel.

Related Topics

Granting Access to the Portal
Editing Rights for a Site Group


Creating a Portal Site

Creating a Portal Site

After you have installed and initially configured the server, you can create additional portal sites.

The following limits apply to the number of portal sites supported on a server farm:

  • If the server farm does not provide or use shared services, the server farm supports up to 15 portal sites.
  • If the server farm provides shared services, the server farm supports up to 15 portal sites.
  • If the server farm uses shared services, there is no maximum number of portal sites that the server farm supports.

If you are creating a portal site on an installation that was installed without the database engine (that is, you are using SQL Server to store the databases), you must specify application pool account information. To host the application pool of each virtual server running the Web server component of SharePoint Portal Server, you must specify a valid Microsoft Windows domain account on the Portal Creation - Application Pool Account for Server server_name page.

You can access the Create Portal Site for Server server_name page from multiple locations:

  • On the SharePoint Portal Server Central Administration for Server server_name page, in the Virtual Server and Portal Site Configuration section, click Create a portal site.
  • On the SharePoint Portal Server Central Administration for Server server_name page, in the Virtual Server and Portal Site Configuration section, click List and manage portals. On the List and Manage Portals page, click Create Portal.

Create a portal site

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Virtual Server and Portal Site Configuration section, click Create a portal site.
  2. In the Portal Creation Options section, click Create a portal.
  3. In the Portal Title box, type a title for the portal site.

    This title appears at the top of most portal site pages.

  4. In the Portal Address section, do the following:
    1. In the Virtual Server list, click the existing virtual server on this server that will host the portal site.
    2. In the URL address box, type the URL that users use to connect to the portal site.

      By default, this URL is http://server_name/.

  5. In the Default Portal Owner section, do the following:
    1. In the Account name box, type the account name for the portal site owner in the format DOMAIN\user_name.

      The portal site owner manages content and user access.

    2. In the E-mail address box, type the e-mail address for the portal site owner.
  6. Click OK.
  7. If the Portal Creation - Application Pool Account for Server server_name page appears, do the following:
    1. In the Account name box, type the default Windows domain account to use for hosting the application pool of the virtual server.
    2. In the Password box, type the password to use with this account.
    3. In the Confirm password box, retype the password to use with this account.
    4. Click Next.
  8. On the Create Portal Confirmation for Server server_name page, click OK to begin creating the portal site.

    Caution Any custom information that you've added to the virtual server since its creation will be made unavailable once you start creating the portal site.

    The Operation Status page appears.

At the end of successful portal site creation, the Operation Successful page appears. You can then further configure the portal site.


Creating Sites and Subsites

Creating Sites and Subsites

You can use top-level Web sites and subsites to divide site content into distinct, separately manageable sites. Top-level Web sites can have multiple subsites, and subsites can also have multiple subsites, down as many levels as your users need. The entire structure of a top-level Web site and all of its subsites is called a Web site collection. The following diagram shows this hierarchy of sites and subsites.

Windows SharePoint Services Logical Architecture

This hierarchy allows your users to have a main working site for the entire team, plus individual working sites or shared sites for side projects. Top-level Web sites and subsites allow different levels of control over the features and settings for sites.

The administrator of a site collection can control settings and features for both the top-level Web site and any subsites beneath it. For example, an administrator of a site collection can:

  • Add, delete, or change user permissions.
  • View usage statistics.
  • Change regional settings.
  • Manage Web Part and template galleries.
  • Manage Web document discussions and alerts.
  • Change the site name and description, theme, and home page organization.
  • Configure settings, such as regional settings, for the top-level Web site and all subsites.

The administrator of a subsite can control settings and features only for that subsite, and the administrator of the next subsite down can control settings and features for only that subsite. For example, an administrator of a subsite can:

  • Add, delete, or change user permissions, if unique permissions have been set (for more information, see Managing Site Groups and Permissions).
  • View usage analysis data.
  • Change regional settings.
  • Manage Web document discussions and subscriptions.
  • Change the site name and description, theme, and home page organization.

Allowing Users to Create Their Own Top-Level Web Sites and Subsites

Depending on the amount of customization and control you want to allow your users, you can let them create either top-level Web sites or subsites. The Self-Service Site Creation feature gives users the ability to create top-level Web sites on their own. For more information, see Configuring Self-Service Site Creation.

Users can also create subsites of any site for which they have the Create Sites and Workspaces right. The Create Sites and Workspaces right is included in the Administrator site group by default, so any member of the Administrator site group for a site can create a subsite of that site. You can assign this right to other site groups by using the Manage Site and Workspace Creation page. For more information about managing site and workspace creation, see Managing Site Groups and Permissions.

Creating Top-Level Web Sites for Users

You can give users the ability to create their own top-level Web sites by enabling Self-Service Site Creation. If you want to control top-level Web site creation yourself, however, you can disable Self-Service Site Creation and create top-level Web sites on your users' behalf from SharePoint Central Administration. To create a top-level Web site outside of Self-Service Site Creation, you must be an administrator of the local machine on which the site will reside or a member of the SharePoint administrators group.

Note When you are running a server farm with multiple host names or are in Active Directory account mode, you cannot create a top-level Web site from SharePoint Central Administration. To perform this action in Active Directory account mode, you must use the command line or object model. For more information, see Using the Object Model to Manage Windows SharePoint Services.

Create a top-level Web site from SharePoint Central Administration
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Virtual Server Configuration, click Create a top-level Web site.
  3. On the Virtual Server List page, click the virtual server under which you want to create the top-level Web site.
  4. To create a site under a predefined URL path for the virtual server, on the Create Top-level Web Site page, select Create site under this URL; in the Site name box, type the name for the top-level Web site; and then in the URL path box, select the path to use.

    The name and URL path are combined with the server name to create the full URL to the site. For example, on http://servername, if you create a top-level Web site at the /sites URL path, and use Site001 as the name, the full path to the new top-level Web site is http://servername/sites/site001.

  5. To create a site at a predefined URL path, select Create site at this URL, and then in the URL path box, select the URL to use for the top-level Web site.

    The site is created at the top level of the URL path you select. For example, on http://servername, if you select /portal as the path, the site is created at http://servername/portal.

  6. In the Site Collection Owner section, type the account name (in the form DOMAIN\username) and e-mail address (in the form someone@example.com) for the user who will be the site owner and administrator.
  7. If you want to identify a user as the secondary owner of the new top-level Web site (recommended), in the Secondary Owner section, type the account name and e-mail address for a secondary owner and administrator of the new site.
  8. If you are using quotas, in the Quota Template section, select a quota template to use.
  9. In the Site Language section, select the language to use for the top-level Web site.
  10. Click OK.

The site owner can select a template for the site when first browsing to the URL, or you can browse to the URL on the confirmation page and select one yourself. You must alert the site owner and secondary owner when you have created the site with the URL. They are not notified automatically when you create a site.

Creating Subsites

You can create a subsite of a current site by using the Manage Sites and Workspaces page.

Create a subsite
  1. On a site, click Site Settings.
  2. Under Administration, click Manage sites and workspaces.
  3. On the Manage Sites and Workspaces page, click Create.
  4. On the New SharePoint Site page, in the Title and Description section, type the title and description for the new subsite.
  5. In the URL name box, type the URL for your subsite.
  6. In the User Permissions section, select either Use same permissions as parent site or Use unique permissions.

    Select Use same permissions as parent site if you want to share users with the parent site, or Use unique permissions if you want to maintain a separate list of users for your subsite. For more information, see Managing Site Groups and Permissions.

  7. In the Language section, select the language to use.
  8. Click Create.
  9. On the Template Selection page, select a template to use, and then click OK.

Creating Sites and Subsites from the Command Line

If you are an administrator of the server computer, you can also create sites and subsites by using the Stsadm.exe command-line tool. To create a top-level Web site, use the createsite operation. To create a subsite, use the createweb operation.

Note You can also use the createsiteinnewdb operation to create a top-level Web site and a new content database at the same time. For more information about this operation, see Command-Line Operations.

The createsite operation takes the following required parameters: url, ownerlogin, owneremail, and the following optional parameters: ownername, lcid, sitetemplate, title, description, and quota. For example, to create a top-level Web site called site1 on http://server_name/sites, you would use syntax similar to the following:

stsadm.exe -o createsite -url http://server_name/sites/site1
 -ownerlogin <DOMAIN\user> -owneremail <someone@example.com>
 -ownername <display name>

The createweb operation requires the url parameter and takes the following optional parameters: lcid, sitetemplate, title, description, convert (used to convert an existing folder to a Web site), and unique (used to specify unique permissions for the subsite). To create a subsite called subsite1 under the site you just created, you would use syntax similar to the following:

stsadm.exe -o createweb -url http://server_name/sites/site1/subsite1

For more information about using the createsite and createweb operations, see Command-Line Operations.


Configuring Authentication

Configuring Authentication

You configure authentication for Web sites based on Microsoft Windows SharePoint Services Beta 2 by configuring authentication methods in Internet Information Services (IIS). Windows SharePoint Services Beta 2 uses the authentication method you specify for a virtual server in IIS to control authentication for all top-level Web sites and subsites of that virtual server. Windows SharePoint Services Beta 2 works with the following authentication methods in IIS:

  • Anonymous authentication
  • Basic authentication
  • Integrated Windows authentication
  • Certificates authentication (SSL)

You can change authentication methods for virtual servers hosting Web sites based on Windows SharePoint Services Beta 2, and you can change the authentication method used for the SharePoint Central Administration site. You can also enable Secure Sockets Layer (SSL) security in IIS to help protect your sites or the administration port for your server.

Changing Authentication Methods

Each virtual server can use a different authentication method in Internet Information Services (IIS). You can even enable multiple authentication methods if you are using the same Web site content in more than one environment. For example, if you have a Web site that is primarily for internal use within your organization, you would most likely choose Integrated Windows authentication. If, however, your use of the site changes, and you must allow your organization's members to access the site externally through a firewall, you might also want to enable Basic authentication.

Note Basic authentication is less secure than Integrated Windows authentication. For this scenario it is recommended that you use Basic authentication with SSL to help make your environment more secure.

When you change authentication methods in IIS, you do not need to change any settings in Windows SharePoint Services Beta 2. For example, if you decide to use Integrated Windows authentication instead of Basic authentication, you make the change only in IIS.

Change authentication methods
  1. Click Start, point to All Programs, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. Click the plus sign (+) next to the server name that contains the virtual server you want to change.
  3. Click the plus sign (+) next to Web sites.
  4. Right-click the virtual server, and then click Properties.
  5. On the Directory Security tab, under Authentication and access control, click Edit.
  6. Select the check boxes for the authentication methods you want to enable, and clear the check boxes for the authentication methods you want to disable.
  7. Click OK to close the Authentication Methods dialog box.
  8. Click OK again to close the Properties dialog box.

Note For more information about IIS authentication methods, see the topic About Authentication in IIS 6.0 Help.

Enabling Secure Sockets Layer (SSL)

To enable SSL for a virtual server hosting Web sites based on Windows SharePoint Services Beta 2, you can simply turn on SSL in IIS. If you want to use SSL for the SharePoint Central Administration virtual server, you must also use the setadminport command-line operation to enable SSL in Windows SharePoint Services Beta 2.

Enabling SSL in IIS

You can enable SSL for a virtual server by using Internet Information Services (IIS) Manager. Note that you must have a certificate before you can enable SSL. For more information about SSL certificates, see the topics About Certificates and Setting Up SSL on Your Server in IIS 6.0 Help.

Enable SSL in IIS
  1. Click Start, point to All Programs, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. Click the plus sign (+) next to the server name that contains the virtual server you want to change.
  3. Click the plus sign (+) next to Web sites.
  4. Right-click the virtual server, and then click Properties.
  5. On the Directory Security tab, under Secure communications, click Edit.
  6. In the Secure Communications dialog box, select the Require secure channel (SSL) check box, and then click OK.
  7. Click OK again to close the Properties dialog box.

Enabling SSL for the SharePoint Central Administration Pages

After you have enabled SSL for the SharePoint Central Administration virtual server in IIS, you must use the command line to configure Windows SharePoint Services Beta 2 to use SSL. Perform the following steps to configure Windows SharePoint Services Beta 2 to use SSL for the Central Administration pages.

Enable SSL for the SharePoint Central Administration pages
  1. If you have a server farm, you must set all of the servers in your server farm to use the same administration port by using syntax similar to the following:
    stsadm.exe –o –setadminport –p 443

    Replace the port number in the example syntax with the port number you want to use for remote administration. Run this command on each Web front-end server in your server farm. Note that this step is for server farms only; you do not need to change the administration port if you are running Windows SharePoint Services Beta 2 on a single server.

  2. Configure the administration pages to use SSL by using syntax similar to the following:
    stsadm.exe –o –setadminport –ssl

If you have a server farm, you must run this command on each Web front-end server in your server farm.

Note If you want a more secure administration port, it is recommended that you also use your firewall or the IIS IP and domain restrictions feature to restrict access to the administration port. With either the firewall or IP and domain restrictions, you can specify that requests from unauthorized IP addresses or network domain names be ignored. For more information about configuring IP and domain restrictions in IIS, see the IIS Help system. For more information about configuring your firewall to reject unauthorized requests, see the documentation for your firewall.

Related Links

For more information about authentication methods or SSL, see Windows SharePoint Services Security Model.

For more information about using command-line operations such as setadminport, see Command-Line Operations.


Configuring Virtual Servers

Configuring Virtual Servers

After you have installed Microsoft Windows SharePoint Services Beta 2 and extended a virtual server, you can configure settings for the virtual server. The following options can be set at the virtual server level and affect all sites on that virtual server:

  • Self-Service Site Creation settings

    Enable or disable Self-Service Site Creation. When enabled, this option allows users to create sites on their own. For more information, see Configuring Self-Service Site Creation.

  • Site use confirmation and auto-deletion settings

    Determine whether to require confirmation of site use, or whether to automatically delete unused Web sites. For more information, see Managing Unused Web Sites.

  • User right settings

    Specify which rights to make available to users of sites on your virtual server. For more information, see Managing Site Groups and Permissions.

  • Virtual server general settings

    Configure settings to use as defaults for all sites that are created on your virtual server. For more information, see Specifying General Settings for a Virtual Server below.

  • Web Part Page security settings

    Specify whether users can create connections between Web Parts in a Web site, and whether the Microsoft Office 11 (Beta) Web Part gallery is available. For more information, see Managing Web Part Availability.

  • E-mail settings

    Specify the outbound e-mail server to use, and the e-mail addresses to use when sending e-mail from the server. E-mail settings can also be configured at the server level, and used as the default settings. For more information, see Configuring E-Mail Settings.

In addition, you can perform the following administrative tasks from the virtual server level:

  • Manage content databases

    You can create or delete content databases, or change the capacity settings for a particular content database. For more information, see Managing Content Databases.

  • Remove Windows SharePoint Services Beta 2 from the virtual server

    You can remove Windows SharePoint Services Beta 2 either permanently or temporarily. For more information, see Uninstalling Windows SharePoint Services.

  • Define managed paths

    You can add or remove included and excluded paths to control which areas of the URL namespace are managed by Windows SharePoint Services Beta 2. For more information, see Managing Paths.

  • Create or delete a top-level Web site

    You can create a new top-level Web site or delete an existing top-level Web site. For more information, see Creating Sites and Subsites.

To configure settings and perform administration tasks for a virtual server, use the Virtual Server Settings page in HTML Administration.

Open the Virtual Server Settings page
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, click the name of the virtual server you want to configure.

Specifying General Settings for a Virtual Server

The Virtual Server General Settings page contains several options that apply to any sites that you create for the virtual server. When you configure a setting for a virtual server, it takes priority over settings applied on specific sites of that virtual server. For example, if you disable alerts for a virtual server, no site or subsite can use alerts. However, if you enable alerts on the virtual server, each top-level Web site can either enable or disable alerts for that Web site and its subsites. For more information about how each setting is treated at different levels, see the specific topic for that setting.

You can configure the following settings on the Virtual Server General Settings page:

  • Time zone to use for the virtual server

    Select a time zone to use for all sites created on this virtual server.

  • Default quota template for sites created under the virtual server

    Specify the default quota template to use. When you create a top-level Web site, you can create it using the default template or a different template. For more information about quotas, see Configuring Site Quotas and Locks.

  • Name smart tag and presence settings

    Enable or disable presence information for site members. For more information, see Configuring Online Presence Settings.

  • Maximum upload size

    Specify the maximum file size to allow when files are uploaded to a Web site on this virtual server.

  • Alert settings

    Enable or disable alerts for all sites under the virtual server, and configure default settings for alerts. For more information about alerts, see Managing Alerts.

  • Web page security validation

    Enable or disable security validation for Web site pages, and specify how long to wait before the validation expires for a given page.

  • Sending user names and passwords in e-mail

    Specify whether user names and passwords are sent in e-mail messages to new users. This setting is used for Active Directory user account mode only.

  • E-mail inserts

    Enable or disable e-mail-enabled document libraries, and specify the public folder path for e-mail attachments and how frequently to check for new attachments. For more information, see Configuring E-Mail-Enabled Document Libraries.

  • Event handlers

    Enable or disable event handlers. For more information, see Binding to a Document Library Event Handler.

Specify general settings for a virtual server
  1. On the Virtual Server Settings page, under Virtual Server Management, click Virtual server general settings.
  2. In the Default Time Zone section, select the time zone to use for all sites and subsites under the virtual server.
  3. In the Default Quota Template section, select the quota template to use as a default for sites.

    If there are no templates, you can create a template by using the Manage Quota Templates page. Note that when you specify a default template for the virtual server, you can still select a different template when you create a site.

  4. In the Name Smart Tag and Presence Settings section, select On or Off next to Name Smart Tag and Online Status for Members to show that information for all sites under the virtual server.
  5. In the Maximum Upload Size section, type the maximum file size to allow.
  6. In the Alerts section, specify settings for alerts:
    • Select On or Off to enable or disable alerts for all sites under this virtual server.
    • If you choose to enable alerts, and want to limit the number of alerts that users can create, under Number of list and list items for which alerts may be created, select Only ___ lists and items, and then type the number of alerts to allow.
    • If you choose to enable alerts, specify the times to send immediate, daily, or weekly alert notifications.
  7. In the Web Page Security Validation section, specify the following settings:
    • Select On or Off to enable or disable Web Page Security Validation.
    • To set the expiration time, select After, and then type the length of time to wait before the validations expire, or select Never to keep the validations from expiring.
  8. In the Send User Name and Password in E-Mail section, select On or Off to enable or disable this option.
  9. In the E-Mail Inserts section, specify the options for e-mail inserts:
    • Select On or Off to enable or disable e-mail inserts.
    • In the Public folder server name box, type the name of the Microsoft Exchange server, and in the Public folder root path box, type the path to the root folder for Exchange public folders on that server.
    • If you choose to enable e-mail inserts, specify the frequency and times to check for e-mail attachments in the public folder.
  10. In the Event Handlers section, select On or Off to enable or disable event handlers.
  11. Click OK.


Configuring Online Presence Settings

Configuring Online Presence Settings

Online presence allows users of your site to see if other users are online and send instant messages to them. To use online presence, your users must have Microsoft Office 11 (Beta) installed, must be running Microsoft Windows Messenger version 4.6 or later or MSN Messenger version 4.6 or later on their client computers, and they must have valid accounts with the .NET Messenger or Exchange Instant Messaging service. Note that the e-mail address for the instant messaging account must be the same as the e-mail address for the user account in Windows SharePoint Services Beta 2.

To see presence information for people with .NET Passport accounts, the e-mail address for the instant messaging account must be the same as the e-mail address for the user account in Windows SharePoint Services Beta 2. To see presence information for people with Exchange Instant Messaging service accounts, the user name must be the same, although the domain can vary (for example, someone@example.com for the e-mail address, and someone@im.example.com for the instant messaging address).

The Office 11 (Beta) installation includes an ActiveX control that allows Microsoft Windows SharePoint Services Beta 2 to render online status for site users. This control checks the e-mail address on record for the user and directs a query to the presence server for that client to see if they are online. The ActiveX control does not store online information or e-mail addresses; it simply directs queries from the site to the e-mail address and renders the appropriate status.

You can enable or disable online presence information at the virtual server level. When you enable online presence for a virtual server, it is enabled for all sites and subsites of that virtual server.

Enable online presence for a virtual server
  1. On the SharePoint Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  2. On the Virtual Server List page, click the name of the virtual server you want to configure.
  3. Under Virtual Server Management, click Virtual server general settings.
  4. In the Person Name Smart Tag and Presence Settings section, next to Enable Person Name smart tag and Online Status for members, select Yes.
  5. Click OK.


Configuring Site Quotas and Locks

Configuring Site Quotas and Locks

If you are using Windows SharePoint Services Beta 2 in a large environment, such as at an Internet Service Provider (ISP) or in a large intranet, you need to be able to maintain control over your server resources and carefully monitor areas such as storage space and site security. You must be able to ensure that one user's site cannot use so many resources that other sites can no longer function. Windows SharePoint Services Beta 2 allows you to specify quotas for sites, so that you can manage your site and server resources. You can set quota limits for the following items:

  • Storage

    When you set a quota limit for storage, you can set two values: a warning value and a maximum value. When a site passes the warning limit, an e-mail message is sent to the site administrator and owner notifying them that their site is near to their storage quota. When a site meets the maximum limit, another e-mail message is sent to the owner and administrator, and no new content can be added to the site.

    Note The size of the data reported by quotas does not necessarily match the size of the storage in SQL server. This is because the quota feature estimates storage figures for empty sites (sites that contain no user content) and includes those figures in the quota, as well as the actual storage from the database. The estimated size of an empty site includes the real size of the template pages for Windows SharePoint Services Beta 2, such as the forms pages and pages in the _layouts directory, which are not normally counted, since there is only one copy of these pages for all sites. Although each site has a unique URL to the pages, the site does not have a unique instance of the page.

  • Users

    In Active Directory account mode, you have the ability to limit the number of users that are added to the Active Directory from any single SharePoint site. When you set a quota for user accounts, you specify a maximum limit only. When the maximum number of users for a site has been reached, an e-mail message is sent to the owner and administrator, notifying them that the limit has been reached, and no user accounts can be added unless one or more user accounts are deleted.

You can create multiple sets of quotas, called quota templates, and use them in different areas or your Web farm, or to suit different users. For example, in an ISP setting, you could have the following quota templates:

  • Free - Applied to free or demo sites, restricts users to 10 MB of storage and 5 users.
  • Standard - Applied to monthly-fee sites, allows site owners up to 25 MB of storage and 50 registered users.
  • Premium - Applied to extranet sites for large corporate customers, allows organizations up to 10 GB of storage and unlimited user accounts.

You must be an administrator of the local server computer, or a member of the SharePoint Administrators group to be able to manage quotas and quota templates.

Enabling Quotas

The quota feature is disabled by default in Windows SharePoint Services Beta 2 - there are no default quota values or templates. To enable quotas, you use the following methods:

  • To use quotas for your server or Web farm, you create a quota template.
  • To use quotas for a particular virtual server, you assign a default quota template to that virtual server.
  • To use quotas for a particular top-level Web site, you assign a quota template to the top-level Web site when you create the site.
  • To use a set of quota values for a single site only, you can apply specific quota limits to the site itself, independent of any quota template.

You can reverse your decision to use quotas at any point in the hierarchy. For example, applying a default quota template to a virtual server does not mean that all top-level Web sites under that virtual server must use the quota limits - it only means that they can. Settings that you apply to a single site can be cleared if you no longer want to use quotas.

About Quota Templates

Quota templates and the settings specified in them are stored in the configuration database for your server or server farm. Quota values apply to top-level Web sites and are applied when you create a top-level Web site. You can specify a default template to use for all top-level Web sites created on a virtual server, for example, or you can specify the template to use when you create the top-level Web site. The values listed in the quota template are copied into the database for the top-level Web site and are referenced from there.

Note that if you change the values for a quota template, those changes apply only to new top-level Web sites created using that template, not to existing top-level Web sites. If you want to apply the template changes to existing sites, you must use the Windows SharePoint Services Beta 2 object model to make the change with a SQL Server query. Likewise, when you delete a quota template, the template is removed from the configuration database, but any top-level Web sites created using that template will retain the quota values. If you want to remove quotas from all sites using a particular quota template, you must use the object model and perform a SQL Server query. For more information about querying SQL Server using the Windows SharePoint Services Beta 2 object model, see the Windows SharePoint Services Software Development Kit.

Managing Quota Templates

You manage quota templates from the SharePoint Central Administration pages for your server or Web farm. You can create or delete templates or change the values in the templates.

Create a Quota Template
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Component Configuration, click Administer quotas and locks.
  3. On the Administer Quotas and Locks page, click Manage Quota Templates.
  4. On the Manage Quota Templates page, in the Template name area, click Create a new quota template.
  5. In the Template to start from: box, select a template to base your new template on.
  6. In the New template name box, type the name to use for your new quota template.
  7. Select the Limit site storage to a maximum of: ___ MB check box, and then type the amount of storage to allow at a maximum.
  8. In the Storage Limit Values section, select the Send warning e-mail when site storage reaches ___ MB check box, and then type the amount of storage to allow before sending warning e-mail.
  9. In the Invited User Limits section, select the Limit invited users to a maximum of: ___ users, and then type the number of users to allow.

    Note The user limit option is available only in Active Directory account mode.

  10. Click OK.

    When you click OK, the new template is added to the list of available templates, and the page is refreshed.

You can delete a quota template if you change your quota structures. However, remember that deleting a quota template will not delete quota values from sites that were created using the quota template. If you want to remove quotas from all sites using a particular quota template, you must use the object model and perform a SQL Server query.

Delete a Quota Template
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Component Configuration, click Administer quotas and locks.
  3. On the Administer Quotas and Locks page, click Manage Quota Templates.
  4. On the Manage Quota Templates page, in the Template name area, click Edit an existing template.
  5. In the Template to modify: box, select the quota template you want to delete.
  6. Click Delete.

    When you click OK, the template is removed from the list of available templates, and the page is refreshed.

You can change individual quota values in a template. The new values apply only to new top-level Web sites created using the quota template. The changed values are not applied to existing sites unless you use the object model to update the values in the database.

Change an Existing Quota Template
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Component Configuration, click Administer quotas and locks.
  3. On the Administer Quotas and Locks page, click Manage Quota Templates.
  4. On the Manage Quota Templates page, in the Template name area, click Edit an existing template.
  5. In the Template to modify: box, select the quota template you want to change.
  6. Update the options you want to change, and then click OK.

    When you click OK, the template is updated, and the page is refreshed.

Specifying a Quota Template for a Virtual Server

When you extend a new virtual server, you can specify a quota template to use as the default quota template for that virtual server on the Extend and Create Content Database page. Any new top-level Web sites that you create under the virtual server will automatically use the values in the default quota template. You can change the default quota template for a virtual server from the Virtual Server Settings page. Keep in mind that changing the default quota template does not change quota values for existing top-level Web sites. Only newly created top-level Web sites will use the new quota template.

Change the Default Quota Template for a Virtual Server
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, select the name of the virtual server you want to change.
  4. Under Virtual Server Management, click Virtual server general settings.
  5. In the Default Quota Template section, select the quota template to use as the default template when new top-level Web sites are created.
  6. Click OK.

Specifying Quota Values for a Specific Site

If you want to specify a different set of limits for a particular site, you can do so. Specifying quota values for a single site is an easy way to turn on quotas on a site-by-site basis. Similarly, if you need to make an exception to a quota template for a particular site, you can change the quota value for just that site. Keep in mind, however, that it is possible to lock a site simply by changing the quota value. If you already have quotas set for a particular site, and want to update the value, be sure to check the site's current quota levels before making the change. For example, suppose the current quota level for site storage is 25 MB, and a site has 21 MB. If you change the value to 20 MB, the site will be locked as soon as you save the change. To prevent locking a site accidentally, be sure to check the current storage or invited user count for the site before making a change to the quota values.

If you do not know what the existing quota values are for a site, you can use the SharePoint Central Administration page to view the current values and the current data (storage used and number of users) for the site.

View Current Quota Values and Data for a Site
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Component Configuration, click Administer quotas and locks.
  3. On the Administer Quotas and Locks page, click Site Quota Settings and Locks.
  4. In the Select a top-level Web site section, type the URL in the Enter the top level Web site URL box, and then click View Data.
  5. In the Site Quota Information section, view the settings listed to see the quota settings and current values.

To view the current data for a site, you can also use the Site Collection Usage Statistics Summary page for the top-level Web site.

View Quota Data for a Site
  1. On the site you want to view data for, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Site Collection Administration, click View site collection usage summary.

After you have checked the site quota data, you can change the quota values for a site. Note that this action does not change the quota template, and the change does not affect any site except the site you specify.

Change Quota Values for a Site
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Component Configuration, click Administer quotas and locks.
  3. On the Administer Quotas and Locks page, click Site Quota Settings and Locks.
  4. In the Select a top-level Web site section, type the URL in the Enter the top-level Web site URL box, and then click View Data.
  5. In the Site Quota Information section, change the Limit storage to a maximum of __ MB amount, Send warning e-mail when site storage reaches __MB amount, or Maximum users allowed: amount setting.

    Note The user limit option is available only in Active Directory account mode.

  6. Click OK.

Managing Locks

You can use locks to stop sites from exceeding your storage quota limits, and to block all users from accessing a site if necessary. Sites are locked automatically when they exceed the maximum storage quota. You can also lock a site manually, if, for example, it is in violation of your site use policies. Depending on the type of lock, the result of a locked site is different:

  • When a site is locked for exceeding a storage quota limit, users who attempt to upload new content see a disk full error.
  • When a site is locked manually, users who attempt to view the site will see an access denied message.

Sites can be unlocked by different methods, depending on the reason for the lock. Site administrators can unlock sites by themselves if the sites are locked for exceeding quota limits. Only a server administrator can clear a manual lock. The following table lists the lock reasons and methods for unlocking sites.

Lock reason | Server administrator action to unlock | Site administrator action to unlock
Storage limit exceeded | Change the quota value or clear the Adding content prevented lock | Delete excess site content or documents
Manual lock by server administrator | Clear the All access prevented lock | None

If you need to lock a site, and deny all users access to it, either temporarily or permanently, you do so by using the Site Quota Settings and Locks page.

Lock a Site Manually
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Component Configuration, click Administer quotas and locks.
  3. On the Administer Quotas and Locks page, click Site Quota Settings and Locks.
  4. In the Select a top-level Web site section, type the URL in the Enter the top-level Web site URL box, and then click View Data.
  5. In the Site Lock Information section, select Adding content prevented or No access.

  6. If you want to further document the reason for the lock, type an explanation in the Additional lock reason information: box.

  7. Click OK.

When a site has been locked manually, you can unlock it by using the Site Quota Settings and Locks page.

Unlock a Site
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Component Configuration, click Administer quotas and locks.
  3. On the Administer Quotas and Locks page, click Site Quota Settings and Locks.
  4. In the Select a top-level Web site section, type the URL in the Enter the top-level Web site URL box, and then click View Data.
  5. In the Site Lock Information section, select Not locked, and then click OK.

Related Links

Quota data is captured along with the usage analysis data for a site. For more information about the usage analysis process, see Configuring Usage Analysis.


Configuring Self-Service Site Creation

Configuring Self-Service Site Creation

Microsoft Windows SharePoint Services Beta 2 allows members of the Administrator site group to create subsites off of their Web sites. These subsites can be fully-functioning SharePoint sites, complete with a home page, document libraries, and so on, and they can even have their own unique permissions. Self-Service Site Creation is a feature which is enabled by administrators and allows users to create their own top-level Web sites. The user does not need administrator permissions on the server or virtual server, only permissions on the Web site where Self-Service Site Creation is hosted. The user simply enters some basic information and the new top-level Web site is created with the user as the owner and administrator. When you enable Self-Service Site Creation, you free yourself from having to create top-level Web sites on demand for your users — they can do it themselves.

You turn on Self-Service Site Creation from the Configure Self-Service Site Creation page for the virtual server you want to enable. When you turn on Self-Service Site Creation, an announcement is added to the home page of the top-level Web site on that virtual server, with a link to the signup page (Scsignup.aspx). Users can click the link to go to the signup page and create their sites. This announcement is set to never expire but if the Announcements list is long, or is removed from the Home page of your site, the announcement may not appear. If you want to ensure that the link always appears on the Home page, you can customize the Home page in a Web page editor compatible with Windows SharePoint Services Beta 2 to include the link in a prominent position, such as the top link bar.

Note When you are in Active Directory account mode, or are using host headers for your virtual servers, you cannot enable Self-Service Site Creation from SharePoint Central Administration. To perform this action in Active Directory account mode, you must use the command line or the object model. For more information, see Using the Object Model to Manage Windows SharePoint Services.

Security and Self-Service Site Creation

Self-Service Site Creation allows users to create and administer their own top-level Web sites automatically. This capability can obviously affect the security for your Web server running Windows SharePoint Services Beta 2. Self-Service Site Creation is disabled by default — you must turn on the feature to use it. You enable Self-Service Site Creation for a single virtual server at a time. If you want to use it on all virtual servers in your server farm, you must enable it for every virtual server individually.

The Administration pages for Self-Service Site Creation are part of the virtual server administration pages, which can only be accessed by local computer administrators or members of the SharePoint administrators group. Access to the signup page follows the same security rules as other Web site pages. By default, the Use Self-Service Site Creation right is included in all site groups except the Guest site group, and gives users access to the signup page and the ability to use Self-Service Site Creation to create their own top-level Web sites.

Note that because Self-Service Site Creation simply creates new top-level Web sites on an existing virtual server, any new sites automatically conform to the virtual server's quota settings, unused Web site notification settings, and other administrative policies.

Managed Paths and Self-Service Site Creation

By default, when you install Windows SharePoint Services Beta 2, a URL path called /sites is added to your virtual server. When you enable Self-Service Site Creation, that path is the default path for sites that your users create. For example, a user can create "MyTeamSite" under /sites on Server 1. Using the defaults, the path for this site would be similar to the following: http://server/sites/MyTeamSite. You can use the default /sites path for users' Self-Service Site Creation sites, or you can create additional paths. You specify which URL paths are available for users to create sites under by adding managed paths. If you do add more URL paths for Self-Service Site Creation to use, when users go to the Scsignup.aspx page, they see a drop-down box listing the various paths available, and they can choose which path to create their site under. For more information about defining a URL path, see Managing Paths.

Enabling Self-Service Site Creation

You can use either HTML Administration pages or the command-line tool to enable and configure Self-Service Site Creation. Either method allows you to turn Self-Service Site Creation on or off, and allows you to specify required information for each site.

Configuring Self-Service Site Creation from HTML Administration Pages

To enable Self-Service Site Creation for a virtual server, use the Configure Self-Service Site Creation page for that virtual server.

Enable Self-Service Site Creation
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, click the virtual server to enable.
  4. On the Virtual Server Settings page, under Automated Web Site Collection Management, click Configure Self-Service Site Creation.
  5. In the Enable Self-Service Site Creation section, next to Self-Service Site Creation is, select On.
  6. If you want to require two contact names for each site, select the Require secondary contact check box.

    Requiring a secondary contact is highly recommended if you are using site use confirmation and have enabled automatic Web site deletion. For more information, see Managing Unused Web Sites.

  7. Click OK.

To disable Self-Service Site Creation, go to the Configure Self-Service Site Creation page; next to Self-Service Site Creation is, select Off, and then click OK.

Configuring Self-Service Site Creation from the Command Line

You use the enablessc operation to enable and configure Self-Service Site Creation from the command line. The enablessc operation requires the URL parameter, and optionally takes the requiresecondarycontact parameter. For example, to enable Self-Service Site Creation for a server called MyServer and require two contact names for each site, you would use syntax like the following:

stsadm -o enablessc -url http://MyServer -requiresecondarycontact

You can disable Self-Service Site Creation by using the disablessc operation. The disablessc operation takes only the URL parameter. So, to disable Self-Service Site Creation for MyServer, the syntax would be:

stsadm -o disablessc -url http://MyServer

Related Links

For more information about using command-line operations, see Command-Line Operations.


About Shared Services

About Shared Services

Shared services are portal services that are shared across server farms. The services are centrally managed from a single server for two or more server farms.

You cannot specify individual services to be shared. All of the following services are shared:

  • User profiles A user profile organizes and displays all of the properties known about a person within a portal. When user profiles are shared, the parent portal shares the information from the profile database with the child portal farm.
  • Audiences An audience is a custom group used to target content to people based on membership in that group.
  • Search The search component consists of one or more services, databases, or related files that provide search functionality in a product. The parent portal provides search services to the child portal farm.
  • Alerts Alerts help users track changes to content that is relevant to their everyday work. Users can choose to be alerted to the following types of items: search queries, categories, files, and folders.
  • Single sign-on service Single sign-on is an authentication process that permits a user to enter one name and password to access multiple applications.
  • Personal sites My Site is a personal SharePoint site created in the portal that provides personalized and customized information for you and your users. On this site, you will find content targeted to you based on membership in a particular audience. In addition, My Site provides quick access to things you need to do your work. This may include links to documents, people, or Web sites as well as personal alerts you create to track changes to content within the portal and your organization. From My Site, you can also update your public profile and share collections of links with other portal users.

Note Document management servers do not participate in shared services. Each server farm must have its own document management server.

Terms Used in Shared Services

The server farm providing the shared services is the parent server farm. The portal on that farm that provides the services is the parent portal. Only one portal on a server farm can provide the shared services. For example, each portal on the server farm can have its own user profiles, audiences, search, alerts, and personal spaces. When you configure the server farm to provide shared services, you must decide which portal you want to be the parent portal based on that criteria.

The server farm using the shared services is the child server farm. Each portal on that farm is a child portal. After you have configured a farm to use shared services, each portal on that farm uses shared services from the parent portal. A child portal is any portal that uses shared services from a parent portal.

Why Use Shared Services?

In a typical organization, there might be multiple deployments of Microsoft SharePoint Portal Server. Each portal can store user profiles, conduct search and indexing, and provide alerts. It becomes expensive to deploy each portal with all of the services, because many of the services are common to all portals. To consolidate resources, you can factor out the common services of search, indexing, alerts, and user profile management by using shared services provided by a parent portal. The child portals in the organization can then provide content based on division or application without using up resources on the technical details of import and crawl. They will use these services from the parent portal.

Considerations when Using Shared Services

You should consider the following before providing or consuming shared services:

  • The parent server farm and the child server farm must be running the same version of SharePoint Portal Server in the same language.
  • The parent server farm and child server farm must belong to the same domain or trusted domain.
  • The parent and child server farms both must be on the intranet, on the extranet, or in a perimeter network (also known as DMZ, demilitarized zone, and screened subnet). You cannot have a firewall between the parent server farm and the child server farm.
  • Sharing services is at the server farm level. All portals on a child server farm will be child portals.
  • You should back up the server farm before you configure it to provide or use shared services. After you configure the server farm to provide or use shared services, you cannot undo the operation.
  • A child portal can never be changed to a parent portal, and a parent portal can never be changed to a child portal.
  • When you configure the server farm to use shared services, the services that are no longer required on the child server farm are disabled. Administration pages for managing these services will display an error message stating that the service cannot be managed on this server farm.

Sample Scenario

  1. Create a parent portal on the parent server farm that has the following:
    • User Profiles populated from a directory
    • Audience definitions
    • Search catalogs for each consumer portal
    • Centralized alert store
    • Single sign-on database
  2. Create child portals on the child server farm and attach them to the shared services of the parent portal. Each child portal contains only site information (categories, lists, etc.) and sources shared data from the parent portal. The job server, indexing, alerts, and classification are provided by the parent server farm.


Providing Shared Services

Providing Shared Services

You can configure your server farm to provide the services used by another server farm. For more information, see About Shared Services.

Caution You should back up the server farm before you configure it to provide shared services. Once you configure the server farm to provide shared services, you cannot undo the operation.

There are up to four different accounts that are used in a shared services scenario between two portals:

  • CentralAdminAppPool application pool account for the parent server farm
  • Application pool account for the parent portal
  • CentralAdminAppPool application pool account for the child server farm
  • Application pool account for the child portal

Before you configure the child server farm to use shared services, you must do the following on the parent server farm:

  1. Provide access for the application pool account for the child portal to the following resources:
    1. Search service. To do this, from a search server on the child server farm,open command prompt and type cscript srchperm.vbs add account_name
    2. SQL Server:
      • config_db with read only access.
      • profile_db with read_write access.
      • settings_db with read_write access.
      • site_db with no privilege.
  2. Provide the CentralAdminAppPool application pool account for the child server farm access to the SQL Server config_db with read only access.

Provide shared services

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Manage shared services for server farm.
  2. On the Manage Shared Services page, in the Hosts Shared Services section, do the following:
    1. Select the Hosts shared services check box.
    2. In the Select Portal Site that hosts the services list, click the portal that provides the shared services.
  3. If you want to use a separate portal to host personal sites, in the Personal Portal Site section, do the following:
    1. Select the Set Portal farm to consume personal site services check box.
    2. In the Personal Portal Site box, type the URL of the portal that hosts personal sites.

    Specifying a personal portal site allows you to use a separate portal to host personal sites. All users accessing personal sites on this server are automatically redirected to the server you specify.

    If there are any existing personal sites, you must manually transfer the data to the new portal.

  4. Click OK.
  5. On the message box that appears, click OK.
  6. On the Shared Services Setup Confirmation page, click Close to return to the SharePoint Portal Server Central Administration page.


Using Shared Services

Using Shared Services

You can configure your server farm to use the services provided by another server farm. For more information, see About Shared Services.

Caution You should back up the server farm before you configure it to use shared services. Once you configure the server farm to use shared services, you cannot undo the operation.

When you configure the server farm to use shared services, the services are no longer required on the child server farm and are disabled. Administration pages for managing these services display an error stating that the service cannot be managed on this server farm.

Note For Microsoft SharePoint Portal Server "v2.0" Beta 2, the services are not automatically disabled. You must manually disable them. See "Use shared services" later in this document.

Before you configure the child server farm to use shared services, you must configure the parent server farm to provide shared services. For more information, see Providing Shared Services.

To use shared services, you need the name of the server storing the configuration database and the name of the configuration database. To find this information, do the following:

  1. On the SharePoint Portal Server Central Administration for Server server_name page for the parent server farm, in the Server Configuration section, click Specify configuration database server.
  2. The name of the server storing the configuration database is displayed in the Server for Configuration Database section.
  3. The name of the configuration database is displayed in the Name for Configuration Database section.

Use shared services

  1. Remove the job server from the Change Component Assignments page. To do this:
    1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Server Configuration section, click Configure server topology and component assignments.
    2. On the Configure Server Topology and Component Assignments page, click Change Components.
    3. On the Change Component Assignments page, in the Job server list, click -none-.
    4. Click OK.
    5. On the Configure Server Topology and Component Assignments page, click Close.
  2. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Manage shared services for server farm.
  3. On the Manage Shared Services page, in the Uses Shared Services section, select the Uses Shared Services check box.
  4. In the Name of configuration database server instance in hosting server farm box, type the name of the database server storing the configuration database for the parent server farm.
  5. In the Name of configuration database box, type the name of the configuration database for the parent server farm.
  6. Click OK.
  7. On the message box that appears, click OK.
  8. On the Shared Services Setup Confirmation page, click Close to return to the central administration page.
  9. Disable the SharePoint Portal Search service (SPSSearch) running on the job server by doing the following:
    1. Click Start, point to All Programs, point to Administrative Tools, and then click Services.
    2. Right-click SharePoint Portal Search, and then click Properties.
    3. On the General tab, in the Startup type list, select Disabled.
    4. In Service status section, click Stop.
    5. After the service stops, click OK.
  10. Open command prompt and type iisreset
  11. Restart the SharePoint Portal Administration service (SPSAdmin) running on the job server by doing the following:
    1. Click Start, point to All Programs, point to Administrative Tools, and then click Services.
    2. Right-click SharePoint Portal Administration, and then click Properties.
    3. On the General tab, in the Service status section, click Stop.
    4. After the service stops, in Service status section, click Start.
    5. Click OK.


Using A Search Scope from Another Portal Site

Using A Search Scope from Another Portal Site

In a shared-services environment, you can associate this portal site with the search scope of another portal site. Search results on the associated portal site will then include the contents of this portal site.

Use a search scope from another portal site

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Associate portal site.
  2. On the Associate Portal Site page, in the URL box, type the URL of the associated portal site.
  3. Click OK.


Using Fully Qualified Domain Names

Using Fully Qualified Domain Names

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Adding a Server to the Server Farm

Adding a Server to the Server Farm

You can expand the scale of your server farm by adding servers. Add a server to the server farm by doing the following:

  1. Install either Microsoft SharePoint Portal Server "v2.0" Beta 2 or the document management component of SharePoint Portal Server "v2.0" Beta 2 on the server that you want to add.
  2. On the server that you want to add, connect to the configuration database for the server farm. For more information, see Specifying Configuration Database Settings.
  3. On the server that you want to add, configure the component assignments for the component or components that you want on that server. For more information, see Changing Component Assignments for the Server Farm.


Removing a Server from the Server Farm

Removing a Server from the Server Farm

Before you remove a server from the server farm, you must:

  1. Delete all portals from the server.
  2. Remove all component assignments from the server.
For more information about how to perform these tasks, see Related Topics.

Remove a server from the server farm

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Server Configuration section, click Configure server topology and component assignments.
  2. On the Configure Server Topology and Component Assignments page, click Remove Server.
  3. On the Remove Server page, in the Select server list, select the name of the SharePoint Portal Server computer that you want to remove from the server farm, and then click OK.
  4. On the Specify Configuration Database Settings for Server server_name page, click Disconnect from configuration database, and then click OK.

Related Topics

Deleting a Portal Site
Changing Component Assignments for the Server Farm


Changing Component Assignments for the Server Farm

Changing Component Assignments for the Server Farm

You can change the components that are active on each server in your server farm. This can be useful if, for example, you add servers to your server farm.

You can view the component assignments for all servers on the server farm on the Configure Server Topology and Component Assignments page.

Change component assignments for the server farm

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Server Configuration section, click Configure server topology and component assignments.
  2. On the Configure Server Topology and Component Assignments page, click Change Components.
  3. On the Change Component Assignments page, in the Component Assignment section, do one of the following:
    • Select a check box to assign a component to a server.

      You can assign more than one component to each server.

    • Clear a check box to remove the assignment of a component to a server.
  4. In the Job server box, select a job server.
  5. If you have installed the server component for backward-compatible document libraries, in the Document library server box, type the name of the server to run the document library server component.
  6. Click OK.


Managing Security on the Server Farm

Managing Security on the Server Farm

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Managing Web Front End Servers

Managing Web Front End Servers

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Managing HTML Viewers

Managing HTML Viewers

Included with Windows SharePoint Services Beta 2 is the ability to connect to an HTML viewing server. The HTML viewing server provides support for users who want to view the content of files on the Windows SharePoint Services Beta 2 Web site, but do not have Microsoft Word, Excel, or PowerPoint from Office 97, or a newer release of Microsoft Office, installed on their local computer. Even users who only have a Web browser (Microsoft Internet Explorer or Netscape Navigator) can view content by having the native Office file format converted to HTML on-the-fly. Although there is a slight delay while the transformation takes place, the converted file is extremely close to the WYSIWIG formatting of the original. In addition to transforming files on-the-fly for end users, administrators can use a batch process mode of HTML Transformations to convert the contents of entire folders to HTML.

Note By default, the HTML viewing service supports only the following document types: .doc, .xls, .ppt, and .pps.

Transformation of a supported document can take between 1 and 30 seconds, depending on the complexity and size of the document as well as the speed and available resources of the dedicated computer. To provide for this ability and assure a fast response time, it is recommended that you dedicate a separate computer to this service.

After the server is set up, it can be administered through the Configure HTML Viewer page in SharePoint Central Administration pages. For more information about setting up an HTML Transformation Server, see the HTML Transformations Service for Windows SharePoint Services Beta 2 whitepaper on the Office 11 Resource Kit (Beta) Web site.

To configure Windows SharePoint Services Beta 2 to use HTML Transformations

  1. Click Start, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Server Configuration, click Configure HTML Viewer.
  3. Select the Turn on HTML Viewer check box.
  4. In the Path to HTML Viewer Server box, type the full URL to the transformation server.
  5. In the Maximum Cache Size box, type the maximum size to allow for the HTML viewing cache.
  6. In the Maximum File Size box, type the maximum file size to view.
  7. In the Timeout Length box, type the length of time to wait before ending an HTML viewer process.
  8. Click OK.


Starting and Stopping Services

Starting and Stopping Services

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Specifying the SMTP Server for the Document Management Server

Specifying the SMTP Server for the Document Management Server

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Specifying Automatic Error Reporting

Specifying Automatic Error Reporting

You can configure SharePoint Portal Server "v2.0" Beta 2 to automatically send reports of errors that cause SharePoint Portal Server "v2.0" Beta 2 to crash to Microsoft. Automatic error reporting by uses a connection that uses the HTTP over SSL (https) protocol, which is more secure than an ordinary Internet connection. The data that Microsoft collects will be used strictly for the purpose of tracking down and solving problems that users are experiencing. The information will be stored in a secure database with limited access.

You can view the Microsoft Error Reporting Data Collection Policy from a link on the Diagnostic tools for server server_name page. There is a link to this page on the SharePoint Portal Server Central Administration for Server server_name page.

Specify automatic error reporting

  1. On the task bar, click Start, and then click Run.
  2. Type mmc and then click OK.
  3. In the console, on the File menu, click Add/Remove Snap-in.
  4. In the Add/Remove Snap-in dialog box, on the Standalone tab, click Add.
  5. In the Add Standalone Snap-in dialog box, in the Available Standalone Snap-ins list, click Group Policy Object Editor, and then click Add.
  6. In the Select Group Policy Object dialog box, ensure that Local Computer appears in the Group Policy Object box, and then click Finish.
  7. In the Add Standalone Snap-in dialog box, click Close.
  8. In the Add/Remove Snap-in dialog box, click OK.
  9. Expand the following nodes:
    1. Local Computer Policy
    2. Computer Configuration
    3. Administrative Templates
    4. System
  10. Click the Error Reporting node.
  11. In the details pane, double-click Display Error Notification, and then do the following:
    1. On the Setting tab, click Disabled.
    2. Click OK.
  12. In the details pane, double-click Report Errors, and then do the following:
    1. On the Setting tab, click Enabled.
    2. Click OK.


Specifying Logging Settings for a Component

Specifying Logging Settings for a Component

You can specify the logging settings for components of SharePoint Portal Server such as the single sign-on service, the search service, etc. You can choose to do the following:

  • Turn off logging for this component.
  • Log critical events only.
  • Log informational events and critical events.
  • Log all tracing information.

    Note You should select Log all tracing information only for troubleshooting purposes. Logging tracing information might impact performance and disk use.

You an also choose to take a snapshot of the log automatically after a specified number of hours, and you can choose to delete logs automatically after a specified number of hours.

Specify logging settings for a component

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure diagnostic tools.
  2. On the Diagnostic tools for server server_name page, in the Logging Settings section, in the Processes list, select the component for which you want to specify logging settings, and then click Edit.
  3. On the Logging settings for server server_name page, in the Logging Settings section, select a logging level for the component.
  4. In the Automatic Log File Snapshoting and Deletion section, do the following:
    • In the Automatic snapshot period box, type the time interval, in hours, at which to take a snapshot of the current log for this component.

      If you do not want snapshots, type 0.

    • If you want log files for this component to be deleted automatically after a specified amount of time, in the File deletion period box, type the time, in hours.

      Log files for this component that are older than the specified number of hours will be deleted automatically. To delete files manually, type 0.

  5. Click OK.


Restoring a Portal Site

Restoring a Portal Site

You can restore a portal site to an empty virtual server. For example, if you want to move a portal site to from Server A to Server B, you would do the following:

  1. Create a virtual server on Server B.
  2. On Server B, go to the Create Portal Site for Server Server B page and select the option to restore a portal site.
  3. Specify the name of the server storing the content database.
  4. Specify the name of the content database. If the name of the portal site you are restoring is MyPortalSite, the name of the content database will be MyPort1_SITEDB.
  5. Specify a title for the portal on Server B.
  6. Select the virtual server you created on Server B.

The following limits apply to the number of portal sites supported on a server farm:

  • If the server farm does not provide or use shared services, the server farm supports up to 15 portal sites.
  • If the server farm provides shared services, the server farm supports up to 15 portal sites.
  • If the server farm uses shared services, there is no maximum number of portal sites that the server farm supports.

If you are restoring a portal site on an installation that was installed without the database engine (that is, you are using SQL Server to store the databases), you must specify application pool account information. To host the application pool of each virtual server running the Web server component of SharePoint Portal Server, you must specify a valid Microsoft Windows domain account on the Portal Creation - Application Pool Account for Server server_name page.

You restore a portal site from the Create Portal Site for Server server_name page. You can access the Create Portal Site for Server server_name page from multiple locations:

  • On the SharePoint Portal Server Central Administration for Server server_name page, in the Virtual Server and Portal Site Configuration section, click Create a portal site.
  • On the SharePoint Portal Server Central Administration for Server server_name page, in the Virtual Server and Portal Site Configuration section, click List and manage portals. On the List and Manage Portals page, click Create Portal.

Restore a portal site

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Virtual Server and Portal Site Configuration section, click Create a portal site.
  2. In the Portal Creation Options section, click Restore a portal.
  3. In the Restore Portal From Database section, do the following:
    1. In the Database server list, select the content database server.
    2. In the Database name box, type the name of the content database from which you will restore the portal site.

      The name of the database ends in _SITEDB.

  4. In the Portal Title box, type a title for the portal site.

    This title appears at the top of most portal site pages.

  5. In the Portal Address section, do the following:
    1. In the Virtual Server list, click the existing virtual server on this server that will host the portal site.
    2. In the URL address box, type the URL that users use to connect to the portal site.

      By default, this URL is http://server_name/.

  6. Click OK.
  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Virtual Server and Portal Site Configuration section, click Create a portal site.
  2. In the Portal Creation Options section, click Create a portal.
  3. In the Portal Title box, type a title for the portal site.

    This title appears at the top of most portal site pages.

  4. In the Portal Address section, do the following:
    1. In the Virtual Server list, click the existing virtual server on this server that will host the portal site.
    2. In the URL address box, type the URL that users use to connect to the portal site.

      By default, this URL is http://server_name/.

  5. In the Default Portal Owner section, do the following:
    1. In the Account name box, type the account name for the portal site owner in the format DOMAIN\user_name.

      The portal site owner manages content and user access.

    2. In the E-mail address box, type the e-mail address for the portal site owner.
  6. Click OK.
  7. If the Portal Creation - Application Pool Account for Server server_name page appears, do the following:
    1. In the Account name box, type the default Windows domain account to use for hosting the application pool of the virtual server.
    2. In the Password box, type the password to use with this account.
    3. In the Confirm password box, retype the password to use with this account.
    4. Click Next.
  8. On the Create Portal Confirmation for Server server_name page, click OK to begin creating the portal site.

    Caution Any custom information that you've added to the virtual server since its creation will be made unavailable once you start creating the portal site.

    The Operation Status page appears.

At the end of successful portal site creation, the Operation Successful page appears. You can then further configure the portal site.


Migrating Portal Data

Migrating Portal Data

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Changing Portal Properties and Site Creation Settings

Changing Portal Properties and Site Creation Settings

You can change the portal properties and the site creation settings.

The following character limitations apply:

  • Portal title The portal title is limited to 80 Unicode characters.

    The portal title can consist of all alphanumeric characters, as well as the following: #%*+\|"?><$@[]{}⌂.

  • Portal description The portal description is limited to 200 Unicode characters.

    The portal description can consist of all alphanumeric characters, as well as the following: #%*+\|"?><$@[]{}⌂.

  • URL for creating sites from the Sites Directory The URL for creating sites from the Sites Directory is limited to 2,048 ASCII characters. In addition, no component of the URL, such as the virtual directory or virtual server, can exceed 128 characters.

    The URL must end with _layouts/language/scsignup.aspx.

Change portal properties and site creation settings

  1. On the Site Settings page, in the Manage General Settings section, click Change portal site logo, title and site creation page location.
  2. On the Change Portal Properties and Site Creation Settings page, in the Portal Title and Description section, do the following:
    1. In the Portal title box, type the title of the portal.

      The title appears on the home page of the portal.

    2. In the Portal description box, type a description for the portal.
  3. In the Portal Logo section, in the Graphics file location box, type the location of the graphics file that contains the custom logo to display on each portal page.

    If the file location is a local relative path (for example, _layouts\1033\logo.gif), you must copy the graphics file to that location on each front-end Web server.

  4. If you want to specify the URL from which users create sites, in the URL for creating sites from the Sites Directory section, type the URL in the URL box.

    If you do not type a URL in this box, users will create sites from the default site creation page for this portal.

    The default URL for team site creation is http://server_name/_layouts/language/scsignup.aspx. If you have previously typed an entry in the URL box and want to return to the default, leave the URL box blank.

  5. Click OK.


Managing Portal Sites

Managing Portal Sites

You can use the List and Manage Portals page to go to a portal home page, to go to the Site Settings page for the portal, to create a portal, and to delete a portal.

Manage portals

  1. On the SharePoint Portal Server Central Administration for Server server_name page, click List and manage portals.
  2. On the List and Manage Portals page, do one of the following:

    Go to the portal home page.

    To do this, click the link for the portal that you want to go to.

    Go to the Site Settings page for the portal.

    To do this, select the check box next to the portal that you want to manage, and then click Manage Portal Properties.

    Create a portal.

    To do this, click Create Portal, and then follow the steps in Creating a Portal.

    Delete a portal.

    To do this, select the check box next to the portal that you want to delete, click Delete Portal, and then follow the steps in Deleting a Portal.

Related Topics

  • Creating a Portal Site
  • Deleting a Portal Site


Deleting a Portal Site

Deleting a Portal Site

If you delete a portal site, you will delete all portal site content and all portal site configuration data, including content indexes, alerts, and user profiles. You can specify whether to delete associated databases and the document library when deleting the portal site.

In a shared services topology, no warning is provided when the portal site providing the shared services or the portal site using the shared services is deleted. However, deleting the portal site providing the shared services will disable most services for the portal sites that use the shared services.

Only a administrator on the server farm can delete a portal site.

Delete a portal site

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Virtual Server and Portal Site Configuration section, click List and manage portals.
  2. Select the check box next to the portal site that you want to delete, and then click Delete Portal.
  3. On the Delete Portal Confirmation for Portal portal_name page, if you want to delete all databases, select the Delete all databases check box.

    If you do not click this box, the databases will be detached but not deleted.

  4. If you want to delete the document library, select the Delete the document library check box.

    Important All documents stored in the document library will be deleted.

  5. Click OK.

    Important Data loss will occur. When you click OK, the portal site deletion process starts. You cannot cancel the portal site deletion process.


Scheduling Timed Jobs

Scheduling Timed Jobs

Several features of Microsoft Windows SharePoint Services Beta 2 rely on scheduled background processes. For example, to be able to review usage analysis information, you must first gather the information, preferably when your site is not being heavily used. With Windows SharePoint Services Beta 2, you can schedule the following operations to occur automatically at specific times.

Operation | Frequency | Scope
Processing the usage analysis log files | Daily | Server or server farm
Sending alert notifications | Immediately, daily, or weekly | Virtual server
Checking for and automatically deleting unused Web sites | Daily, weekly, or monthly | Virtual server
Checking for and automatically adding e-mail attachments from a specific public folder to a specific document library | Every few minutes, hourly, or daily | Virtual server

Scheduled times apply to all Web sites on a particular virtual server, server, or server farm, as indicated. The scope determines where in the server and site hierarchy you can control the schedule. If a job is scoped to the server or server farm level, you can only schedule it for the entire server or server farm. If an operation runs at the virtual server level, you schedule each virtual server individually. Also, if it is scoped for a virtual server, you schedule it for the entire virtual server, not for particular Web sites on that virtual server.

Microsoft SharePoint Timer Services, a background utility, handles scheduled jobs in Windows SharePoint Services Beta 2. This utility is installed to your Web server when you set up Windows SharePoint Services Beta 2. SharePoint Timer Services relies on the Gregorian calendar for scheduling. For every job you schedule, you must specify a beginning time for that job based on a 24-hour clock. You specify the time in local time versus an offset from Universal Coordinate Time (UCT), and the time is stored in that format as well.

The dates used by SharePoint Timer Services are not stored in context. This means that you cannot schedule jobs to run every X days/weeks/months/years, where X is greater than 1. So, while you can schedule jobs to run every day, every week, or every month, you cannot schedule a process for every two days, and so on. Neither can you schedule jobs for relative days in a month, such as the third Monday of every month.

Using HTML Administration Pages to Schedule Jobs

You schedule timed jobs by using HTML Administration pages. To schedule a timed job, go to the page that contains the settings for the job you want to schedule, and then select the day, date, month, year, and time that you want the job performed. For example, you would use the following procedure to set the schedule for alert notifications. The alert settings are managed from the Virtual Server General Settings page.

Configure alerts for a virtual server
  1. On the server that contains the virtual server, click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, click the virtual server you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Virtual server general settings.
  5. In the Alerts section, under Immediate alert processing is done, specify how frequently (in minutes) to send immediate alerts.
  6. Under Daily alert processing is done, specify the time of day (using a 24-hour clock) to send daily alerts.
  7. Under Weekly alert processing is done, specify the day of the week and time of day (using a 24-hour clock) to send weekly alerts.
  8. Click OK.

The alert settings can also be configured by using properties on the command line. For more information about changing alert settings, see Managing Alerts.

Related Links

For more information about usage analysis settings, see Configuring Usage Analysis.

For more information about deleting unused Web sites automatically, see Managing Unused Web Sites.

For more information about e-mail attachments and document libraries, see Configuring E-Mail-Enabled Document Libraries.


Managing Sites and Subsites

Managing Sites and Subsites

Web sites in Microsoft Windows SharePoint Services Beta 2 are organized into site collections. Each site collection has a top-level Web site. This top-level Web site can have multiple subsites, and each subsite can have multiple subsites. Because sites are nested in a hierarchy within the site collection, it can be challenging to manage them all.

Note Local server administrators and members of the SharePoint administrators group can perform any task that a site collection administrator can perform for a site collection.

You can use two methods to manage sites and subsites:

  • HTML Administration pages

    When you use HTML Administration pages to manage sites in a site collection, be aware that some features are only available from the top-level Web site. These features include managing site collection catalogs, viewing storage space allocation, viewing the site heirarchy, and listing all users in the site collection.

  • Command-line administration

    If you use the command line to manage sites in a site collection, the levels are not as important, because you can always specify the full URL path for a site you want to manage, and you can adjust the URL to list sites and subsites at any level in the site collection. However, you must be a member of the administrators group for the local server computer to use the command-line tools.

Managing Sites and Subsites by Using HTML Administration Pages

You can use the HTML Administration pages to view a list of subsites within a site collection or for a particular subsite. You can also use HTML Administration pages to delete a site or subsite. Depending on your administrative access level, you can perform different actions.

  • Members of the local server's administrator group and members of the SharePoint administrators group can delete a site collection from SharePoint Central Administration. Site collection administrators can also delete a site collection by using the Top-Level Site Administration page. Deleting the site collection deletes the top-level Web site in that site collection, as well as any subsites.
  • Members of the site collection administrators group can view a list of all subsites below the top-level Web site in that site collection from the View Site Hierarchy page. They can delete a specific subsite in the site collection or the entire site collection by navigating from the View Site Hiearchy page to the Site Administration page for the subsite or top-level Web site (to delete a site collection).
  • Members of the Administrator site group for a subsite can only see the immediate subsites below their subsite. They can delete the subsites they see, provided that the subsites have no subsites beneath them.

Viewing Subsites

If you are a member of the Administrator site group for a site, you can view a list of subsites from the Manage Sites and Workspaces page in Site Settings. This list displays only the immediate set of subsites for the current site (one level down).

View the list of immediate subsites for a site
  1. On the site, click Site Settings.
  2. On the Site Settings page, under Administration, click Manage sites and workspaces.

If you are a site collection administrator, you can see the full list of subsites for the site collection (any subsites of the top-level Web site, plus any of their subsites) by using the View Site Hierarchy page in Site Administration.

View the entire list of subsites within a site collection
  1. On the top-level Web site for the site collection, click Site Settings.
  2. On the Site Settings page, under Administration, click Go to Site Administration.
  3. Under Site Collection Administration, click View site hierarchy.

Deleting a Site Collection

If you are an administrator of the local server computer on which a site resides or a member of the SharePoint administrators group, you can use the Delete Site Collection page in the Central Administration or Virtual Server Administration pages to delete a site collection (a top-level Web site and any subsites beneath it).

Caution When you delete a top-level Web site, you also delete any subsites beneath it. Before you delete a site, be sure to verify that there are no subsites beneath it, or that you no longer need the subsites beneath it. You cannot recover a subsite unless you have a backup version of the subsite. For more information about backing up a site, see Backing Up and Restoring Databases and Web Sites.

Delete a site collection from SharePoint Central Administration
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Delete top-level Web site.
  3. In the URL of the site to delete box, type the full URL to the site.
  4. Click OK.

If you are the owner of or a site collection administrator for a top-level Web site, you can delete the top-level Web site by using the Delete This Site page in the Site Administration pages.

Delete a site collection from Site Administration
  1. On the subsite, click Site Settings.
  2. On the Site Settings page, under Administration, click Go to Site Administration.
  3. Under Management and Statistics, click Delete this site.
  4. On the confirmation page, click Delete.

Deleting a Subsite

Depending on your administrative access level, you can use different methods to delete a subsite:

  • If you are a member of the Administrator site group for the subsite you want to delete, you can use the Delete This Site page in Site Administration.
  • If you are a member of the Administrator site group for the site one level up from the subsite you want to delete, you can use the Manage Sites and Workspaces page in Site Settings for your subsite.

Caution You cannot recover a subsite unless you have a backup version of the subsite. For more information about backing up a site, see Backing Up and Restoring Databases and Web Sites.

Delete a subsite using the Delete This Site page
  1. On the subsite, click Site Settings.
  2. On the Site Settings page, under Administration, click Go to Site Administration.
  3. Under Management and Statistics, click Delete this site.
  4. On the confirmation page, click Delete.

To delete a subsite from the Manage Sites and Workspaces page, you must use the Site Settings page for the site immediately above the subsite you want to delete.

Delete a subsite using the Manage Sites and Workspaces page
  1. On the site above the subsite you want to delete, click Site Settings.
  2. On the Site Settings page, under Administration, click Manage Sites and Workspaces.
  3. On the Manage Sites and Workspaces page, next to the subsite you want to delete, click the Delete icon.
  4. On the confirmation page, click Delete.

Managing Sites and Subsites from the Command Line

You can use the following operations with the Stsadm.exe command-line tool to manage sites and subsites.

Operation | Description
enumsites | Lists all top-level Web sites for a specific virtual server.
enumsubwebs | Lists all subsites of a specific top-level Web site or subsite.
renameweb | Renames a subsite.
deletesite | Deletes a top-level Web site and any subsites beneath the top-level Web site.
deleteweb | Deletes a subsite. If the subsite contains other subsites, an error will be returned, and the subsite will not be deleted.

You can also use the following operations to manage sites and subsites: createsite, creatsiteinnewdb, and createweb. For more information, see Creating Sites and Subsites.

The enumsites and enumsubwebs operations take the url parameter. Their syntax is simple, just the operation and URL, as in the following examples:

stsadm.exe -o enumsites -url <URL>
stsadm.exe -o enumsubwebs -url <URL>

The enumsites and enumsubwebs operations provide the list of sites and subsites as XML text. For example, a list of sites generated by running enumsites would look like:

<Sites Count="2">
  <Site URL="http://site_name1" Owner="DOMAIN\userA"/>
  <Site URL="http://site_name2" Owner="DOMAIN\userB"/>
</Sites>

The deletesite and deleteweb operations also take only the url parameter and follow the same syntax:

stsadm.exe -o deletesite -url <URL>
stsadm.exe -o deleteweb -url <URL>

The renameweb operation takes the url and newname parameters. The syntax for renameweb is as follows:

stsadm.exe -o renameweb -url <URL> -newname <new subsite name>

For more information about using the command-line operations, see Command-Line Operations.

Related Links

Part of managing sites and subsites is creating sites when you need to. For more information, see Creating Sites and Subsites.

You can also delete unused sites automatically. For more information, see Managing Unused Web Sites.


Managing Paths

Managing Paths

When you extend a virtual server, create a top-level Web site, or configure Self-Service Site Creation, you may also need to define managed paths. Managed paths allow you to perform two important tasks:

  • Indicate which pieces of the URL namespace are controlled by Microsoft Windows SharePoint Services Beta 2.

    Many organizations installing Windows SharePoint Services Beta 2 already have a Web server or server farm in use, and must be able to identify areas of the existing URL namespace that should not be managed by Windows SharePoint Services Beta 2. For example, if you have a Web application on your Web server already, and you install Windows SharePoint Services Beta 2, you need a way to tell Windows SharePoint Services Beta 2 not to attempt to control content in or settings for that path.

  • Specify paths to use for Self-Service Site Creation.

    You can restrict Self-Service Site Creation users to specific paths when they create sites. By default, the path /sites is created and added as a path for Self-Service Site Creation users when you enable Self-Service Site Creation. You can create other paths for Self-Service Site Creation users, or remove the /sites path when you manage paths.

There are two categories of paths you can manage: included and excluded paths. An included path indicates that Windows SharePoint Services Beta 2 manages that path. An excluded path indicates that the path is managed by a different application, and that Windows SharePoint Services Beta 2 should leave it alone. Included paths can be further broken down into the following two types:

  • Explicit inclusions — Includes only the specific path you set. Use explicit inclusions, for example, if you want Windows SharePoint Services Beta 2 to manage a specific path, such as /portal, but not any possible sites below it, such as /portal/webapp.
  • Wildcard inclusions — Includes any sites below the path you set, so you don't have to add them individually. This is the type of inclusion to use for Self-Service Site Creation, when you want users to be able to create top-level Web sites underneath a specific path, such as /sites.

Note Web server performance declines linearly with the number of inclusions and exclusions. You can minimize the performance impact by using wildcard inclusions rather than many explicit inclusions, and by putting as many excluded applications under the same excluded path as possible.

The following table lists example URLs and explains the types of paths.

Path type | Example URL | Path name | Comments
Explicit inclusion | http://server1/site1 | /site1 | Identifies the Web site at /site1 as a Windows SharePoint Services Beta 2 site.
Wildcard inclusion | http://server1/sites/* | /sites/* | Identifies all sites below the /sites/ path as Windows SharePoint Services Beta 2 sites.
Exclusion | http://server1/webapp | /webapp | Indicates that the /webapp directory is not handled by Windows SharePoint Services Beta 2.
Top-level Web site explicit inclusion | http://server1 | / | Indicates an explicit inclusion for the top-level Web site. Only the top-level Web site is a Windows SharePoint Services Beta 2 site, not any other sites below the top-level Web site.
Top-level Web site wildcard inclusion | http://server1 | /* | Indicates a wildcard inclusion for the top level of the virtual server. Every directory under the specified path is a Windows SharePoint Services Beta 2 top-level Web site.

Included and excluded paths are used only for directories, not pages in a Web site, and they are recursive (for example, if you exclude /mango, Windows SharePoint Services Beta 2 will ignore any URL beginning with /mango/ or equal to /mango). Exclusions take precedence over inclusions, so if you accidentally set a particular path to be both included and excluded, the path will be excluded. Inclusions are evaluated by length; longer URLs are checked before shorter URLs, so an inclusion for http://server1/sites/teams will be evaluated before an inclusion for http://server1/teams.

You can manage paths by using either HTML Administration pages or the command line.

Managing Paths by Using HTML Administration Pages

To include or exclude a new path, use the Define Managed Paths page for the virtual server that contains the path.

Add a new path
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Define managed paths.
  5. In the Add a New Path section, in the Path box, type the path to add.
  6. Select Excluded path or Included path. If you select Included path, select a type (wildcard or explicit) in the Type box.
  7. Click OK.

If you change how you use the URL namespace, and no longer need a path to be included or excluded, you can remove the path.

Remove a path
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Define Managed Paths.
  5. Under Included Paths or Excluded Paths, select the check box next to the path you want to remove, and then click Remove selected paths.

Managing Paths from the Command Line

You can use the addpath and deletepath operations to manage paths on the command line. Both operations take the -url and -type parameters. The -type parameter has three values: exclusion, explicitinclusion, and wildcardinclusion. For example, to add a new wildcard inclusion to manage all sites at the top level of http://server1, you would use syntax like the following:

stsadm -o addpath -url http://server1/ -type wildcardinclusion

You can also remove an included or excluded path by using the command line. For example, to remove an exclusion for the site at http://server1/hrweb/webapp, you would use syntax like the following:

stsadm -o deletepath -url http://server1/hrweb/webapp

Related Links

For more information about how managed paths affect extending a virtual server, creating sites, or allowing users to create sites by using Self-Service Site Creation, see Extending Virtual Servers, Creating Sites and Subsites, and Configuring Self-Service Site Creation.


Managing Unused Web Sites

Managing Unused Web Sites

Web sites based on Microsoft Windows SharePoint Services Beta 2 may become inactive for many reasons: Perhaps a site was set up for documents relating to a project that is finished, or perhaps a user was trying out Windows SharePoint Services Beta 2 and created a site that he or she no longer needs. Because inactive sites take up space on the servers, it's important to check with site owners to see if their sites are still needed or have become inactive. In Windows SharePoint Services Beta 2, new administrative options allow you to automatically send notices to site owners requiring them to confirm that their sites are in use. You can also delete unconfirmed sites automatically. These features give you a way to control the number of unused Web sites on your server.

Site use confirmation works like a subscription feature for your users' sites. When sites are created, they are added to the database and are logged as active sites. After a specified time defined by the administrator, the site owners are sent an e-mail notification asking the owners to either reactivate or delete their unused Web sites. The notification e-mail text contains links to confirm that a site is active or to delete a site. After the notification is sent, there are three possible outcomes:

  • If a site is in use, the site owner will click a link to confirm that the site is active and preserve the site. When the owner clicks the confirmation link, the timer is restarted, and the owner will be notified again after the same time period.
  • If a site is not in use, the site owner can delete the site by following instructions in the notification e-mail, or do nothing. The site owner continues to receive periodic e-mail notifications (the period is defined by the administrator) until use is confirmed or the site is deleted.
  • If a site is not in use, and you have turned on the automatic deletion feature, the site owner is queried a specific number of times (a number configured by the administrator), and if use is not confirmed, the site is automatically deleted.

Automatic deletion is an advanced administrative feature that can delete unneeded sites without any administrative intervention and without any backup mechanism. To prevent a site from being deleted without any notification, you must turn on site use confirmation before you can turn on automatic deletion. Also, the site owner must always be sent at least two confirmation notices before a site can be deleted. In addition to these basic safeguards included as defaults, you should also consider the following best practices:

  • Require a secondary contact when sites are created.

    When a user creates a site, the user is listed as the site owner. Depending on your configuration, the user may also be required to specify a secondary contact for the site. Confirmation notifications are automatically sent to the site owner and to the secondary contact, if one exists. For more information, see Configuring Self-Service Site Creation.

  • Set reasonable intervals between confirmations and before automatic deletion.

    For example, if a site owner is unavailable for four weeks, and sites are deleted after four missed weekly confirmations, the site could be deleted without allowing the owner a chance to confirm. If you are enabling this feature inside a corporation, be sure you consider your organization's policies regarding vacations and leaves of absence when you configure the intervals for confirmation and deletion.

  • Back up Web sites regularly, so you can restore a recent copy if a site is unintentionally deleted.

    For example, if you configure confirmation and automatic deletion to happen on the fifth day of each month, make it a policy to back up your server on the fourth day. You can automate this process by creating a stored process in Microsoft SQL Server to check the sites table and automatically back up any items scheduled for deletion. For more information about SQL Server, see the SQL Server documentation. For more information about the sites table, see the Windows SharePoint Services Software Development Kit.

Configuring Site Use Confirmation and Deletion

There are several settings that you can configure to control how much time elapses between stages for confirmation and automatic deletion. You can configure the following:

  • When to begin sending site use confirmation notices

    The initial notification value controls when the first confirmation notice is sent to a new site, or to a site that has been confirmed as in use. This value does not control the frequency of notifications, only the number of days to wait before the initial notification.

  • How frequently to check for sites needing confirmation and how frequently to send out notifications

    The frequency value affects both how often the server is checked and how often confirmation notices can be sent. If you set the frequency to weekly, the server is checked weekly, and notifications are also sent out weekly, immediately after the server has been checked.

  • What time to perform the check and to send out notifications

    Change this time to suit your environment. For example, if most of your users are online and hitting the server during the day, pick a time during the night when the server is not as busy.

  • How many notifications to send before allowing automatic deletion

    Adjust this number to be sure site owners receive notification before a site is deleted. The number of notifications also depends on the frequency, so if you specify daily checks, with 30 reminders before deletion, the site owner would be notified every day for a month before the site was deleted.

Be sure to configure these times to be useful and reasonable given your organization's context. In a large organization, where users may need data to be stored for some time, you can specify longer intervals (for example, start sending notifications at 180 days, notify every month, and delete after six months without a confirmation). If you are hosting free sites for customers, you may want to shorten these intervals (start sending notifications at 45 days, notify weekly, delete after four weeks). If you are hosting sites for paying customers, you may not want to use this feature, unless you have an automated backup strategy that allows you to restore sites on request.

The following table lists each of these settings as you see them on the Configure Site Collection Use Confirmation and Auto-Deletion page and their default and minimum values.

Setting | Default value | Minimum value
Start sending notifications ___ days after site collection creation, or use is confirmed | 90 days | 30 days
Check for unused site collections, and send notices <Daily Weekly Monthly> and run the check at <time> | Weekly 12:00 AM | Daily
Delete the site collection after sending ___ notices | 4 | Daily minimum: 28 Weekly minimum: 4 Monthly minimum: 2

In a scenario using the default values above, the first notice is sent at 90 days. Another notice is sent every week for five additional weeks. On the sixth week after the initial notification, if the site has not been confirmed, the site is deleted. If at any point the site is confirmed as in use, the count goes back to the start, and the owner will not receive another notice for 90 days.

Note If for any reason the e-mail notification cannot be queued (for example, the SMTP server is down), the count is not incremented. For example, if three notices have been sent, and when it is time for the fourth notice to be sent the next week, the SMTP server is down, the fourth notification is not sent that day, and the count is not incremented. The next week, when the database is checked again, the fourth notice is sent, and the process continues from there.

The confirmation and automatic deletion feature relies on the Microsoft SharePoint Timer Services to carry out the timed jobs. The times and intervals you specify here follow the same rules as any other SharePoint Timer Services job in Windows SharePoint Services Beta 2. For more information, see Scheduling Timed Jobs.

Enabling Site Use Confirmation and Automatic Deletion

You manage unused Web sites at the virtual server level by using the Configure Site Collection Use Confirmation and Auto-Deletion page in the HTML Administration pages. You must be an administrator on the server computer or a member of the SharePoint administrators group to access this administration page. By default, both site use confirmation and automatic deletion are turned off.

Open the Configure Site Collection Use Confirmation and Auto-Deletion page
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, click the virtual server you want to configure.
  4. On the Virtual Server Settings page, under Automated Web Site Collection Management, click Configure site collection use confirmation and deletion.

By default, site use confirmation is turned off. If you want to require confirmation of use, you can specify the interval to wait before sending the first notification, and how frequently to continue sending notifications if site use is not confirmed. Notices are sent to the e-mail address specified in the site for the site owner and the secondary owner (if a secondary contact has been identified).

Enable and configure e-mail confirmation notices
  1. On the Configure Site Collection Use Confirmation and Auto-Deletion page, in the Confirmation and Automatic Deletion Settings section, select the Send e-mail notifications to owners of unused site collections check box.
  2. In the Start sending notifications ___ days after site collection creation, or use is confirmed box, type the number of days to wait before sending notifications after the site is created or use is confirmed.

    For example, if you enter 60 days, then when a user creates a site, the first notification will be sent after 60 days. If the user confirms that that the site is in use at that time, another 60 days will go by before they get another notification.

  3. In the Check for unused site collections, and send notices ____ and run the check at ____ boxes, specify daily, weekly, or monthly, and then the time of day to run the check.
  4. Click OK.

You must enable and configure e-mail confirmation notices before you can enable automatic deletion.

Enable and configure automatic deletion
  1. Enable and configure e-mail confirmation notices.
  2. Select the Automatically delete the site collection if use is not confirmed check box.
  3. In the Delete the web after sending ___ notices box, specify how many e-mail notifications to send before deleting the site.
  4. Click OK.

Configuring Site Use Confirmation and Automatic Deletion from the Command Line

You can also configure confirmation and automatic deletion from the command line by using the setproperty operation and the following properties: delete-web-send-email, dead-site-notify-after, dead-site-num-notification, dead-site-auto-delete, and job-dead-site-delete. For more information, see Command-Line Properties.

Customizing the Notification Text

There are two versions of the confirmation e-mail notification — one is used when only site use confirmation is enabled, the other when automatic deletion is also enabled. The text for the notification e-mail messages is stored in the DEADWEB.XML file in the \Program Files\Common Files\Microsoft Shared\Web Server Extensions\60\TEMPLATE\LCID\XML folder for the server, where LCID is the locale ID. You must be an administrator on the server computer to view or change this file. There are different versions of these e-mail messages for each language version. If you host site collections in multiple languages, be sure to customize the specific language versions of the notification e-mail messages as well.


Migrating and Upgrading Web Sites

Migrating and Upgrading Web Sites

If you have been using SharePoint Team Services v1.0, you probably have several Web sites that you need to move to new servers running Windows SharePoint Services Beta 2. You may also have new Web sites based on Windows SharePoint Services Beta 2 that you want to back up and restore, or move to another URL or another Internet Service Provider, for example. To accomplish these tasks, you use the Smigrate.exe command-line tool.

Note Before you can use Smigrate.exe to migrate sites from SharePoint Team Services v1.0 to Windows SharePoint Services Beta 2, you must verify that you are running the update to SharePoint Team Services v1.0 that updates SharePoint Team Services v1.0 to function better with Smigrate.exe. To download this update, go to the Microsoft Office XP Web Services Update page.

Note For larger scale site migration in Windows SharePoint Services Beta 2, such as moving a block of sites to a new server, use the full backup and restore features for Windows SharePoint Services Beta 2. For more information, see Backing Up and Restoring Web Sites.

When you use the Smigrate.exe tool, you must actually perform two separate operations: first, you back up the site to a file, then you restore the site to the new location. During the backup process, you specify the URL for the Web site, and the backup file to create. You can also specify the scope of the site migration (whether to migrate just the top-level Web site, or whether to migrate the top-level Web site and any subwebs). During the restore process, you specify the new URL and the backup file to restore from.

If you are upgrading from SharePoint Team Services v1.0 to Windows SharePoint Services Beta 2, you can also specify whether to migrate the security settings for the site. Security settings include:

  • The list of user roles and associated rights.
  • The list of user accounts and role membership.
  • The anonymous access settings.
  • The setting for inherited or unique permissions for the site.

Before you migrate a site, be sure that all of the settings are as you want them in your destination site. Note that if a user account cannot be verified in the domain, and you are not using Active Directory account creation mode, the account will not be restored.

If the site you are backing up or restoring is large, it can take quite a while to process. For example, a site with about 4.5 gigabytes (GB) of data can take up to 1.5 hours to back up. The same site can take up to 7 hours to restore, because so many files must be uploaded to the new server. The more files included in a site, the longer the restore process will take. If you have a top-level Web site with several large subsites, it is recommended that you back up the subsites individually.

Caution If you are using Smigrate.exe to migrate and upgrade a site from SharePoint Team Services v1.0 or FrontPage 2002 Server Extensions to Windows SharePoint Services Beta 2, be aware that several features or types of customizations supported in these environments will not migrate properly or will not work in a migrated site. For a list of items that you must re-create or work around, see Upgrade Considerations.

You can migrate a site to a new virtual server, to a new top-level Web site on an existing virtual server, or to a subsite under an existing top-level Web site. No matter what level the site is at, when you restore the site, you must create a blank site at the destination without applying a site template. For more information about creating a new virtual server, see Extending Virtual Servers. For more information about creating sites, see Creating Sites and Subwebs. Follow the steps to create the site, but do not use the Template Selection page to apply a site template to the new site.

Migrating Sites to Windows SharePoint Services Beta 2 in Active Directory Account Creation Mode

When you are running Windows SharePoint Services Beta 2 in Active Directory account creation mode, user accounts are automatically created in the Active Directory when you add users to a site. Likewise, when you migrate a site from SharePoint Team Services v1.0 to a server running Windows SharePoint Services Beta 2 in Active Directory account creation mode, user accounts are automatically created in the Active Directory for the users that existed in the site before migration. If you do not want to migrate user information to the new site, use the –x parameter with the smigrate.exe utility.

The new user accounts are created based on the users' e-mail addresses, so each user must have a unique e-mail address in order for the account creation to work correctly. If a user does not have an e-mail address in the old site, no account can be created for that user. Also, because only one account is created for each e-mail address, a shared e-mail address results in a merged user account that is given all of the rights that each original user had, and is also listed as the user name for any items added to the site by any of the original users. Be sure that each existing user account has a unique e-mail address before migrating a site.

After you migrate a site to a server running Windows SharePoint Services Beta 2 in Active Directory account creation mode, you must reset the passwords for the new users accounts. When user accounts are created during site migration, no automatic e-mail messages are sent with the user name and passwords, so you must send the users their new login information manually.

Before Migrating Sites from SharePoint Team Services v1.0 to Windows SharePoint Services Beta 2

Before you use Smigrate.exe to migrate your sites from SharePoint Team Services v1.0 to Windows SharePoint Services Beta 2, it is recommended that you configure the following settings:

  1. Set the original SharePoint Team Services v1.0 site to read-only to ensure consistency (as backup and restore may take some time).
  2. If you are migrating a large Web site and need additional virtual memory, increase the page file size to at least 1 GB. Increasing the paging file size is recommended especially if you are running Smigrate.exe directly on a front-end Web server.
  3. Change the following server settings on the destination server:
    • Increase the Internet Information Services (IIS) timeout settings to 65,000 seconds.
    • Turn on anonymous user access in IIS (optional – use this setting only if you want to migrate anonymous access settings).
    • If you are using quotas for the destination virtual server, and the site you are migrating is close to the quota limit for the virtual server, double the quota limit.
    • Remove your outbound SMTP server information in SharePoint Central Administration.
    • Turn off blocked file extensions on the destination server.
  4. Change the following virtual server settings on the destination virtual server:
    • Change the default time zone to the time zone you want to use for your migrated site.
    • Change the maximum file size to 500 MB.
    • Set the maximum number of allowed alerts to be unlimited.

Follow the steps below to configure these settings.

Note If you are migrating sites to a server running Windows SharePoint Services Beta 2 in Active Directory account creation mode, you must also be sure that all users of the original Web site have valid, unique e-mail addresses. If you do not want to migrate the users and create new Active Directory accounts for them automatically, be sure to specify the –x parameter when you run smigrate.exe.

You can set the original site to be read-only by turning off all but browsing and viewing rights on the Set List of Available Rights page for the server that contains the site.

Note This setting applies to all sites and subsites on the server.

Set the original site to read-only
  1. On the original server, click Start, point to All Programs, point to Administrative Tools, and then click Microsoft SharePoint Administrator.
  2. On the Server Administration page, click Set list of available rights.
  3. Clear all of the check boxes except for the Browse, View Lists, and View Web Document Discussions check boxes.
  4. Click Submit.

If you are migrating a large site, or running Smigrate.exe directly on a front-end Web server, it is recommended that you increase the paging file size for the server to at least 1 GB.

Increase the page file size
  1. Click Start, point to All Programs, point to Administrative Tools, and then click Computer Management.
  2. In the console tree, right-click Computer Management (Local), and then select Properties.
  3. On the Advanced tab, click Performance Options, and under Virtual memory, click Change.
  4. In the Drive list, click the drive that contains the paging file you want to change.
  5. Under Paging file size for selected drive, select Custom size, and then type 1024 in the Minimum Size (MB) box.
  6. Specify a larger number in the Maximum Size (MB) box, and then click Set.

    This sets the paging file to a minimum of 1 gigabyte (GB).

Changing the Destination Server Settings

Some of the settings must be changed in IIS, and some must be changed in SharePoint Central Administration.

Increase IIS timeout settings
  1. Click Start, point to All Programs, point to Administrative Tools, and then click Internet Information Services Manager.
  2. Double-click the server name that is running Windows SharePoint Services Beta 2.
  3. Double-click Web Sites.
  4. Right-click the virtual server that you are restoring to, and then click Properties.
  5. On the Web Site tab, change the time out setting from 120 to 65,000.
  6. Click OK.

If you want to migrate the anonymous user access settings to the destination server, you must enable anonymous user access in IIS.

Turn on anonymous user access in IIS
  1. Click Start, point to All Programs, point to Administrative Tools, and then click Internet Information Services Manager.
  2. Double-click the server name that is running Windows SharePoint Services Beta 2.
  3. Double-click Web Sites.
  4. Right-click the virtual server that you are restoring to, and then click Properties.
  5. On the Directory Security tab, under Authentication and access control, click Edit.
  6. Select the Enable anonymous access checkbox, and then click OK.
  7. Click OK.

After the IIS settings are configured, you can change quota limits by using SharePoint Central Administration.

Double a quota limit
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Component Configuration, click Manage quotas and locks.
  3. On the Manage Quotas and Locks page, click Manage quota templates.
  4. In the Template Name section, select Edit an existing template, and then select the template that applies to your destination virtual server.
  5. In the Storage Limit Values section, in the Limit site storage to a maximum of box, type a number that is twice as large as the existing number.
  6. Click OK.

You must also remove the outbound SMTP server information, so that no new notifications are sent.

Note Be sure that the Microsoft SharePoint Timer service is running before you change this setting.

Remove the outbound SMTP server information
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Server Configuration, click Configure default e-mail server settings.
  3. In the Outbound SMTP server box, clear the server name.
  4. Click OK.

Note Each virtual server can also have its own outbound SMTP server setting. To change the virtual server setting, on the SharePoint Central Administration page, under Virtual Server Configuration, click Configure virtual server settings. On the Virtual Server List page, click the name of the virtual server that contains the site you are migrating. On the Virtual Server Settings page, under Virtual Server Management, click Virtual server e-mail settings.

If you know that the original site contains files that have file extensions on the blocked file extensions list, you must unblock those file extensions before you migrate the site. If you do not remove those file extensions from the blocked list, the files will not be migrated with the rest of the site content.

Turn off blocked file extensions
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Security Configuration, click Manage blocked file types.
  3. In the list of blocked file types, delete the file types you want to allow.
  4. Click OK.

If you want to continue blocking these file types after the site has been migrated, you must add the file extensions back to this list after the migration is completed. Note that this list of blocked file extensions affects all sites on the server or in the server farm, not just the site you are migrating.

Changing the Destination Virtual Server Settings

You change the settings for the destination virtual server by using the Virtual Server General Settings page in SharePoint Central Administration.

Change the virtual server settings for time zone, maximum uploads, and alerts
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, click the name of the virtual server that contains the sites you want to migrate.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Virtual server general settings.
  5. In the Default Time Zone section, under Select time zone, select the time zone you want to use for the migrated site.
  6. In the Maximum Upload Size section, in the Maximum upload size box, type 500.
  7. In the Alerts section, under Maximum number of alerts that a user can create, select Unlimited number.
  8. Click OK.

Using Smigrate.exe to Migrate Sites

The Smigrate.exe tool is available in the Program Files\Common Files\Microsoft Shared\Web Server Extensions\60\Bin folder on your server computer. To use Smigrate.exe, you must be a site administrator for both the Web site being backed up and the destination Web site. Smigrate.exe takes the following parameters:

Parameter | Description | Example values
-w | Web site URL. Required. | A valid URL, such as http://myserver/site1 or https://myserver/site1
-f | The name of the backup file. Required. | A filename, or full path to a filename, with the .fwp extension. For example, backup.fwp, c:\backup.fwp, or \\myserver\folder\backup.fwp Note The file extension is optional. If you do not specify the .fwp file extension, it will be added automatically.
-r | Restores a site to a new location. | none
-e | Excludes subwebs during backup. Optional. | none
-x | Excludes security during restore. Optional. For use when migrating from SharePoint Team Services v1.0 to Windows SharePoint Services Beta 2 only. | none
-y | Overwrites an existing backup file. Optional. | none
-u | The user name for the Web site administrator. This parameter is optional if your site supports Basic authentication, and you are running smigrate.exe using an administrator account for the Web site. | A valid user name, in the form DOMAIN\name
-pw | The password for the Web site administrator. Optional. | A valid password. Use "*" to be prompted to type a password.

To back up a site, you use Smigrate.exe with the following parameters:

smigrate.exe -w <Web site URL> -f <backup filename> [-e -y -u <username> -pw <password>]

For example, to create a backup of http://myserver/site1 to a file called backup.fwp at the root of the c:\ drive, without including any subwebs of the Web site, you would type the following:

smigrate.exe -w http://myserver/site1 -f c:\backup.fwp -e

Note If you are migrating a large number of Web sites, it is recommended that you manually back up each Web site separately and restore each Web site after backup to prevent possible memory usage errors.

To restore a site, you use Smigrate.exe with the following parameters:

smigrate.exe -r -w <Web site URL> -f <backup filename> -u <username> -pw <password>]

For example, to restore the above site to http://yourserver/site2, you would use type the following:

smigrate.exe -r -w http://yourserver/site2 -f c:\backup.fwp

If you are logged on with an account that does not have specific permissions to the destination Web site, you can specify a site administrator user name and password that has the appropriate permissions. For example, to restore a site and specify the administrator user name and password, you would use the following syntax:

smigrate.exe -r -w <Web site URL> -f <backup filename> -u <site administrator user account> -pw <password>

When you migrate a site from SharePoint Team Services v1.0 to Windows SharePoint Services Beta 2, you can also use the -x parameter, which allows you to determine whether or not to preserve the security settings for the Web site (user accounts and site groups). You can run the smigrate.exe tool from any computer running Windows 2000 or later. The tool can be copied to another computer and used even if Windows SharePoint Services Beta 2 is not installed.

Note The upgrade and migration from SharePoint Team Services v1.0 to Windows SharePoint Services Beta 2 is not full fidelity, and some data may be lost due to changes in the functionality between versions. You can view the smigrate.log file to see which items migrated successfully and which did not. The smigrate.log file is stored in the %temp% directory for your user account. If a log file already exists from a previous backup or restore, a log file will be created using the next available name (such as smigrate_1.log, smigrate_2.log, and so on).

To restore a site based onSharePoint Team Services v1.0 to a server running Windows SharePoint Services Beta 2, and exclude the security information, you use Smigrate.exe with the following parameters:

smigrate.exe -r -w <Web site URL> -f <backup filename> -x

Troubleshooting Migration Issues

If you site does not migrate as expected, refer to the following list to understand causes or find solutions:

  • Alerts and Web discussions from unavailable users were not restored.

    If a user account no longer exists at restore time, or if the account was a local account, the Alerts and Web Discussion items for that user account cannot be restored.

  • File creation timestamps are incorrect

    The file creation timestamp is set to the restore time when you restore a site.

  • Survey creation times are incorrect.

    Creation times for surveys are not preserved during migration.

  • The site language is incorrect.

    When you restore a site, the language of the restored site must match that of the backed up site. Be sure that the language you need is available on the server you are restoring to.

  • There are too many views.

    If your site was migrated from SharePoint Team Services v1.0 to Windows SharePoint Services Beta 2, the restored site contains both the views from the original site and the default views for Windows SharePoint Services Beta 2. The restored SharePoint Team Services v1.0 views are listed after the default Windows SharePoint Services Beta 2 views. You can remove any views that you do not want.

  • I can't back up or restore a site through a proxy server.

    If your firewall or proxy server requires authentication, you may not be able to back up or restore a site.

  • I see error messages in the log file for files in folders in a document library.

    The files have been restored even though you may see error messages.

  • Web Discussions for a particular user were not migrated.

    User accounts are case-sensitive during migration. If the original site had a user with the username "User1" and the restored site's database has an entry for "user1", the Web discussions for the user are not restored.

In addition, when you migrate a site from SharePoint Team Services v1.0 to Windows SharePoint Services Beta 2, there are some features or customizations that do not migrate. For a list of these items, see Upgrade Considerations.


Working with Templates

Working with Templates

There are two styles of of templates used in Microsoft Windows SharePoint Services Beta 2:

  • Site definitions are the set of basic pages and layouts available for any site on a server. All site and list templates are based on site definitions.
  • Custom templates are templates that are created from an existing Web site or list. Custom templates are listed in the central or site collection template galleries.

And there are two types of templates for each style:

  • Site templates include all of the pages, information, and styles needed to create a site, including any list templates used in the site.
  • List templates include all of the pages, information, and styles needed to create a single list.

Working with Site Definitions

Site definitions were the only type of template available in SharePoint Team Services v1.0. Windows SharePoint Services Beta 2 provides for multiple site definitions in addition to custom site and list templates.

When you install Windows SharePoint Services Beta 2 on a Web server computer, the default set of site definitions is also installed. Administrators of the server computer can create custom versions of the default set of site definitions. To create a custom version of a site definition, it is recommended that you create a new site definition, rather than editing the existing site definition files. If you edit the default site definition files, and then upgrade to a later version of Windows SharePoint Services Beta 2, you will lose your customizations, and any sites based on the site definitions can potentially be broken. For more information about creating custom site definitions, see the Windows SharePoint Services Software Development Kit.

You can also mark a site definition as hidden, so that the templates based on that site definition do not appear in the list of site types that users can create. For example, if you have a customized version of the Team Site template that you want users to base their sites on, rather than the default version, you can hide the default version of the Team Site template.

To mark a site definition as hidden, you modify the hidden parameter in the Webtemp.xml file. The Webtemp.xml file lists all of the site definitions available for the server, and is stored on the server computer at \Program Files\Common Files\Microsoft Shared\Web Server Extensions\60\Template\LCID\XML, where LCID is a locale ID, such as 1033 for U.S. English. You can open the Webtemp.xml file in any XML editor, such as Notepad. To hide a particular template, locate the section for that template in the Webtemp.xml file, and then set the hidden parameter to true. Set hidden to false to unhide the template.

For more information about working withsite definitions, see the Windows SharePoint Services Software Development Kit.

Working with Custom Templates

You can create custom site or list templates for a specific site collection, or for use in any site collection on the server computer. To create a custom template, you save an existing site or list as a site or list template. You can add custom templates to the central template gallery or the site collection template galleries. When you save a site or list as a site or list template, it retains an ID that indicates which site definition the template is based on.

About Site Templates

Users can customize a site and save the customized site as a site template, so that other users in the site collection can create similar sites later. To create a site template based on a Web site, you must a member of the Administrators site group for the current Web site. To add the new site template to the site collection gallery, you must have the Add Item right for the site template gallery, which is included by default in the Web Designer and Administrator site groups for the top-level Web site in a site collection. Administrators of a site collection can also import a site template created by another user or software vendor and add the new template to the available site templates in the site collection.

A site template is a file that includes all of the design information about the site, such as:

  • The lists within a site.
  • Any Web Part Pages within a site.
  • Any custom pages within a site.
  • The theme or borders applied to a site.
  • Any customizations to the Quick Launch bar.
  • Site content (list and document library contents — optional).

Site templates do not include the following items:

  • Security settings, such as a list of users or groups with permissions to the site from which the template was created.
  • Personalizations to Web Part Pages.
  • Web discussions from the original site.
  • Alerts from the original site.
  • Web Part assemblies that were added to the original site.

You must have the Add Item right for the site template gallery in order to create a site template. By default, members of the Web Designer and Administrator site groups for a top-level Web site have this right for the site template gallery. Site templates are stored as files with the .fwp extension.

Using Site Templates

Users can create subsites based on templates available on the server or on the site collection. When a user creates a top-level Web site, he or she can base the site on a site template from either of the following sources:

  • The site definitions available on the server.
  • Custom site templates in the central template gallery.

When a user creates a new subsite, he or she can choose from the combined list of templates from the following sources:

  • The site definitions available on the server.
  • Custom site templates in the central template gallery.
  • Custom site templates in the site collection template gallery.

When the user creates a subsite, he or she chooses a template from templates available on the Template Selection page. This page shows all templates available on the server and site collection, filtered by the language that was selected on the Create Site page. The new subsite is based on the template, but can be customized and changed, just like any other site.

About List Templates

When a user creates a new list, he or she selects a list template to use in creating the list. Windows SharePoint Services Beta 2 includes many list templates by default, and users can customize an existing list and save the customized list as a new list template. To add the new list template to the site collection gallery, you must have the Add Item right for the list template gallery, which is included by default in the Web Designer and Administrator site groups for the top-level Web site in a site collection. Administrators of a site collection can also import a list template created by another user or software vendor and add the new template to the available list templates in the site collection.

A list template is a file that includes all of the design information about the list, such as:

  • The columns and fields in the list.
  • Any views created for the list.
  • List content (optional).

List templates do not include:

  • Security settings, such as a list of users or groups with permissions to the list from which the template was created.
  • Lookup field links. Although lists can contain lookup fields that reference data in another list, that other list (and its data) is not included when you save a list template.

You must have the Manage Lists right to create a list template. The Manage Lists right is included in the Web Designer and Administrator site groups by default. You must also have access to the list template gallery for the top-level Web site to create a list template. This access is controlled by the Add Item right for the template gallery, which is granted to members of the Web Designer and Administrator site groups for the top-level Web site. List templates are stored as files with the .fwp extension.

Using List Templates

Users can create lists based on templates available on the server or on the site collection. To create a list based on a template, the user can go to the Create page in a site, and then click the list name to create. Custom list templates are listed on the Create page alongside the default set of list templates from the site definitions.

Note When a user creates a list, he or she can select a list template from the set of list templates on the server and the site collection. This set is filtered based on the site language and the site definition ID that your site is based on. For example, a site based on the Meeting Workspace template has a different site definition ID than a site based on the Team Site template. If you create a Meeting Announcements custom list template from the Announcements list in a site based on a Meeting Workspace template, that template is not available from within a site based on the Team Site template.

Creating Templates

Members of the Administrator site group for a site can create a template based on that site.

Create a site template
  1. On the site, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Management and Statistics, click Save site as template.
  4. In the File Name box, type the filename to use for the site template file.
  5. In the Template Title box, type the title you want to use for the template in the site template gallery.
  6. In the Template Description box, type a description for the site template.
  7. If you want to include the existing site content, select the Include content check box.
  8. Click OK.

You must be a member of the Web Designer or Administrator site group to be able to create a list template.

Create a list template
  1. Navigate to the list you want to save as a template.
  2. Under Actions, click Modify settings and columns.
  3. On the Customize: <List Name> page, under General Settings, click Save list as template.
  4. In the File Name box, type the filename to use for the template file.
  5. In the Template Title box, type the title you want to use for the template in the list template gallery.
  6. In the Template Description box, type a description for the template.
  7. If you want to include the existing content, select the Include content check box.
  8. Click OK.

Managing the Site Template Gallery

Site templates are added or removed from the site template gallery at the site collection level. You must go to the Site Administration page for the top-level Web site in a site collection to manage the site template gallery.

When a user creates a site template, it is automatically added to the site template gallery for the site collection. If you want to import a site template from an .fwp file, you can do so from the Manage Site Template Gallery page.

Add a template to the site template gallery
  1. On the top-level Web site, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Site Collection Galleries, click Manage site template gallery.
  4. On the Site Template Gallery page, click Upload Template.
  5. In the Name box, type the path to the template, or click Browse.

    You can upload multiple templates by clicking Upload Multiple.

  6. Click Save and Close.
Delete a template in the site template gallery
  1. On the top-level Web site, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Site Collection Galleries, click Manage site template gallery.
  4. On the Site Template Gallery page, click the Edit icon next to the template name.
  5. On the Site Template Name: <Name> page, click Delete.

Managing the List Template Gallery

List templates are managed at the site collection level. You must be an administrator of the top-level Web site in a site collection to manage the list template gallery.

When a user creates a list template, it is automatically added to the list template gallery for the site collection. If you want to import a list template from an .fwp file, you can do so from the Manage List Template Gallery page.

Add a template to the list template gallery
  1. On the top-level Web site, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Site Collection Galleries, click Manage list template gallery.
  4. On the List Template Gallery page, click Upload Template.
  5. In the Name box, type the path to the template, or click Browse.

    You can upload multiple templates by clicking Upload Multiple.

  6. Click Save and Close.
Delete a template in the list template gallery
  1. On the top-level Web site, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Site Collection Galleries, click Manage list template gallery.
  4. On the List Template Gallery page, click the Edit icon next to the template name.
  5. On the List Template Name: <Name> page, click Delete.

Managing the Central Template Gallery

There is a centralized store of site templates called the central template gallery. This gallery is managed for your entire server or server farm, and can only be managed by using the command-line tool, Stsadm.exe. You must be a member of the local administrators group for the server computer to manage the central template gallery.

You use the following operations to manage the central template gallery.

Operation | Description
addtemplate | Adds a template to the central template gallery.
deletetemplate | Removes a template from the central template gallery.
enumtemplates | Lists the templates currently in the central template gallery.

The addtemplate operation takes the required filename and title parameters and the optional description parameter. To add a template, you would use the following syntax:

stsadme.exe -o addtemplate -filename <filename> -title <template title> -description <description of the template>

The deletetemplate operation takes the required title parameter and the optional lcid parameter. To delete a template from the central template gallery, you would use the following syntax:

stsadme.exe -o deletetemplate -title <template title> -lcid <language>

Note After you add or delete a template from the central template gallery, you need to restart the Web service in Internet Information Services (IIS). You can restart all of IIS at once by running iisreset on the command line, or just restart the specific Web sites in Internet Information Services (IIS) Manager. If you are in a server farm environment, you must restart the Web services for each front-end Web server in your server farm.

The enumtemplates operation takes the optional lcid parameter. To list all templates in the central template gallery, you would use the following syntax:

stsadm.exe -o enumtemplates

To list only templates for a specific language, you would use the following syntax:

stsadm.exe -o enumtemplates -lcid <language>

For more information about command-line parameters, see Command-Line Parameters. For a list of valid locale IDs (LCIDs), see Regional and Language Settings.

Using Site Templates from the Central Template Gallery

Users can create sites based on templates available in the central template gallery by using the same method as is used for any other site template. When the user creates a site, he or she chooses a template from templates available on the Template Selection page.

Administrators can also create sites based on the site templates available in the server template gallery. To create a site based on a template in the central template gallery, the administrator must use the createsite or createweb operations on the command line, and specify the template name as _GLOBAL_#number, where number refers to the template ID. For example, if you have a site template in the central template gallery with the ID 2, you could use the following syntax to create a site based on that template:

stsadm.exe -o createsite -url <url> -ownerlogin <DOMAIN\username>
-owneremail <someone@example.com> -sitetemplate _GLOBAL_#2

Note To find the template ID for a global template, you can use the enumtemplates operation.

Sharing Templates

You can share list and site templates with users outside of your site collection by giving them a copy of the .fwp template file. You can give them a copy of the template file, just like any other file, by sending it in an e-mail message, posting it to a network share or Web site, or making a copy on a disk.

If the users are members of the Administrator or Web Designer site groups for their sites, they have the Add Item right for the site and list template galleries, and can add the site or list template to their site or list template gallery, and start using it.

To create a copy of a template, you must perform the following steps:

  1. Create the template.
  2. Navigate to the template gallery (whether site or list), right-click the file, and then click Save As to save the file to a network share or your local computer.


Extending Virtual Servers

Extending Virtual Servers

Microsoft Windows SharePoint Services Beta 2 uses virtual servers to host Web sites on your server. The process of applying Windows SharePoint Services Beta 2 to a virtual server is called extending. You must extend a virtual server with Windows SharePoint Services Beta 2 before you can create a Web site based on Windows SharePoint Services Beta 2. When you install Windows SharePoint Services Beta 2 on a single server by using the simple installation method, your default virtual server is extended automatically and a Web site is created. If you are installing Windows SharePoint Services Beta 2 in a more complex environment (for example, hosting multiple sites on a single server, or many sites in a server farm), you must extend each virtual server individually. To extend a new virtual server, you must perform the following steps:

  1. Create the virtual server in Internet Information Services (IIS).
  2. If necessary, connect to the configuration database for the server farm.
  3. Extend the virtual server using HTML Administration pages or the command line.

How Does Extending a Virtual Server Interact with the Databases?

Windows SharePoint Services Beta 2 relies on databases to store all data for a virtual server, including both configuration settings and site content. When you extend a virtual server and provision a site, you interact with two different databases:

  • Configuration database

    The configuration database maintains connections between servers and content databases, stores server settings, and identifies which content is to be provided by which virtual servers. There is one configuration database per stand-alone server or per server farm. For more information about the configuration database, see Managing the Configuration Database.

  • Content database

    Content databases store data from the sites: both site management data, such as user names and permissions, and content, such as list data and documents from document libraries. You can create as many content databases as you need to support the Web sites on your servers. For a departmental server, you may need only one content database. For a server farm, you may need thousands. For a Web site that is available to members both behind and outside of a firewall (an extranet), you may have one content database linked to two virtual servers with very different URLs. For more information about content databases, see Managing Content Databases.

Before you extend the first virtual server on a server computer, you must create or connect to a configuration database; subsequent virtual servers do not have to be separately registered with the configuration database. When you extend a virtual server, you choose whether to create a new content database or connect to an existing content database.

Creating a New Virtual Server in Internet Information Services (IIS)

If you are adding a new virtual server to an existing server, you must create the virtual server first. This means creating a folder on your hard disk (usually under the \Inetpub folder) to store the virtual server's files, and then adding the virtual server in Internet Information Services (IIS).

Create a virtual server
  1. Click Start, point to All Programs, point to Administrative Tools, and then click Internet Information Services (IIS) Manager.
  2. Click the plus sign (+) next to the server name you want to add a virtual server to.
  3. Right-click the Web Sites folder, click New, and then click Web site.
  4. Click Next.
  5. In the Description box, type the description of your virtual server, and then click Next.
  6. In the Enter the IP address to use for this Web site box, select the IP address you want to use, or use the default (All Unassigned).
  7. In the TCP port this Web site should use (Default: 80) box, type the port number to assign to the virtual server.

    You do not need to assign a host header, because the hosting is being handled through Windows SharePoint Services Beta 2.

  8. Click Next.
  9. In the Path box, type or browse to the path on your hard disk where the site content will go.
  10. If you do not want to allow anonymous access to your virtual server, clear the Allow anonymous access to this Web site check box.
  11. Click Next.
  12. On the Permissions panel, select the permissions to use, and then click Next.

    The default permissions, Read and Run Scripts (such as ASP), are recommended. The Execute (such as ISAPI applications or CGI) permission will be added automatically to the appropriate folders by Windows SharePoint Services Beta 2.

  13. Click Finish.

For more information about creating new Web sites on servers running the Windows .NET Server family, see the Adding Sites topic in the Help system for Internet Information Services.

Connecting to a Configuration Database (Server Farm Only)

If you are adding a server to a server farm, and provisioning the first virtual server for that server, you must connect to the configuration database for your server farm before you can extend the virtual server. To connect to a configuration database, use the Set Configuration Database Server page. For more information, see Managing the Configuration Database. After you have connected to the configuration database, you can extend the virtual server.

Extending a Virtual Server

Generally, you extend a virtual server because you need to add more capacity to your server, whether that server is a departmental server or one of many in your server farm. More capacity can mean either more space for Web site content or more connections to existing Web sites. For example, if you have a site with a lot of visitors, you can have several virtual servers hosting the same content to increase the number of concurrent users you can support and balance the load for your servers. You can extend a virtual server to do one of the following:

  • Contain new content

    If you need to provide space for users to create new Web sites, you can extend a new virtual server to contain new content. Note that you can also add space for users by adding more site collections or new content databases to an existing virtual server. For more information about creating top-level Web sites, see Creating Sites and Subsites. For more information about content databases, see Managing Content Databases.

  • Connect to existing content

    If you want your new virtual server to point to a Web site that is already in use, either to allow for more connections to a site or to allow more than one URL to point to a site, you can connect to an existing content database. When you extend a virtual server you can choose which content database to use. The content databases are actually listed as virtual servers, and the list contains all virtual servers that currently exist on the server (in a single-server setting), or in the server farm. This list is generated by querying the configuration database, which is why you must be connected to the configuration database before you can extend a virtual server.

    When you extend and connect to an existing content database, all of the configuration data about the existing virtual server is applied to the new virtual server. Any managed paths are also applied. This means that if you have virtual server A that contains the paths /teams, /sites, and /users, when you extend virtual server B and connect to the content database for virtual server A, virtual server B now also has the /teams, /sites, and /users paths. A user can be directed to either virtual server A or B and see the same content — they are essentially mirrored virtual servers. For more information about URLs in Windows SharePoint Services Beta 2, see Windows SharePoint Services Architecture.

When you extend a virtual server, you must supply the following information:

  • The application pool to use for the virtual server.
  • The user account and e-mail address for the owner of the default top-level Web site for the virtual server.
  • The content database to use for storing data for sites on the virtual server.
  • Which URL to use for your top-level Web site (optional). The default is to create the top-level Web site at the root of the virtual server, but you can specify a custom URL path instead.
  • Which quota template to apply, if you are using quotas on your server (optional).
  • The language to use for the default top-level Web site (select from the set of Windows SharePoint Services Beta 2 languages installed on your server).
  • Which site template to apply to the top-level Web site (optional). On the command line, you can specify which template to apply to the top-level Web site in the same command that you use to extend the virtual server. You can choose the template from HTML Administration pages as well, but you must navigate to the site to do so.

After you extend the virtual server, you can specify default settings for top-level Web sites created under that virtual server. For more information, see Configuring Virtual Servers.

The following sections show you how to extend a virtual server using HTML Administration pages or the command line. You can use either method to extend a virtual server and connect to or create a content database.

Note You can also extend a virtual server by using a script during a quiet installation. For more information, see Performing a Quiet Installation.

Extending a Virtual Server by Using HTML Administration Pages

If you are adding a new virtual server on a stand-alone server, or the first virtual server for a server farm, you need to create a place to store the content your Web site users will create. This means that when you extend your virtual server, you need to create a content database.

Extend and create a content database by using HTML Administration pages
  1. On the SharePoint Central Administration page, click Extend or upgrade virtual server.
  2. On the Virtual Server List page, click the name of the virtual server to extend.
  3. On the Extend Virtual Server page, in the Provisioning Options section, select Extend and create a content database.
  4. In the Application Pool section, select either Use an existing application pool or Create a new application pool.

    Note It is recommended that you create a new application pool for each virtual server, so that they run in separate processes. This application pool should use a domain account, but it does not need to have database creation rights in Microsoft SQL Server — the administration virtual server account creates any databases required.

  5. If you selected Use an existing application pool, select the application pool to use. If you selected Create a new application pool, enter the new application pool name, account name, and password to use.

  6. In the Site Owner section, in the Account name box, type the user name for the site owner (in the format DOMAIN\username if the username is part of a Windows domain group).
  7. In the E-mail address box, type the e-mail address that corresponds to the account.
  8. In the Database Settings section, enter the following database connection information or select the Use default content database server check box:
    • In the Database server box, type the server name for your server computer.
    • In the Database name box, type the name to use for your content database.
  9. If you want to specify a path for the URL, in the Custom URL path box, type the path to use.
  10. If you are using quotas, select a template in the Select a quota template box of the Quota Settings section.
  11. In the Site Language section, select the language to use.
  12. Click OK.

The virtual server is extended, a site is created at the root of the virtual server, and the browser window returns to the Virtual Server Settings page, where you can configure default settings for new top-level Web sites.

When you connect to an existing content database, you do not need to create a top-level Web site. After you extend the virtual server, the virtual server hosts the existing sites in the database.

Extend and connect to an existing content database by using HTML Administration pages
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Click Extend or upgrade virtual server.
  3. On the Virtual Server List page, click the virtual server you want to extend.
  4. On the Extend Virtual Server page, click Extend and connect to existing content database.
  5. On the Extend and Connect to Existing Content Database page, in the Server Mapping section, in the Host name or IIS virtual server name box, select the name of the host or virtual server that you want to use.
  6. In the Application Pool section, select either Use an existing application pool or Create a new application pool.

  7. If you selected Use an existing application pool, select the application pool to use. If you selected Create a new application pool, enter the new application pool name, account name, and password to use.

  8. Click Submit.

The virtual server is extended and can now provide the same content as the other virtual servers pointing to that content database. You can add a new top-level Web site to the virtual server if you need to, and it will be hosted by any virtual server that is connected to the content database.

Extending a Virtual Server from the Command Line

You can extend virtual servers from the command line by using the extendvs operation. The extendvs operation allows you to extend a virtual server and either connect to an existing content database or create a new content database, specify the language for the top-level Web site, and specify a template to use for the top-level Web site. The extendvs operation takes the following required parameters: url, ownerlogin, owneremail and the following optional parameters: ownername, databaseserver (ds), databaseuser (du), databasepassword (dp), databasename (dn), lcid, sitetemplate, donotcreatesite, apcreatenew, apidname, apidtype, apidlogin, and apidpwd.

The lcid parameter allows you to specify a language to use for the default top-level Web site. For example, to specify U.S. English as the language to use, you would type -lcid 1033 on the command line. If you do not specify a locale ID (LCID) using the lcid parameter, the language of the server is used for the default top-level Web site.

The donotcreatesite parameter allows you to extend a virtual server and create a content database without a top-level Web site. Use this parameter when you are setting up a server farm and hosting sites with URLs like http://server_name/site1, http://server_name/site2, and so on. (To use this site naming scheme, you must create a wildcard inclusion for the path under which you create the sites. For more information about inclusions, see Managing Paths.)

The sitetemplate parameter allows you to extend a virtual server, create a top-level Web site, and apply a site template to the top-level Web site during site creation. If you do not use the sitetemplate parameter, the site owner can choose a site template when he or she first browses to the site.

To extend a virtual server and use the default content database server and default application pool, use the following syntax:

Stsadm –o extendvs -url <url> -ownerlogin DOMAIN\username -owneremail
 someone@example.com [-ownername <full name>]

To extend a virtual server, specify a content database name and server, and create a new application pool, use the following syntax:

stsadm -o extendvs -url <url> -ownerlogin DOMAIN\user -owneremail
 someone@example.com [-ownername <full name>] -ds <database server name>
 [-du <database user name> -dp <password>] -dn <database name>
 -lcid <lcid> -sitetemplate sts -apcreatenew -apidname <application pool name>
 -apidtype <configurableid/NetworkService/LocalService/LocalSystem>
 -apidlogin <DOMAIN\name> -apidpwd <password>

Note that the -du and -dp parameters are not needed if you are using Windows authentication to connect to the SQL Server databases.

To extend a virtual server and create a new application pool, use the following syntax:

stsadm -o extendvs -url <url> -ds <database server name>
 [-du <database user name> -dp <password>] -dn <database name>
 -ownerlogin <owner login as DOMAIN\username> -owneremail <e-mail address
 as someone@example.com> -ownername <owner's full name as "Owner
 Name"> -lcid <lcid>

If you are in a server farm environment, you can use the extendvsinwebfarm operation. The extendvsinwebfarm operation uses the following syntax:

stsadm -o extendvsinwebfarm -url <url> -vsname <virtualservername>
 [-apcreatenew] [-apidname <app pool id>]
 [-apidtype <configurableid/NetworkService/LocalService/LocalSystem>]
 [-apidlogin <app pool user account>]
 [-apidpwd <app pool password>]

Related Links

For more information about the extendvs and extendvsinwebfarm operations, see Command-Line Operations.

After you have extended a virtual server, you can configure settings for the virtual server. For more information, see Configuring Virtual Servers.

As your organization's use of Windows SharePoint Services Beta 2 grows, you may find that you need additional database capacity for your site content. You can create additional content databases to store site data. For more information, see Managing Content Databases.


Managing Web Part Availability

Managing Web Part Availability

Microsoft Windows SharePoint Services Beta 2 allows users to add Web Parts to Web Part Pages in a SharePoint site. A Web Part is a modular unit of information that has a single purpose. For example, the list of default Web Parts available with Windows SharePoint Services Beta 2 includes:

  • Content Web Part — Displays unstructured Web content, such as text or images.
  • Image Web Part — Displays a picture.
  • Form Web Part — Allows you to add an HTML form.
  • Contacts Web Part — Allows you to display the Contacts list on another Web Part Page.
Users can add Web Parts to Web Part Pages and can personalize or share existing Web Parts with other users. Web Parts can also be connected to each other. For example, if you connect an Image Web Part to a data list, you can make the image change depending on which item in the data list is selected. You can even create custom Web Parts by using the Web Part Framework. For more information about creating a Web Part, see the Windows SharePoint Services Software Development Kit.

Users can include Web Parts from any of the following sources by default:

  • The online Web Part gallery — A list of ready-to-use Web Parts available from the Microsoft Web site.
  • The site collection Web Part gallery — The list of Web Parts (either default or custom Web Parts) added to a particular site collection.
  • The server Web Part gallery - the list of Web Parts (either add-in Web Parts from a Web Part assembly or custom Web Parts in a Web Part assembly) added to a particular server. For more information about Web Part assemblies, see Deploying Custom Web Parts.

    Note There is a fourth gallery, the Web Part Page gallery, that lists all of the Web Parts currently used on a specific Web Part Page.

When a user adds a Web Part to a Web Part Page, they can browse any of these sources to find a Web Part.

Managing Security and Performance Options for Web Parts and Web Part Pages

You can control whether users can connect Web Parts to each other within a site, and whether to allow access to the online Web Part gallery. The online Web Part gallery contains many Web Parts that users can download and install to use on their sites. Both of these actions have potential impact on your server and site security and performance. For example, if you allow Web Part connections, and a user connects a complex Web Part to a large data set, the Web Part Page that contains those Web Parts could take a long time to load when a user browses to it. Also, if a user connects to a Web Part that contains a scripting error or malicious code, it could open up a security hole in the user's site, or, potentially, on your server.

You can change these configuration options at the virtual server level. By default, both security options are enabled at the server level. You only need to change these options if you do not want to allow either Web Part connections or access to the online Web Part gallery. If you have multiple servers in a server farm environment, and you want to change these settings for all virtual servers, you must configure these options for each virtual server on each server in that server farm. You must be an administrator of the local server computer, or a member of the SharePoint Administrators group to configure security and performance options for Web Parts and Web Part Pages.

Configure options for Web Parts and Web Part Pages

  1. On your server computer, click Start, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the SharePoint Central Administration page, click Configure virtual server settings.
  3. On the Virtual Server List page, click the virtual server you want to configure.
  4. On the Virtual Server Settings page, click Manage security settings for Web Part Pages.
  5. Select the options you want to enable or disable, and then click OK.

    You can also return to using the default server settings of enabling users to both connect Web Parts and use the Online Web Part gallery, by clicking Restore Defaults.

If your server is behind a proxy server or firewall, you must also edit the web.config file for your server to enable the online Web Part library. In a server farm environment, you must edit this file for every Web front-end server in the server farm.

Allow access to the online Web Part library from behind a proxy server or firewall
  1. On your Web front-end server computer, open Notepad, and then open the web.config file under the following directory:

    \Program Files\Common Files\Microsoft Shared\Web Server Extensions\60\CONFIG

  2. In the web.config file, add the following lines.

    <system.net>
      <defaultProxy>
      <proxy proxyaddress="http://Proxy_Server:port" bypassonlocal = "true"/>
      </defaultProxy>
    </system.net>
    Where Proxy_Server:port is the proxy server or firewall used for your environment.

  3. Save and close the web.config file.

Managing the Web Part Gallery for a Site

Administrators of a top-level Web site can determine which Web Parts are available to the users of sites in their site collection. They can use the Web Part Gallery page to add or remove Web Parts from the list of Web Parts available for use, or to upload new Web Parts. Note that users may also have access to Web Parts in the online Web Part gallery, or in the Server gallery. The Web Part gallery for a site controls only a subset of all Web Parts available to users.

Make a Web Part available in the Web Part Gallery

  1. On a top-level Web site, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Site Collection Galleries, click Manage Web Part gallery.
  4. On the Web Part Gallery page, click New Web Part.
  5. Select the check box next to the Web Parts you want to include in the gallery, and then click Populate Gallery.

If you have installed a Web Part Package, and need to add the Web Parts to the gallery, you can use the Upload Web Part button to add the new Web Parts to the gallery.

Add a Web Part to the Web Part gallery

  1. On the Web Part Gallery page, click Upload Web Part.
  2. In the Name box, type the name of the Web Part (including the full path to the .dwp file), or click Browse.

    If you have several Web Parts that you want to upload at once, click Upload Multiple and select the Web Parts to upload.

  3. In the Group box, select a group, or under Specify your own value:, type a group name for the Web Part.
  4. Click Save and Close.

You can add several Web Parts to your gallery at once by using the Upload Multiple option on the Upload Web Part page.

Add multiple Web Parts to the Web Part gallery

  1. On the Web Part Gallery page, click Upload Web Part.
  2. Under Name, click Upload Multiple.
  3. Select the check boxes next to the Web Parts you want to upload, and then click Save and Close.

You can remove a Web Part from the gallery if you want to make it unavailable to users. If a user has already used a Web Part in the site, and you delete the Web Part from the site gallery, the Web Part will remain on the Web Part Page, and will still work. However, if an administrator on the server computer removes the Web Part assembly that contains the Web Part from the server, or marks the assembly as unsafe in the Web.config file for the server, the Web Part will no longer run, and the user will see an error message.

Remove a Web Part from the Web Part Gallery

  1. On the Web Part Gallery page, next to the Web Part you want to remove, click the Edit icon.
  2. On the Web Part Gallery: <Web Part Name> page, click Delete.
  3. Click OK to delete the Web Part.

Related Links

Server administrators can install new Web Parts as part of a Web Part Package. For more information, see Deploying Custom Web Parts.


Managing Versions and Checking Documents In and Out

Managing Versions and Checking Documents In and Out

Microsoft Windows SharePoint Services Beta 2 gives users the ability to keep versions of documents, and to check documents in and out.

About Document Versioning

Document versioning allows you to keep multiple versions of a document. If a change needs to be reversed, you can restore the previous version and continue working. A Version History command is included on the drop-down list users see when they click the arrow next to a document name and on the toolbar in the Edit Properties page for the document. The Version History command is also available in client applications compatible with Windows SharePoint Services Beta 2, such as Microsoft Word 11 (Beta), Microsoft Excel 11 (Beta), and Microsoft PowerPoint 11 (Beta). When the user clicks Version History, a list of the previous versions of the document appears. The user can open an old version, restore a version (replacing the current version), or delete an old version.

When versioning is enabled, versions are automatically created whenever a user updates a document in a document library. Versions are created in the following situations:

  • When a user checks out a file, makes changes, and checks the file back in.
  • When a user opens a file, makes changes, and then saves the file for the first time.

    Note If the user saves the file again, without closing the file, a new version is not created. If the user closes the application he or she is using to edit the file, and then opens it and saves the file again, another version is created.

  • When a user restores and old version of a file (and does not check it out).
  • When a user uploads a file that already exists, in which case the current file becomes an old version.

Members of the Administrator and Web Designer site groups for a site can determine whether document versioning is enabled for a particular document library. To enable document versioning, you use the settings page for that document library.

Enable versioning for a document library
  1. Navigate to the list, and on the left link bar, click Modify settings and columns.
  2. On the Customize "Document Library" page, click Change general settings.
  3. On the Document Library Settings page, in the Document Versions section, under Create a version each time you check in a file to this Web site?, click Yes.
  4. Click OK.

About Checking Documents In and Out

Checking documents in and out allows users to obtain exclusive write access to a document, eliminating the need to merge changes from multiple authors. When a user checks a document out, that user is the only user who can save changes to the document. Other users can read the document, but they cannot make changes. The user who has the document checked out can update the document, and see the latest version of the document, but other users will not see the updates until the document has been checked back in. Members of the Administrator and Web Designer site groups (or members of any site group with the Cancel Check-out right) for a site can override a document check-out if necessary, and force the document to be checked in with the previous version.

To force a document to be checked in, you use the same command as the user would use to check in a document normally.

Cancel a check-out and return to the previous version
  1. Navigate to the document, click the down arrow next to the document's title, and then click Check In.
  2. On the Check In page, select Discard changes and undo check out, and then click OK.
  3. On the confirmation message that appears, click OK to check in the document.


Configuring Data Retrieval Services

Configuring Data Retrieval Services

A data provider service implements a new data-binding technology that enables data consumers and data sources to communicate with each other through SOAP and XML. Data retrieval services are XML Web Services that return XML data from different data sources or perform data-manipulation operations against those data sources. A data provider service is installed and runs on a server extended with Windows SharePoint Services Beta 2. Windows SharePoint Services Beta 2 ships with a default set of data retrieval services for working with data in SharePoint lists, OLEDB, and XML data sources. Client applications, and data-bound Web Parts, such as the Spreadsheet Web Part, can use a data provider service to query the data source supported by the particular data source.

You can enable or disable data retrieval services and configure settings for data retrieval services by using the SharePoint Central Administration page.

Enable data retrieval services and configure settings
  1. On the SharePoint Central Administration page, under Component Configuration, click Configure data retrieval services settings.
  2. On the Data Retrieval Services Settings page, in the Enable Data Retrieval Services section, select Enable these data retrieval services.
  3. On the Data Retrieval Services Settings page, in the Response size limit box, specify the size, in kilobytes (KB), to use as the upper size limit for responses from the data retrieval services.
  4. To allow updatable queries, select the Enable update query support checkbox.
  5. In the Request time-out box, specify the length of time to allow the data retrieval service to respond before timing out, in seconds.
  6. Click OK.


Japanese Language Features

Japanese Language Features

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Editing a Noise Word File

Editing a Noise Word File

A noise word is a word such as the or an that is not useful for searches. A list of noise words for a particular language is stored in the noise word file for that language. SharePoint Portal Server provides noise word files for the following languages:

  • Chinese-Simplified (noisechs.txt)
  • Chinese-Traditional (noisecht.txt)
  • Dutch (noisenld.txt)
  • English-International (noiseeng.txt)
  • English-US (noiseenu.txt)
  • French (noisefra.txt)
  • German (noisedeu.txt)
  • Italian (noiseita.txt)
  • Japanese (noisejpn.txt)
  • Korean (noisekor.txt)
  • Spanish (noiseesn.txt)
  • Swedish (noisesve.txt)
  • Thai (noisetha.txt)

If there is no noise word list for a particular language, the neutral noise word file (noiseneu.txt) is used. The word breaker of the corresponding language parses noise words. By default, Microsoft SharePoint Portal Server "v2.0" Beta 2 stores noise word files in the following directory of the server: \Program Files\SharePoint Portal Server\DATA\Config. The data directory is located elsewhere if you chose to install the data files elsewhere during the server installation process.

You can edit the noise word file. If you add noise words, the accuracy of your searches may decrease. However, the size of the content index also decreases, which helps performance. You can delete noise words if you want searches to return those words.

If you remove words from the noise word file, you will not see the effect unless you reset the content indexes and perform a full update. When an administrator removes words from the noise word file, these words are removed from files before the files are included in an index. You must update the index after you modify the noise word list. Otherwise, documents that contain the removed noise words will not be returned in queries for those terms.

You should never delete the noise word file. If you do not want noise words removed during update or query time, remove all entries from the file. If you delete the file, all single characters will be removed as noise words.

Noise word files are copied to \Program Files\SharePoint Portal Server\DATA\Applications\Application UID\Config. You can specify noise words at the application level instead of at the server or server farm level. For example, if SharePoint Portal Server "v2.0" Beta 2 and Microsoft SQL Server are installed on the same server, each can have different noise word lists.

Tip If you want to include all words in the content index, even noise words, you should delete all entries out of the noise word file for the language you are using. Leave the empty file in the data directory. If you delete the file, the neutral noise word file will prevent noise words from being included in the index.

Recommendation If you remove words from the noise word file, it is highly recommended that you reset the content index (for more information about resetting the index, see Resetting a Content Index). When you add a noise word, any query that is run after the word is added will have the term removed. The result of this is that the term will not return query results. When you remove a noise word from the list, queries will issue the term as valid, but the documents that were included in the index prior to the change will not have any occurrences of the term due to noise word removal.

Edit a Noise Word File

  1. Open the file in Microsoft Notepad. The noise word files are in Unicode and require a text editor capable of editing Unicode files.
  2. Add or delete a noise word.
  3. Save the file and close Notepad.
  4. Restart the SharePoint Portal Search service. To do this:
    1. Click Start, point to All Programs, point to Administrative Tools, and then click Services.
    2. Right-click SharePoint Portal Search, and then click Restart.
  5. Perform a full update of the index. For more information, see Starting a Full Update of a Content Index.

If the user is performing a search from the portal, SharePoint Portal Server discards some query terms as noise words even if the term itself is not a noise word. This occurs when the term is an inflectional form of the noise word. For example, if “be” is in the noise word file and you search for “am,” “am” is treated as a noise word because it is a form of “be.” If a user searches for a noise word, the portal returns no results.


Editing a Thesaurus File

Editing a Thesaurus File

The thesaurus is a query-expansion search feature. It allows the user to type a phrase in a search query and receive results for related words. For example, the user can search for “run” and receive results that contain either "run" or “jog” if those two terms are related by the thesaurus file. The thesaurus also enables the server farm administrator to affect search ranking by assigning weights to words. Microsoft SharePoint Portal Server "v2.0" Beta 2 provides thesaurus files for the following languages:

  • Chinese-Simplified (tschs.xml)
  • Chinese-Traditional (tscht.xml)
  • Dutch (tsnld.xml)
  • English-International (tseng.xml)
  • English-US (tsenu.xml)
  • French (tsfra.xml)
  • German (tsdeu.xml)
  • Italian (tsita.xml)
  • Japanese (tsjpn.xml)
  • Korean (tskor.xml)
  • Spanish (tsesn.xml)
  • Swedish (tssve.xml)
  • Thai (tstha.xml)

The thesaurus files contain inactive (commented out) sample content. The neutral thesaurus file (tsneu.xml) is applied to queries that do not have an associated thesaurus file for the query language. The neutral thesaurus file is always applied to queries, in addition to the thesaurus file associated with the query language.

By default, SharePoint Portal Server "v2.0" Beta 2 stores thesaurus files in the following directory of the server: \Program Files\SharePoint Portal Server\DATA\Config. The data directory is located elsewhere if you chose to install the data files elsewhere during the server installation process.

The thesaurus files are also copied to \Program Files\SharePoint Portal Server\Data\Applications\Application UID\Config for each specific instance of the Microsoft Search service (MSSEARCH) or SharePoint Portal Search service (SPSSearch). You can modify the thesaurus at the application level instead of at the server or server farm level. For example, if SharePoint Portal Server "v2.0" Beta 2 and Microsoft SQL Server are installed on the same server, each can have different thesaurus files.

Important There is one additional file called tsschema.xml. Do not modify this file.

You can edit the thesaurus entries by editing the XML file in a text editor. The file must be well-formed XML (matching opening and closing tags around each entry) to load properly. If the XML is malformed, SharePoint Portal Server "v2.0" Beta 2 logs an error in the Windows Server 2003 event log referencing the file and line.

Note Do not change the case of the tags in the XML file. Only the XML tag is uppercase. All other tags are lowercase. For example, the <replacement> tag must remain lowercase.

Thesaurus files containthe following types of thesaurus entries:

Replacement set

A replacement set specifies a pattern that is replaced by a substitution or substitutions in a search query. For example, you can add a replacement set where “W2K” is the pattern and “Windows 2000” is the substitution. If users query for “W2K,” SharePoint Portal Server "v2.0" Beta 2 returns only search results containing “Windows 2000.” It does not return results containing “W2K.”

Each replacement set is enclosed within a <replacement> tag. Within the replacement tag, you specify one or more patterns by enclosing them in a <pat> tag. You specify one or more substitutions by enclosing them in a <sub> tag. Patterns and substitutions can contain a word or a sequence of words. For the above example, you would add the following lines:

<replacement>
         <pat>W2K</pat>
         <sub>Windows 2000</sub>

</replacement>

You can have more than substitution for each pattern.

By default, patterns are case-sensitive. For example, if your thesaurus file contains the preceding entry and a user searches for “w2k,” SharePoint Portal Server "v2.0" Beta 2will not necessarily return search results containing “Windows 2000.” SharePoint Portal Server "v2.0" Beta 2 does not recognize “w2k” as "W2k" because the case of the text differs.

You can specify that patterns are case-sensitive or case-insensitive by adding a tag to the thesaurus file for your language. For example, if you specify that patterns are case-insensitive, the <pat> and <sub> terms will match query terms regardless of the case of the query term. For information about adding the case tag to the thesaurus file, see "Edit a thesaurus file" later in this section.

The preceding example was an example of a CONTAINS FORMSOF thesaurus works as described previously. For more information about the CONTAINS FORMSOF syntax, see the SharePoint Products and Technologies "v2.0" Software Development Kit.

The type of query that the portal site uses by default is called FREETEXT. FREETEXT queries automatically activate the thesaurus.However, if you type your search term or terms in double quotation marks, SharePoint Portal Server "v2.0" Beta 2 disables the FREETEXT query and does not consult the thesaurus. If the thesaurus replaces one word of a phrase with another word, a FREETEXT query returns results for the new version of the entire phrase.

For the replacement set shown earlier, the following table shows results based on different user input typed in the search interface on the portal site. This example assumes that the thesaurus is set as case sensitive, but search is set as not case sensitive.

User Input | Thesaurus Consulted | Search Results Include Documents that Contain
w2k Yes (FREETEXT query)

W2k or W2K or W2k or w2K

No results are returned for Windows 2000 because the pattern in the thesaurus is uppercase W2K

“w2k” | No | w2k or W2K or W2k or w2K
W2K Yes (FREETEXT query)

Windows 2000 or windows 2000 or case combinations (such as wInDows 2000) or

w2k or W2k or w2K

No results are returned for W2K

“W2K” | No | W2K or w2k or W2k or w2K
W2K Server Yes (FREETEXT query)

Windows 2000 (and case combinations as shown above) or

Server (and case combinations such as server or SeRvEr) or

W2K Server (and case combinations)

No results are returned for W2K operating system

“W2K Server” No

W2K Server or w2k Server or W2k Server or w2K Server or

W2K server or w2k server or W2k server or w2K server

Note In each of the previous examples, the case sensitivity setting for search is specified as false. Otherwise, all the case differences become significant when doing the pattern matching.

If you have two replacement sets with similar patterns being matched, the longer of the two takes precedence. For example, if you have the following two replacement sets, “Internet Explorer” takes precedence over “Internet”:

<replacement>
         <pat>Internet</pat>
         <sub>intranet</sub>
</replacement>

and

<replacement>
         <pat>Internet Explorer</pat>
         <sub>IE</sub>
         <sub>IE 5</sub>
</replacement>

For the replacement sets shown above, the following table shows results based on different user input typed in the search interface on the portal:

User Input Thesaurus Consulted Search Results Include Documents that Contain
Internet Yes (FREETEXT query)

Intranet or intranet or case combinations (such as iNtranEt)

No results are returned for IE or IE 5

Internet Explorer Yes (FREETEXT query)

IE or IE 5 (and case combinations such as iE or Ie 5)

No results are returned for Internet or Internet Explorer or intranet

Expansion set

An expansion set is a group of substitutions that are synonyms of each other. Queries containing matches in one substitution are expanded to include all other substitutions in the set. For example, you can add an expansions set where “writer,” “author,” and “journalist” (the substitutions) are synonyms. If you then query for “author,” SharePoint Portal Server "v2.0" Beta 2 also returns search results containing “writer” or “journalist.”

Each expansion set is enclosed within an <expansion> tag. Within the expansion tag, you specify one or more substitutions enclosed by a <sub> tag. For the preceding example, you would add the following lines:

<expansion>
         <sub>writer</sub>
         <sub>author</sub>
         <sub>journalist</sub>
</expansion>

You can also configure the following two options:

Weighting

Substitution entries support weighting. Weighting enables you to rank certain words higher in search results by giving those words a higher value relative to the other words in the substitution set. You can specify a value between 0 and 1. For example, you can weight the following substitutions as shown:

 <expansion>
      <sub weight="0.8">Internet Explorer</sub>
      <sub weight="0.2">IE</sub>
      <sub weight="0.9">IE5</sub>
 </expansion>

Stemming

You can specify stemming in pattern and substitution entries. Word stemming maps a linguistic stem to all matching words. For example, in English, the stem “buy” matches “bought,” “buying,” and “buys.”

You can specify stemming by adding “**” at the end of the string. SharePoint Portal Server returns matches forvariations of the word you enter when you specify stemming.

For example, you can make queries for “run” also return “running,” “jog,” and “jogging.” You would modify the expansion set as shown:

 <expansion>
      <sub weight="0.5">run**</sub>
      <sub weight="0.5">jog**</sub>
 </expansion>

If you query for “run” or “running,” you get search results for “jog,” “jogging”, and so on. If you query for “running,” you get the same results as for “run.”

If your thesaurus file includes the pattern <pat> Stefan ran to the store** </pat> or the substitution <sub> Stefan ran to the store**</sub>, the query will return the following strings or search will add them to the query:

  • Stefan runs to the store
  • Stefan running to the store
  • Stefan ran to the store
  • Stefan runs to the stores
  • Stefan running to the stores
  • Stefan ran to the stores

Edit a thesaurus file

  1. Open the file in Microsoft Notepad. If double-byte character set (DBCS) characters are used, you must save the files in Unicode.
  2. If you are editing the thesaurus file for the first time, remove the following two comment lines at the beginning and end of the file, respectively:

    <!--Commented out

    -->

  3. If you want the patterns to be case-insensitive, add the following tag at the beginning of the file: <case caseflag="false"></case>

    If you later want the patterns to be case-sensitive, change false to true in the tag, as shown: <case caseflag="true"></case>

  4. Add, modify, or delete a replacement set, expansion set, weighting, or stemming.

    Note Entries you add to the thesaurus file should not contain only special characters or be noise words. You can, however, have blank entries. For example, if you want to ensure that queries for a specific word, such as windows, return no results, you would have an entry as follows:

    <replacement>

      <pat>windows</pat>

      <sub></sub>

</replacement>

  5. Save the file and close Notepad.


Specifying a Contact E-Mail Address for Search

Specifying a Contact E-Mail Address for Search

Microsoft SharePoint Portal Server "v2.0" Beta 2 provides an e-mail address to each Web site it crawls when creating an index. If a problem occurs while crawling (for example, the crawler is hitting the site too much), the administrator of the Web site can contact this address. All portals on the server provide this e-mail address when creating an index. For this reason, the e-mail address for the server farm administrator is typically specified.

Specify a contact e-mail address for search

  1. On the SharePoint Portal Server Central Administration page, in the Component Configuration section, click Configure search and indexing.
  2. On the Manage the Search Service for SharePoint Portal Server page, in the Search Service Settings section, click Manage Search Service Settings.
  3. On the Search Service Management page, in the Email address box, type the e-mail address that an external site administrator can contact if problems occur when SharePoint Portal Server crawls the external site.
  4. Click Save.


Specifying Proxy Server Settings

Specifying Proxy Server Settings

You can configure SharePoint Portal Server "v2.0" Beta 2 to use a proxy server when it creates full-text indexes of external Web sites. Using a proxy server enhances the security of your intranet by preventing unauthorized access by someone on the Internet. A proxy server also enhances performance by caching recently accessed Web pages, minimizing download time.

By default, SharePoint Portal Server "v2.0" Beta 2 uses the proxy server setting of the default content access account. The default content access account uses the current proxy server settings from Microsoft Internet Explorer.

Changes to the proxy settings for the SharePoint Portal Server "v2.0" Beta 2 computer do not affect other applications on the server. For example, configuring the server to use a proxy server that is different from the proxy server used by Microsoft Internet Explorer does not affect Internet Explorer.

Specify proxy server settings

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure search and indexing.
  2. On the Manage the Search Service for SharePoint Portal Server page, in the Servers section, click the server name.
  3. On the Search Server Settings page, click the Server Settings tab.
  4. In the Proxy Server Settings section, do one of the following:
    • Click Do not connect using a proxy server.
    • Click Use the proxy server specified below, and then specify the following:
      1. In the Address box, type the address of the proxy server that you want SharePoint Portal Server "v2.0" Beta 2 to use while creating full-text indexes.
      2. In the Port box, type the port number for the proxy server that you want SharePoint Portal Server "v2.0" Beta 2 to use while creating indexes of sites and servers.
      3. If you do not want SharePoint Portal Server "v2.0" Beta 2 to use the proxy server when creating an index of local addresses, select the Bypass proxy server for local (intranet) addresses check box.
      4. If you have specific addresses for which you do not want to use the proxy server, in the Do not use proxy server for addresses beginning with box, type the addresses.
  5. Click Apply.


Specifying Resource Usage

Specifying Resource Usage

SharePoint Portal Server "v2.0" Beta 2 includes a resource usage control for the resource-intensive processes that are commonly performed on SharePoint Portal Server "v2.0" Beta 2 computers. These processes are crawling content to create full-text indexes and searching.

With the Background usage setting, the server gives higher priority to other applications. With the Dedicated usage setting, the server reserves most of the system resources for searching or creating a full-text index. By default, SharePoint Portal Server "v2.0" Beta 2 configures the control so that the setting is between Background and Dedicated.

Note If you use this server to run other applications, such as Microsoft SQL Server, avoid adjusting the controls to Dedicated or near-Dedicated usage because this setting may affect resources that are dedicated to those applications.

Specify resource usage

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure search and indexing.
  2. On the Manage the Search Service for SharePoint Portal Server page, in the Servers section, click the server name.
  3. On the Search Server Settings page, click the Server Settings tab.
  4. In the Resource Usage section, select the amount of resources to use for content index resources. The more dedicated the resource usage, the quicker those tasks are completed, but the fewer resources remain for other purposes.
  5. Click Apply.


Specifying Time-Out Settings for Search

Specifying Time-Out Settings for Search

You can specify how long to wait when connecting to other services.

Connection Time You can specify how long to wait when trying to establish a connection with a Web site or server by adjusting the number of seconds to wait for a connection time-out. By default, the wait time is 20 seconds. When specifying the wait time, consider the following:

  • If a wait time setting is too high (greater than two minutes), SharePoint Portal Server "v2.0" Beta 2 spends a significant amount of time waiting while trying to crawl nonexistent sites, bad links, or servers that are unavailable.
  • If the wait time setting is too low (less than 10 seconds), a lot of content is not included in the full-text index because SharePoint Portal Server "v2.0" Beta 2 bypasses the busier servers.
  • If, during full-text index creation, SharePoint Portal Server "v2.0" Beta 2 encounters 32 consecutive time-outs related to one server, SharePoint Portal Server "v2.0" Beta 2 designates the server as unavailable and does not process any requests to that server for the next 10 minutes. SharePoint Portal Server "v2.0" Beta 2 records an access error in the gatherer log.
  • If you are crawling Microsoft Exchange public folders, the wait time must be greater than 10 seconds. The recommended wait time is 60 seconds.

Request Acknowledgment You can specify how long to wait for a requested Web page or file by adjusting the number of seconds to wait for request acknowledgment. By default, the wait time is 20 seconds. Specifying a wait time of less than 10 seconds would be low, whereas specifying a wait time of 2 minutes would be high.

Specify time-out settings for search

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure search and indexing.
  2. On the Manage the Search Service for SharePoint Portal Server page, in the Servers section, click the server name.
  3. On the Search Server Settings page, click the Server Settings tab.
  4. In the Time Outs section, do the following:
    1. In the Connection time box, type the number of seconds that you want SharePoint Portal Server to wait to connect to a Web site or server before timing out.
    2. In the Request acknowledgement time box, type the number of seconds you want SharePoint Portal Server to wait for a requested Web page or document before timing out.
  5. Click Apply.


Specifying Exchange Server 5.5 Settings

Specifying Exchange Server 5.5 Settings

Microsoft SharePoint Portal Server "v2.0" Beta 2 can crawl information contained in public folders on a server running Microsoft Exchange Server 5.5. Only public folder messages and contents of any attachments with supported filters are crawled. Private Exchange mailboxes, personal folders, and public favorite folders are not crawled.

Before SharePoint Portal Server "v2.0" Beta 2 can crawl an Exchange 5.5 server, you must install Microsoft Outlook 11 (Beta) on the SharePoint Portal Server "v2.0" Beta 2 computer. In addition, you must also install the Collaboration Data Objects (CDO) feature included with Outlook. It is recommended that Outlook be the only mail client installed on the server. You must specify the following on the SharePoint Portal Server "v2.0" Beta 2 computer:

  • Exchange server name A server name represents a single installation of Microsoft Exchange Server 5.5. SharePoint Portal Server "v2.0" Beta 2 uses this server to access public folders. You can specify only one Exchange 5.5 server per SharePoint Portal Server "v2.0" Beta 2 computer. Select the Exchange server that contains all public folders of interest. If necessary, your Exchange administrator can replicate all public stores across the organization to the selected Exchange server.
  • Outlook Web Access server name You must configure SharePoint Portal Server "v2.0" Beta 2 to allow users to access information in Exchange 5.5 public folders through Microsoft Outlook Web Access (OWA) by specifying the name of an OWA server. OWA allows users to access Exchange server information from any Web browser.

    The OWA server can be a dedicated server, or it can be an Exchange server with OWA enabled. The OWA server does not need to be the same server specified in the Exchange server name box.

  • Exchange server site name A site consists of one or more Exchange servers connected by a high-bandwidth network. For example, you might have a North American site that contains all the Exchange servers in North America.
  • Exchange server organization name An organization consists of a collection of Exchange sites and servers.
  • Access Account Information

    You must specify an Exchange administrator account that has permissions on both the site and site configuration containers of the computer running Exchange Server. SharePoint Portal Server "v2.0" Beta 2 recognizes the security on the crawled items. Search results display only public folder items that the search user is authorized to access. SharePoint Portal Server "v2.0" Beta 2 uses the administrator account to verify access at the time that a user performs a search by checking permissions on the items using the Exchange directory.

    If you change this account or password in Microsoft Windows NT version 4.0, Microsoft Windows 2000, or Microsoft Windows Server 2003, you must immediately update this account in SharePoint Portal Server Central Administration. Otherwise, if a user executes a search query that contains one or more Exchange Server 5.5 items in the results, the entire query fails and SharePoint Portal Server "v2.0" Beta 2 logs an error in the Application Log in Windows Server 2003 Event Viewer (commonly referred to as the event log). After you update the account in SharePoint Portal Server Administration, you must stop and restart SharePoint Portal Search service (SPSSearch) for the change to be effective.

You can find the Exchange organization name, site name, and server name in the Microsoft Exchange Administrator program, or you can obtain the information from your Exchange Mail administrator.

Specify Exchange Server 5.5 settings

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure search and indexing.
  2. On the Manage the Search Service for SharePoint Portal Server page, in the Servers section, click the server name.
  3. On the Search Server Settings page, click the Exchange Server 5.5 Settings tab.
  4. In the Exchange Server 5.5 Protocol Configuration section, do the following:
    1. Select the Enable crawling for Exchange Server 5.5 check box.
    2. In the Exchange server name box, type the name of the Exchange server that contains the public folder that you want SharePoint Portal Server "v2.0" Beta 2 to crawl.
    3. In the Outlook Web Access server name box, type the name of the OWA server or the name of the Exchange server with OWA enabled.
    4. In the Exchange server site name box, type the name of the Exchange server site that contains the public folder that you want SharePoint Portal Server "v2.0" Beta 2 to crawl.
    5. In the Exchange server organization name box, type the name of the Exchange server organization that contains the public folder that you want SharePoint Portal Server "v2.0" Beta 2 to crawl.
  5. In the Access Account Information section, do the following:
    1. Select the Configure Exchange access account check box.
    2. In the Account box, type the account information in the format DOMAIN\user_name. The account must be an Exchange administrator account with permissions on both the site and site configuration containers of the computer running Exchange Server.
    3. In the Password box, type the password for the account.
    4. In the Confirm password box, type the password again.
  6. Click Apply.


Enabling Advanced Search Administration Mode

Enabling Advanced Search Administration Mode

In the default search administration mode, two content indexes are used for portal and non-portal content. You cannot delete these indexes. All site directory content and new content sources are crawled and included in the non-portal content index.

Advanced search administration mode enables you to create and manage additional indexes. A list of indexes is useful for large scale crawling and custom query scoping, but maintaining it is complex. After you configure a portal site for advanced search administration mode, you cannot return to the standard (default) mode.

If you enable advanced search administration mode, you can do the following additional tasks that are not available in the default search administration mode:

  • Create an index
  • Reset an index
  • Delete an index
  • Specify the index in which a content source is included
  • Manage indexes

Enable advanced search administration mode

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the General Content Settings and Indexing Status section, click Enable Advanced Search Administration Mode.
  3. On the Confirm switch to Advanced Mode UI page, click Yes.

After you have enabled advanced search administration mode, an additional section called Content Indexes appears on the Configure Search and Indexing page.


Configuring the Lotus Notes Protocol Handler

Configuring the Lotus Notes Protocol Handler

To crawl a Lotus Notes database, you must run the Lotus Notes Index Setup Wizard to configure the Lotus Notes protocol handler on the SharePoint Portal Server computer. Using the client components for backward-compatible document libraries, a user in the coordinator site group can create a content source for a Lotus Notes database, but SharePoint Portal Server cannot crawl the database until you configure the Lotus Notes protocol handler.

Before configuring the Lotus Notes protocol handler

Before you configure the Lotus Notes protocol handler, you must ensure that:

  • SharePoint Portal Server is successfully installed on the computer.
  • A Notes server version 4.6a or R5 is available on the network. The Notes server name cannot contain a space. SharePoint Portal Server cannot crawl a Notes server that contains a space in the computer name.
  • A Notes client version R5 is installed on the same computer as SharePoint Portal Server. In addition, you must configure the Notes client and validate access to the Notes server before configuring the protocol handler.

Prepare Lotus Notes for Use with SharePoint Portal Server

Lotus Notes Security

The Lotus Notes security model is different from that of Windows 2003. When SharePoint Portal Server creates an index of content stored on a Notes server, it uses the security settings for each Notes object to re-create security settings for that object in SharePoint Portal Server by using the Windows 2003 security model. Because of the correlation between security models, each Notes user name must map to a Windows 2003 user name if you want SharePoint Portal Server to honor the security settings of the Notes database.

If you have no need for SharePoint Portal Server to honor the security settings of the Notes database, see Configure the Protocol Handler.

You can choose to ignore the security settings of the Notes database if everyone who has access to the content index created by SharePoint Portal Server also has access to the content stored in the Notes database. For example, if all the data in your organization’s Lotus Notes server is public, or if you include only public Notes databases in the content index, you can ignore Notes security.

If you ignore Notes security, SharePoint Portal Server performs slightly better when creating a content index and searching. In this case, SharePoint Portal Server also requires less time to configure because it does not need to map user names from Notes to Windows 2003. This also decreases subsequent maintenance.

Important If you are not sure that you can safely ignore Notes security, you should not ignore it. Although SharePoint Portal Server might perform slightly more slowly when crawling and searching, you can be confident that you are not exposing secure data to those who should not have access to it.

Create a View

If you want SharePoint Portal Server to honor the security settings of the Notes database, you need a Lotus Notes view that contains the Lotus Notes and Windows 2003 user names. If this view does not exist, your Lotus Notes administrator must create one to map the Notes user names to the Windows user names. The format of the Notes user name is the same as that of Owner column in the typical Notes Address Book. The view must be sorted on the Notes user name column.

Important The view must be marked as a Shared View so that all clients can access it. The database upon which this view is built contains the security mappings and should be protected accordingly. However, it must be accessible to the SharePoint Portal Server administrator.

For example, your Lotus Notes administrator can create a database with a view named NotesToWin with two columns: NotesID and WinID. The NotesID column contains the Notes user name, and the WinID column contains the Windows 2003 user name. When you install the protocol handler, you need to know the name of this view (NotesToWin) and the two columns (NotesID, WinID). You can use any database and server, as long as the user can access them from the Lotus Notes client by using the account and password that you specify when configuring the protocol handler.

Configure the Protocol Handler

You must run the Lotus Notes Index Setup Wizard to complete this step. Before you run this program, you must know the following:
  • Location of the notes.ini file on your SharePoint Portal Server computer . You need the full path name (for example, D:\lotus\domino\notes.ini).
  • Location of the Notes installation directory on your SharePoint Portal Server computer . You need the full path name (for example, D:\lotus\domino\notes).
  • Notes user password . This password is associated with the default Notes account on the Notes client. The protocol handler uses this password to access the Notes server by impersonating the Notes user.

    Note You are not required to supply a password if the Notes user does not need a password to access the Notes server from the Notes client installed on the SharePoint Portal Server computer.

If you want SharePoint Portal Server to honor the security settings of the Notes database, you must know this additional information:

  • Name of the Notes server that contains the view mapping the Notes user name to the Windows user name.
  • Name of the Notes database file that contains the view.
  • Name of the view that maps the Notes user names to the Windows user names. In the example from the section “Create a View,” the view name is NotesToWin.
  • Name of the columns in the view that map to the Notes and Windows user names. In the example from the section “Create a View,” the two columns are NotesID and WinID, respectively.

To configure the Lotus Notes protocol handler:

  1. Click Start on the taskbar of the server running SharePoint Portal Server, and then click My Computer.
  2. In My Computer, navigate to the \Program Files\SharePoint Portal Server\BIN directory..
  3. Double-click NotesSetup.exe. The Lotus Notes® Index Setup Wizard appears.
  4. Click Next.
  5. On the Register Lotus Notes® For Use With Microsoft SharePoint Portal Server page:
    • Verify the location of the notes.ini file shown in Location of the notes.ini file. If you specify the location, you must type the full file path (for example, D:\lotus\domino\notes.ini).
    • Verify the location of the Notes installation shown in Location of the Lotus Notes® install directory. If you specify the location, you must type the full file path (for example, D:\lotus\domino\notes).
    • Type the Notes user password in Password.
    • Type the Notes user password again in Confirm Password.
    • If you do not want SharePoint Portal Server to honor the security settings of the Notes database, select the Ignore Lotus Notes® security while building an index check box and go to step 5.
    • Click Next.
  6. On the Specify Lotus Notes® Owner Field to Windows User Name Mapping page:
    • Type the name of your Notes server in Lotus Notes® server name. This is the Notes server that is hosting the Notes-to-Windows 2003 ID map.
    • Type the Notes database file name in Lotus Notes® database file name. The database file has an .nsf extension.
    • Type the name of the view in View name. This is the name of the view that contains the Notes and Windows 2003 ID columns.
    • Type the name of the Notes ID column in Lotus Notes® field name column title. This is the title of the column in the view.
    • Type the name of the Windows user name column in Windows user name column title. This is the title of the column in the view.
    • Click Next.
  7. On the Completing the Lotus Notes® Index Setup Wizard page, click Finish.

If the wizard fails for any reason, you must restart MSSearch before attempting to run the wizard again. In addition, the wizard displays only one error message for any error in the entries.

After you configure the protocol handler, you can use the client components for backward-compatible document libraries to create a content source for the Lotus Notes database, and then you can create a content index to include the database.

Reconfiguration of the protocol handler is required if the Notes installation changes or if Notes security changes (you add, change, or remove user records, or you switch user identifiers). In addition, if you change the security mapping, you must stop and start MSSearch for the changes to be effective. For more information about the security mapping, see Prepare Lotus Notes for Use with SharePoint Portal Server.

The protocol handler provides Number and Text property types and resolves numeric and string types to these two types. When the user creates a content source for Lotus Notes and maps SharePoint Portal Server properties to Notes properties, the property type for each Notes property is displayed. The property type for each SharePoint Portal Server property is not displayed.

Important If the user maps a number to a string (or a string to a number), no error message displays.

SharePoint Portal Server crawls the Lotus Notes database and includes the content in the content index according to the Notes property types. Queries use the property types from SharePoint Portal Server. If the type has been mismatched, the query returns no results.


About Access Accounts for Search

About Access Accounts for Search

When SharePoint Portal Server creates content indexes, it uses access accounts to crawl Web sites, servers, and network resources included in each content index. The permissions of the access account determine the success of the crawl.

  • The default content access account is the default user name and password used when SharePoint Portal Server crawls content outside the portal. The account must have permission to read the Web sites and servers being crawled.

    When crawling sites based on Windows SharePoint Services Beta 2, the crawling works best when the access account has administrative access to the SharePoint Team Services server farm. The access account should be a member of the SharePoint Administration group.

    If the access account is not a member of the SharePoint Administration group, the server will crawl the site, but the content index will not be secure because all users will be able to access the documents. In addition, some data might not be included in the content index because the account might not be able to access all of the sites under a Windows SharePoint Services site.

    When crawling sites based on SharePoint Team Services v1.0, the access account must be assigned to the Administrator role.

  • The search service account is the user name and password that SharePoint Portal Server uses when connecting to the configuration database or when propagating content indexes from index management servers to search servers. This account must have administrator privileges on both the index management and search servers.

The Default Content Access Account

The default content access account must have Read permissions for the Web sites and servers being crawled. In addition, the account must have the permissions discussed previously to crawl sites based on Windows SharePoint Services and SharePoint Team Services.

When SharePoint Portal Server creates a content index for sites on the Internet, it first provides the default content access account. If this account has not been configured, SharePoint Portal Server provides the anonymous account. If you are using a proxy server, the account that you use to access the Internet must have permissions on the proxy server in order to create a content index of sites on the Internet. Without permissions, you can crawl only content on your intranet.

Typically, you specify the default content access account when you install SharePoint Portal Server. This account applies to all content sources. If you want to configure an account for a specific content source, you can define a site or path rule for that content source and associate an account with it. If no site access account is specified for a content source, SharePoint Portal Server uses the default content access account when accessing content in that content source.

The Search Service Account

SharePoint Portal Server uses the search service account when connecting to the configuration database and when propagating indexes from index management servers to search servers. This account must be a member of the local Administrator group on the search server.

The index management server crawls content to include it in a content index. The search server executes queries. You propagate a content index from the index management server to another server to free resources for other processes on the destination server. The destination server can be a dedicated search server, or it can be a server that is also running other components.

You can dedicate one server to creating and updating content indexes and another server to processing queries. You create the content index on the first server (the index management server) and propagate the content index to the second server (the search server). You limit the resource-intensive processes to the server dedicated to indexing without affecting the performance of your server dedicated to searching.


Specifying Account Information for Search

Specifying Account Information for Search

The search service account is the user name and password that SharePoint Portal Server "v2.0" Beta 2 uses when connecting to the configuration database or when propagating full-text indexes from index management servers to search servers. This account must have administrator rights on both the index management and search servers.

The default content access account is the user name and password used when SharePoint Portal Server "v2.0" Beta 2 creates a full-text index of content outside the portal. The account must have Read permissions for the Web sites and servers being crawled.

For more information about access accounts for search, see About Access Accounts for Search.

Specify account information for search

  1. On the SharePoint Portal Server Central Administration page, in the Component Configuration section, click Configure search and indexing.
  2. On the Manage the Search Service for SharePoint Portal Server, in the Search Service Settings section, click Manage Search Service Settings.
  3. On the Search Service Management page, in the Email address box, type the e-mail address that an external site administrator can contact if problems occur when SharePoint Portal Server "v2.0" Beta 2 crawls the external site.
  4. In the Search Service Account section, do the following:
    • Select the Configure Search Service Account check box.
    • In the User name box, type the account name in the format DOMAIN\username.
    • In the Password box, type the password for the account.
    • In the Confirm Password box, type the password again.
  5. In the Default Content Access Account section, do the following:
    • Select the Configure Default Content Access Account check box.
    • In the User name box, type the account name in the format DOMAIN\username.
    • In the Password box, type the password for the account.
    • In the Confirm Password box, type the password again.
  6. Click Save.


About Search Content Propagation

About Search Content Propagation

A portal can have multiple content indexes. When you create the portal, Microsoft SharePoint Portal Server automatically creates two indexes. One index is for portal content, and the other index is for nonportal content. For more information about indexes, see About Content Indexes.

By using SharePoint Portal Server, you can propagate content indexes from the index management server to the search server (the server dedicated to searching). Propagation allows you to distribute your resources. You can limit the resource-intensive processes required to create indexes to the index management server. This allows SharePoint Portal Server to create extensive indexes without affecting the performance of the search server.

You can propagate up to four indexes from an index management server to each search (destination) server.

Important When propagating indexes from an index management server to a search server, the transmission may not be secure. It is recommended that you implement Internet Protocol Security (IPSec), an industry-defined set of standards that verifies, authenticates, and optionally encrypts data at the IP packet level. For more information about IPSec, see www.microsoft.com.

Related Topics

Propagating a Content Index
About Content Indexes


Propagating a Content Index

Propagating a Content Index

You must ensure that the following conditions exist before you can propagate a content index:

  • You have configured a search service account for the server farm. This account must have local administrator permissions on the search (destination) server. For information about configuring the search service account, see Specifying Account Information for Search.
  • The destination server must be on a trusted domain.
  • There is sufficient disk space available on the destination server. For each propagated index, allow for more than twice its size in disk space.

    Note If propagation fails due to lack of disk space on the destination server, Microsoft SharePoint Portal Server "v2.0" Beta 2 logs an error in the Application Log in Microsoft Windows Server 2003 Event Viewer (commonly referred to as the event log) of both the destination search server and the index management server.

Propagate a content index

  1. On the SharePoint Portal Server Central Administration for Server server_name page, click Configure search and indexing.
  2. On the Manage the Search Service for SharePoint Portal Server page, in the Indexes section, click Manage propagation.
  3. On the Search Propagation page, rest the pointer on the index name, and then click the arrow that appears.
  4. On the menu that appears, click Force Propagation.


Stopping Index Propagation

Stopping Index Propagation

You might stop propagating a content index if, for example, you lose your network connection or if the propagation is taking an exceedingly long time.

Note When you stop the propagation process, you cannot see the index on the computer to which you were propagating it.

Stop index propagation

  1. On the SharePoint Portal Server Central Administration for Server server_name page, click Configure search and indexing.
  2. On the Manage the Search Service for SharePoint Portal Server page, in the Indexes section, click Manage propagation.
  3. On the Search Propagation page, rest the pointer on the index name, and then click the arrow that appears.
  4. On the menu that appears, click Stop Propagation.

    Note Once you stop propagation, you cannot resume it.


About Site Hit Frequency Rules

About Site Hit Frequency Rules

A site hit frequency rule determines how often Microsoft SharePoint Portal Server requests documents from a Web site and how many documents are requested. By default, the site hit frequency is limited to five simultaneous document requests.

You can use the site hit frequency rule to modify demands on specific sites. Although you may want a higher document request frequency for creating or updating an index of your own intranet, it is recommended that you specify a lower frequency for external Web sites so that you do not overload the sites with document requests. Web sites can identify you from the e-mail address you provide when you create an index. If you overload a site with requests, you could be denied access to that site in the future.

Site name expressions are evaluated in order. Typically, you should order the rules from most restrictive to most general, since the first matching rule is applied. For example, “*” must always be the last expression in the list, or any later rules will not apply. If you create a new site hit frequency rule while a crawl is in progress, the new rule is effective as soon as you save it. You do not need to wait for the crawl to complete before the rule is effective.


Adding a Site Hit Frequency Rule

Adding a Site Hit Frequency Rule

Add a site hit frequency rule to modify demands on specific sites. For more information about site hit frequency rules, see About Site Hit Frequency Rules.

Add a site hit frequency rule

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure search and indexing.
  2. On the Manage the Search Service for SharePoint Portal Server page, in the Site Hit Frequency Rules section, click Manage site hit frequency rules.
  3. On the Site Hit Rules page, click Add Update Rule.
  4. On the Add Site Hit Rule page, in the Name section, in the Site name box, type the site name.

    A site name should be in the following form: example.microsoft.com. Do not include http:// in front of the site name.

    You can specify rules for individual sites. You can also use wildcard characters in site names to specify rules for multiple sites, as shown in the following table.

    Use | To
    * as the site name | Apply the rule to all sites.
    *.* as the site name | Apply the rule to sites with dots in the name.
    *.site_name.com as the site name | Apply the rule to all sites in the site_name.com domain (for example, *.adventure-works.com).
    *.top-level_domain_name (such as *.com or *.net) as the site name | Apply the rule to all sites that end with a specific top-level_domain_name (for example, .com, .net).
    ? Replace a single character in a rule. For example, *.adventure-works?.com would apply to all sites in the domains adventure-works1.com, adventure-works2.com, etc.

    You can create a frequency rule for *.com that applies to all Internet sites that end in .com. For example, an administrator of a portal might add a content source for samples.microsoft.com. The rule for *.com would apply to this site unless you add a frequency rule specifically for samples.microsoft.com.

  5. In the Request Frequency section, select one of the following frequency options:
    • Request documents simultaneously Microsoft SharePoint Portal Server uses all allocated system resources to request as many documents as possible, with no delay between document requests. This setting is usually too resource-intensive for Internet sites but can be acceptable for intranet sites.
    • Limit the number of simultaneous document requests You can specify the maximum number of documents that SharePoint Portal Server can request at one time from the site.

      In the Number of documents box, type the number of documents to request. The default setting for all sites is five simultaneous document requests.

    • Wait a specified amount of time after each document request You can specify a delay between document requests. SharePoint Portal Server requests one document per site at one time, and then waits for the specified amount of time before making additional requests.

      In the Time to wait in seconds box, type the time to wait between document requests.

    If the frequency is too high, SharePoint Portal Server can overload some Web sites with requests. Consider specifying lower frequency rates for Internet sites over which you have no control and higher frequency rates for intranet sites over which you do have control.

  6. Click OK.


Editing a Site Hit Frequency Rule

Editing a Site Hit Frequency Rule

Note You cannot change the site name for which you have specified a rule. If you want to specify a new site name, you must create another site rule.

For more information about site hit frequency rules, see About Site Hit Frequency Rules.

Edit a site hit frequency rule

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure search and indexing.
  2. On the Manage the Search Service for SharePoint Portal Server page, in the Site Hit Frequency Rules section, click Manage site hit frequency rules.
  3. On the Site Hit Rules page, move the pointer over the site rule name, and then click the arrow.
  4. On the menu that appears, click Edit.
  5. In the Request Frequency section, select one of the following frequency options:
    • Request documents simultaneously SharePoint Portal Server uses all allocated system resources to request as many documents as possible, with no delay between document requests. This setting is usually too resource intensive for Internet sites but can be acceptable for intranet sites.
    • Limit the number of simultaneous document requests You can specify the maximum number of documents that SharePoint Portal Server can request at one time from the site.

      In the Documents box, type the number of documents to request. The default setting for all sites is five simultaneous document requests.

    • Wait a specified amount of time after each document request You can specify a delay between document requests. SharePoint Portal Server requests one document per site at one time, and then waits for the specified amount of time before making additional requests.

      In the Time to wait in seconds box, type the time to wait between document requests.

    If the frequency is too high, SharePoint Portal Server can overload some Web sites with requests. Consider specifying lower frequency rates for Internet sites over which you may have no control, and increasing the frequency for intranet sites over which you do have control.

  6. Click OK.


Deleting a Site Hit Frequency Rule

Deleting a Site Hit Frequency Rule

When a Web site included in an index changes or is no longer available, the site hit frequency rules for that site might no longer apply. If a rule no longer applies, you can remove it.

When a rule is removed, be aware that one of the rules following it might apply. For instance, suppose you have a rule for samples.microsoft.com configured to request up to four simultaneous document requests and a rule for *.com configured to request up to three simultaneous document requests. If you remove the rule applying to samples.microsoft.com, the *.com rule applies the next time SharePoint Portal Server requests documents from samples.microsoft.com.

For more information about site hit frequency rules, see About Site Hit Frequency Rules.

Delete a site hit frequency rule

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure search and indexing.
  2. On the Manage the Search Service for SharePoint Portal Server page, in the Site Hit Frequency Rules section, click Manage site hit frequency rules.
  3. On the Site Hit Rules page, rest the pointer on the site rule name you want to delete, and then click the arrow that appears.
  4. On the menu that appears, click Delete.
  5. On the message box that appears, click OK.


Moving a Site Hit Frequency Rule

Moving a Site Hit Frequency Rule

You can move a site hit frequency rule in the list of rules. Site name expressions are evaluated in order, so in most situations you should order the rules from most restrictive to most general. For example, “*” must always be the last expression in the list or none of the later rules will apply. For more information about site hit frequency rules, see About Site Hit Frequency Rules.

Move a site hit frequency rule

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure search and indexing.
  2. On the Manage the Search Service for SharePoint Portal Server page, in the Site Hit Frequency Rules section, click Manage site hit frequency rules.
  3. On the Site Hit Rules page, move the pointer over the site rule name, and then click the arrow.
  4. On the menu that appears, click Move Up or Move Down.


Using the Category Assistant

Using the Category Assistant

The Category Assistant provides a way for you to automatically categorize items in the portal based on the categories used by existing items. This reduces the time and effort to manage categories, allowing items in the portal to appear in search results and the portal site map according to the categories to which they belong.

To use the Category Assistant to categorize documents, you must train it to recognize categories for items based on a training set of items that you select. That set of items is then used as a sample to categorize all other items in the portal. New items created after training are automatically categorized based on this training set.

To get a good working training set of items for the Category Assistant, complete the following steps:

  • In the portal site map, create categories based on the needs of your organization. Some categories are already created for you, but generally, every organization must add additional categories to reflect the content used in that organization.
  • Add and categorize items in the portal site map until you have a variety of categories and a good idea as to what categories are most common. The items in each category should cover as many aspects of the category as possible. Also, individual items can and should be added to multiple categories.
  • On the Search tab of the properties page for categories, include categories in the training set until you have an adequate training set. The minimum training set includes two categories with at least ten documents each, but the Category Assistant becomes more accurate as you add more categories to your training set. It is important that the categories in the training set represent the most common categories with the highest number and most frequently used documents.
  • Train the Category Assistant on the Use Category Assistant page.

Categories are applied by the category assistant the next time the content index is crawled. The examples in your training set are used to categorize other items based on the words and properties of those examples.

The more similar the words and properties of other items are to those in certain categories of the training set, the more likely those items are to be placed in the same category by the Category Assistant. A single item is often categorized into more than one category.

Add categories to the training set of the Category Assistant

Before you can use the Category Assistant, you must include categories in the training set that is used by the Category Assistant to categorize documents when crawling the content index.

  1. Click Site Settings, in the Manage Portal Content section, click Manage portal site structure.
  2. On the Portal Site Map page, click a category that you want to use when training the Category Assistant, and then, on the drop-down menu that appears, click Edit.
  3. On the Edit Category page, click the Search tab.
  4. On the Search properties page in the Category Assistant section, for Include when using the Category Assistant, select Yes.
  5. Click OK.
  6. Repeat for as many categories as you want to include in the training set.

    Note Categories in the training set must have at least ten documents, and you must include at least two categories in the training set. The more categories you include, the more accurate the Category Assistant is when categorizing other items in the portal.

Enable and train the Category Assistant

  1. Click Site Settings, in the Manage Portal Content section, click Use category assistant.
  2. On the Use Category Assistant page, in the Enable Category Assistant section, select Enable Category Assistant. The other controls on the page are now available.
  3. In the Precision section, select the precision of the Category Assistant. Higher precision results in fewer categorized documents. Lower precision results in more documents with less accuracy.
  4. In the Training Status section, the most recent training time and the current status of the Category Assistant is listed. To train the Category Assistant, click Train Now.

    Note Items are not automatically categorized until the next time you crawl the content index.

  5. Click OK.

Related Topics

Create or delete category
Manage categories
About categories
About search
About content indexes


Editing Properties of Crawled Content

Editing Properties of Crawled Content

SharePoint Portal Server "v2.0" Beta 2 displays a list of the properties of items crawled by the content index server on the Manage Properties of Crawled Content page. SharePoint Portal Server "v2.0" Beta 2 displays most properties within groups according to the schema outlined for search. You can change the display name of these properties, or map them to other properties.

SharePoint Portal Server "v2.0" Beta 2 crawls some of these properties but does not include them in the content index, and by default these properties do not display in the list. You can decide whether to exclude a property from the content index, and how to display properties in the content index, search results, and custom search applications.

You can also view the source documents for a property and the properties mapped to a specific property.

Showing and hiding excluded properties

By default, excluded properties are hidden. SharePoint Portal Server "v2.0" Beta 2 formats the name of excluded properties as strikethrough text.

  1. ClickSite Settings, in the Manage Search Settings and Indexed Content section, click Manage properties from crawled documents.
  2. On the Manage Properties of Indexed Content page, on the toolbar, select or clear Hide excluded properties to hide or show excluded properties in the list.

Changing the display name of a property

  1. On the Manage Properties of Indexed Content page, click the group containing the property you want to edit, and then click the Property_Name.
  2. In Name and Information, type a new display name for the property.
  3. Click OK.

Viewing the source documents for a property

  1. On the Manage Properties of Indexed Content page, click the group containing the property you want to view, and then click the Property_Name.
  2. In Source Documents, a list of items with the property appears. Click on the link for an item to view that item.

Viewing property mappings for a property

  1. On the Manage Properties of Indexed Content page, click the group containing the property you want to view, and then click the Property_Name.
  2. In Property Mapping, all of the properties mapped to this property appear.

    Note Property mappings for this property do not show up until the next time SharePoint Portal Server "v2.0" Beta 2 crawls the content.

Excluding a property from the content index

SharePoint Portal Server "v2.0" Beta 2 does not include many properties of crawled documents in the content index for search. These are typically system properties of documents. You can decide to exclude any property from the content index. This can help improve performance during searches by excluding unnecessary information.

  1. On the Manage Properties of Indexed Content page, click the group containing the property you want to exclude from the content index, and then click theProperty_Name.
  2. In Property Exclusion, select Exclude this property from the content index.

    SharePoint Portal Server "v2.0" Beta 2 marks the display options for the property as unavailable, and hides the property ion the Manage Properties of Crawled Content page.

Changing property display options

You can choose how properties display in the portal.

  1. On the Manage Properties of Indexed Content page, click the group containing the property for which you want to change the display options, and then click the Property_Name.
  2. In Display Options, select Include this property in the content index to include this property in the content index, so you can search for items based on this property.
  3. To use another property in the content index instead of this property, select Treat as another property, and then select the property you want to use instead of this property. To select a property that is not listed, select Other and then click click to save changes and pick a property.

    If you select Other and click to save changes and pick a property, the Map Property page appears. Otherwise, skip the following step.

  4. On the Map Property page, click the group containing the property you want to map to this property, and then click the property.
  5. Select Display this property in "Additional information" to display this property in the Additional information section for each item.
  6. Select Display this property in custom search applications to display this property in custom search applications.
  7. Click OK.


Specifying Logging Options when Using Simple Search Administration Mode

Specifying Logging Options when Using Simple Search Administration Mode

In simple search administration mode, you can specify the information to include in the gatherer log, in addition to errors and warnings.

Specify logging options when using simple search administration mode

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure search and indexing page, in the General Content Settings and Indexing Status section, click the link next to Log settings.
  3. On the Edit Search Settings page, do the following:
    1. To log each document successfully retrieved, select the Log each document successfully retrieved and any indexing warnings check box. You will get a complete record, but the gatherer log will fill up quickly.
    2. To test the effect of update rules, select the Log excluded items check box.
  4. Click OK.


About Server Name Mappings

About Server Name Mappings

You can create server name mappings to override how Microsoft SharePoint Portal Server displays search results or how users access content after you create a content index.

You can use a server mapping to circumvent problems caused by referring to a local drive. For example, if you use a local address such as file://C:/Documents in the portal to direct users to a document, access problems may occur. However, if you create a server name mapping to map the local address to an http:// protocol or to any other protocol, no access problems occur. A server name mapping matches all URLs that conform to a general expression (such as file://) and replaces the matched expression with another expression (such as http://).

You manage file types on the Map Server Names page. You can access the Map Server Names page from the Site Settings page by doing the following:

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure search and indexing page, in the General Content Settings and Indexing Status section, click the link next to URL / Displaymappings.


Adding a Server Name Mapping

Adding a Server Name Mapping

Add a server name mapping to override how Microsoft SharePoint Portal Server displays search results or how users access content after you create a content index.

The mapping will not be effective until you update the content source or index that contains the content you are crawling.

Add a server name mapping

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure search and indexing page, in the General Content Settings and Indexing Status, click the link next to URL / Displaymappings.
  3. On the Map Server Names page, click Add Mapping.
  4. On the Add Mapping page, in the Address indexed box, type the address for the content that will be crawled.
  5. In the Address in search results box, type the address that appears in the search results and from which a user can access the content.
  6. Click OK.


Editing a Server Name Mapping

Editing a Server Name Mapping

You can edit the search results address, or the address that users see in search results, for the mapping. You cannot edit the search component address, which is the address used by the search component when accessing content to include in the content index.

The mapping will not be effective until you update the content source or index that contains the content you are crawling.

Edit a server name mapping

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Content Indexing Status and General Settings, click the link next to URL / Displaymappings.
  3. On the Map Server Names page, move the pointer over the name under Map From, and then click the arrow.
  4. On the menu that appears, click Edit.
  5. On the Edit Mapping page, in the Search results box, type the address that appears in the search results, and then click OK.


Deleting a Server Name Mapping

Deleting a Server Name Mapping

Delete a server name mapping when you no longer want to override how SharePoint Portal Server displays search results or how users access content after you create a content index.

The deletion will not be effective until you update the content source or index that contains the content you are crawling.

Delete a server name mapping

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure search and indexing page, in the Content Indexing Status and General Settings, click the link next to URL / Displaymappings.
  3. On the Map Server Names page, in the Map Fromcolumn, rest the pointer on the server name for which you want to delete the mapping , and then click the arrow that appears.
  4. On the menu that appears, click Delete.
  5. On the Delete Access / Display Mapping page, click OK.


About File Types for Search

About File Types for Search

You can specify file types (indicated by file extensions) to include in or exclude from the content index when crawling content sources. For example, you might want to include files with .abc and .def extensions in the index. The inclusion or exclusion of a file type applies only to content that is stored outside the portal and included in the content index through content sources. The inclusion or exclusion of a file type does not apply to content stored in the portal.

If a file type has an IFilter associated with it, the IFilter must be registered on the computer running Microsoft SharePoint Portal Server and crawling that file type. After the IFilter is registered, documents of that file type can be crawled and included in the index. If you add a file type but no filter is registered, only the file properties are included in the index. The procedure to register an IFilter varies, depending on the particular IFilter you are registering. See the documentation accompanying the IFilter for the proper procedure to register it.

SharePoint Portal Server includes filters for the following:

  • Microsoft Office documents
  • Microsoft Publisher files
  • Visio files
  • HTML files
  • Tagged Image File Format (TIFF) files
  • Text files
SharePoint Portal Server also accepts third-party IFilters for custom file types.

You manage file types on the Exclude and Include File Types page. You can access the Exclude and Include File Types page from the Site Settings page by doing the following:

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure search and indexing page, in the General Content Settings and Indexing Status section, click Exclude or Include File Types.


Adding a File Type

Adding a File Type

You can add new file types to be included in the content index.

Note You must register the IFilter for new file types. If you add a new file type but no IFilter is registered, only the file properties are included in the index.

For more information, see About File Types for Search.

Add a file type

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the General Content Settings and Indexing Status , click Include File Types.
  3. On the Include File Types page, click Add File Type.
  4. On the Add File Type page, in the File Extension box, type the file name extension for the file type that you want to add to the list of file types for the content index.
  5. Click OK.


Deleting a File Type

Deleting a File Type

You can delete file types to be included in or excluded from the content index. For more information, see About File Types for Search.

Delete a file type

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the General Content Settings and Indexing Status, click Include File Types.
  3. On the Include File Types page, rest the pointer on the file name extension, and then click the arrow that appears.
  4. On the menu that appears, click Delete.
  5. On the message box that appears, click OK.


About Rules That Include or Exclude Content

About Rules That Include or Exclude Content

You can create rules that include or exclude content from the content index. These rules are called site restrictions and site path rules. A site restriction is the main rule for a site. You can show or hide the other rules for a site by clicking the plus sign (+) or minus sign (-) next to the site restriction. The other rules for a site are called site path rules. The site restriction defines the overall rules for a site, and the site path rules are rules for specific parts of the site. For example, a site restriction might apply to the whole site example.microsoft.com, and the site path rules for that site apply to http://example.microsoft.com/ and http://example.microsoft.com/*. If no site path rule applies to a path in a site, then the site restriction applies.

You can use site restrictions and site path rules to override the settings for the default content access account on an individual content source by providing a specific user account and password required for accessing a path. You can also use rules to exclude specific site paths (including specific folders or documents) from the index.

Rules can use general expressions and wild cards, as shown in the following examples:

  • "http://server1/folder*" applies to all Web resources that have a URL that starts with "http://server1/folder"
  • "http://server?web*" applies to resources such as "http://serveraweb2/file.htm" and "http://serverbweb3/file.htm "
  • "*.doc" applies to every Microsoft Word document encountered

Document shortcuts are subject to the same site and path restrictions as other documents and content sources in the portal. If a user adds a document shortcut to the portal, Microsoft SharePoint Portal Server updates that shortcut in the same way as other content sources. If site or file type restrictions prohibit the inclusion of a shortcut in the index, SharePoint Portal Server does not include content from that document shortcut in the index.


Adding a Rule That Includes or Excludes Content

Adding a Rule That Includes or Excludes Content

You can add a rule to include specific paths in the content index, to exclude specific paths from the index, to specify how Microsoft SharePoint lists are handled, or to provide a specific account to access a specific path. For more information about rules that include or exclude content, see About Rules That Include or Exclude Content.

Add a rule that includes or excludes content

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure search and indexing page, in the General Content Settings and Indexing Status section, click Exclude and Include Content.
  3. On the Exclude and Include Content page, click Add Rule.
  4. On the Add Rule page, in the Path box, type a path for the content affected by this rule. You can use general expressions and wildcard characters to define which resources are subject to this update rule. For example:
    • "http://server1/folder*" contains all Web resources with a URL that starts with "http://server1/folder"
    • "http://gw?web*" contains resources such as "http://gwaweb2/file.htm" and "http://gwbweb3/file.htm "
    • "*.doc" contains every Word document encountered
  5. In the Crawl Configuration section, do one of the following:
    • To exclude all documents in this URL space, click Exclude all items in this path.

      If you select this option, when the search component encounters a resource within this space, it will neither crawl the resource nor follow links contained within the resource.

    • To include all documents in this URL space, click Include all items in this path.

      If you select this option, you can also do the following:

      • To suppress the crawling of items in this path, but to follow links and include that content in the content index, select the Suppress inclusion in the content index check box.
      • To follow complex links (URLs that include question marks (?) followed by parameters), select the Follow complex links check box.

        Following complex links includes additional content in the content index.

  6. If the path contains SharePoint lists, in the Crawl Configuration section, optionally do the following:
    • To allow alerts on individual SharePoint list items, click Allow alerts on individual SharePoint list items.

      By default, SharePoint lists are crawled as one item. If you do not click Allow alerts on individual SharePoint list items, alerts for the list will be sent if any item in the list is changed.

    • To crawl each SharePoint list item individually, click Index SharePoint list items individually.
  7. In the Specify Authentication section, do one of the following:
    • To use the default content access account, click Use default crawling account to log in.
    • If the default crawling account cannot access this path, click Specify crawling account and then do the following:
      1. In the Account box, type the user name or ID that can access the resources in this URL space. Examples are user_name, user_name@org, or DOMAIN\user_name.
      2. In the Password box, type the password for this user name.

        Your password is protected and can be used only to access the needed resources for the purpose of crawling content.

      3. In the Confirm password box, type the password for this user name again.
      4. To prevent Basic authentication from being used, select the Prohibit the server from passing plain text passwords check box.
  8. Click OK.


Editing a Rule that Includes or Excludes Content

Editing a Rule that Includes or Excludes Content

You can edit a rule to include specific paths in the content index, to exclude specific paths from the index, to specify how SharePoint lists are handled, or to provide a specific account to access a specific path. For more information about rules that include or exclude content, see About Rules that Include or Exclude Content.

Note You cannot change the path for an existing rule. If you want to change the path, you must delete the rule and create a new rule.

Edit a rule that includes or excludes content

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure search and indexing page, in the General Content Settings and Indexing Status section, click Exclude and Include Content.
  3. On the Exclude and Include Content page, rest the pointer on the rule or group of rules, and then click the arrow that appears.
  4. On the menu that appears, click Edit.
  5. On the Edit Rule page, in the Crawl Configuration section, do one of the following:
    • To exclude all documents in this path, click Exclude all items in this path.

      If you select this option, when the search component encounters a resource within this space, it will neither crawl the resource nor follow links contained within the resource.

    • To include all documents in this path, click Include all items in this path.

      If you select this option, you can also do the following:

      • To suppress the crawling of items in this path, but to follow links and include that content in the content index, select the Suppress inclusion in the content index check box.
      • To follow complex links, which includes additional content in the content index by including links with parameters after a question mark in the URL, select the Follow complex links check box.

  6. If the path contains SharePoint lists, in the Crawl Configuration section, optionally do the following:
    • To allow users to add alerts for individual SharePoint list items, click Allow alerts on individual SharePoint list items.

      By default, SharePoint lists are crawled as one item. Alerts for the list will be sent if any item in the list is changed if you do not click Allow alerts on individual SharePoint list items.

    • To crawl each SharePoint list item individually, click Index SharePoint list items individually.
  7. In the Specify Authentication section, do one of the following:
    • To use the default content access account, click Use default crawling account to log in.
    • If the default crawling account cannot access this path, click Specify crawling account and then do the following:
      1. In the Account box, type the user name or ID that can access the resources in this URL space. Examples are user_name, user_name@org, or DOMAIN\user_name.
      2. In the Password box, type the password for this user name.

        Your password is protected and can be used only to access the needed resources for the purpose of crawling content.

      3. In the Confirm password box, type the password for this user name again.
      4. To prevent Basic authentication from being used, select the Prohibit the server from passing plain text passwords check box.
  8. Click OK.


Deleting a Rule that Includes or Excludes Content

Deleting a Rule that Includes or Excludes Content

You can delete a rule if you do not want to include specific paths in the index, exclude specific paths from the index, specify how SharePoint lists are handled, or provide a specific account to access a specific path. For more information about rules that include or exclude content, see About Rules that Include or Exclude Content.

Delete a rule that includes or excludes content

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the General Content Settings and Indexing Status section, click Exclude and Include Content.
  3. On the Exclude and Include Content page, rest the pointer on the rule or group of rules, and then click the arrow that appears.
  4. On the menu that appears, click Delete.
  5. On the confirmation message box that appears, click OK.

    Note If you delete the site restriction (the "lead" rule in a group of rules), the site path rules in that group are also deleted.


Moving a Rule that Includes or Excludes Content

Moving a Rule that Includes or Excludes Content

You can move a rule in the list of rules. Rules are evaluated in the order in which they are listed. This means that the first matching rule applies. For more information about rules that include or exclude content, see About Rules that Include or Exclude Content.

Move a rule that includes or excludes content

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure search and indexing page, in the General Content Settings and Indexing Status section, click Exclude and Include Content.
  3. On the Exclude and Include Content page, rest the pointer on the rule or group of rules, and then click the arrow that appears.
  4. On the menu that appears, click Move Up or Move Down.


Starting a Full Update of a Content Index

Starting a Full Update of a Content Index

During a full update, Microsoft SharePoint Portal Server "v2.0" Beta 2 updates the content index for all content. A full update adds new content, modifies changed content, refreshes the index for existing unchanged content, and removes deleted content from the index. This is the most time-consuming and resource-intensive type of update. In a server farm configuration, SharePoint Portal Server "v2.0" Beta 2 automatically propagates one or more indexes from index management servers to search (destination) servers after creating or updating an index.

You should perform a full update in the following situations:

  • Whenever you change the update rules specified for content sources. These update rules control what content is included in the index.
  • If an area is renamed.
  • When you have changed a noise word file. A noise word is a word such as "the" or "an" that is not useful in an index. For information about editing the noise word file, see Editing a Noise Word File.
  • After you have reset the index. For more information, see Resetting a Content Index.
  • If the system experiences a power failure. You should perform a full update after power is restored if you notice that documents are missing.

Whenever you perform a full update of the index, each user who selected the e-mail alert option receives an e-mail message listing all of her alerts.

If power to the server is interrupted during an update, the update continues after power is restored. The index is in the “initializing” state for a certain period of time, which depends on the size of the crawl. The crawl resumes after it finishes initializing. The index is available for queries during this time.

You can start a full update only if the update status is Idle. You can view the update status in the Update Status column for the index on the Configure Search and Indexing page. The update status can have the following values:

  • Idle
  • Crawling
  • Crawling Adaptively
  • Crawling Incrementally
  • Paused (by user)
  • Paused (disk full)
  • Merging
  • Propagating

Start a full update of a content index

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Content Indexes section, click Manage the list of indexes.
  3. On the Manage Content Indexes page, rest the pointer on the index name, and then click the arrow that appears.
  4. On the menu that appears, click Full Update.

You can schedule automatic updates of an index. For more information, see Creating a Search Schedule.


Starting an Incremental Update of a Content Index

Starting an Incremental Update of a Content Index

An incremental update of a content index includes only changed content. Microsoft SharePoint Portal Server "v2.0" Beta 2 removes deleted content from the index, but does not modify unchanged content. For this reason, performing an incremental update is faster than performing a full update.

You can perform an incremental update if you know that content has changed but you do not want to perform a full update. A periodic incremental update creates the index without using the time or resources required for a full update. You can then perform a full update less often. In general, you should perform an incremental update unless there is a reason for performing a full update.

Note You can optimize your resources by configuring SharePoint Portal Server "v2.0" Beta 2 to perform an incremental update daily and a full update weekly. This allows you to have daily updates of changed content and periodic full updates of all content.

An incremental update does not include content excluded since the last full update. For example, you have configured a content source to create an index of document types .doc, .htm, and .ppt. You perform a full update. You then modify the content source so that it creates an index that includes only .doc and .htm document types (you are excluding content with a document type of .ppt). You must perform a full update to incorporate this change into the index.

If an incremental update is the first update that you create — that is, you have not previously performed a full update — that incremental update is actually a full update. This occurs only if the incremental update is the first update you do. Subsequent incremental updates will be true incremental updates.

If power to the server is interrupted during an update, the update continues after power is restored. The index is in the “initializing” state for a period of time, which depends on the size of the crawl. The crawl resumes after it finishes initializing. The index is available for queries during this time.

SharePoint Portal Server "v2.0" Beta 2 automatically propagates one or more indexes from index management servers to search (destination) servers after creating or updating an index.

You can start an incremental update only if the update status is Idle. You can view the update status in the Update Status column for the index on the Configure Search and Indexing page. The update status can have the following values:

  • Idle
  • Crawling
  • Crawling Adaptively
  • Crawling Incrementally
  • Paused (by user)
  • Paused (disk full)
  • Merging
  • Propagating

Start an incremental update of a content index

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure search and indexing page, in the Content Indexes section, click Manage the list of indexes.
  3. On the Manage Content Indexes page, rest the pointer on the index name, and then click the arrow that appears.
  4. On the menu that appears, click Incremental Update.

You can schedule automatic updates of an index. For more information, see Creating a Search Schedule.


Starting an Adaptive Update of a Content Index

Starting an Adaptive Update of a Content Index

An adaptive update, like the incremental update, crawls only the content that has changed since the previous update. Unlike the incremental update, however, the adaptive update increases its efficiency by attempting to access only those documents determined likely to have changed based on an analysis of historical information.

The adaptive update uses information accumulated over all previous updates of any type. The efficiency of the system increases over time and over multiple updates because more statistical samples are available to the algorithm. After a week of daily adaptive updates, the system settles into a steady state. A steady state is a state in which the system has acquired enough information so that the adaptive update is functioning at optimal efficiency.

The updates compute statistical information regardless of the type of update Microsoft SharePoint Portal Server "v2.0" Beta 2 performs. You can perform incremental updates and then later switch to adaptive updates. Performance improves immediately because the system is already in a steady state. This means that SharePoint Portal Server "v2.0" Beta 2 has already accumulated sufficient statistical information to apply the algorithm. Use of an adaptive update is unlikely to give a significant performance improvement on small corpuses (fewer than approximately 2,500 documents).

Important An adaptive update is faster than an incremental or full update, but an adaptive update could miss some updated content. However, SharePoint Portal Server "v2.0" Beta 2 always crawls documents that have not changed for two weeks, so no changes would go unnoticed for longer than that.

Performance improvement between an adaptive update and an incremental update depends on the number of documents and the frequency of changes to the documents. The higher the percentage of documents that change infrequently, the better the performance is.

If you have not performed any other updates, the first time you perform an adaptive update is equal to performing a full update, and the second time you perform an adaptive update is equal to performing an incremental update. You see the first improvement the third time you perform an adaptive update.

If power to the server is interrupted during an update, the update continues after power is restored. The index is in the “initializing” state for a certain period of time, which depends on the size of the crawl. The crawl resumes after it finishes initializing. The index is available for queries during this time.

In the server farm configuration, SharePoint Portal Server "v2.0" Beta 2 automatically propagates one or more indexes from index management servers to search (destination) servers after creating or updating an index.

You can start an adaptive update only if the update status is Idle. You can view the update status in the Update Status column for the index on the Configure Search and Indexing page. The update status can have the following values:

  • Idle
  • Crawling
  • Crawling Adaptively
  • Crawling Incrementally
  • Paused (by user)
  • Paused (disk full)
  • Merging
  • Propagating

Start an adaptive update of a content index

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Content Indexes section, click Manage the list of indexes.
  3. On the Manage Content Indexes page, rest the pointer on the index name, and then click the arrow that appears.
  4. On the menu that appears, click Adaptive Update.

You can schedule automatic updates of an index. For more information, see Creating a Search Schedule.


Pausing an Update of a Content Index

Pausing an Update of a Content Index

You can pause an update to a content index if, for example, the server response time slows noticeably, or if you are performing several concurrent updates and you want to release resources to allow for a higher-priority index.

If you pause the update, the procedure pauses after it finishes processing the current document. The index contains everything processed before you paused the update. In a single server configuration, the changes made before the pause appear in search results. In a server farm configuration, pausing an update prevents any updated documents from appearing in search results because propagation to the search servers does not occur. Propagating the index will cause the contents of the partially-updated index to be reflected in search results. For more information about propagating an index, see Propagating a Content Index. You can resume the update later, and the update continues from the point at which it left off.

Closing the Manage Content Indexes page or restarting the computer that stores the index does not affect the paused status.

Note In a server farm configuration, you cannot pause an update while it is propagating files to the search server.

Pause an update of a content index

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure search and indexing page, in the Content Indexes section, click Manage the list of indexes.
  3. On the Manage Content Indexes page, rest the pointer on the index name, and then click the arrow that appears.
  4. On the menu that appears, click Pause Update.


Resuming an Update of a Content Index

Resuming an Update of a Content Index

You can resume updating a content index after you have paused it. For example, you can pause an update to release resources to allow for a higher-priority index. When the higher-priority index is complete, you can resume updating the index that you paused.

Resume an update of a content index

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Content Indexes section, click Manage the list of indexes.
  3. On the Manage Content Indexes page, rest the pointer on the index name, and then click the arrow that appears.
  4. On the menu that appears, click Resume Update.


Stopping an Update of a Content Index

Stopping an Update of a Content Index

You can stop updating a content index if, for example, the server response time slows noticeably. If you stop the update, the procedure stops only after it finishes processing the current document. The index contains everything processed before you stopped the update. You cannot resume the update later.

Stop an update of a content index

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Content Indexes section, click Manage the list of indexes.
  3. On the Manage Content Indexes page, rest the pointer on the index name, and then click the arrow that appears.
  4. On the menu that appears, click Stop Updating.


About Content Indexes

About Content Indexes

Every portal includes content indexes that allow users to search for documents available from that portal. These documents can be stored inside or outside the portal. SharePoint Portal Server updates and organizes the index so that the search function can use it. After content is included in an index, the content appears in search results on the portal.

What Is a Content Index?

A content index is a full-text index that facilitates quick searching of the following content:

  • Documents stored in the portal. Documents stored in a document library (Web Storage System-based) must be published before they are included in the index.
  • Content that is stored outside the portal (for example, Web sites) that you make available by using content sources. A content source represents a location where such content is stored and can be accessed for indexing. This content is indicated by a URL. This content can be located in a different portal on the same server, on another server on your intranet, or on the Internet.
  • Retrievable properties associated with a document (for example, title and author).

SharePoint Portal Server can create indexes for content stored on Web sites and pages, file systems, Lotus Notes version 4.6a and R5 databases, computers running Microsoft Exchange Server 5.5 and Exchange 2000 Server, SharePoint Portal Server sites, and sites based on Windows SharePoint Services Beta 2.

How Is a Content Index Created?

When you create a portal, SharePoint Portal Server automatically creates two indexes:

  • Portal_Content This index enables searching over portal content. By default, this index contains the following content sources: This portal and People. If you have installed the document library component, the Document Library:document_library_name content source is also in this index.
  • Non_Portal_Content This index enables searching over external content. By default, this index contains the following content source: Sites directory.
Advanced search administration mode enables you to create and manage additional indexes. In addition, when you create content sources, you can specify the index in which the content source will appear. For more information about advanced search administration, see Enabling Advanced Search Administration Mode.

When you add documents to the portal or modify existing documents, SharePoint Portal Server modifies the index to include the changes. When you add content sources or change their settings, you must update the content source to update the index that contains that content source. You can update an index manually from the Manage Content Indexes page. Alternatively, you can schedule SharePoint Portal Server to update your indexes automatically.

SharePoint Portal Server includes a document in the index by:

  • Filtering the document Filters remove formatting and extract both the text of the document and any properties defined in the file itself. SharePoint Portal Server has a limit of 16 megabytes (MB) of text data that it filters from a single document. After this limit is reached, SharePoint Portal Server enters a warning in the gatherer log, and SharePoint Portal Server considers the document to be successfully indexed.

    Note The 16-MB limit applies only to the text in the document. The file size of the document does not matter. For example, you can have a document containing graphics that has a file size of 32 MB, but the 16-MB limit applies only to the text in that document.

    SharePoint Portal Server includes filters for the following: Microsoft Office documents, Microsoft Publisher files, Visio files, HTML files, Tagged Image File Format (TIFF) files, and text files.
  • Word-breaking the document A word breaker is a component that determines where the word boundaries are in the stream of characters in the query or in the document being crawled. SharePoint Portal Server provides word breakers for English, French, Spanish, Japanese, Thai, Korean, Chinese Traditional, and Chinese Simplified. The Windows 2000 Server Indexing Service word breakers are used for Dutch, Italian, Swedish, and German. When SharePoint Portal Server crawls documents that are in multiple languages, the customized word breaker for each language enables the resulting terms to be more accurate for that language. If no word breaker is available for a particular language, the neutral word breaker is used. Words are broken at neutral characters such as spaces and punctuation marks. The code for determining where words are broken is built into the SharePoint Portal Search (SPSSearch) service and cannot be changed.
Creating and updating an index uses processor and disk resources intensively. The indexing process can take a significant amount of time if a large amount of text in the content is being crawled.

Why Would I Need an Index Management Server?

Because creating and updating an index is a resource-intensive process, you can choose to have a separate server that is dedicated to creating and updating indexes. This server is called the index management server. For information about propagating indexes from the index management server to the search server, see About Search Content Propagation.

How Do I Manage Content Indexes?

You can manage content indexes only if you have enabled advanced search administration mode. You manage content indexes on the Manage Content Indexes page. You can access the Manage Content Indexes page from the Site Settings page by doing the following:

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure search and indexing page, in the Content Indexes section, click Manage the list of indexes.


Creating a Content Index

Creating a Content Index

Note You can create a content index only if you have enabled advanced search administration mode. For more information, see Enabling Advanced Search Administration Mode.

The following limitations apply to the index name:

  • The index name is restricted to 49 characters.
  • The index name cannot contain the following characters: +~@#'%*()=[]{}|\"<>.?/@& or space.

Create a content index

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure search and indexing page, in the Content Indexes section, click Manage the list of indexes.
  3. On the Manage Content Indexes page, click New Content Index.
  4. On the Create Content Index page, in the Name and information section, do the following:
    1. In the Name box, type a name for this index.

      The name must be unique for this portal.

    2. In the Description box, type a description for the index.
    3. In the Scope box, type the description of the scope of content in the index.
    4. In the Server list, select the server on which the index will reside.
  5. To change the location for the index, do the following:
    1. In the Local Address section, select the Use a different local address check box.
    2. In the Address box, type the new address.
  6. Click OK.


Editing the Properties of a Content Index

Editing the Properties of a Content Index

You can edit the properties of a content index only if you have enabled advanced search administration mode. For more information, see Enabling Advanced Search Administration Mode.

Edit the properties of a content index

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Content Indexes section, click Manage the list of indexes.
  3. On the Manage Content Indexes page, rest the pointer on the index name, and then click the arrow that appears.
  4. On the menu that appears, click Edit.
  5. On the Index Properties page, do the following:
    1. To change the description for this content index, in the Description box, type the new description.
    2. To change the scope for this content index, in the Scope box, type the new scope name.
  6. You can also specify the logging options and manage the update rules. For more information, see Specifying Logging Options for a Content Index and Adding a Site Hit Frequency Rule, respectively.
  7. Click OK.


Deleting a Content Index

Deleting a Content Index

Note You can delete a content index only if you have enabled advanced search administration mode. For more information, see Enabling Advanced Search Administration Mode.

Delete a content index

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure search and indexing page, in the Content Indexes section, click Manage the list of indexes.
  3. On the Manage Content Indexes page, point to the content index name, and then click the arrow that appears.
  4. On the menu that appears, click Delete.
  5. In the confirmation message box that appears, click OK.


Resetting a Content Index

Resetting a Content Index

When you reset a content index, you are emptying the index. You do not lose statistical information compiled during adaptive updates.

You might want to reset an index under the following conditions:

  • You know or suspect that the index contains old data.
  • You know or suspect that the index contains corrupted data.
  • You have changed a great deal of content or several settings (for example, if you have modified the rules for content sources) and you want to perform a full update to reflect those changes.
  • You realize that there is a problem with security, and users are able to view data to which they should not have access. Resetting the index immediately removes this data from their access.

If a user runs a search after you have reset an index but before you have created a new index, the search does not produce any results.

Note You can reset an index only if you have enabled advanced search administration mode. For more information, see Enabling Advanced Search Administration Mode.

Reset a content index

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Content Indexes section, click Manage the list of indexes.
  3. On the Manage Content Indexes page, rest the pointer on the index name, and then click the arrow that appears.
  4. On the menu that appears, click Reset Content Index.
  5. On the message box that appears, click OK.

    Resetting the index stops any updates that are in progress and empties the index completely.

  6. After you reset a content index, you must perform a full update. To do this:
    1. On the Manage Content Indexes page, rest the pointer on the index name, and then click the arrow that appears.
    2. On the menu that appears, click Full Update.


Specifying Logging Options for a Content Index

Specifying Logging Options for a Content Index

Each time Microsoft SharePoint Portal Server "v2.0" Beta 2 creates or updates a content index, it also creates a gatherer log file. This file contains data about URLs accessed by SharePoint Portal Server "v2.0" Beta 2 while it creates an index. It records successful accesses, access errors, and accesses disallowed by rules (in case the user needs to debug the index restrictions).

By default, SharePoint Portal Server "v2.0" Beta 2 does not log successful accesses and accesses disallowed by rules. SharePoint Portal Server "v2.0" Beta 2 deletes the log after five days. For more information about the gatherer log, see Viewing the Gatherer Log for a Content Index.

Note You can specify logging options of an index only if you have enabled advanced search administration mode. For more information, see Enabling Advanced Search Administration Mode.

Specify logging options for a content index

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure search and indexing page, in the Content Indexes section, click Manage the list of indexes.
  3. On the Manage Content Indexes page, rest the pointer on the content index name, and then click the arrow that appears.
  4. On the menu that appears, click Edit.
  5. On the Index Properties page, in the Logging options section, do the following:
    • To log each document successfully retrieved, select the Log each document successfully retrieved check box. You will get a complete record, but the gatherer log will fill up quickly.
    • To test the effect of update rules, select the Log each document excluded from this content index check box.
  6. Click OK.


Viewing the Gatherer Log for a Content Index

Viewing the Gatherer Log for a Content Index

Each time Microsoft SharePoint Portal Server "v2.0" Beta 2 updates an index, it creates a gatherer log file. This file contains data about URLs that SharePoint Portal Server "v2.0" Beta 2 accesses while creating an index. The file records successful accesses, access errors, and accesses disallowed by rules (in case the user needs to debug the index restrictions).

By default, SharePoint Portal Server "v2.0" Beta 2 does not log successful accesses and accesses disallowed by rules. SharePoint Portal Server "v2.0" Beta 2 deletes the log after five days.

View the gatherer log for a content index

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content page, click Configure search and indexing.
  2. On the Customize Search and Indexing page, in the Other Content Sources section, click Manage content sources.
  3. On the Manage Content Sources page, rest the pointer on the name of the content source, and then click the arrow that appears.
  4. On the menu that appears, click View Log.
  5. On the Gatherer Log Details page, you can view summary or detailed information, and you can customize your view of the log.

Administrators can also view the gatherer log by using a Visual Basic script file. Administrators might want to back up old versions of the gatherer log for statistical purposes or trend analysis. For more information about how to view the log by using a Visual Basic script file, see ToolsHowTo.txt in the Support\Tools directory on the SharePoint Portal Server "v2.0" Beta 2 CD.

By default, the gatherer log files are stored in \Program Files\SharePoint Portal Server\DATA\portal_name in the following directories:

  • Autocat_train$$$
  • Non_Portal_Content
  • Portal_Content
  • ProfileImport
If you create a content index, the gatherer log files will be stored in the same location by default.

If you want to view the most recent log file, select the file with the largest number in the file name.


About Content Sources

About Content Sources

A content source is a starting point that SharePoint Portal Server uses to create an index of documents stored in a particular location. This content can be located on the same server, on another server on your intranet, or on the Internet. After SharePoint Portal Server includes these documents in the index, they are available for users to search for and view on the portal. Examples of content sources include Web sites, file systems, databases, other SharePoint Portal Server computers, and Windows SharePoint Services sites.

SharePoint Portal Server can crawl the following types of content sources:

  • Exchange Server 5.5 folder Messages, discussions, and collaborative content in a Microsoft Exchange Server 5.5 folder.
  • Exchange 2000 Server folder Messages, discussions, and collaborative content in an Exchange 2000 folder.
  • File share The contents of a file share, such as \\myserver\shareddocs\ or file://myserver/shareddocs/.
  • SharePoint Portal Server Any SharePoint Portal Server site.
  • Windows SharePoint Services site Any Windows SharePoint Services site, including its HTML content, documents, and lists.
  • Web page or Web site Any Web content from a single Web page to an entire Web site. For this type of content source, you can specify the site hops and page depth. A site hop occurs when a link from one Web site leads to another Web site. If you specify the number of site hops on a Web site content source to be unlimited, it means that SharePoint Portal Server can access an unlimited number of sites through the initial site. To allow this, you must include a site path rule that specifically includes that initial content source in the index. Otherwise, SharePoint Portal Server automatically excludes the content source from the index for security reasons. You can also specify the depth, in pages, to which the server can search when gathering information from this Web site.
  • Site registry The sites listed in the site registry.

You manage content sources on the Manage Content Sources page. You can access the Manage Content Sources page from the Site Settings page by doing the following:

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure search and indexing page, in the Other Content Sources section, click Manage content sources.


Adding a Content Source

Adding a Content Source

Add a content source to enable users to search for content that is not stored in the portal. For more information about the types of content sources you can add, see About Content Sources.

Note Microsoft SharePoint Portal Server can crawl messages, discussions, and collaborative content in a Microsoft Exchange Server 5.5 folder. However, in addition to creating the content source, you must specify settings on the server. For more information, see Specifying Exchange Server 5.5 Settings.

You can access the Add Content Source page from the Site Settings page by doing the following:

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure search and indexing page, do one of the following:
    • In the General Content Settings and Indexing Status section, click Add Content Source.
    • In the Other Content Sources section, click Add Content Source.
    • In the Other Content Sources section, click Manage content sources. On the Manage Content Sources page, click Add Content Source.

Add a content source

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure search and indexing page, in the General Content Settings and Indexing Status section, click Add Content Source.
  3. On the Add Content Source page, if you have enabled advanced search administration mode, in the Select a content index list, click a content index for this content source. This option is not available if you have not enabled advanced search administration mode.
  4. You can add the following types of content sources:

    Add an Exchange Server folder as a content source

    1. To create a content source that crawls an Exchange 2000 Server folder or an Exchange Server 5.5 folder, click Exchange Server folder, and then click Next.
    2. On the Add Content Source: Exchange Server folder page, in the Address and Description section, do the following:
      1. In the Address box, type the address of the Exchange Server folder to include in the content index.

        Example for Exchange 2000 Server: http://exchangeserver/public/folder/subfolder.

        Example for Exchange Server 5.5: exch://exchangeserver/public folders/all public folders/subfolder.

      2. In the Description box, type the description of the Exchange Server folder.
    3. In the Crawl Configuration section, do the following:
      1. Under Include, click This folder and all subfolders or This folder only.
      2. To include this content source in adaptive updates, select the Participate in adaptive updates check box.

        Note If you select Participate in adaptive updates, changes will show up more quickly in search results, but updates will use more server resources.

    4. In the Source Group section, do one of the following:
      • If you want to create a new source group for this content source, in the Source Group box, type a description of the source group for this content source.
      • If you want to use an existing source group for this content source, click one of the existing source groups.
    5. Click Finish.

      After the content source is created, the Created Exchange Server folder content source page appears. You can use this page to further configure the content source.

    Add a file share as a content source

    1. To create a content source that crawls a file share, click File share, and then click Next.
    2. On the Add Content Source: File share page, in the Address and Description section, do the following:
      1. In the Address box, type the address of the file share to include in the content index, for example, \\myserver\shareddocs or file://myserver/shareddocs.
      2. In the Description box, type the description of the file share.
    3. In the Crawl Configuration section, do the following:
      1. Under Include, click This folder and all subfolders or This folder only.
      2. To include this content source in adaptive updates, select the Participate in adaptive updates check box.

        Note If you select Participate in adaptive updates, changes will show up more quickly in search results, but updates will use more server resources.

    4. In the Source Group section, do one of the following:
      • If you want to create a new source group for this content source, in the Source Group box, type a description of the source group for this content source.
      • If you want to use an existing source group for this content source, click one of the existing source groups.
    5. Click Finish.

      After the content source is created, the Created File share content source page appears. You can use this page to further configure the content source.

    Add a SharePoint Portal Server portal as a content source

    1. To create a content source that crawls a SharePoint Portal Server portal, click Microsoft SharePoint Portal Server portal, and then click Next.
    2. On the Add Content Source: Microsoft SharePoint Portal Server portal page, in the Address and Description section, do the following:
      • In the Address box, type the address of the SharePoint Portal Server site to include in the content index, for example, http://portalserver/portal.
      • In the Description box, type the description of the SharePoint Portal Server portal.
    3. In the Crawl Configuration section, to include this content source in adaptive updates, select the Participate in adaptive updates check box.

      Note If you select Participate in adaptive updates, changes will show up more quickly in search results, but updates will use more server resources.

    4. In the Source Group section, do one of the following:
      • If you want to create a new source group for this content source, in the Source Group box, type a description of the source group for this content source.
      • If you want to use an existing source group for this content source, click one of the existing source groups.
    5. Click Finish.

      After the content source is created, the Created Microsoft SharePoint Portal Server portal content source page appears. You can use this page to further configure the content source.

    Add a Microsoft Windows SharePoint Services site as a content source

    1. To create a content source that crawls a Windows SharePoint Services site, click Windows SharePoint Services site, and then click Next.
    2. On the Add Content Source: Windows SharePoint Services site page, in the Address and Description section, do the following:
      1. In the Address box, type the address of the Windows SharePoint Services Beta 2 site to include in the content index, for example, http://stssvr/Lists/Announcements/AllItems.htm.
      2. In the Description box, type the description of the content source.
    3. In the Crawl Configuration section, to include this content source in adaptive updates, select the Participate in adaptive updates check box.

      Note If you select Participate in adaptive updates, changes will show up more quickly in search results, but updates will use more server resources.

    4. In the Source Group section, do one of the following:
      • If you want to create a new source group for this content source, in the Source Group box, type a description of the source group for this content source.
      • If you want to use an existing source group for this content source, click one of the existing source groups.
    5. Click Finish.

      After the content source is created, the Created Windows SharePoint Services site content source page appears. You can use this page to further configure the content source.

    Add a Web page or Web site as a content source

    1. To create a content source that crawls a Web page or Web site, click Web page or Web site, and then click Next.
    2. On the Add Content Source: Web page or Web site page, in the Address and Description section, do the following:
      1. In the Address box, type the address of the Web site to include in the content index, for example, http://example.microsoft.com/mypage.htm or http://example.microsoft.com.
      2. In the Description box, type the description of the content source.
    3. In the Crawl Configuration section, do the following:
      1. Under Include, do one of the following:
        • Click This site - follow links to all pages on this site.
        • Click This page only.
        • Click Custom - use the controls below to specify the depth.

          If you click the custom option, you can limit the page depth and the site hops. To do this, select the Limit page depth and Limit site hops check boxes, and then specify the limits.

          The page depth is the number of links followed within sites. A site hop occurs when a link from one Web site leads to another Web site. If you specify that the number of site hops on a Web site content source is unlimited, SharePoint Portal Server can access an unlimited number of sites through the initial site.

      2. To include this content source in adaptive updates, select the Participate in adaptive updates check box.

        Note If you select Participate in adaptive updates, changes will show up more quickly in search results, but updates will use more server resources.

    4. In the Source Group section, do one of the following:
      • If you want to create a new source group for this content source, in the Source Group box, type a description of the source group for this content source.
      • If you want to use an existing source group for this content source, click one of the existing source groups.
    5. Click Finish.

      After the content source is created, the Created Web page or Web site content source page appears. You can use this page to further configure the content source.

    Add a sites directory as a content source

    1. To create a content source that crawls sites in the sites directory, click Sites Directory, and then click Next.
    2. On the Add Content Source: Sites Directory page, in the Site Directory Information section, do the following:
      1. In the Address box, change the address for the site directory if necessary.

        By default, the address for the site directory is http://server_name/.

      2. In the Description box, type the description of the content source.
    3. In the Crawl Configuration section, to include this content source in adaptive updates, select the Participate in adaptive updates check box.

      Note If you select Participate in adaptive updates, changes will show up more quickly in search results, but updates will use more server resources.

    4. In the Source Group section, do one of the following:
      • If you want to create a new source group for this content source, in the Source Group box, type a description of the source group for this content source.
      • If you want to use an existing source group for this content source, click one of the existing source groups.
    5. Click Finish.

      After the content source is created, the Created Sites Directory content source page appears. You can use this page to further configure the content source.

  5. If you want to start an update immediately, do the following:
    1. On the Created content_source_type content source page, select the Start update now check box.
    2. Click OK.


Editing a Content Source

Editing a Content Source

You can edit all properties of a content source except for the content source address and the source group of the default Sites directory content source.

You can edit a content source from multiple locations:

  • On the Existing content_source_type content source page, edit the fields that you want to change.
  • On the Manage Content Sources page, click the name of the content source. On the content_source_type content source page, click Edit.

Edit a content source

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content page, click Configure search and indexing.
  2. On the Configure search and indexing page, in the Other Content Sources section, click Manage content sources.
  3. On the Manage Content Sources page, point to the name of the content source that you want to change, and then click the arrow that appears.
  4. On the menu that appears, click Edit.
  5. On the Existing content_source_type content source page, do one the following:

    Edit an Exchange Server folder content source

    1. In the Address and Description section, in the Description box, type the description of the Exchange Server folder.
    2. In the Crawl Configuration section, do the following:
      1. Under Include, click This folder and all subfolders or This folder only.
      2. To include this content source in adaptive updates, select the Participate in adaptive updates check box.

        Note If you select Participate in adaptive updates, changes will show up more quickly in search results, but updates will use more server resources.

    3. In the Source Group section, do one of the following:
      • If you want to create a new source group for this content source, in the Source Group box, type a description of the source group for this content source.
      • If you want to use an existing source group for this content source, click one of the existing source groups.
    4. Do one of the following:
      • Click OK.
      • Click Advanced. On the content_source_type content source page, you can specify scheduled updates, specify rules to include or exclude content, or start an update.

    Edit a file share content source

    1. In the Address and Description section, in the Description box, type the description of the file share.
    2. In the Crawl Configuration section, do the following:
      1. Under Include, click This folder and all subfolders or This folder only.
      2. To include this content source in adaptive updates, select the Participate in adaptive updates check box.

        Note If you select Participate in adaptive updates, changes will show up more quickly in search results, but updates will use more server resources.

    3. In the Source Group section, do one of the following:
      • If you want to create a new source group for this content source, in the Source Group box, type a description of the source group for this content source.
      • If you want to use an existing source group for this content source, click one of the existing source groups.
    4. Do one of the following:
      • Click OK.
      • Click Advanced. On the content_source_type content source page, you can specify scheduled updates, specify rules to include or exclude content, or start an update.

    Edit a Microsoft SharePoint Portal Server portal content source

    1. In the Address and Description section, in the Description box, type the description of the SharePoint Portal Server portal.
    2. In the Crawl Configuration section, to include this content source in adaptive updates, select the Participate in adaptive updates check box.

      Note If you select Participate in adaptive updates, changes will show up more quickly in search results, but updates will use more server resources.

    3. In the Source Group section, do one of the following:
      • If you want to create a new source group for this content source, in the Source Group box, type a description of the source group for this content source.
      • If you want to use an existing source group for this content source, click one of the existing source groups.
    4. Do one of the following:
      • Click OK.
      • Click Advanced. On the content_source_type content source page, you can specify scheduled updates, specify rules to include or exclude content, or start an update.

    Edit a Windows SharePoint Services site content source

    1. In the Address and Description section, in the Description box, type the description of the content source.
    2. In the Crawl Configuration section, to include this content source in adaptive updates, select the Participate in adaptive updates check box.

      Note If you select Participate in adaptive updates, changes will show up more quickly in search results, but updates will use more server resources.

    3. In the Source Group section, do one of the following:
      • If you want to create a new source group for this content source, in the Source Group box, type a description of the source group for this content source.
      • If you want to use an existing source group for this content source, click one of the existing source groups.
    4. Do one of the following:
      • Click OK.
      • Click Advanced. On the content_source_type content source page, you can specify scheduled updates, specify rules to include or exclude content, or start an update.

    Edit a Web page or Web site content source

    1. In the Address and Description section, in the Description box, type the description of the content source.
    2. In the Crawl Configuration section, do the following:
      1. Under Include, do one of the following:
        • Click This site - follow links to all pages on this site.
        • Click This page only.
        • Click Custom - use the controls below to specify the depth.

          If you click the custom option, you can limit the page depth and the site hops. To do this, select the Limit page depth and Limit site hops check boxes, and then specify the limits.

          The page depth is the number of links followed within sites. A site hop occurs when a link from one Web site leads to another Web site. If you specify that the number of site hops on a Web site content source be unlimited, SharePoint Portal Server can access an unlimited number of sites through the initial site.

      2. To include this content source in adaptive updates, select the Participate in adaptive updates check box.

        Note If you select Participate in adaptive updates, changes will show up more quickly in search results, but updates will use more server resources.

    3. In the Source Group section, do one of the following:
      • If you want to create a new source group for this content source, in the Source Group box, type a description of the source group for this content source.
      • If you want to use an existing source group for this content source, click one of the existing source groups.
    4. Do one of the following:
      • Click OK.
      • Click Advanced. On the content_source_type content source page, you can specify scheduled updates, specify rules to include or exclude content, or start an update.

    Edit a sites directory content source

    1. In the Address and Description section, in the Description box, type the description of the content source.
    2. In the Crawl Configuration section, to include this content source in adaptive updates, select the Participate in adaptive updates check box.

      Note If you select Participate in adaptive updates, changes will show up more quickly in search results, but updates will use more server resources.

    3. In the Source Group section, do one of the following:
      • If you want to create a new source group for this content source, in the Source Group box, type a description of the source group for this content source.
      • If you want to use an existing source group for this content source, click one of the existing source groups.
    4. Do one of the following:
      • Click OK.
      • Click Advanced. On the content_source_type content source page, you can specify scheduled updates, specify rules to include or exclude content, or start an update.

    Edit the default content sources

    SharePoint Portal Server installs two content sources by default: This portal and Sites Directory. If you install the document management component, a content source is also created for the document library that is associated with a portal.

    1. In the Address and Description section, in the Description box, type the description of the content source.
    2. In the Crawl Configuration section, to include this content source in adaptive updates, select the Participate in adaptive updates check box.

      Note If you select Participate in adaptive updates, changes will show up more quickly in search results, but updates will use more server resources.

    3. In the Source Group section, do one of the following:
      • If you want to create a new source group for this content source, in the Source Group box, type a description of the source group for this content source.
      • If you want to use an existing source group for this content source, click one of the existing source groups.

      Note You cannot edit the source group for Sites directory.

    4. Do one of the following:
      • Click OK.
      • Click Advanced. On the content_source_type content source page, you can specify scheduled updates, specify rules to include or exclude content, or start an update.


Deleting a Content Source

Deleting a Content Source

When you delete a content source, it is permanently removed from the portal. It is not available for search, and you cannot restore it.

Delete a content source

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure search and indexing page, in the Other Content Sources section, click Manage content sources.
    • On the Manage Content Sources page, point to the content source name, and then click the arrow that appears.
    • On the menu that appears, click Delete.
    • In the confirmation message box that appears, click OK.


Starting a Full Update of a Content Source

Starting a Full Update of a Content Source

During a full update, Microsoft SharePoint Portal Server "v2.0" Beta 2 updates all content in the content source. A full update includes adding new content, modifying changed content, refreshing the content index for existing unchanged content, and removing deleted content from the content index. This is the most time-consuming and resource-intensive type of update.

You should perform a full update in the following situations:

  • If you create a new rule that affects only one content source, you should perform a full update on that content source.
  • If files are renamed in a specific content source, you should perform a full update on that content source.

Whenever you perform a full update of the content source, all users receive an e-mail message listing all of the alerts for which they requested alert results to be sent to them through e-mail.

You can start a full update only if the update status is Idle. You can view the update status in the Update Status column for the content source on the Manage Content Sources page.

Start a full update of a content source

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Other Content Sources section, click Manage content sources.
  3. On the Manage Content Sources page, rest the pointer on the name of the content source, and then click the arrow that appears.
  4. On the menu that appears, click Full Update.

You can schedule automatic updates of a content source. For more information, see Specifying the Search Schedule for a Content Source.


Starting an Incremental Update of a Content Source

Starting an Incremental Update of a Content Source

An incremental update of a content source includes only changed content. Microsoft SharePoint Portal Server "v2.0" Beta 2 removes deleted content from the content index, but does not modify unchanged content. For this reason, performing an incremental update is faster than performing a full update.

You can perform an incremental update if you know that content has changed but you do not want to perform a full update. A periodic incremental update creates the index without using the time or resources required for a full update. You can then perform a full update less often. In general, you should perform an incremental update unless there is a reason for performing a full update.

Note You can optimize your resources by configuring SharePoint Portal Server "v2.0" Beta 2 to perform an incremental update daily and a full update weekly. This allows you to have daily updates of changed content and periodic full updates of all content.

An incremental update does not update content that you have excluded by using the rules settings for the content index. For example, you have configured a content source to create a content index of document types .doc, .htm, and .ppt. You perform a full update. You then modify the content source so that it creates an index that includes only .doc and .htm document types (you exclude content with a document type of .ppt). You must perform a full update to incorporate this change into the content index.

You can start an incremental update only if the update status is Idle. You can view the update status in the Update Status column for the content source on the Manage Content Sources page.

Start an incremental update of a content source

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Other Content Sources section, click Manage content sources.
  3. On the Manage Content Sources page, rest the pointer on the name of the content source, and then click the arrow that appears.
  4. On the menu that appears, click Incremental Update.

You can schedule automatic updates of a content source. For more information, see Specifying the Search Schedule for a Content Source.


Stopping an Update of a Content Source

Stopping an Update of a Content Source

You can stop an update of a single content source. If you stop an update, you cannot continue the update.

When you stop an update, the update process stops only after it finishes processing the current document. The content index contains everything processed before you stopped the update, and on a single server configuration the changes appear in search results. However, in a server farm configuration, stopping an update of a content source prevents any updated documents from appearing in search results because propagation to the search servers does not occur. Propagating the index will cause the contents of the partially-updated index to be reflected in search results. For more information about propagating an index, see Propagating a Content Index.

Note In a server farm configuration, you cannot stop an update while it is propagating files to the search server.

Stop a full update of a content source

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Other Content Sources section, click Manage content sources.
  3. On the Manage Content Sources page, rest the pointer on the name of the content source, and then click the arrow that appears.
  4. On the menu that appears, click Stop update.


Viewing the Gatherer Log for a Content Source

Viewing the Gatherer Log for a Content Source

Each timeSharePoint Portal Server "v2.0" Beta 2 updates a content index, it creates a gatherer log file. This file contains data about URLs that SharePoint Portal Server "v2.0" Beta 2 accesses while creating an index. The file records successful accesses, access errors, and accesses disallowed by rules (in case the user needs to debug the index restrictions).

You can filter this log file and view the gatherer log for a specific content source.

By default, SharePoint Portal Server "v2.0" Beta 2 does not log successful accesses and accesses disallowed by rules. SharePoint Portal Server "v2.0" Beta 2 deletes the log after five days.

View the gatherer log for a content source

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content page, click Configure search and indexing.
  2. On the Customize Search and Indexing page, in the Other Content Sources section, click Manage content sources.
  3. On the Manage Content Sources page, rest the pointer on the name of the content source, and then click the arrow that appears.
  4. On the menu that appears, click View Log.
  5. On the Gatherer Log Details page, you can view summary or detailed information, and you can customize your view of the log.


Creating a Search Schedule

Creating a Search Schedule

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

By creating a schedule for updates, you can customize how often SharePoint Portal Server updates the information in an individual content source or in a content index.

Create an update schedule for search

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure search and indexing page, in the General Content Settings and Indexing Status section, click Manage search schedules.
  3. On the Manage Search Schedules page, click New Search Schedule.
  4. On the Edit Search Schedule page, in the Content area list, click the content index for which you want to create an update schedule.
  5. In the Content source list, click the content source for which you want to create an update schedule. If you want the schedule to apply to the entire index, click All content sources.
  6. In the Update type list, click the update type.
  7. Do one of the following:

    Schedule daily updates

    1. In the Schedule type list, click Daily.
    2. Select a daily update time.
    3. If you want to repeat the task, do the following:
      1. Select the Repeat task check box.
      2. In the Task Interval (minutes) box, type a number to determine how many minutes elapse before the update starts again.
      3. In the Task Duration (minutes) box, type the a number to determine how long the update repeats.
    4. In the Schedule interval (days) box, type how often you want the daily schedule to repeat.

      By default, if you select daily and want to repeat the task, the content source will be updated starting at 12 AM every 5 minutes for 24 hours (1440 minutes), and the update will repeat every day.

    Schedule weekly updates

    • In the Schedule type list, click Weekly.
    • Select an update time.
    • If you want to repeat the task, do the following:
      1. Select the Repeat task check box.
      2. In the Task Interval (minutes) box, type a number to determine how many minutes elapse before the update starts again.
      3. In the Task Duration (minutes) box, type a number to determine how long the update repeats.
    • In the Schedule interval (weeks) box, type how often you want the weekly schedule to repeat.
    • On the list of weekdays, select the check box for the day of the week on which you want the update to run.

      By default, if you select weekly and want to repeat the task, the content source will be updated starting at 12 AM every 5 minutes for 24 hours (1440 minutes), and the update will repeat on Monday of each week.

  8. Click OK.


Editing a Search Schedule

Editing a Search Schedule

You can edit the schedule for an update.

Edit an update schedule for search

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure search and indexing page, in the General Content Settings and Indexing Status section, click Manage search schedules.
  3. On the Manage Search Schedules page, point to the schedule name, and then click the arrow that appears.
  4. On the menu that appears, click Edit.
  5. TODO: Add steps from creating a search schedule once UI is locked.


Deleting a Search Schedule

Deleting a Search Schedule

You can delete a scheduled update if you no longer need it.

Delete an update schedule for search

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure search and indexing page, in the General Content Settings and Indexing Status section, click Manage search schedules.
  3. On the Manage Search Schedules page, point to the schedule name, and then click the arrow that appears.
  4. On the menu that appears, click Delete.
  5. In the confirmation message box that appears, click OK.


Specifying the Search Schedule for a Content Source

Specifying the Search Schedule for a Content Source

By scheduling individual updates, you can customize how often SharePoint Portal Server updates the information in an individual content source separately from how often SharePoint Portal Server updates a content index.

Specify a search schedule for a content source

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure search and indexing page, in the Other Content Sources section, click Manage content sources.
  3. On the Manage Content Sources page, rest the pointer on the name of the content source, and then click the arrow that appears.
  4. On the menu that appears, click Edit.
  5. On the content_source_type content source page, click Advanced.
  6. In the Scheduled Updates section, click Set full update schedule or Set incremental update schedule.
  7. On the Edit Search Schedule page, do the following:
    1. In the Content area list, click the content area that contains the content source for which you want to specify an update schedule for search.
    2. In the Content source list, click the content source for which you want to specify an update schedule for search.
    3. In the Update type list, click the update type.
    4. In the Schedule type list, click Daily or Weekly.
      • If you select Daily, do the following:
        1. Select a daily update time.
        2. If you want to repeat the task, do the following:
          1. Select the Repeat task check box.
          2. In the Task Interval (minutes) box, type the task interval.
          3. In the Task Duration (minutes) box, type the duration of the task.
        3. In the Schedule interval (days) box, type how often you want the task repeated.

        By default, if you select daily and want to repeat the task, the content source will be updated starting at 12 AM every 5 minutes for 24 hours (1440 minutes), and the update will repeat every day.

      • If you select Weekly, do the following:
        1. Select an update time.
        2. If you want to repeat the task, do the following:
          1. Select the Repeat task check box.
          2. In the Task Interval (minutes) box, type the task interval.
          3. In the Task Duration (minutes) box, type the duration of the task.
        3. In the Schedule interval (days) box, type how often you want the task repeated.
        4. From the list of weekdays, select the check box for the day of the week on which you want the update to run.

        By default, if you select weekly and want to repeat the task, the content source will be updated starting at 12 AM every 5 minutes for 24 hours (1440 minutes), and the update will repeat on Wednesday of each week.

  8. Click OK.


Viewing the Index Status of an Item

Viewing the Index Status of an Item

You can monitor the progress of updates to content sources from the Configure search and indexing page.

View the index status of an item

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure search and indexing page, in the Content Indexing Status and General Settings section, you can monitor the progress of the updates for portal content and for non-portal content.

    If you have enabled advanced search administration, you can monitor the progress of the updates for portal content and for non-portal content in the Content Indexes section.

  3. In the Sites Directory Content Sources section, you can monitor the progress of the updates for the site directory.
  4. In the Other Content Sources section, you can monitor the progress of updates for content sources that are not included in the site directory.

    Some content source types, such as Exchange Public Folders and Lotus Notes databases, cannot be included in the site directory. You can define content sources for content that is not included in the site directory or that requires a special update schedule.

    A special type of content source is the "This Portal" content source. As a system content source, you cannot delete it. It controls indexing of all of the portal internal content.

  5. To refresh the screen, click Refresh.


About Data Store Files for Search

About Data Store Files for Search

The following data store and log files are associated with the SharePoint Portal Server computer:

Content Indexes for Search When a portal is created, SharePoint Portal Server creates two content indexes. SharePoint Portal Server also creates all indexes propagated to the server under this root node. You can use SharePoint Portal Server Administration to change this path.

Note If this path changes, the existing indexes do not move to the new index location. However, SharePoint Portal Server creates subsequent indexes in the new location.

To move existing indexes to a new location, see ToolsHowTo.txt in the Support\Tools directory on the SharePoint Portal Server CD.

Search Temporary Files SharePoint Portal Server may need to create temporary files for documents being crawled. The administrator can use SharePoint Portal Server Administration to move the files to a different drive on the same computer. For best performance, the temporary files location should point to a disk other than the system drive or the drive that contains any SharePoint Portal Server data files, including the index files.

Note If this location changes, the existing files do not move to the new path. However, SharePoint Portal Server creates subsequent files in the new location.

By default, the Microsoft Search (MSSearch) service temporary files are stored in the folder specified by the system TMP variable (typically WINNT\TEMP on the system drive). If this folder does not exist, the temporary files are stored in the folder specified by the system TEMP variable.

Important For MSSearch to operate correctly, you must ensure that there is sufficient space on this drive to store the MSSearch temporary files. The typical default for the system TMP variable points to the system drive, which is not the optimal configuration for performance. To optimize performance, you must ensure that the property store files, the search indexes, the system page files, and the Web Storage System files are stored on spindles separate from the MSSearch temporary folder.

Search Gatherer Logs Each time SharePoint Portal Server creates an index, it creates a log file for that workspace. This log file contains data about crawling content sources and records access errors. You can use SharePoint Portal Server Administration to change this path.

Note If this location changes, the existing files do not move to the new location. However, SharePoint Portal Server creates subsequent files in the new location.

The gatherer log contains data about URLs that are accessed while an index is being created. The file records successful accesses, access errors, and accesses disallowed by rules (in case the user needs to debug the index restrictions). Coordinators can view this log from a user-friendly Active Server Pages (ASP) page in the Content Sources folder located in the Management folder in the workspace.

Microsoft Web Storage System-Database Every SharePoint Portal Server computer contains one public store (wss.mdb). All workspaces hosted on the server reside on the Web Storage System. You can use SharePoint Portal Server Administration to change this path. If this location changes, the existing file moves to the new location.

Web Storage System-Streaming Database Used for streaming files, the Web Storage System Streaming Database file (wss.stm) contains data and is a companion to the Web Storage System Database file (wss.mdb). Together these two files form the database. SharePoint Portal Server document streams comprise a sizable part of the total amount of data. You might want to move this file to a larger drive (ideally a dynamic disk that you can easily resize) because it can increase substantially over time. You can use SharePoint Portal Server Administration to change this path. If this location changes, the existing file moves to the new location.

Web Storage System-Database Log These are the log files for the Web Storage System. For optimal performance, place the log files on a dedicated physical volume. You can use SharePoint Portal Server Administration to change this path. If this location changes, the existing files move to the new location.

It is recommended that all files be stored on the same computer as the Web Storage System, although they can be on separate partitions. For optimal performance, place the log files on dedicated physical volumes. In addition, store the indexes on drives formatted for the NTFS file system.

Important If your SharePoint Portal Server computer is also running Microsoft Exchange 2000 Standard Server, use Exchange System Manager to modify the location of any Web Storage System files.


Specifying the Location for Temporary Files

Specifying the Location for Temporary Files

SharePoint Portal Server "v2.0" Beta 2 may need to create temporary files for documents being crawled. The administrator can use SharePoint Portal Server Administration to move the files to a different drive on the same computer. For best performance, the temporary files location should point to a disk other than the system disk or the disk that contains any SharePoint Portal Server "v2.0" Beta 2 data files, including the full-text index files.

Note If this location changes, the existing files do not move to the new path. However, SharePoint Portal Server "v2.0" Beta 2 creates subsequent files in the new location.

By default, the SharePoint Portal Search service (SPSSearch) temporary files are stored in the folder specified by the system TMP variable (typically WINDOWS\Temp on the system drive). If this folder does not exist, the temporary files are stored in the folder specified by the system TEMP variable.

Important For SPSSearch to operate correctly, you must ensure that there is sufficient space on this drive to store the SPSSearch temporary files. The typical default for the system TMP variable points to the system drive, which is not the optimal configuration for performance. To optimize performance, you should ensure that the property store files, the full-text indexes, the system page files, and the Web Storage System files are stored on spindles separate from the SPSSearch temporary folder.

For more information, see About Data Store Files for Search.

Specify the location for temporary files

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure search and indexing.
  2. On the Manage the Search Service for SharePoint Portal Server page, in the Servers section, click the server name.
  3. On the Search Server Settings page, click the Server Settings tab.
  4. In the File Locations section, type the location for the temporary files.
  5. Click Apply.


Manage Keywords

Manage Keywords

Keywords are used to mark specific items as more relevant for a particular word included in search, so that they show up more prominently in search results.

Administrators create keywords for common searches, and then add keyword best bets for each keyword that are items most relevant to that search. You can create additional keywords under existing keywords based on subject matter, so that keyword best bets in those keywords also are associated with the higher-level keywords.

When a user types a keyword or synonym for a keyword iin the search box, its keyword best bets and those of lower-level keywords are shown with the highest relevance in search results. These items are also identified with a distinctive icon as keyword best bets.

Keyword best bets must be approved before they can be used by search. Keyword managers can choose to approve new keyword best bets automatically or require an approval process.

Keyword managers can also choose publishing dates for keywords and keyword best bets. This allows keywords and keyword best bets to be created for particular times when they are relevant, and then set to expire when they are no longer relevant. Keyword best bets that are not useful now but may be useful in the future can be added to an archive for later use.

Keyword best bets can be in several different states depending upon their approval status and publishing dates. The status of keyword best bets is shown in particular ways depending upon how you are viewing keywords and keyword best bets.

To manage keywords, click Site Settings and in the Manage Search Settings and Indexed Content section, click Manage keywords.

On the Keywords page, in the action pane under Select View, you can change the view of keywords and keywords best bets:

  • Keywords This view shows all keywords that are created for this server. By default, the items that are selected as keyword best bets are shown under the appropriate keywords. Keyword best bets are marked with icons to show their status. You may choose to show only the keywords by clicking Keywords Only in the Filter by list on the toolbar.

  • Keyword Best Bets This view shows a flat list of all keyword best bets. Each keyword best bet in the list shows the keyword with which it is associated, the user who created it, and its status. You can organize the list into groups by using any of these properties. To organize by groups, click on the property in the Group by list. You can filter the view to show only items with a particular status by clicking Filter on the toolbar, and then clicking a status in the Status list that appears on the page. You can also choose whether to include the description for each keyword best bet by clicking Show More or Show Less on the toolbar.

    From this view, to add a keyword best bet click New on the toolbar. To edit or delete keyword best bets, or change the status of a keyword best bet click the item and then click the appropriate action.

    You can view information about the keyword for a keyword best bet by clicking on the keyword property for the keyword best bet. This also displays contact information for the person who created the keyword.

  • Pending This is similar to the Keyword Best Bets view, but shows only keyword best bets that are marked as Pending approval.
  • Rejected Content This is similar to the Keyword Best Bets view, but shows only keyword best bets that are rejected.
  • Expired This is similar to the Keyword Best Bets view, but shows only keyword best bets that have expired.
  • Archived This is similar to the Keyword Best Bets view, but shows only keyword best bets that are included in the archive.

You can create keywords and add keyword best bets from the action pane. You can also add, edit, and delete keywords and keyword best bets by clicking existing keywords or keyword best bets, and then clicking the appropriate action.

You can also use the action pane to perform other tasks related to search, such as managing content sources and managing categories.

For more information

Create, Edit, and Delete Keyword
Add, Edit, and Delete Keyword Best Bet
Approve, Reject, and Archive Keyword Best Bet
About search


Managing Search Scopes

Managing Search Scopes

Search scopes allow users to narrow their searches based on the topics, categories, and content sources of items on the portal. Search scopes appear to all users in a list next to the portal search box.

Site administrators create the search scopes that appear in the list next to the portal search box. These search scopes are typically limited to specific topics and content sources that the site administrator has decided are important and common enough to make them useful to users in the organization.

Search scopes may be limited by either topics and categories or the type of content sources where content outside the portal can be found. Content sources outside the portal can be grouped into certain types, and you may want to limit your search scope to exclude or include particular content source groups.

The Manage Search Scopes page contains a list of currently defined search scopes. You may reorganize the order of this list by clicking on a search scope and then clicking Move Up or Move Down. To make a search scope the default search scope in the portal, select the search scope and click Make Default.

Related Topics

Adding and Editing Search Scope
Deleting Search Scope
About search


Adding and Editing Search Scope

Adding and Editing Search Scope

Search scopes appear in a list next to the portal search box for all users. Search scopes are defined by site administrators.

Add a search scope

  1. ClickSite Settings, and in the Manage Search Settings and Content Indexes section, click Manage search scopes.
  2. On the Manage Search Scopes page, on the toolbar, click Add search scope.
  3. On the Add Search Scope page, type a name for this search scope.
  4. Decide whether you want to limit the scope by topics or categories. In the Topics and Categories section, select Don't limit the scope by topic or category if this search scope is not limited by topic or category. To limit this search scope by topic or category, select Limit the search scope to items in the following topics or categories and then click Change categories.
  5. On the Change category page, select categories to use for this search scope. You may select one or more categories, but each selected category includes all of its subcategories. Only items in the selected categories show up in search results when using this search scope. When you are done selecting categories, click Save.
  6. In the Content Source Groups section, select Include all content sources if this search scope is not limited to certain groups of content sources. Select Exclude all external content sources to limit the search scope to only the default content source for this portal. To limit the search scope to particular content source groups, select Limit the search scope to the following groups of content sources, and then select the content source groups that apply.
  7. You may choose to Create a site registry source group with the same name as this search scope by selecting the box to do so.

Edit a search scope

  1. ClickSite Settings, and in Manage Search Settings and Content Indexes section, click Manage search scopes.
  2. On the Manage Search Scopes page, click the search scope you want to edit, and then click Edit.
  3. On the Edit Search Scope page, you can type a new name for this search scope.
  4. Decide whether you want to limit the scope by topics or categories. In the Topics and Categories section, select Don't limit the scope by topic or category if this search scope is not limited by topic or category. To limit this search scope by topic or category, select Limit the search scope to items in the following topics or categories and then click Change categories.
  5. On the Change category page, select categories to use for this search scope. You may select one or more categories, but each selected category includes all of its subcategories. Only items in the selected categories show up in search results when using this search scope. When you're done selecting categories, click Save.
  6. In the Content Source Groups section, select Include all content sources if this search scope is not limited to certain groups of content sources. Select Exclude all external content sources to limit the search scope to only the default content source for this portal. To limit the search scope to particular content source groups, select Limit the search scope to the following groups of content sources, and then select the content source groups that apply.

Related Topics

Deleting Search Scope
Managing Search Scopes
About search


Deleting Search Scope

Deleting Search Scope

Delete search scope

  1. To delete a search scope, click the scope you want to delete, and then click Delete.
  2. On the confirmation message that appears, click OK.

Related Topics

Adding and Editing Search Scope
Managing Search Scopes
About search


Managing Crawling of the Site Directory

Managing Crawling of the Site Directory

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Specifying Default Search Behavior for the Site Directory

Specifying Default Search Behavior for the Site Directory

In simple search administration mode, you can specify the way new sites and linked sites will be included in the content index. You can specify that sites are automatically crawled, automatically not crawled, or require approval before crawling.

Specify default search behavior for the Site Directory

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure search and indexing page, in the General Content Settings and Indexing Status section, click the link next to Log settings.
  3. On the Edit Search Settings page, do the following:
    1. In the Provisioned site behavior list, click the default behavior for new sites added to the Site Directory.
    2. In the Linked site behavior list, click the default behavior for links to existing sites added to the Site Directory.
  4. Click OK.


Managing the Configuration Database

Managing the Configuration Database

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Specifying Settings for Component Settings Database

Specifying Settings for Component Settings Database

Microsoft SharePoint Portal Server "v2.0" Beta 2 uses the component settings database to store service information for each portal in a deployment.

You can view the complete list of database settings for the server farm in the Database Server Settings section on the Configure Server Topology and Component Assignments page. An asterisk (*) next to the server name in the component settings entry indicates the default database server for the component settings database for the next portal created. All servers that stored the content database for previously-created portals are also listed. The list of servers for the component settings entry always matches the list of servers for the site settings entry.

Specify settings for component settings database

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Server Configuration section, click Specify settings for component settings database.
  2. On the Specify Settings for Component Settings Database page, do one of the following:
    • To use the same server for the component settings database that the configuration database server uses, click the Use same server as configuration database check box.

      By default, SharePoint Portal Server "v2.0" Beta 2 stores this database on the same server that contains the configuration database.

    • To specify a different server for the component settings database, clear the Use same server as configuration database check box, and then type the name of the new server in the Server name box.
  3. Click OK.


Disconnecting a Document Library from the Configuration Database

Disconnecting a Document Library from the Configuration Database

You can remove an entry for a document library (Web Storage System-based) from the configuration database. You would do this if you had an unrecoverable error on the document library server and you could not recover the document library. In this case, you must use this page to remove the entry for the document library from the configuration database.

The selected document library will be disconnected from the configuration database. If the document library is associated with a portal site, the Document Library area will be deleted from the home page of the portal. The content source for the document library will be deleted.

Disconnect a document library from the configuration database

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure document libraries (Web Storage System-based).
  2. On the List and Manage Document Libraries page, click Disconnect.
  3. On the Disconnect Document Library from Configuration Database page, in the Document libraries list, select the document library that you want to disconnect from the configuration database.
  4. Click OK.


Specifying Content Database Settings

Specifying Content Database Settings

Microsoft SharePoint Portal Server "v2.0" Beta 2 and Microsoft Windows SharePoint Services Beta 2 both use content databases to store content for individual sites. However, SharePoint Portal Server "v2.0" Beta 2 uses a different content database for each site, while Windows SharePoint Services Beta 2 uses a content database for multiple sites.

You can view the complete list of database settings for the server farm in the Database Server Settings section on the Configure Server Topology and Component Assignments page. An asterisk (*) next to the server name in the site settings entry indicates the default database server for the content database for the next portal site created. All servers that have stored the content database for previously-created portal sites are also listed.

Specify content database settings

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Server Configuration section, click Specify content database settings.
  2. On the Specify Content Database Settings page, do one of the following:
    • To use the same server for the content database that the configuration database server uses, select the Use same server as configuration database check box.

      By default, when you create a virtual server, SharePoint Portal Server "v2.0" Beta 2 stores a corresponding content database on the same server that contains the configuration database.

    • To specify a different server for the content settings database, clear the Use same server as configuration database check box, and then type the name of the new server in the Server name box.
  3. Click OK.


Managing Content Databases for Portal Sites

Managing Content Databases for Portal Sites

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Specifying Configuration Database Settings

Specifying Configuration Database Settings

Microsoft SharePoint Portal Server "v2.0" Beta 2 uses the configuration database to store configuration and site mapping information for the servers in the server farm. There can be only one configuration database for each server farm.

Specify configuration database settings

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Server Configuration section, click Specify configuration database server.
  2. On the Specify Configuration Database Settings for Server server_name page, do one of the following:

    Create the configuration database

    1. Click Create configuration database.
    2. In the Database server box, type the name of the computer running Microsoft SQL Server.

      This is the server on which the configuration database is stored.

      Note If you are expanding a single-server configuration to a multiple-server configuration, specify SHAREPOINT as the SQL Server instance name. For example, server_name\SHAREPOINT.

    3. In the Name for Configuration Database section, do one of the following:
      • If you want to use the default database name that is displayed, click Use default name.
      • If you want to specify a name for the database, click Specify custom name, and then in the Custom Name box, type a name for the database.
    4. Click OK.

    Connect to an existing configuration database

    1. Click Connect to existing configuration database.
    2. In the Database server box, type the name of the computer running Microsoft SQL Server.

      This is the server on which the configuration database is stored.

      Note If you are expanding a single-server configuration to a multiple-server configuration, specify SHAREPOINT as the SQL Server instance name. For example, server_name\SHAREPOINT.

    3. In the Name for Configuration Database section, do one of the following:
      • If you want to use the default database name that is displayed, click Use default name.
      • If you want to specify a name for the database, click Specify custom name, and then in the Custom Name box, type a name for the database.
    4. Click OK.

    Disconnect from the configuration database

    Before you disconnect from the configuration database, you must:

    1. Delete all portal sites from the server.
    2. Remove all component assignments from the server.
    For more information about how to perform these tasks, see Related Topics.

    1. Click Disconnect from configuration database.
    2. Click OK.

Related Topics

Deleting a Portal Site
Changing Component Assignments for the Server Farm


Managing Content Databases

Managing Content Databases

Microsoft Windows SharePoint Services Beta 2 uses a database to store and manage site content. Just as each virtual server can host multiple top-level Web sites, each virtual server can rely on multiple content databases to store site content. If you are running Windows SharePoint Services Beta 2 on a single server, hosting just a few sites, you can probably use the same content database for all of your sites. If you want to add capacity in a server farm, you will most likely need several content databases to store site data for each virtual server.

To make it easier to manage site content for large server farms, you can also set a limit on how many top-level Web sites can store content in a content database. You can specify a warning limit and a maximum limit for the number of sites. When a warning limit or maximum limit is reached, an event is logged in the server's NT Event Log, so you can take action. When a maximum limit is reached, no more sites can be created using that content database.

When you create a new site, the databases are queried and the new site's content is added to the database which has the most available space. For example, suppose your virtual server has three content databases, all set to warn you when they reach 2000 sites, with a maximum of 2025 sites. When the first content database reaches 2000 sites, an event is logged. When it reached 2025 sites, no more sites can be created in that database. When you are close to the limit on 2 out of 3 of the content databases, and you know that you'll need to host more than 2000 additional sites, it is time to create another content database.

You can specify any number of sites for the warning and maximum number of sites. To determine an appropriate number for your situation, divide the amount of available disk space on the database server by the estimated size for each site (plus a buffer). If you are using quotas, divide the disk space by the disk space quota (plus a buffer).

A buffer allows the number of sites to grow beyond the warning level, but not exceed your disk space. The size of the buffer is up to you, but make sure to provide enough space for growth, so that you don't exceed the maximum number before you can react to a warning event. When the maximum number is reached, no more sites can be created in that content database. Be sure to create a buffer large enough so that your users can continue to create sites as required, without having to constantly create new content databases.

Content databases are created and managed at the virtual server level. When you create a new content database (or when you extend a virtual server), you specify the database connection settings for the content database. You can update these settings if, for example, the database server name changes.

You can create or delete content databases, and specify settings such as the database server to use for the content and how many top-level Web sites to allow per content database in a server farm setting, by using pages in HTML Administration. In HTML Administration, you can view the full list of content databases for your virtual server, and see the current, warning and maximum level of sites for the content database at a glance.

Managing Content Databases by Using HTML Administration

You can specify a default server to store content databases for all of your virtual servers. This allows you to create a new content database when you extend a virtual server, without having to specify a location or supply the user name and password.

Specify a default content database server
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Server Configuration, click Set default content database server.
  3. In the Database section, fill in the database server name.

    If you are using Microsoft SQL Server authentication, you must also supply the administrator account user name and password.

  4. Click OK.

You can create multiple content databases for each virtual server. There are two situations in which you create a new content database: when you extend a new virtual server, and when your other content databases are getting full. You use a different method to create the content databases in each of these cases.

In most cases, you create a content database when you extend a virtual server. For information about extending a virtual server and creating a content database, see Extending a Virtual Server.

When you extend a virtual server, the warning level is set to 9,000 sites, and the maximum is set to 15,000 sites. To change this after the virtual server is extended, you use the Manage Content Databases page. You can also create additional content databases by using this page.

Create a new content database for a virtual server
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, click the virtual server you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Manage content databases.
  5. On the Manage Content Databases page, under Content Databases, click Add a content database.
  6. In the Database section, select either Use default content database server or Specify database server settings.

    If you select Specify database server settings, fill in the database server name and database name. If you are using SQL Server authentication, you must also supply the administrator account user name and password.

  7. In the Database Capacity Settings section, type a number in the Number of sites before a warning event is generated box.
  8. Type a number in the Maximum number of sites that can be created in this database box.
  9. Click OK.

You can also change database connection settings and warning and maximum site levels for a content database.

Change settings for a content database
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Manage content databases.
  5. On the Manage Content Databases page, under Content Databases, click the database you want to change.
  6. To change database status, in the Database Status box, select Ready or Offline.
  7. To change the number of sites allowed for a content database, in the Database Capacity Settings section, enter a new warning and maximum number.
  8. Click OK.

If you want to remove a content database, you do so from the Manage Content Databases page as well. Note that when you remove a content database, the site data stored in that database is not deleted. You can reconnect to the content database later to restore the sites.

Remove a content database
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Manage content databases.
  5. On the Manage Content Databases page, under Content Databases, select the database you want to change.
  6. On the Manage Content Database Settings page, in the Remove Content Database section, select the Remove content database check box.
  7. Click OK.

You can reconnect to a content database that you have removed by adding it again. To reconnect to an existing content database, you need to use the same database server and database name. There are additional steps if you are reconnecting to a content database after restoring the database to a new server farm. For more information, see Backing Up and Restoring Databases.


Using Single Sign-On and Application Definitions

Using Single Sign-On and Application Definitions

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

The single sign-on service enables scenarios where multiple Web Parts access different enterprise applications, which each use a different type of authentication. Each Web Part can automatically sign on to its enterprise application without prompting the user to provide credentials each time for each Web Part. SharePoint Portal Server "v2.0" Beta 2 single sign-on enables Web Part developers to encrypt credentials for enterprise applications.

Related Topics

Specifying Settings for Single Sign-On and Application Definitions
Creating the Base System Key
Managing Account Information for an Application Definition


Enabling Single Sign-On

Enabling Single Sign-On

To enable the single sign-on service on the server farm, you must enable it on each front-end Web server and on the job server. After you enable the service, you can configure single sign-on and application definitions.

Note The Microsoft Single Sign-on Service (SSOSrv) must run as a member of the local Administrators group or as a member of the STS_WPG local group. The account under which the service is running must also be a member of the account that you specify as the account for single sign-on when you configure single sign-on and application definitions on the Manage Server Settings for Single Sign-on and Enterprise Application Definitions page. For more information about configuring single sign-on, see Specifying Settings for Single Sign-On and Application Definitions.

Enable single sign-on

Do the following on each front-end Web server and on the job server:

  1. On the task bar, click Start, point to Administrative Tools, and then click Services.
  2. On the Services management console, double-click Microsoft Single Sign-on Service.
  3. Click the Logon tab.
  4. Under Log on as, click This account.
  5. In the This account box, type an account name that is a member of the local Administrators group or a member of the STS_WPG local group.
  6. In the Password and Confirm password boxes, type the password.
  7. Click Apply.
  8. Click the General tab.
  9. In the Startup type list, click Automatic.
  10. In the Service status section, if the service status does not display Started, click Start.
  11. Click OK.


Disabling Single Sign-On

Disabling Single Sign-On

To disable the single sign-on service on the server farm, you must disable it on each front-end Web server and on the job server.

Disable single sign-on

Do the following on each front-end Web server and on the job server:

  1. On the task bar, click Start, point to Administrative Tools, and then click Services.
  2. On the Services management console, double-click Microsoft Single Sign-on Service.
  3. On the General tab, in the Startup type list, click Manual.
  4. In the Service status section, click Stop.
  5. Click OK.


Security Considerations when Using Single Sign-On

Security Considerations when Using Single Sign-On

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

The Microsoft Single Sign-on Service (SSOSrv) must run as a member of the local Administrators group or as a member of the STS_WPG local group. The account under which the service is running must also be a member of the account that you specify as the account for single sign-on when you configure single sign-on and application definitions on the Manage Server Settings for Single Sign-on and Enterprise Application Definitions page. For more information about configuring single sign-on, see Specifying Settings for Single Sign-On and Application Definitions

Security Recommendations Regarding the Topology of the Server Farm

When using the single sign-on service, you can help enhance security by distributing your resources in the server farm. Specifically, the configuration of the Web front end computer, the job server, and the computer storing the single sign-on database can affect security.

  • Less secure configuration Everything is deployed on one server. This is weak security because the Web front end, the single sign-on database stored in SQL, and the base system key are on the same computer.
  • More secure configuration Two computer configuration where one computer is the Web front end. The second computer is the job server containing the single sign-on database stored in SQL and the base system key.
  • Recommended configuration for better security Three or more computer configuration where the Web front end, the job server containing the base system key, and the server containing the single sign-on database stored in SQL are different computers.

Security Recommendations for Storing the Backup Copy of the Base System Key

You should lock up the backup disk for the base system key in a safe place.

The base system key is the encryption key that is used as part of the encryption process for each of the credentials. Since it is the key that decrypts the encrypted credentials stored in the database, the back up copy of the key should not be stored with the back up copy of the database.

Note If a user obtains a copy of both the database and the key, the user names and passwords may be compromised.


Specifying Settings for Single Sign-On and Application Definitions

Specifying Settings for Single Sign-On and Application Definitions

Before you can use single sign-on with application definitions, you must specify an account, a database, and time out settings.

The user who runs the single sign-on service on the Web servers and the job server must be a member of the local Administrators group on the computer running Microsoft SQL Server where the configuration database for SharePoint Portal Server "v2.0" Beta 2 is stored, or the user must have at least the following rights on the configuration database:

  • 'db_owner'
  • 'public'

Note On a single server deployment, if the single sign-on service runs under a user who is a member of the local Administrators group, you should not do the previous step. However, for security reasons you may not want to run the service under a local Administrators account.

If the job server is different from the computer running SQL Server where the configuration database is stored, the user who configures single sign-on must be a member of the local Administrators group on the computer running SQL Server.

The user who configures single sign-on must have the following permissions on the computer running SQL Server where the single sign-on database is created. The single sign-on database is created under the identity of the user who is configuring single sign-on, rather than a Runas user on the server:

  1. Give the single sign-on configuration user the following server roles:
    • System Administrators
    • Security Administrators
    • Database Creators
  2. Give the single sign-on configuration user 'public' access on the following databases:
    • master
    • msdb
  3. Give the single sign-on configuration user 'db_owner' access on the following database:
    • msdb

Note If the computer running SQL Server where the single sign-on database is created is also the job server, then the previous steps are not necessary.

Important You cannot configure single sign-on or manage theencryption key remotely. To configure single sign-on or manage the encryption key, go to the computer running as the job server and specify these settings locally.

Specify settings for single sign-on and application definitions

  1. Before you can specify the settings for single sign-on and application definitions, the Microsoft Single Sign-on Service (MSSSO) must be running, and the logon account must be a member of the local Administrators group or a member of the STS_WPG local group. The account under which the service is running must also be a member of the account that you specify as the account for single sign-on when you configure single sign-on and application definitions later in this section. To ensure this, do the following:
    1. Click Start, point to Administrative Tools, and then click Services.
    2. On the Services management console, double-click Microsoft Single Sign-on Service, and then click the Log On tab.
    3. Ensure that This account is clicked and that the account entered is a member of the local Administrators group or a member of the STS_WPG local group, and that the account entered is a member of the account that you specify as the account for single sign-on when you configure single sign-on and application definitions later in this section.
    4. Click OK.
    5. Right-click Microsoft Single Sign-on Service, and then click Restart.
  2. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure the Single Sign-on component and manage enterprise application definitions for portals.

    -or-

    Click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Portal Server Single Sign-On Administration.

  3. On the Manage Settings for Single Sign-On for Server server_name page, in the Server Settings section, click Manage server settings for Single Sign-on and enterprise application definitions.
  4. On the Manage Server Settings for Single Sign-on and Enterprise Application Definition page, in the Single Sign-on Settings section, in the Account name for Single Sign-on box, type the name of the group or user account that can set up and manage the single sign-on service.

    • Important The account can be a group account or an individual user account. It cannot be a local domain group or a distribution list.

    • The format of the account is DOMAIN\group_name or DOMAIN\user_name.
  5. In the Enterprise Application Definition Settings section, in the Account name for enterprise application definitions box, type the name of the group or user account that can set up and manage application definitions.

    • Important The account can be a group account or an individual user account. It cannot be a local domain group or a distribution list.

    • The format of the account is DOMAIN\group_name or DOMAIN\user_name.
  6. In the Database Settings section, do the following:
    1. In the Server name box, type the name of the database server that stores the settings and account information for single sign-on.
    2. In the Database name box, type the name of the single sign-on database.
  7. In the Time Out Settings section, do the following:
    1. In the Ticket time out box, type the number of minutes to wait before allowing a ticket to time out.
    2. In the Purge audit log records older than box, type the number of days to hold records in the audit log before deleting.
  8. Click OK.
  9. If a message box appears stating that you have reconfigured single sign-on, click OK.


Managing Account Information for an Application Definition

Managing Account Information for an Application Definition

You can update or delete account information for a single application definition, or you can remove an account from all application definitions.

Manage account information for an application definition

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure the Single Sign-on component and manage enterprise application definitions for portals.

    Alternatively, click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Portal Server Single Sign-On Administration.

  2. On the Manage Settings for Single Sign-On for Server server_name page, in the Application Settings section, click Manage account information for an enterprise application definition.
  3. On the Manage Account Information for an Enterprise Application Definition page, in the Account Information section, do the following:
    1. In the Enterprise Application Definition list, select the name of the application definition.
    2. In the Account name or Group account name box, type the account name to modify.

      If you created the application definition to use an individual account, the Account name box is displayed. If you created the application definition to use a group account, the Group account name box is displayed.

  4. In the Enterprise Application Definition section, you can do the following:

    Update the account information for this application.

    1. Click Update.
    2. Click OK.
    3. On the Provide application_definition_name Account Information page, in the box for logon information, type the user name for the account that can access the enterprise application. An enterprise application is the back-end business application that SharePoint Portal Server connects to by using the application definition.
    4. Click OK.

    Delete the account information for this application.

    Note This option is not available for application definitions that use group accounts.

    1. Click Delete.
    2. Click OK.
    3. To delete the user credentials, click OK in the confirmation message box.

      Important You cannot undo this operation.

    Remove this account from all application definitions.

    Note This option is not available for application definitions that use group accounts.

    1. Click Remove from all.
    2. Click OK.
    3. To remove the user credentials from all application definitions, click OK in the confirmation message box.


Backing Up the Encryption Key

Backing Up the Encryption Key

After creating the base system key, you should back it up. You must back up the key to a 3.5-inch floppy disk.

Security Recommendations for Storing the Backup Copy of the Base System Key

You should lock up the backup disk for the base system key in a safe place.

The base system key is the encryption key that is used as part of the encryption process for each of the credentials. Because it is the key that decrypts the encrypted credentials stored in the database, the backup copy of the key should not be stored with the backup copy of the database. If a user obtains a copy of both the database and the key, the user names and passwords could be compromised.

Important You cannot manage the base system key remotely. To manage the base system key, go to the computer running as the job server and specify these settings locally.

Back up the base system key

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure the Single Sign-on component and manage enterprise application definitions for portals.

    Alternatively, click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Portal Server Single Sign-On Administration.

  2. On the Manage Settings for Single Sign-On for Server server_name page, in the Server Settings section, click Manage base system key.
  3. Insert a 3.5-inch disk into a disk drive on the computer running as the job server.
  4. On the Manage Base System Key page, in the Base System Key Backup section, in the Drive list, click the letter of the disk drive, and then click Back Up to back up the base system key.
  5. In the completion message box that appears, click OK.
  6. Remove the 3.5-inch disk from the disk drive.


Creating the Encryption Key

Creating the Encryption Key

The encryption keyused as part of the encryption process for credentials used with single-sign on. The key helps to decrypt encrypted credentials stored in the single sign-on.

The first time you configure single sign-on and application definitions on the Manage Server Settings for Single Sign-on and Enterprise Application Definitions page, the encryption key is created automatically.

You can regenerate the key if the previous credentials are compromised or if you have a policy to change the key after a certain number of days.

When you create an encryption key, you can choose to re-encrypt the existing credentials with the new key. When you re-encrypt the Microsoft Single Sign-on Service (SSOSrv) credential store, events are logged in the Microsoft Windows Server 2003 application event log. Once re-encryption is initiated, you can monitor the application event log to verify that the credential store has been re-encrypted. Event ID 1032 is recorded in the application event log when re-encryption is started. Even ID 1033 is recorded in the application event log when re-encryption has ended. If there are any failures during re-encryption, an event is recorded in the log.

If the job server is restarted or SSOSrv is stopped during the re-encryption process, the re-encryption is preempted and finishes prematurely. Some credentials might not be re-encrypted. During re-encryption, the single sign-on feature can be used, but there is a possibility that a user's credentials cannot be decrypted because the re-encryption process is not complete.

Recommendation It is recommended that you change or restore the encryption key during non-peak periods.

Important You cannot manage the encryption key remotely. To manage the encryption key, go to the computer running as the job server and specify these settings locally.

Create the encryption key

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure the Single Sign-on component and manage enterprise application definitions for portals.

    -or-

    Click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Portal Server Single Sign-On Administration.

  2. On the Manage Settings for Single Sign-On for Server server_name page, in the Server Settings section, click Manage encryption key.
  3. On the Manage Encryption Key page, click Create New Encryption Key.
  4. On the Create New Encryption Key page, to re-encrypt the credentials for the single sign-on database, select the Re-encrypt all credentials by using the new encryption key check box, and then click OK.

    Important This is a long-running operation. If you do not re-encrypt the existing credentials with the new encryption key, users must re-type their credentials and administrators for application definitions must re-type group credentials.

  5. Click OK.

After the key is created, you should back it up. For information about backing up the encryption key, see Backing Up the Encryption Key.


Restoring the Encryption Key

Restoring the Encryption Key

When you restore an encryption key, you can choose to reencrypt the existing credentials. When you reencrypt the Microsoft Single Sign-on Service (SSOSrv) credential store, events are logged in the Microsoft Windows Server 2003 application event log. Once reencryption is initiated, you can monitor the application event log to verify that the credential store has been reencrypted. Event ID 1032 is recorded in the application event log when reencryption is started. Even ID 1033 is recorded in the application event log when reencryption has ended. If there are any failures during reencryption, an event is recorded in the log.

If the job server is restarted or SSOSrv is stopped during the reencryption process, the reencryption is preempted and will finish prematurely. Some credentials might not be reencrypted. During reencryption, the single sign-on feature can be used, but there is a possibility that a user’s credentials cannot be decrypted because the reencryption process has not completed.

Recommendation It is recommended that you change or restore the encryption key during non-peak periods.

Important You cannot manage the encryption key remotely. To manage the encryption key, go to the computer running as the job server and specify these settings locally.

Restore the encryption key

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure the Single Sign-on component and manage enterprise application definitions for portals.

    Alternatively, click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Portal Server Single Sign-On Administration.

  2. On the Manage Settings for Single Sign-On for Server server_name page, in the Server Settings section, click Manage encryption key.
  3. Insert a 3.5-inch disk into a disk drive on the computer running as the job server.
  4. On the Manage Encryption Key page, in the Encryption Key Restore section, in the Drive list, click the letter of the disk drive, and then click Restore to restore the encryption key.
  5. On the Create New Encryption Key page, to reencrypt the credentials for the single sign-on database, select the Re-encrypt all credentials by using the new encryption key check box, and then click OK.

    Important This is a long-running operation. If you do not reencrypt the existing credentials with the new encryption key, users must reenter their credentials and administrators for enterprise application definitions must reenter group credentials.

  6. Click OK.

    When the restore completes, the Manage Settings for Single Sign-On for Server server_name page appears.

  7. Remove the 3.5-inch disk from the disk drive.


Creating an Application Definition

Creating an Application Definition

You can create a application definition. An application definition is a Web Part that integrates an enterprise application with a portal site.

Create an application definition

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure the Single Sign-on component and manage enterprise application definitions for portals.

    -or-

    Click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Portal Server Single Sign-On Administration.

  2. On the Manage Settings for Single Sign-On for Server server_name page, in the Application Settings section, click Manage settings for enterprise application definitions.
  3. On the Manage Enterprise Application Definitions page, click Add Item.
  4. On the Create Enterprise Application Definition page, in the Application and Contact Information section, do the following:

    Note If you enter a long name with no spaces in it for the application definition name or display name, the entire name may not be displayed.

    1. In the Display Name box, type a display name for this application definition.

      The display name is what the user sees.

    2. In the Application Name box, type an application name for the application definition.

      The application name is used by developers.

    3. In the E-mail Contact box, type an e-mail for users to contact for this application.
  5. In the Account Type section, do one of the following:
    • If you want all users to log on by using a single account, select Group.
    • If you want a user to log on by using his own account information, select Individual.
  6. In the Account Information section, select one or more fields to map to the required logon information for this application definition. If necessary, see the documentation provided with the enterprise application to identify the required information and its appropriate order.
    1. Type a display name for each field to remind you of the required information.
    2. To ensure that sensitive information, such as a password, is not displayed when viewing account information, click Yes for Mask?.
  7. Click OK.


Deleting an Application Definition

Deleting an Application Definition

You can delete an enterprise application definition. When you delete an application definition, it is removed from the single sign-on database. In addition, all credentials associated with the application definition are removed.

Delete an application definition

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure the Single Sign-on component and manage enterprise application definitions for portals.

    Alternatively, click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Portal Server Single Sign-On Administration.

  2. On the Manage Settings for Single Sign-On for Server server_name page, in the Application Settings section, click Manage settings for enterprise application definitions.
  3. On the Manage Enterprise Application Definitions page, rest the pointer on the the display name for the application definition, and then click the arrow that appears.
  4. On the menu that appears, click Delete.
  5. In the confirmation message box, click OK.


Editing an Application Definition

Editing an Application Definition

You can edit the display name, e-mail contact, and application information for an enterprise application definition. You cannot edit the application definition name or the account type.

Edit an application definition

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure the Single Sign-on component and manage enterprise application definitions for portals.

    Alternatively, click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Portal Server Single Sign-On Administration.

  2. On the Manage Settings for Single Sign-On for Server server_name page, in the Application Settings section, click Manage settings for enterprise application definitions.
  3. On the Manage Enterprise Application Definitions page, rest the pointer on the the display name for the application definition, and then click the arrow that appears.
  4. On the menu that appears, click Edit.
  5. On the Edit Enterprise Application Definition page, in the Application and Contact Information section, you can edit the display name and the e-mail contact.
    1. In the Display Name box, type a display name for this application definition.

      The display name is what the user sees.

    2. In the E-mail Contact box, type an e-mail address for users to contact for this application.
  6. In the Account Information section, select one or more fields to map to the required logon information for this application definition. If necessary, see the documentation provided with the enterprise application to identify the required information and its appropriate order.
    1. Type a display name for each field to remind you of the required information.

      The display names for the fields will appear on the logon page for the application.

    2. To ensure that sensitive information, such as a password, is not displayed when viewing account information, click Yes for Mask.
  7. Click OK.


About Alternate Portal Access Mappings

About Alternate Portal Access Mappings

Alternate access mapping provides a mechanism for server farm administrators to identify the different ways in which users access portals, ensuring that URLs are displayed appropriately for the manner in which the user accessed the portal site.

  • Administrators often deploy portals that users can access by using different URLs. It is important that functionality, such as search results for portal and document library content, be appropriate for the URL that was used to access the portal site. External URLs must be provided to the user in a form that is appropriate for how the user is currently accessing the portal.
  • Without alternate access mapping, search results might be displayed in a way that would make them inaccessible to users. Users might receive search results that they cannot access whenever they access the portal by using a URL that is different from the original URL used for crawling the content.

The SPS Search (SPSSEARCH) service consults the alternate access mapping entries when crawling a document. If the URL of the document matches one of the mapping entry URLs, the URL is replaced with the mapping ID for the entry. When the search result is displayed, the mapping ID is replaced by the appropriate URL if the user is requesting the document from an access point listed in the alternate mapping entries. If there is no appropriate alternate mapping, the search results display the default URL.

Every mapping entry must have a default URL. Each entry can have additional alternate access methods for either intranet, extranet, or custom access. Each of the default URLs must be unique, and all of the alternate access URLs must be unique. These mappings are stored in the central configuration database.

You cannot delete mapping entries for virtual servers that currently host portal sites or document libraries. If the mapping entry has been deleted, but URLs for that mapping ID still exist in the index, then those results will be displayed with a message stating that the content is not currently accessible. The server farm administrator must update the content index in order to update the URLs.

Example

The server you are crawling is http://Server1. This server does not have SharePoint Portal Server installed. The server could be another internal server in your organization. You have not defined an alternate access mapping for this server. When SharePoint Portal Server crawls Server1, the URL stored in the content index is http://Server1.

When a user performs a search, one of the following occurs:

  • If a user is accessing the portal from the intranet, he or she will get search results returned for content on Server1 and will be able to click the links for the results to access a document.
  • If a user is accessing the portal from the extranet, he or she will get search results returned for content on Server1, but the user will get an error when he or she clicks the links for the results.

You define an alternate access mapping for http://Server1 as follows:

Mapping Name Server1
Default URL http://Server1
Intranet URL http://Server1.corp.adventure-works.com
Extranet URL http://AdventureWorks.adventure-works.com
Custom URL http://AdventureWorksPartners.adventure-works.com (Custom URLs can be intranet or extranet URLs.)

For this mapping to take effect, you must recrawl the content on Server1. Until you do this, the user will have the same search experience as above.

After you recrawl the content on Server1, when a user performs a search, one of the following occurs:

  • If a user is accessing the portal from the intranet, he or she will get search results returned for content on Server1 and will be able to click the links for the results to access a document.
  • If a user is accessing the portal from the extranet, he or she will get search results returned for content on Server1 and will be able to click the links for the results to access a document.

If you are using shared services, where portal services are shared across server farms, the following applies for alternate access mappings:

  • Portals in server farm 1, which is the server farm using the shared services, will use the alternate access mapping entries in server farm 1 for displaying search results.
  • Portals in server farm 2, which is the server farm providing the shared services, will use the alternate access mapping entries in server farm 2 for creating index entries.

Important The mapping entries will be the same for both server farms. The mapping entries are not automatically synchronized. The administrator for the server farms must ensure that the mapping entries are kept synchronized. If these entries are not kept synchronized, it is possible that search results, or navigational links to the document management server, may not be displayed correctly.


Creating Alternate Portal Access Settings

Creating Alternate Portal Access Settings

Alternate access mapping provides a mechanism for server farm administrators to identify the different ways to access portals, ensuring that URLs are displayed appropriately for the access method. For more information, see About Alternate Portal Access Mappings.

The following character limitations apply:

  • Mapping name The mapping name has a maximum length of 64 unicode characters and must not be null. It must be unique from all other names, and uniqueness is case-sensitive.
  • Default URL The default URL has a maximum length of 255 unicode characters and a minimum length of 5 characters. The user can enter the URL in any case, but the URL is always saved in lowercase. This URL must be unique from all other default URLs.
  • Intranet, Extranet, and Custom URLs Each of these URLs has a maximum length of 255 unicode characters and a minimum length of 5 characters. The user can enter in the URL any case, but the URL is always saved in lowercase. These URLs must be unique from all other intranet, extranet, and custom URLs.

Create an alternate portal access setting

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Virtual Server and Portal Site Configuration section, click Configure alternate portal access settings.
  2. On the Configure Alternate Portal Access Settings page, click Create access setting.
  3. On the Create Access Setting page, in the Mapping name box, type the mapping name to use for alternate access to the server identified by the default URL.
  4. In the Default URL box, type the default URL.

    The URL can include the server name portion only. For example, http://server.domain.com. Do not include the portal site name, such as http://server.domain.com/portal_name. All portals on the server share the same access mapping. The server uses the default URL when crawling content, and search results use the default URL when no other access mapping is available.

  5. In the Intranet URL box, type the intranet URL.
  6. In the Extranet URL box, type the extranet URL.
  7. In the Custom URL box, type the custom URL. The custom URL can be an intranet or an extranet address.
  8. Click OK.


Editing Alternate Portal Access Mappings

Editing Alternate Portal Access Mappings

Alternate access mapping provides a mechanism for server farm administrators to identify the different ways that portal sites are accessed, ensuring that URLs are displayed appropriately for the access method. For more information, see About Alternate Portal Access Mappings.

You can edit all mapping information except for the mapping name.

The following character limitations apply:

  • Default URL The default URL has a maximum length of 255 unicode characters and a minimum length of 5 characters. The user can enter the URL in any combination of uppercase and lowercase letters, but the URL is always saved in lowercase. This URL must be different from all other default URLs.
  • Intranet, extranet, and custom URLs Each of these URLs has a maximum length of 255 unicode characters and a minimum length of 5 characters. The user can enter in the URL any combination of uppercase and lowercase letters, but the URL is always saved in lowercase. These URLs must be different from all other intranet, extranet, and custom URLs.

Edit an alternate portal access mapping

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Virtual Server and Portal Site Configuration section, click Configure alternate portal access settings.
  2. On the Configure Alternate Portal Access Settings page, click the edit icon for the mapping that you want to edit.
  3. On the Create Access Setting page, you can change the following:
    • In the Default URL box, type the default URL.

      The URL can include the server name portion only. For example, http://server.domain.com. Do not include the portal site name, such as http://server.domain.com/portal_site_name. All portal sites on the server share the same access mapping. The server will use the default URL when crawling content, and search results will use the default URL when no other access mapping is available.

    • In the Intranet URL box, type the intranet URL.
    • In the Extranet URL box, type the extranet URL.
    • In the Custom URL box, type the custom URL. The custom URL can be an intranet or an extranet address.
  4. Click OK.


Deleting Alternate Portal Access Mappings

Deleting Alternate Portal Access Mappings

Alternate access mapping provides a mechanism for server farm administrators to identify the different ways that portals are accessed, ensuring that URLs are displayed appropriately for the access method. For more information, see About Alternate Portal Access Mappings.

Delete an alternate portal access mapping

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Virtual Server and Portal Site Configuration section, click Configure alternate portal access settings.
  2. On the Configure Alternate Portal Access Settings page, select the check box for the name of the mapping that you want to delete.
  3. Click Remove access setting.
  4. On the warning message box, click OK.


Managing Active Directory Connections

Managing Active Directory Connections

When you configure import settings for user profiles, you can choose to import user profile information from servers running Microsoft Active Directory directory services for your current domain, from servers running Active Directory for your entire enterprise, or from servers running Active Directory on multiple custom domains.

Note To import user profile information from multiple domains, on the Configure Import Settings page, select Custom from the User Set list. Next, you must add, edit, or delete connections to the servers running Active Directory for the custom domains.

Related Topics

Adding and Editing Active Directory Server
Deleting Active Directory Server
Importing User Profiles
Managing User Profiles


Adding and Editing Active Directory Server

Adding and Editing Active Directory Server

If you decide to import user profile information from a set of custom servers running Microsoft Active Directory directory service, you must add the servers to the set of servers available to import user profile information. Later, you can add other servers, edit the settings for existing servers, or delete servers from the set used when importing user profile information.

Add Active Directory server

  1. On the Manage Active Directory Connections page, click Add.
  2. Under Connection Settings on the Add Active Directory Server page, type the Domain name and Domain controller name for the Active Directory server you want to add.

    If you do not know the name of the domain controller, SharePoint Portal Server "v2.0" Beta 2 automatically searches for it.

  3. To access this server by using a secured socket layer (SSL) secure connection, select Use SSL secure connection.
  4. To limit the amount of time spent accessing a server that is not responding, type a value for the Time out.
  5. Under Search Settings, type the Search base.

    If you do not enter anything for Search base, SharePoint Portal Server "v2.0" Beta 2 enters the appropriate information. Additional information about this feature will be provided prior to final commercial release.

  6. Under User filter, you can add query clauses to further filter the user profile data that you are importing.

    User filter defaults to a specific Lightweight Directory Access Protocol (LDAP) query. Additional information about this feature will be provided prior to final commercial release.

  7. Under Scope, select how deeply in the Active Directory server to search for user profiles to import.

    You can limit the scope to One level or the entire Subtree.

  8. Type a Page size to limit the number of imported user profiles.
  9. Type a Page time out to limit the amount of time spent accessing a server that is not responding.

Edit Active Directory server

  1. On the Manage Active Directory Connections page, click the server that has the properties you want to edit, and then click Edit.
  2. Under Connection Settings on the Add Active Directory Server page, you can type a new Domain controller name.
  3. To change whether this server uses a secured socket layer (SSL) secure connection, select or clear theUse SSL secure connection check box.
  4. To change the time spent waiting for a response from the domain controller, type a new value in the Time out box.
  5. To add another node to the Search base, type the distinguished name of the new node in the text box. For more information on distinguished names in Active Directory, see the documentation for Active Directory.

    Additional information about this feature will be provided prior to final commercial release.

  6. To expand or restrict the number of user profiles that you are importing, type a new clause in the User filter text box, or delete an existing clause.

    Additional information about this feature will be provided prior to final commercial release.

  7. To change the depth to use when searching for user profiles to import, select One level or Subtree.
  8. Type a new Page size to change the number of imported user profiles.
  9. Type a new Page time out to change the amount of time spent accessing a server that is not responding.

Related Topics

Deleting Active Directory Server
Managing Active Directory Connections
Importing User Profiles
Managing User Profiles


Deleting Active Directory Server

Deleting Active Directory Server

To remove a server from the set of servers used as sources when importing user profiles from Microsoft Active Directory directory services, you must delete the Active Directory server from the list of Active Directory connections.

Deleting a server from this list of connections does not delete any of the content on that server. It just removes the connection to the server. User profiles found only on that Active Directory server are not imported.

  1. On the Manage Active Directory Connections page, click Delete.
  2. At the confirmation message that appears, click OK.

Related Topics

Adding and Editing Active Directory Server
Managing Active Directory Connections
Importing User Profiles
Managing User Profiles


Configuring Import Settings

Configuring Import Settings

Before importing user profiles, you must configure the import settings. You set up an import account for a specific server running Microsoft Active Directory directory services in your organization. Then you enable full or incremental imports, and schedule when those imports should regularly occur.

  1. On the Manage Profiles page, click Configure import settings.
  2. In the User Set section, select the server running Active Directory from which to import user profiles. This can be from theCurrent domain, the Entire enterprise or a set of Custom domains that include the current domain.

    Note If you select Custom, the Manage Active Directory Connections page appears when you click OK on this page.

  3. In the Account section, type the account name and password for an account that has rights to Active Directory.
  4. In the Full Import section, click Schedule full import to show this option on the Manage User Profiles page.
  5. In the Incremental Import section, click Schedule incremental import to show this option on the Manage User Profiles page.
  6. For each type of import you have enabled, select a start time from the Start at drop-down list.
  7. To schedule imports at this time every day, select Day.
  8. To schedule imports on certain days of the week, select Week, and then select the days you want to import user profiles.
  9. To schedule imports once a month, select Month, and then select the day of the month on which to import user profiles.
  10. Click OK.

Related Topics

Importing User Profiles
Managing Active Directory Connections
Adding and Editing Active Directory Server
Managing User Profiles


Importing User Profiles

Importing User Profiles

You can import user profile information from Microsoft Active Directory directory services. This saves time in entering user information for every user in your organization, but may not include all of the properties you want to show for each user.

To import user profile information, you must first configure the import settings.

After you have configured the import settings, you can import user profile information from the list of actions in the Profile and Import Settings section on the Manage User Profiles page. You can also stop any import currently in progress, and view a log of past imports.

Start Full Import

  1. On the Manage User Profiles page, in the Profile and Import Settings section, ensure that Import user set lists the correct set of users.
  2. To select a different set of users, click Configure import settings.
  3. After verifying the set of users, click Start full import.

Start Incremental Import

  1. On the Manage User Profiles page, verify that the Start incremental import action is shown.
  2. If the action is shown, click Start incremental import.
  3. If theStart incremental import link is not shown, then click Configure import settings.
  4. In the Active Directory Credentials section, click Import from Active Directory using the incremental method.
  5. Click OK.
  6. On the Manage User Profiles page, Click Start incremental import.

Stop Import

  1. In the Profile and Import Settings section on the Manage User Profiles page, click Stop import.

View Import Log

  1. In the Profile and Import Settings section on the Manage User Profiles page, click View import log.

Related Topics

Configuring Import Settings
Managing Active Directory Connections
Managing User Profiles


Managing User Profiles

Managing User Profiles

User profiles provide detailed information about individuals in your organization. A user profile organizes and displays all of the properties related to each user, as well as documents and other items related to that user.

User profiles are presented to users in three distinct views. A user has a personal view of his or her properties and related items that only he or she can see. The public view is what users see when they view user profiles for other users. The edit view is what is seen when changes are being made to a user profile.

User profiles are managed from the Manage User Profiles page. Administrators can add, edit, or delete user profiles. They can also import existing user profiles. Individual users may or may not be able to edit some of the properties of their user profiles from their personal pages.

The Manage User Profiles page also contains a brief summary of user profiles for the site, as well as links for adding, editing, and deleting the properties found in user profiles.

Related Topics

Adding and Editing User Profiles
Importing User Profiles
Adding and Editing Profile Properties
Managing User Profiles
©2003 Microsoft Corporation. All rights reserved.


Adding and Editing User Profiles

Adding and Editing User Profiles

Users who do not already have user profiles available by using Microsoft Active Directory directory servicesas an import source must have their information entered manually by adding user profiles. Once user profiles are added or imported, you can update information by editing each user profile.

You can add new profiles using the default user profile. Editing a user profile does not change the set of properties displayed in that user profile. To do that, you must add, edit, or delete the individual profile properties from the default user profile.

Add User Profile

  1. On the Manage User Profiles page, click Add user profile.

    -or-

    On the View User Profiles page, click New on the toolbar.
  2. Type values for the required properties, and type values for any other properties you want to include for this user.
  3. On the toolbar, click Save and Close.
  4. To leave this page without adding a user profile, click Cancel and Go Back on the toolbar.

Edit User Profile

  1. On the Manage User Profiles page, click View user profiles.
  2. Click the user profile you want to edit, then click Edit.
  3. Type the new values for any properties you want to change.
  4. On the toolbar, click Save and Close.
  5. To leave this page without making changes, click Cancel and Go Back on the toolbar.

Related Topics

Importing User Profiles
Deleting User Profiles
Adding and Editing Profile Properties
Deleting Profile Properties
Managing User Profiles


Deleting User Profiles

Deleting User Profiles

If you delete a user profile, you also delete the properties and values for that user. Though you may import any properties mapped to Microsoft Active Directory directory services during the next scheduled import, you permanently lose any custom properties that you added. You also lose any values for properties mapped to Active Directory that changed since the last import.

  1. On the View User Profiles page, click the user profile that you want to delete, and then click Delete.
  2. On the confirmation message that appears, click OK.

Related Topics

Adding and Editing User Profiles
Adding and Editing Profile Properties
Deleting Profile Properties
Managing User Profiles


Adding and Editing User Profile Properties

Adding and Editing User Profile Properties

The set of properties that are included in the default user profile might not contain all of the information about users in your organization that you want to include on the site.

You can add new properties to enhance those included in the default profile. You can also edit existing properties to change how those properties are displayed in the user profile.

Add Profile Property

  1. In the Profile Properties section on the Manage User Profiles page, click Add profile property.

    -or-

    On the View Profile Properties page, click Add.

  2. On the Add User Profile Property page, type a name for the property in theName box.

    Note This is used programmatically whenever the property is used.

  3. Type a display name for the property in the Display Name text box. The display name is the name for the property that is shown on the personal and public views of the user profile.
  4. Select a property type in the Type list and if applicable, type thelength in the Lengthtext box.

    Important These define the acceptable values for this property, and cannot be changed once the property is created.

  5. To display this property to the user and administrator on the personal and edit views of the user profile, select Show to user and administrator. To display this property to all users in the public view of the user profile, select Show to all users.
  6. Select whether Users can modify this property in their user profiles.
  7. To map this property to a property in Microsoft Active Directory directory services, select Map to Active Directory property, and then click the property on the list.
  8. Click OK.

Edit Profile Property

  1. In the Profile Properties section on the Manage User Profiles page, click View profile properties.
  2. On the View Profile Properties page, click the property you want to edit, and then click Edit.
  3. To change the display name for this property, type the new display name.
  4. To change whether this property is shown on user profiles, or only used for search and other purposes, select or clear Show property on profile.
  5. To change whether to display this property to the user and administrator on the personal and edit views of the user profile, select or clearShow to user and administrator. To display this property to all users in the public view of the user profile, select Show to all users.
  6. To change whether users can modify this property in their user profiles, select or clear Users can modify this property.
  7. To map this property to a property in Microsoft Active Directory directory services, select Map to Active Directory property, and then click the property on the list. You can stop mapping this property by clearing Map to Active Directory property.

Related Topics

Deleting Profile Properties
Viewing Profile Properties
Managing User Profiles


Deleting Profile Properties

Deleting Profile Properties

Some properties on the default user profile may contain information about users in your organization that you are not likely to use. You can delete some of these properties.

Some properties cannot be deleted, and the option to delete them is unavailable.

  1. On the View Profile Properties page, click the property you want to edit, and then click Delete.
  2. On the confirmation message that appears, click OK.

Related Topics

Adding and Editing Profile Properties
Viewing Profile Properties
Managing User Profiles


Viewing Profile Properties

Viewing Profile Properties

On the View Profile Properties page, the properties available for user profiles are listed and organized by sections. You can add, delete, and edit properties from this page. You can also add, edit, and delete sections, and move properties within and between sections.

Add Profile Section

  1. On the toolbar, click Add section.
  2. On the Add User Profile Section page, in the Display Name text box type a display name for the section.
  3. Click OK.

Edit Profile Section

  1. Click the section you want to edit, and then click Edit.
  2. Type the new display name for the section in the Display Name text box.

Delete Profile Section

  1. Click the section you want to delete, and then click Delete.
  2. At the confirmation message that appears, click OK.

    Note Properties in the section are moved to the nearest section.

Move Properties

  1. To move a property up or down on the user profile, click the up or down arrow next to the name for the property. Repeat until the property is in the desired location.

Related Topics

Adding and Editing Profile Properties
Deleting Profile Properties
Managing User Profiles


Managing Audiences

Managing Audiences

Manage Audiences

Audiences allow you to target content to users based on their jobs or tasks in an organization. You can target content to users based on the values of properties that are contained in user profiles, the reporting structure of your organization, or Microsoft Active Directory directory services groups to which users belong.

Membership in audiences is determined by including the users in your organization that have properties that match audience rules. Since the rules or users that match them can change over time, audiences must be compiled regularly to determine current membership. Members of an audience see content targeted to that audience.

Related Topics

Adding and Editing Audiences
Deleting Audiences
Viewing Audience Membership
Compiling Audiences
About Audiences


Managing Audience Rules

Managing Audience Rules

Audience rules determine who is or is not a member of an audience. An audience includes all of the members who match the audience rules when the audience is compiled. Changes to audience rules does not change the membership of the audience until the next time the audience is compiled.

To ensure that an audience is current, you must compile the audience after adding, editing, or deleting an audience rule.

Related Topics

Adding and Editing Audience Rules
Deleting Audience Rules
Viewing Audience Membership
About Audiences


Adding and Editing Audiences

Adding and Editing Audiences

Audiences are used to target content to users based on their jobs or tasks within the organization. Users in an audience will see audience-specific content on the site that is not available to other users.

Add audience

  1. On the Manage Audiences page, click Add audience.

    Alternatively, on the View Audiences page, click Add on the toolbar.

  2. On the Add Audience page, type a title and description for the audience.
  3. In the Rules section, select Members satisfy all of the rules or Members satisfy any of the rules.

    Note Audience rules can be added from the View Audience Properties page.

  4. Click OK.

Edit audience

  1. On the View Audience Properties page, click Edit audience.
  2. To change the name or description for an audience, type the new name or description.
  3. Click Manage audience rules to add, delete, or edit audience rules.
  4. You can choose to change whether Members satisfy all of the rules or Members satisfy any of the rules.

    Note You can add, delete, or edit audience rules from the View Audience Properties page.

  5. Review the statistics for this audience to see the number of current members and the last time it was compiled.
  6. When you have finished editing the audience, click OK.

Related Topics

Managing Audience Rules
Deleting Audiences
Viewing Audience Membership
Compiling Audiences
About Audiences


Compiling Audiences

Compiling Audiences

Changes made to audiences and audience rules are not reflected in audience membership until the audience is compiled.

When you compile an audience, the property values in user profiles and membership in groups and distribution lists are checked to see if they match the audience rules you have created. Users that match the audience rules for an audience are included in that audience and receive content targeted to that audience.

You can set a compilation schedule so that audiences are compiled automatically at regular intervals. You can also start a compilation at any other time if you must update an audience before the next scheduled compilation.

From the Manage Audiences page, you can start a compilation and set a compilation schedule. You can also view the compilation status and most recent compilation time, and see the number of uncompiled audiences.

Start compilation

  1. Select the check boxes next to the audiences you want to compile.
  2. On the Manage Audiences page, click Start compilation.

    All of the audiences are compiled automatically.

  3. When compilation is complete, the compilation status is displayed on the Check Compilation Status page.

Set compilation schedule

  1. On the Manage Audiences page, click Set Compilation Schedule.
  2. On the Set Compilation Schedule page, click Enable scheduling to turn on audience scheduling.
  3. Select a start time from the Start at drop-down list.
  4. To schedule compilations at this time every day, select Day.
  5. To schedule compilations on certain days of the week, select Week, and then select the days you want to compile audiences.
  6. To schedule compilations once a month, select Month, and then select the day of the month on which to compile audiences.
  7. Click OK.

Related Topics

Managing Audience Rules
Managing Audiences
Viewing Audience Membership
About Audiences


Deleting Audiences

Deleting Audiences

Deleting an audience does not delete content, but no longer targets that content to members of that audience. If that content is only targeted to that audience, it is no longer be seen on the site.

Delete an audience

  1. On the View Audiences page, click the audience in the list, and then click Delete.
  2. You can also delete one or more audiences by selecting the check boxes next to each audience you want to delete, and then clicking Deleteon the toolbar.
  3. At the confirmation message that appears, click OK.

Related topics

Adding and Editing Audiences
Viewing Audience Membership
About Audiences


Viewing Audience Membership

Viewing Audience Membership

You can check the membership of an audience to see if the audience is targeting the right users. This is particularly helpful after adding or editing an audience, or after adding or editing audience rules.

Important You must compile the audience before membership of an audience is updated with changes.

The audience membership summary shows the last time the audience was compiled, and the number of members in the audience at that time.

View audience members

  1. On the View Audiences page, click the audience whose membership you want to view, then click View Membership.

    -or-

    On the View Audience Properties page for an audience, click View audience membership.

  2. To change whether descriptions are shown for audience members, click Show/Hide Descriptions.
  3. To view a different page of multiple page audience membership, click the page number in the Go to page drop-down list.

Related topics

Adding and Editing Audiences
Deleting Audiences
Compiling Audiences
About Audiences


Adding and Editing Audience Rules

Adding and Editing Audience Rules

Audience rules use simple queries to include or exclude users from membership in an audience. Each rule includes an operand, operator, and value.

The operand is the user or property you want to include in the query for this rule. The operator indicates how users compared to the value should be queried to include or exclude them from the audience. The value is the point of comparison used by the query.

Add audience rule

  1. On the View Audience Properties page, click Add.
  2. Click User to add a rule based on distribution list membership or reporting structure, or click Property to create a rule based on a user property.
  3. If you clicked Property, click the relevant property in the drop-down list.
  4. In the Select an operator drop-down list, click an operator to indicate how you want to compare the user or property with a given value.
  5. In the Specify a value drop-down list, type a value to which to compare the user or property selected for this rule.
  6. Click OK.

Edit audience rule

  1. On the View Audience Properties page, click the audience rule.
  2. Click User to base the rule on distribution list membership or reporting structure, or click Property to base the rule on a user property.
  3. To change the property to include in the query for this rule, click the new property from the drop-down list.
  4. To change the operator you use to compare the user or property for this rule, click the new operator from the Select an operator drop-down list.
  5. To change the value to which you compare the user or property for this rule, type the new value in the Specify a value drop-down list.
  6. Click OK.

Related Topics

Managing Audience Rules
Deleting Audiences
Viewing Audience Membership
Compiling Audiences
About Audiences


Deleting Audience Rules

Deleting Audience Rules

Deleting an audience rule changes how the membership of an audience is determined when the audience is compiled. The audience is compiled using the remaining audience rules. If the deleted audience rule was the only remaining audience rule, the audience membership will be empty and content targeted to only that audience is not seen.

Delete an audience rule

  1. On the Edit Audience Rule page, clickDelete.
  2. At the confirmation message that appears, click OK.

Related topics

Adding and Editing Audience Rules
Managing Audience Rules
Deleting Audiences


About alerts

About alerts

Alerts notify you when information that interests you is added or updated on the portal site. You can define your areas of interest and identify how and when you wish to be told about something new or updated that you may want to investigate. You can add an alert to track new matches to a search query, changes to content in an area, or a new site added to the Site Directory.

An alert can be added to track these types of items:

  • search queries
  • documents and portal listings
  • categories
  • news
  • Site Directory
  • sites
  • lists
  • list items
  • users
  • document library folders

The alerts feature is an important tool for portal site users. As information from diverse sources is pulled together, sifting through so much content can be a time-consuming task. Alerts provide a proactive solution to staying informed. The Alerts feature in Microsoft SharePoint Portal Server "v2.0" Beta 2 builds on the concept of subscriptions in Microsoft SharePoint Portal Server 2001, extending and refining the feature to make it even more powerful.

The portal site sends alert results whenever changes are made to the content that you added an alert for. You can view alert results on the portal site or receive them in e-mail messages. You can specify how frequently you want to receive alert results by e-mail and receive them immediately, as a daily summary, or as a weekly summary. When you no longer need to follow changes for the item, you can delete your alerts at any time.

You can manage your alerts and alert results from My Alerts, a page available from My Site, a default area in the portal site that provides personalized information for you. In addition, by using Outlook 11 (Beta), you can view all alerts and alert results from all alert providers, including alerts from Windows SharePoint Services Beta 2.

Related Help Topics

For more information, see the following topics:

Add or edit an alert
Delete an alert
Manage alerts settings for all users


Managing Alerts Settings

Managing Alerts Settings

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Creating a Document Library

Creating a Document Library

Before you create a Web Storage System-based document library, you must do the following:

  1. Install the optional components for backward-compatible document libraries.
  2. Configure the topology to include the document library server.
For more information, see Related Topics.

Create a document library

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure document libraries for SharePoint Portal Server.
  2. On the List and Manage Document Libraries page, click Create document library.
  3. On the Create New Document Library page, in the Name and Description section, do the following:
    1. In the Document library friendly name box, type the friendly name for the document library that you are creating.

      Note The friendly name cannot exceed 100 characters in length.

    2. In the Document library description box, type the description for the document library.
    3. In the Document library name box, type a word to use in the URL of the document library after the server name.

      For example, for a URL of http://AdventureWorks/Adventure, you would type Adventure.

  4. In the Portal site list, select the portal site to associate with this document library.

    The portal site provides search capability and the ability to personalize alerts for users of the Web Storage System-based document library. Users can get to the document library from the Document Library area on the home page of the portal site.

    To create a document library that is not associated with a portal site, select None.

    A document library that is not associated with a portal site can be used as a stand-alone document library.

  5. In the Document Library Contact section, do the following:
    1. In the Contact name box, type the name of the user or group to which you are assigning overall responsibility for the document library.
    2. In Contact e-mail address box, type the e-mail address for the contact.

      The contact e-mail address can be that of an individual user or a group. This e-mail address is used as the reply-to address for e-mail messages sent by the document library during document approval routes.

  6. To limit the number of previous major versions of a document to retain when the document is approved, select the Specify version limit check box, and then type a limit in the Number of versions to retain box.

    Note This setting does not affect the number of minor versions retained.

  7. Click OK.

    The Operation Status page appears. After the document library is successfully created, the List and Manage Document Libraries page appears.

You can also create a document library from the site settings page for a portal site. However, this option is displayed only if there is no document library already associated with the portal site. Each portal site can have only one document library associated with it. To create a document library from the Site Settings page, do the following:

  1. On the Site Settings page, in the Manage Portal Content section, click Create a SharePoint Portal document library for this portal.
  2. Go to step 3 in the preceding procedure and continue.

Related Topics

Installing the Document Management Component of SharePoint Portal Server
Changing Component Assignments for the Server Farm


Deleting a Document Library

Deleting a Document Library

When you delete a document library, all documents stored in the document library are deleted.

You can delete all document libraries on the server farm from the central administration page. You must use this page to delete document libraries that are not associated with a portal.

You can delete the document library associated with the portal from the site settings page for that portal.

Delete a document library by using the central administration page

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure document libraries (Web Storage System-based).
  2. On the List and Manage Document Libraries page, click Edit for the document library that you want to delete.
  3. On the Change Document Library Settings page, click Delete.
  4. On the Delete Document Library page, click OK.

    Warning All documents in the document library will be permanently deleted.

Delete a document library by using the site settings page

  1. On the Site Settings page, in the Manage Portal Document Libraries section, click Delete the document library associated with this portal site.
  2. On the Delete Document Library page, click OK.

    Warning All documents in the document library will be permanently deleted.

Alternatively, you can do the following:

  1. On the Site Settings page, in the Manage Portal Document Libraries section, click Change document library settings.
  2. On the Change Document Library Settings page, click Delete.
  3. On the Delete Document Library page, click OK.

    Warning All documents in the document library will be permanently deleted.


Editing Settings for a Document Library

Editing Settings for a Document Library

On the Change Document Library Settings page, you can do the following:

  • Change the description of the document library, the contact name and e-mail address, and the version limit.
  • Find links to manage document library security, document profiles, and content sources.
  • Find a link to access the document library through Web folders.

Edit the settings for a document library

  1. Navigate to the Change Document Library Settings page by doing one of the following:
    • On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure document libraries (Web Storage System-based) . On the List and Manage Document Libraries page, click Edit for the document library that you want to change.
    • On the Site Settings page, in the Manage Portal Document Libraries section, click Change document library settings.
  2. On the Change Document Library Settings page, in the Name and Description section, in the Document library description box, type the description for the document library.
  3. In the Document Library Contact section, do the following:
    1. In the Contact name box, type the name of the user or group to which you are assigning overall responsibility for the document library.
    2. In Contact e-mail address box, type the e-mail address for the contact.

      The contact e-mail address can be that of an individual user or a group. This e-mail address is used as the reply-to address for e-mail messages sent by the document library during document approval routes.

  4. To limit the number of previous major versions of a document to retain when the document is approved, select the Specify version limit check box, and then type a limit in the Number of versions to retain box.

    Note This setting does not affect the number of minor versions retained.

  5. In the Document Library Tasks section, there are links to do the following:
    • Manage document library security. For more information, see Manage security for a backward-compatible document library.
    • Manage document profiles. For more information, see Create a document profile.
    • Manage content sources. For more information, see Managing Content Sources.
    • Access the document library by using Web folders. For more information, see About My Network Places and Web folders.

    Note If you click the links to navigate away from the Change Document Library Settings page before saving your changes, you may lose the changes.

  6. Click OK.


Listing and Managing Document Libraries

Listing and Managing Document Libraries

You can use the List and Manage Document Libraries page to create a document library, connect to or disconnect from the configuration database, change document libary settings, and go to a document library.

List and manage document libraries

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure document libraries (Web Storage System-based) .
  2. On the List and Manage Document Libraries page, do one of the following:

    Create a document library.

    To do this, click Create document library, and then follow the steps in Creating a Document Library.

    Connect the document library to the configuration database.

    To do this, click Connect, and then follow the steps in Connecting a Document Library to the Configuration Database.

    Disconnect the document library from the configuration database.

    To do this, click Disconnect, and then follow the steps in Disconnecting a Document Library from the Configuration Database.

    Go to the Change Document Library Settings page.

    To do this, click Edit for the document library that you want to change.

    Go to the document library page.

    To do this, click the link for the document library that you want to go to.


Connecting a Document Library to the Configuration Database

Connecting a Document Library to the Configuration Database

You can add an existing document library (Web Storage System-based) on the document library server to the configuration database. You would do this if you had an unrecoverable error on the configuration database, or you created a new configuration database, and you needed to add an entry for the document library.

You can optionally associate this document library with a portal site. If you associate the document library with a portal site, users can search the document library and personalize alerts for the library. A link to the Document Library area will appear on the home page of the portal site. This area enables users to browse folders and to manage documents in the document library.

Connect a document library to the configuration database

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure document libraries (Web Storage System-based).
  2. On the List and Manage Document Libraries page, click Connect.
  3. On the Connect Document Library to the Configuration Database page, in the Document Library section, do the following:
    1. in the Document library friendly name box, type a friendly name for the document library.
    2. In the Document library name box, type the document library name section from the URL for the document library. For example, for a document library with a URL of http://server_name/document_library_name, you would type document_library_name.
  4. If you want to associate a document library to a portal site, in the Associated Portal Site section, in the Portal site list, select a portal site to associate with the document library.
  5. Click OK.


Configuring E-Mail-Enabled Document Libraries

Configuring E-Mail-Enabled Document Libraries

Windows SharePoint Services Beta 2 includes the ability to link a document library with a public folder based on Microsoft Exchange 2000 or later. Any documents attached to messages in the public folder can be automatically inserted into the document library, and the document library displays the document, plus the from address, the subject line, and the date and time that the attachment was inserted into the document library. Note that the body text of the e-mail message is not preserved. It remains in the public folder, but is not transferred to the document library.

A user can simply send e-mail to the public folder, with an attached document, and the document will be automatically added to the correct document library on a SharePoint site. For example, if you are using an XML template to store invoice information, a user could fill out the XML invoice and e-mail it to the public folder. The XML file then is posted to the document library and would be available for rolling up into larger reports on invoices, or for easy retrieval.

About E-Mail and Document Library Security

Because this feature relies on e-mail to transport documents, it uses the same security rules as all e-mail messages. Before enabling this feature, you should be aware of the following issues and vulnerabilities:

  • Because e-mail messages can cross firewalls, external users can use this method to send documents to an internal SharePoint site. This is useful for many scenarios, such as sending expense reports in from the field, but can also open your site up to unwanted spam. For information about controlling spam in public folders, see the Exchange 2000 documentation.
  • Because e-mail messages can carry documents with viruses, you might end up with a virus-laden document on your site. However, documents inserted into a document library from e-mail attachments can be scanned for viruses like any other documents in document libraries. For more information about virus scanning in Windows SharePoint Services Beta 2, see .Configuring Anti-Virus Protection.
  • Because e-mail addresses can be spoofed, the from address is preserved in the document properties and displayed in the document library. Trust the From address as much or as little as you trust other e-mail addresses.
  • To allow this feature to work, the document libraries allow anonymous insertions from e-mail attachments. You cannot control who has rights to add attached documents to this document library. However, you can control who can add documents directly to the document library, and you can control who has rights to post to the public folder by using the Exchange user management tools.
  • As with any public folder or document library, there is the possibility that a malicious user could add so many documents that the site or server's storage capacity is filled, thus blocking other users from accessing the site or server. Be sure to control the list of users with access to the public folder, and consider using quotas to control the size of the site. For more information about quotas, see Configuring Site Quotas and Locks.

This feature adheres to the blocked file extension rules for a document library. Any documents with file extensions that are blocked at the server level are also blocked from being added to an e-mail-enabled document library. For example, if you have a file with a .EXE file extension, and you send it to the public folder, it will not be transferred to the document library. For more information about blocked file types, see Configuring Blocked File Extensions.

How it Works

The SharePoint Timer Service controls when the public folder is checked for new attached documents. When the Timer Service event runs, the service checks the public folder for new documents and inserts them into the document library. The Timer Service simply inserts documents. It does not update, overwrite, or delete documents. If the same document is added to the public folder more than once, it will also appear more than once in the document library. However, each document in the document library will have a unique file name (which is automatically generated by adding numbers, such as "1" to the end of the file name, so that filename.doc when added again becomes filename1.doc).

You can use this feature with any document library, or any list based on a document library template, such as a picture library or a custom document library. The data sent to the document library along with the document is fixed. Any additional fields (even required fields) that you specify in the document library properties, are ignored when documents are inserted.

Managing the Public Folder

You must configure the Exchange public folder to work with Windows SharePoint Services Beta 2 before you can enable this feature. And after you configure the feature, you must continue to perform the public folder administration tasks from within Exchange.

To use this feature, you must use the Exchange 2000 administration tools to:

  • Create the public folder.
  • Grant read access to the appropriate Windows SharePoint Services Beta 2 application pool accounts. If you are using one account for all virtual servers, grant that account access. If you are using separate accounts for each virtual server, you must grant the virtual server accounts access to the appropriate public folders.

    If you prefer not to grant access to the application pool accounts, you can instead give the anonymous user account access to read the public folder. This is a less secure method than granting access to the application pool account.

  • Determine which e-mail distribution list to allow to post to the public folder, and grant them appropriate access to the public folder.
  • Create an e-mail address for the public folder and enable the public folder to receive e-mail messages.
  • Continue to manage the public folder and the access to the public folder.

For more information about managing public folders and managing user access in Exchange 2000, see the Microsoft Exchange 2000 documentation.

Enabling E-Mail Access to Document Libraries

To enable this feature, you must be a local server administrator, or a member of the SharePoint Administrators group. You enable or disable this feature by selecting options on the Virtual Server General Settings page. After you have enabled this feature for a virtual server, any administrator of a site on that virtual server can enable the feature for a document library in their site.

Configure a Virtual Server to Allow E-Mail-Enabled Document Libraries

  1. Click Start, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, select the virtual server you want to use.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Virtual server general settings.
  5. In the E-Mail-Enabled Document Libraries section, next to Document libraries on this virtual server can accept e-mail attachments, click Yes.
  6. In the Public folder server and root path box, type the path to the root folder on the Exchange server that hosts public folders.
  7. Under Check for new e-mail in the public folder, specify how frequently the public folders are checked for attachments by selecting one of the following:
    • Every ___ minutes

      Type the number of minutes to wait before checking again.

    • Hourly between ___ and ___ minutes past the hour

      Type the times between which you want to check. For example, between 10 and 20 past the hour would specify that the public folder is checked at a random time between 1:10 and 1:20, 2:10 and 2:20, and so on. Specifying the range allows each Web server to process e-mail attachments at different times within the range, so that all of the front-end Web servers in a server farm do not check the Exchange server at the same time.

    • Daily between ___ and ___

      Type the times between which to process daily e-mail attachments.

    The default value is hourly, between 0 and 59 minutes past the hour.

  8. Click OK.

If this feature has been enabled at the virtual server level, any administrator (or other user with the Manage Lists Permissions right) of any site on that virtual server can configure a document library to link to a public folder.

Configure a Document Library to Allow E-Mail Insertion

  1. Navigate to the document library you want to use.
  2. Under Actions, click Modify settings and columns.
  3. Under General Settings, click Change advanced settings.
  4. On the Document Library Advanced Settings: Library name page, under E-Mail Settings, in the Public folder address box, type the path to the Exchange public folder you want to link to.

    This path is relative to the path specified in the Virtual Server General Settings page. For example, if the virtual server had http://server_name/public as the root path for public folders, and the full path to the folder is http://server_name/public/folder_name, then you would type /folder_name in the Public folder address box.

  5. Click OK.

Internet Explorer Enhanced Security Configuration and E-mail-Enabled Document Libraries

When Internet Explorer Enhanced Security Configuration is enabled, the E-mail-enabled document libraries feature will fail due to authentication errors. To resolve this problem, do either of the following:

  • Disable Internet Explorer Enhanced Security Configuration on each server running Windows SharePoint Services Beta 2, using Add or Remove Programs in Control Panel.
  • Add the name of the server running Microsoft Exchange Server to the registry. If you choose this option, you must perform this step on each server running Windows SharePoint Services Beta 2.
Add the Exchange server name to the registry
  1. Click Start, click Run, and then type regedit, and then click OK.
  2. In the Registry Editor, using the folder navigation tree on the left pane of the window, go to the following path:

    HKCU\SOFTWARE\Microsoft\Windows\CurrentVersion\Internet Settings\ZoneMap\Domains

  3. Right-click Domains, point to New, and then click Key.
  4. Type the domain name of the Exchange public folder server.

    For example, if your public folder server and root path setting is "http://myexchange/public", you would enter "myexchange".

  5. Right-click the new key, point to New, and then click DWORD value.
  6. For the name of the new value, type the protocol used to communicate with this server: http, https, or ftp.
  7. Right-click the new DWORD entry, and then click Modify.
  8. In the Value data box, specify which Internet Explorer zone you want the Exchange Server placed in:
    • Type 1 if the site is to be placed in the Local intranet zone.
    • Type 2 if it's to be added to the Trusted sites zone.
  9. Click OK.
  10. Using the folder navigation tree on the left pane of the window, go to the following key: HKLM\Software\Microsoft\Windows\CurrentVersion\Internet
  11. Right-click EscDomains, point to New, and then click Key.
  12. Repeat steps four through eight in this folder.
  13. Close the Registry Editor.
  14. Click Start, click Run, and then type cmd Type net stop sptimer and then click OK.
  15. In the command prompt window, type net start sptimer


Managing Web Discussions

Managing Web Discussions

Web sites based on Microsoft Windows SharePoint Services Beta 2 include Web discussions, a special collaboration feature that allows users to communicate with each other on the World Wide Web. Web discussions are threaded discussions that allow users to collaborate on HTML documents or to any document that can be opened with a browser (such as .htm, .xls, .doc, and .ppt files) on a server running Windows SharePoint Services Beta 2. Users can add and view discussion items located within documents, or general discussion items located in the discussion pane.

About Web Discussions

Users can participate in discussions about documents created in word processing, spreadsheet, and presentation programs compatible with Windows SharePoint Services, such as Microsoft Word, Microsoft Excel, and Microsoft PowerPoint, as well as any HTML or Rich Text Format (RTF) file. The threaded discussions are maintained in the content database for the site.

To participate in a discussion, users click the Discuss button on the Microsoft Internet Explorer toolbar, or in a spreadsheet, word processing, or presentation program compatible with Windows SharePoint Services; or click the Web Discussions command (Online Collaboration submenu on the Tools menu). If the document is stored in a document library, you can also use the Discuss option on the drop-down Edit menu for the document. All user discussion items are displayed in a shared document that users can view either in the original application or in Internet Explorer.

Because discussion items are stored separately from the shared document, users can modify the document without affecting the collaborative discussion. This separation also allows multiple users to create and edit discussion items simultaneously. Users can also add discussion items to read-only documents.

By using the Web Discussions toolbar, users can view Web discussions, search for discussion items, or filter discussions by author or by date and time. Inline discussions print as part of the document, while discussions in a discussion pane print on a separate page when the document is printed. Users can view discussions offline, but they cannot add to them offline.

Editing Discussion Items

The logon authentication account identifies a user, and depending on the site group assigned to a user, the user has different rights for working with discussion items in a document library or list. For example, in a document library, a user with View items rights can only view other users' discussion items but cannot contribute to the discussion. Whereas a user with Add items, Edit items, and Delete items rights can participate in discussions, and can also edit or remove other users' discussion items.

With Windows SharePoint Services Beta 2, and with the appropriate user rights, you can perform the following actions on an existing discussion item:

  • Reply — Append your discussion item to another user's discussion item.
  • Edit — Change your own or another user's discussion item.
  • Delete — Delete your own or another user's discussion item.
  • Close — Mark a discussion item as closed.
  • Close Item and Replies — Mark a discussion item and any replies as closed.
  • Activate — Restore a discussion item after it has been closed.

A user must have the correct rights to view, edit, reply to, or delete a discussion comment in a site. The following table explains the rights required to work with discussion comments within different environments in a Web site:

Action | Right Required (Web Site Page) | Right Required (Document or Attachment) | Right Required (List - View and Form pages)
View discussions | View Pages | View Items | View Items
Insert a discussion | Add and Customize Pages | Add Items | Manage Lists
Edit a discussion | Edit Items | Edit Items | Manage Lists
Delete a discussion | Delete Items | Delete Items | Manage Lists
Close a discussion | Add and Customize Pages | Manage Lists | Manage Lists
Close an item and replies | Add and Customize Pages | Manage Lists | Manage Lists
Activate a discussion | Add and Customize Pages | Manage Lists | Manage Lists

For more information about which site groups include these rights, see User Rights and Site Groups.

Anyone with rights to view discussions (from View items on up) can close his or her own discussion items. When discussions are marked closed, they are not deleted from the database, and therefore there is no risk of losing important information. If the discussion is needed again, it can be restored by using the Activate command.

Modifying Documents That Contain Discussion Threads

Because discussion items are not stored in the document, users can modify the document independently from any discussions they create.

The following table explains how a modification to a document can affect threaded discussions in a document.

When a document is modified in this way | The discussion data is affected this way
The change is made in an area without a discussion item attached. | Inline and general discussions are not affected.
The change is made in an area with a discussion item attached. | Inline discussions attached to modified text are moved to the General discussions area and marked as "mismatched". General discussions are not affected.
The entire document is moved, renamed, or deleted. | All inline and general discussions are lost.

Managing Web Discussions

You can view and delete discussion threads on your discussion server. To manage discussion threads, you use the Manage Discussions page in the Site Administration pages for your site or subsite.

Manage Web discussion threads
  1. On the site, click Site Settings.
  2. On the Site Settings page, under Administration, click Go to Site Administration.
  3. On the Site Administration page, under Management and Statistics, click Manage Web discussions, and then do any of the following:
    • To see all discussion threads associated with your site, click All Web discussions, and then click Update.
    • To see discussion threads filtered by a particular URL, type a path in the Web discussions in folder http://server_name/ box, and then click Update.
    • To view a particular discussion thread, click the URL for the thread.
    • To delete a particular discussion thread, select the check box next to the thread, and then click Delete.
    • To delete all discussion threads on your site, click Delete all discussions.

Related Links

For more information about using the administration tools, see Introducing the Administration Tools for Windows SharePoint Services Beta 2.


Implementing Personal Sites

Implementing Personal Sites

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Managing Personal Sites

Managing Personal Sites

Every person who uses the portal can choose to create a personal site by clicking My Site on the title bar on the portal home page.

Once a personal site is created, a user can view his or her personal site by clicking My Site. A user can also send a link to his or her personal site to any other user of the portal.

Site administrators control the location and site naming format for the personal sites on the portal from the Manage Personal Sites page.

Site administrators can also select the users and security groups that are part of the default Reader site group.

Selecting the personal site location

The personal site location is the name of the directory where you want to create and store personal site directories for users. You have two options, "personal" and "sites." This directory is created immediately under the root directory. For example, if you click "personal," all of the personal site directories are created under http://servername/personal. You can change this location at any time without affecting the location of existing personal sites.

  1. Click Site Settings, and then in the Manage User Profiles and Audiences section, click Manage personal sites.
  2. On the Manage Personal Sites page, in the Personal Site Location section, in the Location list, select the location where you want to create and store all personal sites.
  3. Click OK.

Selecting the site naming format for personal sites

The site naming format describes the naming convention to use when creating directories for the personal sites for specific users, and how to resolve conflicts with existing directories. This is important because user names can potentially conflict with one another across multiple domains.

  • Click Site Settings, and then in the Manage User Profiles and Audiences section, click Manage personal sites.
  • On the Manage Personal Sites page, in the Site Naming Format section, select the naming format to use when creating and storing information for personal sites.
    • User name (do not resolve conflicts) Directories are named using the user name for each user. If the same user name occurs in multiple domains, information for the personal sites created for those user accounts is stored in the same location.
    • User name (resolve conflicts by using domain_username) Unless there is a naming conflict, all personal sites use the user name of the user that created them. In the case of conflicts, the new personal site is created in a directory with the format domain_username.
    • Domain and user name (will not have conflicts) All directories are created using a naming convention that includes the domain name. This avoids conflicts, but may be harder for users to remember.
  • Click OK.

Adding accounts and groups to the Reader site group for personal sites

You can decide which users can view personal sites by adding accounts and groups to the Reader site group.

  1. Click Site Settings, and then in the Manage User Profiles and Audiences section, click Manage personal sites.
  2. On the Manage Personal Sites page, in the Default Reader Site Group, type the accounts or groups that you want to add to the Reader site group in the text box, separating accounts and groups by using commas.
  3. You can also select accounts or groups to add to the Reader site group by clicking Select accounts or groups.

    The Default Reader Site Group page appears.

  4. On the Default Reader Site Group page, in the Search for list, click the option for the name or alias of the user or security group for which you are searching.
  5. Type the text for the name or alias for which you are searching, and click Go.
  6. In the Results box, click the users or aliases that you want to add, and then click Add.
  7. Search for and add as many users as you want, and then click OK.

    The Default Reader Site Group page is closed.

  8. Click OK.


Managing Targeted Content for My Site

Managing Targeted Content for My Site

As a site administrator, you can target content to the personal sites of portal users. Users who click My Site on the navigation bar to view their personal sites see all of the content that is targeted to their sites for the audiences to which they belong.

You target content to personal sites by adding items to the Targeted links on My Site or News categories, and then editing the display properties of the items to target specific audiences.

Users see the content that is targeted to them in the Links for You and News for You Web Parts.

Though as an administrator you can manage targeted content for personal sites from the portal site map just as you do targeted content for the default portal page, you can also manage targeted content from the Targeted links on My Site page. This page is a list view of all items in that category.

Views

By default, the Targeted links on My Site page uses a view that organizes all of the content targeted to personal sites by groups. You also have the following views:

  • All Items This view shows all items.
  • New Requests This view shows items that are requested by users, but not yet rejected or approved.
  • Rejected Content This view shows items that are rejected.
  • Archived Content This view shows expired items that you are saving, possibly to use again at a later date.
  • Expired Content This view shows items that passed their expiration date, and have yet to be deleted or moved to the archive.
  • Suggestions This view shows items that are suggested as being relevant to this category by the category assistant.

You can change the status of any item from the menu that appears when you select each item.

Add item to target to audiences in personal sites.

  1. Click Site Settings, in the Manage Portal Content section, click Manage targeted My Site content.
  2. On the Targeted links on My Site page, click New to target a link to the Links for You Web Part on My Site.
  3. On the Add Item page, in the Title and Description section, type a title and description for the item.
  4. In the Category Location section, Targeted links on My Site is selected. Do not change this setting if you want this item to be targeted to the Links for You Web Part on My Site.

    Note If this is a news item that you would prefer to target to the News for You Web Part, click Change category and then select the News category or one of its subcategories. If it's an item you want to target to the home page of the portal, you can change the category to Home or one of its subcategories. If you change this to any other category, this item is not targeted to any users in the Home page or in My Site.

  5. In the Audience section, select the audience you want to target from the available audiences list, and then click Add.

    Note If the list of available audiences is long, you can type the audience name into the Find text box to go directly to the audience in the list.

    You can select more than one audience.
  6. In the Item Link section, for existing items, select Existing item and type the address for the location of the item.
  7. If you are adding a completely new item, select New item and then click Open Text Editor. Type and format the text for the item, and then click OK.
  8. On the Add Item page, click OK.

Edit item to target to audiences in personal sites

  1. On the Targeted links on My Site page, click the item you want to edit.
  2. On the Edit Item page, you may change the title and description.
  3. In the Listing Link section, you may change the location of the item if the item has moved.
  4. In the Category Location section, Targeted links on My Site is selected. Do not change this setting if you want this item to be targeted to the Links for You Web Part on My Site.

    Note If this is a news item that you would prefer to target to the News for You Web Part, click Change category and then select the News category or one of its subcategories. If it's an item you want to target to the home page of the portal, you can change the category to Home or one of its subcategories. If you change this to any other category, this item is not targeted to any users in the Home page or in My Site.

  5. Click the Publishing tab to change the dates during which the item is targeted, as well as set the approval status of the item.
  6. To target this item to another audience, click the Display tab and in the Audience section, select the new audience you want to target from the available audiences list and then click Add. To stop targeting an audience, select it and then click Remove.
  7. Click OK.

Add person

In addition to documents, news, and other items, you can target user profiles for certain people in your organization to a specific audience. This is a useful way to provide information to a team about a manager or new employee.

  1. On the quick launch bar, click Add Person.
  2. On the Add Person page, in the Person and Description section, click Select person.
  3. On the Select a person page, in the Search by section, click name of user to search by the friendly name of the user, or alias of user to search by his account name, and then type the name for which to search.
  4. Click Go.

    The names that match your search appear in the Results list.

  5. Click the name of the person you want to add, and then click Add.
  6. Click OK.
  7. On the Add Person page, type a description and target an audience just as you would with any other item.
  8. Click OK.

    Note Editing a person is exactly like editing any other targeted item in the portal.

Related Topics

Add a news item to the portal site
Use Audiences to Target Content
Target an Item to an Audience
Show Targeted Items to Portal Users
About My Site


Backing Up and Restoring Servers on the Server Farm

Backing Up and Restoring Servers on the Server Farm

You can back up and restore an entire server farm, an entire server, or individual components by using the Microsoft SharePoint Portal Server Data Backup and Restore utility. You can start the utility from the SharePoint Portal Server group on the All Programs menu.

The SharePoint Portal Server Data Backup and Restore utility does not back up Internet Information Services (IIS) or the Web servers. To recover data in your server farm or single server deployment, you must first use the operating system backup and restore for Web servers and the single server deployments. You can then use the SharePoint Portal Server Data Backup and Restore utility to restore the remaining data.

You must use the operating system backup and restore in the following situations:

  • After creating a virtual server and portal site.
  • After creating a site based on Microsoft Windows SharePoint Services Beta 2 outside of the portal by creating a new virtual server and then usingWindows SharePoint Services Beta 2 central administration to extend the virtual server. Such a site has its own content database, which is different from the content database that SharePoint Portal Server creates.
If you do not use the operating system backup and restore in these situations, you may encounter the following problems:
  • You will not be able to restore your configuration database because it contains application names that no longer exist.
  • You must recreate all portal sites and team sites manually before restoring the data.
  • Team sites will not work.
  • When you restore the document management component, the configuration database will not be aware of the document libraries, with the result that they will not be listed in the central administration pages.

Important For SharePoint Portal Server "v2.0" Beta 2, the operating system backup and restore should be needed only in the scenario where all of the Web servers fail.

Single Server Deployments

You should have regularly scheduled backups of your server so that you can restore data in case of server failure.

You should also maintain a list of all document libraries, portals, and pure team sites. Ensure that you have the exact names and URLs for the document libraries.

In case of total server failure, you can build a server with the same name or with a new name and restore your SharePoint Portal Server data to it.

Restore data to a server with the same name

  1. Install SharePoint Portal Server.
  2. Recreate the portals, document libraries, and Windows SharePoint Services Beta 2 sites outside of the portal.
  3. Restore everything except for the configuration database. If you are using the single sign-on service in your deployment, ensure that you restore the single sign-on database.

    Use the Edit button on the Restore tab to specify the server for the restore operation.

  4. Open a command prompt and type iisreset.
  5. Configure the single sign-on service, if it is part of your deployment.
  6. Restore the base system key, if you have configured the single-sign on service.

Restore data to a server with a new name

  1. Install SharePoint Portal Server.
  2. Recreate the portals, document libraries, and team sites.
  3. Restore everything except for the configuration database. If you are using the single sign-on service in your deployment, ensure that you restore the single sign-on database.

    Use the Edit button on the Restore tab to specify the server for the restore operation.

  4. Open a command prompt and type iisreset.
  5. Configure the single sign-on service, if it is part of your deployment.
  6. Restore the base system key, if you have configured the single-sign on service.

Server Farm Deployments

You should have regularly scheduled backups of your server farm so that you can restore data in case of server failure.

You should also maintain a list of all document libraries, portals, and Windows SharePoint Services Beta 2 outside of the portal. Ensure that you have the exact names and URLs for the document libraries.

In case of total server failure, you can build a server with the same name or with a new name and restore your SharePoint Portal Server data to it.

Document management server - restore data to a server with the same name

  1. Delete all document libraries by using the SharePoint Portal Server Central Administration for Server ServerName page. Since the server has failed, you are not actually deleting the document libraries, but you are deleting the entry for them in the configuration database.

    Note For SharePoint Portal Server "v2.0" Beta 2, delete any document libraries associated with portals by using the Site Settings page for each portal. Delete any document libraries not associated with portals by using the following URL: http://ServerName:8080/sps/DmWorkspaceDelete.aspx?WorkspaceName=NameOfWorkspace

  2. Remove the document management server from the server farm topology by removing it from the component assignments.
  3. Remove the document management server from the server farm.
  4. Install the document management component of SharePoint Portal Server on the newly-built server.
  5. Add the document management server to the server farm.
  6. Add the document management server to the server farm topology by adding it to the component assignments.
  7. Recreate the document libraries using the same names.
  8. Restore the document management components to the server.

Document management server - restore data to a server with a new name

  1. Delete all document libraries by using the SharePoint Portal Server Central Administration for Server ServerName page. This will not actually delete the document libraries (because the server has failed), but it will delete the entry for them in the configuration database.

    Note For Microsoft SharePoint Portal Server "v2.0" Beta 2, delete any document libraries associated with portals by using the Site Settings page for each portal. Delete any document libraries not associated with portals by using the following URL: http://ServerName:8080/sps/DmWorkspaceDelete.aspx?WorkspaceName=NameOfWorkspace

  2. Remove the document management server from the server farm topology by removing it from the component assignments.
  3. Remove the document management server from the server farm.
  4. Install the document management component of SharePoint Portal Server on the newly-built server.
  5. Add the document management server to the server farm.
  6. Add the document management server to the server farm topology by adding it to the component assignments.
  7. Recreate the document libraries using the same names.
  8. Restore the document management components to the server.

Index management or job server - restore data to a server with the same name

  1. Remove the index management server from the server farm topology by removing it from the component assignments.
  2. Remove the index management server from the server farm.
  3. Install SharePoint Portal Server on the newly-built server.
  4. Add the index management server to the server farm.
  5. Add the index management server to the server farm topology by adding it to the component assignments. Add it as a content index server and as the job server, if applicable.
  6. Restore the index management components to the server.
  7. If the server is also a job server, and you are using the single sign-on service in your deployment, configure the single sign-on service, and then restore the base system key.

Index management or job server - restore data to a server with a new name

  1. Install SharePoint Portal Server on the newly-built server.
  2. Add the index management server to the server farm.
  3. Add the index management server to the server farm topology by adding it to the component assignments. Add it as a content index server and as the job server, if applicable.
  4. Remove the old index management server from the server farm topology by removing it from the component assignments.
  5. Remove the old index management server from the server farm.
  6. Restore the index management components to the server.
  7. If the server is also a job server, and you are using the single sign-on service in your deployment, configure the single sign-on service, and then restore the base system key.

Database server - restore data to a server with the same name

  1. Install SharePoint Portal Server on the newly-built server.
  2. Create a configuration database.
  3. Restore the configuration database from the backup image.
  4. Restore the content databases from the backup image.
  5. Restore the single sign-on database from the backup image, if you are using the single sign-on service in your deployment.
  6. On each Web server, open a command prompt and type iisreset.

Database server - restore data to a server with a new name

You cannot restore data to a server with a new name by using SharePoint Portal Server "v2.0" Beta 2.

Server farm - restore data to all servers on the farm

Data is restored to servers using the same name as the failed servers.

  1. Install SharePoint Portal Server on each newly-built server.
  2. Install the document management component of SharePoint Portal Server on the newly-built document management server.
  3. Configure the farm topology but add only one Web server.
  4. Recreate the portals, document libraries, and team sites.
    • You do not need the exact virtual server names and port numbers for the portals.
    • You do need to use the exact same names for the document libraries.
  5. Restore the data.

    Important Do not restore the configuration database, but restore all other data. Ensure that you restore the single sign-on database, if you are using the single sign-on service in your deployment.

    Use the Edit button on the Restore tab to specify the server for the restore operation.

  6. On the Web server, open a command prompt and type iisreset.
  7. Configure the single sign-on service, if it is part of your deployment.
  8. Restore the base system key, if you have configured the single-sign on service.
  9. Add additional Web servers and extend the sites.

Restore data to the Web server

  1. If at least one Web server on the server farm is still active, add additional Web servers to the server farm and extend the sites.
  2. If all Web servers have failed, you must use the operating system backup.

Restore data to the search server

  1. Install SharePoint Portal Server on the newly-built server. You can use a server with the same name as the failed server or with a new name.
  2. Add the search server to the server farm.
  3. Add the search server to the server farm topology by adding it to the component assignments.
  4. Restore the search component to the server.

Related Topics

Backing Up Data
Restoring Data
Changing Component Assignments for the Server Farm
Removing a Server from the Server Farm
Adding a Server to the Server Farm
Specifying Configuration Database Settings
Deleting a Document Library
Specifying Settings for Single Sign-On and Application Definitions


Backing Up Data

Backing Up Data

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

You can back up all server farm components or individual components.

Back up data

  1. Click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Portal Server Data Backup and Restore.

    The Microsoft SharePoint Portal Server V2.0 Beta 1 Backup and Restore dialog box opens.

  2. Click the Backup tab.
  3. In the tree view, expand Available components by clicking the plus sign.
  4. Click the components that you want to back up.
  5. In the Backup location and name box, do the following:
    1. Type or browse to the location where you want to store the backup files.
    2. After the folder name, type the file name that will be the prefix for each backup file.
  6. In the Backup comment box, type a comment.
  7. If you want to encrypt the credentials for the search service, in the Password for encryption box, type a password.
  8. Optionally, select the Overwrite existing files check box.
  9. Optionally, select the Generate a trace log file in the SharePoint Portal Server Logs directory check box.
  10. Click Start Backup.
  11. On the successful completion message box, click OK.


Restoring Data

Restoring Data

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

You can restore all server farm components or individual components.

Restore data

  1. On the task bar, click Start, point to All Programs, point to SharePoint Portal Server, and then click SharePoint Portal Server Data Backup and Restore.

    The Microsoft SharePoint Portal Server V2.0 Beta 1 Backup and Restore dialog box opens.

  2. Click the Restore tab.
  3. In the Manifest file box, specify the location of the manifest file.

    The manifest file is the XML file that is in the directory that you specified for the backup files when you backed up the server. The file name is the prefix you specified for the backup file names. For example, if the file name you specified as the prefix for the backup file names was Adventure, the name of the manifest file would be Adventure.XML.

  4. In the tree view, expand Available components by clicking the plus sign.
  5. Click the components that you want to restore.
  6. If you specified a password to encrypt the credentials for the search service when you performed the backup, in the Password for decryption box, type the password.

    Important Ensure that the password you supply for decryption is the same password that you supplied for encryption.

  7. Optionally, select the Generate a trace log file in the SharePoint Portal Server Logs directory check box.
  8. Click Start Restore.

    Important Restore will overwrite existing data. Ensure that you have verified that each backup image corresponds to the correct component.

  9. On the confirmation message box, click OK.
  10. On the successful completion message box, click OK.


Analyzing Web Site Usage

Analyzing Web Site Usage

If you want to know what kind of impact your Web site has, you need to track how many users visit your site, the type and number of hits your site receives, and other site-usage information. Microsoft Windows SharePoint Services Beta 2 includes features that analyze the usage of your site. Summary and detailed usage reports supply information such as:

  • Number of page hits for each individual page
  • Number of unique users
  • Browser and operating system information
  • Referring domains and URLs

Tracking usage information can be useful for identifying which content on your site is being heavily used (and therefore should be kept) and which content is not being heavily used (and may be a candidate for archival). In addition to site usage statistics, you can also keep track of how much storage space your site is taking up, and the level of activity your site is generating. This information is gathered as part of the quota tracking for sites. For more information about quotas, see Configuring Site Quotas and Locks.

The usage reports rely on usage log data gathered from the Web sites and stored in the content database for each virtual server. The log data is a summary record of transactions on your Web site. When you view a usage report in Windows SharePoint Services Beta 2 the data is arranged into a list format. You must be a member of the administrator role (or have the View Usage Data right) for a site in order to view the site usage statistics.

You can view summary data about a site from the Site Administration page.

View site usage summary data
  1. On the site you want to view data for, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Management and Statistics, click View site usage data.

You can view the usage data and quota settings for an entire site collection at the same time. Note that this feature is not available at the subsite level.

View usage data and quota information for a site collection
  1. On the top-level Web site of the site collection, click Site Settings.
  2. Under Administration, click Go to Site Administration.
  3. Under Site Collection Administration, click View site collection usage summary.

You can also see detailed reports about storage and user activity.

Related Links

For more information about changing settings for usage analysis processing, see Configuring Usage Analysis.

For more information about managing quotas, see Configuring Site Quotas and Locks.


Using Monitoring Tools

Using Monitoring Tools

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Monitoring the Event Log

Using Query Logging

Monitoring Performance Counters

©2003 Microsoft Corporation. All rights reserved.


Optimizing Performance

Optimizing Performance

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Optimizing Server Performance

Optimizing Microsoft SQL Server Performance

©2003 Microsoft Corporation. All rights reserved.


Monitoring Events for Windows SharePoint Services

Monitoring Events for Windows SharePoint Services

Windows SharePoint Services Beta 2 has a decentralized store of events. To monitor your server and keep it running in the best possible state, you can monitor events and processes using the following tools:

  • Windows SharePoint Services Beta 2 event log
  • Dr. Watson logs
  • Usage analysis logs
  • Windows Application event log
  • SQL Server
  • IIS performance monitor and event logs
  • OLEDB logs

Monitoring the Windows SharePoint Services Beta 2 Event Log

The event log for Windows SharePoint Services Beta 2 is stored at (name? path?). This log stores critical events for Windows SharePoint Services Beta 2, such as ???. The data in this log file provides you with the best set of indicators for determining how well your server is running and what to fix when it isn't running as well as expected.

Monitoring Dr. Watson Logs for Windows SharePoint Services Beta 2

<description? name? path? I need to talk with MikeCook about DW terminology>. If you don't want to use Dr. Watson to monitor Windows SharePoint Services Beta 2, you can disable it by setting the following registry key to 0: <TBD reg key goes here>. The log for Dr. Watson is queued, and can hold up to 50 entries. The log does not automatically purge old entries - you must delete old log entries manually to make room for new ones.

Microsoft does not collect any confidential data in Dr. Watson logs - they are used primarily for finding stack information and debugging issues. <Check with Mike on approved wording for this>.

Monitoring Usage Analysis Logs

Usage analysis data is stored in two logs: the log for Internet Information Services (IIS), and the log for Windows SharePoint Services Beta 2. These two data sets are complementary. The Windows SharePoint Services Beta 2 log tracks page hits in document libraries and lists, while the IIS log tracks page hits for structural and functional pages in the site, such as the Home page, the Create page, or the site administration pages. The Windows SharePoint Services Beta 2 log tells you which content in a site is generating the most interest or is the most heavily used, and can be used in combination with quota data to see if you have reasonable quota limits set for a particular site. The IIS log can track who makes changes to a page, and how many times they made changes (for example, which administrator account added a user on the Adduser.aspx page).

Monitoring the Windows Application Event Log

Monitoring SQL Server

You can monitor particular stored procedures by using the SQL Server Trace tool. If you want to know how well your database is handling (issue a,b,c), it is recommended that you monitor the following procedures: .

Monitoring the IIS Performance Monitor and Event Logs

Because Windows SharePoint Services Beta 2 relies on Internet Information Services to run, you should also monitor the IIS performance monitors and event logs to be sure that IIS is functioning properly. For more information, see the IIS 6.0 Help system.

Monitoring OLEDB Logs

The OLEDB log can keep track of database connections that timed out.


Binding to a Document Library Event Handler

Binding to a Document Library Event Handler

Windows SharePoint Services Beta 2 includes changes that allow you to bind an event handler to a document library. With this feature, you can use document library events to start other processes, such as workflow processes. You can develop managed code that leverages document library events and create an application based on Windows SharePoint Services Beta 2 to perform whatever actions you need. When you combine document libraries, your own event-handling managed code, and possibly XML forms, you can create even complex workflow processes that are easy for users to work with.

For example, in the Healthcare industry, when a new patient is admitted to a hospital, there is a lot of paperwork that needs to be generated, and it needs to be done in a specific order. You can write an application that interacts with XML forms in a document library to:

  • Track when a new admissions form is added to the document library.
  • Extract the insurance information and forward it to the billing application.
  • Notify the staff in the appropriate section of the hospital to pull the patient's chart.
  • And so on.

The following events can be tracked for document libraries.

Event | Description
Insert | A new document is added to the document library.
Update | An existing document is edited.
Delete | An existing document is deleted.
Move | A document is moved or renamed.
Copy | A document or folder is copied.
Check In | A document is checked in.
Check Out | A document is checked out.
Cancel Check-Out | Changes made to a checked out document are undone.

For more information about writing managed code to interact with document library events, see the Windows SharePoint Services Software Development Kit.

If you want to allow developers in your organization to use the document library events to write code, you must enable this feature at the virtual server level.

Enable document library events for a virtual server
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, click the name of the virtual server you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Virtual server general settings.
  5. On the Virtual Server General Settings page, in the Event Handlers section, next to Event handlers are:, select On.
  6. Click OK.

After the feature is enabled, you can write code to handle the events, and then specify the code to use for a particular document library in the document library settings.

Enable document library events for a specific document library
  1. On the appropriate Web site, navigate to the document library you want to monitor.
  2. Under Actions, click Modify columns and settings.
  3. Under General Settings, click Change advanced settings.
  4. In the Event Handler section, in the Assembly name box, type the strong name of the assembly containing the event handler class.
  5. In the Class name box, type the full class name for the event handler.

    Note The Class name value is case-sensitive.

  6. In the Properties box, list any appropriate properties for the event handler.
  7. Click OK.

Note Be aware that event settings are preserved when a document library is saved as a list template. For more information about templates, see Working with Templates.


Viewing and Deleting Diagnostic Logs

Viewing and Deleting Diagnostic Logs

You can view and delete diagnostic logs.

View and delete diagnostic logs

  1. On the SharePoint Portal Server Central Administration for Server server_name page, in the Component Configuration section, click Configure diagnostic tools.
  2. On the Diagnostic tools for server server_name page, in the View diagnostic logs section, in the Diagnostic logs list, select a diagnostic log, and then do one of the following:
    • To view the selected log, click View Log.
    • To delete the selected log, click Delete.
  3. To delete all log files, click Delete All.

    You cannot delete log files that are in use.

  4. Click OK.


Customizing a Web Site Based on Windows SharePoint Services

Customizing a Web Site Based on Windows SharePoint Services

Web sites based on Microsoft Windows SharePoint Services Beta 2 are designed to be flexible. You can tailor a site to fit your users' needs by adding or removing pages, changing the appearance of pages, changing the site navigation, and making other customizations. To customize Web sites based on Windows SharePoint Services Beta 2, you must have the following rights, all of which are included in the Web Designer and Administrator site groups by default:

  • Manage Lists
  • Add and Customize Pages
  • Apply Themes and Borders
  • Apply Style Sheets

Other users of your site cannot gain access to the pages required to perform these tasks unless you specifically assign them to a site group that contains these permissions. For more information about controlling permissions and assigning rights and site groups, see Managing Site Groups and Permissions.

Customizing Web Sites in the Browser

Basic customization can be done from within the browser, using links from the Home, Create, and Site Settings pages of the Web site. From the browser you can perform basic customizations such as the following:

  • Add a list.
  • Change the layout of the home page.
  • Change the picture on the home page.
  • Add a Web Part to a Web Part Page.
  • Change a site's display name (not the URL).
  • Apply a theme.

The Windows SharePoint Services Beta 2 Help files contain more information about customizing Web sites from within the browser.

Customizing Web Sites by Using Web Page Editing Tools

Additional customization can be done by using a Windows SharePoint Services–compatible Web page editor, such as Microsoft FrontPage 11 (Beta). With a Web page editor you can perform customizations such as the following:

  • Add borders to pages.
  • Insert graphics.
  • Add components to the home page.
  • Change the navigation of a site.

For example, if you have created a custom theme for Windows SharePoint Services Beta 2 sites in FrontPage 11 (Beta), and added the theme name to the list of themes in FrontPage 11 (Beta), you can edit the list of available themes in Windows SharePoint Services Beta 2 to include your new theme. An XML template called spthemes.xml contains the theme name, style sheet location, thumbnail, preview, and description of each theme that is available through the browser. This XML file is used to render the theme selection page. You can modify this XML file (by opening it in any editor, such as Notepad) to include a custom theme on the Apply Theme to Web page. You must be a member of the local administrators group for the server to edit this file. For more information about creating a theme and adding it to the list of themes in FrontPage 11 (Beta), see the FrontPage 11 (Beta) Help system.

Add a custom theme to the list of available themes
  1. On the top link bar, click Site Settings.
  2. In the Manage This Web section, click Apply theme to site.
  3. In the Address bar on the browser, replace the file name themeweb.aspx with spthemes.xml.

  4. For example, if the Address bar showed http://server_name/_layouts/1033/themeweb.aspx, you would change the path to http://server_name/_layouts/1033/spthemes.xml.

  5. Edit the XML file and add a new section for your custom theme, similar to the following:

    - <Templates>

    <TemplateID>newtemplateid</TemplateID>

    <DisplayName>NewTemplateDisplayName</DisplayName>

    <Description>Description</Description>

    <Thumbnail>../images/image.png</Thumbnail>

    <Preview>../images/image.gif</Preview>

    </Templates>

For more information about customizing Web site elements in a Windows SharePoint Services–compatible Web page editor, see the Help system for the Web page editor.

Customizing Web Sites by Using Administrative Controls

If you are an Administrator, you can customize how Web sites work by performing tasks such as the following:

  • Change settings, such as regional settings.
  • Add, remove, or modify site groups.
  • Add or remove users, or change their site group membership.

You control these features by using the Site Administration pages. Only an administrator of the site can perform these types of customizations, or users who are members of a site group that contains administrative rights, such as the Manage Site Groups right.

Customizing Web Sites Programmatically

You can perform advanced Web development customizations by using the programming model behind Windows SharePoint Services Beta 2. You can use the programming model to make Web site customizations such as:

  • Add, edit, delete, and retrieve data from SharePoint Lists.
  • Create new lists and set list metadata (such as the fields in a list).
  • Work with documents in document libraries.
  • Perform administrative tasks such as creating webs, adding users, creating roles, and so on.

For more information about advanced customizations, see the Windows SharePoint Services Software Development Kit.


Customizing SharePoint Portal Server

Customizing SharePoint Portal Server

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Enterprise Application Integration

Web Parts

This section will include how to force a user to have a certain Web Part on a page.

Portal Template Pages

Related Topics

Link to Customizing SharePoint Team Services Sites


Customizing Help

Customizing Help

Web sites based on Microsoft Windows SharePoint Services Beta 2 are fully customizable — you can add any type of Web page to the site, and all kinds of interactive content to the pages. To complement this flexibility in the site, the Help system for Windows SharePoint Services Beta 2 was designed to be customizable. So, when you customize the pages available on a Web site, you can also customize the Help available for those pages by adding topics that contain information specific to your organization.

For example, you might want to customize Help when:

  • You change the behavior of a default Web site page and want to explain how users can interact with the modified page.
  • You add a new page to the site with a form that users must fill out and you want to provide assistance for particular fields in the form.
  • You want to explain your organization's Web site policies, processes, or structure to new users of the site.

You must have administrator rights to the server computer to add topics to the Windows SharePoint Services Beta 2 Help system.

Performing Basic Customization of Help

Basic customization of Help consists of adding new Help topics. You can use any level 4 HTML-compatible Web page editor, such as Microsoft FrontPage 11 (Beta), to create topics. When you add a topic, be sure to edit the table of contents topic to include the new file, and also create a hyperlink in the index topic to link to important terms in the new topic.

Help for Windows SharePoint Services Beta 2 is stored as HTML and image files in the file system of the server computer. These files are stored per server, so when you add a Help topic, it is available for all users of that server. The following table lists and describes the contents of the folders used to store Help content on a server.

Folder | Contains
\_vti_bin\help\lcid\sts | All Help topic files. LCID stands for the locale ID. For example, U.S. English Help topics are stored in \_vti_bin\help\1033\.
\_vti_bin\help\lcid\sts\html\ | Localized HTML, cascading style sheets, and JavaScript files used in the Help topics.
\_vti_bin\help\lcid\sts\images\ | Localized images used in the Help topics.
About the Windows SharePoint Services Beta 2 Help Folder and Security

Because the Windows SharePoint Services Beta 2 Help topics take advantage of JScript coding to control some Help features, the \_vti_bin\help\lcid\sts\ folder that contains the Windows SharePoint Services Beta 2 Help files grants Read and Read and Execute permissions to the Everyone group. Be sure to tightly control access to this folder, and any of the other Windows SharePoint Services Beta 2 installation folders. Because of the Read and Execute permission, a user with Write permissions to this folder could potentially add malicious scripting to files in the folder, which would then be allowed to run.

Customizing Special Help Files

The Help system for Windows SharePoint Services Beta 2 consists of Help topic files plus special files such as the table of contents, index, glossary, and other files. When you add custom content to the Help system, consider updating these special files as well to contain references to your new content.

Finding Specific Help Files

You can easily find topics in the Help system by browsing through the table of contents. After you identify the topic you want, you can turn on the Address bar for the Help window (in Microsoft Internet Explorer, on the View menu, click Toolbars, and then click Address Bar), and then make a note of the file name. Alternatively, you can use Microsoft Windows search feature to search through the _vti_bin\lcid\sts\html folder to find a particular sentence or phrase in Help.

Performing Advanced Customization of Help

You can also perform more advanced customization of the Help system. For example, each default page has one or more unique Help topics associated with it. These associations are maintained in an XML file called sts.xml. By editing this file, you can make your custom Help topics appear in the list of context-sensitive topics for a particular page in your Web site. For more information about advanced customization of Help, see the Windows SharePoint Services Software Development Kit.

Preserving Customized Help When Installing Service Releases

Windows SharePoint Services Beta 2 service releases often contain updated Help files. If you customize a default Help topic, and then apply a service release, your customized version of the Help file can be overwritten. Because service releases update default Help topics, it is not recommended that you customize the default Help topics, aside from the table of contents and index files. New topics that you add to the Help system are not overwritten by service releases, unless you use the same file names as existing or new topics.

If you are customizing the Help system extensively, be sure to back up your customized topics before applying a service release, so that you can restore your customizations after the service release has been installed.


Using the SDK to Perform Advanced Customization

Using the SDK to Perform Advanced Customization

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Deploying Additional Web Parts

Deploying Additional Web Parts

Microsoft Windows SharePoint Services Beta 2 comes with several Web Parts that your users can use right away, and many more are available in the online Web Part gallery. In addition, you can create your own Web Parts or install Web Part Packages that include Web Parts from Microsoft or other software vendors.

Creating Custom Web Parts

You can create custom Web Parts by using the Web Part Framework, and add them to the Web Part gallery for a site collection. If you want to deploy your custom Web Parts to multiple servers, or share them with other organizations, you can create a Web Part Package. For more information about creating a Web Part or a Web Part Package, see the Windows SharePoint Services Software Development Kit.

Installing a Web Part Package

A custom Web Part Package can be distributed as a cabinet (CAB) file. If you have a Web Part Package in CAB format, you can use the command line to install it to your server. Again, if you are in a server farm environment, you must use the command line to install the Web Part Package to each front-end Web server in the server farm individually.

Web Part Packages from Microsoft (such as add-in packs for Windows SharePoint Services Beta 2) can be packaged into a Microsoft Windows Installer (MSI) file. You simply install the MSI file to your Web server, and the Web Parts are added to the server gallery. If you have multiple servers in a server farm, you must install the Web Part Package to each server in the server farm to make it available across your farm.

When you install a Web Part Package, it is added to the virtual server gallery, and can be used for any site on that virtual server.

Adding Web Parts from a CAB File to the Server Gallery

You use the command-line tool Stsadm.exe to add the Web Parts in a Web Part Package (in CAB file format) to the list of Web Parts available for a server. The following operations are available for Web Part Packages in Stsadm.exe:

  • addwppack — Adds a Web Part Package to your server Web Part gallery.
  • deletewppack — Removes a Web Part Package from your server Web Part gallery.
  • enumwppack — Lists the Web Part Packages currently in your server Web Part gallery.

These operations take the optional -url, -filename, -name, -farm, and -force parameters. For example, to list the Web Part Packages that are currently available for your server, you would use the following syntax:

stsadm.exe -o enumwppack

To add a new Web Part Package to your server, you would use the following syntax:

stsadm.exe -o addwppack -filename <path to file>

You can use the -force parameter to overwrite an existing Web Part Package with a new version, or to repair a Web Part Package by reinstalling it. For more information about using these commands, see Command-Line Operations.


Extending Windows SharePoint Services

Extending Windows SharePoint Services

Microsoft Windows SharePoint Services Beta 2 is a technology that was designed to be extended and used with other products. Several products from Microsoft and other software vendors use Windows SharePoint Services Beta 2 as an extensible platform. These products build additional features that work with Windows SharePoint Services Beta 2 or customize existing features to meet the users' needs. This extension and customization can be as simple as editing an XML template file or providing special Web Parts that can be used on Web Part Pages, or as complex as creating entire products that build on the Windows SharePoint Services Beta 2 functionality. Other products may also provide administrative or user tools that interact with Windows SharePoint Services Beta 2.

If you have installed Windows SharePoint Services Beta 2 as part of another product, be sure to read the administrative documentation for that product to find out what additional features you have that are not covered in the Windows SharePoint Services Beta 2 Administrator's Guide.

If you are interested in building features for Windows SharePoint Services Beta 2 to work with your product, you can find information about building Web Parts, connecting to Windows SharePoint Services Beta 2, and customizing Windows SharePoint Services Beta 2 features and templates files in the Windows SharePoint Services Software Development Kit.

Related Links

For more information about creating or customizing templates, see Working with Templates.

For more information about distributing Web Parts, see Deploying Additional Web Parts.


About Tools for Troubleshooting

About Tools for Troubleshooting

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Performance Tests

System Alerts and Performance Counters

Automated Scripts

Automated Monitoring

©2003 Microsoft Corporation. All rights reserved.


Troubleshooting Installation Issues

Troubleshooting Installation Issues

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Monitoring Capacity

Monitoring Capacity

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Identifying Hardware Bottlenecks

Identifying Hardware Bottlenecks

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Identifying Network Bottlenecks

Identifying Network Bottlenecks

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Identifying Problems with the Server Farm

Identifying Problems with the Server Farm

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Using Load Balancing

Using Load Balancing

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Other Troubleshooting Issues

Other Troubleshooting Issues

Note

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Integration

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Replication

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

SQL Server Issues

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Security

Reader cannot view portal

If you have edited the Reader role, ensure that the role has the "View categories" right to view the home page of the portal.

Authentication and multiple domains

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Language Issues

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Accessibility

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Releasing the Lock on the Configuration Database

Releasing the Lock on the Configuration Database

If you try to perform a long-running operation, such as creating a portal site or a document library (Web Storage System-based) while another long-runing operation is running, you will be taken to the Configuration Database Locked page. The operation that is currently running has exclusive write access to the configuration database so that the task you are attempting to perform cannot run at this time.

Releasing the lock on the database might result in the failure of the currently running operation. Releasing the lock is not recommended unless it appears that the current operation has failed.

Release the lock on the configuration database

  1. On the Configuration Database Locked page, click Release Lock.
  2. On the Confirm Lock Release page, click OK.


Character Limitations

Character Limitations

The following character limitations apply:

  • Portal title The portal title is limited to 80 Unicode characters.

    The portal title can consist of all alphanumeric characters, as well as #%*+\|"?><$@[]{}⌂.

  • Portal description The portal description is limited to 200 Unicode characters.

    The portal description can consist of all alphanumeric characters, as well as #%*+\|"?><$@[]{}⌂.

  • URL for creating sites from the Sites Directory The URL for creating sites from the Sites Directory is limited to 2048 ASCII characters. In addition, no component of the URL, such as the virtual directory or virtual server, can exceed 128 characters.

    The URL must end with _layouts/language/scsignup.aspx.

  • Document library friendly name The friendly name cannot exceed 100 characters in length.

The following character limitations apply for alternate portal access mappings:

  • Mapping name The mapping name has a maximum length of 64 unicode characters and must not be null. It must be unique from all other names, and uniqueness is case-sensitive.
  • Default URL The default URL has a maximum length of 255 unicode characters and a minimum length of 5 characters. The user can enter the URL in any case, but the URL is always saved in lowercase. This URL must be unique from all other default URLs.
  • Intranet, Extranet, and Custom URLs Each of these URLs has a maximum length of 255 unicode characters and a minimum length of 5 characters. The user can enter in the URL any case, but the URL is always saved in lowercase. These URLs must be unique from all other intranet, extranet, and custom URLs.

The following limitations apply to the content index name:

  • The content index name is restricted to 49 characters.
  • The content index name cannot contain the following characters: +~@#'%*()=[]{}|\"<>.?/@& or space.


Command-Line Operations

Command-Line Operations

This topic lists and explains the operations you can perform with Stsadm.exe. For detailed information about the required and optional parameters, including short forms of the parameters, see Command-Line Parameters. For more information about using the command-line tool, see Introducing the Administration Tools for Windows SharePoint Services Beta 2.

You can also get a list of the command-line operations by typing stsadm.exe -help on the command line. Syntax help for specific operations is available by typing stsadm.exe -help <operation name>.

Operations in this Topic
  • addpath
  • addtemplate
  • adduser
  • addwppack
  • applydspadaptertosetting
  • backup
  • createadminvs
  • createsite
  • createsiteinnewdb
  • createweb
  • deleteadminvs
  • deleteconfigdb
  • deletepath
  • deletesite
  • deletetemplate
  • deleteuser
  • deleteweb
  • deletewppack
  • disablessc
  • disablestsisapis
  • email
  • enablessc
  • enablestsisapis
  • enumroles
  • enumsites
  • enumsubwebs
  • enumtemplates
  • enumusers
  • enumwppacks
  • extendvs
  • extendvsinwebfarm
  • getadminport
  • getproperty
  • removedspadapterfromsetting
  • renameweb
  • restore
  • setadminport
  • setconfigdb
  • setproperty
  • siteowner
  • unextendvs
  • uninstall
  • upgrade
  • userrole

Addpath

Adds a defined path (inclusion or exclusion) to a virtual server. For more information, see Managing Paths.

Required parameters | Optional parameters
-url -type | <none>

Sample syntax:

 stsadm.exe -o addpath -url <url>
  -type <exclusion/explicitinclusion/wildcardinclusion>

Addtemplate

Adds a site template to the template gallery.

Required parameters | Optional parameters
-filename -title | -description

Sample syntax:

 stsadm.exe -o addtemplate -filename <template filename>
  -title <template title> [-description <template description>]

Adduser

Adds a user account to the specified site and assigns them to the specified site group. Use the siteadmin parameter to register the user as the site owner.

Required parameters | Optional parameters
-url -userlogin -useremail -role -username | -siteadmin

Sample syntax:

 stsadm -o adduser -url <url> -userlogin <DOMAIN\username>
  -useremail <someone@example.com> -role <role name>
  -username <user's display name> [-siteadmin]

Addwppack

Adds a Web Part Package to your server Web Part gallery. Use the -globalinstall parameter to add the Web Part Package to all servers in the server farm. Use the -force parameter to overwrite an existing Web Part Package with a new version, or to repair a Web Part Package by reinstalling it.

Required parameters | Optional parameters
either -filename or -name | -url -globalinstall -force

Sample syntax:

 stsadm.exe -o addwppack -filename <Web Part Package filename>
  [-url <url> -globalinstall -force]

Applydspadaptertosetting

Specifies settings for DSP adapters. Specify a dspadapter name, and then the setting. Settings include: enabled, responsesize, timeout, update.

Required parameters | Optional parameters
-dspadapter -dspsetting | <none>

Sample syntax:

 stsadm.exe -o applydspadaptertosetting -dspadapter <adapter name>
  -dspsetting <enabled/responsesize/timeout/update>

Backup

Creates a backup of the site at the specified URL. Use the overwrite parameter to replace an existing backup file.

Required parameters | Optional parameters
-url -filename | -overwrite

Sample syntax:

 stsadm.exe -o backup -url <url> -filename <filename> [-overwrite]

Createadminvs

Creates the administration virtual server for Microsoft Windows SharePoint Services Beta 2. Use the admapid... parameters to create a new application pool for IIS, or to specify the application pool to use for the administration virtual server.

Required parameters | Optional parameters
<none> | -admapcreatenew -admapidname -admapidtype -admapidlogin -admapidpwd

Sample syntax:

 stsadm.exe -o createadminvs [-admapcreatenew]
  [-admapidname <app pool id>]
  [-admapiptype <configurableid/NetworkService/LocalService /LocalSystem>]
  [-admapidlogin <app pool user account>] [-admapidpwd <app pool password>]

Createsite

Creates a site at the specified URL with the specified user as owner and administrator. If you do not specify the template to use, the owner can choose the template when they first browse to the site.

Required parameters | Optional parameters
-url -ownerlogin -owneremail | -ownername -lcid -sitetemplate -title -description -quota

Sample syntax:

 stsadm.exe -o createsite -url <url>
  -ownerlogin <DOMAIN\username> -owneremail <someone@example.com>
  [-ownername <display name>] [-lcid <language>]
  [-sitetemplate <site template>] [-title <title>]
  [-description <description>] [-quota <quota template>]

Createsiteinnewdb

Creates a site at the specified URL and creates a new content database with the username and password you specify. If you do not specify the template to use, the owner can choose the template when they first browse to the site.

Required parameters | Optional parameters
-url -ownerlogin -owneremail | -ownername -databaseuser -databasepassword -databaseserver -databasename -lcid -sitetemplate -title -description -secondarylogin -secondaryemail -secondaryname

Sample syntax:

 stsadm.exe -o createsiteinnewdb -url <url>
  -ownerlogin <DOMAIN\username> -owneremail <someone@example.com>
  [-ownername <owner's name>]
  [-databaseuser <databaseusername>] [-databasepassword <databasepassword>
  [-databaseserver <databaseserver>] [-databasename <databasename>]
  [-lcid <language>] [-sitetemplate <site template>]
  [-title <title>] [-description <description>]
  [-secondarylogin <DOMAIN\username>] [-secondaryemail <someone@example.com>]
  [-secondaryname <secondary owner's name>]

Createweb

Creates a subweb at the specified URL. If you do not specify the template to use, the owner can choose the template when they first browse to the site. Use the unique parameter to specify unique permissions for the subsite. Use the convert parameter to convert an existing folder to a subsite.

Required parameters | Optional parameters
-url | -lcid -sitetemplate -title -description -convert -unique

Sample syntax:

 stsadm.exe -o createweb -url <url> [-lcid <language>]
  [-sitetemplate <site template>] [-title <title>]
  [-description <description>] [-convert] [-unique]

Deleteadminvs

Deletes the administration virtual server for Windows SharePoint Services Beta 2.

Required parameters | Optional parameters
<none> | <none>

Sample syntax:

 stsadm.exe -o deleteadminvs

Deleteconfigdb

Deletes the configuration database for Windows SharePoint Services Beta 2.

Required parameters | Optional parameters
<none> | <none>

Sample syntax:

 stsadm -o deleteconfigdb

Deletepath

Removes an included or excluded path from the list of paths managed by Windows SharePoint Services Beta 2.

Required parameters | Optional parameters
-url | <none>

Sample syntax:

 stsadm -o deletepath -url <url>

Deletesite

Deletes the specified site.

Required parameters | Optional parameters
-url | <none>

Sample syntax:

 stsadm.exe -o deletesite -url <url>

Deletetemplate

Deletes the specified site template.

Required parameters | Optional parameters
-title | -lcid

Sample syntax:

stsadm.exe -o deletetemplate -title <template title> [-lcid <language>]

Deleteuser

Deletes the specified user.

Required parameters | Optional parameters
-url -userlogin | <none>

Sample syntax:

 stsadm -o deleteuser -url <url> -userlogin <DOMAIN\username>

Deleteweb

Deletes the specified subsite.

Required parameters | Optional parameters
-url | <none>

Sample syntax:

 stsadm.exe -o deleteweb -url <url>

Deletewppack

Removes a Web Part Package from your server Web Part gallery.

Required parameters | Optional parameters
-name | -url

Sample syntax:

 stsadm -o deletewppack -name <name of Web Part Package> [-url <url>]

Disablessc

Disables Self-Service Site Creation for the specified server.

Required parameters | Optional parameters
-url | <none>

Sample syntax:

 stsadm -o disablessc -url <url>

Disablestsisapis

Disables the Windows SharePoint Services Beta 2 ISAPI filters. This operation is used by the Setup program for Windows SharePoint Services Beta 2.

Required parameters | Optional parameters
<none> | <none>

Sample syntax:

 stsadm -o disablestsisapis

Email

Sets the e-mail configuration settings for your server, or for a specific site collection (when you use the url parameter).

Required parameters | Optional parameters
-outsmtpserver -fromaddress -replytoaddress -codepage | -url

Sample syntax:

stsadm.exe -o email -outsmtpserver <SMTP server>
  -fromaddress <someone@example.com> -replytoaddress <someone@example.com>
  -codepage <codepage> [-url <url>]

Enablessc

Enables Self-Service Site Creation for the specified virtual server.

Required parameters | Optional parameters
-url | -requiresecondarycontact

Sample syntax:

 stsadm -o enablessc -url <url> [-requiresecondarycontact]

Enablestsisapis

Enables the Windows SharePoint Services Beta 2 ISAPI filters. This operation is used by the Setup program for Windows SharePoint Services Beta 2.

Required parameters | Optional parameters
<none> | <none>

Sample syntax:

 stsadm -o enablestsisapis

Enumroles

Lists the site groups that are available for use in a particular site or subsite.

Required parameters | Optional parameters
-url | <none>

Sample syntax:

 stsadm -o enumroles -url <URL>

Enumsites

Lists all of the sites that have been created under a particular virtual server. The url parameter must be the URL of a virtual server.

Required parameters | Optional parameters
-url | <none>

Sample syntax:

 stsadm -o enumsites -url <URL>

Enumsubsites

Lists the subsites that have been created under a particular site.

Required parameters | Optional parameters
-url | <none>

Sample syntax:

 stsadm -o enumsubsites -url <URL>

Enumtemplates

Lists the site templates that are available.

Required parameters | Optional parameters
<none> | -lcid

Sample syntax:

stsadm.exe -o enumtemplates [-lcid <language>]

Enumusers

Lists the users of a particular site or subsite.

Required parameters | Optional parameters
-url | <none>

Sample syntax:

stsadm.exe -o enumusers -url <url>

Enumwppacks

Lists the Web Part Packages currently in your server Web Part gallery. Use the -farm parameter to list all Web Part Packages in a server farm.

Required parameters | Optional parameters
<none> | -name -url -farm

Sample syntax:

 stsadm -o enumwppacks [-name <name of Web Part Package>]
   [-url <URL>] [-farm]

Extendvs

Extend a virtual server with Windows SharePoint Services Beta 2 and create a new content database.

Note Extending a virtual server creates a site but does not require the createsite parameter. Use the nosite parameter if you do not want to create a site when you extend the virtual server.

Required parameters | Optional parameters
-url -ownerlogin -owneremail | -ownername -databaseuser (du) -databaseserver (ds) -databasename (dn) -databasepassword (dp) -lcid -sitetemplate -donotcreatesite -apcreatenew -apidname -apidtype -apidlogin -apidpwd

Sample syntax:

 stsadm -o extendvs -url <url> -ownerlogin <DOMAIN\username>
  -owneremail <someone@example.com> [-ownername <display name>]
  [-du <database user>] [-ds <database server>] [-dn <database name>]
  [-dp <database user password>][-lcid lcid] [-sitetemplate <site template>]
  [-donotcreatesite] [-apcreatenew] [-apidname <app pool name>]
  [-apidtype <configurableid/NetworkService/LocalService/LocalSystem>]
  [-apidlogin <DOMAIN\username>]
  [-apidpwd <app pool password>]

Extendvsinwebfarm

Extend a virtual server with Windows SharePoint Services Beta 2 for use in a Server farm. This operation does not create a new content database, but allows you to connect to an existing virtual server (-vsname) and use the same content database.

Required parameters | Optional parameters
-url -vsname | -apcreatenew -apidname -apidtype -apidlogin -apidpwd

Sample syntax:

 stsadm -o extendvsinwebfarm -url <url> -vsname <virtual server name>
  [-apcreatenew] [-apidname <app pool name>]
  [-apidtype <configurableid/NetworkService/LocalService/LocalSystem>]
  [-apidlogin <DOMAIN\username>]
  [-apidpwd <app pool password>]

Getadminport

Returns the administration port for Windows SharePoint Services Beta 2.

Required parameters | Optional parameters
<none> | <none>

Sample syntax:

 stsadm -o getadminport

Getproperty

Returns the property value for the specified property name. For a list of valid properties, see Command-Line Properties.

Required parameters | Optional parameters
-propertyname (pn) | -url

Sample syntax:

 stsadm -o getproperty -pn <property name> [-url <url>]

Removedspadapterfromsetting

Remove a DSP adapter. Specify the adapter name and setting. Settings include: enabled, responsesize, timeout, and update.

Required parameters | Optional parameters
-dspadapter -dspsetting |

Sample syntax:

 stsadm.exe -o removedspadapterfromsetting -dspadapter <adapter name>
  -dspsetting <enabled/responsesize/timeout/update>

Renameweb

Renames the specified subsite.

Required parameters | Optional parameters
-url -newname |

Sample syntax:

 stsadm.exe -o renameweb -url <url> -newname <new subsite name>

Restore

Restores a Web site from a backup file. Use the overwrite parameter to replace any existing Web site at the new location.

Required parameters | Optional parameters
-url -filename | -overwrite

Sample syntax:

 stsadm.exe -o restore -url <url> -filename <filename> [-overwrite]

Setadminport

Sets the port number for the administration virtual server for Windows SharePoint Services Beta 2. Use the ssl parameter to specify a Secure Sockets Layer (SSL) connection to the port. Use the admap... parameters to specify the IIS application pool to use or to create a new IIS application pool for the administration virtual server.

Required parameters | Optional parameters
-port | -ssl -admapcreatenew -admapidname -admapidtype -admapidlogin -admapidpwd

Sample syntax:

 stsadm.exe -o setadminport -port <port> [-ssl]
  [-admapcreatenew] [-admapidname <app pool id>]
  [-admapiptype <configurableid/NetworkService/LocalService /LocalSystem>]
  [-admapidlogin <app pool user account>] [-admapidpwd <app pool password>]

Setconfigdb

Creates the configuration database or specifies the connection to an existing configuration database. Setting the configuration database is required before a virtual server can be extended.

Required parameters | Optional parameters
-databaseserver (ds) | -connect -databaseuser (du) -databasepassword (dp) -databasename (dn) -hh -adcreation -addomain -adou

Sample syntax:

 stsadm.exe -o setconfigdb [-connect] -ds <database server>
  [-du <database user>] [-dp <database user password>] [-dn <database name>]
  [-hh] [-adcreation] [-addomain <AD domain> [-adou <AD OU>]

Setproperty

Sets the specified property with the specified value. Use the url property to specify a virtual server or site collection to apply the property to, or omit the url parameter to apply the property at the server or server farm level. For a list of valid properties, see Command-Line Properties.

Required parameters | Optional parameters
-propertyname (pn) -propertyvalue (pv) | -url

Sample syntax:

 stsadm.exe -o setproperty -pn <property name>
  -pv <property value> [-url <url>]

Siteowner

Sets the owner or secondary owner of a site collection. Either the -ownerlogin or -secondownerlogin parameter must be used.

Required parameters | Optional parameters
-url either -ownerlogin or -secondownerlogin |

Sample syntax:

 stsadm.exe -o siteowner -url <url>   [-ownerlogin <DOMAIN\username> | -secondownerlogin <DOMAIN\username>]

Unextendvs

Removes Windows SharePoint Services Beta 2 from a particular virtual server. Use the deletecontent parameter to delete the content databases for the virtual server.

Required parameters | Optional parameters
-url | -deletecontent

Sample syntax:

 stsadm.exe -o unextendvs -url <url> [-deletecontent]

Uninstall

Uninstalls Windows SharePoint Services Beta 2. Uninstall removes the Windows SharePoint Services Beta 2 ISAPI filter and any virtual directories or other files from the virtual server. It does not delete the content databases unless you include the deletecontent parameter. This operation is used by the Setup program for Windows SharePoint Services Beta 2.

Required parameters | Optional parameters
<none> | -deletecontent

Sample syntax:

 stsadm.exe -o uninstall [-deletecontent]

Upgrade

Upgrades the server or the specified virtual server with Windows SharePoint Services Beta 2. This operation is used by the Setup program for Windows SharePoint Services Beta 2.

Required parameters | Optional parameters
<none> | -url

Sample syntax:

 stsadm.exe -o upgrade [-url <url>]

Userrole

Specifies the site group membership for a user. Use the addand delete parameters to specify whether to add the user to a site group, or remove the user from a site group.

Required parameters | Optional parameters
-url -userlogin -role | -add -delete

Sample syntax:

 stsadm.exe -o userrole -url <url> -userlogin <DOMAIN\username>
  -role <site group name> [-add] [-delete]


Command-Line Parameters

Command-Line Parameters

The following table lists and explains the parameters you can use with operations for Stsadm.exe. For detailed information about the operations, including sample syntax, see Command-Line Operations. For more information about using the command-line tool, see Introducing the Administration Tools for Windows SharePoint Services Beta 2.

Parameter | Short Form | Definition | Sample Values
adcreation |  | Specifies that new user accounts are created in the Active Directory. |
add |  | Specifies that the user is added to a site group when the userrole operation is run. |
addomain |  | The Active Directory domain. |
admapcreatenew |  | Specifies that a new application pool is created in Internet Information Services (IIS). |
admapidlogin |  | The user name to use for running processes in the administrative application pool. | This value must be a Windows NT user account name, and must be qualified with a domain name, for example DOMAIN\name.
admapidname |  | The administrative application pool ID. |
admapidpwd |  | The password that corresponds to the admapidlogin. |
admapidtype |  | The identity type to use for the administrative application pool. | (configurableid/ NetworkService/LocalService/LocalSystem)
adou |  | The Active Directory organizational unit (OU). |
apcreatenew | -apnew | Specifies that a new application pool is created in Internet Information Services (IIS). |
apidlogin | -apl | The user name to use for running processes in the application pool. | This value must be a Windows NT user account name, and must be qualified with a domain name, for example DOMAIN\name.
apidname |  | The application pool ID. |
apidpwd |  | The password that corresponds to the apidlogin. |
apidtype |  | The identity type to use for the application pool. | (configurableid/ NetworkService/LocalService/LocalSystem)
codepage |  | The language codepage to use for e-mail messages. | This value must be a valid codepage, such as 65001.
connect |  | Connects to an existing database, rather than creating a new one. |
convert |  | Converts an existing folder into a subsite. |
databasename | -dn | The name of the Microsoft® SQL Server™ or MSDE database used for Windows SharePoint Services Beta 2 data. | The default database name is automatically generated based on the machine name, virtual server, and subsite. For example, SharePoint_collab_stsid.
databasepassword | -dp | The password that corresponds to the administrator user name for the SQL Server or MSDE database. |
databaseserver | -ds | The server on which the Windows SharePoint Services Beta 2 collaboration database exists. | Defaults to local machine name. For example, SQL_01.
databaseuser | -du | The administrator user name for the SQL Server or MSDE database. |
delete |  | Specifies that the user is deleted from a site group when the userrole operation is run. |
deletecontent |  | Specifies that the content databases are deleted when a virtual server is unextended or Windows SharePoint Services Beta 2 is uninstalled. |
description | -desc | The site or template description. | Any text string
donotcreatesite |  | Specifies that no site is created when a virtual server is extended. |
dspadapter |  | The name of a DSP adapter. | <need description>
dspsetting |  | A setting for the DSP adapter. | Any of the following values: enabled, responsesize, timeout, update.
farm |  | Specifies that all Web Part Packages in a server farm are listed when the enumwppacks operation is run. |
force |  | Specifies that the existing Web Part Package is overwritten when the addwppack operation is run. |
filename | -f | A valid file name for a file, template, or Web Part Package. | A full path and file name, such as C:\Myfiles\Filename.htm
fromaddress |  | The e-mail address to use as a From address on server messages, such as alert notifications. | This value must be a valid e-mail address, in the form someone@example.com.
globalinstall |  | Specifies that the Web Part Package is added to all servers in a server farm when the addwppack operation is run. |
hh |  | Specifies that the server is in a Web farm hosting configuration. No database is created and the virtual server is extended by connecting to existing content database. You must specify an existing SQL connection string to the configuration database when you use this parameter. |
lcid |  | The locale ID for sites created on this virtual server. Default is the install language for Windows SharePoint Services Beta 2. | A locale ID, for example 1033.
name |  | The name of a Web Part Package. |
newname | -new | The new name to use when renaming a subsite. |
operation | -o | The operation to perform. | For a list of available operations, see Command-line Operations.
outsmtpserver |  | The SMTP server to use for outgoing messages. |
overwrite |  | Specifies that any existing backup files or existing Web sites will be overwritten during backup or restore. |
owneremail |  | The site owner's e-mail address, in the form someone@example.com. | This value must be a valid e-mail address, in the form someone@example.com.
ownerlogin |  | The site owner's user account, in the form DOMAIN\name. | This value must be a Windows NT user account name, and must be qualified with a domain name, for example DOMAIN\name.
ownername |  | The site owner's display name. |
port |  | The port to use for SharePoint Central Administration. | An integer, such as 80.
propertyname | -pn | A valid property name. | For values, see Command-line Properties.
propertyvalue | -pv | A valid property value. | For more information, see Command-line Properties.
quota | -qt | The quota template to apply to sites created on the virtual server. | A quota template name. For example, personalquotas.
replytoaddress |  | The e-mail address that users can reply to when they receive server messages. | This value must be a valid e-mail address, in the form someone@example.com.
requiresecondarycontact |  | Specifies that users must supply a secondary contact when they create a new site. |
role |  | A valid site group name. | For example, reader.
secondaryemail | -se | The secondary site owner's e-mail address, in the form someone@example.com. | This value must be a valid e-mail address, in the form someone@example.com.
secondarylogin | -sl | The secondary site owner's user account, in the form DOMAIN\name. | This value must be a Windows NT user account name, and must be qualified with a domain name, for example DOMAIN\name.
secondaryname | -sn | The secondary site owner's display name. |
siteadmin |  | Specifies that the user is an administrator of the site. |
sitetemplate | -st | The template to apply to the new site. | The value must be in the form name#configuration. If you do not specify the configuration, configuration 0 is the default (for example, STS#0. The list of available templates can be customized to include templates you create. Values available in a default installation include: STS#0 (Team Site) STS#1 (Blank Site) STS#2 (Document Workspace) MPS#0 (Basic Meeting Workspace) MPS#1 (Blank Meeting Workspace) MPS#2 (Decision Meeting Workspace) MPS#3 (Social Meeting Workspace) MPS#4 (Multipage Meeting Workspace) Note If you added a template to the central template gallery, you must specify the template name as _GLOBAL_#number, where number refers to the template ID.
ssl |  | Specifies that Secure Sockets Layer (SSL) encryption is used for the administration port. |
title | -t | The template or site title | Any text string
type |  | Type of path to add or remove. | (exclusion/explicitinclusion/wildcardinclusion)
unique |  | Specifies that the subsite uses unique permissions. |
url |  | The URL to the virtual server, site, or subsite. | For example, http://myserver/site1.
useremail |  | An e-mail address. | This value must be a valid e-mail address, in the form someone@example.com.
userlogin |  | A user account. | This value must be a Windows NT user account name, and must be qualified with a domain name, for example DOMAIN\name.
username | -u | A user name. | Always use the short form for this parameter (-u). This value must be either a Windows NT user account name or a Windows NT group name, and can be qualified with a domain name, for example DOMAIN\name.
vsname |  | The virtual server name. |


Command-Line Properties

Command-Line Properties

This topic lists and explains the properties that can be set on the command line by using the Stsadm.exe tool with the getproperty and setproperty operations. To see the current value of a property, you use the getproperty operation. To set the value for a property, you use the setproperty operation. The following examples show the syntax to use when getting or setting a property:

stsadm -o getproperty -pn <property name> [-url <url>]
stsadm.exe -o setproperty -pn <property name> -pv <property value> [-url <url>]

Some properties are available for the entire server, and are called server properties. Some are only available for an individual virtual server. When you get or set a server property, you can omit the url parameter. You must include the url parameter to get or set virtual server properties. For more information about setting properties, see Introducing the Administration Tools for Windows SharePoint Services Beta 2.

Server Properties for Windows SharePoint Services Beta 2

  • Anti-virus properties
  • HTML Viewer properties
  • Site confirmation and automatic deletion properties
  • Usage analysis properties

Virtual Server Properties for Windows SharePoint Services Beta 2

  • Alert properties
  • Content database properties
  • General properties
  • Site confirmation and automatic deletion properties

Alert Properties

Use these properties to configure Alerts for your server. Specify whether alerts are enabled, whether users are limited as to the number of alerts they can create, and if so, the maximum number of alerts. You can also specify the times to send out immediate, daily, and weekly alerts. For more information about alerts, see Managing Alerts.

Property name | Values
alerts-enabled | true/false
alerts-limited | true/false
alerts-maximum | A numerical value.
job-daily-notification | A phrase that includes the frequency interval and time range to send out notifications. For example "daily between 22:00:00 and 06:00:00".
job-immediate-notification | A phrase that includes the frequency interval and time range to send out notifications. For example "every 5 minutes between 0 and 59".
job-weekly-notification | A phrase that includes the frequency interval and time range to send out notifications. For example "weekly between Fri 22:00:00 and Mon 06:00:00".

Antivirus Properties

Use these properties to configure antivirus protection for your server. Specify whether antivirus cleaning is enabled, whether the download and upload scans are enabled, the timeout time for scanning, and the number of threads to take up with antivirus processes. For more information about using anti-virus scanning, see Configuring Antivirus Protection.

Property name | Values
avcleaningenabled | yes/no
avdownloadscanenabled | yes/no
avnumberofthreads | A numerical value, the number of threads to use.
avtimeout | A numerical value, in seconds.
avuploadscanenabled | yes/no

Content Database Properties

Use these properties to set the server name, user name, and password to use for the default content database for your server. For more information about the default content database, see Managing Content Databases.

Property name | Values
defaultcontentdb-password | The password for the defaulcontentdb-user.
defaultcontentdb-server | The server that contains the default content database.
defaultcontentdb-user | A user account in the format DOMAIN\username.

General Properties

Use the following properties to specify general settings for a virtual server. Specify how long (in days) to display the New icon for items added to a Web site, the default quota template and default time zone for Web sites, the maximum size for files posted to Web sites, and whether Web Discussions are enabled for the virtual server.

For more information about specifying virtual server general settings, see Configuring Virtual Servers.

Property name | Values
days-to-show-new-icon | A numerical value (number of days).
defaultquotatemplate | A quota template name.
defaulttimezone | A time zone (numerical).
max-file-post-size | A numerical value, in megabytes (MB).
webdocdisc-allow | yes/no

HTML Viewer Properties

Use these properties to specify HTML Viewer options for your server or server farm. Specify whether HTML viewing is enabled, the path (URL) to the HTML Viewer server, the maximum cache size for the HTML Viewer, the maximum file size that can be viewed, and the timeout time for HTML viewing. For more information about HTML viewing, see Managing HTML Viewers.

Property name | Values
htmltranslbpath | A URL
htmltransmaxcachesize | A numerical value, in MB.
htmltransmaxsize | A numerical value, in MB.
htmltranson | true/false
htmltranstimeout | A numerical value, in seconds.

Site Confirmation and Automatic Deletion Properties

These properties can be set either at the server (and server farm) level or at the virtual server level. Specify whether to send e-mail notifications about unused Web sites, how long to wait before sending the first e-mail notification, how many notifications to send, whether to automatically delete unused Web sites, and when to delete unused Web sites. For more information about site confirmation and automatic deletion, see Managing Unused Web Sites.

Property name | Values
delete-web-send-email | yes/no
dead-site-notify-after | A numerical value (the number of days to wait before sending notifications).
dead-site-num-notifications | A numerical value (the number of notifications to send).
dead-site-auto-delete | yes/no
job-dead-site-delete | A phrase that includes the frequency interval and time range to delete unused Web sites automatically. For example "weekly at Sat 0:00:00".

Usage Analysis Properties

This property can be set either at the server (and server farm) level or at the virtual server level. For more information about usage analysis, see Configuring Usage Analysis.

Property name | Values
job-usage-analysis | A phrase that includes the frequency interval and time range to perform usage analysis log processing. For example "daily between 16:55:00 and 17:00:00".

If you want the job to start at a specific time, set the beginning and end times to the same time, for example: "daily between 16:55:21 and 16:55:21".

Note This property can only be set to "daily", not "weekly" or "immediate".


User Rights and Site Groups

User Rights and Site Groups

This topic explains the rights and site groups you can assign to users by using operations in Stsadm.exe and by using HTML Administration. Each user right or site group is listed by the name that appears in HTML Administration pages. The name used to identify a site group for the Stsadm.exe command-line tool is listed in a table. For each site group, the default rights included in that site group are listed. For each right, any rights dependent on the right are listed, as well as any default site groups that includes the right.

For more information about user rights and site groups, see Managing Site Groups and Permissions and Managing Users and Cross-Site Groups. For more information about using the command-line tool, see Introducing the Administration Tools for Windows SharePoint Services Beta 2.

Default Site Groups in Windows SharePoint Services Beta 2

  • Guest
  • Reader
  • Contributor
  • Web designer
  • Administrator

User Rights Available for Windows SharePoint Services Beta 2

  • Add and customize pages
  • Add items
  • Add/Remove Personal Web Parts
  • Apply style sheets
  • Apply themes and borders
  • Browse directories
  • Cancel check-out
  • Create cross-site groups
  • Create sites and workspaces
  • Delete items
  • Edit items
  • Manage lists
  • Manage list permissions
  • Manage personal views
  • Manage site groups
  • Manage Web site
  • Update personal Web Parts
  • Use Self-Service Site Creation
  • View items
  • View pages
  • View usage data

Default Site Groups

Windows SharePoint Services Beta 2 includes five site groups by default. You can customize the rights available in these site groups or add new site groups to combine different sets of rights.

Guest

The Guest site group is designed to combined with fine-graned permissions on particular lists to give guest users access to a specific list, without giving them access to the entire site. The Guest site group cannot be customized or deleted.

Command-line name | Rights included in by default
guest | None

Reader

The Reader site group allows a user to view items in lists and document libraries, view pages in the site, and create a site using Self-Service Site Creation.

Command-line name | Rights included in by default
reader | Use Self-Service Site Creation View pages View items

Contributor

The Contributor site group allows a user to interact with Web Parts and lists and document libraries. They can also create and manage personal views and cross-site groups, and personalize Web Part pages.

Command-line name | Rights included in by default
contributor | All rights included in the Reader site group, plus: Add items Add/Remove Personal Web Parts Browse Directories Create cross-site groups Delete items Edit items Manage personal views Update personal Web Parts

Web Designer

The Web Designer site group allows a user to customize the Web site using the HTML tools or a SharePoint Team Services-compatible Web page editor, such as FrontPage 11 (Beta).

Command-line name | Rights included in by default
web designer | All rights included in the Contributor site group, plus: Add and customize pages Apply themes and borders Apply style sheets Cancel check-out Manage lists

Administrator

The Administrator site group allows a user to have complete control over a Web site. They can configure settings, manage users and site groups, and view usage analysis data.

Command-line name | Rights included in by default
administrator | All rights included in the Web Designer site group, plus: Create sites and workspaces Manage list permissions Manage site groups View usage data

User Rights

Windows SharePoint Services Beta 2 includes 20 rights, which are used in the five default user site groups. You can change which rights are included in a particular site group (except for the Guest and Administrator site groups) or create a new site group to contain a specific list of rights.

Add and Customize Pages

Grants permission to create ASP.NET, ASP, and HTML pages for a Web site.

Site groups included in by default | Dependent rights
Web Designer, Administrator |

Add Items

Grants permission to add items to lists or documents to document libraries.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator |

Add/Remove Personal Web Parts

Grants permission to add and remove Web Parts to personalize Web Part Pages.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator |

Apply Style Sheets

Grants permission to apply a style sheet to the entire Web site.

Site groups included in by default | Dependent rights
Web Designer, Administrator |

Apply Themes and Borders

Grants permission to apply a theme or border to an entire Web site.

Site groups included in by default | Dependent rights
Web Designer, Administrator |

Browse Directories

Grants permission to browse the directory structure of a Web site.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator | None

Cancel Check-out

Grants permission to cancel the check-out action performed by another user.

Site groups included in by default | Dependent rights
Web Designer, Administrator | None

Create Cross-Site Groups

Grants permission to create or delete cross-site groups, or to change membership of a cross-site group.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator |

Create Sites and Workspaces

Grants permission to create a new subsite or workspace, such as a Document Workspace or Meeting Workspace.

Site groups included in by default | Dependent rights
Reader, Contributor, Web Designer, Administrator |

Delete Items

Grants permission to delete list items and documents from the Web site.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator |

Edit Items

Grants permission to edit existing list items and documents in the Web site.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator |

Manage Lists

Grants permission to create, edit, or delete lists and change their settings.

Site groups included in by default | Dependent rights
Web Designer, Administrator |

Manage List Permissions

Grants permission to change permissions for a list or document library.

Site groups included in by default | Dependent rights
Administrator |

Manage Personal Views

Grants permission to create, edit, or delete personal views on lists.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator |

Manage Site Groups

Grants permission to create, delete, and edit site groups, both by changing the rights assigned to the site group and by changing which users are members of the site group.

Site groups included in by default | Dependent rights
Administrator |

Manage Web Site

Grants permission to perform administration tasks for a particular site or subsite.

Site groups included in by default | Dependent rights
Administrator |

Update Personal Web Parts

Grants permission to update Web Parts to display personalized information.

Site groups included in by default | Dependent rights
Contributor, Web Designer, Administrator |

Use Self-Service Site Creation

Grants permission to use the Self-Service Site Creation tool to create a top-level Web site.

Site groups included in by default | Dependent rights
Reader, Contributor, Web Designer, Administrator |

View Items

Grants permission to view items in lists, documents in document libraries, and Web discussion comments.

Site groups included in by default | Dependent rights
Reader, Contributor, Web Designer, Administrator |

View Pages

Grants permission to browse pages in the Web site.

Site groups included in by default | Dependent rights
Reader, Contributor, Web Designer, Administrator |

View Usage Data

Grants permission to view reports on Web site usage.

Site groups included in by default | Dependent rights
Administrator |


Files and Permissions

Files and Permissions

This appendix lists the detailed, minimum file permission settings that must be in place for Windows SharePoint Services Beta 2 to perform as designed.

Windows SharePoint Services Beta 2 Installation Directory

The Windows SharePoint Services Beta 2 installation directory is C:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\60 by default.

Installation directory | User | Permissions
\ADMISAPI | users Administrators SYSTEM Power Users | Read & Execute Full Control Full Conrol Modify, Read & Execute, List Folder Contents, Read, Write
\BIN | users Administrators SYSTEM Power Users | Read & Execute Full Control Full Conrol Modify, Read & Execute, List Folder Contents, Read, Write
\CONFIG | users Administrators SYSTEM Power Users | Read & Execute Full Control Full Conrol Modify, Read & Execute, List Folder Contents, Read, Write
\ISAPI | users Administrators SYSTEM Power Users | Read & Execute Full Control Full Conrol Modify, Read & Execute, List Folder Contents, Read, Write
\TEMPLATE | users Administrators SYSTEM Power Users | Read & Execute Full Control Full Conrol Modify, Read & Execute, List Folder Contents, Read, Write

Web Site Content Area

This listing is for a Web site content area of \inetpub\wwwroot.

Web site content area | User | Permissions
\inetpub Note All directories enclosing the content root will grant LIST permissions to these accounts. |  |
\inetpub\wwwroot\_vti_pvt | users Administrators SYSTEM | Read & Execute Full Control Full Conrol
web.config | users Administrators SYSTEM | Read & Execute Full Control Full Conrol
wpresources\web.config | users Administrators SYSTEM | Read & Execute Full Control Full Conrol


Special Directories and Storage Locations

Special Directories and Storage Locations

This appendix lists folders and files used by Windows SharePoint Services Beta 2.

Installation Directory Files

The following files are added to the installation directory (c:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\60) when you install Windows SharePoint Services Beta 2.

Folder | Description | Files | Purpose
\ADMISAPI | The physical directory addressed by the SharePoint Central Administration virtual directory. | admin.asmx | ISAPI filter for administration
\BIN | Contains the core binary files for Windows SharePoint Services Beta 2. | *.DLL OWSTIMER.EXE SMIGRATE.EXE STSADM.EXE STSCFG.EXE | Core binary files SharePoint Timer Services SMigrate utility Stsadm utility Configuration utility used by Setup
\BIN\LCID\ | Contains the core binary files used by specific languages. | FPEXT.MSG ONETINTL.DLL | Error messages and text strings Core international binary file
\CONFIG | Contains configuration files and default values for the server. | *.xml adminweb.config layoutsweb.config web.config | XML files used to map default values Configuration file for the administrative virtual server Configuration file for the _layouts directory Configuration file for virtual servers
\ISAPI | The physical directory addressed by the /_vti/_bin virtual directory. | *.asmx *.aspx Global.asax *.xml *.DLL web.config | SOAP protocol receptors Form pages ASP.NET namespace definition XML file for managed code Core binary files for managed code Configuration file
\ISAPI\BIN | Contains binary files for the /_vti/_bin virtual directory. | STSSOAP.DLL | Binary file used for SOAP code
\ISAPI\HELP\LCID\STS\HTML | Contains files used in the Help system. | *.htm and *.js | Help files and javascript files for Help views
\ISAPI\HELP\LCID\STS\IMAGES | Contains images used in the Help system. | *.gif | Images used in Help files
\ISAPI_VTI_ADM | Contains FrontPage 11 (Beta) legacy binary files. | ADMIN.DLL | Binary file used for administration from FrontPage 11 (Beta)
\ISAPI\_VTI_AUT | Contains FrontPage 11 (Beta) legacy binary files. | AUTHOR.DLL | Binary file used for authoring from FrontPage 11 (Beta)
\TEMPLATE | Contains all site templates and core Web site files. |  |
\TEMPLATE\LCID\MPS | Contains files that are copied to the root of the Web site upon instantiation with a Meetings Workspace template (for example, default.aspx). | *.aspx | Form pages
\TEMPLATE\LCID\MPS\DOCTEMP\SMARTPGS\ | Contains files used for Web Part Pages in Meeting Workspaces. | spstd1.aspx | Form page
\TEMPLATE\LCID\MPS\LISTS | Contains the actual lists used in the Meeting Workspaces templates, along with schema definition and default views. |  |
\TEMPLATE\LCID\MPS\LISTS\AGENDA | Contains files used for the Agenda list. | *.aspx SCHEMA.XML | Form pages Schema file
\TEMPLATE\LCID\MPS\LISTS\DECISION | Contains files used for the Decisions list. | *.aspx SCHEMA.XML | Form pages Schema file
\TEMPLATE\LCID\MPS\LISTS\DOCLIB | Contains files used for document libraries in the Meeting Workspaces template. | *.aspx *.HTM SCHEMA.XML | Form pages Dialog boxes Schema file
\TEMPLATE\LCID\MPS\LISTS\MEETINGS | Contains files used for the Meetings Workspace templates. | MoveToDt.ASPX SCHEMA.XML | Form page Schema file
\TEMPLATE\LCID\MPS\LISTS\OBJECTIV | Contains files used for the Objectives list. | *.aspx SCHEMA.XML | Form pages Schema file
\TEMPLATE\LCID\MPS\LISTS\PEOPLE | Contains files used for the Attendees list. | *.aspx SCHEMA.XML | Form pages Schema file
\TEMPLATE\LCID\MPS\LISTS\TEXTBOX | Contains files used for the Text Box list. | *.aspx SCHEMA.XML | Form pages Schema file
\TEMPLATE\LCID\MPS\LISTS\THGBRING | Contains files used for the Things to Bring list. | *.aspx SCHEMA.XML | Form pages Schema file
\TEMPLATE\LCID\MPS\LISTS\WKSPGLIB | Contains files used for lists in the Meetings Workspace templates. | SCHEMA.XML | Schema file
\TEMPLATE\LCID\MPS\XML | Contains the available lists in the Meetings Workspace templates, base types for fields (onet.xml) and the standard view template for new views. | ONET.XML STDVIEW.XML VWSTYLES.XML | XML files for site schema and views
\TEMPLATE\LCID\STS | Contains files that are copied to the root of the Web site upon instantiation with the Team Site template (for example, default.aspx). | default.aspx | Default home page for sites based on Team Site templates
\TEMPLATE\LCID\STS\DOCTEMP\BLANKPGS | Contains the default document templates. | bpstd.aspx _blankpage.htm | Default document templates.
\TEMPLATE\LCID\STS\DOCTEMP\FP | Contains document templates for FrontPage 11 (Beta). | FPTMPL.HTM | Default document templates for FrontPage documents.
\TEMPLATE\LCID\STS\DOCTEMP\PPT | Contains document templates for PowerPoint 11 (Beta). | FILELIST.XML MASTER03.CSS MASTER03.HTM MASTER03.XML PPTMPL.HTM PPTMPL.POT PRES.XML PREVIEW.WMF SLIDE001.HTM | Default document templates for PowerPoint documents.
\TEMPLATE\LCID\STS\DOCTEMP\SMARTPGS | Contains document templates for Web Part Pages. | *.aspx _smartpage.htm _webpartpage.htm | Default templates for Web Part Pages
\TEMPLATE\LCID\STS\DOCTEMP\WORD | Contains document templates for Word 11 (Beta). | WDTMPL.DOC WDTMPL.HTM | Default document templates for Word documents.
\TEMPLATE\LCID\STS\DOCTEMP\XL | Contains document templates for Excel 11 (Beta). | FILELIST.XML SHEET001.HTM SHEET002.HTM SHEET003.HTM STYLE.CSS TABSTRIP.HTM XLTMPL.HTM XLTMPL.XLS | Default document templates for Excel documents.
\TEMPLATE\LCID\STS\DOCTEMP\XMLFORMS\BLANK | Contains document templates for InfoPath 2003 (Beta). | TEMPLATE.XML | Default document templates for XML documents.
\TEMPLATE\LCID\STS\DWS | Contains files that are copied to the root of the Web site upon instantiation with a Shared Workspace template. | default.aspx | Default home page for Shared Workspaces
\TEMPLATE\LCID\STS\LISTS | Contains the actual lists along with schema definition and default views. |  |
\TEMPLATE\LCID\STS\LISTS\ANNOUNCE | Contains files used for the Announcements list. | *.aspx SCHEMA.XML | Form pages Schema file
\TEMPLATE\LCID\STS\LISTS\CONTACTS | Contains files used for the Contacts list. | *.aspx SCHEMA.XML VCARD.VCF | Form pages Schema file Contacts form
\TEMPLATE\LCID\STS\LISTS\CUSTLIST | Contains files used for custom lists. | *.aspx SCHEMA.XML | Form pages Schema file
\TEMPLATE\LCID\STS\LISTS\DATASRCS | Contains files used for data sources for lists. | SCHEMA.XML | Schema file
\TEMPLATE\LCID\STS\LISTS\DISCUSS | Contains files used for the Discussion Board list. | *.aspx SCHEMA.XML | Form pages Schema file
\TEMPLATE\LCID\STS\LISTS\DOCLIB | Contains files used for document libraries. | *.aspx *.HTM SCHEMA.XML | Form pages Dialog boxes Schema file
\TEMPLATE\LCID\STS\LISTS\EVENTS | Contains files used for the Events list. | *.aspx EVENT.ICS SCHEMA.XML | Form pages Event form Schema file
\TEMPLATE\LCID\STS\LISTS\FAVORITE | Contains files used for the Favorites list. | *.aspx SCHEMA.XML | Form pages Schema file
\TEMPLATE\LCID\STS\LISTS\GRIDLIST | Contains files used for the Datasheet view of lists. | *.aspx SCHEMA.XML | Form pages Schema file
\TEMPLATE\LCID\STS\LISTS\IMGLIB | Contains files used for picture libraries. | *.aspx SCHEMA.XML | Form pages Schema file
\TEMPLATE\LCID\STS\LISTS\ISSUE | Contains files used for the Issues list. | *.aspx SCHEMA.XML | Form pages Schema file
\TEMPLATE\LCID\STS\LISTS\LISTTEMP | Contains files used for the list template gallery. | *.aspx SCHEMA.XML | Form pages Schema file
\TEMPLATE\LCID\STS\LISTS\TASKS | Contains files used for the Tasks list. | *.aspx SCHEMA.XML TASK.ICS | Form pages Schema file Task form
\TEMPLATE\LCID\STS\LISTS\VOTING | Contains files used for surveys. | *.aspx SCHEMA.XML | Form pages Schema file
\TEMPLATE\LCID\STS\LISTS\WEBTEMP | Contains files used for the site template gallery. | *.aspx *.HTM SCHEMA.XML | Form pages Dialog boxes Schema file
\TEMPLATE\LCID\STS\LISTS\WPLIB | Contains files used for the Web Part gallery. | *.aspx SCHEMA.XML | Form pages Schema file
\TEMPLATE\LCID\STS\LISTS\WPLIB\DWP | Contains Web Part files. | *.dwp | Default Web Parts in the site collection Web Part gallery
\TEMPLATE\LCID\STS\LISTS\XMLFORM | Contains files used for form libraries. | *.aspx *.HTM SCHEMA.XML | Form pages Dialog boxes Schema file
\TEMPLATE\LCID\STS\XML | Contains the available lists in the site template, base types for fields (onet.xml) and the standard view template for new views. | ONET.XML STDVIEW.XML VWSTYLEs.XML | XML files for site schema and views
\TEMPLATE\LCID\XML | Contains the .XML files with base list and field types defined for all site templates. | *.XML | XML templates used in all site templates for a particular language
\TEMPLATE\ADMIN\LCID | Contains files used for the site administration pages. | *.aspx, *.css, *.js | Administration pages, styles, and javascript files
\TEMPLATE\ADMIN\LCID\aspnet_client\system_web\Version | Contains ASP.NET files. | SmartNav.htm SmartNav.js WebUIValidation.js | ASP.NET files
\TEMPLATE\ADMIN\LCID\BIN | Contains binary files used for the site administration pages. | *.DLL = | Core binaries
\TEMPLATE\ADMIN\LCID\XML | Contains XML files used for the site administration pages. | adminleftnavbar.sts.xml | XML file for the left link bar (Action menu and Views list)
\TEMPLATE\IMAGES | Contains images shared by all pages on the server, addressed by the virtual directory /_layouts/images. | *.gif, *.jpg, *.png | Images
\TEMPLATE\LAYOUTS | Addressed by the virtual directory /_layouts, this directory contains language subdirectories that contain the forms for creating lists, site administration pages, and so on. These directories are shared by all sites. | Global.asax *.aspx web.config | ASP.NET namespace definition Form pages Configuration file
\TEMPLATE\LAYOUTS\LCID | Contains forms for creating lists, site administration pages, and so on, for a specific language. | *.aspx *.css *.htm *.htc *.js *.xml *.xsd | Form pages Style sheets Dialog boxes Menu control Javacscript files XML templates XML definitions
\TEMPLATE\LAYOUTS\LCID\IMAGES | Contains images used in the default site pages for a specific language. | *.gif, *.jpg | Images
\TEMPLATE\LAYOUTS\LCID\MPS | Contains form pages and scripting files for Meeting Workspaces. | *.aspx MEETINGS.JS | Form pages Javascript file
\TEMPLATE\LAYOUTS\LCID\STYLES | Contains style sheets shared by all site templates for a particular language. Addressable by the virtual directory /_layouts/styles. | *.CSS | Style sheets
\TEMPLATE\LAYOUTS\BIN | Contains core binary files. | Microsoft.SharePoint.ApplicationPages.dll | Core binary
\TEMPLATE\SQL | Contains stored procedures for SQL Server. | *.SQL | Stored procedures for SQL Server
\TEMPLATE\THEMES | Contains the list of themes. | THEMES.INF | Themes list
\TEMPLATE\THEMES\Theme | Contains files used by a specific theme. | *.gif *.css theme.INF theme.utf8 | Images style sheets Theme definition file Theme file for UTF8 encoding
\TEMPLATE\XML | Contains .XML files used by all site templates in all languages. | *.XML | Templates used across all languages and site types
\TEMPLATE\XML\HELP | Contains XML files used by the Help system. | STS.XML | Context-sensitive Help mapping file

Web Part Resource Files

In addition to the installation directory, there is a Web Part resources directory that contains files used to support custom Web Parts in Windows SharePoint Services Beta 2. The c:\Program Files\Common Files\Microsoft Shared\Web Server Extensions\wpresources directory contains a web.config file that is used to help control security for ASP.NET files used in Web Parts. For more information about custom Web Parts, see the Windows SharePoint Services Software Development Kit.

Web Site Content Files

The following files are added to each top-level Web site or subsite when a SharePoint site is created.

Folder | Files | Purpose
\inetpub\folder | web.config | Configuration file
\inetpub\folder\_vti_pvt | service services | SpeedDial shortcuts
\inetpub\folder\wpresources\ | web.config | Configuration file for Web Parts

All other Web site files are stored in the content and configuration database.


Regional and Language Settings

Regional and Language Settings

This topic lists the regional and language settings you can specify from the command line by using operations in Stsadm.exe and by using HTML Administration. For more information about specifying regional and language settings, see Language Considerations. For more information about the syntax for command-line operations, see Command-line Operations.

The following types of regional and language settings are used in Windows SharePoint Services Beta 2:

  • Language IDs
  • Locale IDs
  • Time zones
  • Currency IDs

Language IDs

The Language ID determines the language used for text on pages in the Web site (such as the text on the Site Settings page). The languages available for site creation depend on the language template packs you have installed to your server or server farm. Web sites based on Windows SharePoint Services Beta 2 can be created in the following languages.

ID | Language | ID | Language
1025 | Arabic | 1041 | Japanese
1028 | Chinese - Traditional | 1042 | Korean
1029 | Czech | 1043 | Dutch
1030 | Danish | 1044 | Norwegian
1031 | German | 1045 | Polish
1032 | Greek | 1046 | Portuguese - Brazilian
1033 | English | 1049 | Russian
1034 | Spanish | 1053 | Swedish
1035 | Finnish | 1054 | Thai
1036 | French | 1055 | Turkish
1037 | Hebrew | 2052 | Chinese - Simplified
1038 | Hungarian | 2070 | Portuguese
1040 | Italian | 3076 | Chinese - Hong Kong

Windows SharePoint Services Beta 2 also supports input and display of text in the following languages, but not site creation.

ID | Language | ID | Language
1026 | Bulgarian | 1048 | Romanian
1050 | Croatian | 2074 | Serbian
1061 | Estonian | 1051 | Slovak
1081 | Hindi with Indic PT | 1060 | Slovenian
1062 | Latvian | 1058 | Ukrainian
1063 | Lithuanian |  |

Locale IDs

The Locale ID controls the numbering, sorting, calendar, and time formatting for the Web site. You can change the locale for a Web site by using the Change Regional Settings page. Web sites based on Windows SharePoint Services Beta 2 can be set to the following Locale IDs.

ID | Locale | ID | Locale
1078 | Afrikaans | 1037 | Hebrew
1052 | Albanian | 1081 | Hindi
5121 | Arabic (Algeria) | 1038 | Hungarian
15361 | Arabic (Bahrain) | 1039 | Icelandic
3073 | Arabic (Egypt) | 1057 | Indonesian
2049 | Arabic (Iraq) | 1040 | Italian (Italy)
11265 | Arabic (Jordan) | 2064 | Italian (Switzerland)
13313 | Arabic (Kuwait) | 1041 | Japanese
12289 | Arabic (Lebanon) | 1099 | Kannada
4097 | Arabic (Libya) | 1087 | Kazakh
6145 | Arabic (Morocco) | 1111 | Konkani
8193 | Arabic (Oman) | 1042 | Korean
16385 | Arabic (Qatar) | 1088 | Kyrgyz (Cyrillic)
1025 | Arabic (Saudi Arabia) | 1062 | Latvian
10241 | Arabic (Syria) | 1063 | Lithuanian
7169 | Arabic (Tunisia) | 1071 | Macedonian (FYROM)
14337 | Arabic (U.A.E.) | 2110 | Malay (Brunei Darussalam)
9217 | Arabic (Yemen) | 1086 | Malay (Malaysia)
1067 | Armenian | 1102 | Marathi
2092 | Azeri (Cyrillic) | 1104 | Mongolian (Cyrillic)
1068 | Azeri (Latin) | 1044 | Norwegian (Bokmal)
1069 | Basque | 2068 | Norwegian (Nynorsk)
1059 | Belarusian | 1045 | Polish
1026 | Bulgarian | 1046 | Portuguese (Brazil)
1027 | Catalan | 2070 | Portuguese (Portugal)
3076 | Chinese (Hong Kong) | 1094 | Punjabi
5124 | Chinese (Macau) | 1048 | Romanian
2052 | Chinese (PRC) | 1049 | Russian
4100 | Chinese (Singapore) | 1103 | Sanskrit
1028 | Chinese (Taiwan) | 3098 | Serbian (Cyrillic)
1050 | Croatian | 2074 | Serbian (Latin)
1029 | Czech | 1051 | Slovak
1030 | Danish | 1060 | Slovenian
1125 | Divehi | 11274 | Spanish (Argentina)
2067 | Dutch (Belgium) | 16394 | Spanish (Bolivia)
1043 | Dutch (Netherlands) | 13322 | Spanish (Chile)
3081 | English (Australia) | 9226 | Spanish (Colombia)
10249 | English (Belize) | 5130 | Spanish (Costa Rica)
4105 | English (Canada) | 7178 | Spanish (Dominican Republic)
9225 | English (Caribbean) | 12298 | Spanish (Ecuador)
6153 | English (Ireland) | 17418 | Spanish (El Salvador)
8201 | English (Jamaica) | 4106 | Spanish (Guatemala)
5129 | English (New Zealand) | 18442 | Spanish (Honduras)
13321 | English (Philippines) | 2058 | Spanish (Mexico)
7177 | English (South Africa) | 19466 | Spanish (Nicaragua)
11273 | English (Trinidad) | 6154 | Spanish (Panama)
2057 | English (United Kingdom) | 15370 | Spanish (Paraguay)
1033 | English (United States) | 10250 | Spanish (Peru)
12297 | English (Zimbabwe) | 20490 | Spanish (Puerto Rico)
1061 | Estonian | 3082 | Spanish (Spain)
1080 | Faeroese | 1034 | Spanish (Traditional)
1065 | Farsi | 14346 | Spanish (Uruguay)
1035 | Finnish | 8202 | Spanish (Venezuela)
2060 | French (Belgium) | 1089 | Swahili
3084 | French (Canada) | 1053 | Swedish
1036 | French (France) | 2077 | Swedish (Finland)
5132 | French (Luxembourg) | 1114 | Syriac
6156 | French (Monaco) | 1097 | Tamil
4108 | French (Switzerland) | 1092 | Tatar
1110 | Galician | 1098 | Telugu
1079 | Georgian | 1054 | Thai
3079 | German (Austria) | 1055 | Turkish
1031 | German (Germany) | 1058 | Ukrainian
5127 | German (Liechtenstein) | 1056 | Urdu
4103 | German (Luxembourg) | 2115 | Uzbek (Cyrillic)
2055 | German (Switzerland) | 1091 | Uzbek (Latin)
1032 | Greek | 1066 | Vietnamese
1095 | Gujarati |  |

Time Zones

Web sites based on Windows SharePoint Services Beta 2 can be set to any of the time zones recognized by Microsoft Windows .NET Server 2003.

Code | Time Zone | Code | Time Zone
39 | (GMT-12:00) Eniwetok, Kwajalein | 59 | (GMT+02:00) Helsinki, Riga, Tallinn
16 | (GMT-11:00) Midway Island, Samoa | 27 | (GMT+02:00) Jerusalem 26 (GMT+03:00) Baghdad
15 | (GMT-10:00) Hawaii | 74 | (GMT+03:00) Kuwait, Riyadh
14 | (GMT-09:00) Alaska | 51 | (GMT+03:00) Moscow, St. Petersburg, Volgograd
13 | (GMT-08:00) Pacific Time (US and Canada); Tijuana | 56 | (GMT+03:00) Nairobi
38 | (GMT-07:00) Arizona | 25 | (GMT+03:30) Tehran
12 | (GMT-07:00) Mountain Time (US and Canada) | 24 | (GMT+04:00) Abu Dhabi, Muscat
55 | (GMT-06:00) Central America | 54 | (GMT+04:00) Baku, Tbilisi, Yerevan 48 (GMT+04:30) Kabul
11 | (GMT-06:00) Central Time (US and Canada) | 58 | (GMT+05:00) Ekaterinburg
37 | (GMT-06:00) Mexico City | 47 | (GMT+05:00) Islamabad, Karachi, Tashkent
36 | (GMT-06:00) Saskatchewan | 23 | (GMT+05:30) Calcutta, Chennai, Mumbai, New Delhi
35 | (GMT-05:00) Bogota, Lima, Quito | 62 | (GMT+05:45) Kathmandu 46 (GMT+06:00) Almaty, Novosibirsk
10 | (GMT-05:00) Eastern Time (US and Canada) | 71 | (GMT+06:00) Astana, Dhaka
34 | (GMT-05:00) Indiana (East) | 66 | (GMT+06:00) Sri Jayawardenepura
9 | (GMT-04:00) Atlantic Time (Canada) | 61 | (GMT+06:30) Rangoon
33 | (GMT-04:00) Caracas, La Paz | 22 | (GMT+07:00) Bangkok, Hanoi, Jakarta
65 | (GMT-04:00) Santiago | 64 | (GMT+07:00) Krasnoyarsk
28 | (GMT-03:30) Newfoundland 8 (GMT-03:00) Brasilia | 45 | (GMT+08:00) Beijing, Chongqing, Hong Kong, Urumqi
32 | (GMT-03:00) Buenos Aires, Georgetown | 63 | (GMT+08:00) Irkutsk, Ulaan Bataar
60 | (GMT-03:00) Greenland | 21 | (GMT+08:00) Kuala Lumpur, Singapore
30 | (GMT-02:00) Mid-Atlantic | 73 | (GMT+08:00) Perth 75 (GMT+08:00) Taipei
29 | (GMT-01:00) Azores | 20 | (GMT+09:00) Osaka, Sapporo, Tokyo 72 (GMT+09:00) Seoul
53 | (GMT-01:00) Cape Verde Is. | 70 | (GMT+09:00) Yakutsk 19 (GMT+09:30) Adelaide
31 | (GMT) Casablanca, Monrovia | 44 | (GMT+09:30) Darwin
2 | (GMT) Greenwich Mean Time : Dublin, Edinburgh, Lisbon, London | 18 | (GMT+10:00) Brisbane
4 | (GMT+01:00) Amsterdam, Berlin, Bern, Rome, Stockholm, Vienna | 76 | (GMT+10:00) Canberra, Melbourne, Sydney
6 | (GMT+01:00) Belgrade, Bratislava, Budapest, Ljubljana, Prague | 43 | (GMT+10:00) Guam, Port Moresby
3 | (GMT+01:00) Brussels, Copenhagen, Madrid, Paris | 42 | (GMT+10:00) Hobart
57 | (GMT+01:00) Sarajevo, Skopje, Sofija, Vilnius, Warsaw, Zagreb | 68 | (GMT+10:00) Vladivostok
69 | (GMT+01:00) West Central Africa | 41 | (GMT+11:00) Magadan, Solomon Is., New Caledonia
7 | (GMT+02:00) Athens, Istanbul, Minsk | 17 | (GMT+12:00) Auckland, Wellington
5 | (GMT+02:00) Bucharest | 40 | (GMT+12:00) Fiji, Kamchatka, Marshall Is.
49 | (GMT+02:00) Cairo | 67 | (GMT+13:00) Nuku'alofa
50 | (GMT+02:00) Harare, Pretoria |  |

Currency IDs

Web sites based on Windows SharePoint Services Beta 2 can be set to use the following currencies.

ID | Currency | ID | Currency
5121 | 1,254 .ج.د (Arabic-Algeria) | 4106 | Q1,254 (Guatemala)
15361 | 1,254 .ب.د (Arabic-Bahrain) | 18442 | L. 1254 (Honduras)
3073 | 1,254 .م.ج (Arabic-Egypt) | 3076 | HK$1,254 (Hong Kong)
2049 | 1,254 .ع.د (Arabic-Iraq) | 1038 | 1 254 Ft (Hungary)
11265 | 1,254 .ا.د (Arabic-Jordan) | 1081 | रु 1,254 (India)
13313 | 1,254 .ك.د (Arabic-Kuwait) | 6153 | IR£1,254 (Ireland)
12289 | 1,254 .ل.ل (Arabic-Lebanon) | 1037 | ₪1,254 (Israel)
4097 | 1,254 .ل.د (Arabic-Libya) | 1041 | ¥1,254 (Japan)
6145 | 1,254 .م.د (Arabic-Morocco) | 1042 | ₩1,254 (Korea)
8193 | 1,254 .ع.ر (Arabic-Oman) | 2058 | $1,254 (Mexico)
16385 | 1,254 .ق.ر (Arabic-Qatar) | 5129 | $1,254 (New Zealand)
1025 | 1,254 .س.ر (Arabic-Saudi Arabia) | 19466 | C$ 1254 (Nicaragua)
10241 | 1,254 .س.ل (Arabic-Syria) | 1044 | kr 1 254 (Norway)
7169 | 1,254 .ت.د (Arabic-Tunisia) | 1056 | Rs 1,254 (Pakistan)
14337 | 1,254 .إ.د (Arabic-U.A.E) | 6154 | B/. 1,254 (Panama)
9217 | 1,254 .ي.ر (Arabic-Yemen) | 15370 | Gs 1.254 (Paraguay)
11274 | $ 1.254 (Argentina) | 2052 | ￥1,254 (People's Republic of China)
3081 | $1,254 (Australia) | 10250 | S/. 1,254 (Peru)
3079 | öS 1.254 (Austria) | 1045 | 1 254 zł (Poland)
16394 | $b 1.254 (Bolivia) | 1049 | 1 254р. (Russia)
1046 | R$ 1.254 (Brazil) | 4100 | $1,254 (Singapore)
3084 | 1 254 $ (Canada) | 1051 | 1 254 Sk (Slovakia)
4105 | $1,254 (Canada) | 1060 | 1.254 SIT (Slovenia)
13322 | $ 1.254 (Chile) | 7177 | R 1,254 (South Africa)
9226 | $ 1.254 (Colombia) | 1053 | 1.254 kr (Sweden)
5130 | C1.254 (Costa Rica) | 2055 | SFr. 1'254 (Switzerland)
1029 | 1 254 Kč (Czech Republic) | 1028 | NT$1,254 (Taiwan)
1030 | kr 1.254 (Denmark) | 1054 | ฿1,254 (Thai)
7178 | RD$1,254 (Dominican Republic) | 1055 | 1.254 TL (Turkey)
17418 | C1254 (El Salvador) | 2057 | £1,254 (United Kingdom)
-2 | 1,254 € (European Union) | 1033 | $1,254 (United States)
-1 | € 1,254 (European Union) | 14346 | $U 1.254 (Uruguay)
1065 | 1,254 ريال (Farsi) | 8202 | Bs 1.254 (Venezuela)
1032 | 1.254 Δρχ (Greece) | 1066 | 1,254 ₫ (Vietnamese)


Configuring Regional Settings

Configuring Regional Settings

Every Web site (both top-level Web sites and subsites) based on Windows SharePoint Services Beta 2 can be customized to use specific regional settings that apply to the users of your site. You can specify the following regional settings:

  • Locale

    Controls how numbers and dates are displayed in the site.

  • Sort order

    Controls the sort orders used for lists and libraries.

  • Time zone

    Controls the time zone for the Web site.

  • Time format

    Specifies whether to display times in 12-hour or 24-hour format.

To specify the locale ID for a site, you can use either HTML Administration pages or the command line. To change the sort order, time zone, or time format for a site, you must use HTML Administration pages. For more information about language settings in Windows SharePoint Services Beta 2, see Language Considerations.

Changing Regional Settings in HTML Administration Pages

You can change the locale ID, sort order, time zone, and time format for an individual site by using the Regional Settings page in the Site Administration pages.

Server administrators, and members of the SharePoint administrator's group, can also specify a default time zone to use for all sites on a virtual server. For more information, see Configuring Virtual Servers.

Change the regional settings for a site
  1. On the site, click Site Settings.
  2. On the Site Settings page, under Administration, click Go to Site Administration.
  3. On the Site Administration page, under Management and Statistics, click Change regional settings.
  4. On the Regional Settings page, select the settings to use, and then click OK.

Specifying Locale IDs on the Command Line

When you extend a virtual server, create a new top-level Web site, or create a new subsite from the command line, you can specify the locale ID to use. The extendvs, createsite, createsiteinnewdb, and createweb operations all accept the LCID parameter. To enter a locale ID in any of these operations, you type the numerical value for the locale (such as 1033 for US English or 1036 for French/France). For example, to create a new subsite and use the French locale ID for France, you would use the following syntax:

stsadm.exe -o createweb -url http://server_name/site1/subsite1 -lcid 1036

Each of these operations take several other parameters. For more information about these operations, see Command-line Operations.


Using the Object Model to Manage Windows SharePoint Services

Using the Object Model to Manage Windows SharePoint Services

You can use the object model for Microsoft Windows SharePoint Services Beta 2 to manage your servers, sites, users, and other resources. To access the administrative object model for Windows SharePoint Services Beta 2, you must be an administrator of the local server computer or a member of the SharePoint administrators group.

If you are using a Web application (such as a billing application) to access the object model and perform administrative functions, you must be sure that the Web application is running in the same security context as Windows SharePoint Services Beta 2. In other words, the Internet Information Services (IIS) application pool for the Web application must allow access to the SharePoint administrators group, or you must include the application pool account in the SharePoint administrators group, or the application pool must be the same application pool as is used for SharePoint Central Administration.

If you are relying on the SharePoint administrators group for the security context, keep in mind that there are some actions that that group cannot perform. The following actions must be performed by a member of the local administrators group for the server computer:

  • Extending virtual servers or removing Windows SharePoint Services Beta 2 from a virtual server
  • Changing the configuration database settings
  • Changing the SharePoint administrators group
  • Managing paths

If you want to perform these tasks from a custom application that calls the administrative object model directly, the application must be running as a member of the local administrator group.

Administrative Object Model Scenarios

There are many times when it would be useful to use the object model to perform administrative tasks for Windows SharePoint Services Beta 2, rather than using the command line tool or HTML Administration pages. For example, you would use the object model when:

  • You are using Windows SharePoint Services Beta 2 in Active Directory account mode.

    Active Directory account mode allows you to automatically create accounts for users in the Active Directory directory service, rather than using pre-existing domain accounts. When you are in this mode, there are certain administrative tasks that are unavailable in the HTML Administration pages. For example, you cannot create a top-level Web site, you cannot enable Self-Service Site Creation, and you cannot add a user to a site from the Central Administration pages. To perform these actions in Active Directory account mode, you must use the object model or the command line. For more information about Active Directory account mode, see Managing Users and Cross-Site Groups.

  • You have a custom administrative application that you use to manage servers in your server farm, rather than using SharePoint Central Administration.

    If your environment is very complex, and your organization uses a special administrative application to manage servers, you can use the object model to call the Windows SharePoint Services Beta 2 administrative functions, rather than using the HTML Administration pages or the command line.

  • You have a Web application that needs to call into Windows SharePoint Services Beta 2 to perform a specific set of administrative tasks.

    For example, if you have an application that coordinates online meetings, and you want to create Meeting Workspaces in Windows SharePoint Services Beta 2 automatically, you can use the object model to do so.

  • You want to generate administrative reports to track sites, usage, or other data.

    You can use the object model to enumerate the sites owned by particular users, find out how many users or how many files are being added to sites, or determine trends and perform capacity planning to decide when it is time to add another server to your server farm.

  • You want to make site creation conditional based on billing information or generate custom pages based on billing information.

    For example, you can use a billing application to verify billing information before a user can create a site. Or, you can use contact or billing information to generate a custom page that shows which sites belong to which site owners.

  • You want to make site access conditional based on billing or employment status.

    You can use the quota mechanisms to automatically lock a site if a customer or group is not current in its billing, and only allow access when the billing charges are rationalized. Or if a user is no longer part of your organization, you can lock all sites owned by that user until you determine what to do with the sites. For more information about quotas and locking sites, see Configuring Site Quotas and Locks.

For more information about the administrative object model and using it to perform administrative tasks, see the Windows SharePoint Services Software Development Kit.


Using the Object Model to Manage SharePoint Portal Server

Using the Object Model to Manage SharePoint Portal Server

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

NOTE: This is WSS info as starting point for scope. DO NOT SHIP THIS FILE AS IS

You can use the object model for Microsoft SharePoint Portal Server "v2.0" Beta 2 to manage your servers, sites, users, and other resources. To access the administrative object model for SharePoint Portal Server "v2.0" Beta 2, you must be an administrator of the local server computer or a member of the SharePoint administrators group.

If you are using a Web application (such as a billing application) to access the object model and perform administrative functions, you must be sure that the Web application is running in the same security context as SharePoint Portal Server "v2.0" Beta 2. In other words, the Internet Information Services (IIS) application pool for the Web application must allow access to the SharePoint administrators group, or you must include the application pool account in the SharePoint administrators group, or the application pool must be the same application pool as is used for SharePoint Central Administration.

If you are relying on the SharePoint administrators group for the security context, keep in mind that there are some actions that that group cannot perform. The following actions must be performed by a member of the local administrators group for the server computer:

  • Extending virtual servers or removing SharePoint Portal Server "v2.0" Beta 2 from a virtual server
  • Changing the configuration database settings
  • Changing the SharePoint administrators group
  • Managing paths

If you want to perform these tasks from a custom application or by calling the administrative object model directly, you must be running the application or calling the object model as a member of the local administrator group.

Administrative Object Model Scenarios

There are many times when it would be useful to use the object model to perform administrative tasks for SharePoint Portal Server "v2.0" Beta 2, rather than using the command line tool or HTML Administration pages. For example, you would use the object model when:

  • You are using SharePoint Portal Server "v2.0" Beta 2 in Active Directory account mode.

    Active Directory account mode allows you to automatically create accounts for users in the Active Directory directory service, rather than using pre-existing domain accounts. When you are in this mode, there are certain administrative tasks that are unavailable in the HTML Administration pages. For example, you cannot create a top-level Web site, you cannot enable Self-Service Site Creation, and you cannot add a user to a site from the Central Administration pages. To perform these actions in Active Directory account mode, you must use the object model. For more information about Active Directory account mode, see Managing Users and Cross-Site Groups.

  • You have a custom administrative application that you use to manage servers in your server farm, rather than using SharePoint Central Administration.

    If your environment is very complex, and your organization uses a special administrative application to manage servers, you can use the object model to call the SharePoint Portal Server "v2.0" Beta 2 administrative functions, rather than using the HTML Administration pages or the command line.

  • You have a Web application that needs to call into SharePoint Portal Server "v2.0" Beta 2 to perform a specific set of administrative tasks.

    For example, if you have an application that coordinates online meetings, and you want to create Meeting Workspaces in SharePoint Portal Server "v2.0" Beta 2 automatically, you can use the object model to do so.

  • You want to generate administrative reports to track sites, usage, or other data.

    You can use the object model to enumerate the sites owned by particular users, find out how many users or how many files are being added to sites, or determine trends and perform capacity planning to decide when it is time to add another server to your server farm.

  • You want to make site creation conditional based on billing information or generate custom pages based on billing information.

    For example, you can use a billing application to verify billing information before a user can create a site. Or, you can use contact or billing information to generate a custom page that shows which sites belong to which site owners.

  • You want to make site access conditional based on billing or employment status.

    You can use the quota mechanisms to automatically lock a site if a customer or group is not current in its billing, and only allow access when the billing charges are rationalized. Or if a user is no longer part of your organization, you can lock all sites owned by that user until you determine what to do with the sites. For more information about quotas and locking sites, see Configuring Site Quotas and Locks.

For more information about the administrative object model and using it to perform administrative tasks, see the SharePoint Products and Technologies "v2.0" Software Development Kit.


About the approval process

About the approval process

In backward-compatible document libraries, you can use an approval process as a method of reviewing and approving documents in enhanced folders before publishing them on the portal site. After a document is approved, a new, public version is automatically created. Users who are assigned as readers on that document or its folder can then search for and view the document on the portal site.

  • Subfolders do not inherit approval process settings from their parent folders. You must configure the approval process for each folder individually.
  • Alternatively, you can establish different approval process configurations for individual folders and subfolders by using the Approval tab on the Properties page of the specific folder.

    Note You can make changes to an approval process, but these changes take effect only for documents submitted for approval after the changes are made. Changes to the approval process for a folder do not affect documents already pending approval.

  • If you choose not to configure an approval process, SharePoint Portal Server publishes documents automatically upon submission, without review or approval.

To configure an approval process you must complete the following tasks:

  1. Choose the appropriate document approvers.
  2. Supply e-mail addresses for approvers to allow SharePoint Portal Server to alert them when a document is ready for review. This is not required, but is recommended. If you do not provide an e-mail address, users only see alert requests for approvals on the portal site and do not receive the alert results in an e-mail message.
  3. Create an e-mail message to send to approvers when a document is submitted for their approval.
  4. Choose an approval route.

    SharePoint Portal Server has two approval routing options: serial and parallel, illustrated below.

    Approval routes in SharePoint Portal Server

    • Serial approval (One after another). The first member of the Approvers list receives a request for approval by e-mail when the document is submitted using the Publish command. After the first person on the list approves the document, the next person on the list is asked to approve it, and so on. SharePoint Portal Server publishes the document only after all approvers on the list approve the document. If any person on the list rejects the document, SharePoint Portal Server cancels the approval process and returns the document to the document library in a checked-in state.
    • Parallel approval (All at once). This approval model is based on the number of approvals required to publish the document. The coordinator can choose one of two strategies: one approval publishes the document or all approvers must approve the document for publication to take place. When the document is submitted using the Publish command, SharePoint Portal Server sends a request for approval to all approvers. The approval e-mail informs approvers of the location of the document. If the document is approved by the required number of approvers, SharePoint Portal Server publishes the document. If the document does not receive the required number of approvals, SharePoint Portal Server cancels the approval process and returns the document to the document library in a checked-in state. As a coordinator, you have the ability to bring an approval process to an end, either by using the Bypass Approval command or the Cancel Publish command. This is useful if a document is under approval and one or more of the approvers are not available. The Bypass Approval command skips all remaining approvers and publishes the document to the portal site. The Cancel Publish command cancels the approval process and returns the document to a checked-in unpublished state in the document library.

      Important If you are a coordinator on a folder and also an approver for that folder, you should be aware that when you receive an approval request, the Approve, Bypass Approval, Reject, and Cancel Publish options are all available to you on the same menu. Ensure that you do not accidentally choose Bypass Approval or Cancel Publish when you want to Approve or Reject.

Related Topics

Add approvers
Approve or reject a document
Approve or reject multiple documents
Bypass or cancel approval
Choose an approval route
Cancel an Approval Process


About categories

About categories

Categories in Microsoft SharePoint Portal Server "v2.0" Beta 2 provide intuitive navigation for finding and browsing all types of content, from documents to people to sites based on Microsoft Windows SharePoint Services Beta 2. You can organize information in the portal by using categories to group content. This allows users to browse through information. The categories under Topics help users who are unfamiliar with other areas of the portal find what they need. A document can appear in several different categories. Categories can include documents stored in SharePoint Portal Server and include links to information from additional content sources such as Web sites or file shares. Creating an effective category structure requires planning and some understanding of how others might organize the content.

In SharePoint Portal Server, categories serve three purposes. First, they provide a navigational structure or map of the portal and related content. By adding, moving, or deleting categories, you can change the view of the portal for users. Second, they provide a centralized structure for information browsing. Categories direct readers to the information they seek through an organized hierarchy of topics. Third, they provide a consistent, controlled set of values that can be added as document metadata. Categories provide a flexible way to both describe and find documents.

As a site administrator, you can assign a user to the role of category manager. By default, category managers can approve or reject content requests, manage category settings, and assign users to roles for this category. In addition, as a site administrator or category manager, you can target categories for viewing by one or more audiences.

Related Help Topics

For more information, see the following help topics

  • Create or delete category
  • Manage categories


About category page templates

About category page templates

All pages in the default portal site for Microsoft SharePoint Portal Server "v2.0" Beta 2 refer to and use a template to display content. This template, called a category page template, determines the layout and style of the page while leaving control of the content to a broader set of portal users. For example, as a category manager, when you create a custom page template you define the layout and style by using zones and Web Parts on the SmartPage. After the template is applied to the category page, content displays through the Web Parts.

By editing the details of a category, you can select a different template to use for a category. You can also create a custom template to use, or choose to share a template with another category page. When you share a template with another category page, only the category properties and content associated with the category differ. The layout and style, including Web Parts, stay the same.

By default, new category pages use a custom template based on the parent category page. You can also choose to share the existing template for the parent category. To make a category use different category page template, edit the details of the category.

Related topics

  • Change a category page template


About connected collaboration

About connected collaboration

Microsoft SharePoint Portal Server "v2.0" Beta 2 facilitates easy, connected collaboration across an enterprise organization. It enables people to work together on documents, projects, and tasks and to leverage best practices by using the combined collaboration features of SharePoint Products and Technologies. Index and search services, as well as newly introduced people services, allow you to increase efficiency by finding relevant people, teams, sites, and other information.

Finding and organizing sites, people, and other information

Index and search

  • Categories Categories in SharePoint Portal Server are groups of content that provide intuitive navigation for finding and browsing information — from documents to people to sites based on Microsoft Windows SharePoint Services Beta 2. Categories can include content stored in SharePoint Portal Server and links to information from additional content sources, such as Windows SharePoint Services Beta 2. You can have content appear in several different categories. The categories under Topics help users who are unfamiliar with other categories of the portal find what they need. To control all the content that's in a category, the portal site administrator can assign a manager for the category. The manager can then control what content appears in the category and who has access to the category.
  • Category Assistant Categories are an excellent way to organize your information. However, if you have a lot of content, dividing it into categories can be a time-consuming task. To simplify the process, SharePoint Portal Server provides an automated tool called the Category Assistant. After you have assigned a few representative items for each category, the Category Assistant compares those sample items to the items that haven't been assigned, and then automatically selects the best category matches.
  • Search SharePoint Portal Server provides a search feature that finds all types of content — people, documents, sites, and other items on the portal site — based on keywords you enter. The results can be organized in different ways, such as by site, category, or date. For a more specific search, you can use the advanced search option to search by properties of items, to sort results by factors other than relevance, and to set other advanced search options. You can also add a specific search to your personalized My Site, and you can ask to be alerted when changes occur to the results for a specific search.
  • Content sources Content sources are places that store information, such as Web sites, file systems, mail servers, and databases. SharePoint Portal Server provides easy access to the most relevant information and improves search efficiency by enabling you to search across multiple content sources at the same time. Using a wizard, you can easily add content sources just by identifying the location of the content you want to make available for searching, and then linking that content to the portal site. SharePoint Portal Server then indexes information from each content source for quick searches from the portal site. The addition of content sources makes the portal site the easiest place to find information, regardless of the content's location or format.
  • Best Bets Best Bets enhance search efficiency and provide guidance to users by directing them to people, sites, documents, or other items considered particularly relevant to their search. A Best Bet is an item selected as the best recommendation for an category or specific keyword. SharePoint Portal Sever displays Best Bets at the top of a search results list.
  • Alerts You don't have to initiate a search yourself each time you want to check for content updates. Instead, you can use alerts to automatically find content and notify you about it.

People services

  • User profiles User profiles allow you to search for and connect with people within your organization based on information they publish about themselves. Index and search services use the profile information to improve search results. User profile information is also used to generate personal sites — called My Site — for individual users.
  • My Site My Site is a personal SharePoint site created in the portal that provides personalized and customized information for you, including content targeted to you based on your membership in a particular audience.
  • Audiences You can target content to a specific audience based on a user's job or task. For example, in an category called Human Resources, a site administrator or the manager of that category may choose to add a news item targeted to all new employees that directs them to the New Employee Benefits site.

Sharing and collaborating

SharePoint Portal Server enables you to easily share information, leverage best practices, and work together with others on documents, projects, and other efforts by allowing you to create Web sites based on Windows SharePoint Services Beta 2 directly from the portal. If you work with external customers or partners, or if you have users who need to access data from outside of your organization's firewall, SharePoint Portal Server allows both internal and external users to view and interact with the same content and data.

Creating Web sites based on Windows SharePoint Services Beta 2

Windows SharePoint Services Beta 2 allows you to create a Web site by selecting a template that best suits the project. SharePoint Portal Server includes a diverse collection of templates to meet business needs. You can create sites to facilitate document collaboration, meeting organization, teams, or projects. By default, each site template features a custom set of collaboration features from Windows SharePoint Services Beta 2. After the sites are created, SharePoint Portal Server can search these sites the same way it searches other content on the portal.

Managing document collaboration

  • Version history SharePoint Portal Server records a document’s history to help you track changes and eliminate the possibility of people overwriting another user’s modifications. To edit a document, you must check it out first. This prevents others from changing it until you check it in. Every time you check in a document, a new version number is assigned to the document and the previous version is archived. When you check out a document, you retrieve the most recent version unless you select an earlier version.
  • Document profiles Document profiles offer a way to add searchable information pertaining to a document. This information can help describe or identify the document more clearly. By default, a profile includes basic properties such as Author and Title. You can easily add custom properties such as Account Number or Project Manager to capture additional information that makes it easier to organize and find documents in your organization.
  • Document publishing Published documents are available for users to search or view on the portal site. SharePoint Portal Server supports both private and public versions of a document. You can publish a document automatically each time you save it to the server, or you can choose to maintain private document drafts and publish the document only when it is complete. You can generate as many drafts as you want before publishing a version of a document.
  • Approval routing Approval routing is an easy way to ensure that a document is adequately reviewed before it is published. When an author chooses to publish a document, the author can route the document automatically to one or more people for review before publishing it. Each of these people, called approvers, has the option of approving or rejecting the document. Approvers receive e-mail alerts when a document requires review.
  • Discussions By using Web discussions, you can conduct online discussions about a document without modifying the document. Instead of using e-mail to discuss a document or trying to capture conversations about a document, authors and reviewers can communicate with each other through Web discussions. Simultaneous discussions about a document can occur even if one person has the document checked out. Comments are stored as threaded conversations, grouping comments and replies together.

Related topics

About categories
About index and search services
About Windows SharePoint Services
About document management and publishing
About personal context
About My Site


About the backward-compatible document library

About the backward-compatible document library

Employees may have difficulty collaborating with others on documents, controlling access to those documents, and publishing documents in their organization. Important documents can also be lost, overwritten, or hard to find. Microsoft SharePoint Portal Server "v2.0" Beta 2 offers a number of features to help streamline your document development and avoid these common problems.

In addition to SharePoint lists and libraries, SharePoint Portal Server offers an optional backward-compatible document library to help you manage documents. Features include:

  • Version tracking to record the history of documents
  • Application of descriptive, searchable information to identify a document
  • Document publishing control
  • Automated routing of documents to reviewers
  • Web discussions for online comments by multiple document reviewers
  • Control of document access based on user roles

SharePoint Portal Server "v2.0" Beta 2 helps you collaborate with others, receive feedback from reviewers, identify the document with descriptive information such as keywords, and publish the document to a wide audience.

Related Topics

About document management and publishing


About document library settings

About document library settings

You can manage the following settings for the backward-compatible document library:

  • General Settings. This includes specifying a description of the document library, providing a contact name and e-mail address, and limit the number of document versions retained.
  • Security Settings. This includes adding users to and removing users from the document library, and specifying membership in site groups that apply across the entire document library.
  • Document Profiles. This includes adding and managing document profiles and properties.

To change these settings, in the document library, open the Management folder, and then double-click Workspace Settings. You can also change these settings directly from the portal site. To do this, on the title bar of the portal page, click Site Settings and then click Change Document Library Settings.

Related Topics

About document management and publishing


About document management and publishing

About document management and publishing

Employees may find large and complex information sources, such as multiple file shares, difficult to organize and use because there is little or no organizational framework in place. The difficulty increases with the addition of information sources such as Web sites, e-mail servers, and databases.

Employees might also have difficulty collaborating with others on documents. Important documents can also be lost, overwritten, or hard to find. Microsoft SharePoint Portal Server "v2.0" Beta 2 offers a number of features to help streamline your document development and avoid these common problems.

To help you manage documents, SharePoint Portal Server offers a portal document library that features:

  • Version tracking to record the history of documents
  • Searchable information to identify a document
  • Document publishing control
  • Automated routing of documents to reviewers
  • Web discussions for online comments by multiple document reviewers
  • Control of document access based on user roles

SharePoint Portal Server helps you collaborate with others, receive feedback from reviewers, identify the document with descriptive information such as keywords, and publish the document. You can even target the document to a specific audience based on users' jobs or tasks.

In addition to the portal document library, SharePoint Portal Server integrates with the document library features available with Windows SharePoint Services Beta 2.

Related topics

Publish documents in the backward-compatible document library
About document profiles in backward-compatible document libraries
About group-based security in SharePoint Portal Server
About using standard and enhanced folders
About the approval process
Modifying Workspace Settings


About document profiles in backward-compatible document libraries

About document profiles in backward-compatible document libraries

SharePoint Portal Server "v2.0" Beta 2 associates every document in the backward-compatible document library with a document profile that contains a set of properties. You create and store document profiles in the Document Profiles folder located in the Management folder.

Creating a document profile

SharePoint Portal Server "v2.0" Beta 2 bases all document profiles on a template. This Base Document Profile contains general properties, such as title and keywords, which are applicable to all documents. If necessary, you can override these basic properties so that they do not appear on other document profiles that you create.

Depending on the needs of your organization, you can create many different document profiles. You can also override the settings on the default document profile. If you create and apply document profiles to folders in the document library, users can use the profile form to provide additional information about documents.

Note You can use document profiles to determine which documents are stored in a folder. You can allow users to store only documents with specific document profiles in certain folders.

Related Topics

Configure document profiles for a folder
Edit multiple document profiles
Troubleshoot document profiles and properties


About editing category pages

About editing category pages

You can customize the features, layout, and other aspects of the pages in a portal category. To do that, you must switch to edit mode for the page you want to change. Once in edit mode, the page displays a Modify Shared Page drop-down menu in the upper-right corner. From the menu, you can choose to customize a shared view of the page that others will see or a personal view that only you will see. You can then modify the page by adding Web Parts, modifying their properties, and rearranging the parts on the page. When you're done editing the page, you can return to regular view by clicking View Page in the Select Action pane. You must be a member of the Administrator, Web Designer, or Content Manager site group to edit a category page.

Related Topics

About Web Part Pages
About Web Parts
Add a Web Part to the page
About grouping content in an category
About security for portal categories


About index and search services

About index and search services

With the powerful index and search services in SharePoint Portal Server "v2.0" Beta 2, you can search for people, sites, documents, or other information on the portal site. Often this information is stored in many different locations, in a variety of formats. Many server infrastructures do not allow searches across multiple information sources and often allow only limited text searches. It can also be difficult to determine quickly if the information you seek is included in the search results list. SharePoint Portal Server solves these problems with features that make searches faster and more successful:

  • A single location to search for different types of information stored in many different places
  • Keyword searches that find people, sites, documents, images, or other types of information on the portal site
  • Topic categories that make it easy for users who are unfamiliar with other areas of the portal to find what they need
  • Automatic categorization of content
  • Best Bet tagging for items that are highly relevant to a search
  • Alerts that notify you of search results
  • User profiles that can be searched to find people by title, location, and other details they publish

Whether you are searching for specific information or just want to browse through a group of related items, SharePoint Portal Server makes finding information easy.

Related topics

About search
About categories
About Content Indexes
Create, Edit, and Delete Keyword
Manage keywords
About User Profiles


About integrated enterprise

About integrated enterprise

Microsoft SharePoint Portal Server "v2.0" Beta 2 provides an architecture that is scalable, highly flexible, and distributable to address the most demanding performance needs. By using the latest technologies, SharePoint Portal Server provides a centralized, unified interface for enterprise users and highly flexible deployment options.

  • .NET enterprise SharePoint Portal Server centralizes information from different systems by using the .NET Platform, Visual Studio.NET, ASP.NET, Common Language Run Time, Web Forms and Web Part Pages, and a secure infrastructure.
  • Scaleable, distributed architecture SharePoint Portal Server ensures high availability, and manageability while delivering better performance and greater integration. Deployment options are flexible, from single server to server farm configurations.
  • Site group-based security SharePoint Portal Server uses site groups to control access to content. You can assign users to site groups based on the tasks the users perform. Each site group has a specific set of rights.
  • Single sign-on The single sign-on service is an authentication process that permits a user to enter one name and password to access multiple applications.
  • Index and search services These services help users find people, sites, documents, and other types of information from different sources.
  • Alerts Alerts notify users of updates to relevant information.

Related topics

About deploying SharePoint Portal Server
About site group-based security in SharePoint Portal Server
About index and search services
About single sign-on
About alerts


About grouping content in categories

About grouping content in categories

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


About Microsoft SharePoint Portal Server

About Microsoft SharePoint Portal Server

Microsoft SharePoint Portal Server "v2.0" Beta 2 connects people, teams, and knowledge across business processes. It unifies disparate information, facilitates easy collaboration on documents, projects, and other efforts, presents specific applications and customized content based on user’s functional group and organizational role. SharePoint Portal Server works with Microsoft Windows Explorer, Microsoft Office applications, and Web browsers to help you create, manage and share content throughout your organization.

By using Microsoft Windows Server 2003, SharePoint Portal Server integrates with Microsoft Office 11 (Beta), Microsoft Windows SharePoint Services Beta 2, and Microsoft SQL Server to create a unified portal that connects an entire organization.

SharePoint Portal Server offers solutions in the following categories:

Enterprise integration

  • Scales and manages portals for the largest organizations
  • Integrates different systems into one solution
  • Indexes and searches multiple sources, providing access to the most relevant information

Connected collaboration

  • Allows you to find and work with people, teams, sites, existing best practices, and more
  • Provides interactive Web-based team sites
  • Provides document collaboration for the whole organization

Personal context for users

  • Delivers one place that remembers who you are and what you do
  • Empowers information workers with portal personalization
  • Provides site managers with flexible policy for personalization

Related Topics

About enterprise integration
About connected collaboration
About personal context
About Windows SharePoint Services
About deploying SharePoint Portal Server


About personal context

About personal context

Microsoft SharePoint Portal Server "v2.0" Beta 2 creates a portal that remembers who you are and what information you care about and work with. Based on Web Part Page technology, SharePoint Portal Server delivers customization and personalization that is flexible, secure, and reliable. SharePoint Portal Server provides a rich set of features focused on ensuring that users have easy access to relevent information from a variety of entry points.

  • Web Part Pages and Web Parts SharePoint Portal Server provides site managers with a flexible policy for personalization and customization. Site managers can customize the portal to users based on specific criteria. Portal users can personalize the portal to facilitate collaboration or to provide custom views of their projects, including using Web sites based on Microsoft Windows SharePoint Services Beta 2 to collaborate across teams.
  • Audiences SharePoint Portal Server allows you to target content to people according to their membership in a particular audience. By default, SharePoint Portal Server includes an audience called "all portal users." In addition to this audience, you can create other audiences such as by department or security group. These audiences can span one or more portals in a deployment. Once you create audiences, you can target content in the portal for viewing by one or more specific audiences. By default, you can display targeted content on the home page and on My Site.
  • User Profiles User profiles allow you to search for and connect with people within your organization. User profile information is also used to generate a personal page — called My Site —for individual users, which they can tailor to their needs. You can import user profile information directly from Microsoft Active Directory directory services or enter it manually. You can also customize the default user profile page by adding properties according to the needs of your organization or to map to Active Directory data, such as Territory or Geography.
  • Alerts SharePoint Portal Server can alert you about new or updated information on topics that match your interests. You can choose to be alerted to content you find useful, such as documents, News or other categories, or a set of search results. After you create an alert, SharePoint Portal Sever notifies you when content is modified or new content matching your criteria is available. In the case of documents, alerts can notify you when Web discussion comments are added. You can view your alerts and alert results directly from My Site. You can also choose to receive alert results by e-mail.

Related topics

About Web Part Pages
About audiences
About user profiles
About alerts
About My Site


About portal site management

About portal site management

Microsoft SharePoint Portal Server "v2.0" Beta 2 provides a centralized location, called Site Settings, for managing all settings relating to an individual site. You can manage users, content, and other aspects of the site by clicking Site Settings on the title bar.

On this page, you can manage such things as general portal settings, such as branding, site title, and description. You can specify supporting servers for hosting personal sites and other sites based on Microsoft Windows SharePoint Services Beta 2, and you can manage security and change portal navigation by adding, removing, or changing the category structure.

In addition, unless your site is participating in a shared services deployment, you can manage user profiles and audiences as well as index and search services relating directly to the site. By using the link to the Central or Local Administration page, you can manage settings related to the server or server farm hosting the site.

Note You must be a member of the Microsoft Windows NT SharePoint Administration security group to access this page.

Related topics

  • About the portal site
  • About group-based security in SharePoint Portal Server
  • About security for portal categories


About site group security in SharePoint Portal Server

About site group security in SharePoint Portal Server

After you create a portal, you can give users access by assigning them to site groups. With SharePoint Portal Server, you can use the following default site groups: Reader, Contributor, Web Designer, Administrator, Content Manager, and Member. Each site group possesses corresponding rights. Rights are actions that users can perform, such as managing all settings and content in a category. You can edit the rights assigned to a site group, create a new site group, or delete an unused site group. A user who is not assigned to a site group won't be able to access the portal.

Related Topics

For more information, see the following topics:

Security planning
About security for portal categories
About security in the backward-compatible document library
Manage security settings for a category
Give users access to the portal
About Windows SharePoint Services


About Roles

About Roles

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


About security for portal categories

About security for portal categories

You can customize security for each category in the portal. Setting security on a parent category will cause these settings to be applied to all of its subcategories. If you customize the security on a subcategory, the subsubcategory will no longer inherit changes made to the parent category.

To grant full control on a category, including the ability to customize Web Part Pages and Web Parts, ensure that the user is also a member of the site-wide Contributor site group. The Manage Security page for each category explicitly states whether the category inherits permissions or if inheritance has been broken. Inheritance can be restored to a category and its subcategories by navigating to the Manage Security page for that category and clicking the Inherit permissions link.

Related Topics

Configuring Portal Security
About site group security in SharePoint Portal Server
About security in the backward-compatible document library


About SharePoint sites

About SharePoint sites

Microsoft SharePoint Portal Server "v2.0" Beta 2 offers a variety of site templates based on Microsoft SharePoint Products and Technologies and integration with Office 11 (Beta). You can use these templates to create Web sites that take advantage of different sets of features, allowing you to facilitate end-to-end collaboration across your organization.

By default, SharePoint Portal Server includes the following sites:

  • Portal sites Find, centralize, and categorize Web-based SharePoint sites from across the enterprise and integrate information from various systems into one solution.
  • Team sites Create team sites to facilitate team collaboration on projects and other efforts.
  • Meeting workspace sites Help meeting organizers plan meetings, share information with other attendees, track tasks, and more.
  • Document workspace sites Facilitate ad-hoc collaboration between Office users by providing a central location to share and work on documents, track document status, and to take advantage of Office integration with Windows SharePoint Services Beta 2.
  • Personal sites Provide personalized and customized information for you. On this site, called My Site, you will find content targeted to you based on membership in a particular audience. In addition, My Site provides quick access to things you need to do your work. This may include links to documents, people, or Web sites as well as personal alerts you create to track changes to content within the portal and your organization. From My Site, you can also update your public profile and share collections of links with other portal users.

In addition to these sites, you can create custom Web sites using a Web page editor compatible with Windows SharePoint Services Beta 2 such as Microsoft FrontPage 11 (Beta).

Note You must be a member of the Microsoft Windows NT SharePoint Administration security group to create additional portal sites.

Related topics

Create a portal
Creating sites and subwebs
About Microsoft Windows SharePoint Services Beta 2
About My Site


About single sign-on

About single sign-on

Single sign-on allows you to store and map account credentials. This prevents users from having to sign on again when portal-based applications retrieve information from business applications, such as third-party enterprise resource planning and customer relations management (CRM) systems.

By using single sign-on, you can centralize information from multiple back-end applications through a single portal that uses application definitions. By using application definitions, you can minimize and automate the sign-on process to these applications in a more secure environment. In addition, SharePoint Portal Server provides an easy interface for developers to create and extend this feature.

To implement single sign on, you must complete the following tasks:

  1. Configure the single sign-on service
  2. Create an encryption key
  3. Add a new application definition
  4. Configure account credentials

Related topics

Using Single Sign-On and Application Definitions
Editing an Application Definition


About standard and enhanced folders

About standard and enhanced folders

Depending on the needs of your group or organization, the coordinator for backward-compatible document libraries may implement specific document management features for certain folders. Folders that have this selective feature implementation are called standard folders.

Standard folders

  1. SharePoint Portal Server publishes documents in standard folders automatically. After publication, these documents are available for searching and viewing on the portal site. There are no private document views in standard folders.
  2. Standard folders support regular Web folder functions and document profiles, which allow you to supply information about an item by using the profile form.

Standard folders use the following icon:

Enhanced folders

  • Enhanced folders allow you to check in and check out documents from the workspace. You can reserve the right to edit a document by checking it out. No other user can edit a document that is checked out. Until you check a document back in, other users in the folder cannot view your changes.
  • Enhanced folders track the version history of each document, monitoring the number of times that you check in, check out, and publish a document.
  • In addition to the basic enhanced folder features, the coordinator may allow users to publish documents from certain enhanced folders. In some cases the coordinator may configure an approval process for a folder.

    If the coordinator configures an approval process on the folder, the Publish command sends the document into a review and approval process before it is published. If the coordinator does not configure an approval process, the Publish command automatically publishes the document to the dashboard site. Readers on the dashboard site can search for and view published documents.

Enhaced folders use the following icon:

Related Topics

About using standard and enhanced folders
Create standard and enhanced folders
About document management and publishing


About News

About News

Microsoft SharePoint Portal Server "v2.0" Beta 2 enables you to highlight information important to portal users by adding items to the News category. A news item can be either text-based content or a link to an existing news item, such as an article on a news service.

In addition to the default news that displays on the home page, the News category of the portal site includes detailed views of news items and a list of subcategories. As a member of the content manager site group, you can vary the display of news items — from headlines to summaries to expanded views — by modifying the properties of the Web Part.

News items can be organized into subcategories. You can also target news items to specific audiences. When you target a news item to a particular audience it appears in the News for you section of an audience member's personal site.

To make managing News items easier, you can specify start and end dates for content display and automatically move expired news items to an archive at the end of its publishing dates.

Related topics

  • Add a news item
  • Target an Item to an Audience
  • About categories
  • Manage categories


About the portal

About the portal

The first step after installing Microsoft SharePoint Portal Server "v2.0" Beta 2 is usually creating a portal. The portal is composed of a Web-based component, called the portal site, as well as supporting services. These supporting services include index and search services, the document management component, and people services. In addition, SharePoint Portal Server takes advantage of the features and services provided with Microsoft Windows SharePoint Services Beta 2, including interactive lists, custom templates, and sites based on Windows SharePoint Services Beta 2 to provide an integrated, customized collaboration experience.

You can install one or more portals by using SharePoint Portal Server. These portals can be installed on a single server or distributed across a server farm consisting of multiple servers.

Related topics

About deploying SharePoint Portal Server
About the portal site
About index and search services
About connected collaboration
About document management and publishing


About the portal site

About the portal site

Microsoft SharePoint Portal Server automatically creates a Web site, called the portal site, during installation. The portal site offers a centralized access point for finding and managing information. You can use a Web browser with the portal site to perform tasks and search the portal. The portal site provides access to information stored inside and outside your organization, allowing users to find people, sites, documents, and other content regardless of location or format. It also facilitates people working together on documents, projects, and other efforts by using the combined collaboration features of SharePoint Products and Technologies.

You can customize the home page of the portal site to display organizational news and other important information. From the portal site, users can perform tasks such as:

  • Searching for information
  • Browsing through information by categories
  • Creating a personal site
  • Asking to be alerted to new or changing information
  • Creating or linking to Web sites based on Windows SharePoint Services Beta 2 and using the collaboration features they offer.

The portal site uses Microsoft Web Part Page technology to organize and display information. A Web Part Page consists of reusable, customizable Web Parts such as Search, News, and Announcements. You can easily add or remove Web Parts to customize the portal site for your organization.

Related topics

About Web Part Pages
About the portal
About Microsoft SharePoint Portal Server
About categories
About My Site


About the portal site map

About the portal site map

The portal site map is a view of all the portal content and how it's structured — from Home at the top level to all the areas and subareas under it. From the site map, you can change the navigation on the portal by creating areas, or by dragging existing areas and items to other locations. To see content according to different criteria, you can filter the content. You can also create a view that shows just the content you want to see organized the way you want.

Related Topics

About the sites directory
About areas
Create or delete areas
About views


About the site directory

About the site directory

The site directory provides a central location from which to view and access all Web sites associated with a specific portal. You can also create Microsoft SharePoint sites or add more links to existing sites. To organize and display the sites in meaningful ways, you can create views that sort, filter, and group the sites. For example, you can view just the sites that are from the Sales division. You do this by creating a view that displays sites having the value Sales in the Division column.

By default, Microsoft SharePoint Portal Server "v2.0" Beta 2 provides a list of recently viewed sites. As a member of the administrator site group, you can highlight sites by using the Spotlight Web Part. As a portal user, you can choose to be alerted to changes to the site directory by clicking Alert Me.

Related topics

About the portal site
About portal site management
About the portal site map


About Topics

About Topics

The Topics category allows users to organize and browse content in a central location by using topic categories. Topic categories behave like other categories but usually contain highlights of other categories or frequently-used content, and they are limited to a single subject. You can add items to more than one category, including more than one topic category. You can manage topic categories like you would any other category.

Related Topics

  • Create or delete a category
  • About categories
  • Manage categories


About views

About views

Views make it quick and easy to see information in a variety of ways on a portal page. Some portal pages have default views listed on the left side of the page in the View pane. You can also create custom views to add to this list. With custom views, you can do one or more of the following:

  • Filter by a set of criteria
  • Sort in a particular order
  • Hide or show columns
  • Group information based upon list data
  • Display subtotals of columns
  • Show lists with date information as calendars or tables

For example, instead of applying the same filter every time you go to a particular list, you can create a view that includes the filter. Then, to see the filtered information, you can click the hyperlink to the view you created. You can even make your new view the default shared view, so that when users go to a portal page, they automatically see the filtered information.

Related Topics

About editing category pages
About Web Part Page personal and shared views


About My Network Places and Web folders

About My Network Places and Web folders

A network place is a shortcut to a Web server or other resource accessible from a network. You can use network places to store documents and to publish documents for viewing in Web browsers. To use this feature, your Web server must support network places. Check with your system administrator or Internet service provider to see whether your Web server supports network places.

Note Network Places and Web folders are equivalent. In this documentation, if the term Web folders is used and you have a computer running Windows 2000 or Windows XP, then substitute the term My Network Places.

You can view files and folders on Web servers just as you view files and folders on network file servers. The difference between the two is that when you save a file to a network place, you save the file on a Web server and not on your computer’s hard disk. When you view the contents of a network place, you see a list of files and folders stored in that network place.

You can manage the files and folders on a Web server just as you do in Microsoft Windows Explorer. However, before you can do so, you must make sure that the Web server you are working with supports network place, and you must also have read and write access to the Web server. Contact your network administrator for information about available Web servers and how to access them.

For more information about network places and Web server requirements, see Microsoft Windows online documentation.

How do I use Web folders to access SharePoint Portal Server "v2.0" Beta 2?

Backward-compatible document libraries are network places on a server running SharePoint Portal Server "v2.0" Beta 2. Each backward-compatible document library has a unique set of properties and an associated portal site. Backward-compatible document libraries retain basic network place functions and offer additional document management tools. These tools include:

  • Commands for document management, such as Check In and Check Out.
  • Commands for document publishing and approval, such as Publish, Approve, and Reject.
  • The ability for coordinators to add and manage document profiles so that authors can define their documents by using metadata.
  • Enhanced views that display extended information about selected items.
  • A selection of related document management features that includes role-based security, version history of documents, and publishing settings by folder.

Related Topics

About document management and publishing


About Web Parts

About Web Parts

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Accessibility for people with disabilities

Accessibility for people with disabilities

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Add a listing

Add a listing

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Add and Edit Document Profile Properties

Add and Edit Document Profile Properties

Properties are specific fields on the document profile in which authors enter descriptive information (metadata) about their documents. Examples of profile properties are author and title.

Add a document profile property

  1. In the backward-compatible document library, open the Management folder, and then open the Document Profiles folder.
  2. Right-click the document profile with which you want to work, and then click Properties.
  3. Click the Properties tab, and then click Select Properties.
    • If you select a property from the list provided, skip to step six in this procedure.
    • If you do not see the property you want, you can create a property by clicking New.
  4. Type a unique name for the new property in the space provided.
  5. Select the type of property that you want to create such as Text, Number, List, or Comment Box.
    • If you create a List property, click Values to specify the values for the list. These values apply to this property in all profiles.
    • If you want to allow users to enter values not included in the list, select the Allow users to enter values not in the list check box. If you select this option, note that the values that a user enters in this case appear only once, in the individual profile of the document with which the user works. The values that the user enters are not available for other users of that profile to select.
    • If you want to allow users to select multiple values from the list when they fill out the document profile, select the Allow users to select multiple values check box.
    • If you want to make the property required, select the Require users to enter a value for this property check box.
  6. Click OK twice.

Edit profile property attributes

  1. In the backward-compatible document library, open the Management folder, and then open the Document Profiles folder.
  2. Right-click the document profile with which you want to work, and then click Properties.
  3. Click the Properties tab.
  4. Select the property that you want to edit.
  5. Click Edit.
  6. To edit the document profile description, make the necessary changes in the Description box.

    Do one of the following:

    • To ensure that users enter a value, select the Require users to enter a value for this property check box.
    • To edit values for a List property, click Edit Values, and then make the necessary changes.

  7. Click OK twice.

SharePoint Portal Server "v2.0" Beta 2 modifies the document profile to include the new property.

Note The properties you create are available to all document profiles. If you change the attributes of a property, the changes you make affect how the property appears on all document profiles.

Related Topics

About document management and publishing About document profiles in backward-compatible document libraries


Add a news item

Add a news item
  1. On the primary navigation bar, click News.
  2. In the Select Action pane, click Add News Item.
  3. Type the title of the news item in the Title box.
  4. To provide a description of the news item, type the description of the item in the Description box.
  5. To show a picture with the news item, in the Image box, type the URL of the picture you want to use.
  6. To change the location of this item in the portal site, click Change category.

    Note You can see the default location of the news item under Default location.

  7. To select a news source, do one of the following:

    Link this news item to existing content

    • Click Existing item.
    • Type the web address or path where the content is located in the URL or file location box.

    Provide new text content for this news item

    • Click New item.
    • Click Open Text Editor.

      The Text Editor window appears.

    • Type the text to display for this item.
    • Click OK to apply these changes and exit this window.
    • Click Cancel to cancel this action and return to the previous window.
  8. To specify a start date for this item, type the date you want this item to appear on the portal site in the Start date box.
  9. To specify an end date for this item, type the date you no longer want this item to appear on the portal site in the Expiration date box.
  10. Do one of the following:
    • Click OK to add the news item.
    • Click Cancel to return to the previous page without adding the item.

Related topics

About News
Target an Item to an Audience


Add or remove approvers

Add or remove approvers

If you are the coordinator on a specific folder in a backward-compatible document library, you can assign or remove users as approvers for documents in that folder.

  1. In the backward-compatible document library, right-click the folder for which you want to start an approval process, and then click Properties.
  2. Click the Approval tab.
  3. Select or clear the Documents must be approved before publishing check box.
  4. Do one of the following:
    • Add one or more approvers.

      How?

      1. Click Add.
      2. Select a server group to browse.
      3. Select the person you want to add as an approver.
        • If you select from the list provided, click Add, and then click OK.
        • If you type the name of a person instead of selecting from the list, click Check Names, and then click OK.
      4. Click Set E-mail.
      5. Type the e-mail address of the approver.

        Note This is not required, but is recommended. If you do not provide an e-mail address, users only see approval requests on the portal site, and do not receive the e-mail message. The address, if entered, should be a full SMTP address (for example, someone@example.com).

      6. Click OK.

        Repeat these steps for each approver you want to add.

      7. Select an approval route and provide comments for the approval e-mail.
    • Remove one or more approvers.

      How?

      • Select an approver from the list.
      • Click Remove.

        Repeat these steps for each approver you want to remove.

  5. Click OK.

    Note You can make changes to a folder approval process, but the changes take effect only for documents submitted for approval after the changes are made. Changes to the approval process do not affect documents already pending approval.

Related Topics

About the Approval Process
About document management and publishing


Add a Document

Add a Document

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

import from: eu_authorhelpm4_a2, eu_authorhelpm4_a12

Notes


Create, Edit, and Delete Keyword

Create, Edit, and Delete Keyword

Use keywords mark certain items as more relevant in searches according to their subject matter.

You can create keywords under the main Keywords heading, or under an existing keyword. Typically, keywords that are placed under existing keywords are more specific examples of the subject matter covered by the existing keyword.

After you create keywords, SharePoint Portal Server "v2.0" Beta 2 adds items called keyword best bets that are most relevant for that subject to each keyword. When you type a keyword into the search box, SharePoint Portal Server "v2.0" Beta 2 displays all keyword best bets for that keyword and other keywords created under it prominently in search results.

Create keyword

  1. ClickSite Settings and in the Manage Search Settings and Indexed Content section, click Manage keywords.
  2. On the Keywords page, click the keyword under which you want to create a keyword, and then click Create Keyword. To create a keyword from Select Action in the action pane, clickCreate Keyword.
  3. On the Create Keyword page, in theTitle and Description text boxes, type a title and description for this keyword. The title is the word that is typed in the search box that causes the keyword best bets for this keyword to display in search results.
  4. In the Publishing Dates section , type the start date and expiration date in the Start date and Expiration date fields for this keyword. The start date is when keyword best bets for this keyword begin appearing in search results. The expiration date is when the keyword best bets for this keyword stop appearing in search results, and their status is set to expire. Type a different start date only if you don't want this keyword to be active right away. Type an expiration date only if this keyword is intended for temporary or occasional use in search results. To create a keyword that doesn't expire, leave the expiration date blank.
  5. In the Synonyms section, type any words that users might use in the search box for which you want the keyword best bets for this keyword to appear.

    Note To minimize unnecessary duplication of keywords, you are warned whenever you add a synonym that already exists for another keyword.

  6. In the Keyword section, click Change keyword to change the location of this keyword and create it under a different keyword. In the Keyword Chooser, select the keyword under which to create this keyword, and then click Save.
  7. Click OK.

Edit keyword

  1. Click Site Settings, in the Manage Search Settings and Indexed Content section, click Manage keywords.
  2. On the Keywords page, click the keyword you want to edit, and then click Edit.
  3. On the Edit Keyword page, click the General tab and in theTitle and Description text boxes, type a new title or description for this keyword. A new title may be appropriate if users are not finding your keyword best bets for this keyword with its current title, or if you are reorganizing existing keywords.
  4. In the Synonyms section, type any words that users may use in the search box for which you want the keyword best bets for this keyword to appear.

    Note To minimize unnecessary duplication of keywords, you are warned whenever you add a synonym that already exists for another keyword.

  5. In the Keyword section, click Change keyword to change the location of this keyword and place it under a different keyword. In the Keyword Chooser, select the keyword under which to place this keyword, and then click Save.
  6. In the Dates section, you see when this keyword was created and who created it, as well as when it was last modified and who modified it.

    Note This information cannot be changed, but may be useful for managing this keyword.

  7. Click the Publishing tab of the Edit Keyword page to view or change the publishing settings for this keyword.
  8. In the Publishing Dates section, type the start date and expiration date in theStart date and Expiration date fields for this keyword. You may want to change the start date to delay or speed up when an existing keyword becomes active. You may want to change the expiration date to keep this keyword active for a longer time, or to reactivate a keyword that has expired. To set this keyword so that it doesn't expire, leave the expiration date blank.
  9. In the Approval Requirements section, for Require approval to publish new items, select Yes if you want to require approval for keyword best bets and keywords added to this keyword for everyone except the keyword manager. Select No to approve keyword best bets automatically for all users.
  10. For Automatically approve all items added by keyword manager, select Yes to automatically approve all keyword best bets and keywords added to this keyword by the keyword manager. Select No to require that the keyword manager approve all items manually.
  11. Click OK.

Delete keyword

  1. ClickSite Settings, in the Manage Search Settings and Indexed Content section, click Manage keywords.
  2. On the Keywords page, click the keyword that you want to delete, and then click Delete.
  3. At the confirmation message that appears, click OK.

    Note Deleting a keyword also deletes the keywords and keyword best bets that are added to that keyword. Only delete a keyword if you also intend to delete its keywords and keyword best bets.

For more information

Add, Edit, and Delete Keyword Best Bet
Approve, Reject, and Archive Keyword Best Bet
Manage Keywords
About search


Add, Edit, and Delete Keyword Best Bet

Add, Edit, and Delete Keyword Best Bet

Items called keyword best bets that are most relevant for that subject are added to each keyword that you create. When a portal user types a keyword into the search box, all keyword best bets for that keyword and other keywords created under it display prominently in search results.

Add keyword best bet

  1. ClickSite Settings, and in the Manage Search Settings and Indexed Content section, click Manage keywords.
  2. On the Keywords page, click the keyword under which you want to add a keyword best bet, and then click Add Keyword Best Bet.

    -or-

    You can also add a keyword best bet by clicking Add Keyword Best Betfrom Select Action in the action pane.

  3. On the Add Keyword Best Bet page, in theTitle and Description text boxes, type a title and description for this keyword best bet.
  4. In the Keyword Information section, the current keyword is listed. Click Change Keyword to add this keyword best bet under a different keyword. In the Keyword Chooser, select the keyword or keywords under which to add this keyword best bet, and then click Save.
  5. In the Item Link section, in URL or file location, type the address for the item that you are adding as a keyword best bet.
  6. Click OK.

Edit keyword best bet

    1. ClickSite Settings, and in the Manage Search Settings and Indexed Content section, click Manage keywords.
    2. On the Keywords page, click the keyword best bet you want to edit, and then click Edit.
    3. On the Edit Keyword Best Bet page, click the General tab and in theTitle and Description text boxes, type a new title or description for this keyword best bet.
    4. In the Item Link section, in theURL or file location, type the address for the item that you are adding as a keyword best bet.

      Note This may need to be change if the item's location has changed, or you want to point this keyword best bet at a different item.

    5. In the Keyword section, the current keyword is listed. Click Change Keyword to place this keyword best bet under a different keyword. In the Keyword Chooser, select the keyword or keywords under which to place this keyword best bet, clear all other keywords, and then click Save.
    6. In the Related Items section, keyword best bets for other keywords that point to the same item as this keyword best bet are listed. Click the listed keyword best bets to edit those keyword best bets at the same time as you edit this keyword best bet. If this is the only keyword best bet that points to this item, no links are shown.
    7. In the Dates section, you see when this keyword best bet was created and who created it, as well as when it was last modified and who modified it.

      Note This information cannot be changed, but may be useful for managing this keyword best bet.

    8. Click the Publishing tab of the Edit Keyword Best Bet page to view or change the publishing settings for this keyword best bet.
    9. In the Publishing Dates section, type a Start date and Expiration date for this keyword best bet. You may want to change the start date to delay or speed up when an existing keyword best bet becomes active. You may want to change the expiration date to keep this keyword best bet active for a longer time, or to reactivate a keyword best bet that has expired. To set this keyword best bet so that it doesn't expire, leave the expiration date blank.
    10. In the Approval Status section, select a status for this keyword best bet.
    11. Click OK.

Delete keyword best bet

  1. Click Site Settings, and in the Manage Search Settings and Indexed Content section, click Manage keywords.
  2. On the Keywords page, click the keyword best bet that you want to delete, and then click Delete.
  3. At the confirmation message that appears, click OK.

For more information

Approve, Reject, and Archive Keyword Best Bet
Create, Edit, and Delete Keyword
Manage Keywords
About search


Add Link to Existing Site

Add Link to Existing Site

Add a link to a site

  1. Click the Sites link on the primary navigation bar.
  2. In the Actions pane click Add Link to Site.
  3. Type the title of the Web site in the Title box.
  4. Type the URL of the Web site in the URL box.

    Note For example: http://Web_Address/directory/ or \\server\directory

  5. Click Request this site's contents to appear in search results to make this Web site available for index and search services.
  6. Click OK to save and close this window.


Add a link to a site

Add a link to a site

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Add a list or library to a category

Add a list or library to a category

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Add or edit an alert

Add or edit an alert

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Add or edit a news item

Add or edit a news item

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Add or remove Web Parts from a page

Add or remove Web Parts from a page

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Add a person to a category

Add a person to a category

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Add a User

Add a User

OBSOLETE--absorbed into Manage Security Settings


Add a user to a category

Add a user to a category

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Remove

Remove

Removes a user or group.


Role

Role

Specifies the role for the user or group.

Reader

A reader can search for and read documents but cannot add them to the backward-compatible document library. By default, all folder users are assigned to the reader role. In an enhanced folder, readers can view only folders and published versions of documents. Enhanced folders provide increased document management functions, including approval routing and version control. A reader cannot check out, edit, or delete documents in the document library or view draft document versions.

By default, SharePoint Portal Server "v2.0" Beta 2 assigns the Windows 2003 Everyone group to the reader role for all folders in the document library when it creates the document library.

Author

An author can add new documents to a folder, edit all documents in the folder, delete any document from the folder, and read all documents in the folder. In an enhanced folder, authors can also submit any document for publishing.

Authors can create, rename, and delete folders but cannot change the roles or the approval policy on folders they create. When you create a new folder, it inherits the roles and folder policies from the parent folder.

Coordinator

A coordinator on the document library node manages content in the top level folder and performs a set of document library administration tasks. These tasks include managing content sources, document profiles, categories, and alerts and customizing the portal site. The coordinator creates indexes of updated content when necessary or schedules this to occur automatically.

A coordinator on a specific folder configures user roles on the folder. The coordinator creates subfolders and adds, edits, and deletes documents from them. Coordinators can also read and delete a document that has been created but is not yet checked in. For enhanced folders, the coordinator selects the appropriate approval process. In addition, the coordinator can undo the check out of a document or end the publishing process by using the Cancel Publishing or Bypass Approval actions.

SharePoint Portal Server "v2.0" Beta 2 automatically assigns the administrator who creates the document library to the coordinator role on the document library node and on each folder.


Number of major versions retained per document

Number of major versions retained per document

Provides a space to type the number of previous major versions to retain whenever a document is approved. This setting does not affect the number of minor versions retained.

The server checks the specified value and permanently deletes old versions as appropriate. The default value is Unlimited. The maximum value for this setting is 999.

If the specified value is lowered, the server applies the policy to all later approved document versions but does not apply it to documents that have been approved with the higher value.


Security tab

Security tab

Use the Security tab on the Properties page of the backward-compatible document library to manage security for the document library.

For information about a specific field on this page, click the question mark in the upper right corner, and then click the field.


Add

Add

Opens the Select Users or Groups dialog box.


Description

Description

Provides a space to type a brief description of the backward-compatible document library. A description can be helpful if more than one system administrator creates document libraries on the same server or if you have a new system administrator. In addition, you can use the description to help you remember information about a particular document library if you manage a large number of document libraries.


General tab

General tab

Use the General tab on the Properties page of the backward-compatible document library to view or specify document library properties.

For information about a specific field on this page, click the question mark in the upper right corner, and then click the field.


User or Group

User or Group

Displays the user or group and the assigned role.


Workspace contact name

Workspace contact name

Provides a space to type the name of the user or group responsible for managing the backward-compatible document library. The workspace contact is the point of contact for document library-related issues. In addition, the workspace contact receives document library-related e mail. The contact e-mail address can be that of an individual user or a group.


Workspace address

Workspace address

Displays address by which users access the backward-compatible document library through Web folders and the portal site.


Created

Created

Displays the original date the backward-compatible document library was created.


E-mail Address for Workspace Contact

E-mail Address for Workspace Contact

Provides a space to type the e-mail address of the user or group responsible for managing the backwar-compatible document library. This e-mail address routes messages regarding alerts to items in that contact’s document library to the workspace contact.


Number of major versions retained per document (check box)

Number of major versions retained per document (check box)

Specifies the number of major versions retained per document.


Apply a Document Profile to a Document

Apply a Document Profile to a Document

Every document in the backward-compatible document library has an associated document profile that contains a collection of document properties. SharePoint Portal Server "v2.0" Beta 2 uses the information on the document profile to categorize documents and to direct searches once the document is published on the portal site. You use the profile form to supply information about your document, such as its author and title.

As a coordinator at the document library level, you can apply specific document profiles to documents when you add the documents to the document library for the first time. After you design your document library or folder, users can also apply document profiles to their documents when they add them to the document library. The information that users add to the profile form (metadata) is stored with the document.

Users can access the profile form through the Properties page of a specific document. In an enhanced folder, users can also access the profile form from the check-in form.

Apply a document profile to a document

  1. If the document is stored in an enhanced folder, check out the document.
  2. Right-click the document, and then click Edit Profile.
  3. Select the appropriate profile from the list on the profile form, and complete the required information in the boxes on the form.
  4. Click OK twice.

Related Topics

About document profiles in backward-compatible document libraries
About document management and publishing


Approve content

Approve content

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Approve or reject a document

Approve or reject a document

If you are an approver for a document, you receive an approval e-mail containing a link to the item under review after the author submits the document for approval. You can approve or reject an item by using the appropriate commands in the approval e-mail message, the backward-compatible document library, or from the portal site. After a document is approved, SharePoint Portal Server "v2.0" Beta 2 publishes the approved version. Users with appropriate permissions can search for and view the document on the portal site. As an approver, if you reject a document, it returns to the backward-comaptible document library in a checked-in, unpublished state.

Approve or reject a document from the document library

  1. In the document library, find the document that you want to approve or reject.
  2. Right-click the document, and then click Approve or Reject.

Approve or reject a document from the approval request e-mail message

  1. In the document approval request, click Click here to approve or reject this document.

    The portal site opens the Document Inspection page.

  2. Verify that the correct document is selected, and then click Approve.
  3. Click OK.

Approve or reject a document through the portal site

  1. On the navigation bar of the portal site, click Document Library.
  2. On the Document Library page, locate the document that you want to approve.

    It may be available from a list in the Document Library view, or it may be located in a subfolder.

  3. Click the Show Actions link for the document.

    The Document Inspection page opens.

  4. Verify that the correct document is selected, and then click Approve or Reject.
  5. Click OK.

Related Topics

  • About the approval process
  • About document management and publishing


Approve or reject multiple documents

Approve or reject multiple documents

You can approve and reject multiple documents in the workspace.

Approve multiple documents

  1. Locate the documents that you want to approve using the network place for the backward-compatible document library.
  2. Select the documents, right-click one of them, and then click Approve.

Reject multiple documents

  1. Locate the documents that you want to reject using the network place for the backward-compatible document library.
  2. Select the documents, right-click one of them, and then click Reject.

Related Topics

  • About the approval process
  • About document management and publishing


Approve, Reject, and Archive Keyword Best Bet

Approve, Reject, and Archive Keyword Best Bet

Keyword best bets are used in search only once the keyword best bets are approved. Approval is often required by people in an organization in order to keep results well-managed and under control.

To help manage keyword best bets, you have the option of setting publishing dates for each keyword best bet. Once approved, a keyword best bet affects search results beginning on the start date, and becomes inactive on the expiration date.

The use of publishing dates and approval results in several kinds of status for keyword best bets:

  • Pending Pending keyword best bets are those keyword best bets that must be approved by a user with the correct rights before they are used by search. Depending upon your rights and the settings for each keyword, keyword best bets may be approved by default. You may also want to reactivate an archived or expired keyword best bet, or resubmit a rejected keyword best bet for approval. To change the status of an item to Pending, click the item and then click Undo Approval. That sets the status of the keyword best bet to Pending, allowing anyone with the proper rights to approve or reject the keyword best bet.
  • Approved Approved keyword best bets are those that were submitted for approval and then approved by someone with the appropriate rights. Depending upon your keyword settings, some keyword best bets may be approved by default. You may want to reactivate and approve an archived or expired keyword best bet, or change the status of a rejected item to approved. To approve a keyword best bet, click the item and then click Approve.
  • Rejected Rejected keyword best bets are those that were submitted for approval and then rejected by someone with the appropriate rights. Depending upon your keyword settings, some keyword best bets may be approved by default. You may want to reject a previously approved item, or an item that is Pending. To reject a keyword best bet, click the item and then click Reject.
  • Expired Expired keyword best bets are those that are past their expiration date, regardless of whether or not they were approved. Keyword best bets expire automatically after their expiration date. To change the status of an expired keyword best bet, you must edit the keyword best bet and change the expiration date. It is recommended that you check expired items regularly. You can delete those that arenot to be used again. You can reactiveate those that you want to use now by changing the expiration date. You can move those that you may want to use later to an archive.
  • Archived Archived keyword best bets are those that are not in use now, but may be useful in the future. Typically, expired items that are still useful are moved to an archive for later use, but you may choose to move any keyword best bet at any time to an archive. To move a keyword best bet to an archive, click the keyword best bet and then click Archive.

Check your keyword best bets regularly to approve pending keyword best bets, and to ensure that the status of other keyword best bets is appropriate. Your search results are improved by proper management of the status of keyword best bets.

For more information

Create, Edit, and Delete Keyword
Add, Edit, and Delete Keyword Best Bet
Manage Keywords
About search


Assign a Coordinator to a Folder

Assign a Coordinator to a Folder

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Notes


Assign Users to Roles

Assign Users to Roles

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Notes


Bypass or cancel approval

Bypass or cancel approval

If you are a coordinator on a specific folder, you have the ability to end an approval process by using the Bypass Approval command or by using the Cancel Approval command. This is useful if a document is under approval and one or more of the approvers are not available to approve the document. The Bypass Approval command skips all remaining approvers and publishes the document to the dashboard site. The Cancel Publish command cancels the approval process and returns the document to a checked-in, unpublished state in the backward-compatible document library.

Important If you are a coordinator on a folder and also an approver in that folder, be aware that when you receive an approval request, the Approve, Bypass Approval, Reject, and Cancel Publish options are available to you on the same menu. Ensure that you do not choose Bypass Approval or Cancel Publishing accidentally when you want to use Approve or Reject.

Bypass approval

  1. Locate one or more documents for which you want to bypass approval by using the network place for the backward-compatible document library.
  2. Select the document or documents, right-click one of them, and then click Bypass Approval.

    The approval process for this document ends, and SharePoint Portal Server "v2.0" Beta 2 publishes the document on the portal site. The document is available for users with appropriate roles to search for and view.

Cancel approval

  1. Locate one or more documents for which you want to cancel approval by using the network place for the backward-compatible document library.
  2. Select the documents, right-click one of them, and then click Cancel Publishing.

    The approval process for this document ends, and SharePoint Portal Server "v2.0" Beta 2 publishes the document on the dashboard site. The document is available for users with appropriate roles to search for and view.

Related Topics

  • About the approval process
  • About document management and publishing


Cancel an Approval Process

Cancel an Approval Process

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Notes


Change a Category Page Template

Change a Category Page Template

Change the page template for a category

  1. Move to the category for which you want to apply the custom template and in the Actions pane click Edit Page.
  2. In the More Actions pane, click Edit Category Details.
  3. Click the Page tab to view and change page template information.
  4. In the Page Template section, select the source for the page template. For example, to select a custom template, select Use the page template of another portal page and in the Document library list, select Shared Documents to see the list of custom-created pages.
  5. In the Page list, click the page to use as a template for the category page.
  6. Click Okay to save your changes and exit.


Change page layout

Change page layout

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Change the primary navigation areas

Change the primary navigation areas

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Check in a document to the backward-compatible document library

Check in a document to the backward-compatible document library

When you add a document to the backward-compatible document library, or when you finish making changes to a document that you have checked out, you must check it in to enable other folder users to view the latest version of the document.

Check in a document

By using the portal site

  1. On the primary navigation bar of the portal site, click the link to your document library.
  2. On the Document Library page, locate the document that you want to check in. It may be located in a subfolder. If the document is located in a subfolder, open that folder to display its contents.
  3. Click the Show Actions link for the document. The Document Inspection page opens.
  4. Verify that the correct document is selected, and then click Check-In.
  5. Specify how to locate the document:
    • If you did not save a working copy of the document to your computer, clear the Copy the document from my computer to the workspace check box.
    • If you saved a working copy of the document to your computer, make sure that that the Copy the document from my computer to the workspace check box is selected. Under the Document File Name heading, click Browse to locate the document on your computer, and then click Open.
  6. Click Continue.
  7. Make any necessary changes to the document profile and fill in version comments briefly describing how you changed the document while you had it checked out.
  8. Click OK.

By using a Microsoft Office Application

  1. On the File menu, click Check in.
  2. A check-in form appears. Complete the Version Comments and make any necessary changes to the profile form.
  3. Click OK.

By using Web Folders

  1. Locate the document in the document library.
  2. Right-click the document, and then click Check in.
  3. A check-in form appears. Complete the Version Comments and make any necessary changes to the profile form.
  4. Click OK.

Notes

  • After you check in a document, authors in the folder can see and edit the document. Changes to the document are not visible to users who search for the document on the portal site until you publish the document.
  • To publish a document, select the Publish this document after check in check box on the check-in form. If the folder has not been configured with an approval process, the document will be published automatically.

Related Topics

About document management and publishing


Check out a document

Check out a document

If you want to work with a document that is stored in an enhanced folder, you must first check it out. You can check out the document from the backwards-compatible document library, the portal site, or a Microsoft Office application. When you check out a document, SharePoint Portal Server creates a new draft version of the document for you to work on. Until you check in the document, your changes are not visible to other users in the document library.

Check out a document

By using the portal site

  1. On the primary navigation bar of the portal site, click the link to your document library.
  2. On the Document Library page, locate the document that you want to check in. It may be located in a subfolder. If the document is located in a subfolder, open that folder to display its contents.
  3. Click the Show Actions link for the document. The Document Inspection page opens.
  4. Verify that the correct document is selected, and then click Check-Out.
  5. The Check Out Wizard page opens. The document is now checked out in your name. To work with the document, you must download a working copy to your computer.
  6. Right-click the document link, and then select the command that allows you to save the document to your computer.

    Note The wording of the Save command may vary depending on your browser. Save, Save As, and Save Target As are common variations.

  7. In the Save dialog box, complete the necessary actions to download the document to your computer.
  8. Click OK.
  9. After the document has been downloaded, click OK at the bottom of the Check Out Wizard page.

By using a Microsoft Office Application

  1. On the File menu, click Open.
  2. In the Open dialog box, click the Web folders button.
  3. Click the folder that contains the document that you want to view, and then click Open.
  4. On the File Menu, click Check out.

By using Web Folders

  1. In the document library, locate the document that you want to check out.
  2. Right-click the document, and then click Check out.

Notes

  • After you check out a document, Other users cannot edit the document or see your changes while you have it checked out.
  • If you later decide to check in the document without saving your changes, you can use the Undo Check-Out command on the Document Inspection page. You lose any changes made while you checked out the document. The document reverts to the last checked-in version, and no version history is kept for the unsaved changes.


Choose an approval route

Choose an approval route

As a coordinator on a folder, you can choose the approval route.

Choose an Approval Route

Choose an approval route

  1. By using the network place for the backward-compatible document library, right-click the folder you want to configure, and then click Properties.
  2. Click the Approval tab.
  3. Select a routing path from Route to Approvers.
  4. If you select All at once as the routing method, select the number of approvals required from the list provided.
  5. Click OK.

    Note You can make changes to a folder approval process, but the changes take effect only for documents submitted for approval after the changes are made. Changes to the approval process do not affect documents pending.

Related Topics

  • About the approval process
  • About document management and publishing


Configure document profiles for a folder

Configure document profiles for a folder

You can configure standard or enhanced folders to include document profiles. When you apply document profiles to a folder, only documents with specific document profiles can be stored in that folder. You configure document profile settings by using the Profiles tab on the Properties page of the specific folder.

Specify document profile settings

  1. Locate the folder to which you want to apply a document profile by using the network place for the backward-compatible document library.
  2. Right-click the folder to which you want to apply a document profile, and then click Properties.
  3. Click the Profiles tab.
  4. In the Available document profiles list, select one or more document profiles.
  5. In the Use the following profile by default list, select a default document profile.

    SharePoint Portal Server "v2.0" Beta 2 applies this profile by default when a user checks in a new document, unless the document already has a valid document profile.

  6. Click OK.

You can apply more than one document profile to a folder. By applying document profiles to a folder, you can restrict the contents of the folder to documents that use those document profiles.

Related Topics

About document profiles in backward-compatible document libraries
About document management and publishing


Configure Folder Inheritance

Configure Folder Inheritance

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Notes


Copy a Site Group

Copy a Site Group

Note


Copy, move, or delete documents from the backward-compatible document library

Copy, move, or delete documents from the backward-compatible document library

You can copy or move documents in the backward-compatible document library and place them in an enhanced or standard folder either in the same or another workspace, or in a local folder on your computer. The information that moves with the document depends on the nature of the source and destination folders:

  • Enhanced folder SharePoint Portal Server "v2.0" Beta 2 copies the document to the destination folder in a checked-out state. The document must be checked in. All SharePoint Portal Server "v2.0" Beta 2 metadata (the set of properties and values used to describe a document) in the document profile and Properties page remains with the document. The document version history is not copied to the destination folder.

    If the document type conflicts with allowable document profiles in the destination folder, the default document profile for the destination folder is applied to the document.

  • Standard folder SharePoint Portal Server "v2.0" Beta 2 copies the document to the destination folder. SharePoint Portal Server "v2.0" Beta 2 metadata from the profile form remains with the document.
  • Another backward-compatible document library SharePoint Portal Server "v2.0" Beta 2 copies the document to the destination folder. Metadata included on the document profile remains only with documents created using the Office applications Microsoft Word, Microsoft Excel, and Microsoft PowerPoint. SharePoint Portal Server "v2.0" Beta 2 does not preserve metadata for other file types. You must re-enter this information using the profile form.
  • Local Folder SharePoint Portal Server "v2.0" Beta 2 copies the document to the local folder. Only certain document metadata, such as title, author, and description, remain with the document.

Move documents from a network place

  1. By using the network place for the backward-compatible document library, locate the documents you want to move.
  2. Right-click the document, and then click Cut
  3. Right-click the destination folder, and then click Paste.

    The document is now located in the destination folder, and the original document is removed from the source folder.

Copy, or delete documents from a network place

  1. By using the network place for the backward-compatible document library, locate the documents you want to copy or delete.
  2. Right-click one or more documents, and then click Copy or Delete.

    • If you are copying one or more files, right-click the destination folder, and then click Paste.

      Copies of the documents reside in the destination folder. The original documents remain in the source folder.

    • If you are deleting one or more files, click OK.

      SharePoint Portal Server "v2.0" Beta 2 deletes the files.

You can also delete files directly from the portal site.

Delete documents from the portal site

  1. On the navigation bar for the portal site, click Document Library.

    Note If the document has already been published, you can also find the document by using search. In this case, click the link to the folder that contains the document to locate the document.

  2. On the Document Library page, locate the document you want to delete.

    Note The document may be available from a list on the Document Library page, or it may be located in a subfolder. If the document is located in a subfolder, open that folder to display its contents.

  3. Click Show Actions for the document.
  4. Verify that the correct document is selected, and then click Delete.
  5. Click OK.

    Important The Delete command completely removes a document from the backward-compatible document library. You cannot restore a deleted document.

Related Topics

About My Network Places
About standard and enhanced folders
About document management and publishing


Copy or move a folder in the backward-compatible document library

Copy or move a folder in the backward-compatible document library

To copy or move a folder to another folder, you must be coordinator on both folders. If you copy or move a folder to a target folder with different settings, the folder you are copying or moving retains its original settings and does not inherit the settings of the target folder.

Copy or move a folder

  1. Locate one or more documents for which you want to bypass approval by using the network place for the backward-compatible document library.
  2. Right-click the folder you want to copy or move, and then do one of the following:

    To copy the folder, click Copy

    To move the folder, click Cut

  3. Select a target location for the folder, right-click the spot where you want to place the folder, and then click Paste.

Related Topics

About standard and enhanced folders
About document management and publishing


Create or Delete Category

Create or Delete Category

Create or Delete a Category

  1. Click Site Settings on the title bar of the portal site and in the Manage Portal Navigation and Structure section, click Manage categories.

    – or –

    Click Edit Page on the Actions pane and click Manage Portal Site on the More Actions pane.

  2. Do one of the following:

    To create a category

    1. On the Actions pane, click Create Category.
    2. Type a title for the category in the Title box.

      Note the default location of the category

    3. Click Change category to change the default location for this category.
    4. Click OK to apply these changes and exit this window.
    5. Click Cancel to cancel this action and return to the previous window.

    To delete a category

    1. On the portal site map, move the pointer over the category you want to delete and click the arrow.
    2. Click Delete in the list of actions.

      A confirmation window appears.

    3. Click OK to apply these changes and exit this window.
    4. Click Cancel to cancel this action and return to the previous window.
  3. To view your changes, click Return To Site on the title bar of the page.


Create and Manage Lists

Create and Manage Lists

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Create a site

Create a site

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Create a document profile

Create a document profile

The following procedure outlines how to create a document profile for use with documents stored in a backward-compatible document library.

Create a document profile

  1. From the network place, in the document library, open the Management folder.
  2. In the Management folder, open the Document Profiles subfolder.
  3. Double-click Add Document Profile.

    The Add Document Profile Wizard opens.

  4. Provide a descriptive name for the document profile.
  5. Select an existing document profile to use as a template.

    The Base Document Profile is the default template.

  6. Click Next.
  7. Define the properties that make up the fields on the document profile:
    • To select or clear a property to appear on the document profile, click the box next to the property name.
    • To add a new property, click New.
    • To edit the attributes of an existing property, select the property by clicking the property name, and then click Edit.
  8. Click Next.
  9. To choose the order in which the properties appear on the document profile, select a property, and then use the Move Up and Move Down arrows.
  10. Click Next.
  11. Review the settings for your new document profile and click Finish.

When the wizard is complete, the new document profile appears in the Document Profiles folder. The document profile is now available for a coordinator to associate with folders in the workspace. After users associate this document profile with a folder, users can select the document profile from a list when checking in a document or editing the properties of a document.

Related Topics

About document profiles in backward-compatible document libraries
About document management and publishing


Create standard and enhanced folders in the backward-compatible document library

Create standard and enhanced folders in the backward-compatible document library

You can create standard and enhanced folders within the backward-compatible document library directly from the portal site or by using the network place for the backward-compatible document library.

Create a folder from the portal site

  1. On the navigation bar for the portal site, click Document Library.
  2. From the Document Library page, select the location for the new folder.
  3. Click Add Sub-Folder.
  4. Type a unique name for the folder and click Create.

    Note By default, the folder you create inherits all folder settings from its parent folder. Use the Properties page to configure folder settings. The Management folder cannot have subfolders.

Create a folder from My Network Places

  1. By using the network place for the backward-compatible document library, select the location for the new folder.
  2. On the File menu, point to New, and then click Folder.

    Note By default, the folder you create inherits all folder settings from its parent folder. Use the Properties page to configure folder settings. The Management folder cannot have subfolders.

  3. Type a unique name for the folder.
  4. Right-click the folder, and then click Properties.
  5. Click the General tab on the Properties page, and then select or clear the Enable Enhanced Folders check box.
  6. Click OK.

Related Topics

About standard and enhanced folders
About document management and publishing


Create a listing group

Create a listing group

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Create or delete document shortcuts

Create or delete document shortcuts

To create a desktop shortcut to a document, use the Create Shortcut command in the backward-compatible document library.

Create a document shortcut

  1. Right-click the document, and then click Create Shortcut.
  2. Click Yes.

Delete a document shortcut

  1. Right-click the shortcut, and then click Delete.
  2. Click Yes.

Note Deleting a document shortcut deletes the link to the document but does not delete the document from the workspace.


Create Shortcuts to Documents

Create Shortcuts to Documents

Note


Create a site group

Create a site group

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Create a Web folder or Network Place

Create a Web folder or Network Place

To access the backward-compatible document library, you must add a link to the document library by adding a Web folder or a Network Place.

Note Network Places and Web folders are equivalent. In this documentation, if the term Web folders is used and you have a computer running Windows 2000 or Windows XP, then substitute the term My Network Places.

Add a Web folder

  1. In My Computer, double-click Web Folders.
  2. Double-click Add Web Folder.
  3. Follow the instructions in the Add Web Folder Wizard.
  4. To save files to the Web server, drag the files and any supporting folders to the newly created Web folder.

Add a Network Place

  1. In My Network Places, double-click Add Network Place.
  2. Follow the instructions in the Add Network Place Wizard.
  3. To save a file to the Web server, drag it to the new Network Place.

Related Topics

  • About document management and publishing


Add a link to a site

Add a link to a site

For information about completing your task, click the following links:

  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}

If you don't see what you're looking for, you can find more information by clicking Home.


Add a listing

Add a listing

For information about completing your task, click the following links:

  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}

If you don't see what you're looking for, you can find more information by clicking Home.


Add user to area

Add user to area

For information about completing your task, click the following links:

  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}

If you don't see what you're looking for, you can find more information by clicking Home.


Create an area

Create an area

For information about completing your task, click the following links:

  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}

If you don't see what you're looking for, you can find more information by clicking Home.


Create a listing group

Create a listing group

For information about completing your task, click the following links:

  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}

If you don't see what you're looking for, you can find more information by clicking Home.


Create site group

Create site group

For information about completing your task, click the following links:

  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}

If you don't see what you're looking for, you can find more information by clicking Home.


Delete an alert

Delete an alert

For information about completing your task, click the following links:

  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}

If you don't see what you're looking for, you can find more information by clicking Home.


Delete alert results

Delete alert results

For information about completing your task, click the following links:

  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}

If you don't see what you're looking for, you can find more information by clicking Home.


Edit settings for an area

Edit settings for an area

For information about completing your task, click the following links:

  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}

If you don't see what you're looking for, you can find more information by clicking Home.


Edit a listing

Edit a listing

For information about completing your task, click the following links:

  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}

If you don't see what you're looking for, you can find more information by clicking Home.


Edit a listing group

Edit a listing group

For information about completing your task, click the following links:

  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}

If you don't see what you're looking for, you can find more information by clicking Home.


Edit rights for site group on area

Edit rights for site group on area

For information about completing your task, click the following links:

  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}

If you don't see what you're looking for, you can find more information by clicking Home.


Manage listing groups

Manage listing groups

For information about completing your task, click the following links:

  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}

If you don't see what you're looking for, you can find more information by clicking Home.


Manage listings

Manage listings

For information about completing your task, click the following links:

  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}

If you don't see what you're looking for, you can find more information by clicking Home.


Manage portal areas

Manage portal areas

For information about completing your task, click the following links:

  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}

If you don't see what you're looking for, you can find more information by clicking Home.


Manage security settings for an area

Manage security settings for an area

For information about completing your task, click the following links:

  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}

If you don't see what you're looking for, you can find more information by clicking Home.


Manage sites

Manage sites

For information about completing your task, click the following links:

  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}

If you don't see what you're looking for, you can find more information by clicking Home.


Managing Content Sources

Managing Content Sources

For information about completing your task, click the following links:

  • About Content Sources
  • Adding a Content Source
  • Editing a Content Source
  • Deleting a Content Source
  • Starting a Full Update of a Content Source
  • Starting an Incremental Update of a Content Source
  • Stopping an Update of a Content Source
  • Viewing the Gatherer Log for a Content Source

If you don't see what you're looking for, you can find more information by clicking Home.


Move a listing

Move a listing

For information about completing your task, click the following links:

  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}

If you don't see what you're looking for, you can find more information by clicking Home.


Working with a topic

Working with a topic

For information about completing your task, click the following links:

  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}
  • {Insert Link Here}

If you don't see what you're looking for, you can find more information by clicking Home.


Working with Topics

Working with Topics

For information about completing your task, click the following links:

  • Add or edit an alert
  • Add to My Links
  • Edit a category page
  • About Topics

If you don't see what you're looking for, you can find more information by clicking Home.


Customize approval e-mail text

Customize approval e-mail text

As a coordinator on a folder in a backward-compatible document library, you can customize the approval e-mail text Microsoft SharePoint Portal Server "v2.0" Beta 2 sends to approvers to inform them that a document is awaiting their approval. You specify the text of the e-mail by using the Approval tab of the Properties page for the specific folder.

Customize approval e-mail text

  • By using the network place for the backward-compatible document library, right-click the folder you want to configure, and then click Properties.
  • Click the Approval tab, and then select an approver from the list.
  • Click Set E-mail.
  • Type the approver's e-mail address, and then click OK.

    Note This is recommended, but not required. If you do not provide an e-mail address, users only see alerts for approval requests on the dashboard site, and do not receive the approval e-mail. The approver address, if entered, should be a full SMTP address (for example, user_name@example.com).

  • Type comments you want to include in the approval e-mail.
  • Click OK twice.

    SharePoint Portal Server "v2.0" Beta 2 sends an approval e-mail message with your comments to the approvers on the list when a document is ready for their approval.

Note You can make changes to a folder approval process, but the changes take effect only for documents submitted for approval after the changes are made. Changes to the approval process do not affect documents already pending approval.

Related Topics

About the approval process
About document management and publishing


Delete an alert

Delete an alert

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Delete alert results

Delete alert results

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Delete all alerts and alert results

Delete all alerts and alert results

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Delete a Document

Delete a Document

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Notes


Delete a document profile

Delete a document profile

You can delete a document profile by using the Delete command in the backward-compatible document library.

Important Document profiles are common across the backward-compatible document library. Any changes you make affect the use of that profile across the whole document library. If you delete a document profile, you remove it entirely from the document library. You cannot restore deleted document profiles. Microsoft SharePoint Portal Server "v2.0" Beta 2 reclassifies documents that used the deleted profile with the default profile for the folder in which they are stored.

Delete a document profile

  1. By using the network place for the backward-compatible document library, open the Management folder, and then open the Document Profiles folder.
  2. Right-click the document profile with which you want to work, and then click Delete.
  3. Click Yes.

Related Topics

About document profiles in backward-compatible document libraries
About document management and publishing


Delete or rename a folder in the backward-compatible document library

Delete or rename a folder in the backward-compatible document library

If you are coordinator on a folder in the backward-compatible document library, you can delete or rename a folder directly from the portal site or from a network place.

Delete or rename a folder from the portal site

  1. On the navigation bar for the portal site, click Document Library.
  2. On the Document Library page, open the folder you want to delete or rename.
  3. Do one of the following:
    • To rename the folder, click Rename, type the new name for the folder, and then click Save.
    • To delete the folder, click Delete, and then click OK.

Delete or rename a folder from a network place

  1. In the backward-compatible document library, right-click the folder that you want to delete or rename.
  2. Do one of the following:
    • To delete the folder, click Delete, and then click Yes.

      If the folder is an enhanced folder, make sure the folder is empty. You cannot delete an enhanced folder that contains documents.

    • To rename the folder, click Rename, type a new name for the folder, and then press ENTER.

Related Topics

About standard and enhanced folders
About document management and publishing


Edit or delete a property from a document profile

Edit or delete a property from a document profile

You can only delete a property if it is no longer associated with any document profile in the backward-compatible document library. If you delete a property from the document profile, it no longer appears on any document profile.

Note After you delete a property, you cannot restore it. You cannot delete system properties.

Edit or delete a property from a document profile

  1. By using the network place for the backward-compatible document library, open the Management folder, and then open the Document Profiles folder.
  2. Right-click the document profile with which you want to work, and then click Properties
  3. Click the Properties tab.
  4. Click Select Properties.
  5. Do one of the following:
    • Click the property that you want to edit and then click Edit.

      To edit the document profile description, make the necessary changes in the Description box. Select or clear the Require users to enter a value for this property check box to indicate whether users must enter a value. To edit values for a List property, click Edit Values, and then make the necessary changes.

    • Click the property that you want to delete, click Delete and then click Yes.

      Note To remove the property from the document profile, clear the check box for the property. The property is not available to any document profile if you delete it.

  6. Click OK twice.

The property that you selected no longer appears on the document profile, and it is not available to any other document profiles in the document library.

Related Topics

About document profiles in backward-compatible document libraries
About document management and publishing


Delete a Network Place

Delete a Network Place

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Notes


About settings for the backward-compatible document library

About settings for the backward-compatible document library

You can manage the following settings for the backward-compatible document library:

  • General Settings This includes specifying a description of the document library, providing a contact name and e-mail address, and limiting the number of document versions retained.
  • Security Settings This includes adding users to and removing users from the document library and specifying membership in site groups that apply across the entire document library.
  • Document Profiles This includes adding and managing document profiles and properties.

To change these settings, in the document library, open the Management folder, and then double-click Workspace Settings. You can also change these settings directly from the portal site. To do this, on the title bar of the portal page, click Site Settings, and then click Change Document Library Settings.

Related Topics

Change settings for the backward-compatible document library
About document management and publishing


About My Network Places and Web folders

About My Network Places and Web folders

A network place is a shortcut to a Web server or other resource accessible from a network. You can use network places to store documents and to publish documents for viewing in Web browsers. To use this feature, your Web server must support network places. Check with your system administrator or Internet service provider to see whether your Web server supports network places.

Note Network places and Web folders are equivalent. In this documentation, if the term Web folders is used and you have a computer running Microsoft Windows 2000 or Windows XP, substitute the term My Network Places.

You can view files and folders on Web servers just as you view files and folders on network file servers. The difference between the two is that when you save a file to a network place, you save the file on a Web server and not on your computer's hard disk. When you view the contents of a network place, you see a list of files and folders stored in that network place.

You can manage the files and folders on a Web server just as you do in Microsoft Windows Explorer. However, before you can do so, you must make sure that the Web server you are working with supports network places, and you must also have read and write access to the Web server. Contact your network administrator for information about available Web servers and how to access them.

For more information about network places and Web server requirements, see Microsoft Windows Help.

How do I use Web folders to access SharePoint Portal Server "v2.0" Beta 2?

Backward-compatible document libraries are network places on a server running Microsoft SharePoint Portal Server "v2.0" Beta 2. Each backward-compatible document library has a unique set of properties and an associated portal site. Backward-compatible document libraries retain basic network place functions and offer additional document management tools. These tools include:

  • Commands for document management, such as Check In and Check Out.
  • Commands for document publishing and approval, such as Publish, Approve, and Reject.
  • The ability for coordinators to add and manage document profiles so that authors can define their documents by using metadata.
  • Enhanced views that display extended information about selected items.
  • A selection of related document management features that includes role-based security, version history of documents, and publishing settings by folder.

Related Topics

About document management and publishing


Manage security for a backward-compatible document library

Manage security for a backward-compatible document library

If you are the coordinator for a backward-compatible document library, you can add or remove users from roles for the document library level and for the individual folders on a folder-by-folder basis.

Note Security settings on individual folders determine what users see in the document library. This means that a user assigned a role at the document library level may not have the same role at the folder level.

Add a user at the document library level

  1. In the document library, open the Management folder, and then double-click Workspace Settings.
  2. On the Properties page, click the Security tab.
  3. Clear the Use parent folder's security settings check box.
  4. Click Add, select one or more users to add to the list of users, and then click OK.
  5. In the Role list, click the role to which you want to assign the user.
  6. Click OK.

Notes

  • By default, a user is automatically assigned to the role of reader.
  • If you have a list of users who are all members of the same domain, you can save time by adding the domain group instead of adding each user individually. If you add a new user to the group later, the new user automatically acquires the permissions of the group.

Add a user at the folder level in a document library

  1. In the document library, right-click the folder to which you want to add users, and then click Properties.
  2. On the Properties page, click the Security tab.
  3. Clear the Use parent folder's security settings check box.
  4. Click Add, select one or more users to add to the list of users, and then click OK.
  5. In the Role list, click the role to which you want to assign the user.
  6. Click OK.

Notes

  • By default, a user is automatically assigned to the role of reader.
  • If you have a list of users who are all members of the same domain, you can save time by adding the domain group instead of adding each user individually. If you add a new user to the group later, the new user automatically acquires the permissions of the group.

Change a user's role

  1. On the Properties page for the document library or one of its folders, click the Security tab.
  2. Clear the Use parent folder's security settings check box.
  3. Select one or more users.
  4. In the Role list, click the role to which you want to assign the user.
  5. Click OK.

Deny access to a specific document

You can prevent a user from viewing a specific document by editing the properties of the document. On a document-by-document basis, you can deny access to any user that has at least reader access to the folder.

  1. On the Properties page for the document, click the Security tab.
  2. Select one or more users.
  3. Click Deny.
  4. Click OK.

Remove a user

  1. On the Properties page for the document library or one of its folders, click the Security tab.
  2. Clear the Use parent folder's security settings check box.
  3. Select one or more users.
  4. Click Remove.
  5. Click OK.

Related Topics

About document management and publishing
About settings for the backward-compatible document library


Edit a category page

Edit a category page

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Edit Folder Properties

Edit Folder Properties

If you are a coordinator on a folder, use the Properties page to change the following folder settings:

  • General You can use this tab on the Properties page to enable or disable enhanced folder settings and to view the general properties of the folder.

    Note You cannot enable or disable enhanced folder settings for a folder that contains documents. If you want to change this setting, you must first remove all documents from the folder.

  • Security You can use this tab of the Properties page to add and remove users, to assign users with roles, and to configure folder security inheritance settings.
  • Document Profiles You can use this tab of the Properties page to select which document profiles to allow in an enhanced folder (standard folders allow all document profile types), and to select the default profile to apply to all documents placed in the folder that do not already have a profile assigned.
  • Approval You use this tab on the Properties page only with enhanced folders. You can use this tab to add and remove approvers, select the approval process routing path, and provide comments for the e-mail sent to approvers that notifies them that a document is awaiting their approval.

    Subfolders do not inherit approval routes from parent folders. You must configure these settings separately for each folder. Depending on the inheritance settings on the folder, security settings can be inherited, and the security can change dynamically as the roles on the parent folder change.

Edit folder properties

  1. In the document library, right-click the folder you want to configure, and then click Properties.
  2. Click the appropriate tab to display the property you want to edit.

Related Topics

  • About document management and publishing


Edit a listing group

Edit a listing group

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Edit Multiple Document Profiles

Edit Multiple Document Profiles

SharePoint Portal Server "v2.0" Beta 2 associates every document in a backward-compatible document library with a document profile.

Note When you check in multiple documents, the check-in form appears in bulk edit mode. This means that all the fields on the form are blank. Any information you enter in the document profile is applied to all the documents that you are checking in. If you leave any (or all) fields blank, those fields are not changed on the individual documents.

  1. In the backward compatible document library, locate the documents of which you want to edit the profiles by using the network place.

    Note If the documents are in an enhanced folder, you must check them out before you can edit their profiles.

  2. Select the documents, right-click one of them, and then click Edit Profile.
  3. A bulk-edit profile form appears. Complete the Version Comments and make any necessary changes to the document profile. SharePoint Portal Server "v2.0" Beta 2 applies this document profile to all the documents that you have selected.
  4. Click OK.

Related Topics

  • About document management and publishing


Edit rights for site group on category

Edit rights for site group on category

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Edit settings for a listing

Edit settings for a listing

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Edit the Workspace Description

Edit the Workspace Description

Note OBSOLETE TOPIC -- see Changing Document Library Settings


Enable Enhanced Folder Settings

Enable Enhanced Folder Settings

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Notes


Excluding File Types

Excluding File Types

You can exclude a list of file types from the index. All files with a file extension in the list of excluded file types will be excluded from the index. For more information, see About File Types for Search.

Exclude file types

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the Content Indexing Status and General Settings, click Manage file types.
  3. On the Exclude and Include File Types page, rest the pointer on the content index name, and then click the arrow.
  4. On the menu that appears, click Exclude File Types.


Microsoft SharePoint Products and Technologies documentation

Microsoft SharePoint Products and Technologies documentation Microsoft SharePoint Portal Server Help Resources

View the following links for additional information and help with Microsoft SharePoint Products and Technologies.

Help resources

For a list of resources available from the Docs directory of the CD or the Help link on any SharePoint site, see Microsoft SharePoint Portal Server "v2.0" Beta 2 Help.

The following documents are available directly from the CD:

  • Microsoft SharePoint Portal Server "v2.0" Beta 2 ReadMe: Late-breaking and important information related to installation and setup of SharePoint Portal Server, available on the root directory of the CD as Readme.htm
  • Windows SharePoint Services Beta 2 ReadMe: Late-breaking and important information related to installation and setup of Windows SharePoint Services, available in the Docs directory of the CD as STSRead.htm

Web resources

Note You must have Internet access to connect to these resources.

The following resources are available online:

  • Microsoft SharePoint Products and Technologies Assistance Center: A Web site that provides centralized collection of documentation resources for all SharePoint products and technologies, including late-breaking news and updated information
  • Microsoft SharePoint Products and Technologies Web site: A Web site that provides information about all SharePoint products and technologies
  • Microsoft Product Support Services: Microsoft Help and Support Services for all products
  • Microsoft SharePoint Portal Server on Microsoft TechNetMicrosoft SharePoint Portal Server on Microsoft TechNet: Resources for administrators about SharePoint Portal Server on TechNet
  • Windows SharePoint Services and SharePoint Team Services from Microsoft on TechNet: Resources for administrators about Windows SharePoint Services Beta 2 and SharePoint Team Services on TechNet
  • Microsoft SharePoint Portal Server on MSDN: Resources for developers about SharePoint Portal Server on the Microsoft Developer Network

Tours and tutorials

The following resourceis available directly from the portal site:

  • SharePoint Portal Server Quick Start Guide: A step by step tutorial that shows you how to build your portal site using Microsoft SharePoint Portal Server

    Note This guide is available on the default home page of any portal site.


Import Existing Document Folders

Import Existing Document Folders

You can drag existing folders containing documents from your computer to the Documents folder in the document library. When you add a subfolder to the document library, the subfolder inherits all folder settings from its parent folder except approval process settings. For example, if the target folder is a standard folder, the folder you drag in becomes a standard folder also. However, subfolders do not inherit approval process settings. You must configure approval settings for each new folder.

Import an existing folder

  1. Open Web Folders and then open the document library.
  2. Select a folder within the document library as the target for the folder you are importing.
  3. Drag the folder or folders from your computer to the workspace, and then drop them into the target folder.

Related Topics

  • About document management and publishing


Including File Types

Including File Types

You can include a list of file types in the content index. All crawled files with a file extension in the list of included file types will be included in the index. For more information, see About File Types for Search.

Include file types

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure Search and Indexing page, in the General Content Settings and Indexing Status, click Include File Types.
  3. On the Exclude and Include File Types page, rest the pointer on the content index name, and then click the arrow that appears.
  4. On the menu that appears, click Include File Types.


Installing BizTalk Adapter for Web Services

Installing BizTalk Adapter for Web Services

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Installing Microsoft BizTalk Server

Installing Microsoft BizTalk Server

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Installing the Client for Lotus Notes

Installing the Client for Lotus Notes

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Limit the Number of Document Versions Retained

Limit the Number of Document Versions Retained

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Notes


Manage alerts settings

Manage alerts settings

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Manage Categories

Manage Categories

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.


Manage Compound Documents

Manage Compound Documents

Note


Manage content for a category

Manage content for a category

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Manage security settings for a category

Manage security settings for a category

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Manage sites

Manage sites

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Managing Anonymous Access Settings

Managing Anonymous Access Settings

You can allow or deny anonymous users and authenticated users access to your portal site.

Manage anonymous access settings

  1. On the Site Settings page, in the Manage General Settings section, click Manage security and additional settings.
  2. On the Manage Security and Additional Settings page, in the Users and Permissions section, click Manage anonymous access.
  3. On the Change Anonymous Access Settings page, do one of the following:
    • To allow anonymous users to access areas and content on your portal site, clickAreas and content.
    • To allow anonymous users to access areas and content on your portal site and to perform searches, clickAreas, content and search.
    • To prevent anonymous users from accessing anything on your portal site, clickNothing.
  4. Click OK.


Managing content in portal categories

Managing content in portal categories

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Managing Documents

Managing Documents

OBSOLETE--this should be a category


Managing Files on a Web Server

Managing Files on a Web Server

OBSOLETE: See Save a Copy of a File to a Web Folder View, Manage the Contents of Web Folders


Managing Folder Settings

Managing Folder Settings

OBSOLETE: see Edit Folder Properties


Managing the Workspace

Managing the Workspace

OBSOLETE--this should be a category


Managing Users

Managing Users

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Related Topics

Granting Access to the Portal
Editing Rights for a Site Group


Change Document Library Settings

Change Document Library Settings

Each portal can have only one backward-compatible document library associated with it. To change the settings for a document library from the site settings page, do the following:

  1. On the Site Settings page, in the Manage Portal Document Libraries section, click Change document library settings.

  2. Edit document library name and description

    In the Name and Description section, you can change the following:

    1. In the Document library friendly name box, type the friendly name for the library that you are creating.

      Note The friendly name cannot exceed 100 characters in length.

    2. In the Document library description box, type the description for the document library.

  3. Edit contact name and e-mail address

    In the Document Library Contact section, you can change the following:

    1. In the Contact name box, type the name of the user or group to which you are assigning overall responsibility for the document library.
    2. In Contact e-mail address box, type the e-mail address for the contact.

      The contact e-mail address can be that of an individual user or a group. This e-mail address will be used as the reply-to address for e-mail messages sent by the document library during document approval routes.

    3. Click OK.

  4. Limit number of document versions retained

    In the Document Versions section, you can change the following:

    1. To limit the number of previous major versions of a document to retain when the document is approved, select the Specify version limit check box, and then type a limit in the Number of versions to retain box.

      Note This setting does not affect the number of minor versions retained.

Related Topics

  • About document management and publishing


Modify Membership of a Site Group

Modify Membership of a Site Group

Note


Modify shared Web Parts

Modify shared Web Parts

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Move a listing

Move a listing

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Move an area

Move an area

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Move a document

Move a document

You can move a document from a folder to a different standard or enhanced folder, or to a folder outside the portal site, such as a folder on your computer. In each case, the information that remains with the document depends on the location to which you move the document and your role on the folder. When a document is moved, the original document is removed from the source folder.

Standard folder. Metadata (the set of properties and values used to describe a document) from the profile form remains with the document. If the document type conflicts with allowable document profiles in the destination folder, the default document profile for the destination folder is applied to the document.
Enhanced folder. The document appears in the destination folder in a checked-out state. All information in the document profile and Properties page, including the document version history, remains with the document. If the document type conflicts with allowable document profiles in the destination folder, the default document profile for the destination folder is applied to the document.
Local folder. Only basic metadata, such as title, author, and description, remains with the document.

Move a document

  1. If the document is in an enhanced folder, ensure that the document is checked in.
  2. Right-click the document, and then click Cut.
  3. Right-click the destination folder, and then click Paste.

Related Topics

  • About document management and publishing


Open and edit a document

Open and edit a document

You can open and any file in the document library from the portal site, Windows Explorer, or a Microsoft Office application.

When you save a document in a standard folder, you automatically publish any changes that you made to that document. The document is available for users with appropriate permissions to view on the portal site.

To save changes to a document in an enhanced folder, you must first check out the file. If you have checked out the document, you can open the file and save changes to it. You must check in your document to use the enhanced document management features. If the document is checked out, a coordinator or author on the folder can open the latest draft version in read-only format. All other readers can open the last public version of the document in read-only format.

To open a document, choose one of the following:

By using Windows Explorer

Choose one of the following:

  • Right-click the document, and then click Open.
  • Double-click the document.

By using the portal site

  • Click the document.

The document opens in your Web browser. Unless you have checked out the document, it opens in read-only mode.

Note You can see only those documents and folders for which you have at least read access permissions.

By using an Office application

  1. On the File menu, click Open.
  2. In the Open dialog box, click the Web folders button.
  3. Click the Web folder for the workspace that contains the document that you want to view, and then click Open.
  4. Click the document that you want to view, and then click Open.

Unless you have checked out the document, it opens in read-only mode.

Related Topics

  • About document management and publishing


Pre-Installation Requirements

Pre-Installation Requirements

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

This section will include information such as the SQL persmissions required before running setup.


Provide a document profile description

Provide a document profile description

You can provide a description for each document profile by using the Properties page of the specific profile. The description provides users with information about the document profile, and helps them determine whether the document profile appropriately describes the documents with which they are working.

Provide a document profile description

  1. By using the network place for the backward-compatible document library, open the Management folder, and then open the Document Profiles folder.
  2. Right-click the document profile with which you want to work, and then click Properties.
  3. Click the General tab.
  4. In the Description box, type a description for the document profile.
  5. Click OK.

Related Topics

About document profiles in backward-compatible document libraries
About document management and publishing


Publish documents in the backward-compatible document library

Publish documents in the backward-compatible document library

You can publish a document stored in the backward-compatible document library. The results of publishing a document vary according to whether the document is stored in a standard or enhanced folder that has an approval process configured. If the document is stored in a standard folder or an enhanced folder with no associated approval process, it is published immediately and users with the appropriate permissions can search for and view the document on the portal.

If the coordinator has configured an approval process on the folder in which the document resides, the document is now pending approval. Microsoft SharePoint Portal Server "v2.0" Beta 2 sends an approval e-mail to each approver when you choose to publish a document. Approvers can approve or reject a document while it is undergoing an approval process. After a document is approved, it is automatically published. Users with the appropriate permissions can search for and view the document on the portal. If an approver rejects a document, it returns to a checked-in state in the document library.

Check in a document

Publish documents from the portal site

  1. On the navigation bar of the portal site, click Document Library.
  2. On the Document Library page, locate the document that you want to publish.

    It may be available from a list in the Document Library view, or it may be located in a subfolder. If the document is located in a subfolder, open that folder to display its contents.

  3. Click Show Actions for the document.

    The Document Inspection page opens.

  4. Verify that the correct document is selected and checked in, and then click Publish.
  5. Click OK.

Note If the coordinator has configured an approval process on the folder in which the document resides, the document is now pending approval.

Publish documents from Microsoft Office 11 (Beta)

  1. From the File menu, click Check In.
  2. In the check-in section of the form, select the Publish this document after check in check box.
  3. Add check-in comments and make any necessary changes to the profile form.
  4. Click OK.

Note If the coordinator has configured an approval process on the folder in which the document resides, the document is now pending approval.

Publish documents from a network place

  1. Locate the document that you want to publish.
  2. Ensure that the document is checked in.
  3. Right-click the document, and then click Publish.

Note If the coordinator has configured an approval process on the folder in which the document resides, the document is now pending approval.

Related Topics

About document profiles in backward-compatible document libraries
About document management and publishing


Add a news item to the portal site

Add a news item to the portal site

You can highlight information that is important to all portal users by using headlines for news items. The News category of the portal site provides detailed views of news items and news categories. A news item can be text-based content or a link to an existing news item, such as an article on a news service.

Add a news item

  1. On the primary navigation bar, click News.
  2. In the Select Action pane, click Add News Item.
  3. Complete the required fields and those optional fields you want to use, and then click OK.

Related topics

Add a news item
About News
Target an Item to an Audience
About categories


Add a site link to the portal

Add a site link to the portal

By default, SharePoint Portal Server includes a directory of all sites linked to the portal. From the sites directory, you can view all sites currently associated with the portal, add links to existing Web sites, and create additional Web sites based on Windows SharePoint Services Beta 2. By adding a site link, you make the site available for index and search services.

Add a link to a site

  1. On the primary navigation bar, click Sites.
  2. In the Select Action pane, click Add Link to Site.
  3. Complete the required fields and those optional fields you want to use, and then click OK.

Related Topics

Add link to existing site
About the sites directory
About content sources


Add a Web Part to the page

Add a Web Part to the page

The pages in the portal are Web Part Pages that use Web Parts to combine list data, timely information, useful graphics, and other content into a dynamic presentation. You can customize the layout and content of a Web Part Page by adding, removing, or customizing the Web Parts on it. If the page is shared, all users will see the changes. In addition, you can optionally allow each user to personalize pages. To add Web Parts, you switch to edit mode, and then drag Web Parts to different zones on the page. From the Web Parts library, you can select additional Web Parts from different catalogs.

Add a Web Part

  1. In the Select Action pane, click Edit Page.
  2. On the Modify Shared Page menu, point to Add Web Parts, and then click Browse.
  3. If you want all users to see the new Web Part, verify the Shared View option is selected on the Modify Shared Page menu.
  4. In the task pane, select the library containing the Web Part you want to add.
  5. Under Web Part List in the task pane, drag the Web Part to a zone on the page.

Related topics

About Web Part Pages
About Web Parts
About making changes to a Web Part for all users
About making changes to a Web Part only for myself


Change portal navigation

Change portal navigation

SharePoint Portal Server provides flexibility in managing the category organization and portal navigation. You can quickly change the category structure to suit the needs of your organization by creating additional categories or moving categories to different areas of the portal site.

By default, SharePoint Portal Server creates several top-level categories, such as News and Topics. If you move a category to the top-level under Home, the category displays on the primary navigation bar as a key portal category.

Change the navigation in the portal site

  1. On the title bar of the portal site, click Site Settings.
  2. In the Manage Portal Content section, click Manage Portal Site Structure.
  3. Do any of the following:

    Move an existing category

    • Click the folder for the category or subcategory, and then drag it onto another category's folder or onto the Home icon.

    Create an category

    1. In the Select Action pane, click Create Category.
    2. Complete the required fields and any optional fields you want to use.
    3. If you want the category to appear someplace other than the top Home level, in the Category section, click Change category, select the category, and then click Save.
    4. Click OK.

Related topics

About categories
Create or delete a category
Manage categories
About the portal site
About portal site management


Change the portal title, description, logo, or site creation location

Change the portal title, description, logo, or site creation location

SharePoint Portal Server "v2.0" Beta 2 allows you to quickly customize the branding for your portal site. You can change the title, description, logo, and the URL for creating sites based on Windows SharePoint Services Beta 2.

Change the portal title, description, logo, or site creation location

  1. On the title bar of the portal site, click Site Settings.
  2. In the Manage General Settings section, click Change portal site logo, title and site creation page location.
  3. Complete the required fields and those optional fields you want to use, and then click OK.

Related Topics

About Web Parts
About Web Part Pages


Create a category

Create a category

SharePoint Portal Server uses categories as the primary method for organizing the portal site. By default, a category inherits the security settings of its parent category and uses a specific template based on its location in the portal.

Create a category in the portal site

  1. Click Site Settings on the title bar of the portal site.
  2. In the Manage Portal Content section, click Manage portal site structure.

Related topics

Create or delete a category
About categories
About the portal site
About portal site management
Manage categories


Create a list in the portal

Create a list in the portal

You can add SharePoint lists to portal pages. A list is a collection of information that you share with others. For example, you could create a sign-up sheet for an event, a list of ideas, or a list of links to useful Web sites. You can create a custom list or select one of the predefined list types, such as a form library, contacts, tasks, discussion boards, surveys, and link lists.

You can use the lists as defined or you can modify them. You can also delete lists that you don't use. You can optionally display a list in a Web Part on one or more pages.

Create a list:

  1. On the title bar of the portal site, click Site Settings.
  2. In the Manage Portal Content section, click Manage top-level lists and document libraries.
  3. On the Documents and Lists page, click Create.
  4. Click the type of list, library, or other feature you want to create.
  5. Complete the required fields and those optional fields you want to use.

Related Topics

Add a Web Part to the page
About lists
About the List View Web Part
Add a list or library to a category


Create a SharePoint site from the portal

Create a SharePoint site from the portal

By default, Microsoft SharePoint Portal Server enables you to create Web sites based on Microsoft Windows SharePoint Services Beta 2 directly from the portal. These sites provide a place where your team can communicate, share documents, and work together on a project. By default, each site template features a custom set of collaboration features from Windows SharePoint Services Beta 2.

SharePoint Portal Server includes a diverse collection of templates to meet business needs. You can choose from several templates to create a Web site that best suits the project. For example, you can create Document Workspace sites to facilitate document collaboration, Meeting Workspace sites to facilitate meeting planning and follow-up, sites for collorating on specific projects, and more.

You can also create personal sites, called My Site. Your personal site is created the first time you click the My Site link on the portal home page.

Create a SharePoint Team Services-based Web site in the portal

  1. On the primary navigation bar, click Sites.
  2. Under Select Action, click Create Site.
  3. Complete the fields, and then click Create.

Related topics

About the sites directory
Add link to existing site
About SharePoint sites
About Microsoft Windows SharePoint Services Beta 2


Create page template

Create page template

Note This topic is obsolete and is scheduled to be removed from the Quick Start guide.

You can create custom page templates for use with the portal site. After creating a new page template, you can choose it from the list of available templates for use with a specific category and associated subcategories.

Create a custom page template

  1. On the title bar of the portal site, click Site Settings
  2. In the Manage Portal Content section, click Manage Lists.
  3. On the toolbar, click Create to select from a list of predefined pages or to create a custom page.
  4. In the Web pages section, click SmartPage and follow the instructions.

Change the page template for a category

  1. Move to the category for which you want to apply the custom template and click Edit Page.
  2. In the More Actions pane, click Edit Category Details.
  3. Click the Page tab to view and change page template information.

Related topics

  • Change a category page template
  • About SmartPage templates


Give users access to the portal

Give users access to the portal

When you set up a Web site, you need a way to specify who has access to it. Microsoft SharePoint Products and Technologies gives you the ability to control site access with site groups.

Site groups offer a flexible and secure method to control access to different types of content. Users who have the same rights are grouped together in a site group, similar to a local Windows security group. You can specify which of your users can perform specific actions in your site by assigning them to the appropriate site groups.

Assign a user to a site group:

  1. On the title bar of the portal site, click Site Settings.
  2. In the Manage General Settings section, click Manage users.
  3. On the Manage Users page, click Add Users.
  4. Enter the user and select the site group you want to assign them to.
  5. Complete the remaining fields.

Related Topics

Grant Access to the Portal
About user rights
Configuring Portal Security
About group-based security in SharePoint Portal Server


Add user information with user profiles

Add user information with user profiles

User profiles allow you to search for and connect with people within your organization. User profile information is also used to generate a personal site in the portal for individual users. Users can personalize their view of this Web site, called My Site.

User profile information is also used by index and search services to improve search results. You can import user profile information directly from Active Directory directory services. You also have the option to enter user information manually. The page that's used for creating a user profile can be customized to meet the needs of your organization or to map to Active Directory data.

Import User Profiles

  1. On the title bar of the portal site, click Site Settings.
  2. In the Manage User Profiles and Audiences section, click Manage user profiles.
  3. On the Manage Profile Database page, click Configure import settings.
  4. In the User Set section of the Configure Import Settings page, under Select users from, select the Active Directory for the desired set of users. Click OK.
  5. On the Manage Profile Database page, click Start full import.

Add User Profile

For users who aren't imported from Active Directory, you can add user profiles manually.

  1. On the title bar of the portal site, click Site Settings.
  2. In the Manage User Profiles and Audiences section, click Manage user profiles.
  3. On the Manage Profile Database page, click Add user profile.
  4. Type values for the required properties and any optional properties you want to include for this user.
  5. On the toolbar, click Save and Close.

Add Profile Properties

If the default user profile page doesn't include all of the properties you want to show for each user, you can add additional properties.

  1. On the title bar of the portal site, click Site Settings.
  2. In the Manage User Profiles and Audiences section, click Manage user profiles.
  3. In the Profile Properties section of the Manage Profile Database page, click Add profile property.
  4. Complete the required fields and those optional fields you want to use, and then click OK.

Related Topics

Importing User Profiles
Adding and Editing User Profiles
Adding and Editing Profile Properties
About User Profiles
About My Site


Remove the Portal QuickStart Guide Web Part

Remove the Portal QuickStart Guide Web Part

The Portal Quick Start Guide Web Part is intended to provide an introduction to initial site configuration and management tasks. Before introducing the new portal to users, it is recommended that you remove the Portal Quick Start Guide from the default home page.

Note You must be a member of the administrator site group to remove this Web Part.

Remove the Portal Quick Start Guide Web Part:

  1. In the Select Action pane on the Home page, click Edit Page.
  2. On the Modify Shared Page menu, verify Shared View is selected, and then click Design This Page.
  3. Click the down arrow in the title bar of the Portal Quick Start Guide Web Part, and then click Delete.

    Note You can also choose to export the Web Part to a different location or add it to the Web Part Gallery.

  4. Click OK to exit and save changes.

Related Topics

Modify Web Parts
About Web Parts
About Web Part Pages
About Web Part Page templates


Target content to an audience

Target content to an audience

SharePoint Portal Server enables you to target content to specific groups of portal users according to their membership in a particular audience. Audiences allow organizations to target content to users based on their job or task.

By default, SharePoint Portal Server includes an audience called all portal users. In addition to this audience, you can create other audiences to identify groups of portal users, such as departments or Microsoft Windows NT groups. An audience can span one or more portals in a deployment.

After you create audiences, you can then target portal content for viewing by one or more specific audiences. By default, you can display targeted content on the home page and on My Site.

The process for targeting content requires that you first create an audience (unless one already exists that you can use). Then, you target an item, such as a document or news item, to one or more audiences. <Third, you need to store the targeted item in a category that uses the Targeted Content Web Part, called Links for You.>

Add audience:

  1. On the title bar of the portal site, click Site Settings.
  2. In the Manage User Profiles and Audiences section, click Manage audiences.
  3. On the Manage Audiences page, click Add audience.

Target an item to an audience:

  1. On the title bar of the portal site, click Site Settings.
  2. In the Manage Portal Content section, click Manage portal site structure.
  3. In the portal site map, select an item to target.

    Note You must select a specific item, such as a document or news item. Selecting a category will not work, as content is targeted by item and not by category. The default view displays only categories, so change Filter By to All.

  4. In the menu that appears for the item, click Edit.
  5. Click the Display tab.
  6. On the Display tab, under Audience, select the audience you want from the available audiences list, and then click Add.

    Note If the list of available audiences is long, you can type the audience name into the Find text box to go directly to the audience in the list.

  7. Click OK.

Show targeted items to users:

  1. On the title bar of the portal site, click Site Settings.
  2. In the Manage Portal Content section, click Manage portal site structure.
  3. Select the item you have targeted to an audience.
  4. Do one of the following:

    To show the item in the News for You Web part of My Site

    Drag the targeted item to the News category or one of its subcategories.

    To show the item on the default portal page

    • Drag the targeted item to the Home category.

Related topics

Use Audiences to Target Content
Manage Audiences
About Audiences


Reject content

Reject content

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Reject a Document

Reject a Document

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Notes


Remove an Approver

Remove an Approver

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Notes


Remove a published document

Remove a published document

Occasionally, you may need to remove a published document from public view. There is no un-publish command available. However, you can effectively remove a document from public view while keeping a version of the original document in the backward-compatible document library. To do this, create a copy of the document in another location, and then delete the original. This removes the published document from the document library and public view. Next, place the copy that you made of the document in the original folder. Microsoft SharePoint Portal Server "v2.0" Beta 2 treats this document as a new, unpublished document. All prior version history is lost. SharePoint Portal Server "v2.0" Beta 2 removes the "published" status from the document, but makes an unpublished copy available for private view.

Note To change a portion of the content of a published document, you can check the document out, make the necessary changes, and then republish it. Note that, in this case, the original published copy of the document remains available for searching and viewing on the dashboard site until the newer version of the document is approved (if appropriate) and published.

Remove a published document from public view

  1. Locate the document for which you want to remove from public view by using the network place for the backward-compatible document library.
  2. Right-click the document, and then click Copy.
  3. Locate a folder where you can temporarily store a copy of the document. Right-click that folder, and then click Paste.

    Verify that the document is copied to the folder. If you copied the document to an enhanced folder, its document status is checked out.

  4. Right-click the original, published document in the original folder, and then click Delete
  5. Click Yes.
  6. Locate the copy of the document that was made in step 3 of this procedure. Right-click the document, and then click Cut.
  7. Right-click the document's original folder, and then click Paste.

    Verify that the document is copied to the folder. Its status is checked out.

You can continue to work with the document now, or check it in to make it available for other folder users to work with. The published version of the document is removed from the document library and portal users can no longer search for or view it. If you want portal users to be able to view the document, you must publish it again.

Related Topics

  • About document management and publishing


Remove a User

Remove a User

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Notes


Rename documents in the backward-compatible document library

Rename documents in the backward-compatible document library

You can rename documents in the backward-compatible document library directly from the portal site or by using the network place to access the backward-compatible document library.

Note You cannot rename a document from the portal site if it is submitted for publishing and has a status of Pending Approval.

Rename documents from the portal site

  1. On the navigation bar for the portal site, click Document Library.

    Note If the document is already published, you can also find the document by using search. In this case, click the link to the folder that contains the document to locate the document.

  2. On the Document Library page, locate the document you want to rename.

    Note The document may be available from a list on the Document Library page, or it may be located in a subfolder. If the document is located in a subfolder, open that folder to display its contents.

  3. Click Show Actions for the document.
  4. Verify that the correct document is selected, and then click Rename.
  5. Type a unique name for the document and click Save.

Rename documents from a network place

  1. By using the network place for the backward-compatible document library, locate the documents you want to rename.
  2. Right-click the document you want to rename, and then click Rename.
  3. Type a unique name for the document and the press ENTER.

Related Topics

About standard and enhanced folders
About document management and publishing


Rename a Folder

Rename a Folder

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Notes


Save a copy of a file to a Web folder

Save a copy of a file to a Web folder

You can manage files in the backward-compatible document library by using Web folders.

  1. Add a Web folder by using Windows Explorer or by using the Open or Save As dialog box from the File menu in Word.
  2. Click Create New Folder to start the Add Web Folder Wizard.
  3. After you add the Web folder, you can save files and other folders to that location on the Web server.

Related Topics

  • About document management and publishing


Search the Sites Directory

Search the Sites Directory

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Select a document profile

Select a document profile

To use document profiles to restrict the types of documents that users can include in folders, you must select at least one document profile to assocaite with a folder. You can assign more than one document profile to a folder. When you assign document profiles to a folder, only documents matching those document profiles can be stored in that folder.

Select a document profile

  1. Right-click the folder to which you want to apply profiles, and then click Properties.
  2. Click the Profiles tab.
  3. In the Available document profiles list, select one or more document profiles.
  4. In the Use the following profile by default for documents in this folder list, select a default document profile. Microsoft SharePoint Portal Server "v2.0" Beta 2 automatically applies this document profile to all documents in the folder unless the user selects a different, valid document profile.
  5. Click OK.

Related Topics

About document profiles in backward-compatible document libraries
About document management and publishing


Show Targeted Items to Portal Users

Show Targeted Items to Portal Users

To show targeted items to users on the portal, you must add the items to one of the categories that is displayed on the portal using the Targeted Content Web Part.

You may display targeted items in three ways:

  • Any items can be displayed in the Links for you Web Part on My Site.
  • News items can be displayed in the News for you Web Part on My Site.
  • Any items can be displayed on the default home page of the portal.

Whether individual users see items targeted to these locations depends upon whether they are members of the audience to which items are targeted.

Show targeted items to portal users:

  1. On the title bar of the portal site, click Site Settings.
  2. In the Manage Portal Content section, click Manage portal site structure.
  3. Select the item you have targeted to an audience.
  4. Do one of the following:

    To show the item on the Links for You Web Part on My Site

    • Drag the targeted item to the Targeted links on My Site category.

      Note You must drag the icon to the new category, and not the title of the item. After you have dragged the item, the page will refresh after a few seconds. Dragging any item to a new category moves the item. To create another link to the same item, click the category and then click Add Link.

    To show the item in the News for You Web part of My Site

    Drag the targeted item to the News category or one of its subcategories.

    Note You must drag the icon to the new category, and not the title of the item. After you have dragged the item, the page will refresh after a few seconds. Dragging any item to a new category moves the item. To create another link to the same item, click the category and then click Add Link.

    To show the item on the default portal page

    • Drag the targeted item to the Home category.

      Note You must drag the icon to the new category, and not the title of the item. After you have dragged the item, the page will refresh after a few seconds. Dragging any item to a new category moves the item. To create another link to the same item, click the category and then click Add Link.

    If the item is already in one of these locations, then you may not have to move the item. To make sure that the item appears in the location that you intend, see Target an Item to an Audience.

For more information

Add and Edit Audience
Delete Audience
Target an Item to an Audience
About Audiences


Specify automatic approval

Specify automatic approval

To specify whether to approve and publish documents in a folder when a user selects the Publish command, use the Approval tab on the Properties page of the folder.

Select or clear the check box for approving documents

Specify automatic approval

  1. By using the network place for the backward-compatible document library, right-click the folder you want to configure, and then click Properties.
  2. Click the Approval tab.
  3. Select or clear the Documents must be approved before publishing check box.
  4. Click OK.

    Note You can make changes to a folder approval process, but these changes take effect only for documents submitted for approval after the changes are made. Changes to the approval process do not affect documents already pending approval.

Related Topics

About the approval process
About document management and publishing


Specifying Miscellaneous Search Settings

Specifying Miscellaneous Search Settings

In simple search administration mode, you can specify logging settings, sites directory settings, and the search scope for the portal in the shared services scenario.

Specify miscellaneous search settings

  1. On the Site Settings page, in the Manage Search Settings and Indexed Content section, click Configure search and indexing.
  2. On the Configure search and indexing page, in the General Content Settings and Indexing Status section, click the link next to Log settings.


Manage security for a backward-compatible document library

Manage security for a backward-compatible document library

If you are the coordinator for a backward-compatible document library, you can add or remove users from roles for the document library level and for the individual folders on a folder-by-folder basis.

Note Security settings on individual folders determine what users see in the document library. This means that a user assigned a role at the document library level may not have the same role at the folder level.

Add a user at the document library level

  1. In the document library, open the Management folder, and then double-click Workspace Settings.
  2. On the Properties page, click the Security tab.
  3. Clear the Use parent folder's security settings check box.
  4. Click Add and select one or more users to add to the list of users and then click OK.
  5. From the drop-down Role menu, click the role to which you want to assign the user.
  6. Click OK.

Notes

  • By default, a user is automatically assigned to the role of reader.
  • If you have a list of users who are all members of the same domain, you can save time by adding the domain group instead of adding each user individually. If you add a new user to the group later, the new user automatically acquires the permissions of the group.

Add a user at the folder level in a document library

  1. In the document library, right-click the folder to which you want to add users, and then click Properties.
  2. On the Properties page, click the Security tab.
  3. Clear the Use parent folder's security settings check box.
  4. Click Add and select one or more users to add to the list of users and then click OK.
  5. From the drop-down Role menu, click the role to which you want to assign the user.
  6. Click OK.

Notes

  • By default, a user is automatically assigned to the role of reader.
  • If you have a list of users who are all members of the same domain, you can save time by adding the domain group instead of adding each user individually. If you add a new user to the group later, the new user automatically acquires the permissions of the group.

Change a user's role

  1. On the Properties page for the document library or one of its folders, click the Security tab.
  2. Clear the Use parent folder's security settings check box.
  3. Select one or more users.
  4. From the drop-down Role menu, click the role to which you want to assign the user.
  5. Click OK.

Deny access to a specific document

You can prevent a user from viewing a specific document by editing the properties of the document. On a document-by-document basis, you can deny access to any user that has at least reader access to the folder.

  1. On the Properties page for the document, click the Security tab.
  2. Select one or more users.
  3. Click Deny.
  4. Click OK.

Remove a user

  1. On the Properties page for the document library or one of its folders, click the Security tab.
  2. Clear the Use parent folder's security settings check box.
  3. Select one or more users.
  4. Click Remove.
  5. Click OK.

Related Topics

About document management and publishing
About document library settings


Specify Logging Options when Using Simple Search Administration Mode

Specify Logging Options when Using Simple Search Administration Mode

Note


Microsoft SharePoint Portal Server "v2.0" Beta 2 Administrator's Guide Copyright Information

Microsoft SharePoint Portal Server "v2.0" Beta 2 Administrator's Guide Copyright Information

Microsoft® SharePoint™ Portal Server "v2.0" Beta 2 Administrator's Guide Copyright Information

This is a preliminary document and may be changed substantially prior to final commercial release. This document is provided for informational purposes only and Microsoft makes no warranties, either express or implied, in this document. Information in this document, including URL and other Internet Web site references, is subject to change without notice. The entire risk of the use or the results of the use of this document remains with the user. Unless otherwise noted, the example companies, organizations, products, domain names, e-mail addresses, logos, people, places and events depicted herein are fictitious, and no association with any real company, organization, product, domain name, e-mail address, logo, person, place or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2001-2003 Microsoft Corporation. All rights reserved.

Microsoft, MS-DOS, Windows, Windows NT, SharePoint are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.


Index

Index

Note


Glossary

Glossary

A

access control list (ACL) Contains a list of userids or groups and their security permissions. Identifies who can update, modify, or delete an object on a computer or resource on the network.

Active Server Pages (ASP pages) Technology that allows Web developers to combine scripts and HTML code to create dynamic Web content and Web-based applications.

administration port The Internet Information Services (IIS) virtual server and port used for SharePoint Central Administration.

alert A feature that notifies a user by e-mail when there is a change to an item, document, list, or document library on the Web site.

Anonymous authentication Authentication method that provides access to users who do not have user accounts on the server computer.

Anonymous user access The ability to gain access to a Web server on which one does not have an account. Usually, anonymous users have more restricted access rights than users with accounts.

application pool In Internet Information Services (IIS), a grouping of one or more URLs served by a worker process.

approval process The process of reviewing a document before publishing it.

approval route The path through which a document is approved.

approve To accept a submitted item for publication.

approverA user who has permission to approve or reject documents in a specified folder.

approval route The path through which a document is approved.

attributeA behavior, condition, or state described in a property definition.

audienceA custom group used to target content to people based on membership within the group.

authenticationThe process of proving who you claim to be.

AuthorA member of the Author role that allows users to add, change or delete content within the document library to which they have been granted rights.

authorizationAuthorization is the process of determining what a user is permitted to do.

B

Basic authentication Authentication protocol supported by most Web servers and browsers. Transmits the user name and password in clear text.

Best Bet Best Bets enhance search efficiency and provide guidance to users by directing them to documents considered particularly relevant to their search. A Best Bet is a document selected as the best recommendation for a portal category or specific search keyword.

business logic TBD

C

cache A special memory subsystem in which frequently used data values are duplicated for quick access.

category A classification for grouping content by user-defined criteria such as page contents, file types, or a similar distinction.

Category Assistant A tool used to categorize content automatically.

Certificate authentication Also known as Secure Sockets Layer. Authentication method that provides security for TCP/IP connections.

CGI Common Gateway Interface A standard method of extending Web server functionality by executing programs or scripts on a Web server in response to Web browser requests, such as in form processing. Use of CGI can make a Web page more dynamic.

character set A grouping of alphabetic, numeric, and other characters that have some relationship in common. For example, the standard ASCII character set includes letters, numbers, symbols, and control codes that make up the ASCII coding scheme. See also code page.

check inCheck in as a verb is to add or return a document to an enhanced folder.

check outCheck out as a verb is to create a writable version of a document while preventing other users from editing the same document.

check-in formA check-in form appears when a user checks in a document. It contains check-in comments, an option to publish a document, and a drop-down menu for selecting a document profile.

clear text Unencrypted, non-machine dependent, ASCII text in readable form.

code page Ordered set of characters in which a numeric index (code point) is associated with each character of a particular writing system. There are separate code pages for different writing systems, such as Western European and Cyrillic.

code point Numeric value in Unicode encoding or in a code page; corresponds to a character. In the Western European code page, 132 is the code point for the letter ä; however, in another code page, the code point 132 might correspond to a different character.

component settings databaseThe component settings database stores service information for each portal in a deployment.

configuration database The SQL Server or MSDE database that contains the configuration information that applies across all servers in a deployment of SharePoint Products and Technologies such as virtual server information.

configuration property a property that allows an administrator to control Windows SharePoint Services Beta 2 settings.

content database The SQL Server or MSDE database that contains the content for one or more SharePoint sites.

content index The full text index, pointer to the property store, and other data that describes content across content sources, scopes and servers.

content sourceA content source is a starting point for crawling a file system, database, or Web site in order to include content in an index.

Contributor site groupCan submit content to categories and can add content to existing document libraries and lists.

CoordinatorA member of the Coordinator role that allows users to manage all settings or content in the backwarod-compatible document library to which they have been granted rights.

crawlUsed as a verb to isearch content to include it in a content index.

customizationTo change layout, view, content, etc. for a group of users.

D

datasheet viewA view of a SharePoint list that allows you to modify multiple values.

dictionaryA defined list of values for a property.

document profileAuthentication method that transmits user names and passwords in a secure format.

Digest Access authentication Authentication method that transmits user names and passwords in a secure format.

discussion server A computer that stores discussion text and information about the location of the file being discussed.

discussion thread In a discussion board or Web discussions, a series of messages or comments in which replies to a message or comment are nested directly under it, instead of the messages or comments being arranged in chronological or alphabetical order.

Distributed Authoring and Versioning (DAV)An extension to the HTTP protocol, DAV enables a client to perform file system–type operations on a remote server, allowing the creation of Web-based document management applications.

Document library A collection of shared files. A folder where a collection of files is stored and the files often use the same template. Each file in a library is associated with user-defined information that is displayed in the content listing for that library.

document profileDocument profile is a set of properties applied to similar documents within the document library (Web Storage System).

Document Workspace siteA Web site based on the Document Workspace template that workspace members use for discussing, editing, and working together on a document.

draftDocument profile is a set of properties applied to similar documents within the document library (Web Storage System).

E

encryption Method used to scramble the content of a file or data packet to make the data unreadable without the decryption key.

encryption key An encryption key allows credentials information to be encrypted or decrypted.

encryption, 128-bit High level of encryption. Uses a 128-bit key to scramble the contents of a file or data packet to make the data unreadable without the decryption key.

encryption, 40-bit Low level of encryption. Uses a 40-bit key to scramble the contents of a file or data packet to make the data unreadable without the decryption key.

enterprise applicationAn enterprise application is the back-end business application that SPS connects to using the secured application Web Part.

enterprise application integrationThe process of bringing data or a function from an enterprise application together with that of another application.

extend The process of applying Windows SharePoint Services Beta 2 to a virtual server.

extranet An external Web site for an organization; usually secured so that only authorized users can gain access to it.

F

file allocation table (FAT) Common file format of file cataloging for DOS and Windows operating systems; physical method of storing and accessing files from a hard disk. The FAT contains a list of all files on the physical or logical drive.

firewall A security system that uses a proxy server outside of an organization's network to protect the network against external threats, such as from hackers or corrupt files.

FrontPage Server Extensions A set of programs and scripts that support authoring in Microsoft FrontPage and extend the functionality of a Web server.

FTP File Transfer Protocol. Protocol used to gain remote access to a Web server.

full-text index A resource that is compiled to enable full-text search of documents, document properties, and content stored outside the document library but made available through content sources.

G

No entries.

H

home page Main page of a Web site. Usually has hyperlinks to other pages, both within and outside the site.

hyperlink Colored and underlined text or a graphic that you click to go to a file, a location in a file, an HTML page on the World Wide Web, or an HTML page on an intranet. Hyperlinks can also go to newsgroups and to Gopher, Telnet, and FTP sites.

I

Integrated Windows authentication Also known as Windows NT Challenge/Response authentication. Authentication method that encrypts user names and passwords in a multiple transaction interaction between client and server.

Internet The World Wide Web.

Internet Information Services (IIS)Software services from Microsoft that support Web site creation, configuration, and management, along with other Internet functions. Internet Information Services include Network News Transfer Protocol (NNTP), File Transfer Protocol (FTP), and Simple Mail Transfer Protocol (SMTP).

intranet An internal Web site for an organization.

ISAPI Internet Server Application Programming Interface. A Web server application-development interface, developed by Process Software and Microsoft, that can be used in place of CGI.

J

JavaScript A cross-platform, World Wide Web scripting language. JavaScript code is inserted directly into an HTML page. JavaScript makes it possible to build Java programs.

K

No entries.

L

list (interactive list) A Web site component that stores and displays information that users can add to by using their browsers. Requires a Web server that is running SharePoint Team Services.

local administrators group The group of users who have permission to perform administrative tasks on the local server computer. The permissions for this group are set by using the administration tools for the operating system.

locale ID (LCID) A 32-bit value defined by Windows that consists of a language ID, sort ID, and reserved bits. Identifies a particular language. For example, the LCID for English is 1033 and the LCID for Japanese is 1041.

M

Meeting Workspace A Web site based on a Meeting Workspace template that is used for planning, posting and working together on meeting materials, and following up after a meeting or series of meetings.

MSDE Microsoft Data Engine (also known as Microsoft SQL Server Desktop Engine). A data store based on Microsoft SQL Server technology, but designed and optimized for use on smaller computer systems, such as a single user computer or a small workgroup server.

multihosting The ability of a Web server to support more than one Internet address and more than one home page. Also called multihoming.

N

network domain name A group of users in a network who share a common set of shared resources, such as server disk drives and printers. A large network may have several domains based upon the needs of each set of users.

NTFS file system (NTFS) Designed exclusively for use with the Windows NT operating system. NTFS allows for stronger security and more flexible file management methods than does FAT. See also file allocation table (FAT).

O

No entries.

P

personal view A view of a list or document library that is created by a single user and is not visible for other users of the site.

Q

quota A way to specify limits to the amount of storage or number of users a Web site can use.

quota template The specific set of quota limits to apply to a site or to all sites on a virtual server.

quiet installation Also known as unattended installation. An installation run by using the /q command-line option that runs without generating any user prompts.

R

remote host A Web server on a separate server computer. A remote host is connected to other servers by way of a network connection.

right File and folder-level permissions that allow access to a Web site.

role See site group.

S

scripting language A programming language designed specifically for Web site programming. Examples include JavaScript and VBScript.

Secure Sockets Layer A proposed open standard that was developed by Netscape Communications for establishing a secure communications channel to prevent the interception of critical information, such as credit card numbers.

server farm A centralized grouping of network servers maintained by an enterprise or, often, an Internet service provider (ISP). A server farm provides a network with load balancing, scalability, and fault tolerance. Individual servers may be connected in such a way that they appear to represent a single resource.

Setupsts.exe Setup program for Windows SharePoint Services Beta 2.

shared view A view of a list or document library that is available to all users of a site.

site A group of related Web pages that is hosted by an HTTP server on the World Wide Web or an intranet. The pages in a Web site generally cover one or more topics and are interconnected through hyperlinks. Most Web sites have a home page as their starting point.

site collection A set of Web sites on a virtual server that have the same owner and share administration settings. Each site collection contains a top-level Web site and can contain one or more subsites. There can be multiple site collections on each virtual server.

site group A named group of user rights. Users are assigned to site groups to grant them permissions on a SharePoint site.

SMTP mail server An e-mail server that uses the Simple Mail Transfer Protocol. SMTP is available with Windows NT Server 4.0 and Windows 2000 Server.

SQL Server A computer with an installed configuration of Microsoft SQL Server with a configured database.

subsite A named subdirectory of the top-level Web site that is a complete Web site. Each subsite can have independent administration, authoring, and browsing permissions from the top-level Web sites and other subsites.

survey A Web site component that enables users to respond to a set of questions specified by the creator of the survey. Results are tallied in a graphical summary. Requires a Web server that is running SharePoint Team Services.

T

top-level Web site The default, top-level site provided by a Web server or virtual server. To gain access to the top-level Web site, you supply the URL of the server without specifying a page name or subsite.

Telnet Method used to gain remote access to a UNIX Web server.

U

URL Uniform Resource Locator. An address that specifies a protocol (such as HTTP or FTP) and a location of an object, document, World Wide Web page, or other destination on the Internet or an intranet. Example: http://www.microsoft.com/.

usage analysis Data collected to evaluate how a Web site is being used, such as visitor user names, number of visits to each page, and the types of Web browsers used.

user locale Setting that determines formats and sort orders for date, time, currency, and so on. Also known as regional settings.

V

VBScript (Visual Basic Scripting Edition) A subset of the Visual Basic for Applications programming language optimized for Web-related programming. As with JavaScript, code for VBScript is embedded in HTML documents.

vCard The Internet standard for creating and sharing virtual business cards.

virtual server A virtual computer that resides on an HTTP server but appears to the user as a separate HTTP server. Several virtual servers can reside on one computer, each capable of running its own programs and each with individualized access to input and peripheral devices. Each virtual server can have its own domain name and IP address.

W

Web address (or "address") The path to an object, document, file, page, or other destination. An address can be a URL (Web address) or a UNC path (network address), and can include a specific location within a file, such as a Word bookmark or an Excel cell range.

Web discussion Comments that users attach to Web pages and documents. Known in administrative tasks as "Web document discussion" to differentiate from discussion boards. Requires a Web server that is running SharePoint Team Services.

Web farm See server farm.

Web Part A modular unit of information that has a single purpose.

Web Part Page A special type of Web page that consolidates data, such as lists, and Web content, such as text and images, into a dynamic information portal built around a common task or special interest. The basic building block of a Web Part Page is a Web Part.

Web server A computer that hosts Web pages and responds to requests from browsers. Also known as an HTTP server, a Web server stores files whose URLs begin with http://.

workspace A subsite based on the Shared Workspace or Meeting Workspace templates.

X

No entries.

Y

No entries.

Z

No entries.


Placeholder

Placeholder

Note


Language Considerations

Language Considerations

You use two methods to control the language settings available for Web sites based on Windows SharePoint Services Beta 2:

  • Language template packs

    Language template packs allow you to use site templates designed for specific languages. When you create a site based on a site template in a language template pack, the navigation and pages for that site are displayed in that language.

  • Regional settings

    Regional settings allow you to control how dates, times, and lists are displayed in a particular Web site. Regional settings do not control the language used for the navigation or pages in the site. For more information about regional settings, see Configuring Regional Settings.

About Languages and Locales

Windows SharePoint Services Beta 2 uses the following terms to describe the language settings that are used for a Web site:

  • Language ID

    The language ID specified when a Web site is created controls the language used in the Web site itself. For example, if the site was created in French (language ID 1036), then all of the toolbars, navigation bars, _layouts pages, and so on, appear in French. If the site was created in Arabic (1025), then the text is in Arabic, and the default left-to-right orientation of the site is change to right-to-left to properly dispaly Arabic text.

    By default, Windows SharePoint Services Beta 2 has language packs that contain site templates for many language IDs. You can install one or more of these language packs to your Web server to support users creating sites in as many languages as you need. For example, if you have a server running the Japanese version (language ID 1041) of Windows SharePoint Services Beta 2, you can install a US English (1033) language pack with templates that allow your users to create sites configured for US English.

  • Locale ID

    The locale ID is specified on the Regional Settings page, and affects how numbers, calendars, sorting, and time are displayed in the site. For example, if you have a US English language site (language ID 1033), and you change the locale ID to French (Canada) (locale ID 3084), then the Events list and Calendar views reflect the French notations for dates, numbers, time, and so on. The locale ID does not affect the orientation of the site. Choosing Arabic (Egypt) (locale ID 3073) does not change the site to right-to-left orientation, but does allow you to display the Events list with dates in Arabic notation. Each language template has a default locale ID. For example, in the US English (1033) template, the default locale ID is also 1033.

    Windows SharePoint Services Beta 2 supports all of the locale IDs supported by the Windows .NET Server 2003 family, which is a much larger set than the set of language IDs.

For more information about supported language IDs and locale IDs, see Regional and Language Settings.

Installing Language Template Packs

Language template packs for Windows SharePoint Services Beta 2 are available as downloadable files from Windows Update. There are language template packs that you can install to support Web sites in many languages. For a complete list of supported languages, see Regional and Language Settings.

To install a language template pack, you simply download it from Windows Update, and then run the setup program. Note that at the end of setup, Internet Information Services (IIS) is automatically restarted. If you are in a server farm environment, you must install the language template packs to each Web front-end server in your server farm.

During installation, the site templates are added to the Windows SharePoint Services Beta 2 installation directory, under the \TEMPLATE\LCID directory, where LCID is the locale ID for the language. For more information about where the language template files are stored on the server, see Special Directories and Storage Locations. After installation, server administrators, members of the SharePoint administrators group, and users with the Create Sites and Workspaces or Use Self-Service Site Creation rights can create Web sites based on the language templates by selecting the language on the Create Top-Level Web Site or New SharePoint Site pages.

If you no longer need a language template pack, you can uninstall it by using the Add/Remove Programs control panel. Uninstalling removes the language template files from the \TEMPLATE\LCID directories.

Caution When you uninstall a language template pack, any sites based on that language no longer work. You can reinstall the language template pack to restore the sites.


Managing the Configuration Database

Managing the Configuration Database

Microsoft Windows SharePoint Services Beta 2 uses a database to store configuration and site mapping information for your server computer, the virtual servers on your server computer, and for servers in a server farm. This database is called the configuration database. You need one configuration database for your server farm, whether your server farm is one server computer with everything on it, or several server computers.

If you install Windows SharePoint Services Beta 2 on a single server using Microsoft SQL Server Desktop Engine 2000 (MSDE), the configuration database is created for you. If you install Windows SharePoint Services Beta 2 in a server farm environment, or with Microsoft SQL Server, the installation ends without creating a configuration database, and you must create the database using HTML Administration pages or the command line.

Using HTML Administration to Create or Connect to a Configuration Database

When you install Windows SharePoint Services Beta 2 without installing MSDE, the setup program ends by opening Central Administration and displaying a page where you specify the application pool to use for administration tasks. After you specify the application pool, you go to the Set Configuration Database Server page where you specify whether to use existing domain accounts or use Active Directory directory service to create user accounts, and create the configuration database. For more information about account types, see Managing Users and Cross-Site Groups.

Create a configuration database after setting up Windows SharePoint Services Beta 2
  1. When Setup finishes, you are taken to the Configure Admin Virtual Server page.
  2. In the Application Pool section, select Use an existing application pool or Create a new application pool.
    • If you selected Use an existing application pool, select the application pool to use.
    • If you selected Create a new application pool, under Application pool name, type a name for the application pool, and under Select a security account for this application pool, select a type, and then enter the required information.

      Note that if you select Configurable, be sure to specify an account that is a member of the Security Administrators and Database Creators roles for the SQL Server database. It is recommended that you use a dedicated account for this account, rather than a user's logon account. Also, it is recommended that you use the same account for each application pool that hosts the same content.

    • Click OK.

    After you configure the administrative virtual server, you must restart Internet Information Services (IIS), by typing iisreset on the command line. After IIS is reset, you can click the link on the Application Pool Changed page to continue configuring Windows SharePoint Services Beta 2.

  3. After IIS has been restarted, on the Application Pool Changed page, click OK.
  4. On the Set Configuration Database Server page, in the Configuration Database section, enter the server name and database name to use.
  5. Under Database connection type, select Use Windows integrated authentication (more secure, recommended) or Use SQL authentication (less secure).

  6. If you selected Use SQL authentication (less secure), you must also type the database account user name and password.

  7. In the Active Directory Account Creation section, select one of the following options:
    • If you are using a Microsoft Windows domain, select Users already have domain accounts. Do not create active directory accounts.
    • If you are using Active Directory directory service outside of a Windows domain, select Automatically create active directory accounts for users of this site.

  8. If you selected Automatically create active directory accounts for users of this site, you must fill in the Active Directory Domain and Organization Unit information.

  9. Click OK.

If you already have a configuration database for your server farm, you can use the Set Configuration Database Server page to connect to the existing configuration database. You must connect to the configuration database whenever you add a server to a server farm, and before you can extend any virtual servers on that server.

Connect to a configuration database
  1. Click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. Under Server Configuration, click Set configuration database server.
  3. In the Configuration Database section, enter the server name and database name for the existing configuration database.
  4. Under Database connection type, select Use Windows integrated authentication (more secure, recommended) or Use SQL authentication (less secure).

  5. If you selected Use SQL authentication (less secure), type the database account user name and password.

  6. Select the Connect to existing configuration database check box.
  7. Click OK.

Using the Command Line to Create or Connect to a Configuration Database

You use the same operation on the command line to create or connect to a configuration database. The setconfigdb operation allows you to perform either action, depending on the parameters you include. The setconfigdb operation takes the following required parameters: databaseserver (ds), databaseuser (du), and databasepassword (dp). (Note that the -du and -dp parameters are only required if you are using SQL Server authentication; they are not used with Windows authentication.) In addition, you can use the following optional parameters: connect, databasename (dn), and hh, which specifies that you are in server farm mode.

To create a new configuration database and specify a name for the database, you would use the following syntax:

stsadm -o setconfigdb -ds <database server> -dn <database name>
-du <database user> -dp <database user password> -hh

For example, to create a new content database called "config1" at http://mydomain, on the Sql_02 database server, using Windows authentication, you would type:

stsadm -o setconfigdb -ds mydomain -dn config1

To connect to an existing configuration database, you would use syntax similar to the following:

stsadm -o setconfigdb -connect -ds <database server>
-dn <database name> -du <database user>
-dp <database user password>

Related Links

After you have set up the configuration database, you can begin extending virtual servers. For more information, see Extending Virtual Servers.

For more information about using the setconfigdb operation, see Command-Line Operations.


Managing Alerts

Managing Alerts

Because Web sites based on Microsoft Windows SharePoint Services Beta 2 are meant to help groups of users work together, they tend to grow quickly and change often. Keeping up with these changes can be difficult for users, especially if they aren't checking on the site every day. To help users stay in touch with changes on a site, Windows SharePoint Services Beta 2 includes a feature called Alerts, an e-mail notification service. When documents, lists, or items in a list on a server running Windows SharePoint Services Beta 2 are created, modified, or deleted, users who sign up for alerts receive messages informing them that changes have been made.

Note Before alerts can work for a particular site, the e-mail server settings must be configured at the server or virtual server level. For more information, see Configuring E-Mail Settings.

Note In SharePoint Team Services v1.0 from Microsoft, alerts were called Web subscriptions, but the functionality has not changed significantly.

Users can create alerts to track items within a site, such as:

  • Lists — Users are notified of changes to the list, such as when an item is added, deleted, or changed in a list.
  • List items — Users are notified of changes to a particular item in a list.
  • Document libraries — Users are notified of changes to the document library, such as when a document is added, deleted, or changed in a document library or when Web discussions are added, changed, deleted, closed, or activated for a document.
  • Documents — Users are notified of changes in a particular document or when Web discussions are added, changed, deleted, closed, or activated for a document.

When a user creates an alert for one of these items, he or she can specify what types of events will trigger an alert. Alerts can be generated whenever a document or list item is added, updated, or deleted in a document library or list, or when a Web discussion on a document or list changes. A user can specify one of these events, or select all of them to be notified whenever anything changes on the list, list item, document, or document library they want to track.

Users also have the ability to decide how often they want to receive alerts: immediately, daily, or weekly. Immediate alerts are sent as individual e-mail messages, and daily or weekly alerts are combined into summary messages for the entire Web site.

Users can change their alerts by using the My alerts on this site link on the Site Settings page of their Web site.

Note A user must have the View Items right (included in the Contributor site group by default) to sign up for alerts.

Customizing the Message Text for Alerts

For Windows SharePoint Services Beta 2, you can customize the contents of the alert messages. Keep in mind that while you can alter the contents of the message, there is still no mechanism for identifying and extracting exact text changes within a document or list item. You can, however, customize the text in the message and re-order, add, and remove fields from the message.

Note You must be an administrator on the local server computer to edit the XML templates for Windows SharePoint Services Beta 2.

The message text for immediate, daily, and weekly alerts is based on content in a series of XML templates on the server computer. To customize the message text, you must edit the XML templates that contain the message text. The templates are stored on the front-end Web server at \\Program Files\Common Files\Microsoft Shared\Web Server Extensions\60\Template\LCID\XML, where LCID is the locale ID. The templates that contain message text for alerts are described in the following table.

Template name | Description | Text and fields may include
notifsitehdr.xml | The header text used for each e-mail alert | Header information (such as site URL), message title information (such as Daily or Weekly Summary), and item information.
notiflisthdr.xml | The list header text | Summary information for daily or weekly changes to a list.
notifitem.xml | The event information | Body text for e-mail messages, including the text and placeholders "item in list has been changed by name at time."
notifsiteftr.xml | The footer text used for each e-mail alert | Footer information, including the string "Click here to manage alert settings."

Caution Editing any of the XML templates for Windows SharePoint Services Beta 2 can break the templates and, consequently, break the mechanism for sending alerts. Be sure to edit only the message text in the template and keep a backup copy of the original templates in case you need to revert to the originals. For more information about customizing XML templates, see the Windows SharePoint Services Software Development Kit.

You can edit the XML templates to include any of the following tags:

Tag | Description
SiteUrl | The full URL to the site
SiteName | The name of the site
SiteLanguage | The locale ID (LCID) for the language used in the site. For example, 1033 for U.S. English
AlertFrequency | Immediate (0), Daily (1), or Weekly (2)
ListUrl | The full URL to the list
ListName | The name of the list
ItemUrl | The full URL to the item
ItemName | The name of the item
EventType | ItemAdded (1), Item Modified (2), Item Deleted (4), DiscussionAdded (16), Discussion Modified (32), Discussion Deleted (64), Discussion Closed (128), Discussion Activated (256)
ModifiedBy | The name of the user who modified an item
TimeLastModified | The time the item was last modified
MySubsUrl | The full URL to the My Alerts on this Site page in Site Settings

Note In the XML templates, you use numerical values instead of text to specify frequency and event types. So, if you want to set the AlertFrequency to weekly, you would use the value 2 in the template, rather than typing "weekly."

You can use any XML editing tool, such as Notepad, to edit the templates. Keep in mind that any changes you make to this message text are used for all alert messages sent to all users of your server. If you are in a server farm environment, you must edit the templates on each server in the server farm, or copy the edited templates to each server in the server farm. You must be an administrator of the local server computer to edit the XML templates for Windows SharePoint Services Beta 2.

Configuring and Managing Alerts

You can view alerts for a Web site or subsite and delete alerts that are no longer needed.

If you are a server administrator or a member of the SharePoint administrators group, you can also use SharePoint Central Administration pages to configure settings for alerts, such as the following:

  • View alert settings.
  • Turn alerts on or off.
  • Specify how many alerts users can create.

You can also use the Stsadm.exe command-line tool to configure alert settings if you are a server administrator. Using the command line, you can:

  • Turn alerts on or off.
  • Specify how many alerts users can create.

Alerts use the Windows SharePoint Services Beta 2 e-mail settings to send alert items. When you configure alert settings, be sure that you also double-check the e-mail settings for your virtual server. For more information, see Configuring E-Mail Settings.

Managing Alerts for a Web Site

You can use HTML Administration pages to view and delete alerts on your site. To manage alerts, you use the Manage User Alerts page in the Site Administration pages.

Manage alerts
  1. On the Site Settings page for the Web site, under Administration, click Go to Site Administration.
  2. Under Management and Statistics, click Manage user alerts.
  3. On the Manage User Alerts page, select a user name in the Display alerts for ___ box, and then click Update.
  4. To delete an alert, select the check box next to the alert, and then click Delete Selected Alerts.

Configuring Alerts for a Virtual Server

You can also change alert settings for a virtual server. Changes you make on the virtual server affect all Web sites under that virtual server. To change settings for a virtual server, you use commands on the Virtual Server Settings page. You must be a member of the SharePoint administrators group or an administrator of the local computer to change virtual server settings.

Configure alerts for a virtual server
  1. On the server that contains the virtual server, click Start, point to All Programs, point to Administrative Tools, and then click SharePoint Central Administration.
  2. On the Central Administration page, under Virtual Server Configuration, click Configure virtual server settings.
  3. On the Virtual Server List page, click the virtual server you want to configure.
  4. On the Virtual Server Settings page, under Virtual Server Management, click Virtual server general settings.
  5. In the Alerts section, next to Alerts on this server are, click On or Off.
  6. Under Number of lists and list items for which alerts may be created, specify whether users can have a limited or unlimited number of alerts.
    • If you want to limit the number of alerts users can create, select Only ___ lists and items, and then specify the number of alerts a user can create.
    • If you want users to be able to create as many alerts as they like, select Unlimited.
  7. Click OK.

Using the Command Line to Configure Alerts

You can manage alerts from the command line by using the GetProperty and SetProperty operations with Stsadm.exe. You can set the following properties to configure how alerts work.

Property | Description
alerts-enabled | Turn alerts on or off.
alerts-limited | Specify whether users are limited to a specific number of alerts.
alerts-maximum | Specify the maximum number of alerts users can create.
job-immediate-notification | Specify how often to check for immediate alerts (in minutes).
job-daily-notification | Specify the time of day (using a 24-hour clock) to send out daily alerts.
job-weekly-notification | Specify the day of the week and time of day (using a 24-hour clock) to send out weekly alerts.

The following example shows the syntax to use to turn off alerts:

stsadm.exe -o setproperty -p <port> -pn alerts-enabled
-pv false

Related Links

For more information about using the administration tools or setting properties on the command line, see Introducing the Administration Tools for Windows SharePoint Services Beta 2 and Command-Line Properties.

The Alerts feature relies on the e-mail settings and timer service settings you configured for your server or virtual server. For more information about configuring e-mail settings, see Configuring E-Mail Settings. For more information about Microsoft SharePoint Timer Services, see Scheduling Timed Jobs.


Backing Up and Restoring Web Sites

Backing Up and Restoring Web Sites

With Windows SharePoint Services Beta 2, you can back up and restore individual Web sites hosted on your server or server farm. You can use this backup and restore method to replace a site that has become corrupted, or that contains changes that need to be rolled back (for example, if you need to recover a list or a list item that was deleted accidentally). This backup and restore method is not dependent on the type of database you are using. You can perform this backup and restore even if you are running MSDE instead of SQL Server 2000.

If you need to back up a specific site, rather than a whole installation of Windows SharePoint Services Beta 2, you can do so by using the backup and restore operations with the Stsadm.exe command line tool. You do not need SQL Server 2000 to perform a site-by-site backup. If you are using MSDE, this is the only backup and restore option that is available.

When you back up a Web site, you back up the content database for the site, including all pages in the site, files in document libraries or lists, security and permission settings, and feature settings. The back up process creates a single file that contains all of this data. You can then restore your site to either the same location, or to a new location. You can back up only top-level Web sites, not individual subsites. The backup file for a top-level Web site includes any subsites of that site.

You must be a member of the server computer's Administrators group, or a member of the SharePoint Administrator's group to be able to back up or restore a site.

About Site Backup and Restore

Site backup and restore is intended to help you reconnect sites that have become corrupted or need to be restored to a previous state. This process is not intended for moving a site to a new server. If you want to move a site, use the Smigrate.exe command line tool instead. For more information, see Migrating and Upgrading Web Sites.

When using site backup and restore, keep the following items in mind:

  • You can automate the backup process by using a batch file, script, or the Windows Scheduled Tasks control panel.

    You can use the object model to include the backup operation in a scripted procedure. For more information, see the Windows SharePoint Services Software Development Kit.

  • Site backup and restore affects performance.

    The process of backing up and restoring sites takes up both memory and processing power on your server. If you choose to schedule automatic backups in a batch file or script, be sure to run the backup process when server usage is light.

  • Sites with duplicate names cannot not be restored.

    This could be a problem in the following situation. If you have two virtual servers, with separate content databases for each virtual server that are only listed by relative paths in the configuration database, the site names may conflict. For example, if the configuration database lists the site names without the http://server_name prefix, you could have several sites that use the same path. For example, http://server_1/sites/site1 and http://server_2/sites/site1 could both be listed in the configuration database as /sites/site1 even though they are on separate virtual servers. In this case, the sites will not be restored correctly, and you will see an error in the restore log file.

  • You must have the appropriate language packs installed to successfully restore a site.

    If you a site you are restoring to a new server used a specific language pack, you must add the language pack to the new server before restoring the site. You can also update the new server with the language pack after you restore. If you do not add the language pack, users who browse to the site or any subsites will see a "file not found" error.

Using the Backup Operation

To back up a site, you use the backup operation with the Stsadm.exe command-line tool. The backup operation takes the following parameters.

Parameter | Required? | Description
-filename | yes | Backup filename. For example, backup.dat
-url | yes | Web site URL. For example, http://server_name/site
-overwrite | no | Overwrite any existing backup file or Web site. By default, the backup operation does not overwrite files. If you do not specify this parameter and a backup file or Web site exists, the operation will stop.

The -filename parameter can take any of the following types of information:

  • a filename, such as backup.dat
  • a path on the local hard drive, such as c:\backups\backup.dat
  • a path on a network share, such as \\share\folder\backup.dat

Note Before you run the backup operation, you may want to list all of your sites and identify which sites to back up. To see a list of sites on your server, you can use the enumsites operation. Listing the sites with enumsites can be useful when you are automating backups. You can include enumsites in your batch file, parse the list of sites, and then walk through the list of sites to create the backups. The enumsites operation uses the following syntax: stsadm.exe -o enumsites -url <url>

To perform a simple backup of a site, you would use syntax similar to the following:

stsadm.exe -o backup -url http://server_name/site -filename backup.dat

To back up a site and overwrite an existing backup file, you would use syntax similar to the following:

stsadm.exe -o backup -url http://server_name/site -filename c:\backups\backup.dat -overwrite

Using the Restore Operation

To restore a site, you use the restore operation with the Stsadm.exe command-line tool. The restore operation takes the same parameters as the backup operation: filename, url, and overwrite.

You have three options for restoring sites from a backup.

  • You can restore a site over an existing site.

    Use this option with caution. When you overwrite an existing site, the existing site is completely overwritten. You cannot merge sites. Any existing site content, and existing site permissions, are destroyed when you overwrite a site.

  • You can restore a site to a new site on the same server.

    This is the recommended option. When you restore a site to a new site on the same server, you can copy the data from the restored site, and paste it back into the original site. Use this method if you are restoring a site to recover data.

    Note In order for the restore operation to work correctly, the included and excluded paths for your virtual server must be configured properly. If you are restoring a site to a new site, be sure to create an included path for the site, if necessary, before restoring the site.

  • You can restore a site to a separate server, with a separate installation of Windows SharePoint Services Beta 2 that uses a copy of the original server's configuration database.

    This is a more complicated scenario, but it allows you the ability to set up two versions of the same site, as in the previous option, but with the ability to use the unused Web site deletion feature to remove the site automatically after a specific time period. For more information about automatically deleting unused Web sites, see Managing Unused Web Sites.

    Note If you are trying to recover a particular list or list item from a site backup, use this method to restore the site, then copy the list or item from the restored site back to the original site.

To restore a site from a backup file, either to a new site or a separate server, you would use syntax similar to the following:

stsadm.exe -o restore -url http://server_name/site -filename backup.dat

To restore a site from a backup file on a server share, and to overwrite any existing site at the new location, you would use syntax similar to the following:

stsadm.exe -o restore -url http://server_name/site -filename \\share\folder\backup.dat -overwrite


Troubleshoot Alerts

Troubleshoot Alerts

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Notes


Troubleshoot Document Libraries

Troubleshoot Document Libraries

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Notes


Troubleshoot Document Profiles and Properties

Troubleshoot Document Profiles and Properties

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Notes


Troubleshoot News

Troubleshoot News

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Notes


Troubleshoot Portal Categories

Troubleshoot Portal Categories

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Notes


Undo check out

Undo check out

You can check a document back in to the backward-compatible document library without saving any changes directly from the portal site or by using the network place for the document library. If you undo a check-out, you lose all changes that you made while you had the document checked out. The document reverts to the version that was most recently checked in, and Microsoft SharePoint Portal Server "v2.0" Beta 2 does not keep a version history record for the unsaved changes.

Coordinators on a folder can also undo a check-out on a document that another user has checked out. When you add a document to the document library but have not yet checked it in for the first time, the Undo Check Out command is not available. This command becomes available only after you have checked in and checked out a document for the first time.

Undo check out from the portal site

  1. On the navigation bar of the portal site, click Document Library.

    Under the Document Library heading SharePoint Portal Server "v2.0" Beta 2 displays a list of folders and documents available from this site. The items displayed depend on your permissions.

  2. Click the Show Actions link for the document.

    The Document Inspection page appears.

  3. Verify that the correct document is selected, and then click Undo Check Out.
  4. Click OK.

SharePoint Portal Server "v2.0" Beta 2 returns the document to a checked-in state. The version that appears as the current version in the workspace is the version that was most recently checked in. If you want to make changes to that document, you must check it out again.

Undo check out by using the network place for the backward-compatible document library

  1. Locate your document in the backward-compatible document library.
  2. Right-click the document, and then click Undo Check Out.
  3. Click Yes.

SharePoint Portal Server "v2.0" Beta 2 returns the document to a checked-in state. The version that appears as the current version in the document library is the version that was most recently checked in. If you want to make changes to that document, you must check it out again.

Related Topics

Check in a document
Check out a document
About document management and publishing


Upload a document

Upload a document

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Use custom Office11 (Beta) document properties

Use custom Office11 (Beta) document properties

You can create a custom document template in Microsoft Office 11 (Beta) with properties that match those of a document profile used with the backward-compatible document library. Microsoft SharePoint Portal Server "v2.0" Beta 2 can then automatically copy the custom properties on the template to the document profile when the document is checked in.

This transfer of prefilled custom Office properties to document profiles works only if the default document profile for the folder in which the document resides matches the properties in the Office template.

For example, you could create a Specifications template in Office that has Team, Project Manager, and Category properties automatically filled out. Next, in the backward-compatible document library, you could create a Specifications document profile with the same properties and assign that document profile to be the default document profile for the folder to which you want to add the document.

Related Topics

  • About document management and publishing


Use Document Profiles

Use Document Profiles

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Use Folder Shortcuts

Use Folder Shortcuts

If you want to create a shortcut to a folder on your desktop, you can use the Create Shortcut command in the workspace.

To create a folder shortcut

  1. In the document library, right-click the folder for which you want to create a shortcut, and then click Create Shortcut.
  2. Click Yes.

A shortcut to the folder appears on your desktop. You can work in this folder as you would any other folder.

To delete a folder shortcut

  1. Right-click the shortcut you want to delete, and then click Delete.
  2. Click Yes.

Deleting a folder shortcut deletes the link to the folder but does not delete the folder in the workspace.

Related Topics

  • About document management and publishing


View and edit the Properties page for a document

View and edit the Properties page for a document

View and edit properties

  1. In the workspace, right-click the document, and then click Check out.
  2. Right-click the document again, and then click Properties.
  3. Click the appropriate tab to display the property that you want to edit.
  4. Click OK, and then close the Properties page.
  5. Right-click the document, and then click Check In.

View and edit document profiles

  1. In the workspace, right-click the document, and then click Check out.
  2. Right-click the document again, and then click Check In.
  3. A profile form appears. Make your changes in the fields on the form. An asterisk (*) next to a field indicates required information.
  4. Click OK.
  5. Right-click the document, and then click Check In.

A new version of the document, with your updated document profile, is now checked in to the workspace.

View version history

  1. Right-click the document, and then click Properties.
  2. Click the Versions tab.

The Document Versions list displays the version history of the document that you selected.

Related Topics

About standard and enhanced folders
About document management and publishing


Using filters

Using filters

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Using views

Using views

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Using views in the News area

Using views in the News area

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Using views in the Sites Directory

Using views in the Sites Directory

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Using views in the Topics area

Using views in the Topics area

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


Using Web Folders or My Network Places

Using Web Folders or My Network Places

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


View and change My Alerts

View and change My Alerts

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


View a document version history

View a document version history

Enhanced folders track the version history of each document, monitoring the number of times that you check in, check out, and publish a document.

Showing the version history of a document

View version history

By using the portal

  1. On the navigation bar for the portal site, click Document Library.
  2. From the Document Library page, find the document for which you want to view the version history.
  3. Click Show Actions and then click Version History.

    The Version History page opens.

  4. To open a specific version of the document, click the version that you want to open from the Document Versions list and click Open.

    Note Comments from the check-in form appear in the Comments field.

By using My Network Place

  1. In the backward-compatible document library, right-click the document for which you want to view the version history, and then click Properties.
  2. On the Properties page of the document, click the Versions tab.

    The Document Versions field displays the version history of the document that you selected.

  3. To open a specific version of the document, click the version that you want to open from the Document Versions list and click View Document.

    To view the document profile for that version, click View Profile.

Related Topics

About standard and enhanced folders
About document management and publishing


View and Manage the Contents of Web Folders

View and Manage the Contents of Web Folders

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Notes


Web Part Page keyboard shortcuts

Web Part Page keyboard shortcuts

This is a preliminary document. Additional information about this feature will be provided prior to final commercial release.

Note


About Windows SharePoint Services

About Windows SharePoint Services

Web sites based on Microsoft Windows SharePoint Services Beta 2 provide a place where your team can communicate, share documents, and work together on a project. You can create a separate site for every project on which your team is working.

You can contribute to the site by using nothing more than a Web browser. However, if you use a Windows SharePoint Services Beta 2-compatible client program, such as Microsoft Office 11 (Beta), you can work seamlessly with the site, saving files to libraries, editing documents in the client program, and moving or linking that information to your site.

Using SharePoint sites

You can add information to the team Web site, such as events, names and phone numbers of people with whom your team communicates, and to-do items.

You can also do the following:

  • Post documents to share with other team members
  • Hold newsgroup-style discussions
  • Take a poll of the team to make a decision

As team members add or delete documents, lists, discussions, and surveys, Windows SharePoint Services automatically updates links to the content so that it's always easy to find. You can also create alerts so that you are notified of changes to the site.

Pages in the site display lists of information, allowing team members to organize the information any way they want, such as by subject, due date, or author. For example, you can do the following:

  • Restrict the display to see only the set of information that applies to you
  • Hide information that doesn't interest you
  • Change the order in which the information is listed
  • Set up customized views to make it easy for your team members to focus quickly on pertinent information

Features

When you first create a Windows SharePoint site, it comes with the following built-in features:

Lists

Your team can fill the following built-in lists with information and customize the lists if desired. You can also create a new list that is either based on a built-in list or custom-designed.

If you have a Windows SharePoint Services Beta 2-compatible spreadsheet program, such as Microsoft Excel 2002, and Microsoft Internet Explorer 5 or later installed, you can create lists that are based on spreadsheets.

  • Announcements The announcements list is a place to post information for the team. By default, a view of the announcements list appears on the home page.
  • Contacts The contacts list stores information such as name, telephone number, e-mail address, and street address for people who work with your team. By default, a hyperlink to the contacts list appears on the Quick Launch bar.
  • Events The events list is a place to post important dates. By default, a view of the events list appears on the home page.
  • Links The links list displays hyperlinks to Web pages of interest to team members. By default, a view of the links list appears on the home page.
  • Tasks The tasks list provides a to-do list for team members. By default, a hyperlink to the tasks list appears on the Quick Launch bar.

Libraries

Document, picture, and form libraries are collections of files that you share with team members.

A library appears on a page that lists each file and its properties, as well as a hyperlink to the file.

You can set up a template for a document library so that all files created in a library share common features.

By default, your site comes with a built-in document library named Shared Documents, which is listed on the Quick Launch bar as well as on the Document Libraries page.

Discussion boards

Discussion boards provide a forum for conversing about topics that interest your team. Team members can post comments and reply to others' comments, reducing the need for widely distributed e-mail threads.

By default, your site comes with a built-in discussion board named General Discussion, which is listed on the Quick Launch bar as well as on the Discussion Boards page.

Surveys

Surveys provide a way of polling team members. All you need to do is specify the questions and define how team members will enter their answers.

Your doesn't site come with a built-in survey, but you can easily create your own.

Integration with client programs

You can use a site based on Windows SharePoint Services Beta 2 whether or not you have a Windows SharePoint Services Beta 2-compatible client program installed. However, if you are running a Windows SharePoint Services Beta 2-compatible client program, such as Office 11 (Beta), you can integrate the work you do in the client program with your site.

Using a datasheet program for editing list data

A Windows SharePoint Services Beta 2-compatible datasheet program such as Excel 11 (Beta) allows you to edit list data as easily as you would cells in a spreadsheet program. You can add and edit rows and columns, apply filters and sort orders, display calculated values and totals, and more.

Saving files to a document library

If you use a Windows SharePoint Services Beta 2-compatible client program, such as Office 11 (Beta), you will have integrated functionality between the client program and your site.

For example, you can use an Office 11 (Beta) program to open a template in a document library, and when you save the file, it is saved back to the document library by default. If custom properties are defined for the library, the Save As dialog box displays a form in which you can fill out the information.

Using a spreadsheet program to link to, import, or export lists

If you use a Windows SharePoint Services Beta 2-compatible spreadsheet program, such asExcel 11 (Beta), and Internet Explorer 5 or later, you can link data between an existing spreadsheet and a list in your site.

You can also export any list from your site to the spreadsheet program. For example, if you export a list to Excel 11 (Beta), you can create PivotTables and charts to analyze the information or apply text formatting. In Excel, the exported list is a Web Query that stays updated with changes to the original list in your team Web site.

Copying items between calendars or address books and your team Web site

If you use a Windows SharePoint Services Beta 2-compatible calendar program, such as Outlook 11 (Beta), you can link events between your site and your calendar.

If you use a Windows SharePoint Services Beta 2-compatible address book program, such as Outlook 11 (Beta), that supports vCard files, you can link your address book information with a site contacts list. You can also export contacts to the site.

Display lists and document libraries in Web pages

If you use a Windows SharePoint Services-compatible word processing program or Web page editor, such as Microsoft Word 11 (Beta) or Microsoft FrontPage 11 (Beta), you can insert views of lists and document libraries into pages of your document. The pages must be saved as Web pages in the same site as the list or document library. The view can display only the set of information in which you're interested. The view displays live data, so any changes in the original list or document library are reflected in the view.

Use a Web page editor to customize your site

If you are a member of the Web Designer or Administrator site group, you can open the team Web site in a Windows SharePoint Services-compatible Web page editor, such as FrontPage 11 (Beta), and customize the content, format, and layout.

Team Web site customization

You can customize the content of your team Web site by using nothing more than a Web browser. However, if you have a Windows SharePoint Services-compatible Web page editor, such as FrontPage 11 (Beta) installed, you can tailor the site with your own custom layout, formatting, and content.

Customize by using a browser

The team Web site provides commands for customizing the look of your site. You can apply themes, create custom views of information, and change the organization of Web Parts on pages. For example, for a list of tasks, you can create one view that lists the tasks by due date and another view that lists the tasks by the name of the person to whom they're assigned.

You can also do the following:

  • Change the order of fields on data entry forms
  • Change the layout of the home page

Customize by using a Web page editor

You can open the team Web site in a Windows SharePoint Services-compatible Web page editor, such as FrontPage 11 (Beta), and change the layout of the site. You can also add custom pages and your corporate logo for a polished, professional look.

For example, you can do the following:

  • Add your own HTML pages, and then add them to the Quick Launch bar or top link bar
  • Change the order of the hyperlinks on the Quick Launch bar
  • Add images to pages
  • Apply a theme
  • Modify the font, colors, and layout of forms associated with lists, document libraries, discussion boards, and surveys
  • Add views of lists, document libraries, discussion boards, and surveys to Web pages
  • Modify the navigation structure

Security

When you create a site, you can specify who has access to the site and send each member an invitation to join the site. As the site creator, you can assign rights to other team members. For example, you could grant some team members rights only to read what's on the site, while granting other team members rights to add content or to configure settings for the site.